Welcome to Deltek Open Plan 8.7

With Deltek Open Plan's project management tools, you can provide your organization with reliable estimates and solutions for long and short-term resource and budget allocations. Simplify manual processes with rapid data entry, quickly share and update project plan information through Project Portfolio Management (PPM) integration, and ensure projects get the resources they need.

Open Plan supports the Program Management Office (PMO)

Open Plan has many tools that support the PMO, including the ability to define standard templates for all or part of a project, the ability to validate schedule quality as schedules are built, and to provide guidance along the way to improve scheduling practices.

It provides a robust security model to control who has access to project data and who can make certain types of changes like baseline management, activity deletion, and more.

Open Plan provides shared concurrent access to data when needed and allows projects to be checked out for unfettered access even when the project file is not open, allowing you access to the project when you have time to work on it.

Open Plan has the processing speed and capacity to look at resources, progress, and other project information across the business unit or portfolio of projects.

Open Plan supports the Project Manager and Project Team

Open Plan is designed to provide comprehensive solutions to real-world problems facing corporate project managers. Even in organizations with a strong commitment to modern project management techniques, there are often only a relative handful of skilled planners and schedulers who are charged with tracking the vast amounts of data that can be generated in the course of a typical large-scale project.

With Open Plan, planners can take advantage of the full range of high-end project management features, including:

  • Creation of projects in support of proposals, execution and internal company projects

  • All projects can share corporate resources definitions and calendars or create their own unique resources and calendars

  • All projects can share standard corporate coding as well as project specific codes

  • The creation of custom view layouts and reports

  • The specification of custom calculations and nonlinear reporting calendars

  • The ability to develop multi-project schedules, resource loadings, and reports

Planners using Open Plan can develop custom views and reports, and calculations. In many cases, standard resource lists, coding systems, work calendars, and even model networks would be developed and disseminated across the entire organization. A more comprehensive planning and control strategy might include the use of multi-project scheduling and resource loading in which master projects created by Open Plan users would reflect the dates and requirements of subprojects being planned and maintained at a lower level.

With Open Plan, creative organizations have the strategic and tactical tools to make corporate project management a reality.

While Open Plan can certainly be used in a stand-alone environment, most corporate users need to share project information across multiple departments and locations. For this reason, Open Plan stores its data within a database that can be accessed by many users.

Related Topics and Procedures

Related Topics

First Steps

Working with Projects

Working with Calendars, Resources, and Codes

Working with Activities

Procedures

Log in to Open Plan


First Steps

The topics and links included below describe some of the processes and steps that you may need when you start working with Open Plan.

Before You Begin, learn about...

  • The Open Plan Window, Tabs, Menus, and Commands

  • The Open Plan Explorer

  • Fields in Open Plan (Calculated, User Defined, Syntax)

  • Keyboard shortcuts

  • Briefcasing

  • Log Viewer

  • Backup and Restore features

  • Working in a Multi-User Environment (Exclusive, Shared, Read Only Modes)

  • Security and EPM Security Administrator

  • System Utilities

Procedures and Related Topics

Click on a link to navigate to the section that covers that topic.

  • Review a demonstration project

  • Set system-wide preferences

  • Create a new project or ancillary file

  • Assign an ancillary file to a project

  • Assign a view to a project

  • Open a project or ancillary file

  • Save a project or ancillary file

  • Close a project or ancillary file

  • Delete a project, ancillary file, or view

  • Shared mode locking

  • Next steps

Review a demonstration project

Related Topics

Open Plan features demonstration projects that illustrate how the software may be used in some situations. Some of these demonstration projects have associated resource, code, and calendar files that you can review as well.

The Deltek Open Plan Guided Tour PDF uses the demonstration data to step you through many of the processes and procedures that are needed when working with Open Plan.

Related Procedures

Review a Demonstration Project

Back to top

Set system-wide preferences

Related Topics

You can set system-wide options in Open Plan by clicking Application on the File menu » Preferences submenu to display the Options dialog box. You can then navigate among the various tabs to set the system options for Open Plan.

Related Topics

Options Dialog Box

Related Procedures

Set System Preferences

Back to top

Create a new project or ancillary File

Related Topics

When you create a new project or ancillary file, you have the option of creating it using default settings or using the New File Wizard to specify some or all of the settings. When the project or ancillary file is created, it is placed in the appropriate system folder. If you created a project, a link to it is also established in My Folder.

If you created a project or ancillary file using default settings, you can always change the settings later.

When you create a new file, you start with the New File dialog box. After you enter the File Type, Name, and Description, you can click Next to start the New File Wizard or click Finish to create the file using the default settings. If you do not select the Use previous settings as defaults option before you click Finish, the file is created using Open Plan defaults.

Project Properties

The Project Properties dialog box stores project-level information. When accessed from a project that is unopened, or opened in either Exclusive or Shared mode, you can use this dialog box to modify the information it displays. If the project is open in Read Only mode, you can only view the information on this dialog box.

Ancillary File Properties

The Properties dialog box controls the properties associated with an ancillary file or view. The name of the dialog box includes the name of the selected file (Properties – <Filename> dialog box, where <Filename> is the name of the selected file).

When accessed from a project that is either unopened or opened in either Exclusive or Shared mode, you can use this dialog box to modify the information it displays. If the project is open in Read Only mode, you can only view the information on this dialog box.

Related Topics

New File dialog box

New File Wizard

Saving a Project or Ancillary File

Project Properties Dialog Box

Properties Dialog Box

Related Procedures

Create a File Using the New File Wizard

Create a New File Using Default Settings

Back to top

Assign an ancillary file to a project

Related Topics

When you create a project using the New File Wizard, you have the option of assigning ancillary files during the procedure. On the other hand, if you create the project using Open Plan defaults, only the <Default> calendar is assigned.

You must open the project in Exclusive mode when you assign an ancillary file.

Open Plan provides two ways to assign ancillary files to an existing project (or change previously assigned files):

Edit the Project Properties dialog box

You can assign ancillary files to an open project by using the Files tab of the Project Properties dialog box to assign calendar, resource definition, and code files.

The Files tab features an ellipsis button next to each ancillary file field. You can click this ellipsis to display a Select dialog box that you can use to specify the file to be assigned. If the ancillary file you want to assign does not yet exist, you can click New on the Select dialog box to create it.

Use Drag and Drop in the Open Plan Explorer

Dragging an ancillary file from the appropriate folder of the Open Plan Library and dropping it onto a project folder automatically assigns the file to the project.

Only one calendar file and one resource definition file can be assigned to a project at one time. If you drag a calendar or resource definition file from the Open Plan Library to a project that already contains a file of the same type, Open Plan asks whether you would like to replace the existing file.

When a resource definition file is assigned to a project, a link to the file is displayed in a project subfolder that has the same name as the resource file.

When one or more code files are assigned to a project, links to these files are displayed in a project subfolder named Codes.

When a calendar file is assigned to a project, a link to that file is displayed in the project’s root folder.

When using drag and drop, it is not necessary to first open the target project. The project is automatically opened when the ancillary file is dropped into it.

Related Topics

File Open Dialog Box

Opening a Project or Ancillary File

Close Files

Related Procedures

Assign a calendar file using Project Properties

Assign a calendar file using drag and drop

Assign a code file using Project Properties

Assign a code file using drag and drop

Assign a resource file using Project Properties

Assign a resource file using drag and drop

Back to top

Assign a view to a project

Related Topics

View files are stored in the Views folder of the Open Plan Library. To assign a view to a project, you can either drag it from the Library to the project folder or double-click it in the Library to display the Choose a Project dialog box. You can also use the Select dialog box to do this.

Assign a View Using Drag and Drop

You can assign a view to a project by dragging its icon from the Views folder of the Open Plan Library onto the appropriate project.

A project does not need to be open if you use the drag and drop method of assigning the view.

Assign a View by Double Clicking

If you have at least one project open, double-clicking the view icon displays the Choose a Project dialog box. This dialog box displays a list of all the projects that you have open and provides you with the following options:

  • You can select a view to display the project data without creating a permanent link to the project.

  • You can select a view and select the Make a Permanent Link to Project option to create a permanent link.

If no project is open when you double-click the icon, Open Plan advises you to drag the view icon to the project folder to create a link.

Related Topics

Views and Reports

Choose a Project dialog box

Related Procedures

Assign a View to a Project

Back to top

Open a project or ancillary file

Related Topics

When you open a project, all ancillary files associated with the project are also opened. It is also possible to open an ancillary file or view without first having to open the project.

There are two ways to open a project or ancillary file:

  • By using the File Open Dialog Box.

  • By right-clicking a project or ancillary file and using the Open command on the shortcut menu.

Open Plan always attempts to open a project’s ancillary files in the mode specified on the Preferences tab of its Project Properties dialog box. This setting overrides the default access mode for the ancillary file as set on its own Properties dialog box.

If it is not possible to open a file in the specified mode because another user has the same file open, Open Plan allows you to cancel the operation or to open the file in another mode. For example, if you attempt to open a file in shared mode that another user already has open in exclusive mode, Open Plan allows you to either open the file in read only mode or to cancel the operation.

You can also open a project by selecting it in the Open Plan Explorer and then either opening a view from the Project Views folder or selecting a view from the Open a view... field.

Related Topics

File Open Dialog Box

Related Procedures

Open an Open Plan File

Back to top

Save a project or ancillary file

Related Topics

Open Plan allows you to save a file with its current name using the Save command or under a different name using the Save As command. These commands are available as follows:

  • If you opened the file in Exclusive mode, you can use the Save or Save As command at any time.

  • If you open a file in Shared mode, the Save command is not available. Open Plan saves your changes to projects, codes, calendars, and codes as you make them.

  • If you opened the file in the Read Only mode, the Save command is not available. You must use the Save As command before you can make any changes to the file.

  • If you have created a project using the default project, the Save command is disabled since you must provide a new name for the file.

Depending on the circumstances under which you perform the Save As, the following rules apply:

  • When you create a copy of a project, the new project maintains the same ancillary file attachments as in the original project.

  • When you create a copy of an ancillary file, if you want a project to use the new file, you must attach it to the project by either dragging it from the Open Plan Library and dropping it on the project or by using the Files tab of the Project Properties dialog box.

You cannot perform Save As on a file if there is another file open which refers to it. For example, if you open project CLEAN and then try to perform a Save As on the calendar file CLEANCAL, you are given the following warning: "Cannot perform Save As on Calendar File CLEANCAL because there are open objects referring to it." Since CLEAN refers to CLEANCAL, you need to close the project before you can perform Save As on CLEANCAL.

Related Topics

Save Changes Dialog Box

Related Procedures

Save an Open Plan File

Copy an Open Plan File

Saving Files As Text

Back to top

Close a project or ancillary file

Related Topics

The operation performed when you issue a Close command depends on what method you use and the context in which you issue the command.

You cannot close a file if another file is dependent on it. For example, assume you have the resource view displayed for an open project. If you close the project without first closing the resource view, the project and its ancillary files will close except for the resource file. The resource file remains open because the resource view is dependent on it.

Related Topics

Closing Files

Keyboard Shortcuts

Back to top

Delete a project, ancillary file, or view

Related Topics

You can delete a project or ancillary file from the Open Plan Explorer using one of the following methods:

  • Right-click the project and click Delete Link in the context menu.

  • Select the file and press the Delete key.

  • Use the Select File to Delete dialog box. (This dialog box is accessed by displaying Manage Files from either the File menu or the context menu and clicking Delete.)

There are also two ways to delete a view:

  • Select the view and press the Delete key.

  • Right-click the view and click Delete on the context menu.

You cannot delete a file that is open, referenced by another file, or to which you do not have the appropriate rights.

Codes that are assigned to projects cannot be deleted from the projects using this method. Codes are removed from projects using the Files tab of the Project Properties dialog box.

Depending on where the file is located in the hierarchical view, Open Plan interprets the deletion as follows:

  • My Folder folder: If you delete a project, ancillary file, or view, Open Plan only deletes the links you created to these files. In the case of a project, the project link as well as the ancillary files links are deleted. No actual data is deleted from the data source.

  • Projects folder: If you delete a project from within this folder, the project data and all the links to ancillary files and views are deleted. Deleting just an ancillary file or view deletes the link to the file. No actual ancillary file or view data is deleted from the data source.

  • Open Plan Library folder: If you delete a calendar, resource definition, code, or view file, the actual data is deleted from the data source.

Related Procedures

Deleting Projects

Deleting Ancillary Files

Deleting Views

Back to top

Shared mode locking

Related Topics

When in Shared Mode, you can apply a temporary exclusive lock on a project and perform processes such as Time Analysis, Resource Scheduling, Risk Analysis, Cost Calculations, and Progress Calculations and be able to save the changes you made, without requiring other users to exit shared mode.

While the lock you acquired is in effect, other users will not be able to make changes.

After you release a temporary exclusive lock on a project, other shared mode users who have the same project open receive a dialog box informing them they can resume working and offering to refresh the project data. This ensures that project data is current and updated.

Shared Mode locks can be acquired using the Lock Project button located on the Processes tab, which is only enabled when you are in Shared Mode.

Related Topics:

Change Mode (Processes Tab)

Opening a Project or Ancillary File

Related Procedures:

Applying a Temporary Exclusive Lock

Opening a File in a Specified Mode

Set the Default Access Mode for a Project

Set the Default Access Mode for an Ancillary File

Back to top

Next steps

  • Importing and Exporting Data

  • Microsoft Project Integration

  • Oracle Primavera P6 Integration

  • Working with Projects

  • Working with Activities

  • Working with Calendars, Resources, and Codes

  • Views and Reports

  • Printing Reports and Views

  • Entering Progress Information

  • Managing Costs

  • Project Analysis

  • System Utilities


Open Plan Mentor

The Mentor feature is designed to provide users advice like a mentor would. In many cases this provides a safety net to minimize inaccurate results because of unreliable information. An experienced user can use these fields to add checks that ensure all users are working with the most reliable data.

You can enable and disable mentor features on the Options dialog box Mentor tab.

Related Topics and Procedures

Related Procedures

Options Dialog Box


Log On to Open Plan

Use this procedure to log on to Open Plan.

The system administrator sets up user IDs and passwords using the EPM Security Administrator. If the administrator opts to use Windows NT authentication, you can log onto Open Plan without using the login dialog box.

To log on to Open Plan, complete the following steps:

  1. Click the Start menu, and locate Deltek Open Plan 8.x.

  2. On the Open Plan Login dialog box, enter your User ID and Password.

Open Plan remembers the user ID from your last login and automatically enters that user ID. If this user ID is not the one you wish to use, delete it and enter the proper one.

  3. On the Data Source drop-down list, select the database connection to use when you log on to Open Plan.

The drop down list displays all data sources defined in the Open Plan Data Tool.

  4. Click Login.

Related Topics and Procedures

Related Topic

Open Plan Login Dialog Box

Related Procedure

Log On to Open Plan Using a Different User ID

Connect to Another Data Source


Log On to Open Plan Using a Different User ID

Use this procedure if you are logged on to Open Plan but want to switch to another User ID.

To log on to Open Plan using another User ID, complete the following steps:

  1. Click the File menu and select Login.

  2. On the Open Plan Login dialog box, enter a different User ID and its corresponding password.

  3. From the Data Source drop-down list, select the database connection to use when you log onto Open Plan.

  4. Click Login.

Related Topics and Procedures

Related Topic

Open Plan Login Dialog Box

Related Procedures

Log On to Open Plan

Connect to Another Data Source


Connect to Another Data Source

Use this procedure if you are logged onto Open Plan but want to switch to another data source.

To connect to another data source, complete the following steps:

  1. Click the File menu and select Login.

  2. On the Open Plan Login dialog box, select the database connection to use from the Data Source drop-down list.

If you need to edit your available data sources, open the Data Sources dialog box by holding down the CTRL key while clicking Login.

  3. Enter your password.

  4. Click Login.

Related Topics and Procedures

Related Topic

Open Plan Login Dialog Box

Related Procedures

Log On to Open Plan

Log On to Open Plan Using a Different User ID


Open Plan Login Dialog Box

The information you provide in this dialog box allows Open Plan to check whether you are an authorized user of the active data source to which you are trying to connect.

This dialog box contains the following controls:

  • User ID: The ID that your system administrator has set up for your use. Open Plan remembers the user ID from the last time Open Plan was used and automatically enters that user ID in this field. If this user ID is not the one you wish to use, replace with the correct one.

In addition, you can connect to the same data source using different credentials while you are logged on to Open Plan by selecting Login from the File menu and entering another User ID and password on the Open Plan Login dialog box.

  • Password: The password associated with your user ID.

    • You can change your password using the Change Password dialog box.

  • Data Source: Select a data source from the drop-down list. If you hold down the Ctrl key while clicking Login, Open Plan displays the Data Sources dialog box where you can add and edit your available data sources. In addition, you can connect to a different (existing) data source while you are logged on to Open Plan by selecting Login from the File menu. Open Plan displays the Login dialog box without requiring you to exit the application and log in again.

  • Using Briefcasing Data Source: If you select this option, Open Plan opens your briefcasing data source instead of your main data source. The briefcasing feature of Open Plan allows you to check out a project, work on it, and then check it back in. Checking out a project is similar to opening a project in Exclusive mode in that while you have the project checked out, you are the only person who can save changes to it. For more information, see Briefcasing.

If, after you click Login, Open Plan issues a message that your login information is invalid, reenter your user ID and password, and click Login again. If Open Plan still does not start, check with your System Administrator. There are several possible causes for this situation including:

  • There may be an interruption of network services.

  • You may not be properly registered as a valid user of the active data source.

  • You may have entered an incorrect password.

Your system administrator will be able to determine the cause of the problem and take steps to correct it.

You can change the active data source (new or existing) before logging in. To do so, hold down the Ctrl key while clicking Login. This will display the Data Sources dialog box that you can use to select a different data source for this session. In addition, you can select a different (existing) data source while you are logged in to Open Plan by selecting Login from the File menu. This will display the Open Plan Login dialog bx.

For more information about working with Open Plan data, see Working with Open Plan Data.

What do you want to do?

Start working with Open Plan (First Steps)

Learn about keyboard shortcuts

Learn about briefcasing

Location

To display the Open Plan Location dialog box, complete the following step:

  1. Launch Open Plan. The Open Plan Login dialog box displays automatically.

Related Topics and Procedures

Related Topics

Open Plan Security and Security Administrator

Using the Change Password Dialog Box

Using the Data Sources Dialog Box

The Open Plan Window, Tabs, Menus, and Commands

Related Procedure

Changing Your Login Password


The Open Plan Window, Tabs, Menus, and Commands

The Open Plan window provides an overview of the different menu options, commands, tabs, icons, and menu groups you will find in Open Plan.

File Menu | The File menu provides commands related to file management, such as, open, save, print, share, change password, and so on.
Quick Access Toolbar | The Quick Access Toolbar displays the most commonly used commands.
Command Tabs | The Command tabs include the most commonly used commands in Open Plan.
Command Icons | The Command icons show different command icons that can trigger or perform an operation.
Menu Group | The Menu group contains different commands for related features and functions.
View Tabs | The View tabs allow you to switch between views that are currently open.
Open a View Dropdown | The Open a View dropdown contains a list of available views for the selected project. You can also use the dropdown to open a project.
Hierarchical Pane | The Hierarchical pane displays the folders available to you. Each folder contains other folders or Open Plan objects such as projects and views.
Status Bar | The Status bar displays information such as the filters applied, the users currently logged in, the baselines in use, the data sources, the current project status, and so on.
Contents Pane | The Contents pane displays the contents of the folder selected in the hierarchical pane.
Minimize the Ribbon | The Minimize the Ribbon button minimizes the command icons and menu groups. You may also use Ctrl + F1 to minimize these views.
Sub-menus | Some command icons have an arrow next to their name. This indicates that there is a sub-menu. Click on the arrow to view the sub-menu.

The Status bar is located at the bottom of the Open Plan window. Some information is only visible in a certain context.

Access Mode | Access Mode displays the current mode in which the project, resource, code, or calendar is associated with the active view that is open. To change your current access mode, click File » Manage Files » Mode.
Time Now | If a project-related view is the active view, Time Now displays the current project status date.
Auto TA | If a project-related view is the active view, Auto TA (Automatic Time Analysis) indicates whether or not the automatic calculation of time analysis is activated. You can toggle this option by selecting or deselecting the Auto-Analyze option on the Processes tab in the Schedule menu group.
Baseline | If a project-related view is the active view, Baseline displays the currently selected baseline. If multiple baselines are selected, < Multiple > displays instead of the baseline name. You can hover the curser over it to see the names of the selected baselines in the tooltip.
Record Count | Record count displays the number of records currently in the active view, for example, activities, resources, codes, and calendars.
Filter | Filter displays the name of the filter that is currently applied. If there is no filter applied, it displays < no filter >. You can double-click to open the Filters dialog box.
Sort | Sort displays the name of the sort that is currently applied. If there is no sort applied, it displays < no sort>. You can double-click to open the Sorts dialog box.
User | User displays the name of the user who is currently logged in.
Data Source | Data Source displays the data source to which you are currently connected.

Tips:

  • Hide the Status Bar: You can hide the status bar by unchecking the Status Bar option on the General tab of the Options dialog box.

  • Right Mouse Menu: Throughout Open Plan, you can display a context menu of commonly used commands by right-clicking an object or area of the screen. The contents of the context menu varies, depending on the location that you click.

  • Keyboard Shortcuts: You can select commands in Open Plan using a combination of keystrokes corresponding to the menu and the name of the command.
    For a list of keyboard shortcuts, see Keyboard Shortcuts.

  • Modeless Dialog Boxes: A number of dialog boxes in Open Plan are modeless; in other words, you can leave the dialog box open when performing other operations. This allows you to, for example, open the Activity Details dialog box from a spreadsheet view and view the detailed information for specific activities by clicking them in the view without having to close and re-open the dialog box each time.

    For more information, see Modeless Dialog Boxes.


Quick Access Toolbar

Use the Quick Access Toolbar to easily access any of the following menu options:

  • New

  • Open

  • Save

  • Undo

  • Print

  • Print Preview

  • Help Contents

  • Exit Open Plan

The Quick Access Toolbar is on the upper-left of the Open Plan window.

Customize your Quick Access Toolbar to hide or display items, change your toolbar location, or minimize the ribbon.

Related Topics and Procedures

Related Procedures

New (File Menu)

Open (File Menu)

Save (File Menu)

Print (File Menu)

Print Preview (File Menu)

Deltek Open Plan Help (File Menu)

Close (File Menu)


Calendar File (File Menu)

Use the Calendar File menu option to display the New File dialog box where you can create a calendar and specify its name and description.

Location

You can access the Calendar File command in the following ways:

  • Click File » New » Calendar File

  • Click New [image] » Calendar File on the Quick Access Toolbar

  • Press Ctrl + N keys and select Calendar from the File Type drop-down menu

Related Topics and Procedures

Related Procedures

Create a Calendar File


Code File

Use the Code File menu option to display the New File dialog box where you can create a code file and specify its name and description.

Location

You can access the Code File command in the following ways:

  • Click File » New » Code File

  • Click New [image] » Code File on the Quick Access Toolbar

  • Press Ctrl + N keys and select Code File from the File Type drop-down menu

Related Topics and Procedures

Related Procedures

Create a Code File


New (File Menu)

Use the New menu option to create one of the following file types:

  • Project

  • Calendar

  • Resource

  • Code

Location

You can access the New command in the following ways:

  • Click File » New

  • Right-click on an empty area in the Open Plan Exporer and click New from the context menu

  • Double-click on an empty area of the Open Plan Explorer

  • Click New [image] on the Quick Access Toolbar

  • Press Ctrl + N keys

Related Topics and Procedures

Related Topic

New File Dialog Box

Related Procedures

Create a New File Using Default Settings

Create a Calendar File

Create a Resource File

Create a Code File

Create an Open Plan File


Resource File (File Menu)

Use the Resource File menu option to display the New File dialog box where you can create a resource file and specify its name and description.

Location

You can access the Resource File command in the following ways:

  • Click File » New » Resource File

  • Click New [image] » Resource File on the Quick Access Toolbar

  • Press Ctrl + N keys and select Resource from the File Type drop-down menu

Related Topics and Procedures

Related Procedures

Create a Resource File

Create a New File Using Default Settings


Open (File Menu)

Use the Open menu option to open a project or file.

Location

You can access the Open command in the following ways:

  • Click File » Open

  • Click Open [image] in the Quick Access Toolbar

  • Press the Ctrl + O keys

Related Topics and Procedures

Related Procedures

Open an Open Plan File (Procedure)


Save (File Menu)

Save

Use the Save menu option to save your changes using the current file name and location. This option is only available in Exclusive mode.

  • Exclusive: Save is enabled when you open a file in Exclusive mode.

  • Shared: Save is disabled in Shared mode, however, Open Plan tries to save your changes when you edit the file. A notification displays when another user edits the file. You can view the changes made by the other user when you close the notification.

  • Read-only: Save is disabled when you open a file in Read-only mode. You can still save the file using a different filename. To do this, click File » Save As.

When you are finished saving your changes and you want to close your Open Plan session, you can use the Close All option to close all open projects, ancillary files, and dialog boxes at the same time instead of having to close each one separately. See Close All Open Plan Files (Procedure) for more information.

Location

You can access the Save command in the following ways:

  • Click File » Save

  • Click Save [image] on the Quick Access Toolbar

  • Press the Ctrl + S keys

Related Topics and Procedures

Related Topic

Save Files

Related Procedure

Save an Open Plan File


Save As (File Menu)

Use the Save As menu option to save a new file or a new project template.

Use the Save As dialog box to specify a file name for a file or a project name for a project.

Save As is disabled when you have other files within that file opened. The following notification displays when you attempt to save:

"Cannot perform Save As on [File Name] because there are open objects referring to it"

Close the other files to save.

Location

To use the Save As command, click File » Save As.

Related Topics and Procedures

Related Procedures

Save an Open Plan File

Copy an Open Plan File


Close (File Menu)

Use the Close menu option to close a file or project in your active window.

Location

To use the Close command, click File » Close.

Related Topics and Procedures

Related Topics

Close an Open Plan File (Procedure)

Close Files

New (File Menu Option)

Open (File Menu Option)


Close All (File Menu)

Use the Close All menu option to close all open projects, ancillary files and dialog boxes. If you have unsaved changes, a message prompts you to save your changes.

When you use Close All to close a project that is open in shared mode and is exclusively locked to you, Open Plan recognizes the temporary lock and displays a message to confirm that you want to save your changes while the temporary lock is in effect. If you select No, the project closes without saving your changes. You need to reopen the project and rerun any process you initiated, for example, time analysis, and save your changes.

Location

To access the Close command, click File » Close All.

Related Topics and Procedures

Related Topics

Close Files

Related Procedure

Close All Open Plan Files (Procedure)

Close an Open Plan File (Procedure)


Save View (File Menu)

Use the Save View menu option to save your changes to the current view or save the current view to a new view.

Location

To use the Save View command, click File » Save View.

Related Topics and Procedures

Related Topic

Views and Reports

Related Procedure

Save A View

Delete a View


Print (File Menu)

Use the Print menu option to display the Print dialog box where you can specify the print settings for your report. To print a report using the current print settings, click the [image] icon on the Quick Access Toolbar.

The dialog box menu changes depending on the view displayed in the active window:

  • For all views other than a calendar, Open Plan displays the Print dialog box

  • For calendars, Open Plan displays the Print Calendar dialog box

Location

You can access the Print command in the following ways:

  • Click File » Print

  • Click Print [image] on the Quick Access Toolbar

  • Press the Ctrl + P keys

Related Topics and Procedures

Related Topics

Print Calendar Dialog Box

Related Procedures

Print a Report

Print a Calendar


Print Options (File Menu)

Click the Print Options menu option to display the Print Options dialog box where you can specify how Open Plan prints your reports.

Location

To use the Print Options command, click File » Print » Print Options.

Related Topics and Procedures

Related Procedures

Print a Barchart

Print a Spreadsheet


Print Preview (File Menu)

Use the Print Preview menu option to view your entire page at a reduced size. You can also see one or more pages at a time and check for page breaks.

You cannot make any changes to the report while previewing it.

Location

You can access the Print Preview command of a project or file in the following ways:

  • Click File » Print » Print Preview

  • Click Print Preview [image] on the Quick Access Toolbar

Related Topics and Procedures

Related Topic

Print Preview

Related Procedure

Preview a Report Before Printing


Print Setup (File Menu)

Click the Print Setup menu option to open the Print Setup Dialog Box where you can specify the Orientation and Paper Size for the current print job.

Location

You can access the Print Setup command for the current project or file in the following ways:

  • Click File » Print » Print Setup

  • On the Print Options dialog box, click Print Setup

Related Topics and Procedures

Related Procedure

Set Up a Printer


Backup Data (File Menu)

Use the Backup Data menu option to display the Backup Data dialog box where you can back up a project or ancillary file to your local or target location.

You can also compress your files using any commercially available data compression tool.

Location

To use the Backup Data command, click File » Manage Files » Backup Data.

Related Topics and Procedures

Related Procedures

Back Up Open Plan Data

Restore Data From a Backup File


Check In (File Menu)

Use the Check In menu option to display the Check In dialog box where you can check in the changes you made to a project in the Main or Briefcase data source.

Location

To use the Check In command, click File » Manage Files » Check In.

Related Topics and Procedures

Related Topics

Understand the Open Plan Briefcasing Feature

Check Out Dialog Box

Related Procedures

Check Out a Project

Check in a Project


Check Out (File Menu)

Use the Check Out menu option to display the Check Out dialog box where you can check out the changes you made to a project from the Main or Briefcase data source.

Location

To use the Check Out command, click File » Manage Files » Check Out.

Related Topics and Procedures

Related Topics

Understand the Open Plan Briefcasing Feature

Check In Dialog Box

Related Procedures

Check Out a Project

Check in a Project


Delete (File Menu)

Use the Delete menu option to display the Select File to Delete dialog box where you can delete a file.

Location

To use the Delete command, click File » Manage Files » Delete.

Related Topics and Procedures

Related Procedure

Delete an Open Plan File


Mode (Edit Menu)

Mode (File Menu)

Use the Mode menu option to display the Change Access Mode dialog box where you can change your access to the current file. You can select Exclusive, Shared, or Read Only mode.

Location

To use the Mode command, click File » Manage Files » Mode.

Related Topics and Procedures

Related Procedures

Set the Default Access Mode for a Project

Set the Default Access Mode for an Ancillary File


Owner and Access Control (File Menu)

Owner and Access Rights (File Menu)

Use the Owner and Access Rights menu option to display the Change Ownership and Access Rights dialog box where you can change the owner and access rights of the current file.

Location

To use the Owner and Access Rights command, click File » Manage Files » Owner and Access Rights.

Related Topics and Procedures

Related Procedures

Change the Owner of a Object

Change the Access Rights of an Object


Restore Data (File Menu)

Use the Restore Data menu option to display the Restore Wizard where you can restore a project or an ancillary file that was previously backed up.

Location

To use the Restore Data command, click File » Manage Files » Restore Data.

Related Topics and Procedures

Related Procedures

Back Up Open Plan Data

Restore Data From a Backup File


Send Message (File Menu)

Use the Send Message menu option to display the Send Message dialog box where you can send a pop-up message to any user who is logged into the same Open Plan data source.

Location

To use the Send Message command, click File » Share » Send Message.

Related Topics and Procedures

Related Topic

Using the Send Message Dialog Box

Related Procedure

Sending a Message to a User


Send Project (File Menu)

Use the Send Project menu option to display the Backup Items to Send dialog box where you can select and send a compressed file of your data. Your Windows installation must contain a Messaging Application Program Interface (MAPI)-compliant mail system, such as Microsoft Outlook to be able to use Send Project. Your e-mail recipient needs to have Open Plan installed to be able to restore the file.

Location

To use the Send Project command, click File » Share » Send Project.

Related Topics and Procedures

Related Topic

Open Plan Web Publisher Dialog Box

Related Procedure

Prepare a Report for Publication on the Web


Change Password (File Menu)

Use the Change Password menu option to display the Change the Password dialog box where you can change the password you use for logging into Open Plan. The new password you enter takes effect the next time you log in.

Location

To use the Change Password command, click File » Change Password.

Related Topics and Procedures

Related Topics

Open Plan Security and Security Administrator

Open Plan Login Dialog Box

Related Procedure

Change Your Login Password


About Deltek Open Plan (File Menu)

Use the About Deltek Open Plan menu option to view the following information about your copy of Open Plan:

  • Version: The version number of your Open Plan copy

  • Copyright: The copyright notice

  • Serial number: The serial number of your Open Plan copy

  • Company: The company licensed to use the Open Plan copy

  • User count: The number of Open Plan users currently logged in to the active data source

  • Data Source: The name of the active data source

  • Logged in As: The user name of the person currently logged in to Open Plan on this computer

Location

To use the About Deltek Open Plan command, click File » Help » About Deltek Open Plan.

Related Topics and Procedures

Related Topics

Deltek Open Plan Help

Deltek Customer Care


Deltek Customer Care (File Menu)

Use the Deltek Customer Care menu option to display the Deltek Customer Care Connect website where you can log in to your account, see the latest product updates, and find answers for frequently asked questions.

Location

To use the Deltek Customer Care command, click File » Help » Deltek Customer Care.

Related Topics and Procedures

Related Topics

Deltek Open Plan Help

About Deltek Open Plan


Deltek Open Plan Help (File Menu)

Use the Deltek Open Plan Help menu option to access the Open Plan online help.

Location

You can access the Deltek Open Plan Help command in the following ways:

  • Click File » Help » Deltek Open Plan Help

  • Click Help [image] on the Quick Access Toolbar

  • Press the F1 key

Related Topics and Procedures

Related Topics

Deltek Customer Care

About Deltek Open Plan


Application (File Menu)

Use the Application menu option to display the Options dialog box where you can specify user and system preferences.

Location

To access the Application command, click File » Preferences » Application.

Related Topics and Procedures

Related Topics

Options Dialog Box: General Tab

Options Dialog Box: Edit Tab

Options Dialog Box: Project Tab

Options Dialog Box: Views Tab

Options Dialog Box: Codes Tab

Options Dialog Box: Color Tab

Options Dialog Box: Advanced Tab


Data Sources (File Menu)

Use the Data Sources menu option to display the Data Sources dialog box where you can view, add, edit, or delete data sources.

Location

To access the Data Sources command, click File » Preferences » Data Sources.

Related Topics and Procedures

Related Procedures

Select a Data Source

Add a Data Source Connection

Edit a Data Source Connection

Delete a Data Source Connection


Auto-Analyze (Processes Tab)

Use this option to automatically calculate time analysis whenever you make a date-related change to the project.

To automatically calculate dates for new activities, select the Calculate dates even if TA is turned off? field on the Options dialog box Project tab.

Location

To enable the Auto-analyze option, click the Processes tab and select Auto-analyze in the Schedule menu group.

Related Topics and Procedures

Related Topic

Time Analysis Options Tab


Calendar (Processes Tab: Schedule)

By defining the days and hours during which work can be scheduled, calendars allow you to create a realistic project plan.

Use the Calendar option to select a status date for your project. You may enter a status date manually by entering a date in the Time Now field.

For information about calendars, see Calendars.

Location

To access the Calendar, click the Processes tab and click Calendar in the Schedule menu group.

Related Topics and Procedures

Related Topic

Calendars

The Default Calendar


Lock Project (Processes Tab)

Use the Lock Project option to temporarily lock a project while in Shared Mode so that other users can't make any changes. Locking the project allows you to perform the following processes:

  • Time Analysis

  • Resource Scheduling

  • Risk analysis

  • Cost Calculations

  • Progress Calculations

Location

To apply a temporary exclusive lock on a project, open the project in Shared Mode, click on the Processes tab and click Lock Project in the Schedule menu group.

You may also right-click the project and select Shared Mode Lock from the Context menu.

Related Topics and Procedures

Related Topic

Work in Shared Mode


Refresh (Processes Tab)

Use the Refresh option or press ALT + F5 in Shared Mode to refresh the current project data.

Location

To refresh the current project data, click on the Processes tab, click Refresh in the Schedule menu group.

Related Topics and Procedures

Related Topic

Work in Shared Mode


Resources (Processes Tab: Schedule)

The purpose of resource scheduling is to calculate a project that takes into account the limited availabilities of resources as well as the durations, logical relationships, and the target dates of the activities. Open Plan provides sophisticated and comprehensive resource scheduling algorithms designed to produce resource solutions across a wide range of situations. Open Plan resource scheduling includes extensive modeling capabilities that allow planners to juggle schedules based on various combinations of time and resource constraints

For information about time-limited and resource-limited scheduling, see Resource Scheduling.

Use the Resources option to calculate the schedule dates on one or more projects. The Resource Scheduling dialog box allows you to change the resource scheduling parameters before performing the calculations.

Location

You can access the Resource Scheduling command in the following ways:

  • On the Processes tab, click Resource in the Schedule menu group

  • Press CTRL + R

Related Topics and Procedures

Related Topics

Resource Scheduling Processing Options

Related Procedure

Perform Resource Scheduling


Risk (Processes Tab)

Use the Risk option to perform a risk analysis using the Monte Carlo Simulation Technique. The operation establishes estimates of the effects that probability distributions for duration for some or all of the activities can have on project dates. You can use the Risk Analysis dialog box to change the analysis settings.

For more information about risk analysis and how it works, see Risk Analysis.

Location

You can access the Risk Analysis command in the following ways:

  • Click the Processes tab and click Risk Analysis on the Schedule menu group

  • Press CTRL + K

Related Topics and Procedures

Related Topics

Activity Details Risk Tab

Risk Analysis Options Tab

Risk Analysis Advanced Tab

Related Procedures

Display a Risk Histogram View

Perform Risk Analysis


Time (Processes Tab)

Time analysis is the process of determining the overall schedule of a project by calculating start and finish dates for each activity in the project. The time analysis calculations performed by Open Plan are specifically designed to schedule large networks with speed, accuracy, and efficiency.

For more information about time analysis and how it works, see Time Analysis.

Use the Time Analysis option to calculate early and late dates on one or more projects. You can use the Time Analysis dialog box to change the time analysis options before performing the calculations.

You can also set Open Plan to run time analysis automatically for new activities without enabling the Auto-analyze option. For more information, see Options dialog box - Project tab.

Location

You can access the Time Analysis command in the following ways:

  • Click on the Processes tab, click Time in the Schedule menu group

  • Press CTRL + T

Related Topics and Procedures

Related Procedures

Perform Time Analysis

Set Time Now

Set Time Analysis Preferences

Enable Automatic Time Analysis

Disable Automatic Time Analysis


Time Now (Processes Tab)

Use the Time Now option to control the status date to be used for progress calculations. You may enter the date manually using the following format: 01Jan20, or click the Calendar option to select a date.

Location

To access the Time Now option, click the Processes tab and enter a date in the Time Now field in the Schedule menu group.

Related Topics and Procedures

Related Topics

Progress Calculations Dialog Box


Cost (Processes Tab)

Cost calculations are among the most feature-rich aspects of Open Plan. You can calculate the current values for both budget and actual costs, compare these values to a baseline budget and actual costs, and calculate the earned value.

Use the Cost Calculations option to calculate costs for one or more projects. Use the Cost Calculation dialog box to set parameters and options for cost calculations. This command aggregates the resource costs for each activity (including subprojects) and the project as a whole. These project costs are reflected on the Cost tab of the Project Properties dialog box.

For more information about cost analysis and how it works, see Open Plan Cost Calculations.

The Cost command rolls up budgeted, actual, and remaining labor units to the activity and subproject levels. This command also calculates the summary of the physical percent completed values based on budget and earned value of the children.

Open Plan calculates the actual costs for the resources that have the Actual Cost Based on Progressed Quantity option selected in the Resource Details dialog box.

Location

To access the Cost Calculations command, click the Processes tab and click Cost in the Calculate menu group.

Related Topics and Procedures

Related Procedures

Calculate Project Costs

Calculate Actual Resource Costs

Calculate Budget Activity Costs


Progress (Processes Tab)

Use the Progress Calculations option to calculate progress automatically based on a new Time Now date and existing calculated dates. Use the Progress Calculations dialog box to set parameters and options prior to running the process.

Location

To access the Progress Calculations command, click the Processes tab and click Progress Calculations in the Calculate menu group.

Related Topics and Procedures

Related Topics

Entering Progress Information

How Open Plan uses Progress Information

Related Procedures

Perform Progress Calculations


Baselines (Processes Menu)

Baselines (Processes Tab)

Baselines provide a "snapshot" of a project status by storing a complete set of project data for a specific point in time. Open Plan allows you to store multiple project baselines so that you can maintain a historical record of changes over the life of a project.

Use the Baselines option to display the Baseline dialog box where you can select a baseline from a list of baselines already included in the project file. You can also add, update existing, or delete baselines from the Baseline dialog box.

For more information about baselines and how they work, see Baseline Information.

Location

To access the Baseline command, click the Processes tab and click Baselines in the Dialogs menu group.

Related Topics and Procedures

Related Procedures

Selecting a Baseline

Creating a New Baseline

Updating a Baseline

Deleting a Baseline


Change Mode (Processes Tab)

Use the Change Mode option to display the Change Access Mode dialog box where you can change the access mode of the current file or project.

Location

To access the Change Mode option, click the Processes tab and click Change Mode in the Dialogs menu group.

Related Topics and Procedures

Related Topic

Change the Access Mode

Related Procedures

Set the Default Access Mode for a Project

Set the Default Access Mode for an Ancillary File


Properties (Processes Menu)

Properties (Processes Tab)

Use the Properties option to display the Project Properties dialog box where you can set your project preferences.

You do not need to open the project in order to edit most settings on the Project Properties dialog box.

Location

To access the Properties option, click the Processes tab and click Properties in the Dialogs menu group.

Related Topics and Procedures

Related Procedures

Enter Project Summary Information

Set Project Preferences

Review Project Status

Enter a Project Start Date

Set a Project Target Start Date

Set a Project Target Finish Date

Attach a Note to a Project


Calendars (Processes Tab: Ancillary)

By defining the days and hours during which work can be scheduled, calendars allow you to create a realistic project plan.

Use the Calendar option to view the available calendars for the current project.

For more information about calendars, see Calendars.

Location

To access the Calendar, click the Processes tab and click Calendar in the Ancillary Data menu group.

Related Topics and Procedures

Related Topic

Calendars

The Default Calendar


Codes (Processes Tab)

In Open Plan, information about a coding structure is stored in a code file. Code files can be project, a resource file-specific, or they can be shared by multiple projects or resource files. You can assign up to 90 code files to the same project.

For more information about codes, see Code File.

Location

To access Codes, click the Processes tab and click Codes in the Ancillary Data menu group.

Related Topics and Procedures

Related Topic

Codes

Coding Structures in Open Plan


Resources (Processes Tab: Ancillary)

Resources are people, facilities, or anything else that is needed to perform the work of a project. Although entering resources is not required in Open Plan, many project managers have found that successful planning, management, and control of project resources is crucial to the overall success of a project.

Use the Resources drop-down list to select a resources view for the current project.

For more information about resources, see Resources.

Location

To access Resources, click the Processes tab and click the Resources drop-down list in the Ancillary Data menu group.

Related Topics and Procedures

Related Topic

Resource Structures in Open Plan

Resource Assignments Overview

Resource Scheduling Overview


Driver Analysis (Processes Tab)

Driver Analysis determines the most critical paths into an activity. It identifies activities that are driving the dates for a target activity, as well as other potential controlling chains. Use the Driver Analysis option to display the Schedule Driver Analysis dialog box where you can set the parameters for the path analysis.

For more information about driver analysis, see Schedule Driver Analysis.

Location

To access the Driver Analysis command, click the Processes tab and click Driver Analysis in the Tools menu group.

Related Topics and Procedures

Related Topics

Reports Tab of the Schedule Driver Analysis Dialog Box


Trace Logic (Processes Tab)

Trace Logic outlines the path of activities leading to a selected activity. It helps you trace the logic easily starting from selected activities.

Use the Trace Logic option to display the Open Plan Logic Trace Facility dialog box where you can work through project relationships to find the activities that are related to a starting activity.

Location

To access the Trace Logic command, click the Processes tab and click Trace Logic in the Tool menu group.

Related Topics and Procedures

Related Procedures

Perform Trace Logic from Selected Activities


Redundancy Analysis (Processes Tab)

A redundant link occurs when, in addition to the link in question, there is a more detailed logic link between the same two activities. For example, a link from Activity A to Activity C is made redundant by an existing link from Activity A to Activity B and another one from Activity B to Activity C.

Click Redundancy Analysis to have Open Plan analyze the entire schedule and set a flag on relationships that are redundant. After you run the process, Open Plan displays the Relationship Spreadsheet view where the Redundant Flag column indicates the redundant relationships. If needed, you can filter on this flag.

You can right-click in the view and select Redundant Logic to display the Redundant Logic dialog box. The top grid includes the redundant relationship that was identified by the analysis and the bottom grid includes the relationships that make that relationship redundant. You can click Delete to delete the relationship. You cannot edit or change relationships in this grid.

Location

Access the Redundancy Analysis command on the Processes tab in the Tools menu group.

Related Topics and Procedures

Related Topics

Redundant Logic Dialog Box


DCMA Analysis

DCMA Analysis determines the critical path using the constraint method. Use the DCMA Analysis option to display the DCMA Constraint Method Critical Path Analysis dialog box where you can set the parameters for the path analysis.

Location

To access the DCMA Analysis command, click the Processes tab and click DCMA Analysis in the Tools menu group.

Related Topics and Procedures

Related Topics

DCMA Constraint Method Critical Path Analysis Dialog Box

Select Target Activity Dialog Box

Related Procedure

Identify the Critical Path Using the Constraint Method


DCMA Constraint Method Critical Path Analysis Dialog Box

Use this dialog box to set the parameters to be used in identifying the critical path using the constraint method.

Analysis Options

This group box contains the following fields and options:

Target Activity

Enter an activity ID or click the ellipse (…) button to select an activity to identify the critical path on the Select Target Activity dialog box. The list of activities does not include completed, summary, and hammock activities. When you enter an activity ID for any of the excluded activities, Open Plan displays a warning message.

Selecting an activity displays the corresponding Baseline Finish Date as well as the Constraint Date.

Open Plan writes the target activity in the DCMA_Target_Activity user defined field on the Project Directory.

Number of months to constrain the target activity

Enter the duration in months (m). The minimum number of months is 6 and the maximum is 36. Changing this field's value automatically updates the Constraint Date value.

The Constraint Date value is the Baseline Finish Date minus the duration in months (based on the project’s default calendar).

Calendar Options

Select one of the following options:

  • Activities use activity calendars – Open Plan uses the calendar assigned to each activity and relationship when performing the analysis.

  • Activities use project default calendar – Open Plan uses the project default calendar for both activities and relationships when performing the analysis. This is selected by default.

Target Date Options

Select one of the following options:

  • Ignore all target dates – Open Plan ignores all targets.

  • Consider Start and Finish Not Earlier Than target (soft constraints) – When selected, Open Plan only considers these two types of target dates and ignores the other target types. This is selected by default.

Number of Paths to Analyze

Enter or select the number of paths you need to analyze.

User Character Field

Enter or select the field where Open Plan stores the results. By default, it is set to USER_CHR09. If the project is open in Read Only mode, this option is disabled.

Perform Analysis

Click this button to perform the DCMA critical path analysis process.

When running this process, Open Plan uses the specified calendar and target date options. In addition, it runs the Time Analysis process with the selected target fields. DCMA Analysis uses the results of Time Analysis to identify paths through the selected user character field.

When the process is done, it displays the DCMA Constraint Method Barchart view.

Location

To display the DCMA Constraint Method Critical Path Analysis dialog box, from the Tools menu group of the Processes tab, select DCMA Analysis.

Related Topics and Procedures

Related Topics

DCMA Analysis


Open Log (Processes Tab)

Open Plan creates a log file each time you run a procedure such as Time Analysis or Resource Scheduling. These log files provide information about the functions that have been performed. Use the Open Log option to display the Log Viewer to view the log files that have been created in previous or current Open Plan sessions.

Location

To access the Open Log command, click the Processes tab and click Open Log in the Log Viewer menu group.

Related Topics and Procedures

Related Topic

Filters

Related Procedure

Sort Data in a View (Procedure)


General (Integration Tab: Import)

Use the General option to display the Import dialog box where you can set user-defined specifications to import data. Each specification consists of a series of commands and parameters that allows Open Plan to import a project, resource, code, or calendar information in a different data formats.

Location

To access the General command, click the Integration tab and click General in the Import menu group.

Related Topics and Procedures

Related Topics

Import and Export Data From/To Another Application

Related Procedure

Import Data From Another Application


MS Project (Integration Tab: Import)

Use the MS Project option to import projects into Open Plan. You can use Open Plan's import and export interface to import Microsoft Project .mpp files and Project Server projects. The import facility provides a seamless integration with Microsoft's current standard data formats.

Use the MS Project command to start the Microsoft Project Import wizard where you can select the Microsoft Project data to import.

You must have Microsoft Project installed on your machine in order to import an .mpp file. You do not need Microsoft Project installed on your machine to import a Project Server (PWA) project.

For more information about MS Project integration, see Microsoft Project Integration.

Location

To access the MS Project command, click the Integration tab and click MS Project in the Import menu group.

Related Topics and Procedures

Related Procedure

Import an MSP File


Oracle Primavera (Intergration Tab: Import)

Use the Oracle Primavera option to import projects into Open Plan. Use the Oracle Primavera drop-down list to select a P6 project to import.

Import P6

Use the Oracle Primavera P6 Import wizard to import Primavera P6 data into Open Plan. You can import Primavera P6 projects from P6 web or a P6 XER or XML file.

For more information about Oracle Primavera, see Oracle Primavera Integration.

Location

To access the Oracle Primavera command, click the Integration tab and click Oracle Primavera in the Import menu group.

Related Topics and Procedures

Related Topic

Oracle Primavera P6 Integration


Export Crosstable Data (Integration Tab)

Crosstable Data (Integration Tab)

Use the Export Crosstable Data option to display the Crosstable Exports dialog box where you can add, copy, edit or delete crosstable data to be exported in either .xml or .csv format.

This command is disabled until you open the Open Plan project whose data you wish to export.

Location

To access the Crosstable Data command, click the Integration tab and click Crosstable Data in the Export menu group.

Related Topics and Procedures

Related Topics

Crosstable Export Definition Dialog Box

Related Procedures

Create a Crosstable Export Specification

Copy a Crosstable Export Specification

Edit a Crosstable Export Specification

Delete a Crosstable Export Specification


General (Integration Tab: Export)

Use the General option to display the Export dialog box where you can set user-defined specifications to export data. Each specification consists of a series of commands and parameters that allows Open Plan to export a project, resource, code, and calendar information in different data formats.

Location

To access the General command, click the Integration tab and click General in the Export menu group.

Related Topics and Procedures

Related Topics

Import and Export Data From/To Another Application

Related Procedure

Export Data to Another Application


IPMDAR (Integration Tab)

The Integrated Program Management Data Analysis Report format (IPMDAR) is a Department of Defense contractor reporting format that uses the JSON data-exchange file format.

Click the IPMDAR option to display the IPMDAR Schedule Export Options dialog box where you can set parameters to export an Open Plan project to an IPMDAR .zip file.

This command is only available if you have rights in EPM Security Administrator and have an Open Plan project open.

For more information about IPMDAR, see IPMDAR Integration.

Location

To access the IPMDAR command, on the Integration tab, in the Export menu group, click IPMDAR.

Related Topics and Procedures

Related Procedures

Export Data to an IPMDAR File

Configure Custom Fields Dialog Box

Configure Activity Fields Dialog Box


MS Project (Integration Tab: Export)

Use the MS Project option to export Open Plan projects. You can use Open Plan's import and export interface to export Microsoft Project .mpp files and Project Server projects. The export facility provides a seamless integration with Microsoft's current standard data formats.

Use the MS Project command to start the Microsoft Project Export wizard where you can select the Microsoft Project data to export.

You must have Microsoft Project installed on your machine in order to export an .mpp file. You do not need Microsoft Project installed on your machine to export a Project Server (PWA) project.

For more information about MS Project integration, see Microsoft Project Integration.

Location

To access the MS Project command, click the Integration tab and click MS Project in the Export menu group.

Related Topics and Procedures

Related Procedure

Export a File to an MSP Database

Export a File to an MSP Project


Oracle Primavera (Integration Tab: Export)

Use the Oracle Primavera option to display the Oracle Primavera Export wizard where you can set parameters to export an .XER file or P6 Web environment to Oracle Primavera.

This command is disabled until you open the Open Plan project that you want to export.

For more information about Oracle Primavera, see Oracle Primavera Integration.

Location

To access the Oracle Primavera command, click the Integration tab and click Oracle Primavera in the Export menu group.

Related Topics and Procedures

Related Procedure

Oracle Primavera P6 Export Wizard

Oracle Primavera P6 Export Wizard (Export Complete Page)

Oracle Primavera P6 Export Wizard (Export Type and Method Page)


Edit (Integration Tab)

Use the Edit option to edit general import or general export scripts in Notepad.

Location

To access the Edit command, click the Integration tab and click Edit in the Scripts menu group.

Related Topics and Procedures

Related Topics

Choosing a Command from the Quick Access Toolbar, File Menu, and Open Plan Tabs


Open Log (Integration Tab)

Open Plan creates a log file each time you run a procedure such as Time Analysis or Resource Scheduling. These log files provide information about the functions that have been performed. Use the Open Log option to display the Log Viewer to view the log files that have been created in previous or current Open Plan sessions.

Location

To access the Open Log command, click the Integration tab and click Open Log in the Log Viewer menu group.

Related Topics and Procedures

Related Topic

Filters

Related Procedure

Sort Data in a View (Procedure)


Tools Tab Overview

Click on a link below to view information about the selected menu option.

  • Custom Fields

  • User Fields

  • Notes

  • Calculated Fields

  • Manage

  • Filters

  • Sorts

  • User Validations

  • Global Edits

  • Batch Global Edits

  • Email Advisor

  • Rollups

  • Spread Curves

  • Reporting Calendars

  • Group Delete

  • Browser Views

  • Favorites

  • Log Viewer

  • Open Log

  • Publisher

  • Web Publisher


User Defined Fields

User Fields Overview

The User Defined Fields feature allows you to create and use data fields that are not included in the product as delivered by Deltek. These fields provide flexibility and customizability because they can be used by most tables and are available in any view where you can select fields for display.

It is important to note that while user defined fields can be created very quickly, they are not the only way in which data fields can be added to the Open Plan database. It is also possible to add fields to the Open Plan tables by modifying the table structures. The question of which is the better avenue to take depends on how often the additional fields will be used:

  • Additional Fields will be used infrequently: Because user defined fields may be used by many projects, they require identifying information in addition to their data. This means that there is much more information that must be processed each time the field is required. If the field is used frequently, performance may be adversely affected.

  • Additional Fields will be used frequently: Add fields by modifying the structure of the affected Open Plan table. While this will take more effort than creating a user defined field, the improved performance may be significant. Deltek recommends that you consult with your Database Administrator if you want to modify the structure of an Open Plan table.

Use the User Fields option to display the User Defined Fields dialog box. The dialog box displays a list of user defined fields that are available for selected data table.

Data is not saved by Open Plan when the data is entered on inter-project links for user defined fields created on the Relationship table.

For more information about the Open Plan data structures, see Standard File Structures in the Deltek Open Plan Developer’s Guide.

New, Copy, Edit, and Delete User Defined Fields

  • New: Click to create a user defined field. On the Tools tab and click User Fields in the Custom Fields menu group. Click New on the User Defined Fields dialog box to display the New User Defined Field dialog box where you can enter the Name, Data Type and Description for your user defined field.

  • Copy: Click to copy an existing user defined field. On the Tools tab, click User Fields in the Custom Fields menu group. On the User Defined Fields dialog box, select a user defined field, and click Copy to display the Copy User Defined Field dialog box. You can change the Name, Data Type, and Description of the copied user defined field.

  • Edit: Click to edit the description for an existing user defined field. On the Tools tab, click User Fields in the Custom Fields menu group. On the User Defined Fields dialog box, select a user defined field to edit, and click Edit to display the Edit User Defined Field dialog box.

  • Delete: Click to delete an existing user defined field. You must have the appropriate rights to be able to delete user defined fields. On the Tools tab, click User Fields in the Custom Fields menu group. On the User Defined Fields dialog box, select a user defined field to delete, and click Delete. A warning message displays to confirm your action.

Location

To access the User Fields command, click the Tools tab and click User Field in the Custom Fields menu group.

Related Topics and Procedures

Related Topics

Rotated and Un-rotated User Defined Fields And Codes

Related Procedures

Create a New User Defined Field

Copy a User Defined Field

Edit a User Defined Field

Delete a User Defined Field


Rotated and Un-Rotated User Defined Fields And Codes

By default, Open Plan stores code assignments and user defined fields in rotated fields. A rotated field means that instead of storing the code assignment or user defined field value on the activity record, Open Plan stores them in their own table that is then linked back to the activity. This solution allows you to use up to 90 code slots and create as many user defined fields as needed. Depending on the number of codes, user defined fields, projects, activities and number of baselines in that project, this method can generate a large amount of rotated data.

With rotated fields, you can quickly open a project because Open Plan has a number of indexes on the tables in which the the rotated data is stored, however, because of this, Save As and Delete actions may become increasingly slower.

When you baseline a project where the activities have code assignments and user defined fields, baseline activity records are created and the code assignments and user defined fields are also created for the baseline (in addition to the activity versions). This means that for each activity in your project, there is a corresponding baseline activity with its own code and user defined fields on it for each baseline.

For example, if you had 100 projects, each with 1000 activities, 10 baselines and 10 user defined text fields (fully populated on each activity), you are looking at 100*1000*10*10 records in your WST_UTX table (where Open Plan stores user defined text values). This works out to 10,000,000 records just the WST_UTX table alone. You then need to use the calculation for codes, user defined dates, user defined durations, and user defined numbers. This can quickly add up to a sizable amount of data in the tables.

Having the data stored in rotated fields in the database works fine, but the more data stored in those rotated fields, the slower the performance wil be for Save As and Delete operations. This is because of the amount of indexes Open Plan uses on those tables. Indexes allow Open Plan to read the data from the tables very fast, but write or delete data very slowly.

The alternative to storing data in rotated fields is to have Open Plan store the data in un-rotated fields. An un-rotated field means that Open Plan will store the code assignment of the user defined field on the activity record itself. This requires that the table (for example: activity table - OPP_ACT) be modified to contain additional fields to store the code and user defined field values. Un-rotating highly used fields will increase the performance of Save As and Delete operations.

Definitions:

  • Rotated Fields: A rotated field means that instead of storing the code assignment or user defined field on the activity record, Open Plan stores them in their own table that is then linked to that activity. For example, user defined text is stored in the WST_UTX table and not in the activity table (OPP_ACT).

  • Un-Rotated Fields: An un-rotated field means that Open Plan stores the code assignment or user defined field on the activity record itself. In addition to all of the standard fields that are in the activity table (OPP_ACT), additional fields at the bottom contain the un-rotated data. For example, un-rotated user defined text fields are stored in the activity table (OPP_ACT) in the additional fields and not in the WST_UTX table which is the default.

  • Referential Integrity: Referential Integrity is the consistency between coupled tables in the database. In Open Plan, it means that you cannot delete a code from a code file, if that code is assigned to an activity (or other object).

Frequently Asked Questions

  • How many fields can I un-rotate? If you are un-rotating fields in a Microsoft Access database, you can un-rotate a total of 127 fields in any table. This is because of a limitation with the Microsoft Access database. SQL Server and Oracle do not have this limitation. There is no SQL script for un-rotating fields in a Microsoft Access database. You will have to do this manually. Additionally, if you un-rotate a field in your main database, you will also have to manually un-rotate the same field in your briefcase database if you wish to use the briefcase functionality.

  • How much data can I un-rotate? Both the SQL Server and Oracle have a hard limit as to the amount of data (in bytes) that any row in a table can hold. Depending on the amount of code fields and user defined fields (specifically, user defined text fields since they take up more bytes of data). you may reach that limit. Deltek recommends that you consult with your Database Administrator to assess how much data you have available per table to help determine how many fields (and which ones) you can un-rotate.

  • Which fields should I un-rotate? The UDFFieldCountByFieldType_[database_type].sql script lists the field names, table types, and how many records those fields are in the database for each rotated type (codes, user defined text, user defined durations, user defined dates, and user defined numbers). Please see the Considerations for Un-Rotating User Defined Fields and Code Fields sections below for how to determine which fields (if any) you may want to un-rotate. Generally, you only want to un-rotate fields that are highly used as these are the ones that are taking up the most room in your database. You will probably not see any noticeable performance increase if you un-rotate a user defined field that is only used a few times in the database.

Considerations for Un-Rotating User Defined Fields

For user defined text fields, if you un-rotate too many fields, you might reach your database limit on the amount of data (in bytes) that any record in a table can hold. The UDFFieldCountByFieldType_[database].sql script lists the maximum length of the longest text in each of the user defined text fields. The maximum length for a user defined text field is 255 characters. If the 'MAX_LEN' column in the results of the UDFFieldCountByFieldType_[database].sql script shows, for example, 65 for a specific user defined text field, depending on how your users use that field, you may only need to un-rotate it with a length of 65 characters. That saves you 190 bytes per record. With 10,000,000 records, that is a saving of 1,812 MB (megabytes).

Any user defined field that you un-rotate no longer displays in the Activity Details dialog box User Fields tab. To see and/or modify those un-rotated user defined fields, you will need to add them as a column in a view.

Considerations for Un-Rotating Code Fields

The main issue for un-rotating code fields is the loss of the built in referential integrity. Referential Integrity is the consistency between coupled tables in the database. In Open Plan, it means that you cannot delete a code from a code file if that code is being referenced by an object (such as an activity). If you un-rotate code fields, you lose the referential integrity. This means that you can delete codes from a code file that are being referenced by an object. This will leave the activity with ID UNAVAILABLE for the code assignment. To miminize the risk, use the access controls to limit the number of people who can modify the code files.

Un-Rotating Note Categories

There is no support for un-rotating Notes fields. Notes are loaded on-demand (that is, when they are required). There is a 64K internal cache for each note category. This means that after a note has been accessed, it is held in memory until it is replaced by other notes that have been accessed more recently. Large quantities of notes do not usually impact normal operations such as opening and saving files, and updating projects, although, additional database access occurs for each note category when an activity is edited. However, large quantities of notes DO impact Save As performance because Open Plan needs to copy the notes from the source project to the new destination project.

Related Topics and Procedures

Related Topics

Codes

Coding Structures in Open Plan

Code Files

Add Codes to a Code File

Code Details Code Tab

Code Details User Fields Tab

Code Details Notes Tab

How a Code Window Displays Information

Related Procedures

Add a Child Code to a Code File

Edit a Code

Find a Code

Delete a Code

Attaching a Note to a Code

Edit a Code Note

Delete a Code Note

Create a Note Category

Edit a Note Category

Delete a Note Category


Notes (Tools Tab)

Use the Notes option to display the Note Categories dialog box where you can attach multiple notes to an activity, resource, or code. You can also organize your notes into different categories.

Location

To access the Notes command, click the Tools tab and click Notes in the Custom Fields menu group.

Related Topics and Procedures

Related Topics

Notes and Note Categories

Related Procedures

Create a Note Category

Edit a Note Category

Delete a Note Category


Calculated Fields

Calculated Fields: Overview

The data fields displayed in an Open Plan view are typically one of three types:

  • Normal data entry fields: For example, an activity ID or description that can be updated by the user at any time.

  • Fields generated by Open Plan processes: For example, the Early Start and Early Finish dates calculated by Time Analysis.

  • Calculated fields defined by the user

User defined calculated fields allow you to calculate data not stored in the standard versions of the project database tables. With this powerful reporting feature, you can extend the flexibility of any view by displaying data that is a result of a custom calculation.

After you have defined a calculated field, you can choose that field as a column in a spreadsheet view or display it in an activity box just as you can with any standard field. You can also include calculated fields in custom filter and sort expressions.

In addition to being able to name and save these calculated fields, Open Plans allows you to create and use temporary calculated fields in the following circumstances:

  • Export scripts (as a filter)

  • Spreadsheet Add Column dialog box

  • Spreadsheet Insert Column dialog box

  • Spreadsheet Edit Column dialog box

  • Multi-table link grids

  • When defining the box layouts for the network and hierarchy views

  • When defining box attributes for the network view (as a filter)

  • OLE automation

Open Plan does not allow you to delete a permanent calculated field upon which another calculated field, sort, filter, or global edit expression depends, even if the dependent is a temporary item. Temporary items remain in memory while the project is open. For this reason, even if you remove the temporary item from the current view, a permanent calculated field referring to that temporary item cannot be deleted until the project has been closed and re-opened.

Open Plan does not store the results of calculated fields in the project database. Only the definition of the calculation is saved; the results are re-calculated each time the field is required for display. Therefore, third-party applications that query the database cannot access the results of calculated fields.

Using Calculated Fields

You can use the global edit feature to place the contents of a calculated field into a user defined field where it is accessible to third-party applications.

An expression defining a calculated field can include the following elements:

Expression

Description

Constants

You can include text, date, numeric, and logical constants in a calculated field or global edit according to the following guidelines:

  • Text: Text must be enclosed in either single or double quotes.

  • Dates: Dates must be enclosed in curly brackets ({ and }) and can be expressed in any valid date format.

  • Durations: Durations must be enclosed between piping symbols ( | ) and can be expressed in any valid duration format.

  • Numerics: Numeric constants can include any positive or negative value and can appear with or without decimal places.

  • Logical values: Valid logical constants are [True] and [False].

  • Enumerated values: Values for enumerated fields (that is, fields with a limited number of valid values) must be enclosed between square brackets ([ and ]). Open Plan recognizes the following enumeration types:

Enumeration Type | Description
ACTS | Activity status
ACTT | Activity type
BOOL | Boolean
CRIT | Critical flag
CURV | Curve
PROG | Progress
RELT | Relationship type
RESC | Resource class
REST | Resource type
RSCL | Resource scheduling type
TARG | Target type

Other calculated fields

Expressions defining calculated fields can include references to previously defined calculated fields.

A calculated field cannot include a reference to itself.

Mathematical operators

You can include the following mathematical operators in a calculated field or global edit expression:

  • Add (+)

  • Subtract (-)

  • Multiply (*)

  • Divide (/)

  • Group (( ))

  • Exponentiate (^ or **)

Expressions containing mathematical operators are evaluated according to the normal rules of precedence:

  • Grouping operations are performed before multiplication and division operations.

  • Multiplication and division operations are performed before addition and subtraction operations.

Logical operators

You can include the following logical operators in a calculated field or global edit expression:

  • AND

  • NOT

  • AND NOT

  • OR

  • Group (( ))

Duration operators

You can include the following duration operators in a calculated field or global edit expression:

  • Add (+)

  • Expression

    Duration + Duration

    Date + Duration

    Result

    Duration

    Date

  • Subtract (-)

  • Expression

    Duration – Duration

    Date – Date

    Date – Duration

    Result

    Duration

    Duration

    Date

  • Divide (/)

  • Expression

    Duration / Duration

    Duration / Number

    Result

    Decimal

    Duration

  • Multiply (*)

  • Expression

    Duration * Number

    Result

    Duration

Field names

When including a field in an expression for a calculated field or global edit, you must enter the name of the field and not the descriptive name that is displayed in spreadsheet column headings. For example, if you want to define a calculated field expression that references the field containing early start dates, you must identify the field as ESDATE, not Early Start.

Functions

Calculated field and global edit expressions can contain a number of functions. For more information, refer to the topic "Using the Functions Dialog Box."

Relational operators

Expressions for calculated fields or global edits can include the following relational operators:

  • Equal to (=)

  • Not equal to (<>)

  • Greater than (>)

  • Greater than or equal to (>=)

  • Less than (<)

  • Less than or equal to (<=)

  • Contained in ($)

Character operators

You can include the following character operators in a calculated field or global edit expression:

  • Concatenate (+)

    • Sample Usage | Result
"Quick" + "Brown Fox" | "Quick Brown Fox"

  • Contains in ($)

    • Sample Usage | Result
"ABC" $ "123ABCDEF" | TRUE

Project Level Variables

You can instruct Open Plan to use project-level data from the current project or external subproject by specifying _proj. or _subp. as a prefix to the field. For example:

  • _proj.manager_email_address returns the email address of the project manager to the calculated field or global edit

  • _subp.project_name returns the name of the subproject to the calculated field or global edit

In addition, an expression defining a calculated field can also include the special operators used in filters.

When an error is generated by Open Plan, the portion of the failed expression in the Expression field is highlighted.

To display a list of available calculated fields, click the Calculated Fields command on the Tools tab to display the Calculate Fields dialog box.

If you hover your mouse cursor over a calculated field, Open Plan displays the definition of that calculated field as a tool tip.

Location

To access the Calculated Fields command, click the Tools tab and click Calculated Fields in the Custom Fields menu group.

Related Topics and Procedures

Related Topics

Calculated Fields Dialog Box

New Calculated Field Dialog Box

Calculated Field Expression Dialog Box

Functions Dialog Box

Related Procedures

Filter Data on a Calculated Field

Sort Data on a Calculated Field

Create a New Calculated Field

Copy a Calculated Field

Edit a Calculated Field

Delete a Calculated Field

Delete a Calculated Field on which a Temporary Calculated Field is Based


Define Calculated Fields

Use the Calculated Fields option on the Tools tab to define a new calculated field. When you define a new calculated field, Open Plan displays the New Calculated Field dialog box where you can enter a name for the field, the data table to which you want to associate the field with, and the type of result produced by the field.

The calculated field can produce any of the following result types:

  • Character: Returns a character string to the calculated field

  • Date: Returns a date to the calculated field

  • Decimal: Returns a decimal number (for example, 7.89) to the calculated field

  • Duration: Returns a duration to the calculated field

  • Finish Date: Returns an activity Finish Date to the calculated field

  • Integer: Returns a whole number to the calculated field

  • Logical: Returns a True or False value to the calculated field

After adding a name, data table association, and result type, Open Plan displays the Calculated Field Expression dialog box where you can enter the expression for the field.

You can change the table and data type assignment for the expression. For expressions that result in decimal data types, you can specify the number of decimal places in the result.

You can define calculated fields for both project and resource files. By default, Open Plan stores the calculated field with the project or resource file that is open when you define the field. Open Plan may also store the field with the current view if the field is used by the view.

Related Topics and Procedures

Related Topic

Calculated Fields Overview

Related Procedures

Filter Data on a Calculated Field

Sort Data on a Calculated Field

Create a New Calculated Field

Copy a Calculated Field

Edit a Calculated Field

Delete a Calculated Field

Delete a Calculated Field on which a Temporary Calculated Field is Based


Expression Elements

Expression Elements are expressions defining a calculated field or a global edit.

Element

Description

Character operators

You can include the following character operators in a calculated field or global edit expression:

  • Concatenate (+)

  • Sample Usage

    Result

    "Quick" + "Brown Fox"

    "Quick Brown Fox"

  • Contained in ($)

  • Sample Usage

    Result

    "ABC" $ "123ABCDEF"

    TRUE

Constants

You can include text, date, numeric, and logical constants in a calculated field or global edit:

  • All text must be enclosed in either single or double quotes.

  • Dates must be enclosed in curly brackets ({ and }).

  • Durations must be enclosed between piping symbols ( | ).

  • Numeric constants can include any positive or negative value and can appear with or without decimal places.

  • Valid logical constants are [True] and [False].

  • Values for enumerated fields (that is, fields with a limited number of valid values) must be enclosed between square brackets ([ and ]). To see a list of the fields that are enumerated in Open Plan, see Fields in Open Plan.

Duration operators

You can include the following duration operators in a calculated field or global edit expression:

Operator | Expression | Result
Add (+) | Duration + Duration | Duration
 | Date + Duration | Date
Subtract (-) | Duration - Duration | Duration
 | Date - Duration | Date
Divide (/) | Duration / Duration | Decimal
 | Duration / Number | Duration
Multiply (*) | Duration * Number | Duration

Field names

When including a field in an expression for a calculated field or global edit, you must enter the name of the field and not the descriptive name that is displayed in spreadsheet column headings. For example, if you want to define a calculated field expression that references the field containing early start dates, you must identify the field as ESDATE, not Early Start.

Functions

Calculated field and global edit expressions can contain a number of functions. For more information, refer to the topic "Using the Functions Dialog Box" accessed by clicking See Also on this Help topic.

Logical operators

You can include the following logical operators in a calculated field or global edit expression: AND; NOT; OR; AND NOT; Group (( ))

Mathematical operators

You can include the following mathematical operators in a calculated field or global edit expression: Add (+); Subtract (-);Multiply (*);Divide (/);Group (( )); Exponentiate (^ or **).

Expressions containing mathematical operators are evaluated according to the normal rules of precedence:

  • Grouping operations are performed before multiplication and division operations.

  • Multiplication and division operations are performed before addition and subtraction operations.

Calculated fields

Expressions defining calculated fields or global edits can include references to previously defined calculated fields. Note that a calculated field cannot include a reference to itself.

Relational operators

Expressions for calculated fields or global edits can include the following relational operators: Equal to (=);Not equal to (<>);Greater than (>);Greater than or equal to (>=);Less than (<);Less than or equal to (<=);Contained in ($)


Temporary Calculated Fields

In addition to allowing you to name and save calculated fields for future use, you can also create and use temporary calculated fields in the following circumstances:

  • Export scripts

  • Spreadsheet Add, Insert, and Edit Column dialog boxes

  • Multi-table define links

  • When defining the box layouts for the network and hierarchy views

  • When defining box attributes for the network view

  • OLE automation

These temporary calculated fields do not display in the Calculated Fields dialog box. They are not saved as part of the project. If you save the view while a temporary calculated field is in effect, Open Plan saves the view with the definition applied.

Related Topics and Procedures

Related Topic

Calculated Fields Overview

Related Procedures

Define a Temporary Calculated Field in a Network View

Define a Temporary Calculated Field in a Spreadsheet View

Delete a Calculated Field on which a Temporary Calculated Field is Based


Filters Overview

Use the Open Plan filters to limit the display of items in a view, based on a set of specific criterion. Open Plan provides a number of pre-defined filters common to many project management reports.

You can utilize filters in a number of ways:

  • Pre-defined filters: You can apply the general filters available on the Filters dialog box to a project view.

  • Custom filters: You can define custom filter expressions that you can apply to views. The filters that you define are stored in the database and can be shared with your team.

  • Temporary filters: You can create temporary filters when the specific criteria you need is not likely to be used again. For more information about temporary filters, see Temporary Filters.

  • Filters on a multi-table spreadsheet: You can apply filters to a secondary table in the Spreadsheet Preferences dialog box.

  • Filters in a network view: You can use filters for placements of activities and relationship lines in a Network view. For more information about placements, see Automatic Placements.

  • Filters for linking and outlining in spreadsheet or barchart views: You can apply filters when you are linking or outlining in a Spreadsheet view. For information about outlining, see Outlining. For information about linking, see Linking.

Each project view can have a different filter in effect. When a filter is in use for a view, you can continue to add activities to the view. Open Plan displays the activities as you add them, even if the new activities do not satisfy the current filter condition. However, if you close the view and return to it later or click the Reapply Filter And Sort [image] button on the Edit tab, the activities you added may not display if the filter expression excludes them.

How Open Plan Applies a Filter

  • When selecting filtered activities, the status of the parent item applies to the status of the child. For example, if you apply a filter to a view and select and copy a parent activity or a resource pool, Open Plan automatically copies all children of the item, even if they do not meet the original filter criteria.

  • If you apply a filter to a spreadsheet or a barchart view with outlining enabled, the status of child items is determined by the status of the parent when you select the filter from the Top Down option. For example, if a parent activity fails to meet the filter criteria, none of the children display in the view, even in cases where the individual child activities satisfy the filter.

  • If you apply a filter to a linked spreadsheet view, the filter applies only to the information from the primary data table for the view.

  • In a multi-table spreadsheet, you can only apply the filter to the primary table. To apply a filter to a secondary table, use the Filters column on the Define Link tab of the Spreadsheet Preferences dialog box.

Filter Status

You can use a different filter for each project view. When a filter is in effect, the filter name displays in the status bar, at the bottom of the Open Plan window. If you hover your mouse cursor over a filter, Open Plan displays the details of that filter as a tool tip.

The highlighted text in red on the image above is the custom filter in effect.

Custom Filters

You can define custom filter expressions that can be applied to views. These custom expressions are based on any field from an activity or resource-related data table and can feature complex expressions using logical operators and parentheses. After creating a filter, you can make it available to other users in the network.

In addition to their use as view filters, filter expressions can be used as criteria for bar attributes in a barchart view, box attributes in a network view, or in the Conditional Formatting dialog box.

When you create a new filter, Open Plan displays the New Filter dialog box where you can specify a filter name and the source of the fields to display in the filter. After entering a name and a data table for the filter, you can enter the expression for the filter criterion using the Filter Expression dialog box.

Guidelines for Defining Filter Expressions

  • When you enter literal dates, enclose the value curly braces {}.

  • When you enter literal strings, enclose the value in quotes (single or double).

  • When you enter literal durations, enclose the value in pipe symbols | |. If you do not specify a duration identifier (m, w, d, h, t), the default duration unit will be assumed. You should enclose enumerated or Boolean values in square brackets [].

Open Plan requires that you define "today" as a specific date and time range. Therefore, if "today" is May 4, 2019, you will enter one of the following expressions in the Filter Expression dialog box:

  • ESDATE>{03MAY19 23:59} AND ESDATE<{05MAY19 00}

  • ESDATE BETWEEN({03MAY19 23:59},{05MAY19 00})

Related Topics and Procedures

Related Topics

Additional Filtering Options

Temporary Filters

Favorite Filters

Related Procedures

Apply Filter to a View

Filter Data on a Code Level

Filter Data on a Calculated Field

Designate a Filter as a Favorite

View and Select Favorite Filters


Filters (Tools Tab)

Use the Filters option to display the Filters dialog box where you can create, copy, edit, or delete filters.

Location

To access the Filters command, click the Tools tab and click Filters in the Manage menu group.

Related Topics and Procedures

Related Topics

Filters Overview

Additional Filtering Options

Temporary Filters

Favorite Filters

Related Procedures

Apply Filter to a View

Filter Data on a Code Level

Filter Data on a Calculated Field

Designate a Filter as a Favorite

View and Select Favorite Filters


Additional Filtering Options

The following filter options are available on the Edit tab:

  • Add To Filter: This option takes a selection range and adds the selection values to the currently selected filter based on the following rules:

    • Multiple selections within a column are added to the filter with an OR EQUALS condition

    • Multiple selections across columns are added to the filter with an AND EQUALS condition

  • Remove From Filter: This option takes a selection range and adds the selection values to the currently selected filter based on the following rules:

    • Multiple selections within a column are added to the filter with an OR NOT EQUALS condition

    • Multiple selections across columns are added to the filter with an AND NOT EQUALS condition

  • Clear Filter: This option removes the currently selected filter. It is the same as opening the Filters dialog box and selecting <Cancel Filter> from the list of filters.

  • Toggle Filter: After a filter has been applied, this option turns the filter ON or OFF while still remembering it.

  • Edit Expression: This option displays the Filter Expression dialog box where you can copy, edit, and delete filters. It bypasses the Filters dialog box.

  • Reapply Filter And Sort [image]: Select this option to apply the last filter and sort again.

Location

To access additional filter options, click the Edit tab and select a filter option in the Filter menu group.

Related Topics and Procedures

Related Topics

Filters Overview

Related Procedures

Apply Filter to a View

Filter Data on a Code Level

Filter Data on a Calculated Field

Designate a Filter as a Favorite


Favorites (Filters)

Favorites (Tools Tab: Filters)

After applying a pre-defined or a custom filter to a view, you can use the Favorites option to designate a filter as one of your favorite or frequently-used filters. Use the Organize Favorites dialog box to add, remove, or rearrange your favorite items.

Open Plan displays a maximum of 10 favorite filters. If you have more than 10 favorite filters, you can click More Favorites to display the rest of your favorite filters.

The filters that display on your favorites list depend on the view you are in. A resource-based view will show favorite filters that apply to the resource table, whereas an activity-based view will display favorite filters that apply to activities.

You can use the Organize Favorites dialog box to manage your favorite's list.

Location

To access the Favorites command, click the Edit tab and click Favorites in the Filters menu group.

Related Topics and Procedures

Related Topics

Additional Filtering Options

Related Procedures

Apply a Filter to a View

Filter Data on a Code Level

Filter Data on a Calculated Field

Designate a Filter as a Favorite

View and Select Favorite Filters


Temporary Filters

Use a temporary filter when the specific criteria you are limiting is not likely to be used again. For example, you want to view a list of activities that are scheduled to start today. While you can create a filter to display this list, it is not a filter that you will necessarily want to save or use for another time.

Temporary filters are available only in the view in which they are defined and valid until superseded by another filter. If you save the view while a temporary filter is in effect, Open Plan saves the view with the filter applied. You cannot make temporary filters available to other projects, nor can you make them available to other users with the Share this Item with Others option.

In addition to using temporary filters in Open Plan views, you can create and use temporary filters for export scripts and OLE automation.

You can create temporary filters in any of the following ways:

  • Click the Tools tab and click Filters in the Manage menu group. Select <Temporary Filter> on the Filters dialog box.

    • Creating a temporary filter this way uses the same Filter Expression dialog box used for creating a new filter but with two exceptions: the name of the filter is <temporary> and the Share this Item with Others option is disabled.

  • Enter the temporary filter expression directly into the field where it will be used.

    • For example, you can type the temporary filter expression directly into the Criterion field on the Bar Attributes tab of:

    • The Bar Set Preferences dialog box

    • The Network View Preferences dialog box

You can display the Filter Expression dialog box for temporary filters in the following ways:

  • In network views, you can display the Filter Expression dialog box for a temporary filter by clicking Filters on the Placements dialog box and selecting <Temporary Filter> on the Filters dialog box.

  • In spreadsheet and barchart views, you can display the Filter Expression dialog box for a temporary filter by clicking Filters on the Tools tab and selecting <Temporary Filter> on the Filters dialog box.

Temporary Filters on a Secondary Table

You can apply a temporary filter to a secondary table in a multi-table view on the Define Link tab in the Spreadsheet Preferences dialog box.

The filter for data from all subsidiary tables is controlled independently. A new filter on a subsidiary table is an addition to a filter on a higher level.

If you inadvertently enter the filter expression on the wrong row, Open Plan attempts to automatically move the filter expression to the correct row. This is visible the next time you display the Define Link tab.

Related Topics and Procedures

Related Topics

Filters Overview

Filters (Tools Tab)

Additional Filtering Options

Related Procedures

Create a Temporary Filter in a Network View

Create a Temporary Filter Using the Filter Expression Dialog Box

Filter a Multi-Table View on a Secondary Table


Sorts Overview (Tools/Edit Tab)

Sorts Overview

By default, Open Plan displays activities and resources in barchart and spreadsheet views in order of ID. Open Plan provides pre-defined sorts common to many project management reports. Use Sorts to assign a different sorting sequence to a view depending on your needs.

You can utilize sorts in a number of ways:

  • Pre-defined sorts: You can apply the general sorts available on the Sorts Dialog Box to a project view.

  • Custom sorts: You can define custom sort expressions that you can apply to views. The sorts that you define are stored in the database and can be shared with your team.

  • Temporary sorts: You can create temporary sorts when the specific sorting sequence you need is not likely to be used again. For more information, see Temporary Sorts.

  • Sorts on a multi-table spreadsheet: You can apply sorts to a secondary table in the Spreadsheet Preferences dialog box.

  • Sorts for outlining or grouping in spreadsheet or barchart views: You can sort activities within the outline or group structure if outlining is enabled or groups are defined. For more information about outlining, see Outlining. For more information about grouping, see Grouping in the Barchart View or Grouping in the Spreadsheet View.

Sorts do not affect the display of activities in a network view.

Default Sort Order Rules

The following rules apply to the default sort order:

Explicitly sorting on Activity ID still sorts it alphabetically.

  • Hierarchical fields: The default sort order for all hierarchical fields (for example, Activity IDs, Resource IDs, and codes) is interpreted numerically when possible. For example, 1.2 is sorted before 1.10.

  • Character data: Open Plan sorts character data alphabetically.

  • Mixed characters and numeric data: Mixed characters and numeric data is sorted alphabetically, except for trailing numeric digits which are sorted numerically. For example, A2 comes before A10. Since each component of the name is sorted independently, some data can be numeric and some not.

  • IDs with leading zeros: IDs with leading zeros are sorted first. For example, A01 comes before A1.

When you have a table based on a hierarchy, Open Plan enables the Reapply Filter and Sort option on the Edit tab even when there is no sort or filter specified.

The rules for the sort order are fundamental to the workings of the automatic numbering and indent/outdent features. For information about automatic numbering, see Automatic Numbering within a Spreadsheet.

Sorts in Spreadsheets

You can sort the data in a spreadsheet based on either a single column or on multiple columns. In barchart view, the sort you applied on the spreadsheet pane also reflects in the barchart pane of the views.

For information about sorting your data in a spreadsheet, see Sort the Data in a Spreadsheet (Procedure).

Sorts Status

You can use a different sort for each project view. When a sort is in effect, the sort name displays in the status bar at the bottom of the Open Plan window. If you hover your mouse cursor over a sort, Open Plan displays the details of that sort as a tool tip.

Additional Sort Options

The following sort options are available on the Edit tab in the Sorts menu group:

  • Reapply: Select this option to apply the last sort again.

  • Manage: Select this option to display the Sorts Dialog Box where you can create, copy, edit, and delete sorts.

  • Clear: Select this option to remove the currently selected sort. It is the same as opening the Sorts Dialog Box and selecting <Cancel Sort>.

Custom Sorts

You can define custom sort expressions that you can apply to views. These custom expressions are based on any field from an activity or resource-related data table and can feature complex expressions using logical operators and parentheses.

In addition to allowing you to name and save sorts for future use, Open Plan allows you to create and use "on-the-fly" sorts for the following:

  • Import scripts

  • When defining a link using the Spreadsheet Preferences dialog box

  • OLE automation

You can use the Sort Expression dialog box to edit the sort, or you can enter the sort expression directly into the field.

When you create a new sort, Open Plan displays the New Sort dialog box where you can enter a sort name and indicate the source of the sort fields. After you have entered a name and selected a data table, Open Plan allows you to define the sort expression using the Sort Expression dialog box. With this dialog box, you can build a sort expression by indicating each sorting field and whether Open Plan should use an ascending or a descending order when sorting activities using that field. Use the Share this Item with Others option to share your sort with your team.

You can designate pre-defined or custom sorts as favorites. Click the Edit tab and click Favorites in the Sorts menu group, or use the Organize Favorites dialog box to add, remove, or rearrange favorite items.

Sort Expression Syntax

The syntax for a sort expression is:

<sort_field1>,<sort order>|<sort_field2>,<sort order>|…

where:

  • Each of the <sort_fieldx> values is either the name of an existing field on the appropriate table or the definition of a calculated field for that table.

  • The sort order indicates an ascending (0) or a descending (1) sort.

  • The piping symbol (|) separates the sorts you create.

For example, the following expression:

ORIG_DUR,0|ACT_ID,1

sorts the Original Duration field in ascending order and within that, sorts the Activity ID field in descending order.

You can define sort expressions based on a substrings of a text field (for example, the activity description) by creating a calculated field containing the substring and including the calculated field in the sort expression.

For information about creating calculated fields, see Calculated Fields.

Related Topics and Procedures

Related Topics

Sorts (Tools Tab)

Temporary Sorts

Click to Sort

Favorites

Related Procedures

Sort Data in a View

Sort Data on a Calculated Field

Sort the Data in a Spreadsheet

Designate a Sort as a Favorite

Create a New Sort Criterion


Sorts (Tools Tab)

Use the Sorts option to display the Sorts Dialog Box where you can create, copy, edit, or delete sorts.

Location

To access the Sorts command, click the Tools tab and click Sorts in the Manage menu group.

Related Topics and Procedures

Related Topics

Overview

Sort Expression Dialog Box

New Sort Dialog Box

Temporary Sorts

Click to Sort

Favorites

Related Procedures

Creating a New Sort Criterion (Procedure)

Deleting a Sort Criterion (Procedure)

Editing a Sort Criterion (Procedure)

Copying a Sort Criterion (Procedure)


Click to Sort

In addition to the temporary sort, you can sort the spreadsheet and barchart views by clicking the column headings.

When the Click to Sort option is enabled, you can click the column headings and toggle the sort operation between ascending or descending order. A small arrow displays when you click the column heading of a view. This shows the direction of the sort.

To sort the data for multiple columns:

  • Non-adjacent columns: Ctrl + Click on the column headings until you have defined the entire sort expression.

  • Adjacent columns: Shift + Click on the column headings until you have defined the entire sort expression.

When you sort columns based on a primary table in multi-table views, the Click to Sort option records the temporary sort in the Temporary Sort Expression dialog box. If you sort a spreadsheet based on a secondary table, the sort expression displays in the Sort column on the Define Link tab of the Spreadsheet Preferences dialog box.

Location

To access the Click to Sort command, click the View tab and click Click to Sort in the Column menu group.

You can also right-click on a heading column and select Click to Sort.

Related Topics and Procedures

Related Topic

Sorts Overview

Related Procedures

Enable the Click to Sort Option

Disable the Click to Sort Option


Favorites (Sorts)

After you assigned a pre-defined or a custom sorting sequence to a view, you can use the Favorites option to designate the sorts as one of your favorites or frequently-used sorts. Use the Organize Favorites dialog box to add, remove, or rearrange your favorite items.

Open Plan displays a maximum of 10 favorite sort sequence. If you have more than 10 favorite sorts, you can click More Favorites to display the rest of your favorite sorts.

The sorts that display on your favorites list depend on the view you are in. A resource-based view will show your favorite sorts that apply to the resource table, whereas an activity-based view, will show your favorite sorts that apply to activities.

You can use the Organize Favorites dialog box to manage your favorite's list.

Location

To access the Favorites command, click the Edit tab and click Favorites in the Sorts menu group.

Related Topics and Procedures

Related Topic

Sort Overview


Temporary Sorts

Use a temporary sort when the specific sorting sequence you need is not likely to be used again.

Temporary sorts are available only in the view in which they are defined and valid until they are superceded by another sort. You cannot make temporary sorts available to other projects, nor can you make them available to other users with the Share this Item with Others option.

You can create temporary sorts in the following ways:

  • Right-click any column heading in a spreadsheet view and select Click to Sort. This method allows you to sort the data in the spreadsheet based on either a single column or on multiple columns.

  • Click the Tools tab and click Sorts in the Manage menu group. Select <Temporary Sort> from the Sorts dialog box to display the Temporary Sort Expression dialog box.

The temporary sorts created can be applied to a primary table. In a multi-table spreadsheet view, you can apply a sort to a secondary table using the Define Link tab from the Spreadsheet Preferences dialog box or you can click the column headings. In a multi-table view, the primary table is the main table which the view is based on. The secondary table is the linked table.

While you can type the sort expression in the text box of the Temporary Sort Expression dialog box, you can also use the Fields option to display a dialog box that you can use as an aid in building the sort expression.

In addition to using temporary filters in Open Plan views, you can create and use temporary sorts for export scripts and OLE automation.

Temporary Sort on a Secondary Table

You can apply a temporary sort to a secondary table in a multi-table view by using the Define Link tab of the Spreadsheet Preferences dialog box.

The sort for data from all subsidiary tables is controlled independently, new sort on a subsidiary table is in addition to a sort on a higher level.

If you inadvertently enter the sort expression on the wrong row, Open Plan attempts to automatically move the sort expression to the correct row. This is visible the next time that you display the Define Link tab.

These temporary sorts do not display in the Sorts dialog box and they are not saved as part of the project. If you save a view while a temporary sort is in effect, Open Plan saves the view with the sort applied.

Related Topics and Procedures

Related Topics

Sort Overview

Sorts (Tools Tab)

Related Procedures

Create a Temporary Sort

Enable the Click to Sort Option

Disable the Click to Sort Option


User Defined Validations

User Defined Validations Overview

User defined validations allow you to define and apply your own rules and business logic. This ensures that the data you enter into schedules meets corporate and industry best practice guidelines and reduces re-work when subsequent schedule quality audits are performed.

The rules or validations are applied on a per project basis, which means different organizations or customers can have different rules or standards. Open Plan applies these rules each time you save your information.

Click User Validations on the Tools tab to display the User Defined Validations dialog box where you can add, copy, edit, and delete rules for projects.

For more information about User Defined Validations (UDVs), examples, best practices, and how to set up expressions and messages, see Knowledge Base Article #75068.

Validation Rules

You can set validation rules so that Open Plan validates your data before it is processed. These rules verify that the information you provided is accurate, valid, and secure before saving into Open Plan. Specific error messages display when fields or tables are not validated successfully. This helps you identify what you must do to clean or correct the errors using an acceptable format.

Manage Validation Rules

  • Create, copy or edit: You can create, copy, or edit a condition (sort, filter, calculated field, or global edit expression) for your validation rule. For information about creating, copying or editing validation rules, see Create a Validation Rule, Copy a Validation Rule, or Edit a Validation Rule.

  • Delete: You cannot delete a rule that is assigned to a project. You can click References on the User Defined Validations dialog box to check the list of projects or files assigned to a rule. You need to disassociate the validation rule from the project before you can delete the rule. For information about deleting a validation rule, see Delete a Validation Rule.

  • Assign to a project: You can assign an existing rule to a project. Before you perform this procedure, make sure that you have already defined the rule or the rule that you need already exists. For information about assigning a rule to a project, see Assign a Rule to a Project using the Assign User Defined Validation Box.

  • Remove from a project: You can remove a rule when it is no longer relevant to the project. For information about disassociating a rule from a project, see Remove an Assigned Validation Rule from a Project.

Assigning Rules to Projects

You can assign newly defined or existing rules to projects in the following ways:

  • On the Tools tab, click User Validations in the Manage menu group to display the User Defined Validations dialog box. Click Assign to display the Assign User Defined Validations dialog box where you can assign rules.

  • On the Edit tab, click Properties in the Dialogs menu group to display the Project Properties dialog box. Use the Validations tab to assign or remove rules from the project.

Related Topics and Procedures

Related Topics

Overview

User Validations (Tools Tab)

Related Procedures

Create a Validation Rule

Assign a Rule to a Project Using the Assign User Defined Validation Dialog Box

Copy a Validation Rule

Edit a Validation Rule

Delete a Validation Rule

Remove an Assigned Rule from a Project


User Validations (Tools Tab)

Use the User Validations option to display the User Defined Validations dialog box where you can create, copy, edit, or delete validation rules. For more information about user validations, see User Validations Overview.

Location

To access the User Validations command, click the Tools tab and click User Validations in the Manage menu group.

Related Topics and Procedures

Related Topic

Overview

Related Procedure

Create a Validation Rule

Copy a Validation Rule

Edit a Validation Rule

Delete a Validation Rule


Assigning a Rule to a Project using the Assign User Defined Validation Box

This section assumes that you have already defined the rule or the rule that you need already exists. One of the ways that you can assign a rule to a project is through the Assign User Defined Validations dialog box. This is more useful when assigning the rule to multiple projects.

The other way of assigning the rule is through the Validations Tab in the Project Properties dialog box.

To assign the validation rule, complete the following steps:

  1. On the Tools tab, click User Validations.

  2. From the list of rules in the User Defined Validation dialog box, select the rule that you need.

  3. Click Assign.

  4. In the Assign User Defined Validations dialog box select one of the following options:

    • Assign to Specific Project

    • Assign to Projects with this Access Group

    • Assign to Projects with this Owner

  5. From the drop-down list of the selected option, select a project, group, or owner.

  6. Click OK.

  7. Click Close.

Related Topics and Procedures

Related Topics

Using the User Defined Validations Dialog Box

Using the Edit User Defined Validation Dialog Box

Using the Projects Properties Dialog Box

Related Procedures

Creating a Validation Rule

Copying a Validation Rule

Deleting a Validation Rule

Removing an Assigned Rule from a Project


Copying a Validation Rule

This procedure allows you to copy an existing validation rule.

To copy a validation rule, complete the following steps:

  1. On the Tools tab, click User Validations.

  2. From the list of rules in the User Defined Validation dialog box, select the rule that you want to copy.

  3. Click Copy.

  4. In the Edit User Defined Validations dialog box, enter or select the necessary information.

  5. When you are done, click OK.

  6. Click Close.

Related Topics and Procedures

Related Procedures

Creating a Validation Rule

Assigning a Rule to a Project Using the Assign User Defined Validation Dialog Box

Editing a Validation Rule

Deleting a Validation Rule


Creating a Validation Rule

This procedure allows you to create a rule that validates data before Open Plan processes it.

To create a validation rule, complete the following steps:

  1. On the Tools tab, click User Validations.

  2. In the User Defined Validations dialog box, click New.

  3. In the Edit User Defined Validations dialog box, enter or select the necessary information.

  4. When you are done, click OK.

  5. Click Close.

Related Topics and Procedures

Related Topic

Functions Dialog Box

Fields Dialog Box

Related Procedures

Copying a Validation Rule

Assigning a Rule to a Project Using the Assign User Defined Validation Dialog Box

Editing a Validation Rule

Deleting a Validation Rule


Deleting a Validation Rule

This procedure allows you to delete a user defined validation rule. You cannot delete a rule that has been assigned to a project. To check the list of projects or files to which the rule is assigned, click the References button in the User Defined Validation dialog box.

If the validation rule that you want to delete is assigned to a project, you need to remove it from that project before you can proceed with the deletion. For more information, see Removing an Assigned Rule from a Project.

To delete a validation rule, complete the following steps:

  1. On the Tools tab, click User Validations.

  2. From the list of rules in the User Defined Validation dialog box, select the rule that you want to delete.

  3. Click Delete.

  4. In the confirmation dialog box, click Yes.

If there are other items that are dependent upon the rule, Open Plan would not allow you to delete it. In this case, click OK.

Related Topics and Procedures

Related Procedures

Creating a Validation Rule

Assigning a Rule to a Project Using the Assign User Defined Validation Dialog Box

Copying a Validation Rule

Editing a Validation Rule


Editing a Validation Rule

This procedure allows you to update an existing validation rule.

To edit a validation rule, complete the following steps:

  1. On the Tools tab, click User Validations.

  2. From the list of rules in the User Defined Validation dialog box, select the rule that you want to update.

  3. Click Edit.

  4. In the Edit User Defined Validations dialog box, enter or select the necessary information.

  5. When you are done, click OK.

  6. Click Close.

Related Topics and Procedures

Related Procedures

Assigning a Rule to a Project Using the Assign User Defined Validation Dialog Box

Creating a Validation Rule

Copying a Validation Rule

Deleting a Validation Rule


Removing an Assigned Validation Rule from a Project

This procedure allows you to remove any validation rule that has been assigned to a project.

Before you can delete a validation rule, you need to remove it from any project to which it is assigned. To check the list of projects or files, click the References button in the User Defined Validation dialog box.

To remove the assigned rule from the project, complete the following steps:

  1. In the Project Views folder in Open Plan Explorer, display a project in any view.

  2. In the Dialogs menu group of the Processes tab, click Properties.

  3. In the Project Properties dialog box, click the Validations tab.

  4. From the Assigned User Defined Validations list, select the assigned rule that you want to remove and then click [image]. The selected rule displays on the Available User Defined Validations list.

  5. Click OK.

Related Topics and Procedures

Related Topics

User Defined Validations Dialog Box

Edit User Defined Validation Dialog Box

Projects Properties Dialog Box

References Dialog Box

Related Procedures

Creating a Validation Rule

Copying a Validation Rule

Deleting a Validation Rule

Assigning a Rule to a Project Using the Project Properties Validations Tab

Assigning a Rule to a Project Using the Assign User Defined Validation Dialog Box


Assign/Remove User Defined Validation Dialog Box

The Assign User Defined Validation and Remove User Defined Validation dialog boxes allow you to assign/remove a validation rule to a particular project, group of users who have access to a project, or owner of projects.

Assign/Remove to/from Specific Project

Select this option to assign/remove the rule to/from a specific project from the drop-down list.

Assign/Remove to/from projects with this Access Group

Select this option to assign/remove the rule to/from group of users.

Assign/Remove to projects with this owner

Select this option to assign/remove the rule to/from a user (GUEST or SYSADMIN) who owns projects.

Location

To display the Assign User Defined Validation or Remove User Defined Validation dialog boxes, complete the following steps:

  1. Click Tools » User Defined Validations.

  2. In the User Defined Validations dialog box, select a rule and click Assign/Remove.

Related Topics and Procedures

Related Topics

Using the User Defined Validations Dialog Box

Using the Edit User Defined Validation Dialog Box

Using the Projects Properties Dialog Box

Related Procedures

Creating a Validation Rule

Assigning a Rule to a Project Using the Assign User Defined Validation Dialog Box

Copying a Validation Rule


Edit User Defined Validation Dialog Box

The Edit User Define Validation dialog box allows you to create, modify, or copy validation rules or business logic for projects. It contains the following fields and buttons

Name

Enter or modify the name of the validation.

Applies to Table

Select an area to which you assign the validation:

  • Activity

  • Relationship

  • Resource Assignment

If you click Edit on the User Defined Validation dialog box, this field is read-only.

Expression

Enter the syntax or condition of the validation rule. It can be any filter, a calculated field, or a temporary filter expression. Alternatively, you can click Fields or Functions to select an existing field and/or function when creating or editing expressions.

When an error is generated by Open Plan, the portion of the failed expression in the Expression field is highlighted.

The answer to the expression should be Boolean or logical.

Validation Type

Select the validation that you want Open Plan to generate from the drop-down list:

  • Warning

  • Error

Message

Enter or modify the message that you want to display when users fail the validation.

OK

Click this button to apply the validation rule settings and save the rule.

Fields

Click this button to display the Fields dialog box, allowing you to select a field from an Open Plan data table that you can include in the expression.

Functions

Click this button to display the Functions dialog box, allowing you to select a function that you can use when building the expression.

Validate

Click this button to validate the expression that you entered.

Upon validation, when an error is generated by Open Plan, the portion of the failed expression in the Expression field is highlighted.

Location

To display the Edit User Defined Validation dialog box, complete the following steps:

  1. Click Tools » User Defined Validations.

  2. In the User Defined Validations dialog box, take any of the following actions:

  3. Click New.

  4. Select a rule and then click either Copy or Edit.

Related Topics and Procedures

Related Topics

Using the User Defined Validations Dialog Box

Using the Assign User Defined Validations Dialog Box

Related Procedures

Creating a Validation Rule

Assigning a Rule to a Project Using the Assign User Defined Validation Dialog Box

Copying a Validation Rule

Deleting a Validation Rule


References Dialog Box

The References dialog box allows you to view the projects to which the rule is assigned.

Name

This field displays the assigned rule.

Description

This field displays a brief description about the rule.

If the object is an ancillary file, you must have it open in Exclusive or Shared mode to modify the contents of the field. If the file is not open, or open in read-only mode, you may view, but not change the information in this field.

Project and/or Ancillary Files that Include this File

This table displays the list of other projects or files that have been assigned to this rule. It contains the following fields:

File Type

Examples of file types include projects, calculated fields, and views.

Name

The name of the project or other file that have been assigned to this rule.

Description

The description of the project or ancillary file.

Owner

The owner of the project or ancillary file.

Location

To display the References dialog box, complete the following steps:

  1. Click Tools » User Validations.

  2. In the User Defined Validations dialog box, select a validation rule.

  3. Click References.


Remove User Defined Validation Dialog Box

The Remove User Defined Validation dialog box allows you to remove a validation rule from a particular project, group of users who have access to a project, or owner of projects.

Remove from specific Project

Select this option to remove the rule from a specific project from the drop-down list.

Remove from projects with this access Group

Select this option to remove the rule from a group of users.

Remove from projects with this Owner

Select this option to remove the rule from a user (GUEST or SYSADMIN) who owns the projects.

Location

To display the Remove User Defined Validation dialog box, complete the following steps:

  1. Click Tools » User Defined Validations.

  2. In the User Defined Validations dialog box, select a rule and click Remove.

Related Topics and Procedures

Topics

Using the User Defined Validations Dialog Box

Using the Edit User Defined Validation Dialog Box

Using the Projects Properties Dialog Box

Procedures

Creating a Validation Rule

Assigning a Rule to a Project Using the Assign User Defined Validation Dialog Box

Copying a Validation Rule


User Defined Validations Dialog Box

On the Tools tab, click User Validations to display the User Defined Validations dialog box where you can add, copy, edit, and delete rules for projects.

For more information about setting up expressions and messages, see Knowledge Base Article #75068.

Display for

Select an area to which you want to apply the validation rule.

New

Click this button, or press Insert on your keyboard, to display the Edit User Defined Validation dialog box which you use to create a new rule.

Copy

Select an existing rule and click this button to create a new rule based on the selected rule. The Edit User Defined Validation dialog box displays and you can edit the name and/or rule criteria. By default, the name starts with "Copy."

Edit

Select an existing rule and click this button to display the Edit User Defined Validation dialog box which you use to edit the name and/or selected rule details.

Delete

Click this button, or press Delete on your keyboard, to delete the selected rule. A dialog box displays, asking you to confirm the deletion.

Close

Click this button to exit the dialog box.

Assign

Click this button to assign a selected rule to specific projects, projects with specific group access, or projects with a specific owner.

Remove

Click this button to remove a selected rule from specific projects, projects with specific group access, or projects with a specific owner.

References

Click this button to view the projects to which the rule is assigned. Clicking References displays the References dialog box.

Location

To display the User Defined Validations dialog box, complete the following step:

  1. Click Tools » User Defined Validations.

Related Topics and Procedures

Related Topics

Using the Edit User Defined Validations Dialog Box

Using the Assign User Defined Validations Dialog Box

Related Procedures

Creating a Validation Rule

Assigning a Rule to a Project Using the Assign User Defined Validation Dialog Box

Copying a Validation Rule

Deleting a Validation Rule


Global Edits (Tools Tab)

With the Global Edits utility, you can modify multiple records with a single operation. You can, for example, increase all the durations in a project by 25% or change all the assignments for a specific resource. Global edit operations can modify all the records in a file or selected records based on a filter expression.

Note: You may be able to perform basic global edits using Find/Replace functionality if there is no math or other expressions required.

You can modify multiple records in the following tables with a single operation:.

  • Activity

  • Code Data

  • Project Directory (Main Project)

  • Project Summary Usage

  • Relationship

  • Resource

  • Resource Assignment

  • Resource Availability

  • Resource Cost

  • Resource Escalation

  • Resource Usage

  • Risk Detail

  • Subproject

For example, you can increase all the durations in a project by 10% or increase all the costs by 5%. Global edits can modify all the records in a file or selected records based on a filter. Global edits can be created for either standard or custom fields and can be applied to records matching both standard and custom filters.

You can perform global edits only on files that are open in exclusive mode.

An expression defining a global edit can include the following elements:

  • Constants

  • Calculated fields

  • Mathematical operators

  • Logical operators

  • Duration operators

  • Field names

  • Functions

  • Relational operators

  • Character operators

When you click Global Edits on the Tools tab, Open Plan displays the Global Edits dialog box. This dialog box displays a list of currently available global edits. Since they change all instances of the data, global edits may be applied regardless of whether or not any specific view is open.

Batch Global Edits

A global edit allows you to modify multiple activities or resources with a single operation. The Batch Global Edits dialog box allows you to create groups of global edits (batches) that can be applied to a file in a single operation. When you click Batch Global Edits on the Tools tab, Open Plan displays the Batch Global Edits dialog box. This dialog box displays a list of currently available definitions. The Display For field contains a list that segregates the batches by type of data. For example, if you select Activity from the list, the batches that are displayed are activity related.

When a batch is applied, it is first reconciled to verify all referenced global edits exist. If missing global edits are detected, a message is displayed to let you decide if you want to continue to apply the batch or not. If you choose to continue, the batch is applied and the missing global edits are removed from the definition.

Defining Global Edits

You can define a new global edit at any time. You can define global edits for both project and resource files. By default, Open Plan stores the edit expression with the project or resource file that is open when you define the field. When you define a new global edit, Open Plan displays the Global Edit Definition dialog box. The expression for a global edit can use the same set of functions, operators, and field names that you use when creating calculated fields.

For more information, see Defining Calculated Fields in the Deltek Open Plan Developer's Guide.

The following table shows some simple examples of operations you can perform on the original durations of activities in a project:

Expression | Result
ORIG_DUR-|1d| | Subtract one day from each duration
ORIG_DUR*1.25 | Increase durations by 25%
SCHED_DUR | Set original durations to scheduled durations

You can also specify a filter to limit the effect of the operation to a selected group of records.

Location

Click Global Edits on the Tools tab.

Related Topics and Procedures

Related Procedures

Applying a Global Edit to a Project or Resource File

Apply a Global Edit Without Saving the Expression

Creating a New Global Edit Definition

Copying a Global Edit Definition

Editing an Existing Global Edit Definition

Deleting a Global Edit Definition

Creating a Batch Global Edit Definition


Batch Global Edits (Tools Tab)

A global edit allows you to modify multiple activities or resources with a single operation. The Batch Global Edit command allows you to create groups of global edits (batches) that can be applied to a file in a single operation.

Location

Click Batch Global Edits on the Tools tab.

Related Topics and Procedures

Related Topics

Using the Batch Global Edits Dialog Box

Using the Batch Global Edit Definition Dialog Box

Related Procedure

Creating a Batch Global Edit Definition


Email Advisor (Tools Tab)

The Email Advisor sends automatically generated email messages from within Open Plan. While an email advisory can contain any information and can be sent to any person with a valid email address, it is typically used to convey information to team members and to facilitate communication between departments and project managers.

When a project is open, you can access the Email Advisor by clicking Email Advisor on the Tools tab. Doing so displays the Advisory Definitions dialog box. The Advisory Definitions dialog box displays a list of previously defined advisory definitions that you can test and send. An advisory definition is the name assigned to a set of values that collect project information that can then be sent to recipients in an email.

Using the Email Advisor, you can specify the following conditions:

  • Recipients: You can specify either a single email address or a list of addresses to which the advisory will be sent.

  • Subject: In addition to being able to enter both text and any field from the activity table in the subject line of the advisory, you can also enter a calculated field based on the activity table.

  • Message: As in the case of the subject line, the message can include both text and any field from the activity table as well as calculated fields based on the activity table.

  • Filter: You can select a pre-defined filter to specify the activities that can generate an email advisory.

You also have the option of combining all the messages generated by the advisory into a single email that is sent to each addressee.

The following shows email addresses added to the description field of a code file:

Location

To access the Email Advisor from an open project, click Email Advisor on the Tools tab.

Related Topics and Procedures

Related Topics

Using the Email Advisor

Using the Advisory Definitions Dialog Box

Using the Edit Advisor Emails Dialog Box

Related Procedures

Sending an Email Advisory

Setting Up an Email Advisory Address List

Creating a New Email Advisory

Copying an Email Advisory

Editing an Email Advisory

Deleting an Email Advisory


Rollups

The Rollup utility provides the ability to perform a roll-up of date and numeric fields selected by the user. Rollups may be defined for Activities, Resources, and Codes.

Selecting Rollups from the Tools tab displays the Rollups dialog box.

This dialog box allows you to perform a rollup of selected numeric and date fields for Activities, Resources, and Codes. For numeric fields, the parent object is the sum of its children. For date fields, the Start date of the parent object is the earliest date of its children, and the Finish date is the latest date of its children.

If any of the children have a blank finish date, a blank finish date is rolled up to the parent.

When you click New or select a rollup definition and click Copy or Edit, the Rollup Definition dialog box is displayed.

Group Process Rollups

You can perform a rollup in Batch Mode. This allows you to use a rollup definition for multiple project, code, or resource files at one time. To use a rollup definition in Batch Mode, select more than one project, code, or resource from the Details pane of the Open Plan Explorer, and click Rollups on the Tools tab. The Rollups [Batch Mode] dialog box will be displayed. Select the rollup definition to use, and click Apply.

If a project is closed, Open Plan will open it in Exclusive mode, perform the process, save the changes, and then close the project. If a project cannot be opened in Exclusive mode (because another user has it open in Exclusive or Shared mode), it will be skipped.

If you have a project open when the batch process is run, rollup will be performed on the project, but the changes will not be saved and the project will remain open. You must manually save the changes yourself.

Location

Click Rollups on the Tools tab.

Related Topics and Procedures

Related Procedures

Creating a Rollup Definition

Editing a Rollup Definition

Copying a Rollup Definition

Execute a Rollup for the Current File


Spread Curve (Tools Tab)

To display the Spread Curves dialog, click Spread Curves on the Tools tab.

The Spread Curves dialog box displays a list of spread curves that you can use when assigning resources to an activity.

Spread curves allow you to define the manner in which a resource assignment is distributed over the duration of an activity. When assigning a resource to an activity, you can use the Res. Curve field on the Resources tab of the Activity Details dialog box to select a predefined spread curve.

Related Topics and Procedures

Related Topics

Using Spread Curves to Define Resource Assignments

Using the New Spread Curve Dialog Box

Using the Edit Spread Curve Dialog Box

Activity Details Resources Tab

Related Procedures

Creating a New Spread Curve

Modifying a Spread Curve

Deleting a Spread Curve


Reporting Calendars (Tools Tab)

Reporting calendars allows you to view time-based data against a non-linear date scale with varying degrees of granularity.

For example, you could use a date scale based on reporting calendars to view a histogram or barchart report that shows data in weeks for the current month, in months for the remainder of the quarter, and then in quarters for the rest of the year. You might then only want to look at reports that show data in years for the remainder of the project.

The Reporting Calendars command displays a dialog box that allows you to select a from a list of reporting calendars.

Buttons across the bottom of the dialog box allow you to add new reporting calendars to the list, edit existing reporting calendars, or delete reporting calendars from the list.

Location

Click Reporting Calendars on the Tools tab.

Related Topics and Procedures

Related Topic

Using the Reporting Calendars Dialog Box

Related Procedures

Creating a New Reporting Calendar

Editing a Reporting Calendar

Copying a Reporting Calendar

Deleting a Reporting Calendar


Group Delete (Tools Tab)

The Group Delete command allows you to delete a group of data records in an open project that share a common characteristic.

Use the Group Deletion dialog box to apply a filter to a table in the open project and then delete the data records that are identified by the filter criteria.

Location

Click Group Delete on the Tools tab.

Related Topics and Procedures

Related Topic

Using the Group Deletion Dialog Box

Related Procedure

Deleting a Group of Data Records


Favorites (Tools Tab)

Click to display the Organize Favorites dialog box where you can edit your favorites lists. For more information, see Favorites Overview.

Location

Click Favorites on the Tools tab.


Browser Views (Tools Tab)

A browser view allows a Windows shortcut, Internet shortcut, or Open Plan Add-In to be stored as a view in the Views folder of the Open Plan Library. The browser view can then be accessed directly from this folder. It can also be assigned to a project, resource, or code so that it is opened in a particular context. Once created, a browser view can be used in the same way as any other view.

Location

Click Browser Views on the Tools tab.

Related Topics and Procedures

Related Topics

Using the Browser Views Dialog Box

Using the New Browser View Dialog Box

Using the Browser View Definition Dialog Box

Related Procedures

Creating a Browser View

Copying a Browser View

Editing a Browser View

Deleting a Browser View


Open Log (Tools Tab)

Click to display or hide the log viewer at the bottom of the window. For more information, see Log Viewer Overview.

Location

Click Open Log on the Tools tab.


Report With the Open Plan Web Publisher

The Open Plan Web Publisher allows you to publish any Open Plan view or report as a document that can be viewed by most common Web browsers. By producing reports using the industry-standard HTML and Adobe Acrobat .pdf formats, you can provide electronic versions of the most up-to-date project information to any project member.

For example, assume that one of your responsibilities as a project manager is to gather information each month about the current status of one or more projects, update a set of standardized reports to reflect the revised schedule, and make these reports available to the appropriate managers in your organization.

The Adobe Acrobat PDFWriter is not included with Open Plan and must be purchased separately from another source.

In addition to producing reports for the Web, you can also use the Open Plan Web Publisher to define and run report batches that can be produced on any output device defined for your Windows system.

To produce reports for publication on the Web, you must have the Adobe Acrobat PDFWriter installed as an output device for your Windows system. This utility is included in software packages such as Adobe Acrobat Exchange or Adobe Acrobat Distiller.

To view a report produced in the .pdf format, you must have an installed copy of Adobe Acrobat Reader. This utility is automatically installed on your system by the Open Plan installation and is also available free of charge from Adobe.

To view a report produced in the .pdf format on the Web, your Web browser must support the use of Acrobat Reader as a helper application.

For information about customizing the operations of the Open Plan Web Publisher, see Customizing the Open Plan Web Publisher in the Deltek Open Plan Developer’s Guide.

HTML Document

In addition to the reports in the batch, Open Plan produces an HTML document that lists each report in the batch.

Each icon in the HTML document serves as a Uniform Resource Locator (URL) link to a .pdf file generated from a view. This HTML document can then be placed on any Web server, making the views available to all users with access to that server. To display a view listed in the HTML file, click the appropriate icon.

Starting Open Plan Web Publisher

You can start the Open Plan Web Publisher either by clicking Web Publisher on the Tools tab or by clicking the Open Plan Web Publisher icon in the Deltek Applications group in Windows. The initial dialog box that is displayed depends on whether an Open Plan project has focus when you start the Open Plan Web Publisher:

  • If an Open Plan project has focus, the Open Plan Web Publisher dialog box is displayed.

  • If no Open Plan project has focus, the Select Project dialog box is displayed.

Creating a Report Batch

To use the Open Plan Web Publisher to create a report batch, open the project you want to process, and click Web Publisher on the Tools tab.

If you do not have a project open at the time you click the command, the Open Plan Web Publisher prompts for a project to open before proceeding.

After you have selected a project, the Open Plan Web Publisher displays the Open Plan Web Publisher dialog box. Use this dialog box to display a list of the views currently included in a report batch. To see the file name for the views, scroll the list horizontally.

To create a new batch, click New, and provide a name for the batch. When you return to the Open Plan Web Publisher dialog box, click Views to define the views to include in the batch. The Open Plan Web Publisher responds by displaying the Add or Remove Views dialog box. Use the controls in the dialog box to create a list of views to be published with this batch. When you have finished defining the views for the batch, click OK to return to the Open Plan Web Publisher dialog box.

In addition to creating new report batches, you can use the Open Plan Web Publisher dialog box to update, delete, preview, and run existing batches.

Defining Output Options

In addition to defining the views contained in a report batch, you can use the Open Plan Web Publisher dialog box to control the publication of the batch using the following dialog box setting:

  • Current Device

  • Destination Directory

  • Generate HTML File

  • Web Site Address

Related Topics and Procedures

Related Topics

Using the Select Project Dialog Box

Using the Open Plan Web Publisher Dialog Box

Related Procedures

Preparing a Report for Publication on the Web

Performing Batch Reporting

Creating a Report Batch

Delete a Report Batch

Preview a Report

Update a Report Batch


Add-Ins Tab Overview

You can customize your installation of Open Plan to display up to 30 custom tools on the Add-Ins tab by modifying the Addins.dat file.

The Add-Ins tab is not displayed until you have defined at least one custom tool.

An Addins.dat file may be located in two folders:

  • Modifying the copy of the Addins.dat file located in the same folder as the Open Plan executable file creates menu items that are accessible to all users of your data source. This copy of the Addins.dat file is installed by default.

  • Modifying the copy of the Addins.dat file located in your Open Plan User folder creates menu items that are accessible only to you. While this copy of the file is not installed by default, you can create it by copying the Addins.dat file located in the Open Plan executable folder and pasting it into your User folder.

You can add up to 30 custom tools to the Add-Ins tab in your installation of Open Plan by modifying either or both of these Addins.dat files.

For example, you can add an item to the Add-Ins tab that will start the WordPad program supplied with Windows. By making the required modification to the copy of the Addins.dat file located in the executable folder, all users of your data source will have access to this menu item.

You can also add an item to the Add-Ins tab that will start Outlook. Since your copy of Outlook may contain private information that you would not want everyone to see, you would make the required modifications to the Addins.dat file located in your Open Plan User folder.

For information on how to add a custom tool to the Add-Ins tab, see The Open Plan .dat Files in the Deltek Open Plan Developer’s Guide.

If the program that you add is a DOS file, you may also need to create a .pif file that specifies the memory requirements.

Once you have added an item to the Add-Ins tab, you can execute the program it represents in any of the following ways:

  • By clicking it on the Add-Ins tab

  • By pressing the keyboard shortcut, if one has been defined for the item

You can also access the first nine items by pressing Ctrl+x where x represents a number key. To access the first custom tool on the list, you would press Ctrl+1. To access the second custom tool, you would press Ctrl+2, and so on.

Open Plan ships with the following programmed tools:

  • System

    • Task Form

    • Renumber Activities

    • DCMA 12 VBS

    • Options Barchart

  • Resource

    • Resource Selector

    • Resource Utilization Chart

    • Resource Management Wall Chart

  • XML Views

    • Date & Status Report

    • Predecessor & Successor Report

    • Assignment Barchart

    • Resource/Activity Report

  • Samples

    • Schedule Comparer

  • Edit

    • Edit Addins.dat

    • Reload Add-Ins

Related Topics and Procedures

Related Procedure

Add a Custom Item to the Add-Ins Tab


Assignment Barchart Add-In

The Assignment Barchart tool displays a view showing each resource and its assigned activity ID along with bars indicating when the resource is being used. This allows users to see the allocation of resources to activities in one view.

String

Tool10=XML Views:Assignment Barchart;wscript.exe "%SYSTEMDIR%\Sample Tools\vbscript\asgbar.vbs" %P %R

Related Topics and Procedures

Related Topics

Add-Ins Tab Overview

Related Procedure

Add a Custom Item to the Add-Ins Tab


Date & Status Report (XML) Add-In

The Date & Status Report (XML) tool allows you to view dates and statuses of a project’s activities in a summarized table. The information is displayed in XML format allowing more functionality and a user-friendly appearance. To use the tool, first select a project and then run the Date & Status Report (XML) tool.

String

Tool6=XML Views:Date && Status Report;wscript.exe "%SYSTEMDIR%\Sample Tools\vbscript\RunXMLReport.vbs" "%SYSTEMDIR%\Sample Tools\vbscript\actdata2.lst" /D %P

Related Topics and Procedures

Related Topics

Add-Ins Tab Overview

Related Procedure

Add a Custom Item to the Add-Ins Tab


Edit AddIns.dat Add-In

The Edit AddIns.Dat tool opens the AddIns.dat file in a text editor. This allows you to customize tools within the Add-Ins tab.

You can create new tools, edit existing tools, or delete tools within this text document. You need to save the changes to the file and click the Reload Add-Ins to view the changes you made.

You can add up to 30 custom tools to the Add-Ins tab in Open Plan by modifying the AddIns.dat files. For example, you can add an item to the Add-Ins tab that will start the WordPad program supplied by Windows. By making the required modification to the copy of the AddIns.dat located in the executable folder, all users of the same Open Plan installation can access this tab item.

You can also add an item to the Add-Ins tab that will start Outlook. Since your copy of Outlook may contain confidential information, you would make the required modifications to the AddIns.dat located in your Open Plan User folder.

String

Tool14=Edit AddIns.Dat;notepad.exe %SYSTEMDIR%\addins.dat


Options Barchart Add-In

The Options Barchart tool uses the Configurable Options functionality to configure the appearance of the Options Barchart view on the fly.

When the tool is run for a selected open project, Open Plan displays the Options Barchart view and an Options dialog box with the following check box options:

  • Highlight Critical Path

  • Show Float

  • Show Milestone Dates

By selecting or clearing these check boxes, you toggle the display of the critical path, float and milestone dates.

For more information about setting this up, see Configurable Options.

String

The following string enables this tool:

Tool11= System:Options Barchart;%SYSTEMDIR%\Sample Tools\vbapps\options\options.exe "_Option_" "OptionsBarchart" %P

Where

  • _Option_ identified the calculated fields used by the Options Barchart tool. The names of the three calculated fields all begin with “_Option_” (for example, _Option_Highlight_Critical_Path). When displayed in the Options check box, the “_Option_” and the remaining underscores are removed.

  • OptionsBarchart identifies the name of the activity barchart that is displayed. The Configurable Options sample application allows you to create a custom Add-Ins tool that configures the appearance of an activity barchart view on the fly. This works by changing the value of specific calculated fields. The barchart attributes are defined to use filters that respond to changes in these calculated fields, thus changing the appearance of the barchart view.

Using this Functionality

To use this functionality, add the following line to the AddIns.dat file:

Tool#=Label;Drive:\Path\Options.exe “_Optiontag_” “Viewname” %P

Where:

  • # is a valid Tool number.

  • Label is the name that is displayed on the Add-Ins tab.

  • Drive:\Path\ is the location of the Options.exe file.

  • _Optiontab_ is the string that identifies a calculated field as a configurable option.

  • Viewname is the name of the activity barchart view that is to be displayed.


Predecessor and Successor Report (XML) Add-In

The Predecessor & Successor Report (XML) tool allows you to view a table showing the relationships between the activities within a project. Information in the table includes relationship lag, activity descriptions, durations, early start and finish dates, and late start and finish dates. To use the tool, first select a project and then run the Predecessor & Successor Report (XML) tool.

String

Tool7=XML Views:Predecessor && Successor Report;wscript.exe "%SYSTEMDIR%\Sample Tools\vbscript\RunXMLReport.vbs" "%SYSTEMDIR%\Sample Tools\vbscript\actdata1.lst" /D %P


Reload Add-Ins (Add-Ins Tab)

You can edit the Addins.dat configuration file while Open Plan is running. After saving the edited file, you can use the Reload Add-Ins command to load the changes into Open Plan. The other alternative is to close Open Plan and then reopen it for the changes to take effect.

Open Plan comes with a pre-defined custom Add-Ins tool that opens the Addins.dat configuration file in Windows Notepad. You can use this command to easily edit the configuration file. For detailed information on the pre-defined tools shipped with Open Plan, see The Open Plan Configuration Files in the Deltek Open Plan Developer’s Guide.


Renumber Activities Add-In

The Renumber Activities tool is available when an activity view is in focus and 2 or more activities are selected. It allows you to renumber the local portion of the Activity ID for selected activities using a start value and increment. It will not renumber activities that have different parents or are at different levels. It is intended for contiguous groups of activities that all have the same parent task.

When selected, you are prompted for the start value and increment. For example, if you enter a Start Value of 10 and Increment of 10, the tool will renumber the activities as follows:

Activity ID Before | Activity ID After
1.1.F.01 | 1.1.F.10
1.1.F.02 | 1.1.F.20
1.1.F.03 | 1.1.F.30
1.1.F.04 | 1.1.F.40
1.1.F.05 | 1.1.F.50

String

Tool18=System:Renumber Activities;%SYSTEMDIR%\Sample Tools\vbapps\Renumber\actrenumber.exe %P


Resource/Activity Report (XML) Add-In

The Resource/Activity Report (XML) tool provides you with a breakdown of a project’s resources and the activities that use those resources. To use the tool, first select a project and then run the Resource/Activity Report (XML) tool.

String

Tool8=XML Views:Resource/Activity Report;wscript.exe "%SYSTEMDIR%\Sample Tools\vbscript\RunXMLReport.vbs" "%SYSTEMDIR%\Sample Tools\vbscript\rdsdata.lst" /D %P


Resource Management Wall Chart Add-In

The Resource Management Wall Chart tool is similar to the Open Plan histogram view showing the loading of various resources. While a histogram view gives detail loading information, it is not easy to see the loading of multiple resources on a single page.

Each resource is listed on a single line on the chart. Against each resource are a series of colored blocks representing the following:

  • Grey:non-working time (for that resource)

  • Blue:the resource is used (somewhere between 0 and 100% of availability)

  • Red:the resource is overloaded

String

Tool9=Resource:Resource Management Wall Chart;%SYSTEMDIR%\Sample Tools\OPXMLview\wallchart\wallchart.htm %i %R %T


Resource Selector Add-In

When launched, this Web Window builds a hierarchical tree of the resources assigned to the current project. You can then use the tree to filter a barchart view to show the activities using the selected resource. It also displays the selected resource in the histogram.

String

Tool17=Resource:Resource Selector;%SYSTEMDIR%\Sample Tools\OPXMLview\XMLResSel\ResSelFrame.htm %d %P %V


Resource Utilization Chart Add-In

The Resource Utilization Chart tool allows you to view crosstable information dynamically rather than in a text file with the Crosstab Export tool. After selecting a resource within a resource view, run the Resource Utilization Chart tool. You can change the type of data displayed by right-clicking the screen and selecting your options.

String

Tool5=Resource Utilization Chart;%SYSTEMDIR%\Sample Tools\OPXMLview\crosstab\crosstab.htm %i %R %r


Task Form Add-In

The Task Form add-in is an Open Plan Web Window that docks at the bottom of the view. It displays data about the activity selected in the view. There is a header for basic activity information a radio button to select what additional details are displayed in the bottom of the screen. The Task Form tool is available when a project view is in focus and an activity is selected.

  • Notes display all populated note categories for the selected activity.

  • Details display predecessors and resources for the selected activity.

  • Logic displays predecessors and successors for the selected activity. In this view controlling relationships are highlighted with a red background. Completed relationships are shown with a gray background and strike through text.

  • Resource Summary displays assignments for the selected activity and the project summary usage for those resources found on other project. This can help find where critical resources are being used. You may need to negotiate for these resources with other projects.

String

Tool19=System:Task Form;%SYSTEMDIR%\Sample Tools\OPXMLVIEW\TaskForm\oppdataFrames.htm?DOCKSIDE=BOTTOM&DOCKLENGTH=300 %P %A %V %D %I %T


Add-In Parameters

You can specify any number of the following automatic parameters to be passed to the application when the command on the Add-Ins tab is run.

Parameter | Description
%A | The currently selected Activity ID
%b | The currently selected code
%B# | Passes the name of the code file in the designated position # in the active open project
%C | The currently selected Calendar name (View or Open Plan Explorer)
%c | The currently selected calendar
%D | Execute the WebWindow in a docked window, with the position specified using additional parameters: DOCKSIDE=TOP (BOTTOM, LEFT, RIGHT) DOCKLENGTH= (Length specified in pixels)
%E | Launch the file/link in an external Internet browser window
%I | Allows Internet browser to open within an Open Plan window
%J | Allows Open Plan to run an add-in that communicates with OP via OLE automation (typically using Javascript code invoked through the original Internet Explorer WebView model).
%M | Allows Open Plan to run multiple instances of the add-in concurrently Also allows Open Plan to use the macros <USERDIR> and <SYSDIR> to shorten the path names given for the executables or documents
%P | The currently selected project (View or Open Plan Explorer)
%R | The currently selected Resource file (View or Open Plan Explorer)
%r | The currently selected resource
%S | The currently selected project in Open Plan Explorer
%T | When %I is used, tiles the internal browser window
%U | The currently logged in user’s ID
%V | The current view
%W | The encrypted password for the current user
%X | Maximizes either an internal or external browser window
%Z | Information following this parameter is passed as a web parameter

Related Topics and Procedures

Related Topics

Add-Ins Tab Overview

Related Procedure

Add a Custom Item to the Add-Ins Tab


Add a Custom Item to the Add-Ins Tab

To add a custom item to the Add-Ins tab:

  1. Take one of the following actions:

  • If you want the custom item to be accessible to all users of your data source (shared items), use any text editor to open the copy of the Addins.dat file located in the same folder as your Open Plan executable file.

  • If Open Plan is running, you can use the Edit Add-Ins.dat custom tool located on the Add-Ins tab to open the file with Windows Notepad. This custom tool comes preconfigured with your installation of Open Plan. Note, however, that this will only open the Addins.dat file located in the same folder as the Open Plan executable file.

  • If you want the custom item to be accessible only to you (user-specific items), create and use any text editor to open the copy of the Addins.dat file located in your Open Plan User folder. (You can create this file by copying the Addins.dat file in your Open Plan executable folder.)

  2. At the bottom of the file, start a new line.

  3. Use the following format to add your custom tool:

    Tool#=label;Drive;\Path\Filename

    Notice that there are no spaces in the line and that a semicolon follows the name of the tab item. Each item that you add must be on a separate line. In addition to the full pathname of the file, you can also specify automatic parameters (see below) to be passed to the application.

    Example: To add the Windows Notepad program as the first custom item, enter:

    tool1=&Notepad;C:\windows\notepad.exe

    (The & is optional and makes the letter that follows it a keyboard shortcut on the Add-Ins tab.)

    If you are adding both shared and user-specific items, you can start numbering the tools in the copy of the Addins.dat file in your Open Plan User folder with any number you wish. Open Plan always displays the user-specific items after the shared ones.

  4. When you have finished adding items, save the .dat file.

    The total of shared and user-specific custom tools cannot exceed 30. Open Plan ships with 15 preconfigured custom tools.

    While you may specify a program that runs under DOS, doing so may require that you also create a .pif file for it.

  5. Close the text editor and restart Open Plan.

If Open Plan is running and you used the Edit Add_Ins.dat custom tool, you can enable the new tool(s) you just entered without having to exit Open Plan and restart. Click Reload Add-Ins on the Add-Ins tab to refresh the tab after making your changes.

Related Topics and Procedures

Related Topics

Add-Ins Tab Overview

Add-In Parameters

Related Procedure

Add a Custom Item to the Add-Ins Tab


Calendar Preferences (Edit Tab)

To issue the Calendar Preferences command, display a calendar view and click Preferences on the Edit Tab.

This command displays a tabbed dialog box that allows you to customize how a calendar displays information.

Related Topics and Procedures

Related Topic

Using the Calendar Preferences Dialog Box

Related Procedures

Setting Calendar Color Preferences

Setting Calendar Options


Go to Date in a Calendar (Edit Tab)

Go to Date (Edit Tab)

To issue the Go to Date command, click Go to Date [image] on the Edit tab.

This command displays the Go To Date dialog box, which lets you specify a date for Open Plan to select on the calendar.

Related Topics and Procedures

Related Topic

Using the Go to Date Dialog Box

Related Procedures

Selecting Dates on a Calendar

Changing the Work Status of a Day

Changing the Displayed Year


Next Year (Edit Tab)

To issue the Next Year command, do any of the following from the Calendar view:

  • Press the Page Down key.

  • Click the [image] button on the Edit tab.

This command displays the year following the currently displayed year.

Related Topics and Procedures

Related Topic

Calendar Working Status

Related Procedure

Changing the Displayed Year


Previous Year (Edit Tab)

To issue the Previous Year command, do any of the following:

  • Press the Page Up key.

  • Click the [image] button on the Edit tab.

This command displays the year prior to the currently displayed year.

Related Topics and Procedures

Related Topic

Calendar Working Status

Related Procedure

Changing the Displayed Year


Copy (Edit Tab)

You can issue the Copy, Copy Record, Copy Row, or Copy Text command in the following ways:

  • By clicking Copy on the Edit tab

  • By pressing the Ctrl+C keys

  • By right-clicking the Copy, Copy Record, Copy Row, or Copy Text (depending on what is selected) on the context menu

The Copy, Copy Record, Copy Row, and Copy Text commands place a copy of the item on the Windows clipboard where it is available for a Paste operation.

Related Topics and Procedures

Related Topic

Fill Column Down


Cut (Edit Tab)

You can issue the Cut, Cut Record, or Cut Text command in the following ways:

  • By clicking Cut, Cut Record or Cut Text (depending on what is selected) on the Edit tab

  • By pressing the Ctrl+X keys

  • By right-clicking on the selected items, and clicking Cut, Cut Record or Cut Text from the context menu

The Cut, Cut Record, and Cut Text commands place the item that is cut on the Windows clipboard where it is available for a Paste operation.

Related Topics and Procedures

Related Topic

Fill Column Down


Paste (Edit Tab)

You can issue the Paste, Paste Record, Paste Special, or Paste Text command in the following ways:

  • By clicking Paste, Paste Record, Paste Special, or Paste Text (depending on what is currently on the Windows clipboard) on the Edit tab

  • By pressing the Ctrl+V keys (Ctrl+Alt+V for Paste Special)

  • By right-clicking on the workspace, and selecting Paste, Paste Record, Paste Special, or Paste Text (depending on what is currently on the Windows clipboard) from the context menu

The Paste, Paste Record, Paste Special, and Paste Text commands copy the item on the Windows clipboard to your selected location on the active view.

Note that only appropriate items are pasted from the clipboard. For example, you cannot paste an activity record into a resource view.

Related Topics and Procedures

Related Topics

Using the Confirm Paste Dialog Box

Fill Column Down


Select All in a Barchart or Spreadsheet (Edit Tab)

Select All (Edit Tab)

You can issue the Select All command from a barchart or spreadsheet view by clicking Select All on the Edit tab. You can also issue the Select All command by right-clicking on a selected row, and clicking Select All from the context menu.

This command selects all rows and columns in a spreadsheet view or spreadsheet pane of a barchart view.


Select All in a Network (Edit Tab)

Select All (Edit Tab)

You can issue the Select All command from a network view by clicking Select All on the Edit tab.

This command selects all activities at the level in the hierarchy to which you have navigated.

Related Topics and Procedures

Related Procedure

Selecting Multiple Activities (Network)


Add Activity in a Barchart or Spreadsheet (Edit Tab)

Add Activity (Edit Tab)

You can issue the Add Activity command from a barchart or spreadsheet view in the following ways:

  • By clicking Add Activity on the Edit tab.

  • By pressing the Ctrl+A keys.

This command displays the Activity Details dialog box and allows you to add an activity. Open Plan automatically places the activity beneath its parent.

Related Topics and Procedures

Related Topic

Creating and Editing Activities

Related Procedures

Creating an Activity in a Barchart View

Creating an Activity in a Spreadsheet View


Add Activity in a Network (Edit Tab)

Add Activity (Edit Tab)

You can issue the Add Activity command from a network view in the following ways:

  • By clicking Add Activity on the Edit tab.

  • By pressing the Ctrl+A keys.

This command displays the Activity Details dialog box and allows you to add an activity. Open Plan automatically places the activity at the appropriate level in the project hierarchy.

Related Topics and Procedures

Related Topic

Creating and Editing Activities

Related Procedure

Creating an Activity in a Network View


Add Child (Edit Tab)

You can issue the command by selecting an activity on a network view and clicking Add Activity [image] on the Edit tab. You can also issue the command by right-clicking an activity and selecting Add Child from the context menu.

This command displays a dialog box that allows you to create an activity as a child of the selected activity.

Related Topics and Procedures

Related Topic

Creating and Editing Activities

Related Procedure

Creating Child Activities in a Network View


Add (Edit Tab)

You can issue the Add Code or Add Resource command in the following ways:

  • By displaying a code view and clicking Add Code [image] on the Edit tab or by right-clicking a code and selecting Add Code from the context menu.

  • By displaying a resource view and clicking Add Resource [image] on the Edit tab or by right-clicking a resource and selecting Add Resource from the context menu.

  • By pressing the Ctrl+A keys.

This command displays a dialog box that allows you to add a code or resource to the appropriate file.

Related Topics and Procedures

Related Topics

Adding Codes to a Code File

Adding Resources to a Resource File

Related Procedures

Adding Codes to a Code File

Adding a Child Code to a Code File

Adding Resources to a Resource File

Adding a Child Resource to a Resource File


Add Relationship (Edit Tab)

You can issue the Add Relationship command by clicking Add Relationship [image] on the Edit tab.

This command displays the Add Relationship dialog box that allows you to define the logical relationships between activities in your project. There are four types of relationships:

  • Finish-to-start: The relationship between activities that specifies that the start of the successor activity depends on the completion of the predecessor activity. In most cases, this means that the successor activity cannot start until the predecessor activity is completed. This is the default relationship.

  • Finish-to-finish: The relationship between activities that specifies that the finish of the successor activity depends on the completion of the predecessor activity. In most cases, this means that the successor activity cannot be completed before the predecessor activity is completed.

  • Start-to-start: The relationship between activities that specifies that the start of the successor activity depends on the start of the predecessor activity. In most cases, this means that the successor activity cannot be started before the start of the predecessor activity.

  • Start-to-finish: The relationship between activities that specifies that the finish of the successor activity depends on the start of the predecessor activity. In most cases, this means that the successor activity cannot be completed before the start of the predecessor activity.

The default for the relationship type is finish-to-start.

You can also create inter-project relationships.

Related Topics and Procedures

Related Topic

Using the Add Relationship Dialog Box

Related Procedures

Creating a Relationship in a Barchart View with a Mouse

Creating a Relationship in a Barchart View with the Keyboard

Creating a Relationship in a Network View with a Mouse

Creating a Relationship in a Network View with the Keyboard

Creating a Relationship in a Spreadsheet View


Collapse All (Edit Tab)

To issue the Collapse All command from an expanded barchart or spreadsheet view, click Collapse All [image] on the Edit tab.

This command collapses all expanded items and displays only the top level of the hierarchy.

Related Topics and Procedures

Related Topics

Go to Top Level

Go to Parent

Go to Subproject


Collapse Codes and Pools (Edit Tab)

Collapse (Edit Tab)

To issue the Collapse command, select a parent code or resource in a barchart or spreadsheet view, and click Collapse [image] on the Edit tab.

This command hides the children of the parent code or resource and allows you to work with the data at a summary level.

Related Topics and Procedures

Related Topics

Expand

Expand All

Collapse All


Delete (Edit Tab)

You can issue the Delete Activity, Delete Code, or Delete Resource command in the following ways:

When a barchart or spreadsheet view is displayed:

  • By selecting an activity and clicking Delete Activity on the Edit tab.

  • By selecting an activity and pressing the Delete key.

When a code view is displayed:

  • By selecting a code and clicking Delete Code on the Edit tab.

  • By selecting a code and pressing the Delete key.

When a resource view is displayed:

  • By selecting a resource and clicking Delete Resource on the Edit tab.

  • By selecting a resource and pressing the Delete key.

This command asks you to confirm the deletion and then deletes the selected item.

Related Topics and Procedures

Related Topic

Creating and Editing Activities

Related Procedure

Deleting an Activity


Delete Activity Network (Edit Tab)

Delete Activity (Edit Tab)

You can issue the Delete Activity command from a network view in the following ways:

  • By selecting an activity and clicking Delete Activity on the Edit tab.

  • By selecting an activity and pressing the Delete key.

  • By right-clicking an activity and selecting Delete Activities from the context menu.

This command asks you to confirm the deletion and then deletes the selected activity.

Related Topics and Procedures

Related Topic

Creating and Editing Activities

Related Procedure

Deleting an Activity


Delete Code (Edit Tab)

You can issue the Delete Code command when a code view is displayed:

  • By selecting a code and clicking Delete Code [image] on the Edit tab.

  • By selecting a code and pressing the Delete key.

  • By right-clicking on a code and selecting Delete.

This command asks you to confirm the deletion before deleting the code.

Related Topics and Procedures

Related Topic

How a Code Window Displays Information

Related Procedure

Deleting a Code


Delete Resource (Edit Tab)

You can issue the Delete Resource command when a resource view is displayed:

  • By selecting a resource and clicking Delete Resource [image] on the Edit tab.

  • By selecting a resource and pressing the Delete key.

  • By right-clicking on a resource and selecting Delete.

This command asks you to confirm the deletion before deleting the resource.

Related Topics and Procedures

Related Topic

How the Resource Window Displays Information

Related Procedure

Deleting a Resource


Expand All (Edit Tab)

To issue the Expand All command, click the Expand All [image] button on the Edit tab.

This command expands all summary data on the view.

Related Topics and Procedures

Related Topics

Collapse

Expand

Collapse All


Expand Barchart, Spreadsheet, and Network (Edit Tab)

Expand (Edit Tab)

To issue the Expand command from a barchart, spreadsheet, or network view, select a subproject and click Expand [image] on the Edit tab.

This command expands the data on the hierarchical level immediately below the one selected.

Related Topics and Procedures

Related Topics

Collapse

Expand All

Collapse All


Expand Codes and Resources (Edit Tab)

Expand (View Tab)

To issue the Expand command, select a parent code or resource and click the Expand [image] button on the Edit tab.

This command expands the data on the hierarchical level immediately below the one selected.

Related Topics and Procedures

Related Topics

Collapse

Expand All

Collapse All


Fill Column Down (Edit Tab)

You can issue the Fill Column Down command by displaying a spreadsheet and taking one of the following actions:

  • Select a range of cells and click Fill Column Down on the Edit tab.

  • Select a column heading and click Fill Column Down on the Edit tab.

  • Right-click a column heading and click Fill Column Down on the shortcut menu.

Open Plan copies the value in the top row of the selected range down through the selection.

Because selecting or right-clicking a column heading selects the entire column, the Fill Column Down command copies the value in the top row down through the entire column.


Indent (Edit Tab)

The indent feature of Open Plan allows you to renumber hierarchical IDs. When you use this feature, Open Plan renumbers the relevent ID according to the rules for automatic numbering.

Related Topics and Procedures

Related Topic

Modifying Hierarchical IDs Using Indent and Outdent

Related Procedure

Indenting an Activity, Resource, or Code ID


Outdent (Edit Tab)

The outdent feature of Open Plan allows you to promote an activity, resource, or code in a hierarchy to the level of its parent. In assigning an ID to the outdented element, Open Plan follows the rules for automatic numbering.

Related Topics and Procedures

Related Topic

Modifying Hierarchical IDs Using Indent and Outdent

Related Procedure

Outdenting an Activity, Resource, or Code ID


Refresh (Edit Tab)

When you have a Project open in Shared Mode, you can click this button (or click ALT+F5) to refresh the project data.

Related Topics and Procedures

Related Topic

Working in Shared Mode


Spreadsheet: Delete Rows (Edit Tab)

To issue the Delete Rows command, select one or more rows in a spreadsheet, click Delete [image] on the Edit tab.

This command deletes the selected rows from the spreadsheet. If the selected row represents a subproject, resource pool, or parent code, all the children of the selected item are deleted with their parent.

Related Topics and Procedures

Related Topic

Spreadsheet: Insert Rows

Related Procedure

Deleting Rows in a Spreadsheet


Skills (Edit Tab)

To launch the Skills command, open a resource file and click Skills on the Edit tab.

The skills feature of Open Plan allows you to schedule a resource that can perform different jobs. It also allows you to specify a certain skill as a requirement for an activity. For example, JANE is a drafter, MARY is a mechanical engineer who can also draft, and FRED is an electrical engineer who can also draft. If a certain activity requires a skill of drafting, either JANE, MARY, or FRED could be assigned to that activity.

The Skills dialog box displays a list of skills currently included in the resource file. Skills can represent any attribute of a resource that is useful as a way of finding or identifying a resource. They can be software coding languages, equipment capacities like a 48-inch lathe vs. a 60-inch lathe, or languages the employees speak.

Buttons across the bottom of the dialog box allow you to add new skills to the list, edit existing skills, or delete skills from the list.

Related Topics and Procedures

Related Topic

Using the Skills Dialog Box

Related Procedures

Adding Skills to a Resource File

Editing Skills in a Resource File

Deleting Skills From a Resource File

Assigning Skills to a Resource


Summary Usage (Edit Tab)

To display the Summary Usage dialog box, click Summary Usage on the Edit tab while in a resource view.

The Summary Usage dialog box displays a list of all the projects that have stored resource usage data for the open resource file.

Related Topics and Procedures

Related Topics

Using the Project Properties Scheduling Tab

Multiple Project Resource Scheduling

Effect of Reservations on Resource Scheduling

Related Procedure

Removing Summary Resource Usage Information for Projects


Insert Project Templates (Edit Tab)

You can issue the Insert Project Templates command by clicking Templates on the Edit tab while in a barchart, spreadsheet, or network view.

This command displays the Project Template Selection dialog box that you can use to insert a project template into an open project.

Related Topics and Procedures

Related Topic

Using the Project Template Selection Dialog Box


Insert Subprojects (Edit Tab)

You can issue the Insert Subprojects command by clicking Subproject from the Insert group on the Edit tab while in a barchart view.

This command displays the Select dialog box that you can use to select a project to be used as an external subproject of the currently open project. This external subproject is added to the first blank line in the barchart view.

Related Topics and Procedures

Related Topics

Using the Select Dialog Box

Working With Hierarchical Projects


Add to Filter

This option takes a selection range and adds the selection values to the currently selected filter based on the following rules:

  • Multiple selections within a column are added to the filter with an OR EQUALS condition.

  • Multiple selections across columns are added to the filter with an AND EQUALS condition.

Location

To apply the Add to Filter option, complete the following steps:

  1. In Open Plan Explorer, open a project in any view.

  2. From the Edit tab of the view, click the Add To Filter [image] button.

Related Topics and Procedures

Related Topics

Using Filters

Using the New Filter Dialog Box

Using the Filter Expression Dialog Box

Using the Sorts Dialog Box

Using the Calculated Fields Dialog Box

Using the Placements Dialog Box

Related Procedures

Remove from Filter

Clear Filter

Toggle Filter

Edit Expression...

Reapply Filter/Sort


Clear Filter

This option removes the currently selected filter. It is equivalent to displaying the Filters dialog box and choosing Cancel Filter.

Location

To apply the Clear Filter option, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in any view.

  2. From the Edit tab, click the Clear Filter [image] button.

Related Topics and Procedures

Related Topics

Using Filters

Using the New Filter Dialog Box

Using the Filter Expression Dialog Box

Using the Sorts Dialog Box

Using the Calculated Fields Dialog Box

Using the Placements Dialog Box

Related Procedures

Add to Filter

Remove from Filter

Toggle Filter

Edit Expression...

Reapply Filter/Sort


Edit Expression

This option displays the Filter Expression dialog box while bypassing the Filters dialog box.

Location

To apply the Edit Expression option, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in any view.

  2. Take one of the following actions:

  • From the Edit tab, click Filters [image] button. Select a filter and click Edit.

  • From the Edit tab, click the Edit Filter [image] button.

Related Topics and Procedures

Related Topics

Using Filters

Using the New Filter Dialog Box

Using the Filter Expression Dialog Box

Using the Sorts Dialog Box

Using the Calculated Fields Dialog Box

Using the Placements Dialog Box

Related Procedures

Add to Filter

Remove from Filter

Clear Filter

Toggle Filter

Reapply Filter/Sort


Edit Filter

Once a filter is applied, this option allows you to edit both permanent and temporary filters.

Location

To apply the Edit Filter option, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in any view.

  2. From the Edit tab, click the Filters [image] button, select a filter, and click Edit.

Related Topics and Procedures

Related Topics

Using Filters

Using the New Filter Dialog Box

Using the Filter Expression Dialog Box

Using the Sorts Dialog Box

Using the Calculated Fields Dialog Box

Using the Placements Dialog Box

Related Procedures

Add to Filter

Remove from Filter

Clear Filter

Edit Expression...

Reapply Filter/Sort


Filter (Edit Tab)

When the Contents pane of the Open Plan Explorer contains like objects (for example, all views, all projects, and so on), you can apply a filter to the folder to help locate a specific item.

Issuing the Filter command displays the Filter Settings dialog box, which you can use to apply a filter to the selected folder.

Related Topics and Procedures

Related Topics

Using the Filter Settings Dialog Box

Using the Open Plan Explorer

Using the Contents Pane of the Open Plan Explorer


Manage Filter

Manage Filters

This option allows you apply a filter to the view. Each view for a project can have a different filter in effect.

Related Topics and Procedures

Related Topics

Using Filters

Using the New Filter Dialog Box

Using the Filter Expression Dialog Box

Using the Sorts Dialog Box

Using the Calculated Fields Dialog Box

Using the Placements Dialog Box

Related Procedures

Add to Filter

Remove from Filter

Toggle Filter

Edit Expression...

Reapply Filter/Sort


Reapply Filter/Sort

Reapply the Current Filter And Sort

Select this option to apply the last filter or sort again.

Location

To apply the Reapply Filter/Sort option, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in any view.

  2. From the Edit tab, click the Reapply Filter And Sort button.

Related Topics and Procedures

Related Topics

Using Filters

Using the New Filter Dialog Box

Using the Filter Expression Dialog Box

Using the Sorts Dialog Box

Using the Calculated Fields Dialog Box

Using the Placements Dialog Box

Related Procedures

Add to Filter

Remove from Filter

Clear Filter

Toggle Filter

Edit Expression


Remove from Filter

This option takes a selection range and adds the selection values to the currently selected filter based on the following rules:

  • Multiple selections within a column are added to the filter with an OR NOT EQUALS condition

  • Multiple selections across columns are added to the filter with an AND NOT EQUALS condition

Location

To apply the Remove From Filter option, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in any view.

  2. From the Edit tab, click the Remove From Filter [image] button.

Related Topics and Procedures

Related Topics

Using Filters

Using the New Filter Dialog Box

Using the Filter Expression Dialog Box

Using the Sorts Dialog Box

Using the Calculated Fields Dialog Box

Using the Placements Dialog Box

Related Procedures

Add to Filter

Clear Filter

Toggle Filter

Edit Expression...

Reapply Filter/Sort


Toggle Filter

Once a filter has been applied, this option turns the filter on or off while still remembering it.

Location

To apply the Toggle Filter option, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in any view.

  2. From the Edit tab, click the Toggle Filter [image] button.

Related Topics and Procedures

Related Topics

Using Filters

Using the New Filter Dialog Box

Using the Filter Expression Dialog Box

Using the Sorts Dialog Box

Using the Calculated Fields Dialog Box

Using the Placements Dialog Box

Related Procedures

Add to Filter

Remove from Filter

Clear Filter

Edit Expression...

Reapply Filter/Sort


Progress (Edit Tab)

You can issue the Progress command by selecting an activity and clicking Progress on the Edit tab.

This command allows you to enter schedule information — actual dates, estimates, and completion status — about activities in a project that is underway. You can also enter information about resource usage at the activity level.

Related Topics and Procedures

Related Topics

Entering Progress Information

Using the Activity Progress Activity Tab

Using the Activity Progress Resources Tab

Related Procedures

Enter Activity Progress

Calculating Resource Progress Based on Activity Progress


Properties (Edit Tab)

You can issue the Properties command by clicking Properties on the Edit tab while in a resource, code, or calendar view.

This command displays the Properties dialog box for the selected ancillary file.

Related Topics and Procedures

Related Topic

Using the Properties Dialog Box


Activity Information Barchart Spreadsheet (Edit Tab)

Activity Information (Edit Tab)

You can issue the Activity Information command from an activity-related view in the following ways:

  • By selecting an activity and clicking Information from the Dialogs group on the Edit tab.

  • By selecting an activity and pressing the F5 key.

This command displays a tabbed dialog box that provides summary information about the schedule and costs of the selected activity.

Related Topics and Procedures

Related Topic

Viewing Activity Information


Edit Activity (Edit Tab)

You can issue the Edit Activity command by selecting an activity and clicking Details on the Edit tab. You can also right-click on an activity and select Edit Activity.

This command displays the Activity Details dialog box and allows you to edit information about the selected activity.

Related Topics and Procedures

Related Topic

Creating and Editing Activities

Related Procedure

Editing an Activity


Edit (Edit Tab)

You can issue the Edit Code or Edit Resource command in the following ways:

  • By selecting a code and clicking Details on the Edit tab or by right-clicking on a code and selecting Edit from the context menu.

  • By selecting a resource and clicking Details on the Edit tab or by right-clicking on a resource and selecting Edit from the context menu.

This command displays a dialog box that allows you to edit information about the selected item.

Related Topics and Procedures

Related Topics

Code Details Dialog Box

Resource Details Dialog Box

Related Procedures

Editing a Code

Editing a Resource


Activity Information Network (Edit Tab)

Activity Information (Edit Tab)

You can issue the Activity Information command from a network view in the following ways:

  • By selecting an activity and clicking Information on the Edit tab.

  • By selecting an activity and pressing the F5 key.

  • By right-clicking on an activity and selecting Activity Information.

This command displays summary information about the selected activity.

Related Topics and Procedures

Related Topic

Viewing Activity Information


Allocation (Edit Tab)

After performing resource scheduling, you can issue the Allocation command by selecting an activity and clicking Allocate on the Edit tab.

This command displays a dialog box that shows the resources suggested by resource scheduling for each activity and allows you to take an appropriate action on as many of the resource allocations as you wish.

There are two types of actions you can take when using the Resource Allocation dialog box:

  • Accept

  • Lock

Related Topics and Procedures

Related Topics

Using Resource Allocation

Using the Activity Resource Allocation Dialog Box

Related Procedures

Performing Resource Scheduling

Performing Resource Allocation


Assign Resource (Edit Tab)

You can issue the Assign Resource command by selecting an activity from a project view and clicking Assign on the Edit tab.

This command displays the Select Resource and Activity Details dialog boxes and allows you to assign one or more resources to the activity.

Related Topics and Procedures

Related Topics

Defining Resource Profiles

Activity Details Resources Tab

Related Procedures

Assigning Resource Requirements to an Activity

Creating a Resource-Based Schedule


Calendars (Edit Tab)

You can issue the Calendars command by clicking Calendars on the Edit tab when a calendar is displayed.

This command displays the Calendars dialog box and allows you to create, copy, rename, or delete a calendar stored in the calendar file.

Related Topics and Procedures

Related Topic

Using the Calendars Dialog Box

Related Procedures

Creating a New Calendar

Copying a Calendar

Renaming a Calendar

Deleting a Calendar


Holidays (Edit Tab)

You can issue the Holidays command by clicking Holidays from the Calendar Data group on the Edit tab, when a calendar file is open.

This command displays the Holidays dialog box and allows you to define holidays for all the calendars stored in the calendar file. For each calendar, you can define any number of holidays. You can also specify whether the holiday should be repeated every year.

Related Topics and Procedures

Related Topic

Using the Holidays Dialog Box

Related Procedures

Entering a Holiday

Entering Multiple Holidays

Entering Company Holidays


Define Work Hours (Edit Tab)

You can issue the Define Work Hours command in the following ways:

  • By selecting a date in a calendar and clicking Work Hours on the Edit tab

  • By double-clicking a date in a calendar

  • By selecting the date and pressing the Ctrl+Spacebar keys

This command displays the Define Work Hours dialog box and allows you to define the working hours of the selected date.

Related Topics and Procedures

Related Topic

Using the Define Work Hours Dialog Box

Related Procedure

Defining the Work Hours for a Day


Define Work Week (Edit Tab)

You can issue the Define Work Week command by clicking Work Week on the Edit tab when a calendar is displayed.

This command displays the Define Work Week dialog box and allows you to define the working days and hours that constitute the default work week for the calendar.

Related Topics and Procedures

Related Topic

Using the Define Work Week Dialog Box

Related Procedure

Defining the Standard Work Week


Preferences (Edit Tab)

To issue the Preferences command, do one of the following:

  • Display a code, network, resource, or risk histogram view and click Preferences from the View group on the Edit tab.

  • Right-click the view and click Preferences on the context menu.

This command displays a dialog box that allows you to customize how the view displays information.

Related Topics and Procedures

Related Topics

Customizing a Network View

Customizing a Resource Window

Customizing a Code Window

Related Procedures

Showing Page Breaks on a Network View

Highlighting Controlling Relationships in the Network View

Defining the Relationship Line Style

Changing the Shape of a Relationship Line

Defining Activity Box Attributes

Setting Box Layout Options


Bar Sets (View Tab)

To issue the Bar Sets command, click Bar Sets [image] on the View tab.

A bar set is a group of activity or resource assignment bars that you can assign to a barchart view. For example, you might have a particular style of bar to show a critical activity and another bar to show an activity that is not critical.

Related Topics and Procedures

Related Topics

Using the Bar Set Preferences Dialog Box

Bar Set Preferences Bar Attributes Tab

Bar Set Preferences Crosstable Tab

Related Procedures

Displaying Relationships on a Barchart View

Highlighting Controlling Relationships in a Barchart View

Defining Activity Bar Attributes

Creating a New Bar Type


Bar Data Mode (View Tab)

To use the Bar Data mode, click Bar Data [image] on the View tab.

This lets you edit the following information about a selected activity on the barchart:

  • Target start date

  • Duration

  • Percent complete

Related Topics and Procedures

Related Topic

Relationship Mode

Related Procedures

Setting a Target Start Date

Changing the Duration of an Activity

Entering Activity Progress in a Barchart


Go to Date in a Barchart or Histogram (View Tab)

Go to Date (View Tab)

To issue the Go to Date command from a barchart or histogram view, click Go to Date on the View Tab.

This command displays the Go To Date dialog box, which lets you specify a date. Open Plan then scrolls the view to make the specified date visible.

Related Topics and Procedures

Related Topic

Using the Go To Date Dialog Box

Related Procedures

Finding an Activity

Finding Another Activity


Relationship Mode (View Tab)

The Relationship Mode command lets you edit relationships between activities displayed on a barchart view. To issue this command, click Relationship mode [image] button on the View tab of a barchart view.

Related Topics and Procedures

Related Topic

Bar Data Mode

Related Procedures

Displaying Relationships on a Barchart View

Creating a Relationship Using the Mouse

Editing a Relationship in a Barchart View

Deleting a Relationship in a Barchart View


Barchart Preferences (View Tab)

To issue the Barchart Preferences command on a barchart view, do either of the following:

  • Click Preferences from the Barchart group on the View tab.

  • Right-click the barchart pane and click Preferences from the context menu.

This command displays a dialog box that allows you to customize how the barchart portion of a barchart view presents information. (You customize the spreadsheet and histogram portions of the view separately.)

Related Topics and Procedures

Related Topic

Customizing a Barchart View

Related Procedures

Displaying Relationships on a Barchart View

Highlighting Controlling Relationships in a Barchart View

Defining Activity Bar Attributes

Creating a New Bar Type


Collapse Barchart and Spreadsheet (View Tab)

Collapse (View Tab)

To issue the Collapse command from a barchart or spreadsheet view, select a subproject and click the Collapse [image] button on the View tab.

This command hides the children of the subproject and allows you to work with the data at a summary level.

Related Topics and Procedures

Related Topics

Expand

Expand All

Collapse All


Edit Date Scale (View Tab)

To issue the Date Scale command, click Date Scale [image] on the View tab.

This command displays the Date Scale Preferences dialog box, which lets you control how the date scale is displayed on the barchart and histogram views.

Related Topics and Procedures

Related Topic

Date Scale Preferences Dialog Box

Related Procedures

Adjusting a Date Scale Manually

Changing the Font on a Date Scale


Set Conditional Formatting (View Tab)

Click Conditional Formatting to display the Conditional Formatting dialog box.

This dialog lets you specify conditions under which the attributes of rows or an individual column in a spreadsheet view will change. You can change the text font, size, attributes, and color, cell background color, and even add a custom image to the cell (such as a red flag icon for critical or notable items).

Related Topics and Procedures

Related Topic

Using the Conditional Formatting Dialog Box

Related Procedure

Setting a Column or Row Attribute


Spreadsheet Preferences (View Tab)

To issue the Spreadsheet Preferences command, do one of the following:

  • Display a spreadsheet view and on the View tab, click Preferences from the Table group.

  • Display a barchart view and on the View tab, click Preferences from the Barchart group.

  • Right-click a spreadsheet view or the spreadsheet pane of a barchart view and click Preferences on the context menu.

This command displays a tabbed dialog box that allows you to customize how the spreadsheet view or spreadsheet pane of a barchart view presents information. (You customize the barchart and histogram portions of the view separately.)

Related Topics and Procedures

Related Topic

Customize a Spreadsheet View

Related Procedures

Customize Display Options

Enable Outlining

Enable Grouping

Define Outlining

Define Grouping


Spreadsheet: Split View (View Tab)

To issue the Split View command, select one or more columns in a spreadsheet, click Split View [image] on the View tab.

This command divides the view into two panes. You can drag the divider between the panes to adjust the amount of space each occupies. Each pane features a horizontal scroll bar allowing you to adjust the amount of data displayed in each pane. The vertical scroll bar is synchronized between the two panes.

Related Topics and Procedures

Related Topics

Spreadsheet: Add Column

Spreadsheet: Insert Column

Related Procedure

Splitting a Spreadsheet into Two Panes


Spreadsheet: Add Column (View Tab)

To issue the Add Column command, position your cursor in the column to the left of where you want to add a column, click Add [image] on the View tab.

This command displays the Add Column dialog box, which lets you add a new column in the spreadsheet.

Related Topics and Procedures

Related Topic

Using the Add Column Dialog Box

Related Procedure

Adding a New Column


Spreadsheet: Best Fit Column (View Tab)

To issue the Best Fit Column command, select one or more columns in a spreadsheet, click Best Fit [image] on the View tab.

This command resizes the selected columns to the size required by the data the columns contain.

Related Topics and Procedures

Related Topics

Spreadsheet: Add Column

Spreadsheet: Insert Column

Related Procedure

Adjusting Column Width


Spreadsheet: Click to Sort (View Tab)

This command lets you quickly sort a spreadsheet column by clicking the heading of the column you wish to sort. You can also sort on multiple columns by Ctrl+clicking the desired columns.

Clicking the same column again toggles the sort operation between ascending and descending.

Related Topics and Procedures

Related Topic

Spreadsheet View

Related Procedure

Sorting the Data in a Spreadsheet


Spreadsheet: Edit Column (View Tab)

To issue the Edit Column command, select a column in a spreadsheet, click Edit [image] on the Columns group.

This command displays the Edit Column dialog box, which lets you change the attributes of the selected spreadsheet column.

Related Topics and Procedures

Related Topic

Using the Edit Column Dialog Box

Related Procedure

Editing a Column


Spreadsheet: Insert Column (View Tab)

To issue the Insert Column command, position your cursor in the column to the right of where you want to insert a column, click Insert [image] on the View tab.

This command displays the Insert Column dialog box, which lets you insert a new column in the spreadsheet.

Related Topics and Procedures

Related Topic

Using the Insert Column Dialog Box

Related Procedure

Inserting a Column


Spreadsheet: Remove Column (View Tab)

To issue the Remove Column command, select a column in a spreadsheet, click Remove [image] on the View tab.

This command removes the selected column from the spreadsheet.

Related Topics and Procedures

Related Topics

Spreadsheet: Add Column

Spreadsheet: Insert Column

Related Procedure

Removing a Column


Risk Analysis Histogram Preferences (View Tab)

To issue the Risk Analysis Histogram Preferences command, do one of the following:

  • Display a risk analysis histogram view and click Preferences on the View tab.

  • Right-click a risk analysis histogram view and click Preferences on the context menu.

This command allows you to customize how the risk analysis histogram view presents information.

Related Topics and Procedures

Related Topics

Risk Analysis Histogram Requirements

Customizing a Risk Analysis Histogram View

Related Procedure

Displaying a Risk Histogram View


Resource Histogram Preferences (View Tab)

To issue the Resource Histogram Preferences command, do any of the following:

  • Display a resource histogram view and click Preferences from the General group on the View tab.

  • Display a barchart view and click Preferences from the Histogram group on the View tab.

  • Right-click a resource histogram or the histogram pane of a barchart view and click Preferences on the context menu.

This command displays a tabbed dialog box that allows you to customize how the resource histogram view or histogram pane of a barchart view presents information. (You customize the barchart and spreadsheet portions of the view separately.)

Related Topics and Procedures

Related Topic

Customizing a Resource Histogram View

Related Procedures

Displaying Resource Assignments on a Resource Histogram

Displaying Actual Resource Usage on a Histogram


Hide Histogram (View Tab)

Display Histogram (View Tab)

When in a barchart view with a histogram displayed, this command displays or hides the histogram pane.

Related Topics and Procedures

Related Topic

How a Barchart Displays Information


Title Blocks (View Tab)

To issue the Title Blocks command, click Title Blocks on the View tab.

The Title Blocks dialog box features a list of all the title block definitions currently stored in your data source. Each title block definition can include up to six title blocks that can be included in each report. (Three title blocks may be defined for the header of the report, and three for the footer.)

Related Topics and Procedures

Related Topics

Using the Title Blocks Dialog Box

Using the Title Block Definition Dialog Box

Related Procedures

Defining a Title Block

Assigning a Title Block to a View

Copying a Title Block

Editing a Title Block


Add Annotation (View Tab)

You can issue the Annotation command by displaying a network view and clicking Add Annotation on the View tab.

The Annotation command allows you to highlight important information about your project by attaching an annotation to a network view.

You can attach the annotation to either the view as a whole or to a specific activity. If you attach the annotation to an activity, the annotation stays with the activity whenever it is moved on the view.

In addition, you can customize the way the annotation is displayed in a number of different ways. You can:

  • Display the annotation within any of three different borders or without a border.

  • Select the font to be used in the annotation.

  • Click the color on which the annotation is displayed.

  • Display the annotation behind or in front of other elements on the view.

The size of the text automatically adjusts when you change the size of the annotation box.

Related Topics and Procedures

Related Topics

Annotating a Network

Using the Network View Annotation Dialog Box

Related Procedures

Entering an Annotation

Editing an Annotation

Changing How an Annotation is Displayed

Deleting an Annotation


Filters (View Tab)

To issue the Filters command, open a project and click Filters [image] on the Edit tab. You can also click the Filters button [image] on the Tools tab.

Filters limit the display of activities in a view based on a specific criterion.

The Filters command displays a dialog box that allows you to select a filter from a list of filters already included in the project file.

Buttons across the bottom of the dialog box allow you to add new filters to the list, edit existing filters, or delete filters from the list.

You can also reapply the current filter and refresh the display by clicking the Reapply Filter And Sort button [image] on the Edit tab.

Related Topics and Procedures

Related Topic

Using the Filters Dialog Box

Related Procedures

Applying a Filter to a View

Filtering Data on a Code Level

Filtering Data on a Calculated Field

Creating a New Filter

Copying a Filter

Editing a Filter

Deleting a Filter


Go to Parent (View Tab)

To issue the Go to Parent command from a network view, click Go to Parent [image] on the View tab.

This command selects the parent of the current subproject.

Related Topics and Procedures

Related Topics

Go to Top Level

Go to Subproject

Collapse All


Go to Subproject (View Tab)

To issue the Go to Subproject command from a network view, select a subproject activity and click Go to Subproject [image] on the View tab.

This command allows you to drill down to the next lower level in the project hierarchy.

Related Topics and Procedures

Related Topics

Go to Top Level

Go to Parent

Collapse All


Go to Top Level (View Tab)

Go to Top (View Tab)

To issue the Go to Top command from a network view, click Go to Top [image] on the View tab.

This command returns you to the top level of a project hierarchy after you have navigated to a lower level.

Related Topics and Procedures

Related Topics

Go to Parent

Go to Subproject

Collapse All


Network View: Split View (View Tab)

To issue the Split View command, click Split View [image] on the View tab when in a network view.

This command divides the view into two panes. You can drag the divider between the panes to adjust the amount of space each occupies. Each pane features a horizontal scroll bar allowing you to adjust the amount of data displayed in each pane.

You can drag a relationship between the two split panes by pressing and holding the ALT key while dragging the relationship from one pane to the other.

Related Topics and Procedures

Related Topic

Network Preferences Options Tab

Related Procedure

Creating an Activity in a Network View


Placements (View Tab)

To issue the Placements command from a network view, do any of the following:

  • Click Placements from the Network group on the View tab.

  • Press the Shift+P keys.

  • Right-click an empty area of the view and then click Placements on the shortcut menu.

This command displays the Placements dialog box that controls how Open Plan places activity boxes in the network view.

Related Topics and Procedures

Related Topic

Using the Placements Dialog Box

Related Procedures

Performing Automatic Placements

Turning Automatic Placements Off

Saving Automatic Placements


Select Activity

This command displays the Key Activity Selection dialog box which you can use to select the key activity that is displayed in a risk histogram view.

Related Topics and Procedures

Related Topics

Using the Key Activity Selection Dialog Box

Risk Analysis Histogram View

Related Procedures

Displaying a Risk Histogram View

Selecting a Key Activity to Display on a Risk histogram View


Select Resource (View Tab)

To issue the Select Resource command from a histogram or barchart view, click Select Resource on the View tab.

This command displays the Resource Selection dialog box, which lets you select resources to be displayed on the histogram view or histogram pane of a barchart view.

Related Topics and Procedures

Related Topic

Using the Resource Selection Dialog Box

Related Procedure

Selecting Resources to Display on a Resource Histogram


Show Page Breaks (View Tab)

To issue the Show Page Breaks command, click Show Page Breaks [image] on the View tab.

This command displays a dotted line to indicate where page breaks would occur when printing the network view.

Related Topics and Procedures

Related Topic

Network Preferences: Options Tab

Related Procedure

Showing Page Breaks on a Network View


Suppress Activity Dialog (View Tab)

This option lets you add new activities to a network view without displaying the Activity Details dialog box. When selected, double-click an empty area of the network view to add a new activity.

Related Topics and Procedures

Related Topic

Creating and Editing Activities

Related Procedure

Creating an Activity in a Network View


Zoom In (View Tab)

To issue the Zoom In command, click the Zoom In [image] button on the View tab.

This command displays the network at a greater magnification, allowing you to see the full detail of each item, but possibly requiring you to scroll to view some items.

Open Plan can display a network at three zoom levels.

Related Topics and Procedures

Related Topic

Zoom Out

Related Procedure

Displaying a Network at Different Magnifications


Zoom Out in a Network (View Tab)

Zoom Out (View Tab)

To issue the Zoom Out command, click the Zoom Out [image] button on the View tab.

This command displays the network at a much smaller magnification, allowing you to see the full structure of the network, but with much less detail.

Open Plan can display a network at two zoom levels, and the Zoom Out command is available only if the entire structure cannot be displayed at once.

Related Topics and Procedures

Related Topic

Zoom In

Related Procedure

Displaying a Network at Different Magnifications


Zoom Out in Code and Resource Views (View Tab)

Zoom Out (View Tab)

To issue the Zoom Out command, click the Zoom Out [image] button on the View tab.

This command is used to show code and resource structures that cannot be displayed on a single screen. If you click Zoom Out from the normal display mode, Open Plan applies a reduced display mode to the window. In this display mode, the code or resource boxes are reduced so that only the codes or resources in the structure are visible. You can continue to work with the codes or resources just as though you were in the normal display mode.

If the entire structure can be displayed at once in a given window, the Zoom Out command is not available.

Related Topics and Procedures

Related Topics

How a Resource View Displays Information

How a Code Window Displays Information

Related Procedure

Using the Zoom Out Command


Copy a Calculated Field (Procedure)

Copy a Calculated Field

To create a calculated field as a copy of another calculated field, complete the following steps:

  1. Display a view of the project or resource file for which you want to copy a calculated field.

  2. On the Tools tab, click Calculated Fields.

  3. In the Calculated Fields dialog box, select the calculated field you want to copy.

  4. Click Copy.

  5. In the Calculated Field Expression dialog box, enter a new name for the calculated field that you are creating.

  6. Make any needed modifications to the calculated field expression.

  7. Click OK.

Related Topics and Procedures

Related Topic

Using the Calculated Field Expression Dialog Box

Related Procedures

Creating a New Calculated Field

Editing a Calculated Field

Deleting a Calculated Field

Deleting a Calculated Field on Which a Temporary Calculated Field is Based


Create a New Calculated Field (Procedure)

Create a New Calculated Field

To create a new calculated field, complete the following steps:

  1. On the Tools tab, click Calculated Fields.

  2. From the Display For field of the Calculated Fields dialog box, select the table for which you want to create a calculated field.

  3. Click New.

  4. In the New Calculated Field dialog box, take the following actions:

    • In the Name field, enter a name for the new calculated field.

    • From the Applies to Table list, select a table to which the calculated field should be added.

    • From the Data Type list, select the type of data to be returned by the calculated field. The data type of the field must match the result produced by the calculated field expression.

  5. Click OK to continue.

  6. In the Calculated Field Expression dialog box, enter the expression for the calculated field.

    The Fields and Functions buttons display dialog boxes that provide standard lists of fields and functions you can use to help you build the expression.

  7. When you have finished entering the calculated field expression, click OK.

  8. When the Calculated Fields dialog box is redisplayed, click Close.

Related Topics and Procedures

Related Topic

Using the Calculated Field Expression Dialog Box

Related Procedures

Editing a Calculated Field

Copying a Calculated Field

Deleting a Calculated Field

Deleting a Calculated Field on Which a Temporary Calculated Field is Based


Define a Temporary Calculated Field in a Network View

To define a temporary calculated field in a network view, complete the following steps:

  1. Display the network view to which you want to apply the temporary calculated field.

  2. Take one of the following actions:

  • On the View tab, click Preferences.

  • Right-click an empty area of the view, and click Preferences on the context menu.

  3. In the Network Preferences dialog box, click the Box Attribute or the Box Layout tab.

  4. Enter the temporary calculated field in the Criterion or Field column, and click OK.

    5. Open Plan displays the results of the calculated field in the network view.

Related Topics and Procedures

Related Topics

Calculated Fields Overview

Temporary Calculated Fields

Related Procedures

Define a Temporary Calculated Field in a Spreadsheet View

Deleting a Calculated Field on which a Temporary Calculated Field is Based


Define a Temporary Calculated Field in a Spreadsheet View

To define a temporary calculated field in a spreadsheet view, complete the following steps:

  1. Display the spreadsheet view to which you want to apply the temporary calculated field.

  2. Right-click the column heading, and click Add, Insert, or Edit column.

  3. In the Column dialog box, enter the calculated field in the Field Name field and a column title in the Title field, and click OK.

    4. Open Plan displays the results of the calculated field in the selected column.

Related Topics and Procedures

Related Topics

Calculated Fields Overview

Temporary Calculated Fields

Related Procedures

Define a Temporary Calculated Field in a Network View

Deleting a Calculated Field on which a Temporary Calculated Field is Based


Delete a Calculated Field (Procedure)

Delete a Calculated Field

To delete a calculated field, complete the following steps:

  1. On the Tools tab, click Calculated Fields.

  2. In the Calculated Fields dialog box, select the calculated field you want to delete. You cannot delete a calculated field that has been used in the definition of another permanent calculated field.

  3. Click Delete.

  4. When Open Plan asks you to confirm the deletion, click Yes.

Related Topics and Procedures

Related Topic

Using the Calculated Fields Dialog Box

Related Procedures

Creating a New Calculated Field

Editing a Calculated Field

Copying a Calculated Field

Deleting a Calculated Field on Which a Temporary Calculated Field is Based


Delete a Calculated Field on Which a Temporary Calculated Field is Based (Procedure)

Delete a Calculated Field on which a Temporary Field is Based

To delete a calculated field on which a temporary calculated field is based, complete the following steps:

  1. Close the project that uses the temporary calculated field.

  2. Reopen the project.

  3. On the Tools tab, click Calculated Fields.

  4. In the Calculated Fields dialog box, select the calculated field that you want to delete.

  5. Click Delete.

  6. When Open Plan asks you to confirm the deletion, click Yes.

Related Topics and Procedures

Related Topic

Using the Calculated Fields Dialog Box

Related Procedures

Creating a New Calculated Field

Editing a Calculated Field

Copying a Calculated Field

Deleting a Calculated Field


Edit a Calculated Field (Procedure)

Edit a Calculated Field

To edit a calculated field, complete the following steps:

  1. Display a view of the project or resource file for which you want to edit a calculated field.

  2. On the Tools tab, click Calculated Fields.

  3. In the Calculated Fields dialog box, select the calculated field you want to edit.

  4. Click Edit to display the Calculated Field Expression dialog box.

  5. Use the standard list of fields, functions, and operators to edit the expression in the Expression text box.

  6. Click OK.

Related Topics and Procedures

Related Topic

Using the Calculated Field Expression Dialog Box

Related Procedures

Creating a New Calculated Field

Copying a Calculated Field

Deleting a Calculated Field

Deleting a Calculated Field on Which a Temporary Calculated Field is Based


Copy an Email Advisory (Procedure)

Copy an Email Advisory

To copy an email advisory, complete the following steps:

  1. Open the project containing the email advisory that you want to copy.

  2. On the Tools tab, click Email Advisor.

  3. In the Advisory Definitions dialog box, select the advisory that you want to copy.

  4. Click Copy.

  5. In the Name field of the Edit Advisor Emails dialog box, verify the default name given the new email advisory. You may change this name if you wish.

  6. Click Save.

Related Topics and Procedures

Related Topic

Using the Advisory Definitions Dialog Box

Related Procedures

Sending an Email Advisory

Setting Up an Email Advisory Address List

Creating a New Email Advisory

Editing an Email Advisory

Deleting an Email Advisory


Create a New Email Advisory (Procedure)

Create a New Email Advisory

To create a new email advisory, complete the following steps:

  1. Open the project for which you want to create an email advisory.

  2. Set up the address list that you want to use for the advisory.

  3. On the Tools tab, click Email Advisor.

  4. In the Advisory Definitions dialog box, click New.

  5. In the Edit Advisor Emails dialog box, enter the information for the advisory.

  6. Click Test to view the advisory that will be sent.

  7. Click OK to return to the Edit Advisor Emails dialog box.

  8. Click Save.

  9. If you want to send the email advisory at this time, click Send.

Related Topics and Procedures

Related Topic

Using the Edit Advisor Emails Dialog Box

Related Procedures

Sending an Email Advisory

Setting Up an Email Advisory Address List

Copying an Email Advisory

Editing an Email Advisory

Deleting an Email Advisory

Use Email Advisor in a Project


Delete an Email Advisory (Procedure)

Delete an Email Advisory

To delete an email advisory, complete the following steps:

  1. Open the project containing the email advisory that you want to delete.

  2. On the Tools tab, click Email Advisor.

  3. In the Advisory Definitions dialog box, select the advisory that you want to delete.

  4. Click Delete.

  5. When Open Plan asks you to confirm the deletion, click Yes.

Related Topics and Procedures

Related Topic

Using the Advisory Definitions Dialog Box

Related Procedures

Sending an Email Advisory

Setting Up an Email Advisory Address List

Creating a New Email Advisory

Copying an Email Advisory

Editing an Email Advisory


Edit an Email Advisory (Procedure)

Edit an Email Advisory

To edit an email advisory, complete the following steps:

  1. Open the project containing the email advisory that you want to edit.

  2. On the Tools tab, click Email Advisor.

  3. In the Advisory Definitions dialog box, select the advisory that you want to edit.

  4. Click Edit.

  5. In the Edit Advisor Emails dialog box, change any information that you want.

  6. Click Save.

Related Topics and Procedures

Related Topic

Using the Edit Advisor Emails Dialog Box

Related Procedures

Sending an Email Advisory

Setting Up an Email Advisory Address List

Creating a New Email Advisory

Copying an Email Advisory

Deleting an Email Advisory


Send an Email Advisory (Procedure)

Send an Email Advisory

To send an email advisory, complete the following steps:

  1. In the Project folder of Open Plan Explorer, select the project from which you want to send an email advisory.

  2. In the Manage menu group of the Tools tab, click Email Advisor.

  3. In the Advisory Definitions dialog box, select the advisory you want to send.

  4. Click Test to view the advisory that will be sent.

  5. In the Test Advisory Definition dialog box, click OK to return to the Advisory Definitions dialog box.

  6. Click Send.

Related Topics and Procedures

Related Topic

Advisory Definitions Dialog Box

Related Procedures

Setting Up an Email Advisory Address List

Creating a New Email Advisory

Copying an Email Advisory

Editing an Email Advisory

Deleting an Email Advisory

Use Email Advisor in a Project


Set Up an Email Advisory Address List (Procedure)

Set Up an Email Advisory Address List

To set up an email advisory address list, complete the following steps:

  1. Open the project for which you want to set up an email advisory address list.

  2. Display the appropriate view to display the field you want to use for the address. For example, if you want to use the Code Description field of a particular code for the address, open the code file that contains the code. Similarly, if you want to use a user character field, display an activity view.

    For a list of fields you can use to contain the address, display the Edit Advisor Emails dialog box, and click the down arrow at the right of the Address field.

  3. Open the element you want to use to contain the address list. For example, if you plan to use the Code Description field of a particular code, open that code for editing.

    Create a separate code file to hold the addresses, and assign this file to the project.

  4. Enter the address in the field of your choice according to one of the following formats:

    • For an embedded address: [mailto:<email address>]

    • Use this option when combining address and non-address information in the same field.

    • For an address that is listed in a field, enter the email addresses separated by semicolons (;).When using lists, do not include any non-address information in the field.

Related Topics and Procedures

Related Topic

Using the Edit Advisor Emails Dialog Box

Related Procedures

Sending an Email Advisory

Creating a New Email Advisory

Copying an Email Advisory

Editing an Email Advisory

Deleting an Email Advisory


Use Email Advisor in a Project

To use Email Advisor in a project, complete the following steps:

  1. Open the project to which you want to create an email advisory.

  2. Configure the Email Advisory address list. See Set Up an Email Advisory Address List for steps.

  3. On the Tools tab, click Email Advisor.

  4. In the Advisory Definition dialog box, take one of the following actions:

  5. Click New to create a new advisory definition.

  6. Select an advisory definition, and click Edit.

  5. In the Edit Advisor Emails dialog box, enter the definition for the advisory.

  6. Optional. To review the advisory that will be sent, click Test.

  7. If you run the test, click OK to return to the Edit Advisor Emails dialog box.

  8. Click Save. Open Plan saves the advisory definition and returns you to the Advisory Definitions dialog box.

  9. Select the advisory definition, and click Send.


Add a Filter Expression

To add a filter expression, complete the following steps:

  1. On the Edit tab, click Filters from the Filters group.

  2. When Open Plan displays a list of existing filters, click New.

  3. In the New Filter dialog box, enter a name, and select a source data table for the new filter.

  4. Click OK.

  5. In the Filter Expression dialog box, define the filter expression.

  6. When the information for the filter expression is complete, click OK.


Apply Filter to a View (Procedure)

Apply Filter to a View

To apply a filter to a view, complete the following steps:

  1. Display the view to which you want to apply a filter.

  2. Take any of the following actions:

  • On the Tools tab, click Filters.

  • On the Edit tab, click Filters button.

  3. In the Filters dialog box, select the filter you want to apply to the view.

  4. Click OK.

You can also reapply the current filter and refresh the simply by clicking the Reapply Filter And Sort [image] button on the Edit tab.

Related Topics and Procedures

Related Topics:

Using the Filters Dialog Box

Related Procedures:

Filtering Data on a Code Level

Filtering Data on a Calculated Field

Creating a New Filter

Editing a Filter

Copying a Filter


Cancel a Filter

To cancel a filter:

  1. Take one of the following actions:

  • On the Edit tab, click Clear Filter from the Filters group.

  • Right-click within the view, and click Filters on the context menu.

  • Double click the status bar filter name or < No Filter > text.

  2. In the Filters dialog box, select <Cancel filter>, and click OK.


Copying a Filter (Procedure)

Copying a Filter

To create a filter as a copy of another filter, complete the following steps:

  1. Take any of the following actions:

  • On the Tools tab, click Filters.

  • On the Edit tab, click Filters from the Filters group.

  • On the Edit tab, click Edit Filter.

  2. In the Filters dialog box, select the filter you want to copy.

  3. Click Copy.

  4. In the Filter Expression dialog box, enter a new name for the filter you are creating.

  5. Make any needed modifications to the filter expression.

  6. Click OK.

Related Topics and Procedures

Related Topic

Using the Filter Expression Dialog Box

Related Procedures

Creating a New Filter

Applying a Filter to a View

Editing a Filter

Deleting a Filter


Creating a New Filter (Procedure)

Creating a New Filter

To create a new filter, complete the following steps:

  1. Take any of the following actions:

  • On the Tools tab, click Filters.

  • On the Edit tab, click the Filters button.

  2. In the Filters dialog box, click New to display the New Filter dialog box.

  3. In the Name field, enter a name for the new filter.

  4. On the Applies to Table list, select a table to which the filter will apply.

  5. Click OK.

  6. In the Filter Expression dialog box, enter the information for the filter.

  7. When you finish entering the filter expression, click OK.

Related Topics and Procedures

Related Topic

Using the Filter Expression Dialog Box

Related Procedures

Applying a Filter to a View

Editing a Filter

Copying a Filter

Deleting a Filter


Create a Temporary Filter in a Network View

To create a temporary filter in a Network view, complete the following steps:

  1. On the View tab, click Placements.

  2. In the Placements dialog box, click the Filters button to display the Filters dialog box.

  3. Take one of the following actions:

  • Select <Temporary Filter>, and click Edit.

  • Double-click <Temporary Filter>.

  4. In the Filter Expression dialog box, define the temporary filter in the grid.

    5. Click More to expand the Filter Expression dialog box if you want to use the Fields and Functions buttons as an aid in building your filter expressions.

  5. Click OK.


Creating a Temporary Filter Using the Filter Expression Dialog Box

To create a temporary filter, complete the following steps:

The temporary filter created by this procedure can be applied only to a primary table. To apply a temporary filter to a secondary table, use the Define Link tab of the Spreadsheet Preferences dialog box.

  1. Display the view to which you want to apply the temporary filter.

  2. Take any of the following actions:

  • On the Tools tab, click Filters.

  • On the Edit tab, click Filters from the Filters group.

  3. From the Filters dialog box, select <Temporary Filter>.

  4. Click Edit.

  5. In the Filter Expression dialog box, enter the expression for the temporary filter.

For example, assume that you want to display a list of activities scheduled to start today. Open Plan requires that you define "today" as a specific date and time range. Therefore, if "today" were May 4, 2002, you would enter one of the following expressions in the Filter Expression dialog box:

  • ESDATE>{03MAY02 23:59} AND ESDATE<{05MAY02 00}

  • ESDATE BETWEEN({03MAY02 23:59},{05MAY02 00})

    • While you can type the filter expression in the text box, you can also use the Fields and Functions buttons to display dialog boxes that you can use as an aid in building the filter expression.

Related Topics and Procedures

Related Topic

Using the Filters Dialog Box

Related Procedure

Applying a Filter to a View


Deleting a Filter (Procedure)

Deleting a Filter

To delete a filter, complete the following steps:

  1. Take any of the following actions:

  • On the Tools tab, click Filters.

  • On the Edit tab, click the Filters button.

  2. In the Filters dialog box, select the filter you want to delete.

  3. Click Delete.

  4. When Open Plan asks you to confirm the deletion, click Yes.

Related Topics and Procedures

Related Topic

Using the Filters Dialog Box

Related Procedures

Creating a New Filter

Applying a Filter to a View

Editing a Filter

Copying a Filter


Designating a Filter as a Favorite

To designate a filter as a favorite, complete the following steps:

  1. Apply a predefined or a custom filter.

  2. Click the Favorite Filters button.

  3. Click the Add To Favorites button.

You can also manage your favorite filters list by using the Organize Favorites dialog box.

Related Topics and Procedures

Related Topic

Using Filters

Using the Filters Dialog Box

Using the New Filter Dialog Box

Using the Filter Expression Dialog Box

Using the Calculated Fields Dialog Box

Using the Organize Favorites Dialog Box

Related Procedures

Applying a Filter to a View

Filtering Data on a Code Level

Filtering Data on a Calculated Field


Editing a Filter (Procedure)

Editing a Filter

To edit a filter, complete the following steps:

  1. Take one of the following actions:

  2. On the Edit tab, click Filters from the Filters group. Select the filter you want to change, and click Edit.

  3. On the Edit Tab, also click Edit Filter from the Filters group.

  2. In the Filters dialog box, select the filter you want to edit.

  3. Click Edit.

  4. In the Filter Expression dialog box, edit the information you want to change.

  5. When you finish editing the filter, click OK.

Related Topics and Procedures

Related Topic

Using the Filter Expression Dialog Box

Related Procedures

Creating a New Filter

Applying a Filter to a View

Copying a Filter

Deleting a Filter


Filter a Multi-Table View on a Secondary Table (Procedure)

Filter a Multi-Table View on a Secondary Table

When using a multi-table barchart, perform the following procedure in the spreadsheet pane of the view. The filter you apply is reflected in both panes of the view.

To filter a multi table view on a secondary table, complete the following steps:

  1. Open the multi-table view to which you want to apply a temporary filter.

  2. Take one of the following actions:

  • On the View tab, click Preferences from the Table group.

  • Right-click within the view, and click Preferences on the context menu.

  3. In the Spreadsheet Preferences dialog box, click the Define Link tab.

  4. In the Filter column, enter the temporary filter you want to apply, and click OK.

    5. Open Plan applies the filter to the secondary table identified in the table column.

These temporary filters are not displayed in the Filters dialog box. They are not saved as part of the project. If you save a view while a temporary filter is in effect, Open Plan saves the view with the filter applied.

Related Topics and Procedures

Related Topic

Spreadsheet Preferences - Define Link

Related Procedure

Sorting a Multi-Table View on a Secondary Table


Filter Data on a Calculated Field (Procedure)

Filter Data on a Calculated Field

To filter data on a calculated field, complete the following steps:

This Procedure uses a calculated field that calculates the accomplished duration of an activity. The procedure would be similar for any other calculated field.

  1. Take any of the following actions:

  • On the Tools tab, click Filters.

  • On the Edit tab, click the Filters button.

  2. Create a new filter for the Activity table using the following input values:

  • Field Name: Accomplished Duration

  • Operator:Greater Than

Note that depending on the data you want to display, you could also select one of the following operators: Greater Than, Greater or Equals, Less Than, or Less or Equals.

  • Value 1: <value>

Note that you can enter any value you want in this field. For example, if you want to filter your data on activities that have an accomplished duration greater than 5 days, you would enter a 5D in this field.

  3. In the Filters dialog box, select the filter you have just created.

  4. Click OK.

Related Topics and Procedures

Related Topic

Using the Filters Dialog Box

Related Procedures

Applying a Filter to a View

Filtering Data on a Code Level

Creating a New Filter

Editing a Filter

Copying a Filter


Filter Data on a Code Level (Procedure)

Filter Data on a Code Level

To filter data on a code level, complete the following steps:

This Procedure assumes that a code C1 is attached to the project and that you will filter data based on a C1 level. It also assumes that a calculated field named WBS_Level has been made available to your project and that this calculated field returns the level of the code in C1.

  1. On the Tools tab, click Filters.

  2. Create a new filter using the following input values:

  • Field Name: WBS_Level

  • Operator: Equals

Note that depending on the data you want to display, you could also select one of the following operators: Greater Than, Greater or Equals, Less Than, or Less or Equals.

  • Value 1: <value>

Note that you can enter any value you want in this field. For example, if you want to filter your data on level 2 of the WBS structure, enter 2 in this field.

  3. In the Filters dialog box, select the filter you have just created.

  4. Click OK.

Related Topics and Procedures

Related Topic

Using the Filters Dialog Box

Related Procedures

Applying a Filter to a View

Filtering Data on a Calculated Field

Creating a New Filter

Editing a Filter

Copying a Filter


Refresh a Filter

To refresh a filter:

  1. On the Edit tab, click Reapply Filter And Sort from the Filters group.


View and Select Favorite Filters

To view and select additional favorite filters using the Organize Favorites dialog box, complete the following steps:

  1. On the Tools tab, in the Manage group, click Favorites.

  2. Use the Organize Favorites dialog box to view your favorite filters and to add/remove filters.

  3. Click OK to close the dialog box.

To view and edit your favorite filters from the Edit tab, complete the following steps:

  1. When you have a view open, on the Edit tab, in the Filter group, click Favorites » More Favorites.

  2. Select a filter and click OK.

Related Topics and Procedures

Related Topic

Favorites


Apply a Global Edit to a Project or Resource File (Procedure)

Apply a Global Edit to a Project or Resource File

To apply a global edit to a project or resource file, complete the following steps:

  1. Open the project or resource file in exclusive mode.

  2. On the Tools tab, click Global Edits.

  3. In the Global Edits dialog box, select a global edit that you want to apply.

Unless you are absolutely certain the global edit you selected is the one you want to apply, click Edit or Display to review the definition before proceeding.

  4. Click Apply.

Related Topics and Procedures

Related Topic

Using the Global Edits Dialog Box

Related Procedures

Creating a New Global Edit Definition

Copying a Global Edit Definition

Editing an Existing Global Edit Definition

Deleting a Global Edit Definition


Apply a Global Edit Without Saving the Expression

To apply a global edit without saving the expression, complete the following steps:

  1. Open the project or resource file for which you want to apply the temporary global edit.

  2. On the Tools tab, click Global Edits from the Manage group.

  3. In the Global Edits dialog box, click New.

  4. In the Global Edit Definition dialog box, enter the information for the expression, but leave the name as <temporary>.

  5. When the expression is complete, click Apply.


Copying a Global Edit Definition (Procedure)

Copying a Global Edit Definition

To create a global edit definition as a copy of another global edit, complete the following steps:

  1. Display a view of the project or resource file for which you want to copy a global edit definition.

  2. On the Tools tab, click Global Edits.

  3. In the Global Edits dialog box, select the global edit definition you want to copy.

  4. Click Copy.

  5. In the Global Edit Definition dialog box, enter a new name for the global edit definition that you are creating.

  6. Make any needed modifications to the global edit expression.

  7. Do one of the following:

  • To save and apply the new global edit and close the dialog box, click OK.

  • To apply the new global edit without saving it, click Apply.

Related Topics and Procedures

Related Topic

Using the Global Edit Definition Dialog Box

Related Procedures

Applying a Global Edit to a Project or Resource File

Creating a New Global Edit Definition

Editing an Existing Global Edit Definition

Deleting a Global Edit Definition


Create a Batch Global Edit Definition

To create a batch global edit definition, complete the following steps:

  1. From the Tools tab, click Batch Global Edits.

  2. From the Display for list in the Batch Global Edits dialog box, select the table to which the batch global edit applies.

  3. Click New.

  4. From the Available Global Edits list, select the global edits to include in the batch definition, and click the right arrow button.

    You can select multiple global edits to include at once by Ctrl+clicking or Shift+clicking the desired global edits.

  5. If the global edit you want to include is not listed, click Global Edits to display the Global Edits dialog box, which you can use to create the appropriate global edit.

  6. In the Assigned Global Edits list, use the up and down arrow buttons to determine the order in which the global edits are to be executed.

  7. If you wish to share the batch definition with other users, click Access Control to display the Access Control dialog box.

  8. When you are finished defining the batch, click OK.

When a batch is applied, it is first reconciled to verify all referenced global edits exist. If missing global edits are detected, a message is displayed to let you decide if you want to continue to apply the batch or not. If you choose to continue, the batch is applied and the missing global edits are removed from the definition.

Related Topics and Procedures

Related Topics

Using the Batch Global Edits Dialog Box

Using the Batch Global Edit Definition Dialog Box

Using the Global Edits Dialog Box

Using the Global Edit Definition Dialog Box

Related Procedures

Creating a New Global Edit Definition

Copying a Global Edit Definition

Editing an Existing Global Edit Definition


Create a New Global Edit Definition (Procedure)

Create a New Global Edit Definition

To create a new global edit definition, complete the following steps:

  1. Display a view of the project or resource file for which you want to create a global edit definition.

  2. On the Tools tab, click Global Edits.

  3. In the Global Edits dialog box, click New.

  4. In the Global Edit Definition dialog box, take the following actions:

  • In the Name field, enter a name for the new global edit definition.

The default name for a global edit definition is <temporary>. By leaving this default value, you can create global edits without saving them.

  • From the Applies to Table list, select a table to which the global edit should be applied.

  • From the Replace Values In list, select the field for which the global edit will replace values.

  5. In the With Expression field, enter the expression for the global edit.

The Fields and Functions buttons display dialog boxes that provide standard lists of fields and functions you can use to help you build the expression.

  6. When you have finished entering the global edit expression, do one of the following:

  • To save and apply the global edit and close the dialog box, click OK.

  • To save the global edit and leave the dialog box open, click Save. You can then close the dialog box without applying the global edit.

  • To apply the global edit without saving it, click Apply.

In order to save a global edit, you must change the default <temporary> value to a different name.

Related Topics and Procedures

Related Topic

Using the Global Edit Definition Dialog Box

Related Procedures

Applying a Global Edit to a Project or Resource File

Copying a Global Edit Definition

Editing an Existing Global Edit Definition

Deleting a Global Edit Definition


Delete a Global Edit Definition (Procedure)

Delete a Global Edit Definition

To delete a global edit definition, complete the following steps:

  1. Display a view of the project or resource file for which the global edit was defined.

  2. On the Tools tab, click Global Edits.

  3. In the Global Edits dialog box, select the global edit definition you want to delete.

  4. Click Delete.

  5. When Open Plan asks you to confirm the deletion, click Yes.

Related Topics and Procedures

Related Topic

Using the Global Edits Dialog Box

Related Procedures

Applying a Global Edit to a Project or Resource File

Creating a New Global Edit Definition

Copying a Global Edit Definition

Editing an Existing Global Edit Definition

Deleting a Global Edit Definition


Edit an Existing Global Edit Definition (Procedure)

Edit an Existing Global Edit Definition

To edit a global edit definition, complete the following steps:

  1. Display a view of the project or resource file for which the global edit was defined.

  2. On the Tools tab, click Global Edits.

  3. In the Global Edits dialog box, select the global edit definition you want to edit.

  4. To display the Global Edit Definition dialog box, click Edit.

  5. Use the standard list of fields, functions, and operators to edit the expression in the Expression text box.

  6. Do one of the following:

    • To save and apply the revised global edit and close the dialog box, click OK.

    • To apply the revised global edit without saving it, click Apply.

Related Topics and Procedures

Related Topic

Using the Global Edit Definition Dialog Box

Related Procedures

Applying a Global Edit to a Project or Resource File

Creating a New Global Edit Definition

Copying a Global Edit Definition

Deleting a Global Edit Definition


Copying a Rollup Definition (Procedure)

Copying a Rollup Definition

To copy an existing rollup definition, complete the following steps:

  1. From the Tools tab, select Rollups.

  2. In the Rollups dialog box, select the table that contains the rollup definition you want to copy.

  3. Select the definition to copy, and click Copy.

  4. In the Rollup Definition dialog box, the definition is given a default name of Copy <existing name>. You may enter a new name for the definition.

  5. Add and/or remove the desired fields from the rollup definition.

You can select multiple fields to move at one time by Ctrl+clicking or Shift+clicking the fields you want and then clicking the appropriate arrow button.

  6. Click Access Control to display the Access Control dialog box, which lets you specify exactly which user(s) can access the rollup definition.

  7. Click OK to return to the Rollups dialog box.

Related Topics and Procedures

Related Topic

Rollups Overview

Related Procedures

Creating a Rollup Definition

Editing a Rollup Definition

Execute a Rollup for the Current File


Creating a Rollup Definition (Procedure)

Creating a Rollup Definition

To create a rollup definition, complete the following steps:

  1. From the Tools tab, select Rollups.

  2. In the Rollups dialog box, select the table that contains the fields you want to roll up.

  3. Click New.

  4. In the Rollup Definition dialog box, enter a name for the new definiton.

  5. From the Available Fields list, select the field(s) you want to roll up, and click the right arrow button.

    You can select multiple fields to move at one time by Ctrl+clicking or Shift+clicking the fields you want and then clicking the right arrow button.

  6. If you wish to share the rollup definition with other users, click Access Control to display the Access Control dialog box.

  7. Click OK to return to the Rollups dialog box.

Related Topics and Procedures

Related Topic

Rollups Overview

Related Procedures

Editing a Rollup Definition

Copying a Rollup Definition

Execute a Rollup for the Current File


Editing a Rollup Definition (Procedure)

Editing a Rollup Definition

To edit an existing rollup definition, complete the following steps:

  1. From the Tools tab, select Rollups.

  2. In the Rollups dialog box, select the table that contains the rollup definition you want to edit.

  3. Select the definition to edit, and click Edit.

  4. In the Rollup Definition dialog box, add and/or remove the desired fields from the rollup defintion.

    You can select multiple fields to move at one time by Ctrl+clicking or Shift+clicking the fields you want and then clicking the appropriate arrow button.

  5. If you wish to share the rollup definition with other users, click Access Control to display the Access Control dialog box.

  6. Click OK to return to the Rollups dialog box.

Related Topics and Procedures

Related Topic

Rollups Overview

Related Procedures

Creating a Rollup Definition

Copying a Rollup Definition

Execute a Rollup for the Current File


Execute a Rollup for the Current File

To execute a rollup for the current file, complete the following steps:

  1. From the Tools tab, select Rollups from the Manage group.

  2. Select a rollup definition in the Rollups dialog box.

  3. Click Apply.

Related Topics and Procedures

Related Topic

Rollups Overview

Related Procedures

Creating a Rollup Definition

Editing a Rollup Definition

Copying a Rollup Definition


Cancel a Sort

To cancel a sort, complete the following steps:

  1. Take one of the following actions:

  • On the Edit tab, click Manage from the Sorts group.

  • Right-click within the view, and click Sorts on the context menu.

  • Click Clear Sort in the Sorts group.

  2. From the Sorts dialog box, select <Cancel sort>, and click Close.


Copying a Sort Criterion (Procedure)

Copying a Sort Criterion

To create a sort as a copy of another sort, complete the following steps:

  1. Take any of the following actions:

  • On the Edit tab, click Manage form the Sorts tab.

  • On the Tools tab, click Sorts.

  2. In the Sorts dialog box, select the sort you want to copy.

  3. Click Copy.

  4. In the Sort Expression dialog box, enter a new name for the sort you are creating.

  5. Make any needed modifications to the sort expression and click OK.

Related Topics and Procedures

Related Topic

Using the Sorts Dialog Box

Related Procedures

Sorting Data in a View

Sorting Data on a Calculated Field

Creating a New Sort Criterion

Editing a Sort Criterion

Deleting a Sort Criterion


Creating a New Sort Criterion (Procedure)

Creating a New Sort Criterion

To create a new sort criterion, complete the following steps:

  1. Take any of the following actions:

  • On the Tools tab, click Sorts.

  • On the Edit tab, click Manage from the Sorts tab.

  2. In the Sorts dialog box, click New to display the New Sort dialog box.

  3. In the Name field, enter a name for the new sort.

  4. From the Applies to Table list, select a table to which the sort will apply.

  5. Click OK.

  6. In the Sort Expression dialog box, enter the sort expression using the Field and Order columns.

  7. When you finish entering the sort expression, click OK.

Related Topics and Procedures

Related Topic

Sort Overview

Related Procedures

Sorting Data in a View

Sorting Data on a Calculated Field

Editing a Sort Criterion

Copying a Sort Criterion

Deleting a Sort Criterion


Creating a Temporary Sort (Procedure)

Creating a Temporary Sort

The temporary sort created by this procedure can be applied only to a primary table. To apply a temporary sort to a secondary table, use the Define Link tab of the Spreadsheet Preferences dialog box.

To create a temporary sort, complete the following steps:

  1. Display the view to which you want to apply the temporary sort.

  2. Take any of the following actions:

  • On the Tools tab, click Sorts.

  • On the Edit tab, click Manage from the Sorts group.

  3. From the Sorts dialog box, elect <Temporary Sort>.

  4. Click Edit.

  5. In the Temporary Sort Expression dialog box, enter the expression for the temporary sort.

While you can type the sort expression in the text box, you can also use the Fields and Functions buttons to display dialog boxes that you can use as an aid in building the sort expression.

  6. Click OK.

These temporary sorts are not displayed in the Sorts dialog box. They are not saved as part of the project. If you save the view while a temporary sort is in effect, Open Plan saves the view with the sort applied.

Related Topics and Procedures

Related Topic

Using the Sorts Dialog Box

Related Procedure

Sorting Data in a View


Deleting a Sort Criterion (Procedure)

Deleting a Sort Criterion

To delete a sort criterion, complete the following steps:

  1. Take any of the following actions:

  • On the Tools tab, click Sorts.

  • On the Edit tab, click the Manage button under the Sorts group.

  2. In the Sorts dialog box, select the sort criterion you want to delete.

  3. Click Delete.

  4. When Open Plan asks you to confirm the deletion, click Yes.

Related Topics and Procedures

Related Topic

Using the Sorts Dialog Box

Related Procedures

Sorting Data in a View

Sorting Data on a Calculated Field

Creating a New Sort Criterion

Editing a Sort Criterion

Copying a Sort Criterion


Designate a Sort as a Favorite

To designate a sort as a favorite, complete the following steps:

  1. Apply a predefined or a custom sort.

  2. Click the Favorite Sorts button from the Sorts group of the Spreadsheet or Barchart Edit tab.

  3. Click the Add To Favorites button.

You can also use the Organize Favorites dialog box to manage your favorite sorts.

Related Topics and Procedures

Related Topic

Favorite Sorts


Disable the Click to Sort Option

To disable the Click to Sort option, complete the following step:

  1. Take one of the following actions:

  • Right-click a column heading, and click the Click to Sort option on the context menu to clear it.

  • On the View tab, click the Click to Sort button to clear it.

Related Topics and Procedures

Related Topics

Sort Overview

Click to Sort

Related Procedure

Enable the Click to Sort Option


Editing a Sort Criterion (Procedure)

Editing a Sort Criterion

To edit a sort criterion, complete the following steps:

  1. Take any of the following actions:

  • On the Tools tab, click Sorts.

  • On the Edit tab, click the Manage button form the Sorts group.

  2. In the Sorts dialog box, select the sort you want to edit.

  3. Click Edit.

  4. In the Sort Expression dialog box, edit the information you want to change and click OK.

Related Topics and Procedures

Related Topic

Using the Sort Expression Dialog Box

Related Procedures

Sorting Data in a View

Sorting Data on a Calculated Field

Creating a New Sort Criterion

Copying a Sort Criterion

Deleting a Sort Criterion


Enable the Click to Sort Option

To enable the Click to Sort option, complete the following step:

  1. Take one of the following actions:

  2. Right-click a column heading, and click Click to Sort on the context menu.

  3. On the View tab, in the Columns menu group, click Click to Sort.

Related Topics and Procedures

Related Topics

Sort Overview

Click to Sort

Related Procedure

Disable the Click to Sort Option


Refresh a Sort

To refresh a sort:

  1. On the Edit tab, click Reapply Filter And Sort from the Sorts group.


Sort a Multi-Table View on a Secondary Table (Procedure)

Sort a Multi-Table View on a Secondary Table

To sort a multi table view on a secondary table, complete the following steps:

When using a multi-table barchart, perform the following procedure in the spreadsheet pane of the view. The sort you apply is reflected in both panes of the view.

You can do one of the following:

  • To apply a sort based on a single field, with the Click to Sort option enabled, click the heading of the secondary table column on which you want to sort. This creates a temporary sort expression that you can view in the Define Link tab of the Spreadsheet Preferences dialog box.

  • To apply a sort based on multiple fields in the secondary table, with the Click to Sort option enabled, hold down the Ctrl key while clicking the headings of the secondary table columns. Each field is added to the sort expression in the order in which it was clicked. This creates a temporary sort expression that you can view in the Define Link tab of the Spreadsheet Preferences dialog box.

  • Click the appropriate Sort field on the Define Link tab of the Spreadsheet Preferences dialog box, and select a pre-defined sort expression from the list.

  • Click the appropriate Sort field on the Define Link tab of the Spreadsheet Preferences dialog box and enter a sort expression in the text box. This creates a temporary sort expression.

Related Topics and Procedures

Related Topic

Spreadsheet View

Related Procedure

Filtering a Multi-Table View on a Secondary Table


Sort Data in a View (Procedure)

Sort Data in a View

To sort data in a view, complete the following steps:

  1. Take one of the following actions:

  • On the Edit tab, click Manage from the Sorts group.

  • Right-click within the view, and click Sorts on the context menu.

  • Double click the sort name in the status bar.

  2. In the Sorts dialog box, select a sort criterion that you want to apply to the view.

    If outlining is on, the activities are sorted within the outline.

  3. Click OK.

You can also reapply the current sort and refresh the display by clicking the Reapply Filter And Sort [image] button on the Edit view.

Related Topics and Procedures

Related Topic

Using the Sorts Dialog Box

Related Procedures

Sorting Data on a Calculated Field

Creating a New Sort Criterion

Editing a Sort Criterion

Copying a Sort Criterion

Deleting a Sort Criterion


Sort Data on a Calculated Field (Procedure)

Sort Data on a Calculated Field

To sort data on a calculated field, complete the following steps:

This procedure uses a calculated field that calculates the accomplished duration of an activity. The procedure would be similar for any other calculated field.

  1. On the Tools tab, click Sorts.

  2. Create a new sort named Accomplished Duration using the following input values:

  • Field Name: Accomplished_Duration

  • Order: Ascending

  3. In the Sorts dialog box, select the Accomplished Duration sort you have created.

  4. Click OK.

Related Topics and Procedures

Related Topic

Using the Sorts Dialog Box

Related Procedures

Sorting Data in a View

Creating a New Sort Criterion

Editing a Sort Criterion

Copying a Sort Criterion

Deleting a Sort Criterion


Creating a New User Defined Field

To create a new user defined field, complete the following steps:

  1. On the Tools tab, click User Fields.

  2. In the User Defined Fields dialog box, select the table for which you want to create a user defined field.

  3. Click New.

  4. In the Name field of the New User Defined Field dialog box, enter a name for the new user defined field.

  5. From the Data Type list, select a data type.

  6. In the Description field, enter a description for the new user defined field. This step is optional.

If are creating a user defined field for the Activity table, you also have the option to create the field for a baseline.

  7. If you want Open Plan to create the new user defined field for the baseline, select the Also Create Field for Baseline option.

  8. Click OK.

Related Topics and Procedures

Related Topics

Using User Defined Fields

Using the User Defined Fields Dialog Box

Using the New User Defined Field Dialog Box

Related Procedures

Copying a User Defined Field

Editing a User Defined Field

Deleting a User Defined Field


Copy a User Defined Field

To copy a user defined field, complete the following steps:

  1. On the Tools tab, click User Fields.

  2. In the User Defined Fields dialog box, select the table containing the user defined field that you want to copy.

  3. Click Copy.

  4. In the Name field of the Copy User Defined Field dialog box, enter a name for the new user defined field. This step is mandatory as Open Plan does not permit two user defined fields in a table to have the same name.

  5. From the Data Type list, select a data type.

  6. In the Description field, enter a description for the new user defined field. This step is optional.

  7. Click OK.

Related Topics and Procedures

Related Topics

Using User Defined Fields

Using the User Defined Fields Dialog Box

Using the New User Defined Field Dialog Box

Using the Copy User Defined Field Dialog Box

Using the Edit User Defined Field Dialog Box

Related Procedures

Creating a New User Defined Field

Copying a User Defined Field

Editing a User Defined Field

Deleting a User Defined Field


Delete a User Defined Field

To delete a user defined field, complete the following steps:

  1. On the Tools tab, click User Fields.

  2. In the User Defined Fields dialog box, select the user defined field that you want to delete.

  3. Click Delete.

  4. When Open Plan asks you to confirm the deletion, click Yes.

Related Topics and Procedures

Related Topics

Using User Defined Fields

Using the User Defined Fields Dialog Box

Using the New User Defined Field Dialog Box

Using the Copy User Defined Field Dialog Box

Using the Edit User Defined Field Dialog Box

Related Procedures

Creating a New User Defined Field

Copying a User Defined Field

Editing a User Defined Field

Deleting a User Defined Field


Edit a User Defined Field

To edit a user defined field, complete the following steps:

  1. On the Tools tab, click User Fields.

  2. In the User Defined Fields dialog box, select the table containing the user defined field that you want to modify.

  3. Click Edit.

  4. In the Description field, enter a new description for the user defined field.

  5. Click OK.

Related Topics and Procedures

Related Topics

Using User Defined Fields

Using the User Defined Fields Dialog Box

Using the New User Defined Field Dialog Box

Using the Copy User Defined Field Dialog Box

Using the Edit User Defined Field Dialog Box

Related Procedures

Creating a New User Defined Field

Copying a User Defined Field

Editing a User Defined Field

Deleting a User Defined Field


Create a Report Batch

To create a report batch, complete the following steps:

  1. Start the Open Plan Web Publisher by doing one of the following:

    • On the Tools tab, click Web Publisher.

    • Click the Deltek Open Plan Web Publisher icon from the Deltek Applications group in Windows.

    The dialog box that is displayed depends on whether an Open Plan project has focus: If an Open Plan project is open and has focus, the Open Plan Web Publisher dialog box is displayed. If no Open Plan project has focus, Open Plan displays the Select Project dialog box where you can specify the project for the report.

  2. If appropriate, select a project in the Select Project dialog box, and click New.

  3. In the Create New Batch dialog box, enter a name for the new batch. You may enter up to 255 characters including spaces, ampersands (&), dashes, or underscores.

  4. Click Create.

  5. In the Open Plan Web Publisher dialog box, click Views.

  6. In the Add or Remove Views dialog box, move the views you want to include in the batch into the Views to Publish list box.

  7. Click OK.

The Preview button in the Open Plan Web Publisher dialog box allows you to preview a view that is included in the batch.

Related Topics and Procedures

Related Topic

Using the Open Plan Web Publisher Dialog Box

Related Procedures

Preparing a Report for Publication on the Web

Performing Batch Reporting

Previewing a Report Before Printing

Setting Up a Printer

Setting Print Margins

Printing Notes with a Report

Printing a Report


Delete a Report Batch

To delete a report batch, complete the following steps:

  1. Open the project containing the report batch you want to delete.

  2. On the Tools tab, click Web Publisher.

  3. From the Open Plan Web Publisher dialog box, select the report batch to delete.

  4. Click Delete.

  5. When Open Plan asks you to confirm the operation, click OK.


Perform Batch Reporting

To perform batch reporting, complete the following steps:

  1. Start the Open Plan Web Publisher by doing one of the following:

  • On the Tools tab, click Web Publisher.

  • Click the Deltek Open Plan Web Publisher icon from the Deltek Applications group in Windows.

The dialog box that is displayed depends on whether an Open Plan project has focus:

  • If an Open Plan project is open and has focus, the Open Plan Web Publisher dialog box is displayed.

  • If no Open Plan project has focus, Open Plan displays the Select Project dialog box where you can specify the project for the report.

  2. If appropriate, select a project in the Select Project dialog box.

  3. In the Batch field of the Open Plan Web Publisher dialog box, select the batch on which to report.

  4. In the Current Device field, select an output device on which to print your report, and click Run.

Related Topics and Procedures

Related Procedures

Preparing a Report for Publication on the Web

Creating a Report Batch

Previewing a Report Before Printing

Setting Up a Printer

Setting Print Margins

Printing Notes with a Report

Printing a Report

Related Topic

Using the Open Plan Web Publisher Dialog Box


Prepare a Report for Publication on the Web

To prepare a report for publication on the Web, complete the following steps:

  1. Start the Open Plan Web Publisher by doing one of the following:

  • On the Tools tab, click Web Publisher.

  • Click the Deltek Open Plan Web Publisher icon from your Deltek Applications group in Windows.

The dialog box that is displayed depends on whether an Open Plan project has focus:

  • If an Open Plan project is open and has focus, the Open Plan Web Publisher dialog box is displayed.

  • If no Open Plan project has focus, Open Plan displays the Select Project dialog box where you can specify the project for the report.

  2. If appropriate, select a project in the Select Project dialog box.

  3. In the Batch field of the Open Plan Web Publisher dialog box, select the batch on which to report.

  4. In the Current Device field, click Acrobat PDFWriter.

  5. In the Destination Directory field, select the directory in which to store the .pdf files generated by the batch.

  6. Select the Generate HTML File option.

  7. If you want the URL links to include the address of a specific Web site, you can specify the address of the Web site in the Web Site Address field.

  8. Click Run.

Related Topics and Procedures

Related Procedures

Performing Batch Reporting

Creating a Report Batch

Previewing a Report Before Printing

Setting Up a Printer

Setting Print Margins

Printing Notes with a Report

Printing a Report

Related Topic

Using the Open Plan Web Publisher Dialog Box


Preview a Report

To preview a report, complete the following steps:

  1. Open the project containing the views you want to preview.

  2. On the Tools tab, click Web Publisher.

  3. From the Open Plan Web Publisher dialog box, select the report batch containing the views you want to preview.

  4. From the list of views, select the view to preview, and click Preview. Open Plan displays the print preview window.

  5. To return to the Open Plan Web Publisher dialog box, press Alt+Tab.


Update a Report Batch

To update a report batch, complete the following steps:

  1. Open the project containing the report batch you want to update.

  2. On the Tools tab, click Web Publisher.

  3. From the Open Plan Web Publisher dialog box, select the report batch to update.

  4. Click Views.

  5. In the Add or Remove Views dialog box, update the list of views contained in the batch.

  6. When the information for the batch is correct, click OK to return to the Open Plan Web Publisher dialog box.


Deleting a Group of Data Records

To delete a group of data records in an open project:

  1. Open the desired project in Shared or Exclusive mode.

  2. From the Tools tab, click Group Delete.

  3. Select the table from which to delete the data records.

  4. Select the filter to use, or click the ellipsis button to create a new filter using the Filters dialog box.

  5. Click OK.

  6. Open Plan informs you how many records match the filter criteria and asks you to confirm the deletion.

  7. Click Yes.

Related Topics and Procedures

Related Topic

Using the Group Deletion Dialog Box

Related Procedure

Deleting an Open Plan File


Add or Remove Views Dialog Box

Use the Add or Remove Views dialog box to modify the list of views that you can publish for a report batch that you selected or created in the Open Plan Web Publisher dialog box.

For more information about publishing views or reports in Open Plan, see Report With the Open Plan Web Publisher.

Available Views

This box displays a list of the available views that are set up for the open project.

Views to Publish

This box displays a list of views that are already included in the report batch you selected.

When you first create a batch, the Views to Publish list is empty.

<< All and All >>

Use these buttons to move all the items in the Views to Publish box to the Available Views box and vice versa.

<<Remove and Include>>

Use these buttons to add or remove individual items in the Views to Publish box.

You can also include or remove a view by double-clicking it or by using Select + Space bar.

Guidance

This box displays the following message: Select which views will be a part of the list of reports to be published.

OK

Click to create your list of views and close the dialog box. The view list displays in the Grid on the Open Plan Web Publisher dialog box.

Cancel

Click to close the dialog box without making any changes.

Help

Click to display the dialog box help topic.

Location

To access the Add or Remove Views dialog box:

  1. On the Tools tab, click Web Publisher in the Publish menu group.

  2. In the Open Plan Web Publisher dialog box, select an existing report batch from the Batch drop-down list and click Views.

The Views option is unavailable if you do not have a report batch. You can click New to create a new batch and click Views to modify your list of Views to Publish.

--------------

Current:

To display the Add or Remove Views dialog box, complete the following step:

  1. Click Views in the Open Plan Web Publisher dialog box.

To display the Open Plan Web Publisher dialog box, complete the following step:

  1. Take one of the following actions:

  • Click Web Publisher on the Tools tab.

  • Click the Deltek Open Plan Web Publisher icon from the Deltek Applications group in Windows.

Related Topics and Procedures

Related Topics

Destination Directory Dialog Box

Related Procedures

Create a Report Batch

Create New Batch Dialog Box

Prepare a Report for Publication on the Web

Perform Batch Reporting


Advisory Definitions Dialog Box

An advisory definition is a set of values that collect project information. You can send the project data via email to recipients within your organization.

Use the Advisory Definitions dialog box to display a list of previously-defined advisory definitions that you can manage, send, or test.

For more information about email advisor, see Email Advisor.

[Results]

This box displays a list of available advisory definitions.

New

Use this button to display the Edit Advisor Emails dialog box where you can create a new advisory definition and customize the components of that advisory.

You can also press Insert on your keyboard to create a new advisory email.

Copy

Use this button to display the Edit Advisor Emails dialog box where you can create a copy of an advisory definition and manage its components. By default, the advisory definition starts with "Copy."

Edit

Use this button to display the Edit Advisor Emails dialog box where you can make changes to an advisory definition and its components.

Delete

Use this button to delete an advisory definition. A message displays to confirm that you want to delete the selected advisory definition.

You can also select an advisory definition and press Delete on your keyboard.

Close

Click to close the dialog box without making any changes.

Send

Click to send an advisory email. A message from your email provider displays to confirm that you want to send the selected advisory definition. A notification displays to confirm that your email was delivered to x number of recipients.

Test

Click to see a preview of the advisory email and information about the number of messages, recipients, and activities that match the filter that you selected for the advisory.

Help

Click to display the dialog box help topic.

Location

To access the Advisory Definitions dialog box, on the Tools tab, click Email Advisor in the Manage menu group.

Related Topics and Procedures

Related Procedures

Set Up an Email Advisory Address List


Batch Global Edit Definition Dialog Box

A global edit allows you to modify multiple activities or resources with a single operation.

For more information about global edits, see Global Edits.

Use the Batch Global Edit Definition dialog box to define the parameters for the global edit that you selected in the Batch Global Edits dialog box.

Name

If you are creating a new batch global edit, use this field to enter a name for the global edit. This field is disabled if you are editing an existing definition.

Applies to Table

If you are creating a new batch global edit, this field displays the option that you selected in the Display for drop-down menu in the Batch Global Edits dialog box, for example, Activity. The batch definition that you create uses the global edits for activities. If you are copying or editing an existing batch definition, this field displays the table to which the batch applies.

Available Global Edits

This box displays the list of available global edits based on the option that you selected in the Display for drop-down menu in the Batch Global Edits dialog box. For example, if you selected Activity, the list displays global edits that are related to Activity.

Select a global edit and click the Right arrow to add your selection to the Assigned Global Edits box.

You can also double-click a global edit to move it between the two boxes.

To add or remove multiple global edits, use Shift + Click or Ctrl + Click.

Assigned Global Edits

This box displays the list of global edits the batch definition will use. Click the Left arrow to remove an item from this list. Use the Up or Down arrows to arrange the order for how you want the global edits to execute.

Global Edits

Click this option if the global edit you want to include in the batch definition does not exist or you need to modify an existing global edit before including it in the batch. The Global Edits dialog box displays, allowing you to modify the global edit that you selected.

Access Control

Click this option to share the batch global edit with other users. The Access Control dialog box displays, allowing you to define the user access rights.

The global edit is exclusive to the user who created it.

OK

Click to apply the batch global edit definition that you set for the batch global edit.

Cancel

Click to close the dialog box without defining the global batch edit.

Help

Click to display the dialog box help topic.

Location

To access the Batch Global Edit Definition dialog box:

  1. On the Tools tab, click Batch Global Edits in the Manage menu group.

  2. On the Batch Global Edits dialog box, select an existing batch global edit to copy or modify, or create a new batch global edit to display the Batch Global Edit Definitions dialog box.

----------

Current:

To display the Batch Global Edit Definition dialog box, complete the following steps:

  1. From the Tools tab, select Batch Global Edit.

  2. Take one of the following actions:

    • Click New.

    • Select an existing batch definition, and click Copy or Edit.

Related Topics and Procedures

Related Procedures

Create a Batch Global Edit Definition

Apply a Global Edit to a Project or Resource File

Create a New Global Edit Definition

Edit an Existing Global Edit Definition

Delete a Global Edit Definition

-----------------

Current:

You can use this dialog box to select the global edits that the batch will use as well as the order in which the global edits are executed. When you are finished creating or editing the batch global edit definition, click OK to return to the Batch Global Edits dialog box.

Name

If you are creating a new batch definition or copying an existing one, you can type in the name of the batch in this field. If you are editing an existing definition, you cannot change its name.

Applies to Table

If you are creating a new batch definition, this field displays the table you selected in the Display for list on the Batch Global Edits dialog box before you clicked New. The batch definition you create will use global edits created for that table. If you are copying or editing an existing batch definition, this field displays the table to which the batch applies.

Available Global Edits

This field lists the available global edits created for the selected table. When you select a global edit and click the right arrow button, the global edit is moved to the Assigned Global Edits field.

To move the entire list, select the list by clicking the first name, then depress the Shift key and click the last name in the list, then click the > button. To select a random group from the list to move, press and hold the CTRL key and click the mouse pointer on the items to be moved to highlight, then click the > button.

Assigned Global Edits

This field lists the global edits that the batch definition will use and the order in which the global edits will be executed.

You can change the order in which the global edits are executed by rearranging them using the up and down arrow buttons

You can also remove a global edit from the list by selecting it and clicking the left arrow button. When it is removed, it is placed back in the Available Global Edits list.

You can select multiple global edits to remove at once by Ctrl+clicking or Shift+clicking the desired global edits.

Global Edits

If the global edit you want to include in the batch definition does not exist or you need to modify an existing global edit before including it in the batch, you can do this easily by clicking the Global Edits button. This will display the Global Edits dialog box that you can use to create, copy, or modify global edits.

Access Control

This item is initially accessible only to the user who created it. If you wish to share this item with other users, click the Access Control button to display the Access Control dialog box.

For more information on available WebWindows, see The Open Plan Configuration Files, in the Deltek Open Plan Developer’s Guide.

Location

To display the Batch Global Edit Definition dialog box, complete the following steps:

  1. From the Tools tab, select Batch Global Edit.

  2. Take one of the following actions:

    • Click New.

    • Select an existing batch definition, and click Copy or Edit.

Related Topics and Procedures

Related Topics

Using Global Edits

Using the Global Edits Dialog Box

Using the Global Edit Definition Dialog Box

Using the Batch Global Edits Dialog Box

Using the Fields Dialog Box

Using the Functions Dialog Box

Using the Select a Value Dialog Box

Using the Filters Dialog Box

Related Procedures

Creating a Batch Global Edit Definition

Applying a Global Edit to a Project or Resource File

Creating a New Global Edit Definition

Editing an Existing Global Edit Definition

Deleting a Global Edit Definition


Batch Global Edit Dialog Box

Batch Global Edits Dialog Box

A global edit allows you to modify multiple activities or resources with a single operation. A batch definition is a list of the edits that a batch uses and the order in which they need to be applied.

Use the Batch Global Edits dialog box to create groups of global edits (batches) that Open Plan can apply to a file in a single operation.

Display for

Use this field to filter the type of data you want to display in the [Results] box.

[Results]

This box displays a list of currently available batches based on your selection in the Display for drop-down list. For example, if you select Activity from the list, the batches that display relate to activities.

New

Click this option or select a batch and press Insert on your keyboard to display the Batch Global Edit Definition dialog box where you can create a new batch global edit.

Copy

Click to create a copy of the batch global edit that you selected in the [Results] box. The Batch Global Edit Definition dialog box displays, allowing you to edit the name and the batch global edit criteria. By default, the name starts with "Copy."

Edit

Click to modify an existing batch global edit. The Batch Global Edit Definition dialog box displays, allowing you to edit the name and batch global edit criteria.

Delete

Click this option or select a batch and press Delete on your keyboard to delete an existing batch global edit. A message displays to confirm that you want to delete the batch global edit that you selected.

Apply

Use this option to apply the edits in the selected batch file to the current file. When you apply the batch, Open Plan verifies that all referenced global edits exist. If there is a missing global edit, a message displays to confirm that you want to continue to apply the batch. If you choose to continue, the batch is applied and the missing global edits are removed from the definition.

Close

Click to close the dialog box without making any changes to the batch global edits.

Help

Click to display the dialog box help topic.

Location

To access the Batch Global Edits dialog box, on the Tools tab, click Batch Global Edit in the Manage menu group.

Related Topics and Procedures

Related Procedures

Create a Batch Global Edit Definition

Apply a Global Edit to a Project or Resource File

Create a New Global Edit Definition

Edit an Existing Global Edit Definition

Delete a Global Edit Definition


Calculated Fields Dialog Box

User-defined calculated fields calculate the data that is not stored in the standard versions of the project database tables. With this reporting feature, you can extend the flexibility of any view by displaying the data results of a custom calculation.

For more information about calculated fields, see Calculated Fields.

Use the Calculated Fields dialog box to view, create, copy, edit, and delete calculated fields. By default, Open Plan only displays the calculated fields that apply to the current view.

Display for

Use this field to filter the type of data you want to display in the [Results] box.

[Results]

This box displays a list of currently available calculated fields based on your selection in the Display for drop-down list. For example, if you select Activity from the list, the calculated fields that display relate to activities.

You can hover your mouse curser over a calculated field to display the field definition as a tool tip.

New

Click this option or select a calculated field and press Insert on your keyboard to display the New Calculated Field dialog box where you can create and define a new calculated field.

Copy

Click to create a copy of the calculated field that you selected in the [Results] box. The Calculated Field Expression dialog box displays, allowing you to edit the name and the calculated field criteria. By default, the name starts with "Copy."

Edit

Click to modify an existing calculated field. The Calculated Field Expression dialog box displays, allowing you to edit the name and the calculated field criteria.

Delete

Click this option or select a calculated field and press Delete on your keyboard to delete the selected calculated field. A message displays to confirm that you want to delete the calculated field that you selected.

Close

Click to close the dialog box without making any changes to the calculated fields.

Help

Click to display the dialog box help topic.

Location

To access the Calculated Fields dialog box, on the Tools tab, click Calculated Fields in the Custom Field menu group.

Related Topics and Procedures

Related Procedures

Create a New Calculated Field

Copy a Calculated Field

Edit a Calculated Field

Delete a Calculated Field


Calculated Field Expression Dialog Box

User-defined calculated fields calculate the data that is not stored in the standard versions of the project database tables. With this reporting feature, you can extend the flexibility of any view by displaying the data results of a custom calculation.

For more information about calculated fields, see Calculated Fields.

For a complete description of the operators and functions available for calculated fields, see Defining Calculated Fields in the Deltek Open Plan Developer’s Guide.

Use the Calculated Field Expression dialog box to create a copy or modify the criteria of an existing calculated field.

Name

When you are creating a copy of an existing calculated field, use this field to enter a new name for the copy. When you are modifying an existing calculated field, this field is disabled.

Expression

This box displays the expression that defines the calculated field or global edit you selected in the [Results] field on the Calculated Fields dialog box. The expression can include the following elements:

  • Character operators

  • Constants

  • Duration operators

  • Field names

  • Functions

  • Logical operators

  • Mathematical operators

  • Calculated fields

  • Relational operators

When you modify the criteria of a calculated field, the expression also changes. You can use this box to enter additional expression elements manually. For more information, see Expression Elements.

When Open Plan displays an error, the portion of the failed expression is highlighted.

Applies to Table

This read-only field displays the data table to which the calculated field applies. When you create a new calculated field, you select the table to which it applies on the New Calculated Field dialog box. You cannot edit this field for an existing or copied calculated field.

Calculate Summary Rows Horizontally

Select this option if you want to summarize the calculated fields. Open Plan first calculates the summary value of the fields used in the expression, and then evaluates the expression for the Summary row. For example, using the expression IIF(ASDATE = {}, 0, 1), Open Plan summarizes ASDATE which results in the earliest ASDATE found among the rows that are summarized. Open Plan takes the "summarized" date and evaluates the calculated field expression one time. Since the summary date is non-blank, you will get a value of 1 in the Summary row (this will always be the case, no matter how many rows in the Summary heading have non-blank values, as long as there is at least one non-blank value).

When you do not select this option (default), a single summary value is calculated. Open Plan evaluates the expression in each row that is part of the summary and summarizes the individual values. For example, using the expression IIF(ASDATE = {}, 0,1), results in a value of 0 for any row where ASDATE is blank and 1 for any row where ASDATE is non-blank. If there are two rows with non-blank ASDATEs under the Summary heading, Open Plan displays a value of 2 in the Summary row. The Summary row value increases by one each time you change an ASDATE from blank to non-blank.

Data Type

Use this field to select the type of data you want the calculated field to return.

  • Date: Select to return a date to the calculated field.

  • Decimal: Select to return a decimal number, for example, 7.89 to the calculated field.

  • Duration: Select to return a duration to the calculated field.

  • Finish Date: Select to return an activity finish date to the calculated field.

  • Integer: Select to return a whole number to the calculated field.

  • Character: Select to return a character string to the calculated field.

  • Logical: Select to return a True or False value to the calculated field.

No. of Decimal Places

Use this field to enter the level of precision you want in the calculation. This field is only available when you select Decimal in the Data Type field.

OK

Click to apply the criteria you set for the calculated field.

Cancel

Click to close the dialog box without making any changes to the calculated field.

Fields...

Click to display the Fields dialog box where you can select a field to include in the calculated field expression.

Functions...

Click to display the Functions dialog box where you can select a function to include in the calculated field expression.

Access Control

Click to display the Access Control dialog box where the owner of the calculated field can define the groups and users who can have access to the calculated field.

References

Click to display the References dialog box where you can view the files that use the calculated field.

Help

Click to display the dialog box help topic.

Resizing

Drag any corner of the dialog box to resize it according to your preference.

Location

To access the Calculated Field Expression dialog box:

  1. On the Tools tab, click Calculated Fields in the Custom Fields menu group.

  2. Select an existing calculated field and click Copy or Edit.

----------

Current:

To display the Calculated Field Expression dialog box, complete the following step:

  1. Take one of the following actions:

  2. Click New in the Calculated Fields dialog box. Complete the fields and click OK.

  3. Select a calculated field in the Calculated Fields dialog box and click Copy or Edit. In this case, the Name field of this dialog box displays the name of the calculated field you are copying or editing. The table section of the dialog box displays the filter expression.

To display the Calculated Fields dialog box, complete the following step:

  1. from the Tools tab, click Calculated Fields.

This dialog box allows you to create fields that you can use to display information that Open Plan does not automatically provide but that it can calculate.

Related Topics and Procedures

Related Procedures

Create a New Calculated Field

Copy a Calculated Field

Edit a Calculated Field

Delete a Calculated Field

Delete a Calculated Field on which a Temporary Calculated Field is Based


Copy User Defined Field Dialog Box

User defined fields allow you to create and use data fields that are not included in the default version of Open Plan. These fields provide flexibility and customizability because they can be used by most tables and are available in any view where you can select fields for display.

For more information about user fields, see User Defined Fields.

Use the Copy User Defined Field dialog box to create a new user defined field based on your selection in the User Defined Fields dialog box.

Name

Use this field to enter a name for the new user defined field. By default, when you copy an existing field, the new name is the name of the existing field preceded by "Copy."

Data Type

Use this field to select the type of user defined field you want to create. You can select any of the following data types:

  • Character

  • Date

  • Finish Date

  • Decimal

  • Duration

Description

Use this field to enter a description for the user defined field.

Also Create Field for Baseline

Select this option if you want to add the new user defined field to the Baseline table. This option is only enabled when you are creating a user defined field for the Activity table.

Link Field to Lookup Table

Select this option if you want to link the new user defined field to a Lookup table.

  • Lookup Table Type: Select the lookup table type.

  • Lookup Field Name: Select the specific field.

  • Lookup Table Name: Enter the Lookup table name. This option is only available if you select Resource or Code in the Lookup Table Type field. You can also click the ellipsis to display the Select dialog box where you can select a file name.

OK

Click to add the new user defined field to the appropriate data table.

Cancel

Click to close the dialog box without creating a new user defined field.

Help

Click to display the dialog box help topic.

Location

To access the Copy User Defined Field dialog box,

  1. On the Tools tab, click User Fields in the Custom Fields menu group.

  2. Select a user defined field you want to copy and click Copy.

Related Topics and Procedures

Related Topics

User Defined Fields

Related Procedure

Copy a User Defined Field


Create New Batch Dialog Box

The Create New Batch dialog box allows you to specify a name for the new batch. In addition to alphanumeric characters, the batch name can also include spaces, ampersands (&), dashes, and underscores.

When you click Create, the new batch is added to the list of batches for the project selected in the Open Plan Web Publisher dialog box.

Location

To display the Create New Batch dialog box, complete the following step:

  1. Click New in the Open Plan Web Publisher dialog box.

Related Topics and Procedures

Related Topics:

Reporting with the Open Plan Web Publisher

Using the Select Project Dialog Box

Using the Add or Remove Views Dialog Box

Using the Destination Directory Dialog Box

Related Procedures:

Preparing a Report for Publication on the Web

Performing Batch Reporting

Creating a Report Batch


Destination Directory Dialog Box

This dialog box allows you to select a directory that Open Plan should use to store the .pdf files generated by the batch. (Open Plan also uses this location for storing the HTML file and the .gif files for the various icons that it includes.)

You can specify the destination directory in either of the following ways:

  • By typing the full path name of the destination directory in the Directory field

  • By navigating through the drives and directories in the Directories list and selecting the directory of your choice

When you click OK, Open Plan displays the directory of your choice in the Destination Directory field of the Open Plan Web Publisher dialog box.

Location

To display the Destination Directory dialog box, complete the following step:

  1. Click the ellipsis at the right edge of the Destination Directory field in the Open Plan Web Publisher dialog box.

Related Topics and Procedures

Related Topics

Reporting with the Open Plan Web Publisher

Using the Select Project Dialog Box

Using the Create New Batch Dialog Box

Using the Add or Remove Views Dialog Box

Related Procedures

Preparing a Report for Publication on the Web

Performing Batch Reporting

Creating a Report Batch


Edit Advisor Emails Dialog Box

This dialog box allows you to create or edit a previously defined advisory definition.

Name

Enter any descriptive name for your advisory definition in this field. Once you save the advisory email, the name you enter is displayed in the list of advisory definitions on the Advisory Definitions dialog box.

Subject

In addition to being able to enter both text and any field from the activity table in this field, you can also enter a calculated field based on the activity table. You can also enter a title block variable, which will pull data from the first activity that meets the filter requirement.

For example you might enter <Project Short Name> to display the short name of the project as the subject for the email advisory.

Fields, calculated fields, and title block variables must all be enclosed within angle brackets (<>).

Header

You can enter standard text in the Header box to appear at the top of your message. For example, a standard greeting might be entered here, such as "Project Team,". Like the Message box, the Header box can use plain text, standard field names, and symbolic field names. However, the text in the header area is not repeatable.

Message

The message body can include plain text, activity table fields, and calculated fields based on the activity table. You can also enter a title block variable in this field.

For example, you might enter a message such as the following:

The budgeted cost for <ID> of <Project Short Name> at completion is expected to be <Budget_at_completion>.

Fields, calculated fields, and title block variables must all be enclosed within angle brackets (<>).

When the email advisory is generated, Open Plan will address the advisory to any valid entries in the field that you select.

For example, assume that you have assigned CLEANOBS in the C1 field for your project and that you have entered the following email addresses in a user character field (for example, C1.USER_CHR01) for the E&D code in CLEANOBS:

johndoe@company.com;marydoe@company.com

Open Plan would generate an email advisory to both johndoe and marydoe for all the activities that have a code of E&D (and that have not been excluded by a filter).

Create a code file to hold addresses and assign this file to a project. Note: Code fields are not selectable from the address field.

You can specify a column width in characters for a particular field that you have included in the message box. The syntax is the following:

<field or symbolic field name [, OPTIONAL]column width (1..256)>

Note that column alignment is assured only if all columns in the message specify a column width, AND the font used in the email message is a standard monospaced font (that is, characters are all of equal width). A standard text message in Outlook falls into this category. Also, if any column in the message box specifies the optional width parameter, the divider that normally appears between different activity items (“++++++++++++++++++”) will be suppressed.

Footer

You can enter standard text in the Footer box to appear at the bottom of your message. For example, a standard salutation might be entered here, such as "Thanks". Like the Message box, the Footer box can use plain text, standard field names, and symbolic field names. The footer is displayed only once in an email.

Address field

You can select any field from this list. When an email advisory is generated, it is addressed to any valid entries in the field that you select.

For example, assume that you have assigned CLEANOBS in the C1 field for your project and that you have entered the following email addresses in the Description field for the E&D code in CLEANOBS:

johndoe@company.com;marydoe@company.com

Open Plan would generate an email advisory to both johndoe and marydoe for all the activities that have a code of E&D (and that have not been excluded by a filter).

Create a separate code field containing email addresses that you can assign to your project.

You can also specify an addressee by selecting the following fields:

  • <Project Manager Email> — Selecting this field sends the email advisory to the address specified in the Project Manager Email Address field on the Summary tab of the Project Properties dialog box for the project.

  • <Resource Managers Email> — Selecting this field sends the email advisory to all resource managers identified in the resource file associated with the project.

  • <Subproject Manager Email> — If the project contains external subprojects, selecting this field sends the email advisory to the Project Manager Email Address defined in the specific external subproject containing the triggering event.

If you select <Subproject Manager Email> for a project containing no subprojects, Open Plan sends the advisory to the address specified by the <Project Manager Email> field.

Address format

You can choose between the following two address formats:

  • Embedded in the field — If you use this option, the address referenced in the Address field must be contained within square brackets as in the following format: [mailto:jdoe@company.com]. Multiple addresses may be used, but each address must be contained within its own set of square brackets as in the following example: [mailto:jdoe@company.com][mailto:mdoe@company.com]

  • Use addresses embedded in the field when combining address and non-address text in the same field.

  • Listed in the field — If you use this option, the addresses referenced in the Address field must be separated by semicolons (;) such as ;jdoe@company.com;mdoe@company.com. When using lists, do not include any non-address text in the field.

Send one email per address combining all activities

Select this option to send a single email that includes all of the activities referenced in the email to each addressee. A separator divides each message included in this email.

For activities matching filter

Select a filter from the drop-down list to specify the activities that can generate an email advisory. An ellipsis has been added to the right of the Filter drop-down list. As in other dialogs, it allows the user to invoke the Filter Expression Dialog.

Save

Saves the advisory definition, lists its name on the Advisory Definitions dialog box, and closes the dialog box

Cancel

Cancels any changes you may have made to the advisory definition and closes the dialog box

Send

Generates the email advisory and sends it to the addresses specified in the definition using your default email application. Open Plan allows a maximum of 50 addresses for each email generated by the Send command.

Test

Displays the Test Advisory Definition dialog box for verification of the subject, message, and results before you send the emails

Fields

Displays the Fields dialog box that you can use to select data fields that you can embed in both the subject and the text of the Advisor Email. Using the Fields dialog box, you can, for example, embed the product manager’s name and email address in the text of the advisory email.

abc

Runs the spell-checking feature and checks the subject and message fields of the advisory definition.

Access Control

Select this option to grant rights to other users in the data source to use the advisory definition.

Help

Displays additional information about this dialog box.

Location

To display the Edit Advisor Emails dialog box, complete the following steps:

  1. Select the appropriate project.

  2. On the Tools tab, click Email Advisor.

  3. From the Advisory Definitions dialog box, take one of the following actions:

  4. Click New. This displays a blank Edit Advisor Emails dialog box that you can use to create a new advisory definition.

  5. Select an advisory definition and click Copy. This displays the selected advisory definition in the Edit Advisor Emails dialog box. The name of the selected advisory definition is preceded by the word “Copy_” in the Name field. You can then either accept this default name for the definition or change it before you save it.

  6. Select an advisory definition and click Edit. This displays the selected advisory definition in the Edit Advisor Emails dialog box and allows you to make changes to the advisory definition.

Related Topics and Procedures

Related Topics

Using the Email Advisor

Using the Advisory Definitions Dialog Box

Related Procedures

Sending an Email Advisory

Setting Up an Email Advisory Address List

Creating a New Email Advisory

Copying an Email Advisory

Editing an Email Advisory

Deleting an Email Advisory


Edit User Defined Field Dialog Box

This dialog box allows you to change the description of a user defined field. The following fields are available to edit:

Description

You can use this field to assign a longer, more meaningful description to the user defined field.

Also Create Field for Baseline

This option is enabled only if you are creating a user defined field for the Activity table. If you select this option, Open Plan adds the new user defined field t the Baseline table.

Link Field to Lookup Table

Selecting this option links the field to the Lookup Table by selecting from the lists of options below:

  • Lookup Table Type — Select the type of Lookup Table from the list.

  • Lookup Field Name — After selecting the Type, you can select the specific field.

  • Lookup Table Name — This option is available if you previously selected a Resource or Code Table Type.

OK

When you click OK, Open Plan displays the new description on the User Defined Fields dialog box, and applies any fields you checked.

Location

To display the Edit User Defined Field dialog box, complete the following steps:

  1. On the Tools tab, click User Fields.

  2. In the User Defined Fields dialog box, select the table containing the user defined field that you want to modify.

  3. Select the user defined field to be modified, and click Edit.

Related Topics and Procedures

Related Topics

Using User Defined Fields

Using the User Defined Fields Dialog Box

Using the New User Defined Field Dialog Box

Using the Copy User Defined Field Dialog Box

Related Procedure

Editing a User Defined Field


Filter Expression Dialog Box

Open Plan allows you to define custom filter expressions that can be applied to views of project information. These custom expressions can be based on any field from the activity- or resource-related data tables and can feature complex expressions using logical operators and parentheses. Once you create a filter, you can make that filter available to other users in the network.

In addition to their use as view filters, filter expressions can appear as criteria for bar attributes in a barchart view or for box attributes in a network view or in the Conditional Formatting dialog.

This dialog box allows you to create both permanent and temporary filters. Temporary filters are used when you want a filter for a one-time use. For example, assume that you want a list of the activities scheduled to start "today." While you would be able to do this with a filter, it would not be a filter that you would necessarily want to save or use another time. In this case, a temporary filter is a good solution.

Open Plan requires that you define "today" as a specific date and time range. Therefore, if "today" were May 4, 2004, you would enter one of the following expressions in the Filter Expression dialog box:

  • ESDATE>{03MAY04 23:59} AND ESDATE<{05MAY04 00}

  • ESDATE BETWEEN({03MAY04 23:59},{05MAY04 00})

The temporary filter that you create is available only in the view in which it was defined and only until superseded by another filter.

When entering literal dates, enclose the value curly braces {}. When entering literal strings, enclose the value in quotes (single or double). When entering literal durations, enclose the value in pipe symbols | |. If the duration identifier (m, w, d, h, t) is not specified, the default duration unit will be assumed. Enumerated or Boolean values should be enclosed in square brackets [].

In the case of a multi-table spreadsheet, the temporary filter expression you create in this dialog box can be applied only to fields in the primary table. To filter the spreadsheet based on a field in a secondary table, you must create the temporary filter expression using the Filters column of the Define Link tab of the Spreadsheet Preferences dialog box.

If you save a view while a temporary filter is in effect, Open Plan saves the view with the filter applied.

Text Fields

Text fields include the following types of information:

  • The project name, description, and manager

  • The project start and finish dates

  • The name and description of the current project baseline

  • The names of the project calendar and resource files

  • The client or company name (entered on the Summary tab of the Project Properties dialog box)

  • The current page number of the report

  • The total number of pages in the report

  • Time Now

  • The system date and time

  • The filter or sort that is currently in effect

  • The view description (entered using the Properties dialog box)

You can combine variable text items with literal text to define title blocks such as:

  • Report Created for <Client>

  • Time Now: <Time Now>

  • Page <Current Page> of <Total Pages>

A title block can also include a user-defined logo. To specify the logo for a title block, select Include and use the ellipsis button to display the Symbols dialog box that you use to select the logo.

Grid

The information that is displayed in the grid section of the dialog box depends on how the Filter Expression dialog box is displayed:

  • If this dialog box is displayed when you are creating either a new filter or a temporary filter, the grid section of the dialog box is blank.

  • If this dialog box is displayed when you are copying or editing an existing filter, the grid section of the dialog box displays the current values of the filter expression.

Logic

The Logic column allows you to enter a connecting operator between the lines in the spreadsheet — a feature that enables you to build complex filters. The logic connectors include:

  • AND

  • AND NOT

  • OR

Open Plan displays the logic connectors in the list when the cursor is in the Logic column of the spreadsheet.

Field Name

Filter expressions can include any field from the selected data table, including calculated fields, and any filters already defined for that table.

In addition, you can type a calculated field that you create "on-the-fly" in this field.

Previously defined filters specified as fields can have one of two values:

  • True

  • False

For information about calculated fields, see Calculated Fields.

Operator

The Operator column lets you include a variable to evaluate whether a given activity meets the requirements of the filter expression.

In the following example, the operator Less Than tells Open Plan to select activities with total float less than 10:

Field Name | Operator | Value 1
Total Float | Less than | 10

You can choose from the following list of operators:

  • Between

  • Contains — This operator is case-sensitive. Criteria entered using this expression must be typed in the same case as the original value. If the same case is not used, no results will be displayed.

  • Equals

  • Greater or Equals

  • Greater Than

  • Is Empty

  • Less or Equals

  • Less Than

  • Not Between

  • Not Contains

  • Not Empty

  • Not Equals

The choices available from this list are dependent on the field entered in the Field Name column.

Value 1

The values available for a filter expression depend on the type of field used in the expression. For example:

  • If you select a text, numeric, or date field, Open Plan allows you to choose another field from the table (including calculated fields and previously defined filters), or you can enter a text, numeric, or date constant.

  • If you enter a constant for a filter expression based on a text field, you must enter the text string using quotation marks.

  • If you are defining a filter that includes an activity or resource ID, make sure that you enter the value using upper-case characters.

  • If you select an enumerated field for the expression, Open Plan displays a list of valid choices from which you can select. For example, the Activity Type field is an enumerated field whose valid values include ASAP, ALAP, Subproject, and so on.

  • If you select a logical field for the expression, Open Plan allows you to select either True or False as a value.

Value 2

You can enter a value in this column when any of the following conditions exists:

  • The operator in the expression is Between

  • The operator in the expression is Not Between

  • You are inserting a closing parenthesis in a complex filter expression

The Value 2 column allows you to build an expression such as the following:

Field Name

Total Float

Operator

Between

Value 1

5

Value 2

10

This filter tells Open Plan to select activities with total float between 5 and 10 inclusive.

The values available for a filter expression depend on the type of field used in the expression.

When entering a duration, be sure to enclose the value with the pipe (|) symbol (for example, |4|)

Buttons

Insert Parentheses

You can use the Insert Parentheses buttons to build complex expressions by inserting the left parenthesis to the left of the entry in the Field Name field and a right parenthesis to the right of the entry in the Value 2 field. For example, you can use parentheses to develop complex expressions such as the following:

  • WBS Equals "1.1" AND (OBS Equals "QA" OR OBS Equals "Pubs")

  • (WBS Equals "1.1" AND OBS Equals "QA") OR OBS Equals "Pubs"

Access Control

The Access Control option allows you to grant permission for other users to use the filter that you are creating. This option is enabled only for permanent filters that you create. You cannot share a temporary filter.

References

Clicking this button displays the References dialog box, which has a list of items that use the sort. This list of items includes the file type, name of the project or file, description, and owner.

More

When you click More, the Filter Expression dialog box extends to display additional controls.

  • Expression — This field reflects the actual expression that is displayed in the grid. If you prefer, you can enter the filter expression directly in the text box. When an error is generated by Open Plan, the portion of the failed expression in the Expression field is highlighted.

  • Fields — Clicking this button displays the Fields dialog box. You can use this dialog box to select fields to include in the filter expression.

  • Functions — Clicking this button displays the Functions dialog box. You can use this dialog box to select functions to use in the filter expression.

  • Validate — When you have created a filter expression, you can click this button to have Open Plan validate the expression. If the filter expression is valid, Open Plan populates the grid with the appropriate values. When an error is generated by Open Plan upon validation, the portion of the failed expression in the Expression field is highlighted.

  • Less — Clicking this button hides the dialog box extension.

In addition to their use as view filters, filter expressions can be used for other operations such as when defining global edits or specifying criteria for bar attributes in a barchart view or box attributes in a network view.

Location

To display the Filter Expression dialog box, complete the following step:

  1. Take one of the following actions:

  2. Click New in the Filters dialog box and complete the New Filter dialog box that displays.

  3. Select a filter from the Filters dialog box and click Copy or Edit.

  4. Display the Filters dialog box from an open spreadsheet or barchart view, select <Temporary Filter>, and click Edit.

Related Topics and Procedures

Related Topics

Using the Filters Dialog Box

Using the New Filter Dialog Box

Related Procedures

Creating a New Filter

Copying a Filter

Editing a Filter

Deleting a Filter


Filters Dialog Box

Use the Filters dialog box to apply a filter to the view. When Open Plan displays this dialog box, the filter currently in use is selected.

Display For

Use this field to select the type of filters you want to view.

For example, if you have the BARVW open and you select Activity, all of the filters listed are available to be evaluated against the activities. If you have the BARVW open and you select Resource assignments in this field, all of the filters displayed in the [Results] box will be based on Resource assignment data. Since the BARVW is activity driven, the Apply button is disabled.

[Results]

This box displays the filters that are available for the option that you selected in the Display For field. The list includes both global filters and those saved with the project.

New

Click to create a new filter using the New Filter dialog box.

Copy

Click to make a copy of the filter that is selected in the [Results] box. You can use the Filter Expression dialog box to edit the filter name and parameters. By default, the filter name starts with Copy_.

Edit

Click to edit the filter that is selected in the [Results] box. You can use the Filter Expression dialog box to edit the filter parameters.

Delete

Click to delete the filter that is selected in the [Results] box. You must have the appropriate rights to be able to delete a filter. A warning message displays to confirm your action.

OK

If Apply is enabled (that is, the selected filter is applicable to the current view, when you click OK, Open Plan applies the selected filter and closes the Filter dialog box. If Apply is disabled and you click OK, Open Plan closes the dialog box without applying the filter (as if you clicked Cancel).

Cancel

Click to close the dialog box without making any changes.

Apply

Click to apply the selected filter to the view and keep the Filter dialog box open. This button is disabled if you select a filter that is not applicable to the current view. See the Display For field description for an example.

Help

Click to display the dialog box help topic.

Location

Access the Filters dialog box in any of the following ways:

  • Click the Tools tab and click Filters on the Manage menu group.

  • Right-click on a spreadsheet or barchart view and select Filters on the Context menu.

  • Right-click on a network view and select Placements » Filters on the Context menu.

Related Topics and Procedures

Related Topics

Filters Overview

Filters (Tools Tab)

Sorts Dialog Box

Placements Dialog Box

Related Procedures

Add to Filter

Clear Filter

Create a New Filter

Copy a Filter

Delete a Filter

Edit Expression

Edit a Filter

Remove from Filter


Filter Settings Dialog Box

The Filter Settings dialog box helps you locate a specific item in the contents pane by allowing you to filter the items that are displayed.

Enable Filtering

This field controls whether the defined filter is put into effect when you click OK.

Field Name

This field lists all the fields on which you can filter. These fields are the headings displayed in the Details format.

Operator

This field allows you to specify how Open Plan should evaluate the filter expression. You can select from the following operators:

  • Contains

  • Equals

  • Greater or Equals

  • Greater Than

  • Is Empty

  • Less than or Equals

  • Less Than

  • Not Contains

  • Not Empty

  • Not Equals

The Contains operator is case-sensitive. Criteria entered using this expression must be typed in the same case as the original value. If the same case is not used, no results will be displayed.

Criteria

This field allows you to enter a value for comparison to the Field Name as defined by the Operator. This setting is text sensitive.

For example, assume that the Projects folder is displayed in the contents pane and that you want to limit the list to display only the project CLEAN. You would enter the following values in this dialog box:

Field Name

Operator

Criteria

Name

Equal to

CLEAN

Clear

Removes all values that have been entered in the dialog box.

To cancel the filter so that all items are displayed, display the Filter Settings dialog box and clear the Enable Filtering option.

Location

To display the Filter Settings dialog box, complete the following step:

  1. Right-click an empty area of the contents pane when it contains similar objects (for example, all views, all projects, and so on).

Related Topics and Procedures

Related Topics

Using the Open Plan Explorer

Using the Contents Pane of the Open Plan Explorer

Customizing the Details Display in the Open Plan Explorer

Using the Customize Columns Dialog Box


Global Edit Definition Dialog Box

This dialog box defines the global edits.

The expression for a global edit can use the same set of functions, operators, and field names that you use when creating calculated fields.

For more information, see Defining Calculated Fields in the Deltek Open Plan Developer’s Guide.

Name

This field controls the name for the global edit.

When a project is open, the default value in this field is <temporary>. By leaving this default value, you can create global edits without saving them.

In order to save a temporary global edit, you must change the <temporary> value to a different name. When you then save the global edit, the name you entered is displayed on the Global Edits dialog box.

If you have accessed this dialog box without first opening a project or resource file, the Name field is blank since there is no target for a temporary sort.

Applies to Table

Controls the data table to which the new global edit applies. The choices from which you can select depend on whether you are creating a global edit for a project or for a resource file:

Project

Resource

  • Activity

  • Baseline Activity

  • Baseline Usage

  • Code Data

  • Relationship

  • Resource Assignment

  • Resource Cost

  • Resource Data

  • Resource Usage

  • Risk Detail

  • Resource Availability

  • Resource Escalation

  • Project Summary Usage

Definition

Replace Values In

Controls the field of the data table to which the global edit applies.

Of Type

Displays which of the following types of data is stored in the selected field of the data table:

  • Date

  • Decimal

  • Duration

  • Finish Date

  • Integer

  • Character

  • Logical

  • Enumerated values.

Open Plan recognizes the following enumeration types:

ACTS | Activity status | RELT | Relationship type
ACTT | Activity type | RESC | Resource class
BOOL | Boolean | REST | Resource type
CRIT | Critical flag | RSCL | Resource scheduling type
CURV | Curve | TARG | Target type
PROG | Progress |  |

With Expression

Controls the expression that will replace the data in the selected data table field. The expression must create data of the same type as the data it will replace. For example, if the global edit replaces a date, the global expression must also create a date.

An expression defining a global edit can include certain elements. For more information, see Expression Elements.

Matching Filter

The ellipsis button at the right edge of this field displays the Filters dialog box that you can use to apply a filter to the global edit. In this way, you can limit the records that will be affected by the global edit.

OK

Verifies and saves the global edit and closes the dialog box.

Cancel

Cancels the global edit and closes the dialog box.

Apply

Applies the global edit, leaving the dialog box open.

Access Control

Clicking this button displays the Access Control dialog box, which allows the owner of a global edit to define the groups and users that have access to the global edit.

References

Click to display the References dialog box, which has a list of items that use the global edit. This list of items includes the file type, name of the project or file, description, and owner.

Help

Clicking this button displays the Help system.

Fields

Displays a dialog box where you can select a field to include in the expression.

Functions

Displays a list of available functions.

Values

Displays the Select a Value dialog box that you can use to select a value to include in the global edit.

This button is available only when an enumerated field value (such as Target Start Type) is being replaced.

Location

To display the Global Edit Definition dialog box, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project or ancillary file to display in any view.

  2. In the Manage menu group of the Tools tab of the selected view, click Global Edits.

  3. In the Global Edits dialog box, click, New, Copy, or Edit.

The Copy and Edit buttons are available only if you selected a value in the Global Edits dialog box.

Related Topics and Procedures

Related Topics

Global Edits

Global Edits Dialog Box

Batch Global Edits Dialog Box

Global Edit Definition Dialog Box

Fields Dialog Box

Functions Dialog Box

Select a Value Dialog Box

Filters Dialog Box

Related Procedures

Applying a Global Edit to a Project or Resource File

Creating a New Global Edit Definition

Editing an Existing Global Edit Definition

Deleting a Global Edit Definition

Creating a Batch Global Edit Definition


Global Edits Dialog Box

This dialog box allows you to modify multiple activities or resources with a single operation by applying previously created global edits to your project. It displays a list of currently available global edits. Since they change all instances of the data, global edits may be applied regardless of whether or not any specific view is open.

Display for

This field contains a list that segregates the global edits by type of data. For example, if you select Project from the list, the global edits that are displayed are project related.

New

Click this button to display the Global Edit Definition dialog box which you use to create a new global edit.

Copy

Select an existing global edit and click this button to create a new global edit based on the selected global edit. The Global Edit Definition dialog box displays and you can edit the name and global edit criteria. By default, the name starts with "Copy."

Edit

Select an existing global edit and click this button to display the Global Edit Definition dialog box which you use to edit the name and/or global edit details.

Delete

Click this button to delete the selected global edit. A dialog box displays, asking you to confirm the deletion.

Location

To display the Global Edits dialog box, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project or ancillary file to display in any view.

  2. In the Manage menu group of the Tools tab of the selected view, click Global Edits.

Related Topics and Procedures

Related Topics

Global Edits

Global Edit Definition Dialog Box

Batch Global Edits Dialog Box

Fields Dialog Box

Functions Dialog Box

Select a Value Dialog Box

Filters Dialog Box

Related Procedures

Applying a Global Edit to a Project or Resource File

Creating a New Global Edit Definition

Editing an Existing Global Edit Definition

Deleting a Global Edit Definition

Creating a Batch Global Edit Definition


Group Deletion Dialog Box

This dialog box allows you to delete a group of data records in an open project that share a common characteristic. This is accomplished by applying a filter to a table in the project and then deleting the data records that are identified by the filter criteria.

The dialog box contains the following two fields:

  • Applies to Table — Contains a list of all the tables in the open project.

    • Activity

    • Baseline Activity

    • Baseline Usage

    • Code Data

    • Relationship

    • Resource Data

    • Resource Assignment

    • Resource Availability

    • Resource Cost

    • Resource Escalation

    • Resource Usage

  • Matching Filter — Contains a list of all the filters defined for the open project.

Clicking the ellipsis button to the right of the Matching Filter field displays the Filters dialog box that you can use to create a new filter.

If you wanted to delete all the non-critical activities in the project, for example, you would select the Activity table in the first field and the filter Non_Critical in the second field. When you click OK, the data records returned by the filter criteria are deleted.

Location

To display the Group Deletion dialog box, complete the following step:

  1. Click Group Delete on the Tools tab.

Related Topics and Procedures

Related Topic

Using the Select File to Delete Dialog Box

Related Procedure

Deleting a Group of Data Records


New Calculated Field Dialog Box

This dialog box controls general information about the new calculated field.

Name

The name you enter here is displayed on all lists where you can select the calculated field.

Applies to Table

The data table to which the new calculated field applies. You can select from the following tables:

  • Activity

  • Baseline Activity

  • Baseline Usage

  • Code Data

  • Project Directory (Main Project)

  • Project Summary Usage

  • Relationship

  • Resource

  • Resource Assignment

  • Resource Availability

  • Resource Cost

  • Resource Escalation

  • Resource Usage

  • Risk Detail

  • Subproject

Data Type

The type of data that the calculated field will return. It must match the result produced by the calculated field expression.

  • Character — Returns a character string to the calculated field.

  • Date — Returns a date to the calculated field.

  • Decimal — Returns a decimal number (for example, 7.89) to the calculated field.

  • Duration — Returns a duration to the calculated field.

  • Finish Date — Returns an activity finish date to the calculated field.

  • Integer — Returns a whole number to the calculated field.

  • Logical — Returns True or False to the calculated field.

Related Topics and Procedures

Related Topics

Using the Calculated Fields Dialog Box

Using the Calculated Field Expression Dialog Box

Related Procedures

Creating a New Calculated Field

Copying a Calculated Field

Editing a Calculated Field

Deleting a Calculated Field

Deleting a Calculated Field on which a Temporary Calculated Field is Based


New Filter Dialog Box

This dialog box allows you to supply a name for the filter and to choose the data table to which it will apply.

Related Topics and Procedures

Related Topics

Using the Filter Expression Dialog Box

Using the Filters Dialog Box

Related Procedures

Creating a New Filter

Copying a Filter


New Sort Dialog Box

This dialog box allows you to supply a name for the sort and to choose the data table to which it will apply.

Related Topics and Procedures

Related Topics

Using the Sorts Dialog Box

Using the Sort Expression Dialog Box

Related Procedure

Creating a New Sort Criterion


New User Defined Field Dialog Box

This dialog box allows you to create a new user defined field for the data table selected in the User Defined Fields dialog box. When you click OK, Open Plan adds the user defined field to the appropriate data table and includes it on the list displayed in the User Defined Fields dialog box.

Name

The name of the new user defined field. This is the internal name that Open Plan associates with the user defined field.

Data Type

You can select from the following data types:

  • Character

  • Date

  • Finish Date

  • Decimal

  • Duration

In addition to specifying the type of data that you will be able to enter in the new user defined field, the data type also specifies the length of the field. For example, if you select Character, Open Plan creates the user defined field with a length of 60.

Description

You can use this field to assign a longer, more meaningful description to the user defined field.

Also Create Field for Baseline

This option is enabled only if you are creating a user defined field for the Activity table. If you select this option, Open Plan adds the new user defined field to the Baseline table. This is not easily undone (you would have to delete and re-create the user field and may lose data) so care should be taken when selecting this option.

Link Field to Lookup Table

Selecting this option links the field to a Lookup table by selecting from the list of options below:

  • Lookup Table Type — Select the type of Lookup table from the list.

  • Lookup Field Name — After selecting the Type, you can select the specific field.

  • Lookup Table Name — This option is available if you previously selected a Resource or Code Table type.

Location

To display the New User Defined Field dialog box, complete the following steps

  1. On the Tools tab, click User Fields.

  2. In the User Defined Fields dialog box, select a table to which you want the new user defined fields added.

  3. Click New.

Related Topics and Procedures

Related Topics

Using User Defined Fields

Using the User Defined Field Dialog Box

Using the Copy User Defined Field Dialog Box

Using the Edit User Defined Field Dialog Box

Related Procedure

Creating a New User Defined Field


Open Plan Web Publisher Dialog Box

This dialog box allows you to create new report batches, edit and run existing batches, and define the output options for a batch.

Buttons along the right edge of the dialog box allow you to create a new batch, delete a batch, and modify the list of views included in a batch.

In addition, you can preview a view included in the batch by selecting it in the list and clicking Preview.

When you click Run, Open Plan prints the views you have included in the batch to your selected output device. Open Plan displays a message box while the batch report is printing. You can interrupt the batch report by clicking Cancel on this message box.

If you interrupt the batch report, Open Plan finishes printing the current report in the batch before stopping.

Project

This field displays the name of the project on which to report. The ellipsis button to the right of the text box displays the Select Project dialog box.

Batch

This field contains a list of reporting batches that have already been created for this project.

You can add to the list by clicking New to display the Create New Batch dialog box.

View Description

This column of the views grid is displayed by default. The View Description field contains a list of views that are included in the reporting batch. To preview a view in the batch, select it, and click Preview.

You can add views to the list by clicking Views to display the Add or Remove Views dialog box.

View Filename

To display this field, click the horizontal scroll bar beneath the list of view descriptions. The View Filename column contains the names of the files in the View Description column.

Current Device

This field contains a list of output devices currently set up for your Windows system.

The following controls are enabled only when the Acrobat PDFWriter is selected as the output device:

  • Destination Directory

  • Generate HTML File

  • Web Site Address

In addition, the Web Site Address control is enabled only when the Generate HTML File option is selected.

When running a batch using a device other than the Acrobat PDFWriter, the device driver determines if user intervention is required to produce each report in the batch.

Destination Directory

This field controls the location of the directory for storing the .pdf files generated by the batch. Open Plan also uses this location for storing the HTML file and the .gif files for the various icons it includes.

Because the Open Plan Web Publisher conserves disk space by using the project name in the HTML and .pdf files, these files are overwritten each time you run a batch file. Therefore, if you want to send a different set of reports to different people within your organization, create a separate destination directory for each recipient.

Generate HTML file

Select this option if you want Open Plan to create an HTML file containing links to the .pdf files created by the batch. If you choose to create this file, Open Plan stores it in the destination directory.

Web Site Address

If you are generating an HTML file for the batch, and want the URL links to include the address of a specific Web site, you can specify the address of the Web site with this setting. (If you do not specify the Web site address with this setting, you can still manually update the URL addresses contained in the HTML file produced by the batch.)

If you are not currently connected to the Internet and want to view your HTML file using your Web browser, leave this field blank.

Location

To display the Web Publisher dialog box, complete the following step:

  1. Select the Tools tab and click Web Publisher in the Publish menu group.

Related Topics and Procedures

Related Topics

Reporting with the Open Plan Web Publisher

Using the Select Project Dialog Box

Using the Create New Batch Dialog Box

Using the Add or Remove Views Dialog Box

Using the Destination Directory Dialog Box

Related Procedures

Preparing a Report for Publication on the Web

Performing Batch Reporting

Creating a Report Batch


Rollup Definition Dialog Box

This dialog box allows you to create a new rollup definition or edit an existing one. A rollup definition contains the fields that will be rolled up in a selected table. When you are finished defining the rollup definition, click OK to return to the Rollups dialog box.

Name

If you are creating a new rollup definition, you can enter the name for the definition in this field.

If you are creating a copy of an existing rollup definition, the copy is given the default name of Copy_<existing name>. You can change the name if you wish.

If you are editing an existing rollup definition, its name appears in the field, but you cannot change it.

Applies to Table

The table name that appears in this field is the table that was chosen on the Rollups dialog box. The rollup definition will use the fields contained within the selected table.

Available Fields

This list contains all of the data and numeric fields for the selected table that are available for roll up. When you select a field and click the right arrow button, the field is moved to the Assigned Fields list.

You can select multiple fields to move at one time by Ctrl+clicking or Shift+clicking the fields you want and then clicking the right arrow button.

Assigned Fields

This list contains the fields that have been assigned for rollup. The rollup definition can contain as many fields as you wish to roll up. You can remove a field from the assigned list and place it back in the Available Fields list by selecting it and clicking the left arrow button.

You can select multiple fields to remove at one time by Ctrl+clicking or Shift+clicking the fields you want and then clicking the left arrow button.

Access Control

This item is initially accessible only to the user who created it. If you wish to share this item with other users, click the Access Control button to display the Access Control dialog box.

For more information on available WebWindows, see The Open Plan Configuration Files, in the Deltek Open Plan Developer’s Guide.

Location

To display the Rollup Definition dialog box, complete the following steps:

  1. On the Tools tab, click Rollups.

  2. In the Rollups dialog box, take one of the following actions:

  • Click New.

  • Select an existing rollup definition, and click Copy or Edit.

Related Topics and Procedures

Related Topic

Using the Rollups Dialog Box

Related Procedures

Creating a Rollup Definition

Editing a Rollup Definition

Copying a Rollup Definition


Rollups Dialog Box

This dialog box allows you to perform a rollup of selected numeric and date fields for Activities, Resources, and Codes. For numeric fields, the parent object is the sum of its children. For date fields, the Start date of the parent object is the earliest date of its children, and the Finish date is the latest date of its children.

Display for

The Display for field allows you to select the table that contains the rollup definition you wish to use. When a table is selected, the dialog box is populated with all of the rollup definitions that have been created for that table. Selecting a rollup definition and clicking Apply, performs the rollup for the current file.

For numeric fields, the parent object is the sum of its children. For date fields, the Start date of the parent object is the earliest date of its children, and the Finish date is the latest date of its children.

If any of the children have a blank finish date, a blank finish date is rolled up to the parent.

Buttons

New

Click this button, or press Insert on your keyboard, to display the Rollup Definition dialog box which you use to create a new rollup definition.

Copy

Select an existing rollup definition and click this button to create a new rollup definition based on the selected rollup definition. The Rollup Definition dialog box displays and you can edit the name and/or rollup definition criteria. By default, the name starts with "Copy."

Edit

Select an existing rollup definition and click this button to display the Rollup Definition dialog box which you use to edit the name and/or selected rollup definition details.

Delete

Click this button, or press Delete on your keyboard, to delete the selected rollup definition. A dialog box displays, asking you to confirm the deletion.

Location

To display the Rollups dialog box, complete the following step:

  1. Click Rollups on the Tools tab.

Related Topics and Procedures

Related Topics

Rollups Overview

Using the Rollup Definition Dialog Box

Related Procedures

Creating a Rollup Definition

Editing a Rollup Definition

Copying a Rollup Definition

Execute a Rollup for the Current File


Select a Value Dialog Box

The Select a Value dialog box works with the Global Edit Definition dialog box and allows you to select a value to include in the With Expression field that dialog box.

By listing only values that are appropriate to the field selected in the Replace Values in field in the Global Edit Definition dialog box, the Select a Value dialog box facilitates building the global edit.

When you select a value and click OK, Open Plan inserts the value in the With Expression field in the Global Edit Definition dialog box.

Location

To display the Select a Value dialog box, complete the following steps:

  1. On the Tools tab, click Global Edits.

  2. In the Global Edits dialog box, take one of the following actions:

  • Click New.

  • Select a global edit definition and click Edit.

  3. In the Global Edit Definition dialog box, click Values.

The Values button is enabled only when the database contains values that are appropriate to your selection in the Replace Values in field.

Related Topics and Procedures

Related Topics

Using Global Edits

Using the Global Edits Dialog Box

Using the Global Edit Definition Dialog Box

Using the Fields Dialog Box

Using the Functions Dialog Box

Using the Filters Dialog Box

Related Procedures

Applying a Global Edit to a Project or Resource File

Creating a New Global Edit Definition

Editing an Existing Global Edit Definition

Deleting a Global Edit Definition


Sort Expression Dialog Box

You can build a sort expression based on data from any activity- or resource-related data table using either ascending or descending order. Custom sorts can also include any calculated fields for those tables.

Sort

Controls the order in which the data will be sorted.

Field

Controls the fields on which the data will be sorted.

You can choose from standard database fields, user defined fields, and calculated fields.

Order

Controls whether the sort on the field should be by ascending or descending order.

OK

Clicking this button stores changes to the sort expression and closes the Sort Expression dialog box.

Cancel

Clicking this button closes the Sort Expression dialog box without saving any changes.

Access Control

Clicking this button displays the Access Control dialog box, which allows the owner of a sort expression to define the groups and users that have access to the sort. This option is enabled only for permanent sorts. A temporary sort cannot be shared.

References

Clicking this button displays the References dialog box, which has a list of items that use the sort. This list of items includes the file type, name of the project or file, description, and owner.

Help

Clicking this button displays the Help system.

Location

To display the Sort Expression dialog box, complete the following step:

  1. Take one of the following actions:

  • Click New in the Sorts dialog box and complete the required information in the New Sort dialog box. In this case, the Name field of this dialog box displays the name of the new sort. The expression builder section of the dialog box is blank.

  • Select a sort criterion from the Sorts dialog box and click Copy or Edit. In this case the Name field of this dialog box displays the name of the sort criterion you are copying or editing. The expression builder section of the dialog box displays the sort expression.

Related Topics and Procedures

Related Topics

Using the New Sort Dialog Box

Using the Sorts Dialog Box

Using the Filters Dialog Box

Using the Calculated Fields Dialog Box

Related Procedures

Creating a New Sort Criterion

Copying a Sort Criterion

Editing a Sort Criterion

Deleting a Sort Criterion


Sorts Dialog Box

Use the Sorts dialog box to apply a sort sequence to the view. When Open Plan displays this dialog box, the sort currently in use is selected.

Display For

Use this field to select the type of sorts you want to view.

For example, if you have BARVW open and you select Activity, all of the sorts listed are available to be evaluated against the activities. If you have the BARVW open and you select Resource assignments in this field, all of the sorts displayed in the [Results] box will be based on Resource assignment data. Since the BARVW is activity driven, the Apply button is disabled.

[Results]

This box displays the sorts that are available for the option that you selected in the Display For field. The list includes both global sorts and those saved with the project.

New

Click to create a new sort using the New Sort dialog box.

Copy

Click to make a copy of the sort that is selected in the [Results] box. You can use the Sort Expression dialog box to edit the sort name and parameters. By default, the sort name starts with Copy_.

Edit

Click to edit the sort that is selected in the [Results] box. You can use the Sort Expression dialog box to edit the sort parameters.

Delete

Click to delete the sort that is selected in the [Results] box. You must have the appropriate rights to be able to delete a sort. A warning message displays to confirm your action.

OK

If Apply is enabled (that is, the selected sort is applicable to the current view, when you click OK, Open Plan applies the selected sort and closes the Sort dialog box. If Apply is disabled and you click OK, Open Plan closes the dialog box without applying the sort (as if you clicked Cancel).

Cancel

Click to close the dialog box without making any changes.

Apply

Click to apply the selected sort to the view and keep the Sort dialog box open. This button is disabled if you select a sort that is not applicable to the current view. See the Display For field description for an example.

Help

Click to display the dialog box help topic.

Location

Access the Sorts dialog box in any of the following ways:

  • Click the Tools tab and click Sorts on the Manage menu group.

  • Right-click on a spreadsheet or barchart view and select Sorts on the Context menu.

Related Topics and Procedures

Related Topics

Using the New Sort Dialog Box

Using the Sort Expression Dialog Box

Using the Temporary Sort Expression Dialog box

Using the Filters Dialog Box

Using the Calculated Fields Dialog Box

Related Procedures

Sorting Data in a View

Sorting Data on a Calculated Field


Temporary Sort Expression Dialog Box

You can use the Temporary Sort Expression dialog box to create a sort without giving it a name or saving it. The temporary sort that you create is available only in the view in which it was defined and only until superceded by another sort.

A temporary sort expression is automatically created when you sort a single-table or the primary table of a multi-table spreadsheet by clicking a column heading when the Click to Sort option is enabled. Once created in this way, you can view the sort expression in the Temporary Sort Expression dialog box. You can also create the temporary sort expression directly in this dialog box in order to apply the sort without necessarily having to display the column on which the sort is based in the spreadsheet.

In the case of a multi-table spreadsheet, the temporary sort expression is displayed in this dialog box only when you sort the spreadsheet based on a field in the primary table. If you sort the spreadsheet based on a field in a secondary table, the temporary sort expression is displayed in the Sorts column of the Define Link tab of the Spreadsheet Preferences dialog box.

If you save the view while a temporary sort is in effect, Open Plan saves the view with the sort applied.

While you can type the sort expression in the text box, you can also use the Fields button to display a dialog box that you can use as an aid in building the sort expression.

A discussion of the syntax to use for the temporary sort expression can be found by clicking the "Sort Expression Syntax" topic on the See Also popup menu.

Location

To display the Temporary Sort Expression dialog box, complete the following step:

  1. In the Sorts dialog box, take one of the following actions:

  • Select <Temporary Sort>, and click Edit.

  • Double-click <Temporary Sort>.

Related Topics and Procedures

Related Topics

Using the Sorts Dialog Box

Using the Fields Dialog Box

Using the Functions Dialog Box

Related Procedure

Creating a Temporary Sort


User Defined Fields Dialog Box

The User Defined Fields dialog box displays a list of currently available user defined fields that are available for the selected data table.

Data entered on interproject links for user defined fields created on the Relationship table is not saved by Open Plan.

Table

This field allows you to select the data table to which the user defined field applies.

Buttons

New

Click this button, or press Insert on your keyboard, to display the New User Defined Field dialog box which you use to create a new user defined field.

Copy

Select an existing user defined field and click this button to create a new user defined field based on the selected user defined field. The Copy User Defined Field dialog box displays and you can edit the name and/or user defined field details. By default, the name starts with "Copy."

Edit

Select an existing user defined field and click this button to display the Edit User Defined Field dialog box which you use to edit the name and/or user defined field details.

Delete

Click this button, or press Delete on your keyboard, to delete the selected user defined field. A dialog box displays, asking you to confirm the deletion.

Location

To display the User Defined Fields dialog box, complete the following step:

  1. From the Tools tab, click User Fields in the Custom Fields menu group.

Related Topics and Procedures

Related Topics

Using User Defined Fields

Using the New User Defined Field Dialog Box

Using the Copy User Defined Field Dialog Box

Using the Edit User Defined Field Dialog Box

Related Procedures

Creating a New User Defined Field

Copying a User Defined Field

Editing a User Defined Field

Deleting a User Defined Field


Find

To issue the Find command from the Open Plan Explorer, do either of the following:

  • Right-click and select Find from the context menu

  • Press the Ctrl+F keys.

This command lets you find an object in any subfolder of the folder that is currently selected in the Open Plan Explorer. You can search for an object based on its name or on any field that is available in the Details format. Because this dialog box is modeless, you can keep it open while you initiate any number of searches.

Related Topics and Procedures

Related Topic

Using the Find and Replace Dialog Box


Find Next

You can issue the Find And Replace command from any view displaying activities in the following ways:

  • By clicking Find And Replace on the Edit tab

  • By pressing the Shift+F4 keys

  • By pressing the Ctrl+F keys

This command allows you find the next activity that meets the search requirements you have previously issued in a Find And Replace command.

For example, if you have found an activity containing the word "System" in the description, the Find Next command finds the next activity that also contains the word "System" in the description.

Related Topics and Procedures

Related Topic

Using the Find and Replace Dialog Box

Related Procedures

Finding an Activity

Finding Another Activity


Spreadsheet: Insert Rows

To issue the Insert Rows command, select a cell in a spreadsheet, right-click the selection button of a row (gray block at the far left of the row), and select Insert Rows.

This command displays the Insert Rows dialog box, which lets you insert one or more rows above the selected row.

Related Topics and Procedures

Related Topic

Using the Insert Rows Dialog Box

Related Procedure

Inserting Rows in a Spreadsheet


Open Plan Explorer

The Open Plan Explorer provides a familiar graphical user interface (GUI) similar to Windows Explorer. This type of interface allows you to work in your own way. Although it is possible to open files, set up projects, and perform other functions in Open Plan without using the Open Plan Explorer, it is convenient to open and manipulate files without having to remember a precise filename.

In the Open Plan Explorer, there are two panes with a moveable splitter bar between them. The left pane displays a hierarchy of nested folders through which you can navigate. The right pane displays the contents of the currently selected object.

Open a View...

Use this drop-down list, located above the hierarchical pane, as an alternate way to open a project view. Your favorites are listed first and in bold, followed by all other views. You can use the Organize Favorites dialog box to add or remove favorites, and to specify the order in which your favorites are listed.

Add View

Click this button to associate a view or multiple views with selected or all projects. Selecting one or more projects and selecting this option displays the Select dialog box.

The Select dialog box only displays those views to which you have access rights and are relevant to the selected project(s).

To associate more than one view with the selected projects, you need to select multiple views.

Refresh

Use this button to refresh the contents of the Projects and Open Plan Library folders as well as the options on the menus as configured in EPM Security Administrator (EPM SA).

Refresh from the database

Changes you will see

Projects folder

  • Add, update, or delete a project, or the ancillary files of the projects.

  • You will only see the projects and its ancillary files provided you have been granted access rights to them.

Open Plan Library folder

  • Add, update, or delete calendar, code, resource, and view files.

    • When you open the code files in Shared mode (on a project also opened in Shared mode) and another user updates or adds code values, Open Plan allows all users who are working on a project simultaneously to see the updated code values. You can only view the updated values, however, when you refresh the project data.

    • When you open the code files in Read Only mode (on the project opened in Shared mode) and another user makes changes to the code file, you can still refresh the project data. Open Plan refreshes the read only code data as well.

  • Add, update or delete project templates.

  • You will only see the files that you have been granted access rights.

Available menu options

The refresh button also refreshes the available options on the menus in Open Plan from the database if they have changed.

Related Topics and Procedures

Related Topics

Using the Contents Pane of the Open Plan Explorer

Customizing the Details Display in the Open Plan Explorer

Using the Customize Columns Dialog Box

Using the Find and Replace Dialog Box

Using the Logged-In User Dialog Box

The Open Plan Window, Tabs, Menus, and Commands

Using Keyboard Shortcuts

Related Procedures

Creating a User Folder

Creating a Link in My Folder to an Object

Adding a Column to the Contents Pane

Removing a Column from the Contents Pane

Renaming a Column in the Contents Pane

Sorting the Data in the Contents Pane

Resizing a Column in the Contents Pane


The Hierarchical Pane

The left pane of the Open Plan Explorer displays a hierarchy of folders available to you. You can perform standard Windows operations in the hierarchy such as dragging and dropping objects into Open Plan folders or using a context menu to manipulate a selected object.

When you start Open Plan, there are six default folders, described below. You can also create custom folders. Custom folders are not available to other users in the data source.

My Folder

This is your personal folder. It provides a convenient way of organizing all the links to your projects, views, ancillary files, and application shortcuts. These objects can be referenced in this folder in either of the following ways:

  • By creating a project.

  • By dragging an object from another folder into My Folder.

  • By first right-clicking an object in another folder and then clicking Copy from the context menu. Next, right-click My Folder and select Paste from the context menu.

Deleting an item from My Folder deletes the link to the item rather than the actual data. You can remove the link to a project by right-clicking the project and then clicking Delete Link on the shortcut menu.

You can also create additional subfolders within My Folder to help organize your project data.

Projects

All projects in the data source — either created by you or created by someone else to which you have been given rights to view or manipulate—are listed in the Projects folder together with their views and ancillary files.

When you create a project, it is placed in the Projects folder and a link to it is automatically placed in your My Folder. You can also drag existing projects from this folder to your My Folder to establish a link.

Deleting a project from the Projects folder deletes both the actual project data from the database and the link to it in your My Folder. No ancillary files are deleted with the project in the Projects folder.

Click [image] in the Open Plan Explorer to update the Projects folder when you add, update, or delete a project name in the Open Plan Explorer or project access rights via the Access Control List (ACL).

Open Plan Library

This folder contains ancillary files (calendars, codes, resources, and views) that can be linked to projects. Each type of ancillary file has its own subfolder. To assign an ancillary file or view to a project, drag the file from the Open Plan Library to the target project folder.

When you create an ancillary file, it is automatically added to the appropriate folder of the Open Plan Library. You cannot drag a file directly into the Open Plan Library.

Provided that you have sufficient rights and the file is not referenced by another file, you can delete it from the Open Plan Library. Doing so deletes both the actual data from the database and any links to that file that may exist.

The Open Plan Library contains the following folders:

  • Calendars: This folder contains all the calendar files currently defined in Open Plan.

  • Codes: This folder contains all the code files currently defined in Open Plan. In addition, each code file also contains a subfolder of code file views.

  • Resources: This folder contains all the resource files currently defined in Open Plan. In addition, each resource file also contains the following subfolders:

    • Views

    • Codes

  • Project Templates: This folder contains all the currently defined project templates in Open Plan.

  • Views: This folder contains all the currently defined views in Open Plan.

Click [image] in the Open Plan Explorer to update the Open Plan Library folder when you perform any of the following actions:

  • Add, update, or delete ancillary files assigned to a project

  • Modify access rights in the ACL

  • Add, update or delete calendar files, code files, currently defined project templates, resource files, and views in Open Plan Explorer.

Briefcase

Briefcasing is the ability to take a copy of a project stored in the central database and work on that copy remotely. While briefcased, other users are only able to open the project in Read Only mode. The database restricts access to the master copy to prevent changes being made, which would be lost when the remote copy is returned.

When you work on a briefcased copy of the project, you cannot create, modify, or delete external subprojects, foreign subprojects, or foreign activities.

When checking out a project to another data source, such as a laptop, reference copies of views and ancillary data are automatically taken. This allows you to work where and when you need to work.

The Briefcase folder displays the following information for projects that have been checked out:

  • Who has a project checked out (User ID)

  • The ID of the computer from which the project was checked out (Machine ID)

  • The date and time that the project was checked out (Checkout Date)

  • The data source into which the project was checked out (Data Source)

For more information, see Understanding the Open Plan Briefcasing Feature.

Users

The Users folder displays a list of users who have open projects or files in the network. The following information is available for each open object:

  • User ID

  • Machine ID

  • Login Time

The Customize Columns dialog box allows you to control the information that is displayed in this folder. The Logged-In User dialog box allows you to view the files that a user has open.

It is possible for a user to be listed more than once in this folder if he or she is logged into Open Plan from multiple computers.

For more information about customizing, see Customize the Contents Pane Display.

Startup

Each user of Open Plan has his or her own Startup folder. You can use this folder to store shortcuts to data or applications that you want to start each time you start Open Plan.

For example, you can store shortcuts to Open Plan projects and ancillary files in the Startup folder to open these files automatically when Open Plan starts.

You can also store a shortcut to another application such as Windows Notepad to have it start automatically when you start Open Plan.

Dragging an object into this folder establishes the Startup link, and deleting the icon in the Startup folder removes the link.

For more information about creating an application shortcut, see Creating a Shortcut.


Contents Pane of the Open Plan Explorer

The right pane of the Open Plan Explorer displays the contents of the currently selected folder in the hierarchical pane. In addition to identifying the object by its name, the right pane also displays additional information about each object such as description, open mode, user ID, and so on. The type of information displayed can be controlled by customizing the folder headings.

For more information about customizing the folder headings, see Customize the Contents Pane Display.

Double-clicking an object can perform the following operations:

  • If the object is a folder, double-clicking expands it.

  • If the object is a view or a calendar, double-clicking opens it.

  • If the object is an application shortcut, double-clicking launches the application.

Right-clicking an empty area in this pane displays a context menu with the following items:

  • Find: Clicking this menu item displays the Find and Replace dialog box.

  • Filter: Clicking this menu item displays the Filter Settings dialog box.

  • New Folder: Clicking this menu item allows you to create a new folder. This item is enabled only when My Folder or an individual project, code, or resource is selected.

  • New: Clicking this menu item displays the New File dialog box.

  • Paste: Clicking this item allows you to paste an item that is currently on your clipboard providing that it would be appropriate to the folder that is open. For example, you can paste a shortcut in your My Folder. You can also paste a resource, code, or calendar file into an open project. (This assigns the ancillary file to the project.)

Related Topics and Procedures

Related Topics

Using the Open Plan Explorer

Customizing the Details Display in the Open Plan Explorer

Using the Customize Columns Dialog Box

Using the Find and Replace Dialog Box

Using the Logged-In User Dialog Box

The Open Plan Window, Tabs, Menus, and Commands

Using Keyboard Shortcuts

Related Procedures

Creating a User Folder

Adding a Column to the Contents Pane

Removing a Column from the Contents Pane

Renaming a Column in the Contents Pane

Sorting the Data in the Contents Pane

Resizing a Column in the Contents Pane


Customize the Details Display in the Open Plan Explorer

Except for My Folder, when the Details format is selected, you can customize the columns that display in the contents pane of the Open Plan Explorer.

In order to customize the columns, the displayed folder must contain only like objects, for example, the objects must be all views, or all projects.

Right-clicking a heading on the header bar displays a context menu containing the following items:

  • Column List: At the top of the context menu, Open Plan displays a list of columns that are currently displayed.

  • Customize Columns: Clicking this item displays the dialog box that you can use to specify the fields that are displayed in the contents pane. You can also display the Customize Columns dialog box by double-clicking anywhere on the header bar. You can use this dialog box to add/remove fields for display, rearrange the display order, or rename columns.

  • Remove Column: Clicking this item removes the selected column from the details display.

  • Rename Column: Clicking this item displays the Change Column Heading dialog box, which you can use to modify the name that is displayed in the heading bar.

  • Sort Ascending: Clicking this item sorts the contents of the display on the selected heading in ascending order.

  • Sort Descending: Clicking this item sorts the contents of the display on the selected heading in descending order.

  • Group / Group by Type: Clicking this item places the contents into expandable groups by object type. For example, selecting a project from the hierarchical pane of the Open Plan Explorer, right-clicking the Name column in the Details pane, and selecting Group by Type places the project contents into three groups: Calendars, Resources, and System Folder. Clicking a group heading expands the folder to reveal the contents.

    • Right-clicking a group heading displays the following additional options:

    • Collapse: Collapses the selected expanded group heading

    • Collapse All: Collapses all expanded group headings

    • Expand: Expand the selected group heading

    • Expand All: Expands all group headings

    • Group Ascending: Sorts the groups in ascending order. (This is the default.)

    • Group Descending: Sorts the groups in descending order

    • Ungroup: Removes the applied grouping

    You can sort the contents within the groups (but not the groups themselves) in ascending or descending order by right-clicking a column heading (not a group heading) and selecting Sort Ascending or Sort Descending.

    Only level 1 grouping is allowed. You cannot, for example, group by Name and then group by Description within a group.

  • Ungroup: Clicking this item allows you to remove the applied grouping. You can access this item by either right-clicking a column heading or a group heading

  • Best Fit: Clicking this item modifies the width of the column to accommodate the display of its longest entry. You can also resize a column’s width manually by placing the cursor at either edge of column’s header. When the cursor changes to this shape [image], click and drag the column edge to the desired width.

Related Topics and Procedures

Related Topics

Using the Open Plan Explorer

Using the Contents Pane of the Open Plan Explorer

Using the Customize Columns Dialog Box

Using the Find and Replace Dialog Box

Using the Logged-In User Dialog Box

The Open Plan Window, Tabs, Menus, and Commands

Using Keyboard Shortcuts

Related Procedures

Creating a User Folder

Adding a Column to the Contents Pane

Removing a Column from the Contents Pane

Renaming a Column in the Contents Pane

Sorting the Data in the Contents Pane

Resizing a Column in the Contents Pane


Open a Project or Ancillary File

Opening a Project or Ancillary File

When you open a project, all ancillary files associated with the project are also opened. It is also possible to open an ancillary file or view without first having to open the project.

There are two ways to open project or ancillary files:

  • By using the File Open Dialog Box.

  • By right-clicking a project or ancillary file in Open Plan Explorer and using the Open command on the shortcut menu.

Open Plan always attempts to open a project’s ancillary files in the mode specified on the Preferences tab of the file's properties. This setting overrides the default access mode of the ancillary file's properties.

In some cases, if you attempt to open a file in shared mode and another user already has the file open in exclusive mode, Open Plan allows you to open the file in read-only mode or to cancel the operation.

You can open the files in different access modes: Exclusive, Shared, and Read Only.

For more information about the different access modes when you open a file, see Opening a File.

Related Topics and Procedures

Related Topics

File Open Dialog Box

Find and Replace Dialog Box

Saving a Project or Ancillary File

Closing Files

Assigning Ancillary Files to a Project

Deleting Projects

Related Procedures

Opening an Open Plan File

Saving an Open Plan File


Creating a Shortcut

You can easily create a shortcut to a Windows application, file, or URL in any of the following Open Plan folders:

  • The first level of My Folder

  • The Startup folder

  • Any user-created folder

Placing a shortcut in the Startup folder automatically launches it when you start Open Plan. For example, if you want Windows Notepad to automatically start when Open Plan starts, you would place a shortcut to Windows Notepad in the Startup folder. Open Plan also allows you to edit the properties of a shortcut using a Properties dialog box.

You can suppress the automatic loading of items in the Startup folder by holding down the Ctrl key after launching Open Plan.

Shortcut Properties

You can change the properties of a shortcut by displaying its Properties dialog box. For more information, see Shortcut Properties.

Related Topics and Procedures

Related Topic

Shortcut Properties

Related Procedures

Create a Shortcut

Changing the Properties of a Shortcut

Change the Name of a Shortcut

Edit Shortcut Properties


Filtering the Open Plan Explorer Contents

Use the Filter Settings dialog box to filter the Open Plan Explorer contents. You can use this option to, for example, filter out all completed projects or all views that are not barcharts from contents pane.

The Filter option is available for the following folders:

  • Projects

  • Calendars

  • Codes

  • Resources

  • Views

  • Briefcase

For folders that cannot be filtered, this option is disabled or not listed.

The filter you define is only applied to the selected folder. This means that you can have a different filter for each folder.

Related Topics and Procedures

Related Procedure

Filter the Open Plan Explorer Contents


Find an Object

The Find dialog box allows you to find an object in any subfolder of the folder that is currently selected. You can search for an object based on its name or on any field that is available. Since this dialog box is modeless, you can keep it open while you initiate any number of searches.

You can display the Find dialog box by right-clicking the left or right pane of the Open Plan Explorer, and selecting Find from the context menu.

After the search criteria is defined, clicking Find Now performs the search. Open Plan displays the name, location, and file type for each object it finds matching the search criteria.

If you would like to perform another search, you can click New Search to clear the Named and Where fields.


Project Views with Expand from Here

Open Plan allows you to expand all children of and all levels from a selected subproject in certain project views using the shortcut menu option called Expand from here instead of having to expand each level from that subproject.

If there is no selected subproject or you can no longer expand the selected subproject, the Expand from here option is disabled.

Below is the list of views that support Expand from here:

  • Activity Barchart by C2 (CODE2BAR)

  • Activity Barchart View (BARVW)

  • Activity Barchart View with Baseline (BARVW2)

  • Activity Barchart View with Rollup, Critical Path (BARVW3)

  • Activity Cost Spreadsheet (SPDEV)

  • Activity Spreadsheet View (SPREADVW)

  • Activity/Resource Barchart (ACTRESB)

  • Activity/Resource Crosstable (ACTCROSS)

  • Activity/Resource Spreadsheet (AVLSPDVW)

  • Baseline Barchart View (BASEVW)

  • Code Assignment Spreadsheet (CODEASSG)

  • Code Spreadsheet (CODESPVW)

  • DCMA Metric View (DMCA_METRICS)

  • Earned Value Barchart (EVBAR)

  • Multiple Baseline Barchart (MULTI_BASELINE)

  • Path Analysis Barchart (PATHBAR)

  • Pred/Succ Spreadsheet (PSSPDVW)

  • Progress Barchart (PROGBAR)

  • Progress Spreadsheet (PROGSPD)

  • Progress Variance Barchart (PROGVAR)

  • Project Analysis Barchart View (Project Barchart)

  • Project Analysis Spreadsheet View (Project SPD)

  • Project Audit View - Bad Relationships (Audit_Bad_Rels)

  • Project Status Spreadsheet View (Project Status)

  • Relationship Spreadsheet View (RELSPDVW). The menu item is enabled when the view is in Grouping mode. Otherwise, it is disabled.

  • Resource Barchart (SCHEDBAR).

  • Resource Crosstable Report (CROSSTB1)

  • Resource Crosstable/Barchart (CROSSTAB)

  • Resource Spreadsheet View (ResourceSpreadsheet)

  • Resource/Activity Barchart (BARMULT), (ASGBAR1)

  • Resource/Activity Spreadsheet (RCSPDVW)

  • Resource/Availability Spreadsheet (RESAVAIL)

  • Risk Barchart (RISKBAR1)

  • Risk Identification Spreadsheet (RISKINP)

  • Schedule Crosstable/Barchart (SCHCROSS)

  • STS Activity Barchart (STS_BAR)

Related Topics and Procedures

Related Topic

Open Plan Explorer

Related Procedures

Expand from Here

Assign a View to a Project

Save a View

Copy a View

Delete a View


Displaying Help About a Dialog Box or View

From the dialog box or form, take one of the following actions:

  • Click the Help button.

  • Press the F1 key.

These help topics contain a list of the fields on the dialog box or form. By clicking an item on this list, you can display field-specific information in a pop-up window.

To print the contents of a pop-up window, right-click inside the window, and then click Print.

Related Topics and Procedures

Related Topics

Using Help

Finding a Topic in Help

Related Procedures

Printing a Help Topic

Searching for Words in a Help File


Finding a Topic in Help

You can find a topic in the help system in any of the following ways:

  • By clicking the Contents button to browse through topics by category.

  • By clicking the Index button to see a list of index entries and then either typing the word you are looking for or scrolling through the list.

  • By clicking the Search button to search for words or phrases that may be contained in a help topic.

Related Topics and Procedures

Related Topics

Using Help

Displaying Help About a Dialog Box or View

Related Procedures

Printing a Help Topic

Searching for Words in a Help File


Using Help

The Open Plan help system features two types of help information:

Help topics

  • General Information: These topics provide overview and background information about an Open Plan feature.

  • Dialog boxes and forms: These topics contain a list of fields. Clicking a field name on the topic displays additional information that is specific to the field.

Procedures

These are topics that provide step-by-step information about how to perform a procedure in Open Plan. These topics remain visible while you work.

You can display the Open Plan Help by:

  • Pressing F1.

  • Clicking Help » Deltek Open Plan Help on the File menu.

  • Clicking [image] on the Quick Access Toolbar.

Related Topics and Procedures

Related Topics

Finding a Topic in Help

Displaying Help About a Dialog Box or View

About Deltek Open Plan Professional

Deltek Customer Care

Related Procedures

Printing a Help Topic

Searching for Words in a Help File


Understand the Open Plan Briefcasing Feature

The briefcasing feature of Open Plan allows you to check out a project, work on it, and then check it back in. Checking out a project is similar to opening a project in Exclusive mode in that while you have the project checked out, you are the only person who can save changes to it. There is, however, a difference:

  • A project that is open in Exclusive mode is automatically closed when you exit Open Plan. At that time, other users with the appropriate rights can open the project in Exclusive or Shared mode, make changes and save their changes.

  • A project that is checked out cannot be modified by other users until you check it back in. Checking out a project is, therefore, especially useful when you need to maintain exclusive rights to the project over a longer period of time.

In order to check out a project, you must be able to open it in Exclusive mode. This means that in addition to having the appropriate rights to the project, no other user can have it open in either Exclusive or Shared mode at the time you want to check it out.

Open Plan allows you to check out a project in two ways:

  • In the Main Data Source: When a project is checked out in the Main data source it is locked so that it cannot be modified by other users. When you later check in the project, Open Plan removes the lock.

  • To the Briefcase Data Source: When a project is checked out to the Briefcase data source, Open Plan copies the project and all its ancillary files to your Briefcase data source. You also have the option of copying the views used by the project. Checking out a project in this manner allows you to work on your project on another computer.

You cannot modify or delete external subprojects, foreign subprojects, or foreign activities that a briefcased project may contain, nor can you create these items.

Checking Out a File

On the File menu, when you point to Manage Files and click Check Out, Open Plan displays the Check Out dialog box. Open Plan allows you to check out a project in two ways:

  • In the Main Data Source: When a project is checked out in the main data source, it is locked so that it cannot be modified by other users. When you later check in the project, Open Plan removes the lock.

  • To the Briefcase Data Source: When a project is checked out to the briefcase data source, Open Plan copies the project and all its ancillary files to your Briefcase data source, which must be running at that time. You also have the option of copying the views used by the project. Checking out a project in this manner allows you to work on your project on another computer.

Your briefcase data source must be called BRIEFCASING.

When you check out a project to the Briefcase data source, the copy of the project that remains in the Main data source is locked so that it cannot be modified by other users. When you later check in the project, Open Plan copies the project back to the Main data source and removes the lock. Open Plan also deletes the copy in the Briefcase data source.

When ancillary files and views are copied to the Briefcase data source with the project, they are not locked in the Main data source since other users may need access to them. Therefore, the ancillary files and views can be opened only in Read Only mode in the Briefcase data source.

You cannot modify or delete any external subprojects, foreign subprojects, or foreign activities a briefcased project may contain, nor can you create these items in the Briefcase data source.

If the project was previously checked out to your Briefcase data source, checking it out again overwrites the data in the Briefcase data source. You can prevent this from occurring by clicking No or No to All to the alert that asks whether you want to overwrite the data. This cancels the check out procedure for the duplicated data.

Checking In a File

On the File menu, when you point to Manage Files and click Check In, Open Plan displays the Check In dialog box.

Related Topics and Procedures

Related Topics

Using the Check Out Dialog Box

Using the Check In Dialog Box

Using the Checked Out Projects Dialog Box

Related Procedures

Checking Out a Project

Undoing a Project Check Out

Checking in a Project

Viewing the Checked Out Status of a Project


Favorites

Open Plan allows users to identify their favorite views, sorts, and filters to make it easy to access and use them. Favorites are stored for each user. While views, sorts, and filters can be backed up by Open Plan, your list of favorites cannot be backed up, as it is a convenient way of accessing the objects.

You can identify your favorites in two ways:

  • Use the Organize Favorites dialog box on the Tools tab

  • Open a view, sort, or filter and add it to your list of favorites. To add filters and sorts to the favorites list, use the Add To Favorites buttons accessible from the Edit tab » Filters group and Edit tab » Sorts groups. For views, click Select » Add To Favorites on the Edit tab in the Views group.

To use one of your favorite views, on the Edit tab:

  • Views: Click Select in the Views group and select a favorite view.

  • Filters: Click Favorites in the Filters group and select a favorite filter.

  • Sorts: Click Favorites in the Sorts group and select a favorite sort.

Open Plan displays a maximum of 10 favorites. If you have more than 10 favorites in your lists, you can click More Favorites to display the rest of the favorites in a dialog.

Related Topics and Procedures

Related Topic

Organize Favorites Dialog Box

Related Procedures

View and Select Favorite Filters

Add an Item to a Favorites List

Reorder the Favorites List

Remove an Item From a Favorites List


Fields in Open Plan

Calculated Fields

User-defined calculated fields allow you to calculate data not stored in the standard versions of the project database tables. With this powerful reporting feature, you can extend the flexibility of any view by displaying data that is the result of a custom calculation.

The Calculated Fields menu option is located on the Tools tab. For more information about calculated fields, see Calculated Fields.

User Defined Fields

The User Defined Field feature of Open Plan allows you to create and use data fields that are not included in the product as delivered by Deltek. Because these fields can be used by most tables and are available in any view where you can select fields for display, they provide a great deal of flexibility and customizability.

The User Defined Fields menu option is located on the Tools tab. For more information about user defined fields, see User Defined Fields.

Field Values and Syntax

The tables below list the fields that are mentioned in Open Plan with their values and syntax. They are a useful reference when you are creating a calculated field or a filter.

For example, if you want to see only activities that have an EVT type set to Steps, you can create this filter: EVT=[EVTE.N].

Activity Logic Flag

Value | Syntax
None | [LOGI. ]
Start Activity | [LOGI.S]
Finish Activity | [LOGI.F]
Start and Finish Activity | [LOGI.SF]
Isolated Activity | [LOGI.I]

Activity Status

Value | Syntax
Planned | [ACTS.0]
In Progress | [ACTT.1]
Complete | [ACTT.2]

Activity Type

Value | Syntax
ASAP | [ACTT.N]
ALAP | [ACTT.L]
Start Milestone | [ACTT.S]
Finish Milestone | [ACTT.F]
Discontinuous | [ACTT.D]
Subproject | [ACTT.P]
Hammock | [ACTT.H]
Effort Driven | [ACTT.R]
External Subproject | [ACTT.E]
Foreign Project | [ACTT.Z]
Foreign Subproject | [ACTT.G]
Foreign Activity | [ACTT.G]

Boolean

Value | Syntax
True | [BOOL.T]
False | [BOOL.F]

Critical Flag

Value | Syntax
Not Critical | [CRIT.0]
Critical | [CRIT.1]
Most Critical | [CRIT.2]
Controlling Critical | [CRIT.3]

Earned Value Technique

Value | Syntax
Level of Effort | [EVTE.A]
% Complete | [EVTE.C]
50 - 50 | [EVTE.E]
0 - 100 | [EVTE.F]
100 - 0 | [EVTE.G]
User Defined Percentage | [EVTE.H]
Planning Package | [EVTE.K]
Resource % Complete | [EVTE.L]
Steps | [EVTE.N]
The following Cobra EVT Types are not included in any Open Plan calculations:
Milestones | [EVTE.B]
Units Complete | [EVTE.D]
Earned As Spent | [EVTE.O]

Probability Distribution

Value | Syntax
Constant | [DIST. ]
Uniform | [DIST.U]
Normal | [DIST.N]
Beta | [DIST.B]
Triangular | [DIST.T]

Progress

Value | Syntax
None | [PROG. ]
Remaining Duration | [PROG.R]
Percent Complete | [PROG.P]
Elapsed Duration | [PROG.E]
Complete | [PROG.C]

Project Status

Value | Syntax
Proposed | [PRJS.P]
Open | [PRJS.O]
Closed | [PRJS.C]

Relationship Type

Value | Syntax
Finish to Start | [RELT.FS]
Start to Start | [RELT.SS]
Start to Finish | [RELT.SF]
Finish to Finish | [RELT.FF]

Resource Scheduling Type

Value | Syntax
Normal | [RSCL. ]
Splittable | [RSCL.P]
Stretchable | [RSCL.T]
Reprofileable | [RSCL.R]
Immediate | [RSCL.I]

Resource Class

Value | Syntax
Labor | [RESC.L]
Material | [RESC.M]
Other Direct Cost | [RESC.C]
Subcontract | [RESC.S]

Resource Type

Value | Syntax
Normal | [REST. ]
Consumable | [REST.C]
Perishable | [REST.D]
Pool | [REST.P]
Skill | [REST.S]

Target Type

Value | Syntax
None | [TARG. ]
Not Earlier Than | [TARG.NE]
Not Later Than | [TARG.NL]
On | [TARG.ON]
Fixed | [TARG.FX]


Keyboard Shortcuts

Open Plan features a number of keyboard shortcuts that facilitate operations within the system. In most cases, Open Plan performs the selected operation using the settings currently in effect and does not display the related dialog box.

Command | Keyboard Shortcut
New | Ctrl+N
Open | Ctrl+O
Save | Ctrl+S
Print | Ctrl+P
Cut | Ctrl+X
Copy | Ctrl+C
Paste | Ctrl+V
Find | Ctrl+F
Find Next | Shift+F4
Display Next Window | Ctrl+Tab
Help | F1
Add Activity (Activity views) | Ctrl+A
Add Resource (Resource file) | Ctrl+A
Delete Item (Open Plan Explorer) | Delete
Delete Activity (Activity views) | Delete
Display Activity Information (Activity views) | F5
Time Analysis (Activity views) | Ctrl+T
Resource Scheduling (Activity views) | Ctrl+R
Risk Analysis (Activity views) | Ctrl+K
Display Time Analysis dialog box (Activity views) | Shift+F9
Placements (Network view) | Shift+P
Open Selected Item (Open Plan Explorer) | Enter
Properties (Open Plan Explorer) | Alt+Enter
Define Work Hours (Calendar file) | Ctrl+Spacebar
Previous Year (Calendar file) | Page Up
Next Year (Calendar file) | Page Down
Go to first record in the file (Modeless dialog box) | Ctrl+Home
Go to last record in the file (Modeless dialog box) | Ctrl+End
Go to previous record in the file (Modeless dialog box) | Page Up
Go to next record in the file (Modeless dialog box) | Page Down

Related Topics and Procedures

Related Topic

The Open Plan Window, Tabs, Menus, and Commands

Related Procedures

Choosing a Command From a Menu

Choosing a Command From the Quick Access Toolbar, File Menu, and Open Plan Tabs


Log Viewer

Open Plan creates a log file each time you run a procedure such as Time Analysis or Resource Scheduling. These log files provide information about the functions that have been performed. You can use the Open Plan Log Viewer to review the log files that have been created during the current session of Open Plan as well as to view previously saved log files.

The Log Viewer displays in a docked window at the bottom of the Open Plan screen. You can open and close the window by clicking Open Log in the Log Viewer menu group on the Processes tab, Integration tab, or Tools tab.

While you cannot edit the information in any of the log files using the Open Plan Log Viewer, you can copy text from a log and paste it into another Windows application. You can also search for multiple text occurrences. To do so, select the text you want to find and use SHIFT+F4 to find the next occurrence of the selected text.

If you have the Open Plan Log Viewer running when you run an Open Plan procedure that creates a log, the log viewer will automatically refresh its display.

Tabs

There is one tab for each log file that is open.

You can close a tab by clicking the X on the right side of the tab. If you close a tab and close and reopen the Log Viewer, the tab that you closed displays again.

You can drag and drop the tabs to rearrange their order. The order will remain even if you close and reopen the Log Viewer but will revert to the original order when you log out of and back into Open Plan.

When you open a previously saved log file, the tab created for the opened log file displays the log file’s name and displays until you log out of and back into Open Plan.

Toolbar

The toolbar includes the following options:

Icon | Keyboard Shortcut | Description
 | Ctrl+O | Open: Click this icon to open a saved log file. Open Plan adds a tab with the log file.
 | Alt+F2 | Save As: Click this icon to save the current log file.
 | Ctrl+P | Print: Click to print the current log file.
 |  | Print Preview: Click to print preview the current log file.
 | Ctrl+C | Copy: Highlight some or all of the text in the log file and click this icon to copy the selection to the clipboard.
 | Ctrl+A | Select All: Click to select all text in the current log file.
 | Ctrl+F | Find: Click to display the Find dialog box that you can use to find a specific text string in the current log.
 | Shift+F4 | Find Next: After you have used Find and closed the Find dialog box, click this icon to find the next word or phrase in the current log file.
 | F1 | Help: Click to display the log file help topic.

Log Files

The table below lists the log files that are automatically included in the Log Viewer if they are created during the current Open Plan session.

The log files always display the latest data. For example, if you run time analysis on more than one project during your Open Plan session, the log file tab displays information about the last project on which you ran the procedure.

If multiple instances of Open Plan are running, a user number is appended to the log file. For example, you may have OPP_TA.log and OPP_TA_user1.log in the same folder created by two running instances of Open Plan.

Log File | Tab Name
OPWIN.log | System
SQL.LOG | SQL Trace
DataDictionary.log | Data Dictionary
OPP_TA.log | Time Analysis
OPP_RISK.log | Risk Analysis
OPP_RS.log | Resource Scheduling
OPP_COST.log | Cost Calculations
OPP_PROG.log | Progress Calculations
OPP_BKP.log | Backup/Restore
OPP_TCP.log | Trace Critical Path
BATCH.log | Batch Processing
OP_MSP.log | MSP Export
MSP_OP.log | MSP Import
XERTOOP.log | Primavera XER Import
OPP_XFER.log | General Import/Export
OPP_CTX.log | Crosstable Export
OPP_MLS.log | Milestones Report
runxmlreport.log | Add In Reports
asgbar.log | Add In Assignment Barchart

Location

To display the Open Plan Log Viewer, complete the following step:

  1. On the Processes tab, click Open Log in the Log Viewer menu group.

Related Topics and Procedures

Related Topics

Using Reporting Calendars

Using Filters

Using Sorts

Using Calculated Fields

Using User Defined Fields

Using the Spread Curves Dialog Box

Using Global Edits

Using the Email Advisor

Using the Options Dialog Box

Open Plan Security and Security Administrator


Modeless Dialog Boxes

A number of dialog boxes in Open Plan are modeless; in other words, you can leave these dialog boxes open when performing other operations. This allows you, for example, to open the Activity Details dialog box from a spreadsheet view and view the detailed information for specific activities by clicking them in the view without having to close and re-open the dialog box each time.

You can also use modeless dialog boxes to scroll through the records in a file. Four navigation buttons in the lower left corner of the dialog box provide this functionality. Use these controls to go to the first record in the file, the previous record, the next record, or the last record in the file. You can also use the following keyboard shortcuts to scroll through the records in the file: Page Up/Page Down (go to previous/next record) and Ctrl+Home/Ctrl+End (go to first/last record).

If you select a group of items in the view with a modeless dialog box open, you can use the navigation buttons on the dialog box to scroll through the selected items. You can also configure Open Plan to synchronize multiple modeless dialog boxes so that using the navigation buttons on one dialog box will result in Open Plan scrolling to the appropriate item on another dialog box.

Because you can update multiple items without having to close a modeless dialog box each time, Open Plan automatically saves any changes you make to an item before displaying the next record. As a result, the OK and Cancel buttons on a non-modal dialog box have been replaced with a Close button. When you click this button, Open Plan closes the dialog box and returns to the view. If you have not saved the information currently displayed, Open Plan saves the changes before returning to the view.

Some modeless dialog boxes also include an Undo button that returns the dialog box to its previous state and an Apply button that saves the changes you made to the current record. You must update information for an item before the Undo and Apply buttons become active.


Resizable Dialog Boxes and Box Resizing

You can resize many dialog boxes in Open Plan. Use the grabber pad in the bottom right corner of the dialog box to resize it.

In addition, some dialog boxes allow you to resize the boxes on the dialog box. When you hover your cursor between the boxes, the cursor changes to a slider bar. Click and hold your mouse button and drag left or right to resize the boxes.

Related Topics and Procedures

Related Topic

Modeless Dialog Boxes


Shortcut Properties

You can change the properties of a shortcut by displaying its Properties dialog box. There are two different dialog boxes that are displayed depending on the type of shortcut.

Windows Application or File Shortcut

If the shortcut is to a Windows application or file, a dialog box with the following controls displays:

  • Target: Specifies the name of the item to which this shortcut points

  • Arguments: Specifies optional parameters that are passed on to the target

  • Start in: Specifies the folder that contains the original item or some related files

  • Run: Specifies how you want the window to display this item when you open the shortcut:

  • In a standard window (Normal)

  • In a full screen (Maximized)

  • As a button on the taskbar (Minimized)

URL Shortcut

If the shortcut is to a URL, a dialog box where you enter the URL and Shortcut Key displays.

Related Topics and Procedures

Related Topic

Creating a Shortcut

Related Procedures

Create a Shortcut

Change the Name of a Shortcut

Edit Shortcut Properties

Changing the Properties of a Shortcut


Sending Project Information Via Email

If your installation of Windows specifies a MAPI-compliant application (such as Microsoft Outlook) as your default email system, you can use the Open Plan email feature to send project, resource, or code information using electronic mail.

When you click Send on the File menu, Open Plan creates a backup file of the current data, invokes your email application, and creates a blank email message with the backup file as an attachment. If you have a view open at the time you click the Send command, Open Plan attaches the view as well.

Related Topics and Procedures

Related Procedures

Email a Project

Sending an Open Plan File as an Email Attachment


Spell Check

The full-featured spell checker allows you to specify the dictionaries that you want to use. You can use up to 32 dictionaries. If you have defined special terms in a dictionary, you can assign that dictionary to the Open Plan spell checker. Open Plan also allows you to assign many different language dictionaries so that you can check the spelling of words in other languages.

In addition to using the dictionary files shipped with Open Plan, you can also use a dictionary supplied with another application or even create one of your own. The dictionary can be stored in any of the following types of file:

  • .tls: The default dictionary type for the Open Plan spell checking feature

  • .dic: The default dictionary type used by many word processing programs such as Microsoft Word

  • .txt: The default dictionary of custom dictionaries and dictionaries containing acronyms

When using the spell checking feature, the Check Spelling dialog box is displayed whenever a word is encountered that cannot be found in the current dictionaries. You can access the Spell Check feature by clicking the abc button in the following areas of Open Plan:

  • The Email Advisor

  • The Notes tab of dialog boxes

You can add acronyms as shortcuts for other words. The spell checking feature finds the acronym and offers you suggested replacement words. For example, you can define ‘sw’ as a shortcut for software. If you have existing acronym dictionaries, you can import these dictionaries and use them in Open Plan.

In addition to highlighting unrecognized words, the Check Spelling dialog box also suggests words that you might want to use as replacements.

Two buttons located at the bottom of the dialog box provide access to customizable spell checker features:

  • Options: Clicking this button displays the Check Spelling Options dialog box that you can use to specify the options you want to use.

  • Dictionaries: Clicking this button displays the Dictionaries dialog box that you can use to add new dictionaries and to add or delete words from the current dictionary

Related Topics and Procedures

Related Topics

Using the Email Advisor

Activity Details Notes Tab

Resource Details Notes Tab

Using the Code Details Dialog Box

Using the Activity Progress Notes Tab

Using the Project Properties Notes Tab


Check Spelling Dialog Box

The Check-Spelling dialog box displays if a word requiring your attention is detected. You can use the dialog box to specify whether the word should be ignored or replaced.

Note that the labels of some buttons and text boxes in the dialog box change according to the context.

Add

Causes the reported word to be added to the dictionary selected in Add words to. Use Add if a correctly-spelled word you use often is reported as a misspelling (for example, your family name). If the word is not used frequently, you may want to select Ignore or Ignore All instead. This option is enabled only if a user dictionary has been selected in Add words to.

Add words to

Indicates which user dictionary words will be added to when you select Add. Add words to shows all user dictionaries currently open. You can open or close other dictionaries using the Dictionaries dialog. To open the Dictionaries dialog, select Dictionaries.

Cancel

Stops the current spelling check.

Capitalization

Contains an uncapitalized word that exists in the dictionaries in capitalized form only. You can edit the word in this box or select a suggestion from the list, and then click Change to correct the word or click Ignore to skip the word.

Change

Causes the reported word to be replaced. If the problem word was edited, the edited word is used as the replacement. Otherwise, the selected suggestion is used as the replacement. Only this occurrence of the reported word is replaced. If you want this and all following occurrences of the word replaced, click Change All.

Change All

Causes this and all following occurrences of the reported word to be replaced. If the problem word was edited, the edited word is used as the replacement. Otherwise, the selected suggestion is used as the replacement. If you want only this occurrence of the word to be replaced, select Change. If the reported word is one you frequently misspell, you might consider adding it to a user dictionary via the Dictionaries Dialog. You can display the Dictionaries dialog by selecting Dictionaries.

Consider Changing

Contains a word which may be misspelled or otherwise incorrect, and is presented with a candidate replacement word. You can change the word by selecting Change, or skip it by selecting Ignore.

Delete

Removes the highlighted word from the text. This option appears when a doubled word has been detected, or when the contents of the problem-word box are deleted.

Dictionaries

Displays the Dictionaries dialog. You can use the Dictionaries dialog to open or close user dictionaries, and to edit the contents of user dictionaries.

Ignore

Causes this occurrence of a misspelled word to be skipped. If the same misspelled word appears later, it will be reported again.

Ignore All

Causes this and all further occurrences of a word to be skipped. You might use this button if the word reported as a misspelling is actually spelled correctly. If the word is one you use frequently, you may wish to ignore it permanently by selecting Add.

Not in dictionary

Indicates that a misspelled word was detected. The word is considered misspelled because it could not be located in any open dictionaries, or was marked with an exclude action. You can edit the word in this box or select a suggestion from the list, then select Change to correct the word, or press Ignore to skip the word.

Options

Displays the Options dialog. You can use the Options dialog to set spelling-checker options.

Suggest

Search more thoroughly for suggested replacements for the current misspelled word. Each time you select Suggest, a "deeper" search is made. Suggest is disabled once all possible suggestions have been located.

Suggestions

Contains a list of suggested replacements for the word reported as misspelled. Subsequent selection of Suggest may yield more suggestions. The word selected in Suggestions will be used as the replacement when Change or Change All are selected, unless the word in the problem box was edited.

Undo

Removes the last change. Undo can be pressed several times to remove the last several changes.

Undo Edit

Remove any changes made to the text in the problem box. This option appears only if the text in the problem box has been changed.

Location

To display the Check Spelling dialog box, complete the following steps:

  1. Open a project.

  2. Open a view that contains text (for example, Activity Barchart view).

  3. Open the Activity Details dialog box.

  4. Click the Notes tab.

  5. Initiate a spell-check by clicking [image].

Related Topics and Procedures

Using the Check Spelling - Options Dialog Box

Using the Dictionaries Dialog Box

Using the New Dictionary Dialog Box


Check Spelling - Options Dialog Box

You can use the Options Dialog to specify various spelling-checker options. These options affect the way the spelling checker operates.

Ignore Capitalized Words

When enabled, any words beginning with a capital letter are ignored (that is, are skipped without being checked). You might enable this option if the text being checked contains many proper names.

Ignore All-Caps Words

When enabled, any words containing all capital letters are ignored (that is, are skipped without being checked). You might enable this option if the text being checked contains many acronyms.

Ignore Words with Numbers

When enabled, any words containing embedded digits are ignored (that is, are skipped without being checked). Examples of such words include Win95 and Q4. You might enable this option if the text being checked contains many code words or other symbols containing digits.

Ignore Words with Mixed Case

When enabled, any words containing an unusual mixture of upper- and lower-case letters are ignored (that is, are skipped without being checked). Examples of such words include MicroHouse and CapsLock. You might enable this option if the text being checked contains many variable names or other symbols which use case changes to distinguish words.

Ignore Domain Names

When enabled, any words that appear to be Internet domain names (such as wintertree-software.com) are ignored (that is, they are skipped without being checked).

Report Doubled Words

When enabled, any word appearing twice in a row is reported via the Check-Spelling Dialog.

Case Sensitive

When enabled, a distinction is made between capitalized and non-capitalized words. For example, canada is considered to be different from Canada, so canada would be reported as a misspelling. When the option is disabled, canada and Canada are considered identical. Note that the performance of the spelling checker will be reduced if this option is disabled.

Phonetic Suggestions

When enabled, suggestions are made based on phonetic (sounds-like) similarity to the misspelled word. This option tends to improve suggestions for badly misspelled words. Enabling this option will increase the time required to locate suggestions. Note that either this option or the Typographical Suggestions option must be enabled or no suggestions will be offered.

Typographical Suggestions

When enabled, suggestions are made based on typographical (looks-like) similarity to the misspelled word. This option is appropriate for people who are generally good spellers. Note that either this option or the Phonetic Suggestions option must be enabled or no suggestions will be offered.

Suggest Split Words

When enabled, two separate words will be suggested as a replacement for a misspelling containing two joined words. For example, "is the" would be suggested as a replacement for "isthe".

Auto Correct

When enabled, words marked with Auto Change actions will automatically be changed to their specified replacements. When disabled, you will be prompted before the words are changed.

Suggestions

Determines the speed and accuracy of the initial search for suggested replacements for misspelled words. When a misspelled word is detected, a search is automatically made for suggestions. This option controls the speed and accuracy of this automatic search. Pressing Suggest in the Check-Spelling Dialog causes an increasingly more accurate (but slower) search for suggestions.

OK

Closes the Options Dialog, and saves any changes made to the option settings.

Cancel

Closes the Options Dialog, and discards any changes made to the option settings.

Location

To display the Check Spelling - Options dialog box, complete the following steps:

  1. Open a project.

  2. Open a view that contains text (in this example, Activity Barchart view).

  3. Open the Activity Details dialog.

  4. Select the Notes tab.

  5. Initiate a spell-check by clicking [image].

  6. Click Options.

Related Topics and Procedures

Related Topics

Using the Check Spelling Dialog Box

Using the Dictionaries Dialog Box

Using the New Dictionary Dialog Box


standard_date_formats

You can specify the appearance of the dates in the date scale by entering a format for the date. (These date formats are used in date scaling, calculated fields, and global edits. The following table lists the date scale parameters:

Parameter | Definition | Example
%T | Minute | 15
%H | Hour | 08
%Z | AM or PM | AM or PM
%OZ | AM or PM (lower case) | am or pm
%D | Day of the month | 31
%V | Day | Tuesday
%OV | Day (lower case) | tuesday
%UV | Day (upper case) | TUESDAY
%W | Day abbreviation | Tues
%OW | Day abbreviation (lower case) | tues
%UW | Day abbreviation (upper case) | TUES
%F | First letter of name of day of the week | T
%OF | First letter of the name of day of the week (lower case) | t
%UF | First letter of the name of day of the week (upper case) | T
%K | Numeric week | 22
%M | Numeric month | 10
%L | Month | October
%OL | Month (lower case) | october
%UL | Month (upper case) | OCTOBER
%A | Month abbreviation | Oct
%OA | Month abbreviation (lower case) | oct
%UA | Month abbreviation (upper case) | OCT
%S | First letter of name of month | O
%OS | First letter of name of month (lower case) | o
%US | First letter of name of month (upper case) | O
%Q | Numeric quarter | 4
%C | Year | 2004
%Y | Two-digit year | 04

You can combine parameters to define date formats provided that you do not include two parameters that represent the same time unit. You can also include spaces and literal characters in the format text box, as shown in the following examples:

Format | Example
%H:%T %Z. | 07:15 PM
%W %D %A %H:%T | Mon 13 Sep 19:15
%M/%D/%Y | 09/13/04
Q%Q | Q1
%R%H Hours | 100 Hours
Day %R%D | Day 3

Related Topics and Procedures

Related Topic

Using the Functions Dialog Box


System Utilities

Open Plan includes a number of special system-level utilities to provide features related to file management and security. Other utilities allow you to communicate project information using the Internet or email. Most of these features can be accessed from the Tools tab. In addition, you can add custom tools to the Add-ins tab.

  • Email Advisor

  • Filters

  • Global Edits

  • Log Viewer

  • Rollups

  • Sorts

  • Spell Checker

  • Validations

  • Web Publisher

Related Topics and Procedures

Related Topics

Using Reporting Calendars

Using Filters

Using Sorts

Using Calculated Fields

Using User Defined Fields

Using the Spread Curves Dialog Box

Using Global Edits

Using the Email Advisor

Using the Options Dialog Box

Open Plan Security and Security Administrator

Using the Log Viewer

Related Procedure

Add a Custom Item to the Add-Ins Tab


System-Wide Preferences and Options

Use the Options dialog box (File menu » Preferences » Application) to specify things like default times, the day on which the week starts, language, a default project, a startup view, email server, among others. The Advanced tab allows you to set predefined options that you want to enable or you can add a new category and value.

A System Administrator can use the System Preferences Defaults Dialog Box to define system-wide preferences. This dialog box can be accessed by clicking Default on the Advanced tab. See Standard Open Plan Options for a description of the standard Open Plan options that are available for use in this grid. Some of these are added during the Open Plan installation.

Related Topics and Procedures

Related Topics

Options Dialog Box

Standard Open Plan Options

Related Procedures

Setting System Preferences

Modifying the List of Default Views

Enabling Editing of Read-Only Files


System Preferences Defaults Dialog Box

This dialog box is intended for system administrators who are authorized to set Open Plan default settings. This dialog box features a grid with the following columns:

  • Category: The entries you make in this column are displayed as entries on the Categories list on the Advanced tab of the Options dialog box.

  • Value: This column controls the initial value you assign to the category.

To review the list and description of the standard Open Plan options that are available for use in this grid, see Standard Open Plan Options.

The entries you make in this dialog box are stored in the System Preferences Default table. To remove a category from this table, delete its value in the grid and click OK (Replacing the value with a space does not remove the value. You must select the value and press the Delete key).

In previous versions of Open Plan, the settings on this tab of the Options dialog box were set by entries in the .ini file.

Location

To display the System Preferences Defaults dialog box, complete the following steps:

  1. From the File menu, click Preferences » Application.

  2. In the Options dialog box Advanced tab, click Defaults.

Related Topics and Procedures

Related Topics

Options Dialog Box

Standard Open Plan Options

Related Procedures

Setting System Preferences

Modifying the List of Default Views

Enabling Editing of Read-Only Files


Standard Open Plan Options

Use the System Preferences Defaults dialog box to define system-wide preferences from which a user can select. This topic includes a description of the standard Open Plan options that are available for use in this grid. Some of these are added during the Open Plan installation.

Option

Description

_Allow_Edit_ReadOnly

When you open read-only files within Open Plan, this option allows you to make changes to these files and save them using a new name, preserving the original read-only file. There are two settings:

  • 0 = Do not allow modifications to read-only files.

  • 1 = Enable users to modify read-only files, saving under a different name.

Because the process of applying this option differs from the way the predefined options are applied, the process is listed below:

To Set Edits to Read-only Files, complete the following steps:

  1. On the File menu, click Preferences » Application.

  2. On the Options dialog, select the Advanced tab.

  3. Choose the Defaults button.

  4. Scroll to the end of the grid.

  5. Enter the value _ALLOW_EDIT_READONLY in the Category column.

  6. Enter the desired numeric value in the Default Value column.

  7. Click OK to dismiss the System Preferences Defaults dialog box.

  8. Click OK to dismiss the Options dialog box.

_ApplicationTimeOut

This option is used to set the amount of notice given to users (in seconds) whose sessions are about to be terminated. The default period of time for notification is 10 seconds.

_AUDIT_LOG_LEVEL

This option determines the level of information captured in the Audit Log. The Audit Log must exist in the database and have been enabled (see _ENABLE_AUDIT_LOG).

  • A setting of 3 captures basic login or logout events.

  • A setting of 4 captures additional information about the authentication method used.

_BLANKDIALOGCONTENTSONNEW

This option controls the display of the contents of a dialog. There are two settings:

  • 0 = Blanks out the contents of the dialog when the user presses the New button.

  • 1 = Leaves the existing contents of the dialog when the user presses New, effectively copying the data to the new activity.

The default setting is 1.

_CLEAR_BASELINE_DATA

This option is used whether to clear baseiine data from the Activity collection.

  • 0 = Does not clear baseiine data.

  • 1 = If you set this value and select <No Baseline> on the Baselines dialog box, Open Plan clears the baseline start (BSDATE), baseline finish (BFDATE), and SOURCE_BASELINE fields from the Activity collection.

The default setting is 0.

_CLEAREXISTINGLOCKS

This option allows Open Plan to clear any existing locks and sessions for you when you log on to the application.

  • 0 = Disables the clear existing locks feature.

  • 1 = Clears any existing locks and sessions. This setting applies to all users except for those who belong to an exclusion group defined in EPM Security Administrator as well as the SYSADMIN user and members of the System Administrator group.

The default setting is 0.

_CLEAREXISTINGLOCKSEXCLGROUP

The value for this option, if set, is examined only if _CLEAREXISTINGLOCKS is set to 1. If the logged-in user is a member of one of the comma-delimited groups specified in _CLEAREXISTINGLOCKSEXCLGROUP, the locks for that user will NOT be cleared.

_CONFIRMCHANGESONDIALOGNAVIGATION

This option makes Open Plan display a confirmation message to save changes when the user presses a navigation button or closes a modeless dialog through the Windows Close button (X). There are two settings:

  • 0 = Does not display a confirmation message.

  • 1 = Displays a confirmation message.

The default setting is 0.

_Copy_ACL_On_SaveAs

This option allows access control information to be copied when Save As is used to save a file. There are two settings:

  • 0 = Do not copy access control lists when performing a Save As.

  • 1 = Copy access control lists when performing a Save As.

The default setting is 1.

Because the process of applying this option differs from the way the predefined options are applied, the process is listed below:

To Enable the Option to Copy Access Control Lists When Performing a Save As, complete the following steps:

  1. On the File menu, click Preferences » Application.

  2. On the Options dialog box, select the Advanced tab.

  3. Click the Defaults button.

  4. Scroll to the end of the grid.

  5. Enter the value _COPY_ACL_ON_SAVEAS in the Category column.

  6. Enter the value 1 in the Default Value column.

  7. Click OK to dismiss the System Preferences Defaults dialog box.

  8. Click OK to dismiss the Options dialog box.

_DISABLE_CUSTOM_UIAUTOMATION

This option allows you to turn off an Accessibility tool (such as Narrator).

  • 0 (or blank) = Open Plan allows you to access tables and spreadsheets of the project when using the Accessibility tool. This is the default value.

  • 1 = Open Plan does not allow you to access tables and spreadsheets of the project when using the Accessibility tool.

_DISABLE_UNDO

  • 0 = The Undo function on the Quick Access toolbar is enabled. This is the default.

  • 1 = The Undo function is disabled for all users. It takes immediate effect for the logged in user. For other users, it takes affect the next time Open Plan connects to the data source. No additional undo functions will be available but any undo functions that were listed prior to the preference being enabled will still be there.

_ENABLE_AUDIT_LOG

This option enables logging certain login or logout events to an Audit Log. The Audit Log exists in an SQL Server or Oracle databases. (database table WST_AUDIT_LOG).

  • 0 = Audit log is disabled. This is the default value.

  • 1 = Audit log is enabled.

In addition, if the _AUDIT_LOG_LEVEL default preference is not present, Open Plan defaults to setting the log level to 1 (errors only). For audit messages associated with baselines, it is recommended to set the preference value to 3 (informational logging) or higher. With this configuration, Open Plan includes the audit messages in the WST_AUDIT_LOG table.

When auditing is enabled and the log level is set to 3 or higher, Open Plan adds records to the audit log under the following circumstances:

  • Baselines are updated during a P6 import.

  • Baseline activity is replanned.

  • An MRP or CAM import is performed.

  • The ResetBaselineDates method is called on a baseline activity via the API.

_ENABLE_BATCH_SAVE

This preference works in conjunction with the _BATCH_THRESHOLD, _MIN_BATCH_SIZE, and _MAX_BATCH_SIZE default preferences.

  • 0 = Disables batch save.

  • 1 = Normally, it is enabled by default, but is turned off when shared mode is active or a table has memo columns. In addition, you must explicitly set this preference to 1 to enable it if the database is an SQL Server. With the preference enabled, Open Plan processes write queries to the database as batch.

The default setting is 1.

_IDENTITYTYPE

Normally, this option is set in the EPM Security Administrator. It controls how you log on to Open Plan (in conjunction with the _IDENTITYMODE preference when that preference is set to "Delegate" or "Mixed").

  • 0 = User (You enter your user name and password.)

  • 1 = SAM (Open Plan looks for the Windows User Name as the key to the user name in the Open Plan database using Windows Authentication.)

  • 2 = UPN (With the User Principal Name option, your normal email address is used as the key to the user name in the Open Plan database using Windows Authentication.)

  • 3 = SAML (The Security Assertion Markup Language Single Sign-On option is not currently supported by Open Plan.)

  • 4 = SAM USER (The SAM USER option uses your domain and Windows name (for example, "ADSDELTEKCOM\JohnSmith") as the key to the user name in the Open Plan database using Windows Authentication.)

The default setting is 0.

_MAXLOGINRETRIES

This option controls the maximum number of times you may (unsuccessfully) try to log on to Open Plan.

The default setting is 3.

_NO_BASELINE_CODES

This option sets whether Open Plan checks for the existence of a baseline activity code field that matches the regular activity code field for certain operations (for example, General Import)

  • 0 = Open Plan does not perform the checking for the existence of a baseline activity code field.

  • 1 = Open Plan checks for the baseline activity code field that matches the regular activity code field.

The default setting is 1.

_OLD_MSPIMPORT

This option controls the use of the old MSPTOOP.exe to perform MSP Export rather than the new modern interface.

  • 0 = Open Plan uses the lastest MSP Export interface.

  • 1 = Open Plan uses the old MSPTOOP.exe file to perform MSP Export.

The default setting is 0.

_REPLACEBASELINEBUDGETWITHACTUALS

This setting determines whether actuals are used to populate baseline usage information for complete and in-progress tasks.

  • 0 = Disables the use of actuals to update baseline usage.

  • 1 = Enables the use of actuals to update baseline usage.

The default setting is 1.

_REQUIREDGROUPMEMBERSHIP

If value is non-blank, a user logging in via Windows Authentication is required to be a member of the specified group.

_SHAREDMODEBASELINES

Enabling this option allows Baselines to be created or updated when a project is open in Shared mode. If the option is not enabled, baselines can only be created or updated when the project is open in Exclusive mode.

  • 0 = Disables the option. Open Plan only creates or updates baselines when the project is open in Exclusive mode.

  • 1 = Enables the option.

The default setting is 0.

_SUPPRESSLOOPDETECTION

This option allows full automatic loop detection in Open Plan to be turned off (by setting a value of 0) or restricted (by setting a value less than the total number of activities) for large networks or networks with large numbers of complex relationships. Full loop detection will still be performed during Time Analysis.

The default value for _SUPPRESSLOOPDETECTION is 1000. The number is a threshold value that determines at what point loop detection will be turned off. Thus, for the default value of 1000, loop detection is enabled as long as the total number of activities does not EXCEED 1000.

_URL

This option sets the URL associated with the database.

_USE_ORACLE_APPEND_HINT

This option is used with Oracle databases when performing a Restore or Save As in Open Plan.

  • 0 = Disables this option.

  • 1 = Open Plan adds an "append hint" to an Oracle INSERT query. This can help optimize performance for the query.

The default setting is 0.

_USEOLDREMAININGQTYRULES

This option prevents changes to Original Duration triggering an update to Remaining Quantity for Total Resources. Setting _USeOldRemaining QtyRules = 1 makes Open Plan use the original rules.

USEUNIQUEWPCOSTDATAPROCESS

This option allows you to enable or disable concatenation of Control Account key fields and the Work Package ID when creating an Integrated Program Management Data and Analysis Report (IPMDAR) file during the Schedule Data Export process.

  • 0 (or the option is not present) = Open Plan performs concatenation of CA ID and the WP ID when exporting to IPMDAR format. This is the default value.

  • 1 = Open Plan does not perform concatenation of CA ID and the WP ID when exporting to IPMDAR format.

The default setting is 0.

Related Topics and Procedures

Related Topic

System Preferences Defaults Dialog Box


Options Dialog Box

This dialog box provides a convenient way of customizing many Open Plan options. The Options dialog box contains the following tabs:

  • General: Use this tab to specify whether certain features should be enabled and to set options such as language and week start days.

  • Edit: Use this tab to specify options for activity dialog boxes and how Open Plan should synchronize modeless dialog boxes with views.

  • Project: Use this tab to set certain project defaults.

  • Views: Use this tab to specify views that should automatically be assigned to new projects.

  • Codes: Use this tab to specify project-level code files that Open Plan should automatically assign to all projects.

  • Color: Use this tab to specify theme colors.

  • Email: Use this tab to configure email alerts to use either MAPI or SMTP to transmit email.

  • Mentor: Use this tab to add checks that ensure all users are working with the most reliable data.

  • Integration: Use this tab to select whether to prefix the Work Package (WP) ID with the Control Account (CA) ID when creating an Integrated Program Management Data and Analysis Report (IPMDAR) file during the Schedule Data Export process.

  • Advanced: Use this tab to specify predefined options that you want to enable.

Location

To display the Options dialog box, from the File menu, click Preferences » Application.

Related Topics and Procedures

Related Procedures

Setting System Preferences

Modifying the List of Default Views

Disabling Start Up Procedures

Opening Last File on Startup

Showing Summary Dates on Subprojects


Options Dialog Box General Tab

The General tab of the Options dialog box allows you to specify whether certain features should be enabled.

StartUp Clip Notes

If this option is selected, Open Plan displays help information when you open an empty view.

For example, if you display a Risk Histogram view and no resources are displayed, Open Plan can display a Procedure that tells you how to display resources on the histogram view.

Once you are familiar with Open Plan, you may want to disable this feature by clearing this option.

Opening Splash Screen

If this option is selected, Open Plan displays a splash screen when you start the application.

Startup Tips

If this option is selected, Open Plan displays a Tip of the Day each time you start Open Plan.

If this option is not selected, the Tip of the Day is not displayed when you start Open Plan.

You can also disable Startup Tips by clearing the Show Tips on Startup option on The Tip of the Day message box.

Status Bar

If this option is selected, the Status Bar is displayed at the bottom of the Open Plan screen.

Open Last File on Startup

If this option is selected, Open Plan automatically opens the last file accessed in the previous session when starting.

Default Times

The Default Times options allow you to set the Start and Stop times for data entry of dates and finish dates. If data in a date field is entered without a time, the default Start time will automatically be used. If data in a finish date field is entered without a time, the default Stop time will automatically be used. The default start and stop times must be entered based on a 24-hour clock. For example, for an 8-hour day that begins at 8:00 AM, you would enter:

  • Start - 8:00

  • Stop - 16:00

The default times also affect how dates are displayed in dialog boxes when the dates have a time that differs from the default. If a date or finish date field contains a time that differs from the Default Times options, the time will be displayed in dialog boxes that contain the field regardless of the current date format.

You can override this setting in the New File Wizard.

Week Starts On

The selection you make from this list controls the day of the week that Open Plan uses as the starting day of each workweek.

Language

This option displays the currently selected language for your installation of Open Plan. A list displays the other languages into which Open Plan has been translated and from which you can select.

This Help system has not been translated into all the available languages. Therefore, selecting a language from the Language field does not necessarily mean that the Help system will display in that language.

Default Open Mode

The selection you make from this list sets the default access mode (Exclusive, Shared, or Read-Only) for new projects and ancillary files.

You can override this setting in the New File Wizard.

Symbols Button

The Symbols button displays a dialog box that you can use to define a custom symbol. Once defined, this symbol is added to the symbol choices that are available in many Open Plan views.

Edit Briefcase Button

The Edit Briefcase button provides access to the Edit Data Source dialog box that you can use to specify the data source to be used as your Briefcasing data source.

Location

To display the Options dialog box, complete the following step:

  1. From the File menu, click Preferences » Application.

Related Topics and Procedures

Related Topic

Options Dialog Box

Related Procedures

Setting System Preferences

Modifying the List of Default Views

Disabling Start Up Procedures

Opening Last File on Startup

Showing Summary Dates on Subprojects


Options Dialog Box Edit Tab

The Edit tab of the Options dialog box allows you to specify options relative to Activity dialog boxes.

Do Not Clear Contents of the Dialog Box When Creating a New Activity

This option controls whether the contents of a dialog box is cleared when you create a new activity:

  • If this option is selected, Open Plan does not remove the existing contents of an Activity Details dialog box when you create a new activity. This effectively copies the data to the new activity.

  • If this option is cleared, the dialog box that is displayed when you create a new activity is empty. This is the default.

Request Confirmation of Save When Navigating to Another Record

This option controls whether Open Plan should generate a message asking you to confirm that you want your changes saved when you navigate to another record:

  • If this option is selected, Open Plan issues a message when you navigate to another record that asks you whether you want your changes saved.

  • If this option is cleared, Open Plan saves your changes without asking you to confirm the action. This is the default.

Modeless Dialog Boxes

You can control how Open Plan should synchronize modeless dialog boxes with views.

Do Not Navigate Views When Navigating in Dialog Box

Selecting this option instructs Open Plan not to navigate the open views when clicking the navigation buttons in a dialog box.

Navigate Current View When Navigating in Dialog Box

Selecting this option instructs Open Plan to navigate the open view that has focus when clicking the navigation buttons in a dialog box. For example, assume you have a barchart view and a spreadsheet view open. Also assume that you display the Activity Details dialog box for an activity from the spreadsheet view. Since the spreadsheet view has focus, when you use the navigation buttons in the dialog box to display another activity, the new activity will automatically be highlighted in the spreadsheet view but not the barchart view.

Navigate All Views When Navigating in Dialog Box

Selecting this option instructs Open Plan to navigate all open views when clicking the navigation buttons in a dialog box. For example, assume that you have a barchart view and a spreadsheet view open and you display the Activity Details dialog box for an activity. Using the navigation buttons in the dialog box to display another activity will automatically highlight the new activity in the two open views.

Location

To display the Edit tab on the Options dialog box:

  1. From the File menu, click Preferences » Application.

  2. On the Options dialog box, select the Edit tab.

Related Topics and Procedures

Related Topics

Options Dialog Box: General Tab

Symbols Dialog Box

Options Dialog Box: Project Tab

Options Dialog Box: Views Tab

Options Dialog Box: Codes Tab

Options Dialog Box: Color Tab

Options Dialog Box: Email Tab

Options Dialog Box : Integration Tab

Options Dialog Box: Advanced Tab

Select Standard Views Dialog Box

System Preferences Defaults Dialog Box

Related Procedures

Setting System Preferences

Modifying the List of Default Views

Disabling Start Up Procedures

Opening Last File on Startup

Showing Summary Dates on Subprojects


Options Dialog Box Project Tab

The Project tab of the Options dialog box allows you set certain project defaults.

Show Process Log Message Only if Errors Occur During Processing

This option controls whether you are always prompted to view a log produced by operations such as time analysis and resource scheduling:

  • If this option is selected, Open Plan prompts you to view the operation log only if errors occur during processing. This is the default setting.

  • If this option is cleared, Open Plan always prompts you to view the operation log regardless of whether errors occurred during the process.

Create New Projects Using Default Project

This option controls whether new projects are created as copies of a default project. If this option is selected, Open Plan opens the default project when you create a new project. After you have entered information for the new project, you can save your changes using the Save As command on the File menu.

  • Selecting this option enables two drop-down lists:

    • File Type: You can select Project or Project Template

    • File Name: You can select the file name from the list.

  • If this option is cleared, Open Plan does not open a default project when you create a new project.

New Activities Only

Default Duration

Use this field to specify a default activity duration at the system level for all new projects.

You can enter a number with or without a unit (for example 1w for 1 week). If you don’t include a unit, Open Plan assumes that the unit is Days.

Open Plan populates the Default Activity Duration field on the Project Properties Preferences tab with this value and applies it to all new projects created after the value is set.

For steps to set the default activity duration at the system level, see Set the Default Activity Duration at the System Level.

Calculate dates even if TA is turned off

Select this option to set Open Plan to automatically run Time Analysis when you create new activities.

Open Plan calculates the dates using a start date of Time Now and adds an activity bar to the Gantt chart.

This option requires you to have permission in EPM SA to run Time Analysis.

For steps to automatically run Time Analysis when you create new activities, see Automatically Run Time Analysis for New Activities

Location

To display the Project tab on the Options dialog box:

  1. From the File menu, click Preferences » Application.

  2. On the Options dialog box, select the Project tab.

Related Topics and Procedures

Related Topics

Options Dialog Box

Related Procedures

Setting System Preferences

Modifying the List of Default Views

Disabling Start Up Procedures

Opening Last File on Startup

Showing Summary Dates on Subprojects


Options Dialog Box Views Tab

The Views tab of the Options dialog box allows you to specify views that should automatically be assigned to new projects.

The top half of the Views tab is a grid that lists the views that will automatically be assigned when a new project is created. The Views button provides access to the Select Standard Views dialog box that you can use to add or remove views from the grid.

In addition, the Default Startup View field contains a list of currently selected views. You can select a view from this list to instruct Open Plan to display that view by default whenever the project is opened.

Location

To display the Views tab on the Options dialog box:

  1. From the File menu, click Preferences » Application.

  2. On the Options dialog box, select the Views tab.

Related Topics and Procedures

Related Topic

Options Dialog Box

Related Procedures

Setting System Preferences

Modifying the List of Default Views

Disabling Start Up Procedures

Opening Last File on Startup

Showing Summary Dates on Subprojects

Add a View to the Standard Views List

Remove a View from the Standard Views List


Options Dialog Box Codes Tab

The Codes tab of the Options dialog box allows you to specify project-level code files that Open Plan should automatically assign to all projects.

Project-level code files might represent entities such as geographic region, client, business objective, division or other project-level reporting values.

After codes have been specified on this tab of the Options dialog box, you can use the Codes tab on the Project Properties dialog box to assign values to the code fields.

On the File menu, click Preferences » Application, and then click the Codes tab. The text box on this tab displays the following information about each currently assigned code file:

  • The code field to which the code file is assigned

  • The prompt associated with the code file

  • The code file name

The ellipsis button provides access to the Assign Code dialog box that you can use to assign code files to code fields and to specify a prompt for each code file.

Location

To display the Codes tab on the Options dialog box:

  1. From the File menu, click Preferences » Application.

  2. On the Options dialog box, select the Codes tab.

Related Topics and Procedures

Related Topics

Options Dialog Box: General Tab

Symbols Dialog Box

Options Dialog Box: Edit Tab

Options Dialog Box: Project Tab

Options Dialog Box: Views Tab

Options Dialog Box: Color Tab

Options Dialog Box: Email Tab

Options Dialog Box : Integration Tab

Options Dialog Box: Advanced Tab

Select Standard Views Dialog Box

System Preferences Defaults Dialog Box

Related Procedures

Setting System Preferences

Modifying the List of Default Views

Disabling Start Up Procedures

Opening Last File on Startup

Showing Summary Dates on Subprojects


Options Dialog Box Color Tab

The Color tab of the Options dialog box allows you to specify theme colors as well as set foreground and background colors (for selected rows, columns, or cells in spreadsheet views).

Cost Color

The displayed color identifies the color used on the Cost tab of Progress dialog boxes to indicate that you can enter a cost value in the field. In addition, this color is also used on the Cost tab of the Project Properties and Activity Information dialog boxes to identify item level costs.

The ellipsis at the right edge of the field displays a Color dialog box that you can use to select a different color for Cost Color. You can select from any of the 70 Basic colors or any of the pre-defined Custom colors. You can also use the panel on the right side of the Color dialog box to define additional custom colors.

Cost Color - Locked

The displayed color identifies the color used on the Cost tab of Progress dialog boxes to indicate that the cost field is locked. In addition, this color is also used on the Cost tab of the Project Properties and Activity Information dialog boxes to identify totals.

The ellipsis at the right edge of the field displays a Color dialog box that you can use to select a different color for Cost Color - Locked. You can select from any of the 70 Basic colors or any of the pre-defined Custom colors. You can also use the panel on the right side of the Color dialog box to define additional custom colors.

Quantity Color

The displayed color identifies the color used in dialog box grids to indicate that you can enter a quantity value in the field.

The ellipsis at the right edge of the field displays a Color dialog box that you can use to select a different color for Quantity Color. You can select from any of the 70 Basic colors or any of the pre-defined Custom colors. You can also use the panel on the right side of the Color dialog box to define additional custom colors.

Quantity Color - Locked

The displayed color identifies the color used in dialog box grids to indicate that the quantity field is locked.

The ellipsis at the right edge of the field displays a Color dialog box that you can use to select a different color for Quantity Color - Locked. You can select from any of the 70 Basic colors or any of the pre-defined Custom colors. You can also use the panel on the right side of the Color dialog box to define additional custom colors.

Label Color

The displayed color is used in spreadsheet column headings.

The ellipsis at the right edge of the field displays a Color dialog box that you can use to select a different color for Label Color. You can select from any of the 70 Basic colors or any of the pre-defined Custom colors. You can also use the panel on the right side of the Color dialog box to define additional custom colors.

Lock Color

The displayed color is used in dialog box grids to indicate that the field is read only.

The ellipsis at the right edge of the field displays a Color dialog box that you can use to select a different color for Lock Color. You can select from any of the 70 Basic colors or any of the pre-defined Custom colors. You can also use the panel on the right side of the Color dialog box to define additional custom colors.

Set Custom Colors

The Set Custom Colors button displays the Select Custom Colors dialog box that you can use to choose a different color for Colors 1 - 16.

Click the [image] button to select any of the following options:

  • <Not Set>: Allow Open Plan to use the default color.

  • Select Color...: Opens the Colors dialog box. You can use this dialog box to create custom colors. Click the [image] Select button and click any of the available colors from the color swatch. Click OK.

  • <Current Color>: Allows Open Plan to use the current color.

Reset Colors

Click this button to reset the theme colors and Spreadsheet Selection Color values to the Open Plan default values.

Spreadsheet Selection Color

Click the Foreground and/or Background fields or corresponding [image] to change the currently selected foreground and/or background colors of the selected rows, columns, or cells in a spreadsheet view.

Clicking the field or corresponding [image] displays the color selection box. By default, the foreground color is black (RGB 0, 0, 0) and background is gray (RGB 191, 191, 191).

Use Windows Color Scheme

Select this option to let Open Plan use the Windows color scheme.

Location

To display the Color tab on the Options dialog box:

  1. From the File menu, click Preferences » Application.

  2. On the Options dialog box, select the Color tab.

Related Topics and Procedures

Related Topic

Options Dialog Box

Related Procedures

Setting System Preferences

Modifying the List of Default Views

Disabling Start Up Procedures

Opening Last File on Startup

Showing Summary Dates on Subprojects


Options Dialog Box Email Tab

The Email tab allows the system administrator to configure email alerts to use either MAPI or SMTP to transmit email.

Contents

The Email tab contains two sections: Email and SMTP Server Information.

In addition to using the grabber pad in the bottom right corner to resize the dialog box, you can also resize the SMTP Server Information fields. When you hover your cursor between the two sets of fields, your cursor changes to a slider bar. Click and hold your mouse button and drag left or right to resize the fields.

Email

There are two email options available:

  • MAPI: Select this option to send the email message using MAPI (Messaging Application Programming Interface). By default, this option is selected. Selecting MAPI disables the controls in the SMTP Server Information group box.

  • SMTP: Select this option to send the email message using SMTP (Simple Mail Transfer Protocol). Selecting this option enables the fields in the SMTP Server Information group box.

SMTP Server Information

The following fields and option are available for SMTP Server Information configuration:

  • SMTP Server Address: SMTP Server Address stores the address of the SMTP Server.

  • Email Address: Email Address stores a default sender email address.

    • The Email Address supports the use of the replaceable parameters %WINUSERNAME% and %OPPUSERNAME% to allow for simplified deployment scenarios (for example, %WINUSERNAME%@deltek.com).

    If the Email Address is left blank, Open Plan will attempt to obtain the email address associated with the Open Plan User ID.

    The maximum length of the user name portion of the email address cannot exceed 64 characters and the domain name portion of the email address should not exceed 255 characters.

  • Server requires authentication: By default, the Server requires authentication checkbox is not selected. The Account Name and Password controls are disabled when the Server requires authentication option is not selected.

  • Account Name: Account Name allows the user to enter an SMTP server account name if required by the SMTP server. There are no limits on the length of the server account name.

  • Password: Password allows the user to enter an SMTP server password if required by the SMTP server. There are no limits on the length of the server password.

Test

When you select MAPI and click this button, the Send Test Message dialog box displays, allowing you to enter the recipient's email address. Your recipient will receive an email message with the following details:

  • The Subject text displays "Test" by default.

  • The Body text contains the message "This is a test message."

  • When Open Plan successfully contacts the sender's MAPI server, a Test Succeeded message displays.

When you select SMTP and click this button, Open Plan attempts to connect to the SMTP server using the settings specified in the SMTP Server Information group box.

  • If the connection to the SMTP server is successful, the SMTP Message dialog box displays.

  • If the connection to the SMTP server is not successful, an error message displays.

The Test button is always enabled.

Location

To display the Email tab on the Options dialog box:

  1. From the File menu, click Preferences » Application.

  2. On the Options dialog box, select the Email tab.

Related Topics and Procedures

Related Topics

Symbols Dialog Box

Options Dialog Box Edit Tab

Options Dialog Box Project Tab

Options Dialog Box Views Tab

Options Dialog Box Codes Tab

Options Dialog Box Color Tab

Options Dialog Box Advanced Tab

Select Standard Views Dialog Box

Send Test Message Dialog Box

Related Procedures

Setting System Preferences

Modifying the List of Default Views

Disabling Start Up Procedures

Opening Last File on Startup

Showing Summary Dates on Subprojects


Options Dialog Box Mentor Tab

The Mentor feature is designed to provide users advice like a mentor would. In many cases this provides a safety net to minimize inaccurate results because of unreliable information. An experienced user can use these fields to add checks that ensure all users are working with the most reliable data.

Mentor Enabled

Use this checkbox to enable or disable the mentor features. When you deselect this checkbox, all fields on this tab are disabled.

Time Analysis

Enabled

Use this checkbox to enable or disable the Time Analysis mentor feature.

Warn when percentage of incomplete critical activities meets or exceeds [%]

When you run Time Analysis, Open Plan displays a message if the percentage of incomplete critical activities meets or exceeds the percentage specified in this field. Incomplete activities are those whose status is not Complete. The activity types that are included are: ASAP, ALAP, start and finish milestones, discontinuous, and effort driven.

If the incomplete critical activities meet or exceed the specified percentage, there are several actions you can consider:

  • If you have access to Acumen, you can evaluate the schedule quality by running the Acumen FUSE - Schedule Quality metrics. This identifies potential issues that may make the schedule look worse than it is, such as Merge Hotspots and Redundant Logic. In addition, Acumen 360 can help you look for opportunities to improve the schedule.

  • If you are confident that the schedule quality is as good as it is going to get, review the schedule to make sure that the current remaining duration estimates are correct and not over-estimated. There are several Open Plan views that can help.

  • The "Audit_Bad_Progress" view looks at partially reported progress and suggests corrective actions.

  • The "Audit_Remaing_Work" view looks at the incomplete work by float order to help identify chains or pockets of float to be reviewed.

  • You can use the Schedule Driver Analysis tool to identify one or more paths into an activity or milestone in your schedule to see what is driving the date.

  • Consider whether you need to notify anyone of the probable delay and request a change. Be sure to follow your Organization's policies and procedures while taking this important step.

  • Work on a recovery plan to get the project back into a positive float condition that increases the probability of project success. Recovery plans typically include options to accelerate the schedule, along with any costs associated with the option. You can use Acumen 360 to look for opportunities to improve the schedule.

Location

To display the Mentor tab on the Options dialog box:

  1. From the File menu, click Preferences » Application.

  2. On the Options dialog box, select the Mentor tab.

Related Topics and Procedures

Related Topics

Using the Options Dialog Box: General Tab

Using the Symbols Dialog Box

Using the Options Dialog Box: Edit Tab

Using the Options Dialog Box: Project Tab

Using the Options Dialog Box: Views Tab

Using the Options Dialog Box: Codes Tab

Using the Options Dialog Box: Color Tab

Using the Select Standard Views Dialog Box

Using the System Preferences Defaults Dialog Box

Related Procedures

Setting System Preferences

Modifying the List of Default Views

Disabling Start Up Procedures

Opening Last File on Startup

Showing Summary Dates on Subprojects

Enabling Editing of Read-Only Files


Options Dialog Box Integration Tab

The Integration tab of the Options dialog box provides you with a convenient way of selecting whether to prefix the Work Package (WP) ID with the Control Account (CA) ID when creating an Integrated Program Management Data and Analysis Report (IPMDAR) file during the Schedule Data Export process.

In the previous version, Open Plan set the IPMDAR export to always prefix the WP ID with the CA ID and used the system preference called UseUniqueWPCostDataProcess to change this setting. For more information, see the Standard Open Plan Options section.

IPMDAR SPD

This section contains the following option:

Do not prefix Work Package Id with Control Account ID

If you select this option, the WP IDs match between the Schedule Performance Dataset (SPD) and Contract Performance Dataset (CPD). Selecting this option when exporting schedules to SPD files sets the WP ID to whatever you have specified on the IPMDAR Configure Activity Fields dialog box without the CA ID as a prefix.

By default, this option is not selected.

Location

To display the Integration tab on the Options dialog box:

  1. From the File menu, click Preferences » Application.

  2. On the Options dialog box, select the Integration tab.

Related Topics and Procedures

Related Topics

Options Dialog Box: General Tab

Symbols Dialog Box

Options Dialog Box: Edit Tab

Options Dialog Box: Project Tab

Options Dialog Box: Views Tab

Options Dialog Box: Codes Tab

Options Dialog Box: Color Tab

Options Dialog Box: Email Tab

Options Dialog Box : Advanced Tab

Select Standard Views Dialog Box

System Preferences Defaults Dialog Box

Related Procedures

Setting System Preferences

Modifying the List of Default Views

Disabling Start Up Procedures

Opening Last File on Startup

Showing Summary Dates on Subprojects

Enabling Editing of Read-Only Files


Options Dialog Box Advanced Tab

The Advanced tab of the Options dialog box features a grid that allows you to specify predefined options that you want to enable or add a new category and value.

In previous versions of Open Plan, the settings on this tab of the Options dialog box were set by entries in the .ini file.

To remove an option from the User Preferences table, delete the entry in the Value column. (Replacing the value with a space does not remove the value. You must select the value and press the Delete key.)

The options that you enable are stored in the User Preferences table. For example, selecting the BarchartToolTipsField from the Category list and defining a single field as the Value allows you to define text to be displayed as a Tool Tip for the barchart. This category requires that you enter a single field as the Value. However, in addition to allowing you to enter a standard field, Open Plan also allows you to specify a calculated field that contains exactly the information that you want displayed. For more information about calculated fields, see Calculated Fields.

Category

This column displays the options that are enabled. You can add a category, by selecting it from the predefined categories in the list box.

Value

This column controls the value you assign to the category.

You can select from the following categories:

User Preferences

Category

Description

_BULK_LOAD_TASKS_TO_MSP_2013

For Microsoft Project 2013 and later, all tasks are read in at one time instead of individually.

  • 0 = Load tasks individually.

  • 1 = Allows you to load all tasks at one time.

By default, it is set to 1.

_CREATEOP33COMPATIBLEBACKUP

This option allows you to create a backup file that is compatible with Open Plan 3.3.

  • 0 = The generated backup file is not compatible with Open Plan 3.3..

  • 1 = Thegenerated backup file is compatible with Open Plan 3.3.

By default, it is set to 0.

_DEFAULTACTIVITYDURATION

This option allows you to set the value initially assigned to original duration for a new activity. It accepts any valid duration. The default is 0d.

_DEFAULTFINISHTIME

Allows the user to specify a default time to be added to finish dates that are entered without a specified time. The format of the time is HH:MM.

You can enter from 00:00 through 24:00. The default is 16:00..

_DEFAULTOPENMODE

This option controls the default mode for File » Open. This option also sets the default access mode for new projects. There are three modes:

  • E = Exclusive.

  • S = Shared.

  • R = Read Only.

The default setting is E.

_DEFAULTPROJECTNAME

This option specifies the project to be used as the default provided that the _USEDEFAULTPROJECT option is set to 1.

You can see it in the File Name field on the Projects tab of the Application Preferences dialog box.

_DEFAULTSTARTTIME

This option allows you to specify a default time to be added to start dates that are entered without a specified time. The format of the time is HH:MM. You can enter from 00:00 through 24:00. The default setting is 08:00.

_ENABLE_MENTOR

This option allows you to enable all options on the Mentor tab of the Application Preferences dialog box.

  • 0 = You need to manually select or enable the options on the Mentor tab..

  • 1 = Enables all options on the Mentor tab.

By default, it is set to 0.

_ENABLE_TA

This option allows you to enable the Time Analysis options on the Mentor tab of the Application Preferences dialog box.

  • 0 = You need to manually select or enable the options on the Mentor tab..

  • 1 = Enables the Time Analysis options on the Mentor tab and warns you when time analysis is performed and the percentage of incomplete critical activities (set in the _TA_PERCENT preference), provided that the value of _ENABLE_MENTOR is 1.

By default, it is set to 0.

_EXPORT_ONLY_CALS_IN_USE

When this option is set to 1, Open Plan checks that a calendar is being used before exporting it to Microsoft Project. By default, it is set to 0.

_EXPORT_ONLY_P6_CALS_IN_USE

Web Export

When this option is blank or set to 0, Open Plan exports all of the calendars in the calendar file assigned to the project, whether or not they are being used by an activity. This is the default for a web export.

When this option is set to 1, Open Plan exports only those calendars that are being referenced by the data being exported. Open Plan follows these rules:

  • If a child calendar is exported, the parents in the hierarchy are also included in the export.

  • Calendars are included for all activities being exported.

  • The project's default calendar is always exported if it is not blank.

  • The project's default relationship calendar is always exported if it is not blank.

  • Calendars are included for all selected baselines on the open project.

  • A relationship calendar where both ends of the relationship are associated with activities being exported will be exported as long as it is not blank and is not <Calendar of Successor>.

  • If resources are being exported, any calendars associated with availability records for those resources are also exported.

XER Export

This option is ignored for XER exports.

Open Plan exports only those calendars that are being referenced by the data being exported. Open Plan follows these rules:

  • If a child calendar is exported, the parents in the hierarchy are also included in the export.

  • Calendars are included for all activities being exported.

  • The project's default calendar is always exported if it is not blank.

  • Calendars are included for all selected baselines on the open project.

  • If resources are being exported, any calendars associated with availability records for those resources are also exported.

_EXPORT_ONLY_P6_RES_IN_USE

When this option is blank or set to 0, Open Plan exports all of the resources in the resource file assigned to the project, whether or not they are being used by an activity. This is the default.

When this option is set to 1, Open Plan exports only those resources that are being referenced by the data being exported. Open Plan follows these rules:

  • If a child resource is exported, the parents in the hierarchy are also included in the export.

  • Export resources assigned to activities being exported.

  • If a resource assignment, resource usage record, or baseline usage record is associated with an activity that is being exported, Open Plan exports all resources referenced in the following fields: RES_ID, RES_SKL_ID, and ALT_RES_ID.

  • If a cost record is associate with an included activity, Open Plan exports resources referenced in the RES_ID and RES_SKL_ID fields.

_EXPORT_ONLY_RES_IN_USE

When this option is set to 1, Open Plan checks that a resource is being used before exporting it to Microsoft Project. By default, it is set to 0.

_FIRSTDAYOFWEEK

This option automatically sets the starting day of each workweek. Normally, you set it in the Weeks Starts On field on the General tab of the Application Preferences dialog box.

  • 0 = Sunday

  • 1 = Monday

  • 2 = Tuesday

  • 3 = Wednesday

  • 4 = Thursday

  • 5 = Friday

  • 6 = Saturday

The default value depends on your Windows regional settings.

_HIDE_MSP

This option controls whether the Microsoft Project application should be displayed during the import or export process.

  • 0 = The application is displayed during import or export.

  • 1 = The application is hidden during import or export.

The default setting is 1.

_KEEP_MSP_OUTPUT_FILES

Use this setting to review the data that was exported to Microsoft Project.

When this option has a value of 1, Open Plan creates .csv integration files and saves them to the Open Plan working folder, for example, Documents » Deltek » Open Plan Professional 8.x. Each file has a unique name that includes the Microsoft Project project name and a time stamp.

If the setting is enabled, the generated .csv files will remain in the folder until you delete them (disabling the setting will not delete accumulated files). You may want to periodically delete them to keep the folder size from becoming too large.

The default setting is 0.

_KEEP_P6_OUTPUT_FILES

Use this setting to review the data that was exported to Oracle Primavera P6.

When this option has a value of 1, Open Plan creates .csv integration files and saves them to the Open Plan working folder, for example, Documents » Deltek » Open Plan Professional 8.x. Each file has a unique name that includes the Primavera P6 project name and a time stamp.

If the setting is enabled, the generated .csv files will remain in the folder until you delete them (disabling the setting will not delete accumulated files). You may want to periodically delete them to keep the folder size from becoming too large.

The default setting is 0.

_LOGVIEWTHRESHOLD

This option controls when the user is prompted to view messages produced by operations such as time analysis and resource scheduling. There are two settings:

  • 0 = Always prompt to view messages – regardless of severity.

  • 1 = Only prompt to view messages when error messages have been generated.

The default setting is 1.

_MAX_MSP_REC_COUNT_PER_FILE

The maximum number of records output to each .csv file during export to Microsoft Project. You can enter a value from 100 through 10000000. The default setting is 400.

_MAX_P6_BATCH_UPDATE_RECS

The maximum number of records that Open Plan sends to the server in a single Primavera P6 export update operation. You can enter a value from 1 through 5000. The default setting is 250.

_NOTIFICATIONPOLLINGINTERVAL

This option controls how often (in fractional seconds) Open Plan checks to see if the session has been terminated or if there are any new messages. The default setting is 5 seconds.

This preference indicates the number of fractional seconds (for example, "5.5" indicates 5 and a half seconds) that Open Plan waits before polling again for system messages.

_OPENLASTFILE

This option controls whether the last file (project, calendar, code, or resource) used is opened on start-up. There are two settings:

  • 0 = Does not open the last file used on start-up.

  • 1 = Opens the last file used on start-up.

The default setting is 0.

_OPPCOORDINATES

Open Plan normally maintains this preference. It saves the position and size of the application during a session so that it can restore the window in a subsequent session using the stored coordinates and window size.

_SHARED_LOCK_DEFAULT_DURATION

This preference controls how often (in minutes) Open Plan checks to see how long a shared-mode lock has been in effect before it reminds you that you have exceeded the recommended maximum lock duration. You are prompted but not forced to release the lock. You can enter a value from 1 through 480. The default setting is 30 minutes.

_SKIP_BSA_DB_SEARCH_FOR_ACT_DELETION

This preference controls whether to send you a warning message when deleting an activity if related baseline acts exist.

  • 0 = Sends you a warning message.

  • 1 = Does not send you a warning message.

The default setting is 0.

_SPLASHSCREENENABLE

Normally, you can set this preference using the Opening Splash Screen option in the Show section on the General tab of the Application Preferences dialog box. This preference controls the display of the Open Plan splash screen at start-up.

  • 0 = Hides the splash screen.

  • 1 = Displays the splash screen.

The default setting is 1.

Because the process of applying this option differs from the way the predefined options are applied, the process is listed below:

To set the Splash Screen:

  1. On the File menu, click Preferences » Application.

  2. On the Options dialog box, select the Advanced tab.

  3. Click the Defaults button.

  4. Scroll to the end of the grid.

  5. In the Category column, enter the value _SPLASHSCREENENABLE.

  6. In the Default Value column, enter the desired numeric value.

  7. Click OK to dismiss the System Preferences Defaults dialog box.

  8. Click OK to dismiss the Options dialog box.

_STATUSBAR

This option controls the display of the Open Plan status bar.

  • 0 = Hides Open Plan status bar.

  • 1 = Displays Open Plan status bar.

The default setting is 1.

_SUPPRESSEMPTYCLIPNOTE

A clip note is a help item that comes up when you create a new project, pool, calendar, code, or view within Open Plan. This option allows the display of these help items to be suppressed.

  • 0 = Open Plan displays the clip notes. The Startup Clip Notes option on the General tab of the Application Preferences dialog box is selected.

  • 1 = Open Plan does not display the clip notes.

The default setting is 1.

_SUPPRESSLOOPDETECTION

This option allows full automatic loop detection in Open Plan to be turned off (by setting a value of 0) or restricted (by setting a value less than the total number of activities) for large networks or networks with large numbers of complex relationships. Full loop detection will still be performed during Time Analysis.

The default setting is 1000. The number is a threshold value that determines at what point loop detection will be turned off. Thus, for the default value of 1000, loop detection is enabled as long as the total number of activities does not EXCEED 1000.

_TA_PERCENT

Normally, you can set this preference on the Mentor tab of the Application Preferences dialog box. You must set both the _ENABLE_MENTOR and _ENABLE_TA preferences to 1 for this preference to be applied (see "_ENABLE_TA" for more details).

You can set a value form 0 through 100. The default setting is 25.

_TIMEPHASEINTERVAL

In the absence of a reporting calendar, this preference determines the time buckets in the time-phased grid on the Resource tab of the Activity Details dialog box.

You can enter WEEK, MONTH, DAY, QUARTER, or YEAR. The default setting is WEEK.

_USE_MSP_DEADLINES

Normally, you set this preference using the Microsoft Project Export Wizard rather than on the Application Preferences dialog box.

  • 0 = Does not use the Microsoft Project deadline.

  • 1 = Sets the Microsoft Project TASK field deadline during an export in the following situations:

    • The MSPRIF option is enabled, an activity in Open Plan has a Finish No Later Than target finish type, and the activity is of one of the following types: ASAP, start or finish milestone, discontinuous, effort driven, or foreign activity.

    • The MSPRIF option is enabled and an activity in OP has a type of ALAP. In this case, the Microsoft Project deadline field is set to the Open Plan early finish date.

The default setting is 1.

_USE_WINDOWS_COLORS

Normally, you set this preference using the Use Windows Color Scheme option on the Color tab of the Application Preferences dialog box.

  • 0 = Use the Open Plan default rather than the Windows colors.

  • 1 = The views and the Open Plan Explorer use Windows colors assigned to the current theme (in some situations, such as spreadsheet background color) rather than the Open Plan default.

The default setting is 0.

_USEDEFAULTPROJECT

Normally, you set this preference using the Create New Projects Using Default Project option on the Project tab of the Application Preferences dialog box.

It specifies whether the template project specified in DefaultProjectName should be used when creating new projects.

  • 0 = Do not use template project to create new projects.

  • 1 = Use template project when creating new projects.

The default setting is 0.

_USEMEMORYBASEDUNDOSTORAGE

Specify whether you want Open Plan to use memory-based or disk-based storage.

  • 0 = Open Plan uses disk-based temporary storage.

  • 1 = Open Plan uses memory-based storage. This may improve performance over disk-based storage; however, you may be limited in the number of actions you can undo.

The default setting is 0.

_USERCANNOTCHANGEBASELINEDSTEPS

This option specifies whether the user can change baselined steps.

  • 0 = You can change baselined steps.

  • 1 = When this option is set to 1, and the selected activity is included in the currently selected baseline:

The default setting is 0.

Activity Details dialog box Steps tab grid: You cannot add or delete steps and you cannot edit step weight; however, you can edit step descriptions and notes, and steps can be progressed.

Activity Progress dialog box Steps tab grid: You cannot edit step weight.

_USERCANNOTCHANGEINPROGRESSEVT

This option specifies whether the user can change in-progress EVT.

  • 0 = You can change in-progress EVT.

  • 1 = When this option is set to 1, and the selected activity is in-progress or completed, the EVT field on the Activity Details dialog box Advanced tab is disabled.

The default setting is 0.

_VIEWDIALOGSYNC

Normally, you set this preference using the View and Dialog Box Navigation option on the Project tab of the Application Preferences dialog box. It determines the synchronization that occurs in a view related to the dialog box when you navigate to a different record on the dialog box.

  • 0 = No sync

  • 1 = Sync the current view

  • 2 = Sync all views

The default setting is 1.

AllowActiveXInBrowserView

When you view a Web page locally from within Open Plan, this option allows the local page to access OLE objects and ActiveX controls without issuing a warning.

  • 0 = A warning is issued if the local page contains OLE objects and/or ActiveX controls. You are also prompted as to whether or not you want to allow the interaction for this Web page.

  • 1 = OLE objects and ActiveX controls are allowed without issuing a warning.

The default setting is 0.

If you link to a page outside the local zone, this setting no longer applies, and your browser’s default security takes over.

AllowKeyNavigation

This option overrides its corresponding system preference setting. It controls whether arrow keys navigate between cells of a spreadsheet or if they move within editable cells of a spreadsheet.

If AllowKeyNavigation is not set, Open Plan follows the system preference setting.

When AllowKeyNavigation is set to 1:

  • Pressing the arrow keys moves the cursor left, right, up, or down between cells.

  • When you want to edit a cell, you press F2 or click the cell with your mouse.

  • To apply changes to the selected cell, you can click another cell or press any of the following keys:

    • Up or down arrow

    • TAB (apply the change then navigate to the next cell on the same row)

    • SHIFT+TAB (apply the change then navigate to the previous cell on the same row)

  • When in edit mode, pressing ESC cancels any changes to the selected cell and enables the navigation mode again.

When AllowKeyNavigation is set to 0, Open Plan defaults to edit mode when you arrow into an editable cell.

AllowScriptInBrowserView

When you view a Web page locally from within Open Plan, this option allows the local page to run scripts without issuing a warning.

  • 0 = A warning is issued if the page contains scripts. It is possible that your browser is already configured to run scripts without first issuing a warning. If this is the case, setting this option to 0 does not override the browser setting.

  • 1 = No warning is issued if the page contains scripts.

  • 1 = OLE objects and ActiveX controls are allowed without issuing a warning.

The default setting is 0.

If you link to a page outside the local zone, this setting no longer applies, and your browser’s default security takes over.

AllowZeroBaselineUsage

This option helps with Cobra integration by allowing Open Plan to save zero (0) resource usage to the Baseline Usage (BSU) table.

  • 0 = Open Plan does not save zero resource usage.

  • 1 = Open Plan saves zero resource usage.

The default setting is 0.

BarchartToolTipsField

This option allows you to define text to be displayed as a Tool Tip for the barchart. It requires that you enter a single field as the Value. However, in addition to allowing you to enter a standard field, Open Plan also allows you to specify a calculated field that contains exactly the information that you want displayed.

The default value is Description.

For more information about calculated fields, see Calculated Fields.

BarPrintMode

This preference is used to correct problems on certain devices when drawing barchart views that contain bars that use hatch patterns.

  • 0 = Use normal bar drawing method.

  • 1 = Use alternate bar drawing method.

The default setting is 0.

CalCompFix

This preference prevents Open Plan from printing necked bars which are known to cause problems with certain Calcomp plotter drivers due to a problem with the driver support of the GDI Polygon function. This eventually results in a general protection fault in Open Plan.

  • 0 = Print necked bars.

  • 1 = Do not print necked bars.

The default setting is 0.

DONOTCONFIRMEXIT

This preference is used to control whether Open Plan displays a confirmation message each time you quit the application.

  • 0 = Displays a confirmation message when you quit the application.

  • 1 = Does not prompt you for confirmation.

The default setting is 0.

You can also set this preference using the Do not ask again option on a dialog box.

GENERATENEWGUIDSWHENRESTORING

This preference indicates whether Open Plan generates new GUID (unique keys) when restoring records from a backup.

  • 0 = Does not generate a new GUID.

  • 1 = Generates a new GUID when restoring records from a backup file.

The default setting is 0.

HistogramArrayLimit

This preference defines the maximum number of array elements in the histogram. Each array element represents a time unit as defined by the date scale of the view.

You can enter a value from 1000 through 100000. The default value is 15000.

If the value you entered surpasses the maximum value, Open Plan prompts you to select less granular time buckets (for example, a week instead of a day) when defining the histogram date scale.

LAST_IPMR2_GROUPOPTIONS_SET

Normally, this preference is maintained by the user interface. It stores the name of the last group options set that was used for an IPMDAR export.

LOGPROCESSOPTIONSINBATCHMODE

This preference controls the logging of options used for processes (for example, Time Analysis) to the batch file when running a batch process.

  • 0 = Does not log options used for processes when running the batch process.

  • 1 = Logs options used for processes to the batch log file when running the batch process.

The default setting is 1.

RISKPERCENTILEARRAYSIZE

This preference is set in conjunction with the RISKPERCENTILES preference. It specifies the number of percentile "buckets" or the size of the array used to store percentile values for key activities during risk analysis.

The default value is 20.

RISKPERCENTILES

This preference is used to specify the percentile values for the array defined by RISKPERCENTILEARRAYSIZE. The number of array elements specified in RISKPERCENTILEARRAYSIZE should be 1 less than the number of numbers specified in RISKPERCENTILES. Each number should be separated with a space. The numbers are used by the risk analysis process.

The first value of the array must be zero. The values of the array must be cumulative. The last value of the array must be 100.

The default values (21 numbers from 0 through 100, incremented by 5 each time) for the array are:

0 5 10 15 20 25 30 35 40 45 50 55 60 65 70 75 80 85 90 95 100

ROUNDMETHOD

This preference allows you to choose rounding method used in risk analysis.

  • 0 = no rounding

  • 1 = method 1

  • 2 = method 2

  • 3 = method 3

The default setting is 3.

SAVE_PLACEMENTS_WITH_VIEW

This preference controls how Open Plan saves placement with regard to view preferences.

  • 0 = Does not save placements at the same time as view preferences.

  • 1 = Saves placements at the same time as view preferences

The default setting is 0.

ShowSQLLog

This option allows you to view the SQL Log in the Open Plan Log Viewer. The log is created when you start your Open Plan session and is automatically updated whenever the database is accessed.

  • 0 = The log is not displayed in the Open Plan Log Viewer. This is the default setting.

  • 1 = The log is displayed in the Open Plan Log Viewer on the SQL Log tab.

If you wish to view the SQL Log outside the context of Open Plan, you can use any text editor (such as Windows Notepad) to open the sql.log file located in the \User directory of your Open Plan installation.

SuppressCombineVerticals

When performing automatic placements, Open Plan combines vertical relationship lines when showing relationships using the Routed line style as in the following example:

The SuppressCombineVerticals option instructs Open Plan to display each relationship line separately:

  • 0 = Open Plan combines vertical relationship lines. This is the default setting.

  • 1 = Open Plan suppresses the combining of vertical relationship lines.

The default setting is 0.

SUPPRESSSTRAIGHTENLINES

This preference instructs Open Plan to display each straighten relationship line separately.

  • 0 = Open Plan combines straighten relationship lines. This is the default setting.

  • 1 = Open Plan suppresses the combining of straighten relationship lines.

The default setting is 0.

USELOCALFILEFORBACKUP

This option allows you to enable or disable the use of a local folder in creating or restoring a backup file.

  • 0 = Open Plan creates a backup file in the original location that you have specified and reads the backup file directly from the original location when restoring. This is the default value.

  • 1 = Open Plan takes the following action:

    • For backup, if Open Plan determines that the original target folder is on a network drive, it creates the backup file first on your local drive. Then, it copies the backup file to the target location, replacing the existing backup file (if applicable) with the newly created file.

    • For restore, if Open Plan determines that the original folder containing the backup is on a network drive, it copies the file from the network drive and saves it into a temporary folder on your local drive, where it reads that file.

The default setting is 0.

USEPROCESSTHREAD

Normally, when you run a process in Open Plan (for example, time analysis or resource scheduling), a separate thread spins off to perform the process while the main Open Plan thread handles the user interface In some cases, you run into problems with the separate thread technique. This preference provides a way for you to use a single thread, which often allows a process to complete in situations where they are experiencing problems.

  • 0 = Open Plan separate threads.

  • 1 = Open Plan uses a single thread.

The default setting is 1.

System Preferences

Category

Description

_DUMPCALLSTACK

In certain situations (for example, a transaction count error occurs), Open Plan can dump a call stack to the system log, which might help Deltek Development discover the source of an issue. Normally, you would not set this variable without additional instructions from Deltek Support. To view a call stack meaningfully, you would need to be furnished with a set of Program Database (PDB) files that do not ship with the product.

  • 0 = Open Plan does not dump a call stack to the system log,

  • 1 = Open Plan dumps a call stack to the system log,

The default setting is 0.

_MaxDBDriverIdleMinutesBeforeAutoReset

This preference enables you to specify the number of idle minutes allowed before Open Plan automatically resets the data source connection. The allowable range for this value is from 10 to 480 minutes, with a default setting of 55 minutes.

  • If _MaxDBDriverIdleMinutesBeforeAutoReset is set within the supported range (for example, 10), the opwin.log file will display the following message when a long running process like an import completes: "Re-initializing data source connection as the connection has been idle for X minutes or longer."

  • If _MaxDBDriverIdleMinutesBeforeAutoReset is set to a value outside the supported range (for example, 6), the opwin.log file will display the following message: "The value supplied for the preference "_MaxDBDriverIdleMinutesBeforeAutoReset" (X) should be in the range (10 - 480). Will use the default (55 minutes) instead".

_LOGSQLRESULTCOUNT

This preference you to create a separate COUNT query prior to a regular data query. If the number of records differs, the difference is logged for further analysis.

The two queries may legitimately return a different number of records, in particular in a shared-mode environment since the queries are not issued simultaneously. For the most part, however, the COUNT and regular queries will normally return either the same number of records or the difference will be relatively minor.

  • 0= Logging is turned off.

  • 1 = Calls a COUNT query for ACTIVTY result sets.

  • 2 = Calls a COUNT query for ALL result sets.

The default setting is 0.

_SUPPRESSINTERNALMESSAGES

This option allows you to control the display of internal messages alerting users of certain issues. By default, if a database error occurs, a message box displays on your machine alerting you to the error.

  • 0 = Open Plan displays all internal messages.

  • 1 = Open Plan suppresses internal messages.

  • 2 = Open Plan suppresses debug messages (for example, record count discrepancy). m

  • 3 = Open Plan suppresses database error messages.

To disable this functionality, set the value to 1. The default setting is 2.

Currently, Open Plan only supports reporting of errors where unique constraint violations occur. It only displays such errors, however, when users are doing an explicit save or a save is triggered in Shared mode.

_USERCANNOTCHANGEPROGRESSEDSTEPS

This option allows you to change steps when an activity has an actual start date.

  • 0 = Allows you to perform any of the following actions:

    • Add steps.

    • Delete steps that are not complete or have a % complete if percent complete is allowed for steps.

    • Change the weight of a step when the activity is In Progress.

  • 1 = Does not allow you to edit steps on in-progress activities.

    • You cannot add/delete steps or edit step weight, but you can edit step descriptions, notes, as well as progress steps. This also applies to other places, such as views.

    • You cannot edit step weight.

By default, it is set to 0.

AllowEditPPC

Use this option to specify when you can edit Physical % Complete.

  • 0 = The ability to edit PPC directly depends on the EVT setting. See Rules For EVT and Activity Physical % Complete.

  • 1 = You can edit PPC anytime except when EVT is set to steps, in which case PPC is read-only and is automatically calculated by multiplying the weight % of each step by the PPC set for each step.

The default setting is 0.

AllowKeyNavigation

This option controls whether arrow keys navigate between cells of a spreadsheet or if they move within editable cells of a spreadsheet.

The corresponding user preference setting, however, can override the system preference setting.

When AllowKeyNavigation is set to 1 (and the user preference is 1 or not set):

  • Pressing the arrow keys moves the cursor left, right, up, or down between cells. When you want to edit a cell, you press F2.

  • To edit a cell, either use your mouse to select and click the cell you want edit or press F2 on your keyboard. Once in edit mode, the left or right arrow key moves the cursor from one character to another within the selected cell.

  • When you select multiple cells, pressing F2 clears the selection except for the first editable cell.

  • To apply changes to the selected cell, you can click another cell or press any of the following keys:

    • Up or down arrow

    • TAB (apply the change then navigate to the next cell on the same row)

    • SHIFT+TAB (apply the change then navigate to the previous cell on the same row)

  • When in edit mode, pressing ESC cancels any changes to the selected cell and enables the navigation mode again.

When AllowKeyNavigation is set to 0 or not set (and the user preference is set to 0 or not set), Open Plan defaults to edit mode when you arrow into an editable cell.

MATCH_P6_LABOR_HOURS

This option allows you to use the resource assignment level as hours regardless of Open Plan’s default duration unit when importing/exporting data to/from Primavera P6. There are two settings:

  • 0 = Open Plan adjusts the P6 resource labor hours to reflect its default duration unit.

  • 1 (or not defined) = Open Plan uses P6 resource labor hours as Total Hours.

Importing a P6 schedule with labor resources allows the Open Plan schedule to use the same resource units assigned to its activities.

This setting affects the planned and remaining units for import as well as the remaining and actual units for export. When you import/export resources, a message displays in the log indicating whether Open Plan is matching P6 labor hours. The message, however, slightly varies for import and export.

The default setting is 1.

Note: Since Open Plan still interprets resource units internally in terms of the default duration unit, resource costs, as observed in the Activity Progress dialog box, may not match costs in P6 unless the OP default duration unit is in hours (when MATCH_P6_LABOR_HOURS = 1).

The default setting is 0.

MSPIMPORT_DEFAULT_REPCAL

This option allows you to specify an existing reporting calendar that Open Plan assigns to a project in create or replace mode and uses in creating baseline usage (BSU) records.

  • In full update mode, Open Plan assigns the specified calendar if the current assignment is blank.

  • In status update mode, Open Plan does not change the reporting calendar assigned to the project.

MSPIMPORT_DEFAULT_REPCAL=<Reporting Calendar Name>

NoSubGroupsIfFirstGroupBlank

This option allows you to set whether Open Plan should create subgroups for values when the first group by value for some data is blank.

  • 0 = Open Plan creates subgroups when the first group is blank.

  • 1 = Open Plan consolidates all items with a blank value for the first grouping break into the same group.

The default setting is 0.

PS_DEFAULT_WORKING_SHIFTS

This option allows you to specify a default workweek and shifts for all calendars imported from Microsoft Project Server.

  • To define a non-working day, set it to 0.

  • To define a work shift per day, separate each shift by the bar delimiter (l). You can specify up to five shifts.

  • To define days of the week, separate each day by a comma.

In the following example, the first and last values (0) correspond to Sunday and Saturday as non-working days, Monday has two working shifts (8 AM – 2 PM and 4 PM – 6 PM), and Tuesday through Friday have one shift (8 AM – 4 PM):

0,8:00 AM|2:00 PM|4:00 PM|6:00 PM,8:00 AM|4:00 PM,8:00 AM|4:00 PM,8:00 AM|4:00 PM,8:00 AM|4:00 PM,0

RetainIRLsOnSaveAs

This option allows you to set Open Plan to either retain or delete IRLs when you are performing a Save As on a project.

  • 1 = Open Plan retains the IRLs in the copied project.

  • 0 = Open Plan deletes the IRLs from the copied project. This is the default setting.

USEUNIQUEWPCOSTDATAPROCESS

This option allows you to enable or disable concatenation of Control Account key fields and the Work Package ID when creating an Integrated Program Management Data and Analysis Report (IPMDAR) file during the Schedule Data Export process.

  • 0 (or the option is not present) = Open Plan performs concatenation of CA ID and the WP ID when exporting to IPMDAR format. This is the default value.

  • 1 = Open Plan does not perform concatenation of CA ID and the WP ID when exporting to IPMDAR format.

The default setting is 0.

Defaults

Click the Defaults button to display the System Preferences Defaults dialog box that your System Administrator can use to define system-wide preferences from which a user can select.

Location

To display the Advanced tab on the Options dialog box:

  1. From the File menu, click Preferences » Application.

  2. On the Options dialog box, select the Advanced tab.

Related Topics and Procedures

Related Topics

Options Dialog Box: General Tab

Symbols Dialog Box

Options Dialog Box: Edit Tab

Options Dialog Box: Project Tab

Options Dialog Box: Views Tab

Options Dialog Box: Codes Tab

Options Dialog Box: Color Tab

Options Dialog Box: Email Tab

Options Dialog Box : Integration Tab

Select Standard Views Dialog Box

System Preferences Defaults Dialog Box

Related Procedures

Setting System Preferences

Modifying the List of Default Views

Disabling Start Up Procedures

Opening Last File on Startup

Showing Summary Dates on Subprojects

Enabling Editing of Read-Only Files


Send Test Message Dialog Box

Use this dialog box to send a test message using MAPI (Messaging Application Programming Interface).

Content

Recipient Email

Enter the email address of your target recipient.

OK

Click this button to send the test message.

When Open Plan successfully contacts the sender's MAPI server, a Test Succeeded message displays.

Location

To display the Send Test Message dialog box:

  1. From the File menu, click Preferences » Application.

  2. On the Options dialog box, select the Email tab.

  3. On the Email tab, in the Email group box, select MAPI and click Test.

Related Topics and Procedures

Options Dialog Box Email Tab


Working with Open Plan Data

In Open Plan, data is stored in an SQL data repository. Because all the data and most configuration information are stored in the database, you can log into Open Plan from any terminal on your network and have the same environment that you have on your own computer.

In the strictest sense of the word, Open Plan data is stored in tables in the data source rather than in files. However, in order to make explanations of the software easier to understand, dialog boxes, menus, and the Open Plan documentation refer to Open Plan data as "files." This allows us to describe such operations as opening a file, saving a file, closing a file, and so on.

When working with Open Plan data, you can perform the following operations:

Create new files

You can create a new project or data file using any of the following methods:

  • Click New on the File menu.

  • Click the New [image] button on the Quick Access Toolbar.

  • Press Ctrl+N.

Open existing files

You can open a file using any of the following methods:

  • Right-click its icon in the Open Plan Explorer and click Open in the context menu.

  • Select the file in the Open Plan Explorer and click Open on the File menu.

  • Click Open on the File menu and select the file in the Open File dialog box.

Save files

You can save files at any time using either of the following methods:

  • Click the Save command on the File menu.

  • Click the Save [image] button on the Quick Access Toolbar.

Copy files

You can copy a file by opening it, clicking Save As on the File menu, and giving your file a new name.

Close files

You can close a project file in either of the following ways:

  • By right-clicking the file and clicking Close on the context menu.

  • From within the open project, by clicking Close on the File menu.

You can close a data file by displaying a window with information from the file and clicking Close on the File menu.

Back up files

The backup function allows you to copy a project for archival purposes. When you back up a project, Open Plan copies all the files associated with the project to a file with the extension .bk3. You can also back up individual resource, code, and calendar files. You can save this backup file onto any drive or directory you choose. You can also use any data compression utility to compress the .bk3 file.

Restore files

The restore function provides a reverse of the backup function, allowing you to restore the files you previously archived.

If you have compressed a backup file using a compression utility such as WinZip, you must decompress it using the same utility before running the Open Plan restore command.

Delete files

You cannot delete a file that is open, referenced by another file, or to which you do not have the appropriate rights.

There are two ways to delete a file:

  • By selecting the file and pressing the Delete key. When you use this method, the manner in which Open Plan interprets the deletion depends on where the file reference is located in the hierarchy pane of the Open Plan Explorer:

    • My Folder — Deleting a file from within this folder deletes the link to the file. In the case of a project, the links to ancillary files are deleted in addition to the link to the project. No actual data is deleted from the data source.

    • Projects — Deleting a project from within this folder deletes the links to any assigned ancillary files and deletes the project itself from the data source. Deleting just an ancillary file or view from this folder deletes only the link to the file. Neither the ancillary file nor the view is deleted from the data source.

    • Open Plan Library — Deleting an ancillary file or view from within this folder deletes the actual data from the data source.

  • By using the Select File to Delete dialog box that is accessed by pointing to Manage Files on the File menu and clicking Delete File. When you use this method, the data is deleted from the data source regardless of where the file reference is located in the hierarchy pane of the Open Plan Explorer.

There is also a third method of performing a deletion that pertains only to views. You can right-click a view and click Delete on the shortcut menu. The manner in which Open Plan interprets the deletion performed using this method depends on the context of where the view is accessed:

  • If you delete a view from within the context of a project, Open Plan deletes only the link to the view.

  • If you delete a view from within the Open Plan Library, Open Plan deletes the view itself from the data source.

Change the access mode

Open Plan supports the following access modes:

  • Exclusive — In this mode, you have exclusive access to the file. Other users can only open the file in read-only mode (regardless of their access rights to the file).

  • Read Only — In this mode, you can view the data in the file and copy the file using the Save As command. However, you cannot modify the original file in any way.

  • Shared — In this mode, you can read and write to the original project file. More than one user may have shared access to a file at the same time.

When you open a file by right-clicking an icon in the Open Plan Explorer, Open Plan also allows you to select Default. This option opens the file in the access mode that was identified as the default on the General tab of the Properties dialog box.

Refresh from the database

You can refresh the contents of the Projects and Open Plan Library folders as well as the options on the menus as configured in EPM Security Administrator (EPM SA) from the database by clicking [image] .

Moreover, you can refresh code data in code files opened in Shared or Read Only mode on a project opened in Shared mode.

  • When you open the code files in Shared mode and another user updates or adds code values, Open Plan allows all users who are working on a project simultaneously to see the updated code values. You can only view the updated values, however, when you refresh the project data.

  • When you open the code files in Read Only mode and another user makes changes to the code file, you can still refresh the project data. Open Plan refreshes the read only code data as well.

Related Topics and Procedures

Related Topics

Using the New File Dialog Box

Using the File Open Dialog Box

Using the Select File to Delete Dialog Box

Using the Backup Dialog Box

Using the Restore Dialog Box

Using the Change Access Mode Dialog Box

Related Procedures

Creating an Open Plan File

Opening an Open Plan File

Closing an Open Plan File

Saving an Open Plan File

Copying an Open Plan File

Deleting an Open Plan File

Backing Up Open Plan Data

Restoring Data From a Backup File


Back Up and Restore Open Plan Data

The Backup and Restore features of Open Plan allow you to backup data in a file with the extension of .bk3 that you can then use to restore the data. The data that you can back up and restore include:

  • Projects

  • Resources

  • Calendars

  • Code files

  • Views

  • Calculated fields

  • Filters

  • Sorts

  • Global edits

  • Email Advisory Definitions

When you create a backup file, you can include as many of these items that you want. For example, if you back up a project, you can include all its ancillary data, views, and user data in the .bk3 file.

When you restore data, Open Plan prompts you to locate the .bk3 file and then offers to include both views and ancillary files. If you have not made any changes to these objects, you can save time by not restoring them.

Open Plan includes all defined step user-defined fields (UDFs) and corresponding data in the backup file as well as restores the step UDFs and data included in the backup. When restoring into a target data source without the definitions, Open Plan gives you an option to add the missing data.

Related Topics and Procedures

Related Topics

Using the Backup Dialog Box

Using the Restore Wizard

Using the New File Dialog Box

Using the File Open Dialog Box

Using the Check Out Dialog Box

Using the Check In Dialog Box

Using the Select File to Delete Dialog Box

Related Procedures

Backing Up Open Plan Data

Restoring Data From a Backup File


Managing the Data Source

Open Plan allows you to manage your data source using the Data Sources dialog box. Clicking Data Sources from the File Menu » Preferences displays the Data Sources dialog box. You can use this dialog box to add, edit, and delete data sources. You can change to a different data source by selecting it from the list.

Editing a Data Source

When you select a data source from the Data Sources dialog box and click Edit, Open Plan displays the Edit Data Source dialog box. If you are currently connected to the data source you are modifying, your changes will not take effect until the next time you start Open Plan.

Related Topics and Procedures

Related Topics

Using the Data Tool Login Dialog Box

Using the Data Tool Dialog Box

Change Password Dialog Box

Using the Edit Data Source Dialog Box

Related Procedures

Selecting a Data Source

Adding a Data Source Connection

Editing a Data Source Connection

Deleting a Data Source Connection


Restore Wizard

The Restore Wizard allows you to restore a backup set.

The top list box displays the names of the files in the backup set. While you can select the items that you want to restore individually, the settings in the Include section of this dialog box can be used to simplify this task.

The following options control the categories of items in the hierarchy that Open Plan should select for the restore operation:

  • Views: This option instructs Open Plan to select all the views associated with any item that will be restored.

  • Ancillary data: This option instructs Open Plan to select the Calendar, Resource, and Code items associated with the items to be restored.

  • External Subprojects: This option instructs Open Plan to select external subprojects associated with the project to be restored.

  • System Library Data: This option instructs Open Plan to select the system library data (such as global edits, filters, sorts, and calculated fields) associated with the project to be restored. By default, this option is not selected. Open Plan handles the restoring of system library data as follows:

    • If the system library data does not exist in the target data source (for example, it has been deleted), the data will automatically be restored.

    • If the data already exists in the target data source, it will be listed on the Details page of the Restore Wizard. This gives you the option to overwrite the existing data on a one-to-one basis. For example, if you have modified filters in the target data source, you may not want to overwrite them during the restore process.

You can clear any specific items that you do not want to restore.

If you are trying to restore a file to which you do not have access control rights, that file will appear in the Files that cannot be restored due to your Access Rights list box. For example, assume that a backup file set contains three files: two projects and a resource file not associated with either project. Also assume that you only have access rights to one project and not to the other project and resource file. The file you have access rights to will appear in the top list box and the two files you do not have rights to will appear in the bottom list box.

If you click Next, Open Plan displays the Details page of the wizard.

Files in the Files that cannot be restored due to your Access Rights list will not appear on the Details page of the wizard.

If you click Finish, Open Plan checks for any differences between the backup set and the files that will be modified by the restore operation:

  • If no differences are found, Open Plan restores the data.

  • If any differences are found, Open Plan displays additional dialog boxes where you can instruct Open Plan how to proceed.

Open Plan displays the Restore Target Exists dialog box when differences are found between the backup set and the files in the data source. Differences between the backup set and files in the data source are expected to occur. This dialog gives you overwrite options you can use to rectify the problem.

Location

To display the Restore Wizard, complete the following steps:

  1. From the File menu, click Manage Files » Restore Data.

  2. In the Open dialog box, navigate to the .bk3 file that you want to restore, and click Open.

Related Topics and Procedures

Related Topics

Using the Details Page of the Restore Wizard

Using the Data Missing from Target Data Source Dialog Box

Using the Structure Differences Dialog Box

Using the Restore Process Dialog Box

Using the Restore Target Exists Dialog Box

Using the Restore Required Dialog Box

Using the Backup Dialog Box

Related Procedures

Backing Up Open Plan Data

Restoring Data From a Backup File


Restore Wizard Details Page

This page of the wizard provides more detailed information about the individual items that can be restored. You can select or clear as many items as you want from this list.

Files in the Files that cannot be restored due to your Access Rights list on the first page of the Restore Wizard will not appear on this page of the wizard.

If you know that you have not made any changes to some of these items, you can save time by not restoring them.

When you click Finish, Open Plan checks for any differences between the backup set and the files that will be modified by the restore operation:

  • If no differences are found, Open Plan restores the data.

  • If any differences are found, Open Plan displays additional dialog boxes where you can instruct Open Plan how to proceed.

Related Topics and Procedures

Related Topics

Using the Data Missing from Target Data Source Dialog Box

Using the Structure Differences Dialog Box

Using the Restore Process Dialog Box

Using the Restore Target Exists Dialog Box

Using the Restore Required Dialog Box

Using the Backup Dialog Box

Related Procedures

Backing Up Open Plan Data

Restoring Data From a Backup File


Backup Items to Send Dialog Box

This dialog box allows you to create a file with a .bk3 extension that contains the data to include as an email attachment.

you can include as many different items that you want. For example, if you back up a project, you can include all its ancillary data, views, and user data in the .bk3 file.

The large area on this dialog box displays the names of all items to which you have access. These items are grouped under the following headings:

  • Calendars

  • Codes

  • Projects

  • Resources

  • Views

To view the items in any of these groups, click the + sign at the left edge of the group heading.

To include an item from these lists in the backup file, select its option box.

After you have created a backup file, you can use any commercially available data compression utility to compress the set.

OK

Clicking this button displays a Save As dialog box that you can use to specify a name and location for the backup file. Once you have provided this information, clicking Save on the Save As dialog box creates the backup file containing the selected items.

Cancel

Clicking this button closes the dialog box without creating the backup file.

Select All

Clicking this button selects all items in the list. All items are marked for inclusion in the backup file.

Clear All

Clicking this button clears all items on the list. No items are marked for inclusion in the backup file.

Expand All

Clicking this button is the equivalent to clicking all the + signs in the list. All groups are expanded.

Help

Clicking this button displays this help topic.

Location

To display the Backup Items to Send dialog box, complete the following step:

  1. Click Send on the File menu.

Related Topics and Procedures

Related Topic

Sending a File

Related Procedure

Sending an Open Plan File as an Email Attachment


Data Missing from Target Data Source Dialog Box

Use this dialog box to instruct Open Plan on the action to take with the file that could modify the copy of the file on the database.

Do Not Restore

Clicking this button instructs Open Plan to interrupt the restoration process and display the Restore Process dialog box that you can use to take one of the following further actions:

  • Cancel Restore Process

  • Re-select Restore Files

Add Missing Data to Target Data Source

Clicking this button instructs Open Plan to add the missing data fields to the file that will be modified by the restore operation.

Ignore Missing Data - Continue to Restore

Clicking this button instructs Open Plan to ignore the data that is missing and to continue with the restore operation.

Grid

The grid on this dialog box displays the following information for each data field that will be created if you choose to add the missing data to the target data source:

  • Collection: Displays the name of the table for the missing data field

  • Name: Displays the name of the data field that will be created

  • Type: Displays the type of data field that will be created

  • Precision: Displays the maximum character width of the data field that will be created

  • Scale: Displays the number of decimal places to use if the missing data field to be created is a numeric field

Related Topics and Procedures

Related Topics

Using the Restore Wizard

Using the Structure Differences Dialog Box

Using the Restore Process Dialog Box

Using the Restore Target Exists Dialog Box

Using the Restore Required Dialog Box

Using the Backup Dialog Box

Related Procedures

Backing Up Open Plan Data

Restoring Data From a Backup File


Data Sources Dialog Box

This dialog box displays a list of data sources to which you can connect. When you select a data source, the application to which you are establishing a connection displays a dialog box that allows you to enter additional information.

Data Sources

Displays a list of data sources to which you can connect.

Buttons

The following buttons across the bottom of the dialog box allow you to Add, Edit, or Delete data sources:

  • Add: Clicking this button displays the tabbed Windows Data Link Properties dialog box that you can use to configure a data source and add it to the list displayed in the Data Sources dialog box.

  • Edit: Selecting a data source from the list and clicking this button displays the Edit Data Source dialog box that you can use to modify settings for the selected data source. A button on this dialog box also provides access to the Windows Data Link Properties dialog box. You can change any of the properties that you wish. However, if you are currently connected to the data source you are modifying, your changes will not take effect until the next time you start Open Plan.

The Connection tab on the Windows Data Link Properties dialog box has an Allow saving password option. Selecting this option encrypts both the User ID and password and passes this information to the Security Administrator. If this option is not selected, you will be prompted to login to a data source when you start the DataTool.

  • Delete: Clicking this button deletes the currently selected data source.

Related Topics and Procedures

Related Topics

Using the Data Tool Login Dialog Box

Using the Data Tool Dialog Box

Change Password Dialog Box

Using the Edit Data Source Dialog Box

Related Procedures

Selecting a Data Source

Adding a Data Source Connection

Editing a Data Source Connection

Deleting a Data Source Connection


Edit Data Source Dialog Box

This dialog box features the following controls that allow you to modify a data source that you selected on the Data Sources dialog box, or to define one to be used as your Briefcasing data source. If you are currently connected to the data source you are modifying, your changes will not take effect until the next time you start Open Plan.

Name

The name of the currently selected data source is displayed in this field.

Database Name (Schema)

Use of this field is optional. If you wish, you can enter the schema name of the selected database in this field.

If you do not enter a schema name in this field, the Datasources.dat file must identify an Initial Catalog for the database.

Database is Unicode

This option is selected by default. MS Access databases are always in Unicode. Additionally, this option is used for double-byte languages such as Chinese, Russian, and Hebrew.

Data link Properties

Clicking this button displays the Windows Data Link Properties dialog box that you can use to specify how to link to the server where the database is stored.

Location

To display the Edit Data Source dialog box, complete the following step:

  1. Take one off the following actions:

  • Select a data source in the Data Sources dialog box and click Edit.

  • Click Edit Briefcase on the General tab of the Options dialog box.

Related Topics and Procedures

Related Topics

Using the Data Tool Login Dialog Box

Using the Data Tool Dialog Box

Change Password Dialog Box

Using the Data Sources Dialog Box

Related Procedures

Selecting a Data Source

Adding a Data Source Connection

Editing a Data Source Connection

Deleting a Data Source Connection


Restore Process Dialog Box

This dialog box features the following controls that allow you to instruct Open Plan on the action to take when the restore operation has been interrupted:

  • Cancel Restore Process — Choosing this option and clicking OK instructs Open Plan to cancel the entire restore process and close the dialog box.

  • Re-select Files to be Restored — Choosing this option and clicking OK instructs Open Plan to redisplay the Restore dialog box so that you can select other files to be restored.

Location

To display the Restore Process dialog box, you must meet either of the following conditions:

  • When you choose Do Not Restore on the Data Missing from Target Data Source dialog box

  • When you choose Skip Restore on the Structure Differences dialog box.

Related Topics and Procedures

Related Topics

Using the Restore Wizard

Using the Data Missing from Target Data Source Dialog Box

Using the Structure Differences Dialog Box

Using the Restore Target Exists Dialog Box

Using the Restore Required Dialog Box

Using the Backup Dialog Box

Related Procedures

Backing Up Open Plan Data

Restoring Data From a Backup File


Restore Required Dialog Box

This dialog box lists the ancillary files that must be included in the restoration process or else the project will not be restored.

Click Restore to restore the ancillary files in the list.

Click Cancel to cancel the entire restoration process.

Location

To display the Restore Required dialog box, you must meet the following conditions:

  • You attempt to restore a project without restoring the ancillary data and external subprojects.

  • The ancillary files do not already exist on your system.

Related Topics and Procedures

Related Topics

Using the Restore Wizard

Using the Structure Differences Dialog Box

Using the Restore Process Dialog Box

Using the Restore Target Exists Dialog Box

Using the Backup Dialog Box

Related Procedures

Backing Up Open Plan Data

Restoring Data From a Backup File


Restore Target Exists Dialog Box

In most cases, the file that you are restoring differs from the version of the file that is stored on the database.

This dialog box features options that allow you to specify whether you want the copy on the database to be overwritten

Skip Restore of File

When you select this option, the instruction that you give Open Plan depends on the button that you click:

  • Clicking Yes instructs Open Plan to not restore the identified file.

  • If the file is a dependent file, Open Plan retains the link to the existing file of the same name.

    Open Plan redisplays the Restore Target Exists dialog box for the next file that will be modified by the restore operation.

  • Clicking Yes to All instructs Open Plan to not restore any of the remaining files in the backup set. Open Plan closes the Restore Target Exists dialog box.

Overwrite Existing File

When you select this option, the instruction that you give Open Plan depends on the button that you click:

  • Clicking Yes instructs Open Plan to overwrite the existing file with information from the backup file.

  • Clicking Yes to All instructs Open Plan to overwrite all remaining affected files with information from the backup file.

Rename and Restore

When you select this option and click Yes, Open Plan enables a text box that you can use to provide a new name for the restored file.

Buttons

The following buttons are located along the right edge of the dialog box:

  • Yes — Clicking this button applies your selected action to only the displayed file.

  • Yes All — Clicking this button applies your selected action to all remaining files in the backup set.

  • Cancel — Clicking this button cancels the restore operation and closes the dialog box.

  • Help — Clicking this button displays this Help topic.

Location

This dialog box displays automatically during a Restore operation whenever Open Plan detects differences between the backup set and the files that will be modified by the restore operation.

Related Topics and Procedures

Related Topics

Using the Restore Wizard

Using the Data Missing from Target Data Source Dialog Box

Using the Structure Differences Dialog Box

Using the Restore Process Dialog Box

Using the Restore Required Dialog Box

Using the Backup Dialog Box

Related Procedures

Backing Up Open Plan Data

Restoring Data From a Backup File


Structure Differences Dialog Box

This dialog box features the following controls that allow you to instruct Open Plan on the action to take when there is a structure difference between the data in the backup file and the version of the file on the database.

Skip Restore

Selecting this option instructs Open Plan to interrupt the restoration process and display the Restore Process dialog box that you can use to take one of the following further actions:

  • Cancel Restore Process — Selecting this option cancels the restore process and closes the dialog box.

  • Re-select Restore Files — Selecting this option returns you to the Restore - Details dialog box where you may re-select the files to be restored.

Ignore Structure Differences - Continue to Restore

Choosing this option instructs Open Plan to ignore the differences between the structures and to continue with the restore procedure.

OK

Clicking this button puts your selection of either Skip Restore or Ignore Structure Differences - Continue to Restore into effect and closes the Structure Differences dialog box.

Cancel

Clicking this button cancels your selection of either Skip Restore or Ignore Structure Differences - Continue to Restore and closes the Structure Differences dialog box.

Help

Clicking this button displays the Help system.

Location

Open Plan displays this dialog box during the Restore Operation if it determines that there is a difference between the file structure in the backup file and the file that will be modified during the restore operation.


Adding a Data Source Connection

Add a Data Source Connection

To add a data source connection, complete the following steps:

  1. From the File menu, click Preferences » Data Sources.

  2. In the Data Sources dialog box, click Add.

  3. In the Windows Data Link Properties dialog box, enter the appropriate settings for the new data source.

  4. Click OK.

Related Topics and Procedures

Related Topic

Using the Data Sources Dialog Box

Related Procedures

Selecting a Data Source

Editing a Data Source Connection

Deleting a Data Source Connection


Selecting a Data Source

Select a Data Source

To select a data source, complete the following steps:

  1. From the File menu, click Preferences » Data Sources.

  2. In the Data Sources dialog box, select the appropriate data source.

  3. Click OK.

Your selection will take effect the next time you logon to Open Plan.


Editing a Data Source Connection

Edit a Data Source Connection

To edit a data source connection, complete the following steps:

  1. From the File menu, click Preferences » Data Sources.

  2. In the Data Sources dialog box, select the data source that you want to edit.

  3. Click Edit.

  4. In the Edit Data Source dialog box, make any needed modifications.

  5. Click DataLink Properties.

  6. In the Windows DataLink Properties dialog box, enter the appropriate settings for the data source.

  7. Click OK to return to the Edit Data Source dialog box.

  8. Click OK.

For more information about editing the data source, see the Deltek EPM Security Administrator help system.

Related Topics and Procedures

Related Topic

Using the Data Sources Dialog Box

Related Procedures

Selecting a Data Source

Adding a Data Source Connection

Deleting a Data Source Connection


Deleting a Data Source Connection

Delete a Data Source Connection

To edit a data source connection, complete the following steps:

  1. From the File menu, click Preferences » Data Sources.

  2. In the Data Sources dialog box, select the data source that you want to delete.

  3. Click Delete.

  4. When asked to confirm the deletion, click OK.

If you are currently connected to the data source that you are deleting, the deletion will not take effect until the next time you start Open Plan.

Related Topics and Procedures

Related Topic

Using the Data Sources Dialog Box

Related Procedures

Selecting a Data Source

Adding a Data Source Connection

Editing a Data Source Connection


Security and the Security Administrator

Open Plan features a comprehensive set of security-related features that allow a system administrator to control access to both Open Plan data and to the application itself. The Common Security Model (CSM) supports the definition of users, groups, and roles.

You can perform the following security-related operations from within Open Plan:

  • Define access rights for project data

  • Change your user password

In addition, the Security Administrator provides a comprehensive set of security-related features that allow a system administrator to control access to both an application and its data.

Defining Access Rights

You can define the access rights to any project, resource file, calendar file, code file, view template, and baseline file for which you are the “owner.” By default, the owner of a file is the user who creates the file. By creating the file, the owner is automatically given full read/write access rights to the data and can grant rights to other users.

Both the current owner and any user in the SYSADMIN group can transfer ownership of the file to another user.

Security access rights are granted the same way for all files except a baseline. For information about defining access right to a baseline, see Defining Access Rights to a Baseline.

Use the Project Properties dialog box Access Control tab to assign access rights.

If you provide access rights to a group for a project, members of that group automatically inherit read rights to all resource files, calendar files, code files, and external subprojects assigned to that project. Note, however, it is possible that after you change the ownership of a project to another user, you may not have rights to save the project. If this occurs, close the project without saving.

Provided that you are the owner or have SYSADMIN rights, you do not have to open a project or file in order to grant access rights to it on this tab.

Changing Your User Password

To change your user password (that is, the password you enter when you start Open Plan), use the Change Password command to display the Change Password dialog box.

Related Topics and Procedures

Related Procedures

Specify Access Rights for a Group or User

Define Access Rights to a Project

Define Access Rights to an Ancillary File

Change Your Login Password


Owner_Delegate Role

Use the Owner_Delegate role to allow other users to act as the owner when the file owner is not available. This role displays in the list of roles that can be assigned on any Access Control screen in Open Plan.

The Owner_Delegate role affects three areas of Open Plan:

  • Object Security: If you are the Owner_Delegate of an object, you have the same access control to a file as the user assigned as the Owner. You can share file backups across organizations and change the file access control rights without being in the SYSADMIN group. You cannot change the file owner.

  • Project Baseline Security: If you are the Owner_Delegate of a project, you may edit the project baselines access control information.

  • Restore Process: You may restore an object that you do not have rights to if you currently have the Owner_Delegate role on an existing object with the same name in the database. This allows you to restore backups from previous versions of the software which did not support the Owner_Delegate role. The restore process also transfers any existing Owner_Delegate assignments on existing objects to the restored objects as part of the restore process.

What do you want to do?

Change the Access Rights of an Object

Grant File Access Rights

Related Topics and Procedures

Related Topics

Using the Change Access Rights Dialog Box

Using the Baseline Access Control Dialog Box

Security and the EPM Security Administrator


Security Administrator

The Deltek family of products provides a comprehensive set of security-related features that allow a system administrator to control access to both an application and its data. These features are accessed through the EPM Security Administrator (EPMSA), a common security utility designed to work with Deltek’s software applications.

For more information about the Security Administrator, see the EPM Security Administrator online help.

The Security Administrator Model is designed around four interrelated elements:

  • User: The individual

  • Group: The group of which the user is a part. While groups are frequently functional entities within the organization, this is not necessarily the case, and a user may be a member of any number of groups.

  • Role: The functional role that the group or user has under a given set of circumstances.

  • Object: The items to which a group (and ultimately, the user) can have rights. For example, an object may be a project, an ancillary file, or a view.

An illustration of the way in which users, groups, roles, and objects are related:

Login Lockout

Using the Security Administrator, a user with system administrator access can prevent users from logging into Open Plan. When users try to log into Open Plan, they receive a message stating that the system administrator has disabled logins to the data source. Clearing the message returns the users to the Open Plan Login dialog box, where they can cancel the login attempt completely or use Ctrl+Login to select another data source.

This function would be useful, for example, if maintenance needed to be performed on the database. If even one user was logged in, the maintenance could not be performed.

Login Message

Using the Security Administrator, a user with system administrator access can specify a message that is displayed to all users when they log into Open Plan. This function would be useful, for example, to warn users of scheduled downtime for upcoming database maintenance.

Session Termination

Using the Security Administrator, a user with system administrator access can remotely terminate the Open Plan session for any user logged into the program. When a user’s session is terminated, the user receives a warning that Open Plan has been terminated by the system administrator and will automatically close in 10 seconds.

Please note that any unsaved changes to Open Plan are lost when the program is remotely terminated by the system administrator. Once the termination message is displayed, users cannot perform any actions in Open Plan. Hopefully, the system administrator sent a message to the users informing them to save their information before issuing the session termination.

User Notification in Security Administrator

Using the Security Administrator, a user with system administrator access can send a message to any user logged into Open Plan. Messages can be sent to individual users or several users at once.

This function is similar to the Send Message command on the Open Plan File menu.

This function would be useful, for example, if the system administrator needed to inform all users to log out so that database maintenance could be performed.

Related Topics and Procedures

Related Topic

Security and Security Administrator Overview


File Management

To help you handle project-related data files, Open Plan provides the following functions related to file management:

  • Opening files

  • Saving files

  • Closing files

  • Deleting data files

  • Backing up projects and associated data files

  • Restoring projects and associated data files

  • Checking files in and out (Briefcasing)

  • Changing a file’s access mode

  • Changing Ownership and Access Rights

Related Topics and Procedures

Related Procedures

Deleting an Open Plan File

Set the Default Access Mode for a Project

Set the Default Access Mode for an Ancillary File

Change the Ownership and Access Rights of a File

Close an Open Plan File

Grant File Access Rights

Open Last File on Startup

Save an Open Plan File

Send an Open Plan File as an Email Attachment

Back Up Open Plan Data


Opening a File

Each time you open a file in Open Plan using the File Open dialog box, you can select the access mode for the operation:

  • Exclusive: Opening a file in this mode puts a lock on the data preventing other users from being able to change the data. Other users can only open the file in Read Only mode. For more information, see Working in the Exclusive Mode.

  • Shared: Opening a file in this mode allows multiple users to access and change the data of the file. For more information, see Working in the Shared Mode.

  • Read Only: Opening a file in this mode allows you to only view the data and not make any changes. For more information, see Working in the Read Only Mode.

When you select a file from the list, Open Plan indicates which modes are available for that file by enabling/disabling the appropriate selections. For instance:

  • If you select a program that another user has opened in Exclusive mode, the Exclusive and Shared options are disabled, and the Read Only option is active.

  • If you select a file that another user has opened in Shared mode, the Exclusive mode is disabled, and the Shared and Read Only modes are active.

  • If you select a file that another user has opened in Read Only mode, all three modes are active.

If the file you want to open is already open by another user, Open Plan enables or disables the access modes as appropriate depending on the mode in which the file is already open. For example, if the file you want to open is already open by another user in Exclusive mode, Open Plan will disable the first three modes and only allow you to choose Read Only.

In some cases, however, it may be impossible for Open Plan to fulfill your request. This can happen if another user has opened the same file that you want between the time it takes you to you display the File Open dialog box and make your selection. Open Plan issues a warning when it cannot fulfill your request. For example, assume you display the File Open dialog box and select a project to open in Exclusive mode. Before you click OK, another user selects the same file to open in Exclusive mode and hits OK. Since the other user beat you to the punch, the project opens for them, and you receive a warning indicating that you cannot open the file.

You can also select multiple files to open at one time by either holding Shift or Ctrl and clicking the desired files. Open Plan will attempt to open the files in the mode you specify. If a file cannot be opened in the specified mode, it will be opened in the highest mode available. For example, assume you select three projects to open in exclusive mode and one of the projects is already open in shared mode by another user. Open Plan will open two projects in exclusive mode and the third in shared mode since that is the highest mode available for that project.

When you open a project (regardless of the access mode you select), the ancillary files associated with the project are opened in the default access mode established on the Preferences tab of the Project Properties dialog box. If you open an ancillary file outside the context of a project, rightclicking the file and clicking Default on the Open submenu opens the ancillary file in the default access mode established on the Properties dialog box for that file.

You can set the default access mode for projects and ancillary files. For more information, see Setting the Default Access Mode.

Related Topics and Procedures

Related Topic

Working in a Multi-User Environment

Related Procedures

Set the Default Access Mode for a Project

Set the Default Access Mode for an Ancillary File


Save Files

Open Plan provides the following two commands that allow you to save a file:

  • Save As: Allows you to save the file with a new name. This command is frequently used to copy a file.

You cannot perform Save As on a file if there is another file open which refers to it. For example, if you open project CLEAN and then try to perform a Save As on the calendar file CLEANCAL, you are given the following warning: "Cannot perform Save As on Calendar File CLEANCAL because there are open objects referring to it." Since CLEAN refers to CLEANCAL, you need to close the project before you can perform Save As on CLEANCAL.

  • Save: Allows you to save the file using its current name provided that it is open in exclusive mode. If you opened the file in the read-only mode, the Save command is not available.

The conditions under which the Save command is available depend on the mode in which you opened the file:

  • Exclusive: If you opened the file in the exclusive mode, you can use the Save command at any time.

  • Shared: If you opened the file in the shared mode, Open Plan tries to save the data whenever you edit something and click OK. If another user has made a change to the record you have displayed, Open Plan displays a message alerting you to this circumstance and refreshes the data. This allows you to view the changes made by another user before you make additional modifications. For more information about working with files opened in Shared mode, see Working in the Shared Mode.

Related Topics and Procedures

Related Topics

Using the Save As Dialog Box

Using the Save Changes Dialog Box

Using the Select Baselines to Save Dialog Box

Related Procedures

Saving an Open Plan File

Copying an Open Plan File


Saving Files As Text

When during either a Copy or Cut operation, you select more data than can fit on the clipboard, Open Plan asks whether you want to save a text file representation of the data for use by an external program such as Excel.

If you answer Yes to this message, Open Plan displays the Save As dialog box so that you can save the data in a delimited text format.

Your response to the message does not affect the copying and pasting of data within Open Plan. However, if you say No, only the first 64K of text data will be available on the clipboard for other applications.

Related Topics

Related Topics

Saving Files

Using the Save As Dialog Box


Close Files

The operation performed when you issue a Close command depends on what method you use and the context in which you issue the command.

Clicking Close on the File menu

  • In an activity data view, such as a barchart or spreadsheet view, clicking the Close command on the File menu closes the project.

  • Selecting an open ancillary file and clicking the Close command on the File menu closes the ancillary file.

  • Selecting an open project in the hierarchy pane of the Open Plan Explorer and clicking the Close command on the File menu closes the project

Clicking Close on a context menu

  • Right-clicking an open project and clicking Close on the shortcut menu closes the project.

  • Right-clicking an open ancillary file and clicking Close on the shortcut menu closes the ancillary file.

Clicking the Close Button

  • Clicking the Close button in the upper-right corner of a view closes that view but leaves the project open.

Clicking Close on the Control Menu

  • Clicking Close on the Control Menu for Open Plan closes the program.

Using the F4 Key

  • Pressing Alt+F4 closes Open Plan.

  • Pressing Ctrl+F4 from a view closes that view but leaves the project open.

You can use the Close All option to close all open projects, ancillary files, and dialog boxes at the same time instead of having to close each one separately. If you have unsaved changes, a message prompts you to save your changes. See Close All Open Plan Files (Procedure) for more information.

Related Topics and Procedures

Related Topics

Using the File Open Dialog Box

Using the Find and Replace Dialog Box

Opening a Project or Ancillary File

Saving a Project or Ancillary File

Assigning Ancillary Files to a Project

Deleting Projects

Deleting Ancillary Files

Deleting Views

Related Procedures

Opening an Open Plan File

Saving an Open Plan File


Backing Up a File

The Backup File command allows you to create a backup copy of a project and any of the following associated with that project:

  • Calendars

  • Codes

  • Resources

  • System Library

  • Views

If the project includes references to external subprojects that are open, these subprojects are included with the master project as well.

By default, all the information about a project and its ancillary data files is stored by Open Plan in a single file with the extension .bk3. You can also use the Backup Data command to back up calendar, code, project, resource, system library, and view files outside of the context of a project.

Open Plan includes all defined step user-defined fields and corresponding data in the backup file.

In order to back up a project, you must have write access to it.

On the File menu, point to Manage Files, and click Backup Data to display the Backup dialog box which displays a hierarchical list of all the files in the data source. You can use this dialog box to select the file(s) to back up.

Related Topics and Procedures

Related Topic

File Management Overview

Related Procedure

Back Up Open Plan Data


Restoring Data

You can use the Restore Data command to restore the information stored in a backup file set. When you restore a file, Open Plan allows you to provide a new name for the file. This feature is handy in cases where you do not want to overwrite existing versions of the files.

After selecting the backup file set to restore, Open Plan displays the first page of the Restore wizard.

If you choose not to include ancillary data and external subprojects when you restore a project and click Finish, Open Plan checks to see if these files already exist in the target data source. If the files do exist, then the restore process proceeds normally. If the ancillary files and external subprojects do not exist, Open Plan displays the Restore Required dialog box. In order for the restore process to proceed, the files in the list on the Restore Required dialog box must be restored. Clicking Restore instructs Open Plan to automatically restore the files in the list and then proceed with the rest of the restoration process.

If the backup file being restored contains data fields that do not exist in the target data source, Open Plan displays the Data Missing From Target Data Source dialog box that allows you to create the missing fields in the target data source.

If Open Plan determines that there are fields present in the backup that it cannot restore into the target data source, it will display the Structure Differences dialog box. Normally, if a user has added non-standard fields to Open Plan, their values are backed up during the backup process. Under most circumstances, these will usually be user-defined fields. It is possible, however, for a user to modify the structure of our tables and put non-standard fields in a table that does not support user-defined fields. In this event, Open Plan will not be able to add the missing fields as user-defined fields and displays the new dialog. This dialog will appear in very rare circumstances.

Open Plan restores all defined step user-defined fields and corresponding data included in a backup file. When restoring into a target data source without the definitions, Open Plan gives you an option to add the missing data.

Related Topics and Procedures

Related Topic

File Management Overview

Restore Wizard

Restore Required Dialog Box

Data Missing From Target Data Source Dialog Box

Structure Differences Dialog Box

Related Procedure

Restore Data From a Backup File


Deleting a File

With the Delete File command, you can delete any project or project-related data file from the data source. On the File menu, point to Manage Files, and click Delete File on the submenu to display the Select File to Delete dialog box.

This dialog box displays a list of files based on the type of file you select in the File Type field. Also, depending on the file type, Open Plan performs one of the following actions when you delete a file:

  • If the file is a project, all the project data is deleted from the data source. The links created in the Project folder to any ancillary files are removed, but the ancillary file data itself is not deleted. Any links to the project in your My Folder are also removed.

  • If the file is a calendar file, resource file, code file, or view template, the actual data is deleted from the data source.

A file cannot be deleted if it is referred to by another file. For example, you cannot delete a resource file if a project still uses it.

Related Topics and Procedures

Related Topic

File Management Overview

Related Procedure

Deleting an Open Plan File


Change the Access Mode

Open Plan supports the following access modes:

  • Exclusive: In this mode, you have exclusive access to the file. Other users can only open the file in read-only mode (regardless of their access rights to the file).

  • Read Only: In this mode, you can view the data in the file and copy the file using the Save As command. However, you cannot modify the original file in any way.

  • Shared: In this mode, you can read and write to the original project file. More than one user may have shared access to a file at the same time.

When you open a file by right-clicking an icon in the Open Plan Explorer, Open Plan also allows you to select Default. This option opens the file in the access mode that was identified as the default on the General tab of the Properties dialog box.

The Change Mode command allows you to change the access mode in which you have a file open.

On the File menu, point to Manage Files, and click Mode on the submenu to display the Change Access Mode dialog box. The Access Mode list displays the modes to which you can change the file. If the file is currently open by another user, the mode in which that user has the file open may impact the changes that you can make. For example, both you and another user have a file open in shared mode, you can only change the mode to Read-Only. The Exclusive mode is disabled.

Once you have selected a new access mode for the file, you must click Change in order to put the new access mode into effect.


Change Ownership and Access Rights

The Change Ownership and Access Rights dialog box allows you to change the ownership and/or access control information for one or more project, resource, code, calendar, or view objects. This option is available only to the object's owner or users with System Administrator rights.

You can access this feature by clicking File » Manage Files » Owner and Access Rights.

Using the appropriate option, you can filter the display of objects on the dialog box by owner and object type. You can also sort the displayed objects by column in either ascending or descending alphabetical order by clicking the column heading.

Change Owner

Click this button to change the currently selected owner. Clicking this button displays the Change Owner dialog box.

Change Access Rights

Select one or more objects and then click the Change Access Rights button to change the access control information for the object(s), It displays either the Change Access Rights dialog box or Change Baseline Access Rights dialog box.

When you change access rights, Open Plan only allows you to select either baseline or other objects. If you selected baselines and other objects, it displays an error message informing you to select baselines separately from other objects

Related Topics and Procedures

Related Procedures

Change the Owner of an Object

Change the Access Rights of an Object


New File Wizard

Using the New File Wizard, you can easily specify many attributes of the new project or ancillary file.

Open Plan displays the following information about the file at the top of each page of the New File Wizard.

Name

The name of the file as entered in the New File dialog box. You can change the information in this field on any page of the wizard.

Owner

Your user ID is displayed in this field. Because you are creating the file, Open Plan identifies you as its owner. Only you or the security administrator can assign access rights to the file to other users. Access rights are assigned on the Access Control tab of the file’s Properties dialog box.

Description

The description of the file is displayed in this field. While this description may have been entered in the New File dialog box, it may also be entered or changed on any page of the wizard.

New File Wizard Pages

Depending on the type of file that you are creating, the New File Wizard displays a selection from the following pages:

  • Create: This page displays for all types of files you create. You can use this page to specify whether you want to create a new blank file, a new file as a copy of another, a new file using a template, or a new file from the default project. In addition, if you are creating an ancillary (resource, calendar, or code) file, you can also specify the default access mode and startup view on this page.

  • Project Templates: This page displays only when you are creating a new project, multiproject, or project template and you have selected the Create a new file from project templates option on the Create page. It allows you to select the template(s) to use for the new file.

  • Summary: This page displays only when you are creating a project or multiproject. You can use it to enter summary information about the project.

  • Files: This page displays when you create a project, multiproject, or resource file. You can use it to select the ancillary files that the project or resource file will use. If the ancillary file you want to use does not yet exist, you can also create it "on the fly" by displaying the New File dialog box from this page.

  • External Subprojects: This page displays only when you are creating a multiproject. You can use it to select the external subprojects to be included in the new multiproject project.

  • Preferences: This page displays only when you are creating project or multiproject. You can use it to define the default preferences for the project.

  • Status Information: This page displays only when you are creating a project or multiproject. You can use it to enter status information about the project.

  • Code Structure: This page displays only when you are creating a code file. You can use it to define the structure of the code file.

  • Notes: This page displays when you are creating a project, resource or code file. You can use it to attach a note to the file.

  • Access Control: This page displays for all types of files you create. You can use it to define the access rights that groups or individual users with a specified role will have to the file you are creating.

After you have created your new file, Open Plan saves the setting choices you made on the pages in the New File Wizard. The next time you create a file, you have the option of using these saved settings as the default settings for the new file.

The following chart identifies the pages of the New File Wizard that are displayed for each type of file you can create:

Wizard Page | Project | Multiproject | Calendar | Resource | Code | Project Template
Create | x | x | x | x | x | x
Template Projects | x | x |  |  |  | x
Summary | x | x |  |  |  | x
Files | x | x |  | x |  | x
External Subproject |  | x |  |  |  |
Preferences | x | x |  |  |  | x
Status Information | x | x |  |  |  | x
Code Structure |  |  |  |  | x |
Notes | x | x |  | x | x | x
Access Control | x | x | x | x | x |

NEXT: The New File Wizard Create Page

Location

To launch the New File wizard, complete the following step:

  1. Take one of the following actions:

  • Double-click an empty area in either pane of Open Plan Explorer.

  • From the File menu, click New.

  • In Open Plan Explorer, press the Ctrl+N keys.

  • Use the New File wizard.

  • On the Quick Access Toolbar, click the New [image] button.

Related Topics and Procedures

Related Procedures

Create a New File with Default Settings

Create a New File with Custom Settings


New File Wizard Create Page

The Create page of the New File Wizard is displayed for all types of files. The fields that are displayed depend on the type of file (project, calendar, resource, code, or project template) you are creating.

Name

The name of the file as entered in the New File dialog box. You can change the information in this field on any page of the wizard.

Owner

Your user ID is displayed in this field. Because you are creating the file, Open Plan identifies you as its owner. Only you or the security administrator can assign access rights to the file to other users. Access rights are assigned on the Access Control tab of the file’s Properties dialog box.

Description

The description of the file is displayed in this field. While this description may have been entered in the New File dialog box, it may also be entered or changed on any page of the wizard.

Default access mode

This field is displayed only when you are creating an ancillary (resource, calendar, or code) file. If you are creating a new project, the Default Access Mode field is displayed on the Preferences page of the wizard. The setting you choose determines the default access mode when the file is opened.

  • Exclusive: A file that is open in Exclusive mode by one user can be opened only in Read Only mode by other users. When you have a file open in Exclusive mode, you can save any changes you make. You can also close the file without saving your changes.

  • Shared: If the file is open in Shared mode, multiple users can have access to the file at the same time. Open Plan saves the data whenever a user clicks OK in a dialog box that uses the shared file. This provides all users who have the file open with the latest information.

  • Read Only: If the file is open in Read Only mode, can view the file. You cannot, however, make any changes to the file while you have it open in this mode.

You can set a default access mode for the project and the ancillary (code, resource, calendar) files independently.

For more information, see Working in a Multi-User Environment.

Ancillary Files

This field is displayed when you are creating a resource file. It controls the default access mode (Exclusive, Shared, or Read Only) of the ancillary files attached to the resource file.

Create a new file

This option is always displayed. It allows you to create a new file using the settings you determine on the remaining pages of the wizard.

If you click Finish at any point during the wizard process, Open Plan immediately creates the new file, using default settings for the remaining pages of the wizard.

A user with system administrator rights can disable this option by selecting the Create New Projects Using Default Project on the Project tab of the Options dialog box.

Create a new file as a copy of an existing file

This option is always displayed. If you choose this option, the wizard enables a list of files of the type your are creating that are currently stored in the database. For example, if you are creating a resource file, the text box contains a list of currently stored resource files.

You must use this list to select the file to be used as a template.

If you are creating a project and choose to use a master project as the template, Open Plan prompts you to open the external subprojects. If you open these external subprojects, they will become internal subprojects in the new project. If you prefer to keep them as external subprojects, do not open them.

Create a new file from project templates

This option is enabled if you are creating a new project or new project template and you have at least one project template. Selecting this option enables the Project Templates page of the wizard that allows you to select templates to use for the project.

Create a new file from default project

This option is only enabled when the Create New Projects Using Default Project option is selected on the Project tab of the Options dialog box. It creates a new project from the default project you selected earlier.

When this option is available, all other options are dimmed.

Startup View

This field is displayed only when you are creating an ancillary (resource, calendar, or code) file. The setting you choose determines the view that Open Plan should display when the file is opened.

If you are creating a new project, the Startup View field is displayed on the Preferences page of the wizard.

Prompt Text

This field is displayed when you are creating a code file. It controls the default prompt text that is automatically entered in the Code File Prompt dialog box that displays when you attach a code file to a project or resource file.

Although this text is entered by default, you can change it before clicking OK in the Code File Prompt dialog box.

Location

To launch the New File wizard, complete the following step:

  1. Take one of the following actions:

  • Double-click an empty area in either pane of Open Plan Explorer.

  • From the File menu, click New.

  • In Open Plan Explorer, press the Ctrl+N keys.

  • Use the New File wizard.

  • On the Quick Access Toolbar, click the New [image] button.

Related Topics and Procedures

Related Topics

New File Wizard Project Templates Page

New File Wizard Summary Page

New File Wizard Files Page

New File Wizard External Subprojects Page

New File Wizard Preferences Page

New File Wizard Status Information Page

New File Wizard Code Structure Page

New File Wizard Notes Page

New File Wizard Access Control Page


New File Wizard Project Templates Page

This page displays when a new project, multiproject, or project template is created and the Create a new file from project templates option is selected on the Create page.

Name

The name of the file as entered in the New File dialog box. You can change the information in this field on any page of the wizard.

Owner

Your user ID is displayed in this field. Because you are creating the file, Open Plan identifies you as its owner. Only you or the security administrator can assign access rights to the file to other users. Access rights are assigned on the Access Control tab of the file’s Properties dialog box.

Description

The description of the file is displayed in this field. While this description may have been entered in the New File dialog box, it may also be entered or changed on any page of the wizard.

Project Templates to Include in New Project

The templates that have been assigned to the new project are listed in this table. This table displays the following information for each template:

  • Project Template: This column of the table displays the names of the project templates that you plan to use to create this project.

  • Mode: This column of the table displays the mode in which the project template is being used in the project. There are three modes:

  • Normal: The activities in the project template are inserted as activities directly into the project.

  • Subproject: The project template is added to the project as an internal subproject.

  • External Subproject: The project template is added to the project as an external subproject.

  • Subproject Name: This column of the table displays the name given to the project template when it is added to the project as either an internal or external subproject. If this column is blank, the project template name is used for the subproject name.

  • Project Name: This column of the table displays the name given to the project that is created when a project template is added to the master project as an external subproject.

  • Prefix: This column of the table displays the prefix to add to the project template activity ID’s. With the possibility that the activity ID’s in the template are the same as those in the project when you are adding the template in Normal mode, adding a prefix to the template activity ID’s help to ensure that they have unique ID’s. Please note that you can only add a prefix or a suffix to the project template activity ID’s. You cannot add both.

  • Suffix: This column of the table displays the suffix to add to the project template activity ID’s. With the possibility that the activity ID’s in the template are the same as those in the project when you are adding the template in Normal mode, adding a suffix to the template activity ID’s helps to ensure that they have unique ID’s. Please note that you can only add a prefix or a suffix to the project template activity ID’s. You cannot add both.

The following buttons help you manage the templates for the new project:

  • Select Templates: Clicking this button displays the Project Template Selection dialog box that you can use to select the template(s) to add to the the project. The dialog box also gives you the option to add the template(s) either as activities in the project, as an internal subproject, or as an external subproject. Plus, you can specify the number of times to add the selected template(s) to the project.

  • Delete Templates: Selecting a project template from the table and clicking this button deletes it from the project. When asked for confirmation, click Yes.

  • Change Settings: Selecting a project template from the table and clicking this button displays the Project Template Setup dialog box. This dialog box is used to change the mode in which the template is incorporated into the project and whether or not to add a prefix or suffix to the template activity ID’s.

Location

To launch the New File wizard, complete the following step:

  1. Take one of the following actions:

  • Double-click an empty area in either pane of Open Plan Explorer.

  • From the File menu, click New.

  • In Open Plan Explorer, press the Ctrl+N keys.

  • Use the New File wizard.

  • On the Quick Access Toolbar, click the New [image] button.

Related Topics and Procedures

Related Topics

New File Wizard Create Page

New File Wizard Summary Page

New File Wizard Files Page

New File Wizard External Subprojects Page

New File Wizard Preferences Page

New File Wizard Status Information Page

New File Wizard Code Structure Page

New File Wizard Notes Page

New File Wizard Access Control Page


New File Wizard Summary Page

The Summary page of the New File Wizard is displayed only when you are creating a project or multiproject. This page allows you to enter summary information about the project.

Name

The name of the file as entered in the New File dialog box. You can change the information in this field on any page of the wizard.

Owner

Your user ID is displayed in this field. Because you are creating the file, Open Plan identifies you as its owner. Only you or the security administrator can assign access rights to the file to other users. Access rights are assigned on the Access Control tab of the file’s Properties dialog box.

Description

The description of the file is displayed in this field. While this description may have been entered in the New File dialog box, it may also be entered or changed on any page of the wizard.

Project Manager

Use this field to specify the name of the project manager. While use of this field is optional, the information it contains is used in many reports.

Project Manager Email Address

Use this field to specify the project manager's email address. While use of this field is optional, Open Plan can use the information it contains as the "To" address in the email advisor.

Company

Use this field to specify your company name.

Client

Use this field to specify the name of the client for whom the project is created.

Project Priority

Use this field to specify the priority of the project. Open Plan uses the setting in this field when performing resource scheduling on a number of projects at one time. You can give the project a high priority by entering a low numeric value.

Create Summary Usage Upon Saving Project

Selecting this option instructs Open Plan to populate the Project Summary Usage (PSU) table when the project is saved. Open Plan uses this data when performing resource scheduling on a number of projects at one time.

Create Summary Usage Based On

Enabled when you select the Create Summary Usage Upon Saving Project option, this field allows you to specify the type of dates (early, late, or scheduled) that Open Plan should use when creating the summary usage record.

Location

To launch the New File wizard, complete the following step:

  1. Take one of the following actions:

  • Double-click an empty area in either pane of Open Plan Explorer.

  • From the File menu, click New.

  • In Open Plan Explorer, press the Ctrl+N keys.

  • Use the New File wizard.

  • On the Quick Access Toolbar, click the New [image] button.

Related Topics and Procedures

Related Topics

New File Wizard Create Page

New File Wizard Project Templates Page

New File Wizard Files Page

New File Wizard External Subprojects Page

New File Wizard Preferences Page

New File Wizard Status Information Page

New File Wizard Code Structure Page

New File Wizard Notes Page

New File Wizard Access Control Page


New File Wizard Status Information Page

The Status Information page of the New File Wizard is displayed only when you are creating a project.

Name

The name of the file as entered on the New File dialog box. You can change the information in this field on any page of the wizard.

Owner

Your user ID is displayed in this field. Because you are creating the file, Open Plan identifies you as its owner. Only you or the security administrator can assign access rights to the file to other users. Access rights are assigned on the Access Control tab of the file’s Properties dialog box.

Description

The description of the file is displayed in this field. While this description may have been entered on the New File dialog box, it may also be entered or changed on any page of the wizard.

Project Start

This is the date on which the project starts. You can specify the Project Start either by entering the date directly or by clicking the ellipsis at the right edge of the field and selecting a date from the calendar that is displayed.

The project start date is used for reporting purposes such as the default start date for barcharts.

Time Now

You can use this field to enter the original status date for the project. Open Plan uses this date as the default Time Now date the first time you perform time analysis.

You can specify Time Now either by entering the date directly or by clicking the ellipsis at the right edge of the field and selecting a date from the calendar that is displayed.

You can also specify the Time Now date on the Processes tab from the Schedule group in Open Plan Explorer.

When you create a new project, Open Plan sets the Time Now value to today so that the plan is in the current period. The exception to this is when you copy an existing project. In this case, Open Plan leaves the Time Now value from the copied project.

Auto Time Analysis

If you select this option, Open Plan will perform time analysis each time the data in the project changes.

You can also specify the Time Now date and select the Auto Time Analysis option on the Processes tab from the Schedule group.

Finish Type

You can use this field to specify the Type of target Open Plan should use when a Target Finish is set. You can select from the following Finish Types:

  • None: No target finish date is set.

  • Not Earlier Than: The earliest date on which the project can finish.

  • Not Later Than: The latest date on which the project can finish.

  • On Target: Combines the effects of the Not Earlier Than and the Not Later Than target dates.

Target Finish

This field is enabled only if you have selected one of the target types in the Finish Type field. If enabled, you can impose a finish date on the project either by entering the date directly or by clicking the ellipsis at the right edge of the field and selecting a date from the calendar that is displayed.

The target finish date affects the dates that the program calculates when performing time analysis or resource scheduling. Entering this date is optional. Ordinarily, you will want to give Open Plan as much flexibility as possible in its calculations by not setting a project target finish date.

Target Cost

You can enter a target cost for the project in this field.

Location

To launch the New File wizard, complete the following step:

  1. Take one of the following actions:

  • Double-click an empty area in either pane of Open Plan Explorer.

  • From the File menu, click New.

  • In Open Plan Explorer, press the Ctrl+N keys.

  • Use the New File wizard.

  • On the Quick Access Toolbar, click the New [image] button.

Related Topics and Procedures

Related Topics:

New File Wizard Create Page

New File Wizard Project Templates Page

New File Wizard Summary Page

New File Wizard Files Page

New File Wizard External Subprojects Page

New File Wizard Preferences Page

New File Wizard Code Structure Page

New File Wizard Notes Page

New File Wizard Access Control Page


New File Wizard Files Page

The Files page of the New File Wizard is displayed when you are creating either a project or a resource file. This page allows you to assign ancillary files to the file you are creating. The fields that display depend on the type of file you are creating.

It is not necessary to assign these ancillary files at this time. You can make the selections later through the appropriate project or ancillary file Information dialog box.

Name

The name of the file as entered on the New File dialog box. You can change the information in this field on any page of the wizard.

Owner

Your user ID is displayed in this field. Because you are creating the file, Open Plan identifies you as its owner. Only you or the security administrator can assign access rights to the file to other users. Access rights are assigned on the Access Control tab of the file’s Properties dialog box.

Description

The description of the file is displayed in this field. While this description may have been entered on the New File dialog box, it may also be entered or changed on any page of the wizard.

Calendar File

This field is displayed when you are creating a project, multiproject, or resource file. You can assign a single calendar file to the file you are creating. The way in which this calendar is used depends on the type of file you are creating.

  • If you are creating a project or multiproject, the calendar you select is used as the default calendar for project calculations.

  • If you are creating a resource file, the calendar you select is used as the default calendar when defining resource availabilities.

Clicking the ellipsis button next to the input field displays a Select dialog box from which you can select an calendar file. If the file you want to use does not yet exist, you can click New on the Select dialog box to create it. Once it is created, the new calendar file is automatically added to the Select dialog box.

Resource Definition File

This field is displayed only when you are creating a project or multiproject. You can use this field to assign a single resource definition file to the project.

Clicking the ellipsis button next to the input field displays a Select dialog box from which you can select an resource definition file. If the file you want to use does not yet exist, you can click New on the Select dialog box to create it. Once it is created, the new resource file is automatically added to the Select dialog box.

Code Files

This field is displayed when you are creating a project, multiproject, or resource file. You can assign up to 90 code files to the file you are creating.

Clicking the ellipsis button next to the input field displays the Assign Code dialog box. This dialog box allows you to assign code files for up to 90 code fields in the Project Directory, or Activity or Resource tables. Select a code file from the left pane and then select a field to assign it to in the right pane.

Each time you click OK to assign the selected code to the selected field, Open Plan displays the Code File Prompt dialog box. This dialog box allows you to change the prompt text for the code file before assigning it to the code field.

If the code has default prompt text defined (on the Properties dialog box for the code file), it is automatically entered when the Code File Prompt dialog box is displayed. If no prompt text has been defined for the code, the code file name is automatically entered on the dialog box. The code prompt is used instead of the generic field name (C1…C90) in any field list that is brought up in a specific context. For example, if “OBS” is the code prompt for C1 in Project Clean, that is what you will see when you select fields in an activity spreadsheet view opened under CLEAN. C1…C90 will appear in dialogs that are not opened under a specific context (such as the Calculated Fields Dialog).

Once you have entered the prompt text and clicked OK, Open Plan assigns it to the code file. You can change the prompt text by selecting the code in the right pane of the Assign Code dialog box and clicking Prompt to display the Code File Prompt dialog box again.

Code files are stored as either a rotated column or as a permanent column in the code’s associated table.

Rotated columns do not take up space in the database unless they are assigned values; assigned values are stored as records. When the records are accessed, they are “rotated” logically into the more familiar field structures. This method reduces the amount of database storage used when a code column is used sparsely, but may increase the amount of time needed to load and save data, especially if a column of data is densely populated.

Non-rotated columns require database storage even when there is no value for a particular record, but reduce loading and saving times.

If a code index (for example, Code 1, Code 2, Code 3, and so on, in the graphic above) does not currently have a rotated column assigned to it, then a user has the option of either creating a new column as a rotated or non-rotated column. The process of assigning codes can be performed when creating or changing properties for an Open Plan project.

Only users who have system administrator rights may make changes to the structure of a database table. That means that anyone attempting to make structural changes will be prompted to log in as the System Administrator. The user will be prompted for this login even if he is currently logged in as the System Administrator.

Location

To launch the New File wizard, complete the following step:

  1. Take one of the following actions:

  • Double-click an empty area in either pane of Open Plan Explorer.

  • From the File menu, click New.

  • In Open Plan Explorer, press the Ctrl+N keys.

  • Use the New File wizard.

  • On the Quick Access Toolbar, click the New [image] button.

Related Topics and Procedures

Related Topics

New File Wizard Create Page

New File Wizard Project Templates Page

New File Wizard Summary Page

New File Wizard External Subprojects Page

New File Wizard Preferences Page

New File Wizard Status Information Page

New File Wizard Code Structure Page

New File Wizard Notes Page

New File Wizard Access Control Page

Related Procedures

Assign Code Files to the Project Directory or the Activity/Resource Tables

Change the Code File Prompt for an Assigned Code File


New File Wizard Preferences Page

The Preferences page of the New File Wizard is displayed only when you are creating a project.

Name

The name of the file as entered on the New File dialog box. You can change the information in this field on any page of the wizard.

Owner

Your user ID is displayed in this field. Because you are creating the file, Open Plan identifies you as its owner. Only you or the security administrator can assign access rights to the file to other users. Access rights are assigned on the Access Control tab of the file’s Properties dialog box.

Description

The description of the file is displayed in this field. While this description may have been entered on the New File dialog box, it may also be entered or changed on any page of the wizard.

Default Date Format

This option controls the default format Open Plan uses for dates. For new projects, the default format is 31Dec07. However, you can choose from many other formats as well. If you later enter a date in a different format, Open Plan attempts to convert it to the format you selected as the default.

For example, if your default date format is 31Dec01, Open Plan makes the following conversions:

  • If you enter "31dec" and 2007 is the current year, Open Plan interprets the date as 31Dec07.

  • Open Plan always interprets 13/12/07 December 13, 2007, since 13 cannot be interpreted as a month.

If the date you enter is all numeric (for example, 10/01/07), Open Plan uses the order of month and year from your Windows system.

Default Activity Type

You can use this field to select one of the following default activity types for the project:

  • ASAP

  • Start Milestone

  • Discontinuous

  • Hammock

  • External Subproject

  • ALAP

  • Finish Milestone

  • Subproject

  • Effort Driven

Def. Activity Calendar

The default calendar to be used for all new activities within the project. Using a default activity calendar makes it easier to share one calendar file over all projects.

Default Res. Curve

The Default Res. Curve field displays the following choices:

  • All valid Spread Curves defined within the Spread Curves dialog box for which the user has at least read-only access

  • A blank curve type

By default, Default Res. Curve is blank. The Default Res. Curve value is used for all new resource assignments within the project. The Default Res. Curve option is available when using Backup or Save As.

Startup View

You can select the view that Open Plan should display by default when opening the project.

Def. Relationship Calendar

The default calendar Open Plan should use for all new relationships within the project.

Default Res. Level

The Default Res. Level field contains the following options:

  • none: forces the user to enter a value before the assignment can be saved

  • 1: resource availability value of 1

  • First availability: uses the first available record

By default, Default Res. Level is set to First Availability. The Default Res. Level value will be used for all new resource assignments within the project.

If a user attempts to save the assignment before entering a value (although 0 is a valid value and will be allowed if explicitly entered), the following warning message will be displayed: Save assignment with Level of zero? This warning message will be displayed only once when a user attempts to save the multiple assignments to multiple activities before entering a value.

The Default Res. Level option is included in Backup and Save As.

Conversions

Since Open Plan stores all durations internally in minutes, conversion factors are required when a duration is entered in a format other than minutes or hours.

Three settings control the way in which Open Plan converts durations into minutes from different time units:

  • per Day: Controls the number of hours and minutes per day that are used in the conversion. The default setting is 8 hours and 0 minutes.

  • per Week: Controls the number of hours and minutes per week that are used in the conversion. Typically, this would be the number of hours per day multiplied by the number of work days in a week. The default setting is 40 hours and 0 minutes.

  • per Month: Controls the number of hours and minutes per month that are used in the conversion. Typically, this would be the number of hours per day multiplied by the number of work days in a month. The default setting is 160 hours and 0 minutes.

Durations

  • Default Units: By specifying a default duration unit, you can enter durations in the project without specifying a unit. You can specify any of the following units: Minutes, Hours, Days, Weeks, or Months.

  • Min Calculated Duration: You can use this field to specify the minimum duration unit that Open Plan should use in calculations for the project. Calculated durations include those generated while stretching a bar in the barchart view.

  • Default Activity Duration: Specify the default activity duration for new activities in the selected project. When the project is created, this field is populated with the value in the Default Duration field on the Options dialog box Project tab. When you enter a value, all activities created after the value is entered default to the new value. To set the default activity duration for the selected project, see Set the Default Activity Duration at the Project Level. You can enter a number with or without a unit (for example 1w for 1 week). If you enter a value without a unit in the Default Activity Duration field and at the same time you change the value in the Default Duration Units field, the default duration unit that is used is the one prior to the latest change.

This field only sets the default for the selected project. To set the default activity duration at the system level for all new projects, enter a value in the Default Duration field on the Options dialog box Project tab.

Default Access Modes

Using the Default Access Mode fields, you can set separate default access modes for the project and for its ancillary files. Open Plan Professional features the following access modes:

  • Exclusive: A project or ancillary file opened in Exclusive mode can be opened by other users only in Read Only mode. When you have a file open in Exclusive mode, you can save any changes you make. You can also close the file without saving your changes.

  • Shared: This mode allows two or more users to access a file and work with the data at the same time. When you have a file open in Shared mode, any changes that you make to the file are automatically saved as soon as they are made. This provides all users who have the file open with the latest information.

  • Read Only: This mode allows you to view the project or ancillary file. You cannot, however, make any changes to the file while you have it open in this mode.

For more information about access modes, see Working in a Multi-User Environment.

Location

To launch the New File wizard, complete the following step:

  1. Take one of the following actions:

  • Double-click an empty area in either pane of Open Plan Explorer.

  • From the File menu, click New.

  • In Open Plan Explorer, press the Ctrl+N keys.

  • Use the New File wizard.

  • On the Quick Access Toolbar, click the New [image] button.

Related Topics and Procedures

Related Topics

New File Wizard Create Page

New File Wizard Project Templates Page

New File Wizard Summary Page

New File Wizard Files Page

New File Wizard External Subprojects Page

New File Wizard Status Information Page

New File Wizard Code Structure Page

New File Wizard Access Control Page


New File Wizard External Subprojects Page

The External Subprojects page of the New File Wizard is displayed only when you are creating a multiproject. This page allows you to select the external subprojects to include in the multiproject. The text box on this page displays a list of all the projects currently stored in the database.

Open Plan displays the following information about the new project at the top of each page of the wizard.

Name

The name of the file as entered on the New File dialog box. You can change the information in this field on any page of the wizard.

Owner

Your user ID is displayed in this field. Because you are creating the file, Open Plan identifies you as its owner. Only you or the security administrator can assign access rights to the file to other users. Access rights are assigned on the Access Control tab of the file’s Properties dialog box.

Description

The description of the file is displayed in this field. While this description may have been entered on the New File dialog box, it may also be entered or changed on any page of the wizard.

Select External Subprojects to Include in New Project

This text box displays a list of all the projects currently stored in the database. By default, the project(s) that were selected when you displayed the context menu are preselected in this list. You can, however, add or remove selections in this list by clicking them. The selected projects become external subprojects in the multiproject that is created when you click Finish.

Location

To launch the New File wizard, complete the following step:

  1. Take one of the following actions:

  • Double-click an empty area in either pane of Open Plan Explorer.

  • From the File menu, click New.

  • In Open Plan Explorer, press the Ctrl+N keys.

  • Use the New File wizard.

  • On the Quick Access Toolbar, click the New [image] button.

Related Topics and Procedures

Related Topics:

Working with Hierarchical Projects

New File Wizard Create Page

New File Wizard Project Templates Page

New File Wizard Summary Page

New File Wizard Files Page

New File Wizard Preferences Page

New File Wizard Status Information Page

New File Wizard Code Structure Page

New File Wizard Access Control Page

Related Procedure:

Create a File Using the New Project Wizard

Create a New Multiproject


New File Wizard Code Structure Page

The Code Structure page of the New File Wizard allows you to define the structure for the new code file. This page is displayed only when you are creating a code file.

Name

The name of the file as entered on the New File dialog box. You can change the information in this field on any page of the wizard.

Owner

Your user ID is displayed in this field. Because you are creating the file, Open Plan identifies you as its owner. Only you or the security administrator can assign access rights to the file to other users. Access rights are assigned on the Access Control tab of the file’s Properties dialog box.

Description

The description of the file is displayed in this field. While this description may have been entered on the New File dialog box, it may also be entered or changed on any page of the wizard.

Code Type

Open Plan supports two types of code file structures:

  • Punctuated Significant: Open Plan uses a punctuation character to separate the part of the code that corresponds to the different levels in the structure.

  • Fixed Format Significant: The length of the code represents the structure level. Apart from the top-level code, each code is based on the name of its parent.

If you attempt to replace one code type with the other code type you will receive an error message: You cannot replace a code file of one structure with a code file of another structure.

Fixed Level Length

If you select the Fixed Format Significant code type, these fields are enabled. While Open Plan allows you to define up to 10 levels for the fixed level length, most planners find that 3 or 4 levels are all they need.

At each level, you can define the number of characters that will be used. The number you enter is cumulative.

The following example assumes that three levels have been defined in the code file:

Level | Code Length | Example
Level 1 | 2 | DV
Level 2 | 5 | DV215
Level 3 | 7 | DV21535

Note that the code at Level 2 includes the code of its parent, and that although the code length is defined as 5, only 3 new characters are added to the code.

Similarly, the code at Level 3 includes the code of its parent, and although the code length is defined as 7, only 2 new characters are added to the code.

Pad Calendar

The character specified as the pad character is used as a suffix to codes that do not use the defined length at a given level.

The following example assumes that three levels have been defined in the code file and that the pad character is "0":

Level | Code Length | Local Portion of Code | Code Example
Level 1 | 2 | DV | DV
Level 2 | 5 | 9 | DV900
Level 3 | 6 | A | DV900A

Note that only a single character is entered in the local portion of the code at Level 2 but that the cumulative code length is defined as 5. Open Plan pads the code out to the required length by adding two 0s as a suffix to the local portion of the code.

You can use any character (including a space) as a pad character.

Location

To launch the New File wizard, complete the following step:

  1. Take one of the following actions:

  • Double-click an empty area in either pane of Open Plan Explorer.

  • From the File menu, click New.

  • In Open Plan Explorer, press the Ctrl+N keys.

  • Use the New File wizard.

  • On the Quick Access Toolbar, click the New [image] button.

Related Topics and Procedures

Related Topics:

New File Wizard Create Page

New File Wizard Project Templates Page

New File Wizard Summary Page

New File Wizard Files Page

New File Wizard External Subprojects Page

New File Wizard Preferences Page

New File Wizard Status Information Page

New File Wizard Notes Page

New File Wizard Access Control Page


New File Wizard Notes Page

The Notes page of the New File Wizard allows you to define a note to be attached to a new project, resource file, and code file.

Name

The name of the file as entered on the New File dialog box. You can change the information in this field on any page of the wizard.

Owner

Your user ID is displayed in this field. Because you are creating the file, Open Plan identifies you as its owner. Only you or the security administrator can assign access rights to the file to other users. Access rights are assigned on the Access Control tab of the file’s Properties dialog box.

Description

The description of the file is displayed in this field. While this description may have been entered on the New File dialog box, it may also be entered or changed on any page of the wizard.

Note

This text box can contain up to 29 KB of text. You can enter the text by typing directly in this field or by using the Windows Cut (Ctrl+X), Copy (Ctrl+C), and Paste (Ctrl+V) commands to insert text from another Windows application such as a word processor or spreadsheet.

While you can use drag and drop functionality to create links in the Note field, the Windows Cut (Ctrl+X), Copy (Ctrl+C), and Paste (Ctrl+V) commands are not available for links.

Category

This field controls the category of the note. You can select a category from the list of categories set up in the database.

Although you can attach multiple notes to a project, you can attach only one note per category.

Click [image] to check the spelling in the note.

You can enter links to files, web pages, and email addresses by entering the information in one of the following formats:

  • File links must be entered in the format of: file://c:\document.doc

  • If the file link you enter contains spaces, you must enclose the link with angle brackets ( < > ) in order for the link to work properly:
    <    file://C:\Documents and Settings\All Users\Desktop\test.txt>

  • Universal Resource Locators (URLs) must be entered in the format of: http://www.deltek.com

  • Email addresses must be entered in the format of: mailto:contactus@deltek.com

Location

To launch the New File wizard, complete the following step:

  1. Take one of the following actions:

  • Double-click an empty area in either pane of Open Plan Explorer.

  • From the File menu, click New.

  • In Open Plan Explorer, press the Ctrl+N keys.

  • Use the New File wizard.

  • On the Quick Access Toolbar, click the New [image] button.

Related Topics and Procedures

Related Topics

New File Wizard Create Page

New File Wizard Project Templates Page

New File Wizard Summary Page

New File Wizard Files Page

New File Wizard External Subprojects Page

New File Wizard Preferences Page

New File Wizard Status Information Page

New File Wizard Code Structure Page

New File Wizard Access Control Page


New File Wizard Access Control Page

The fields on this page allow you to define the access rights that users who are members of a group with a specified role have to the project.

For each group that you want to provide with access rights to the project, you must also specify a role. It is the combination of group and role that is given access to the project.

Name

The name of the file as entered on the New File dialog box. You can change the information in this field on any page of the wizard.

Owner

Your user ID is displayed in this field. Because you are creating the file, Open Plan identifies you as its owner. Only you or the security administrator can assign access rights to the file to other users. Access rights are assigned on the Access Control tab of the file’s Properties dialog box.

Description

The description of the file is displayed in this field. While this description may have been entered on the New File dialog box, it may also be entered or changed on any page of the wizard.

Grid

The grid contains the following columns:

Group

By selecting a field in this column and selecting a group from the list, you can specify the groups that can have access to the file.

Role

When you select a group or user ID, its default role is displayed in this field. You can, however, change the role to any other role defined in the data source.

User ID

You can specify individual users who can access the file. Provided that you are entering this information on a separate row, it is possible to assign one access right to an individual user and a different access right to the group of which the individual is a member.

For example, assume that:

  • Tom is a member of the Pubs group.

  • You have assigned Read Only rights to the file to the Pubs group.

You can still give Tom full rights to the file by entering his ID on a separate row.

The Group and User ID settings are mutually exclusive. In other words, you cannot specify a group and an individual user on the same row of the grid. You can, however, give access rights to a group on one row and then give access rights to an individual on a separate row.

Read Only

This field acts as a limitation to the rights that might otherwise be permitted:

  • If this option is set to Yes, the group or user can view the file but can make no changes to it.

  • If this option is set to No, the group or user has all rights to the file that are permitted by the assigned role.

The security options for groups and roles are assigned using the Security Administrator.

Location

To launch the New File wizard, complete the following step:

  1. Take one of the following actions:

  • Double-click an empty area in either pane of Open Plan Explorer.

  • From the File menu, click New.

  • In Open Plan Explorer, press the Ctrl+N keys.

  • Use the New File wizard.

  • On the Quick Access Toolbar, click the New [image] button.

Related Topics and Procedures

Related Topics:

New File Wizard Create Page

New File Wizard Project Templates Page

New File Wizard Summary Page

New File Wizard Files Page

New File Wizard External Subprojects Page

New File Wizard Preferences Page

New File Wizard Status Information Page

New File Wizard Code Structure Page

New File Wizard Notes Page


Back Up Open Plan Data

To back up Open Plan data, complete the following steps:

  1. From the File menu, click Manage Files » Backup Data.

  2. In the Backup dialog box, select the file(s) to backup, and click OK.

  3. In the Save As dialog box, provide a name and location for the backup file set.

  4. Click Save.

If you are backing up a project, Open Plan automatically includes any associated ancillary files, views, and external subprojects in the backup file.

Related Topics and Procedures

Related Topic

Using the Backup File Dialog Box

Related Procedures

Restoring Data From a Backup File

Checking Out a Project

Undoing a Project Checkout

Checking In a Project

Viewing the Checked Out Status of a Project

Changing the Ownership and Access Rights of a File


Change the Access Rights of an Object

To change the access rights of an object:

  1. Click File » Manage Files » Owner and Access Rights.

  2. On the Change Owner and Access Rights dialog box, in the [Results] box, select the object(s) for which you want to change the access rights.

  • To select more than one object, use Ctrl+click or Shift+click. To select all the objects displayed, click Select All.

  • To display only those objects specific to an owner or an object type, select the appropriate value in the Owner drop-down list or Objects drop-down list.

  3. Click Change Access Rights.

  4. If you selected baseline objects, the Change Baseline Access Rights dialog box displays.

  5. If you selected other types of objects, the Change Access Rights dialog box displays.

  6. If you selected baseline and other objects, a message displays informing you that you need to change baseline access rights separately.

  4. On the Change Access Rights or Change Baseline Access dialog box, in the Delete From Access List section, you can select a group or user you want to remove from the access control list for the selected object(s), and click Delete.

A confirmation message informing you that Open Plan will replace all access rights for the selected objects with the access rights currently displayed in the table. Click Yes.

  5. In the Selected Objects Access Control or Selected Baseline Objects Access Control section, select the level of access that you want to add to the object in he drop-down list. Open Plan adds the corresponding access control entries to the table.

  6. In the table, add and/or delete the desired groups and users and make the necessary change to the entries.

  7. Select Replace Access List or Add to Access List.

  8. Click Update Access Controls.

  9. On the confirmation dialog box, click Yes.

  10. Click Close twice.

When changing access control information, individual access control entries can be added and deleted or all existing access control entries can be replaced with a new set of access control entries.

Related Topics and Procedures

Related Topics

Change Ownership and Access Rights Dialog Box

Change Owner Dialog Box

Change Access Rights Dialog Box

Change Baseline Access Rights Dialog Box

Properties Dialog Box — Access Control Tab

Related Procedure

Changing the Owner of an Object


Change the Owner of an Object

To change the owner of an object, complete the following steps:

  1. From the File menu, click Manage Files » Owner and Access Rights.

  2. In the Change Ownership and Access Rights dialog box, select the object or objects for which you want to change the owner. To select more than one object, use Ctrl+click or Shift+click. To select all the objects displayed, click Select All.

  3. Click Change Owner.

  4. Select a new owner from the New Owner drop-down list in the Change Owner dialog box, and click OK.

  5. Click Close.

Related Topics and Procedures

Related Topic

Using the Change Ownership and Access Rights Dialog Box

Using the Change Owner Dialog Box

Using the Change Access Rights Dialog Box

Related Procedure

Changing the Access Rights of an Object


Close an Open Plan File (Procedure)

Close an Open Plan File

To close a project file, complete the following steps:

  1. Display any project view for the project.

  2. From the File menu, click Close.

To close a data file, complete the following steps:

  1. Display a window containing information for the file that you want to close.

  2. From the File menu, click Close.

You cannot close ancillary files in use by an open project unless you close the project.

To close Open Plan, complete the following step:

  1. From the File menu, click Close.

You can use the Close All option to close all open projects, ancillary files, and dialog boxes at the same time instead of having to close each one separately. See Close All Open Plan Files (Procedure) for more information.

Related Topics and Procedures

Related Topic

Working with Open Plan Data

Related Procedures

Opening an Open Plan File

Saving an Open Plan File

Copying an Open Plan File

Deleting an Open Plan File


Copying an Open Plan File (Procedure)

Copy an Open Plan File

To copy an Open Plan file, complete the following step:

  1. Take one of the following actions:

  • Open the file that you want to copy, click Save As on the File menu, and assign a name to the file.

  • Use the Create a new file as a copy of an existing file option on the Create page of the new File Wizard.

Related Topics and Procedures

Related Procedures

Creating an Open Plan File

Opening an Open Plan File

Saving an Open Plan File

Closing an Open Plan File

Deleting an Open Plan File


Deleting an Open Plan File (Procedure)

Deleting an Open Plan File

You cannot delete a data file that is referenced by another file. For example, you cannot delete a resource file if any project still uses it.

Delete an Open Plan File using the Shortcut Menu

To delete a file using the shortcut menu, complete the following steps:

  1. In Open Plan Explorer, right-click the icon representing the file that you want to delete.

  2. On the shortcut menu, click Delete.

  3. When Open Plan asks you to confirm the deletion, click Yes.

The effect of performing a deletion in this manner depends on where the file reference is located in the hierarchy pane of Open Plan Explorer. For more information, see Delete a Project, Ancillary File, or View.

Delete an Open Plan File Using the Delete Key

To delete a file using the Delete key, complete the following steps:

  1. From the appropriate folder, select the file to delete.

  2. Press the Delete key.

  3. When Open Plan asks you to confirm the deletion, click Yes.

Delete an Open Plan File using the Select File to Delete Dialog Box

To delete a file using the Select File to Delete dialog box, complete the following steps:

  1. From the File menu, click Manage Files » Delete File.

  2. On the Select File to Delete dialog box, select the file you want to delete. You can use SHIFT+click or CTRL+click to select multiple files.

  3. Click OK.

  4. When Open Plan asks you to confirm the deletion, click Yes.

When you use this method, the data is deleted from the data source regardless of where the file reference is located in the hierarchy pane of Open Plan Explorer.

  • If the file is a project, all the project data is deleted from the data source. The links created in the Project folder to any ancillary files are removed, but the ancillary file data itself is not deleted. Any links to the project in your My Folder are also removed.

  • If the file is a calendar, resource, or code file, the file’s data is deleted from the data source and any links to in other folders.

Related Topics and Procedures

Related Topics

Using the Select File to Delete Dialog Box

Using the Delete Activity Dialog Box

Working with Open Plan Data

Related Procedures

Creating an Open Plan File

Opening an Open Plan File

Saving an Open Plan File

Copying an Open Plan File

Closing an Open Plan File


Granting File Access Rights (Procedure)

Granting File Access Rights

You can grant access rights to a file only if you are either the owner of the file or the system administrator.

To grant file access rights to a user group, complete the following steps:

  1. Right-click the file for which you want to grant access rights.

  2. On the shortcut menu, click Properties.

  3. On the Properties dialog box, click the Access Control tab.

  4. On the Access Control tab, specify the user groups their roles, and their level of access to the file.

  5. When the information is correct, click OK.

Related Topics and Procedures

Related Topics

Using the Properties Dialog Box Access Control Tab for an Ancillary File or View

Using the Project Properties Dialog Box Access Control Tab

Related Procedure

Changing Your Login Password


Opening a File in a Specified Mode (Procedure)

Opening a File in a Specified Mode

To open a file in a specified mode from Open Plan Explorer, complete the following steps:

  1. Right-click the icon representing the file you want to open.

  2. On the shortcut menu, point to Open.

  3. On the submenu, click the mode in which you want to open the file.

To open a file in a specified mode from a dialog box, complete the following steps:

  1. On the File menu, click Open.

  2. In the File Open dialog box, select the file that you want to open.

  3. Click the mode in which to open the file.

  4. Click OK.

Open Plan always attempts to open a project’s ancillary files in the mode specified on the Preferences tab of its Project Properties dialog box. If an ancillary file cannot be opened in the specified mode because of the mode in which another user has it open, the file is opened in the next most restrictive mode.

Related Topics and Procedures

Related Topic

Using the File Open Dialog Box

Related Procedures

Creating an Open Plan File

Saving an Open Plan File

Copying an Open Plan File

Closing an Open Plan File

Deleting an Open Plan File


Open an Open Plan File (Procedure)

Open an Open Plan File

To open an Open Plan file, complete the following steps:

  1. Take one of the following actions:

    • On the File menu, click Open.

    • Press Ctrl+O.

    • On the Quick Access Toolbar, click the Open [image] button.

  2. In the File Open dialog box, select the type of file you want to open from the List Files of Type list.

  3. Select the file you want to open.

  4. Select the mode (Exclusive, Shared, Read Only) in which you want to open the file.

    When you open a project, Open Plan attempts to open its ancillary files in the mode specified on the Preferences tab of its Project Properties dialog box. This setting overrides the default access mode for the ancillary file as set in its own Properties dialog box.

  5. Click OK.

You can select multiple files to open at once by either Shift+clicking or Ctrl+clicking the desired files and then clicking OK.

Related Topics and Procedures

Related Topic

Using the File Open Dialog Box

Related Procedures

Creating an Open Plan File

Saving an Open Plan File

Copying an Open Plan File

Closing an Open Plan File

Deleting an Open Plan File


Opening Last File on Startup (Procedure)

Opening Last File on Startup

To set Open Plan to automatically open the last file accessed in the previous session, complete the following steps:

  1. On the File menu, click Preferences » Application.

  2. On the General tab of the Options dialog box, click the Open Last File on Startup option.

  3. Click OK.

Related Topics and Procedures

Related Topic

Using the Options Dialog Box

Related Procedures

Modifying the List of Default Views

Disabling Start Up Procedures

Showing Summary Dates on Subprojects

Setting the Default Project


Restoring Data From a Backup File

Restore Data From a Backup

To restore data from a backup, complete the following steps:

  1. From the File menu, click Manage Files » Restore Data.

  2. In the Open dialog box, select the backup file that you want to restore, and click Open.

  3. On the first page of the Restore wizard, select the files to restore and the items that you want included, and click Next.

  4. On the Restore – Details page, expand the hierarchy to view which files are selected for the restoration process

  5. Select or clear any items as appropriate.

  6. Click Finish.

    For each item to be restored, Open Plan checks whether the item exists on the target database and takes one of the following actions:

    • If the item does not exist on the target database, Open Plan restores the item.

    • If the item exists on the target database, Open Plan displays the Restore Target Exists dialog box.

  7. For each Restore Target Exists dialog box that is displayed, select the appropriate option and click Yes:

    • Skip restore of file

    • Overwrite existing file

    • Rename and restore

    If you plan to take the same action for all the items, select the appropriate action, and click Yes All.

Related Topics and Procedures

Related Topic

Using the Restore File Dialog Box

Related Procedures

Backing Up Open Plan Data

Delete an Open Plan File

Checking Out a Project

Undoing a Project Checkout

Checking In a Project

Viewing the Checked Out Status of a Project

Change the Access Rights of an Object

Changing the Ownership and Access Rights of a File


Saving an Open Plan File (Procedure)

Save an Open Plan File

To save an Open Plan file, complete the following steps:

  1. Open the file you want to save.

  2. Take one of the following actions:

    • From the File menu, click Save.

    • Press the Ctrl+S keys.

    • On the Quick Access Toolbar, click the Save [image] button.

The Save command is available only if you opened the file in exclusive mode. You can also save the file with a different name, location, or file type by clicking Save As on the File menu at any time.

You must also use the Save As command the first time you save a project created using the default project.

Related Topics and Procedures

Related Topic

Saving Files

Related Procedures

Creating an Open Plan File

Opening an Open Plan File

Copying an Open Plan File

Closing an Open Plan File

Deleting an Open Plan File


Sending an Open Plan File as an Email Attachment (Procedure)

Sending an Open Plan File as an Email Attachment

To send an Open Plan file as an email attachment, complete the following steps:

  1. Open the file that you want to send.

  2. On the File menu, click Send.

    This command is available only when Open Plan detects a MAPI-compliant mail system in your Windows configuration.

  3. In the Backup Items To Send dialog box, select the items to include in the email attachment.

  4. Click OK.

  5. In the Save As dialog box, enter a name and a location for the backup file.

  6. When your default email program opens, complete the address and subject lines, and enter a message.

  7. Send the email.

Related Topics and Procedures

Related Procedure

Preparing a Report for Publication on the Web


Working in a Multi-User Environment

Open Plan allows multiple users simultaneous access to project data. You can open project data in Exclusive, Read Only, and Shared mode as well. For information about each mode type, click on the following links:

  • Working in the Exclusive Mode

  • Working in the Shared Mode

  • Working in the Read Only Mode

You can set the default access mode for projects and ancillary files. For more information, see Setting the Default Access Mode.

Related Topics and Procedures

Related Topic

Working in a Multi-User Environment

Related Procedures

Set the Default Access Mode for a Project

Set the Default Access Mode for an Ancillary File


Work in Exclusive Mode

If you open a file using Exclusive mode, the file cannot be opened by other users except in the Read Only mode. In Exclusive mode, changes are not saved to a file until you use either the Save or the Save As command. This means that you can abandon your changes at any time by closing the file without saving the information.

You cannot perform Save As on a file if there is another file open which refers to it. For example, if you open project CLEAN and then try to perform a Save As on the calendar file CLEANCAL, you are given the following warning: "Cannot perform Save As on Calendar File CLEANCAL because there are open objects referring to it." Since CLEAN refers to CLEANCAL, you need to close the project before you can perform Save As on CLEANCAL.

Related Topics and Procedures

Related Topic

Working in a Multi-User Environment

Working in the Shared Mode

Working in the Read Only Mode

Setting the Default Access Mode

Related Procedures

Set the Default Access Mode for a Project

Set the Default Access Mode for an Ancillary File


Work in Shared Mode

You can work with project data in Shared mode. In this mode, it is possible for two or more users to access the data concurrently. To handle this situation, Open Plan uses an optimistic concurrency control approach that is based on the assumption that the probability of two users updating the same data item at the same time is relatively small.

If multiple users are updating the same set of records, it is possible that the information for a record has already been updated by another user. For example, assume you are updating project data using a dialog box. If you attempt to edit data that has already been changed by another user, Open Plan displays a message to that effect and asks if you want to view the updated information for the item before continuing. If you click Yes, Open Plan displays the new information for the record and allows you to reenter your edit; if you click No, Open Plan returns you to the current view without saving any changes.

Because changes are saved to the file as you make them, the Save command is not available in Shared mode. However, you can always use the Save As command to save the file under a different name.

In Shared mode, user-entered data (for example, activity information or costs) is stored, but data calculated by Open Plan (for example, dates generated by time analysis or resource scheduling) is not stored. As a result, you must open the project in Exclusive mode in order to save the results of a calculation.

In addition to calculated information, Open Plan does not allow you to save changes to information stored at the project level in the Shared mode. Thus, you cannot change the ancillary files assigned to a project information.

Shared Mode Locking

While in Shared Mode, you can apply a temporary exclusive lock on a project to perform processes like Time Analysis, Resource Scheduling, Risk Analysis, Cost Calculations, and Progress Calculations.

When you apply a lock on a project, other shared mode users will not be able to make changes while you have the lock in effect. To apply a temporary exclusive lock, complete the following steps:

  1. Select a project to which you want to apply the temporary exclusive lock.

  2. Click the Lock Project command on the Processes tab.

You can also apply the lock by right-clicking the project you selected, and click Shared Mode Lock from the context menu.

After a user releases the temporary exclusive lock on a project, a dialog box is displayed to other shared mode users, confirming the refresh of the project data. Clicking Yes ensures that the project data is current and updated. Note that the refresh retrieves data changed by other users but not globally calculated data such as the results of Time Analysis. To update calculated data, run the process on your machine.

The Administrator can use security to control which groups of users can acquire temporary shared mode locks.

Schedule Driver Analysis

You can run Schedule Driver Analysis in Shared mode. When you run in Shared mode, the results of the path analysis are not stored, They are available while the project is still open.

You cannot use Schedule Driver via OLE automation while in Shared mode.

Related Topics and Procedures

Related Topic

Working in a Multi-User Environment

Working in the Exclusive Mode

Working in the Read Only Mode

Setting the Default Access Mode

Related Procedures

Set the Default Access Mode for a Project

Set the Default Access Mode for an Ancillary File


Work in Read Only Mode

If you have opened a file in Read Only mode, it is possible for other users to have access to the same file in any mode. If another user who has the file open in Exclusive or Shared mode makes changes to the information, you cannot see the effect of those changes unless you close the file and reopen it. Also, you cannot make any changes to the file while in this mode.

Related Topics and Procedures

Related Topic

Working in a Multi-User Environment

Working in the Exclusive Mode

Working in the Shared Mode

Setting the Default Access Mode

Related Procedures

Set the Default Access Mode for a Project

Set the Default Access Mode for an Ancillary File


Setting the Default Access Mode

Although you can always select an access mode when opening a file from the Open File dialog box, it is also possible to open files from a context menu without displaying this dialog box. Right-clicking on a project folder or ancillary file in the hierarchical view and pointing to Open on the context menu displays a submenu with Default, Exclusive, Shared, and Read Only options.

If the file has been opened by another user, the appropriate modes will be enabled or disabled on this submenu. You can open the file in its default access mode by clicking Default.

You can use the Project Properties dialog box to set the default access mode for a project and its ancillary files when the project is opened in default mode. You can also use an ancillary files Properties dialog box to set its default access mode when the file is opened outside the context of a project.

For a project, you can use the Default Access Mode fields on the Project Properties dialog box Preferences tab to set the default mode for the project and ancillary files.

For a calendar, resource, and code file, you can use the Default Access Mode field on the Properties dialog box General tab to set the default mode.

Related Topics and Procedures

Related Topic

Working in a Multi-User Environment

Working in the Exclusive Mode

Working in the Shared Mode

Working in the Read Only Mode

Related Procedures

Set the Default Access Mode for a Project

Set the Default Access Mode for an Ancillary File


Change the Name of a Shortcut

To change the name of a shortcut, complete the following steps:

  1. In the Open Plan Explorer, locate the shortcut.

  2. Right-click the shortcut, and click Rename on the context menu.

  3. Type a new name for the shortcut and press Enter.

Related Topics and Procedures

Related Topics

Creating a Shortcut

Shortcut Properties

Related Procedures

Create a Shortcut

Edit Shortcut Properties

Changing the Properties of a Shortcut


Changing the Properties of a Shortcut

To change the properties of a shortcut, complete the following steps:

  1. In Open Plan Explorer, right-click the appropriate shortcut.

  2. On the shortcut menu, click Properties. Open Plan displays the name of the shortcut in the title bar of the Properties dialog box.

  3. In the Properties dialog box, make the appropriate changes and click OK.

Related Topics and Procedures

Related Topics

Shortcut Properties

Using the Properties Dialog Box

Using the Project Properties Dialog Box

Related Procedures

Changing the Properties of an Ancillary File

Changing the Properties of a View


Create a Shortcut

Create a Shortcut Using Copy and Paste

To create a shortcut using Copy and Paste, complete the following steps:

  1. In Windows Explorer, locate and select the appropriate file.

  2. Take one of the following actions:

  • On the Windows Explorer Edit menu, click Copy.

  • Press CTRL + C.

  3. In Open Plan Explorer, select the folder in which you want to create the shortcut.

  4. Press CTRL + V.

Open Plan creates the shortcut in the designated folder.

Create an Application shortcut using Drag and Drop

In order for this operation to work, you must be able to view both the Open Plan Explorer and the Windows Explorer at the same time. You can easily do this by starting both programs and then right-clicking the Windows Taskbar and clicking Tile Windows Horizontally (or Vertically).

To create an application shortcut using Drag and Drop, complete the following steps:

  1. In the Windows Explorer, locate and select the application.

  2. Drag the application and drop it in the target Open Plan folder.

Open Plan creates the application shortcut in the designated folder.

You can copy Windows Desktop Shortcuts to Open Plan by selecting the shortcut and either using the Cut/Paste or Drag/Drop method described above. You can also drag the icon preceding the URL name in the Address Bar of Internet Explore to the desired user created folder.


Edit Shortcut Properties

To edit the shortcut properties, complete the following steps:

  1. In Open Plan Explorer, locate the shortcut.

  2. Right-click the shortcut, and click Properties on the context menu.

  3. In the Properties dialog box, make the desired changes and click OK.

Related Topics and Procedures

Related Topics

Creating a Shortcut

Shortcut Properties

Related Procedures

Create a Shortcut

Change the Name of a Shortcut

Changing the Properties of a Shortcut


Backup Dialog Box

Use the Backup dialog box to back up the following data to a bk3 file:

  • Calendars

  • Codes

  • Projects

  • Resources

  • System Library

  • Views

When you create a backup of your files, you can include as many different items as you want. For example, if you back up a project, you can include all its ancillary data, views, and user data.

You can use any commercially available data compression tool to compress your backup set.

Check Items to Backup

Use this field to select the data you want to back up.

Click + to expand the data list for each category.

Select each item that you want to include in the backup file.

OK

Click when you have selected the items to back up. Open Plan displays the Save As window where you can edit the name of the backup file and select a file location.

Cancel

Click to close the dialog box without making any changes.

Select All

Click to select all items in the Check Items to Backup field. Open Plan automatically selects all items without expanding the categories.

Clear All

Click to deselect all of the items you have selected in the Check Items to Backup field.

Expand All

Click to expand all categories.

Help

Click to display the dialog box help topic.

Create Open Plan 3.3 Compatible Backup

Select this option to create a backup that you can restore in Open Plan 3.3. If this option is selected, files that are not compatible for Open Plan 3.3 backup will not be included. Review the backup log for the excluded items.

Location

To access the Backup dialog box, click File » Manage Files » Backup Data.

Related Topics and Procedures

Related Topics

Backup Data

Restore Data

Related Procedures

Back Up Open Plan Data

Restore Data From a Backup File

Back Up and Restore Open Plan Data


Change Access Mode Dialog Box

Use the Change Access Mode dialog box to change the access mode of the file you have open.

File Type drop-down menu

Click this field to select the file type you want to view. You can select any of the following:

  • Project

  • Project Templates

  • Calendar

  • Resource

  • Code

[Results]

When you select a file type, this box displays the names of all the files of that type that you have open. Open Plan displays information about the file in the grid below.

Access Mode

If the file is currently open by another user, the mode in which that user has the file open may impact the changes that you can make. For example, both you and another user have a file open in shared mode, you can only change the mode to Read-Only. The Exclusive mode is disabled.

Select a new access mode and click Change.

  • Exclusive: Only one user is allowed to make changes to the file. For information about exclusive mode, see Work in Exclusive Mode.

  • Shared: You and other users can access the file concurrently. For information about shared mode, see Work in Shared Mode.

  • Read-Only: If another user has the file open in Exclusive mode, you can read the file but cannot make changes to it. For information about read-only mode, see Work in Read Only Mode

Grid

When you select a file from the list, Open Plan displays the following information in the grid:

  • User ID: This column displays the ID of all the users who currently have the file open.

  • Machine ID: This column displays the ID of all the computers on which the file is currently open.

  • Open Mode: This column displays the access mode in which each file is open.

  • Opened On: This column displays the date and time on which each file was opened.

Change

Click to apply your access mode change.

Close

Click to close the dialog box without making any changes.

Help

Click to display the dialog box help topic.

Location

To access the Change Access Mode dialog box, click File » Manage Files » Mode.

Related Topics and Procedures

Related Topic

Change the Access Mode

Related Procedures

Set the Default Access Mode for a Project

Set the Default Access Mode for an Ancillary File


Change Access Rights Dialog Box

Use the Change Access Rights dialog box to change the access control of the object you selected on the Change Ownership and Access Rights dialog box.

To change access control of baseline objects, use the Change Baseline Access Rights dialog box.

Delete From Access Lists

Select a group or user you want to remove from the access control list for the selected objects. When you select a group or user from this list and click Delete, it is removed from the access control list of the selected objects.

  • Group: Select to display the available group names from the drop-down list.

  • User: Select to display the available user names from the drop-down list.

Delete

Click to remove a group or user from the access control list of the object selected.

Selected Objects Access Control

[Drop-down List]

Select the level of access that you want to add to the object. To clear this field, click the [image] button.

You can also add or delete an entry directly from the grid by clicking the selection buttons ( [image]) on the left of the [Drop-down List] field.

Grid

When you select an object from the field above the grid, Open Plan adds it to the grid.

  • Group: This column indicates the groups that have access to the object. You can specify a Group or a User ID but not both.

  • Role: When you select a group or user ID, Open Plan displays its default role in this column; however, you can change the role to any other role defined in the data source by clicking in the cell and typing. For example, if you want to grant limited access to a user who has SYSADMIN (complete) access to all files, you can specify a limited-access role for the user.

  • User ID: This column indicates individual users who can access the object. You can specify a Group or a User ID but not both.

  • Read Only: This field acts as a limitation to the rights that might otherwise be permitted:

    • By selecting Yes, you limit the group or user to viewing the object(s) but not making any changes.

    • By selecting No, you give the group or user all rights to the object. Provided that no other user has it open in exclusive mode, the group or user may open the object in any mode they choose.

Replace Access Lists

Select this option and click Update Access Control to replace the object's existing entries in the access control list with the entries you specified in the grid.

After you make your changes and click the Update Access Control button, Open Plan deletes all access rights for the selected objects and then creates records entered in the grid for each selected baseline.

For example, when you select two baseline objects and enter three records in the grid, you end up with six baseline security (BSC) records for the two baselines regardless of how many BSC records existed for the two baselines prior to the replace operation.

Add to Access Lists

Select this option and click Update Access Control to add the entries that you specified in the grid to the object's access control list. When you select this option, the grid is empty by default.

After you add records and click the Update Access Control button, Open Plan performs any of the following actions:

  • Adds a new record to the access control list (when you are adding a record that does not yet exist in the access control list).

  • Updates the existing record in the access control list with the rights of the new record (when you are adding a record that already exists in the access control list).

  • Retains an existing record in the access control list (when the existing record does not have a corresponding new record).

Update Access Control

Click to apply the entries you added or replaced to the access list.

Close

Click to close the dialog box without making any changes.

Help

Click to display the dialog box help topic.

Location

To access the Change Access Rights dialog box, click File » Manage Files » Owner and Access Rights. In the Change Ownership and Access Rights dialog box, select an object and click Change Access Rights.

Related Topics and Procedures

Related Topics

Change Ownership and Access Rights Dialog Box

Change Owner Dialog Box

Change Baseline Access Rights Dialog Box

Properties Dialog Box: Access Control Tab

Related Procedures

Change the Owner of a Object

Change the Access Rights of an Object


Change Baseline Access Rights Dialog Box

Use the Change Baseline Access Rights dialog box to change the access control of the baseline object you selected on the Change Ownership and Access Rights dialog box.

To change access control of other types of objects, use the Change Access Rights dialog box.

Delete From Access Lists

Select a group or user you want to remove from the access control list for the selected baseline objects. When you select a group or user from this list and click Delete, Open Plan removes it from the access control list of the selected baseline objects.

  • Group: Select to display the available group names from the drop-down list.

  • User: Select to display the available user names from the drop-down list.

Delete

Click to remove a group or user from the access control list of the baseline object selected.

Selected Baseline Objects Access Control

[Drop-down List]

Select the level of access that you want to add to the baseline object. To clear this field, click the [image] button.

You can also add or delete an entry directly from the grid by clicking the selection buttons ( [image]) on the left of the [Drop-down List] field.

Grid

When you select a baseline object from the field above the grid, Open Plan adds it to the grid.

  • Group: This column indicates the groups that have access to the baseline object. You can specify a Group or a User ID but not both.

  • User ID: This column indicates individual users who can access the baseline object. You can specify a Group or a User ID but not both.

  • Copy: This column indicates whether the group or user has the right to copy the baseline.

  • Delete: This column indicates whether the group or user has the right to remove the baseline.

  • Update in Project: This column indicates whether the group or user has the right to update the baseline.

  • Update in Master: This column indicates whether the group or user has the right to update the baseline when the project is opened in the context of a master project. The master project must have a baseline with the same name that was created with the Use Baseline of the Same Name on External Subprojects option selected.

The Update in Project and Update in Master options are independent of each other. For example, if Update in Project was set to No, and Update in Master set to Yes, then the group or user will not be able to update the baseline if the project is opened on its own but will be able to update the baseline if the project is opened as an external subproject.

  • View: This column indicates whether the baseline is included on the Baselines dialog box for the group or user.

Replace Access Lists

Select this option and click Update Access Control to replace the object's existing entries in the access control list with the entries you specified in the grid.

After you make your changes and click the Update Access Control button, Open Plan deletes all access rights for the selected objects and then creates records entered in the grid for each selected baseline object.

For example, when you select two baseline objects and enter three records in the grid, you end up with six baseline security (BSC) records for the two baselines regardless of the number of existing BSC records for the two baselines prior to the replace operation.

Add to Access Lists

Select this option and click Update Access Control to add the entries that you specified in the grid to the object's access control list. When you select this option, the grid is empty by default.

After you add records and click Update Access Control, Open Plan performs any of the following actions:

  • Adds a new record to the access control list (when you are adding a record that does not yet exist in the access control list).

  • Updates the existing record in the access control list with the rights of the new record (when you are adding a record that already exists in the access control list).

  • Retains an existing record in the access control list (when the existing record does not have a corresponding new record).

Update Access Control

Click to apply the entries you replace or added to the access list.

Close

Click to close the dialog box without making any changes.

Help

Click to display the dialog box help topic.

Location

To access the Change Baseline Access Rights dialog box:

  1. Click File » Manage Files » Owner and Access Rights.

  2. On the Change Ownership and Access Rights dialog box, select Baselines in the Objects drop-down list. Alternatively, you can select All Objects to display baseline and other types of objects.

  3. In the [Results] grid, select one or more baseline objects, and click Change Access Rights.

Related Topics and Procedures

Related Topics

Change Ownership and Access Rights Dialog Box

Change Owner Dialog Box

Properties Dialog Box: Access Control Tab

Related Procedures

Change the Owner of a Object

Change the Access Rights of an Object


Change Owner Dialog Box

Use the Change Owner dialog box to change the current owner of the object you selected on the Change Ownership and Access Rights dialog box.

Current Owner

This field displays the owner of the object.

New Owner

Select the new owner for the object. The drop-down list displays all of the users defined in EPM Security Administrator.

OK

Click to apply the option you selected in the New Owner field.

Cancel

Click to close the dialog box without making any changes.

Help

Click to display the dialog box help topic.

Location

To access the Change Owner dialog box, click File » Manage Files » Owner and Access Rights. In the Change Ownership and Access Rights dialog box, select an object and click Change Owner.

Related Topics and Procedures

Related Topics

Change Ownership and Access Rights Dialog Box

Change Access Rights Dialog Box

Change Baseline Access Rights Dialog Box

Related Procedures

Change the Owner of an Object

Change the Access Rights of an Object


Change Ownership and Access Rights Dialog Box

If you are the owner of an object or have System Administrator rights, you can use the Change Ownership and Access Rights dialog box to change the object's owner and access controls.

Owner

Select an object owner from the drop-down list.

Objects

Select the object type that you want to display in the [Results] box.

  • All Objects (default)

  • Bar Sets

  • Baselines

  • Batch Global Edits

  • Calculated Fields

  • Calendar Files

  • Code Files

  • Crosstable Export Definitions

  • Email Advisors

  • Filters

  • Global Edits

  • Projects

  • Project Templates

  • Reporting Calendars

  • Resource Files

  • Rollups

  • Sorts

  • Spread Curves

  • Title Blocks

  • Views

[Results]

This box displays objects based on the options that you selected in the Owner and Objects fields. Open Plan displays the following information:

  • The name of the object

  • The object type. For example, Filter, Calendar, or Resource File.

  • The table in which the object is located. For example, ACT, PRJ, or REL.

  • A description of the object

Select an object and click Change Owner, Change Access Rights, or Copy.

You can select more than one object at a time by using Ctrl + Click or Shift + Click.

Close

Click to close the dialog box without making any changes.

Help

Click to display the dialog box help topic.

Select All

Click to select all of the items in the [Results] field.

Clear All

Click to deselect all of the items in the [Results] field.

Change Owner

If you have System Administrator privileges, click to change the owner of the selected objects. Select an object from the [Results] field to enable this option.

Change Access Rights

If you have System Administrator privileges, click to change the access rights for the selected object. Select an object from the [Results] field to enable this option.

When you selected baseline and other objects , Open Plan displays an error message informing you to select baselines separately from other objects.

Copy

Click to copy the objects you have selected in the [Results] field to the clipboard. You can use the Copy option, for example, when you want to send a list of objects to a team mate who can cross-check if the objects are still being used or can be removed.

Location

To access the Change Ownership and Access Rights dialog box, click File » Manage Files » Owner and Access Rights.

Related Topics and Procedures

Related Topics

Change Owner Dialog Box

Change Access Rights Dialog Box

Related Procedures

Change the Owner of a Object

Change the Access Rights of an Object


Change Password Dialog Box

Use the Change Password dialog box to change your Open Plan password.

Old Password

Enter your current Open Plan password.

New Password

Enter the new password with a maximum of 128 characters. Spaces are not allowed.

Re-enter New Password

Re-enter the new password to verify that it matches the password you entered in the New Password field.

OK

Click to apply the password change. The new password takes effect the next time you log in to Open Plan.

Cancel

Click to close the dialog box without making any changes.

Help

Click to display the dialog box help topic.

Location

To access the Change Password dialog box, click File » Change Password.

Related Topics and Procedures

Related Topics

Open Plan Security and Security Administrator

Open Plan Login Dialog Box

Related Procedure

Change Your Login Password


Check In Dialog Box

Use the Check In dialog box to check in a project that you currently have checked out in the Main data source or to the Briefcase data source.

For more information about briefcasing, see Understand the Open Plan Briefcasing Feature.

Include Projects in Briefcase Data Source

Use this option to specify whether or not you want to view projects from the briefcase data source in the [Results] field.

  • If you select this option, Open Plan displays the name and description of the projects that you have:

  • Checked out to the Briefcase data source

  • Created in the Briefcase data source

  • Checked out in the Main data source

  • If you clear this option, Open Plan only displays the name and description of the projects you have checked out from the Main data source.

[Results]

This box displays the projects you currently have checked out in the Main data source or to the Briefcase data source. The projects that display depend on the Include Projects in the Briefcase Data Source setting.

Check In

Click to check the project back in to the Main data source. The manner in which this is done depends on how the project was checked out:

  • If you checked the project out to the Briefcase data source, Open Plan copies the project files back to the Main data source, removes the lock on the project, and deletes the copy in the Briefcase data source. If you created a project in the Briefcase data source that shares the same name as a project in the Main data source, you will not be able to check that project in.

  • If you checked the project out in the Main data source, Open Plan removes the lock on the project, but does not copy any files since the most recent update is already stored in the Main data source.

Close

Click to close the dialog box without making any changes.

Details

Click to display the Checked Out Projects dialog box where you can view information about the users who have a project checked out.

Help

Click to display the dialog box help topic.

Undo Check Out

If the project was checked out in the Briefcase data source, this option removes the lock from the project in the Main data source. Any changes made to the project while briefcased are not copied to the Main data source. This option is not available for projects checked out in the Main data source.

Location

To access the Check In dialog box, click File » Manage Files » Check In.

Related Topics and Procedures

Related Topics

Understand the Open Plan Briefcasing Feature

Check Out Dialog Box

Checked Out Projects Dialog Box

Related Procedures

Check Out a Project

Undo a Project Check Out

Check in a Project

View the Checked Out Status of a Project


Check Out Dialog Box

Use the Check Out dialog box to check out a project in the Main data source or to the Briefcase data source so that you can make changes to it.

[Results]

This box displays a list of the projects that are available for check out. You can use Shift + Click or Ctrl + Click to select multiple projects.

Check Out in Main Data Source

Select this option to lock the project in the Main data source so that no other user can modify it until it is checked back in.

Check Out to Briefcase Data Source

Select this option if you want Open Plan to copy the project and all its ancillary files to your Briefcase data source. Checking out a project this way allows you to work on your project on another computer.

If the project was previously checked out to your Briefcase data source, checking it out again overwrites the data in the Briefcase. You can prevent this by clicking No or No to All on the alert that asks whether you want to overwrite the data in the Briefcase data source. This cancels the check out action.

The copy of the project that remains in the Main data source is locked so that no other user can modify it. When you check the project back in, Open Plan copies the project back to the Main data source and unlocks it.

Check Out Views with Project

This option is only enabled when you select the Check Out to Briefcase Data Source option. The first time you check out a project, you should also check out the views with the project. After the views are stored in your Briefcase data source, you can use them again the next time you check the project out.

Check Out

Click to check out the project(s) you selected in the [Results] field.

Close

Click to close the dialog box without making any changes.

Help

Click to display the dialog box help topic.

Location

To access the Check Out dialog box, click File » Manage Files » Check Out.

Related Topics and Procedures

Related Topics

Understand the Open Plan Briefcasing Feature

Check In Dialog Box

Checked Out Projects Dialog Box

Related Procedures

Check Out a Project

Undo a Project Check Out

Check in a Project

View the Checked Out Status of a Project


Checked Out Projects Dialog Box

Use the Checked Out Projects dialog box to view information about the checked out projects displayed in the grid.

Grid

  • Project: This column displays the project name.

  • User ID: This column displays the user ID for the user who has the project checked out.

  • Machine ID: This column displays the computer ID of the machine on which the user checked out the project.

  • Checkout Date: This column displays the date the project was checked out.

  • Data Source: This column specifies the manner in which the project was checked out.

  • Main: This indicates that the project files are locked in the Main data source, but that they have not been copied to a Briefcase data source.

  • Briefcased: Indicates that in addition to locking the project in the Main data source, Open Plan has copied the project files to a Briefcase data source.

Close

Click to close the dialog box without making any changes.

Help

Click to display the dialog box help topic.

Location

To access the Checked Out Projects dialog box, click File » Manage Files » Check In. Select a project and click Details.

Related Topics and Procedures

Related Topics

Understand the Open Plan Briefcasing Feature

Check Out Dialog Box

Check In Dialog Box

Related Procedures

Check Out a Project

Undo a Project Check Out

Check in a Project

View the Checked Out Status of a Project


Customize Columns Dialog Box

In the Open Plan Explorer view, each column of the Contents pane contains data that is stored in a specific field of a data table.

For information about the Contents pane, see Contents Pane of the Open Plan Explorer.

Use the Customize Columns dialog box to specify the columns in the Contents pane and the order in which they are displayed.

Use the Left/Right arrows to move the fields from one box to the other. You can also double-click a field or drag and drop to move it.

Available fields

This box displays the available fields that you can add as columns to the Contents pane.

Display these fields

This box includes the fields that currently display as columns in the Contents pane. The order of the fields in this box is the order in which they display in the Contents pane.

Use the Up/Down arrows to reorder the fields.

OK

Click to apply the changes and close the dialog box.

Heading

Select a field from the Display these fields list and click Heading to display the Change Column Heading dialog box where you can enter a new column name.

Cancel

Click to close the dialog box without making any changes.

Help

Click to display the dialog box help topic.

Location

To access the Customize Columns dialog box, in the Open Plan Explorer view Contents pane, right-click the heading bar and select Customize Columns... in the Context menu.

Related Topics and Procedures

Related Topics

Open Plan Explorer

Customize the Details Display in the Open Plan Explorer

The Open Plan Window, Tabs, Menus, and Commands

Related Procedures

Add a Column to the Contents Pane

Remove a Column from the Contents Pane

Rename a Column in the Contents Pane

Sort the Data in the Contents Pane


Deltek Open Plan Data Tool Dialog Box

Use the Deltek Open Plan Data Tool dialog box to specify the type of data source you want to use:

  • Default Data

  • Demonstration Data

Target DSN

Click to select a target data source from the list of data sources that have been set up.

You can click the ellipsis [image] to display the Data Sources dialog box where you can manage the list of available data sources. Selecting a data source enables the Create Data option.

Install Default Data

Select this option if you want the Data Tool to populate the selected Target DSN with Open Plan default data. Default data includes the following:

  • Data dictionary

  • Security data

  • System library

  • Explorer folders

  • Spread curves

  • Views

  • Title blocks

  • Symbols

  • Other product-specific default data

In addition to installing the default data, the tool also copies the demonstration projects and their ancillary files and views to the target data source.

Remove Existing Data

Select this option if you want the Data Tool to delete all of the data from the selected data source.

Install Demonstration Data

This option is only enabled when the Remove Existing Data option is selected. Select this option if you want the Data Tool to populate the selected target data source with the demonstration projects and their associated ancillary files and views.

Create Data

Click to populate the t arget data source according to the options you specified.

Password

Click to display the Change Password dialog box where you can change your password for the Open Plan Data Tool.

Close

Click to close the dialog box without making any changes.

Help

Click to display the dialog box help topic.

Location

To access the Deltek Open Plan Tool dialog box:

  1. Launch the Deltek Open Plan Data Tool from the Start menu.

  2. Enter your password in the Data Tool Login dialog box.

Related Topics and Procedures

Related Topics

Data Tool Login Dialog Box

Data Sources Dialog Box

Edit Data Source Dialog Box

Related Procedures

Select a Data Source

Add a Data Source Connection

Edit a Data Source Connection

Delete a Data Source Connection


Data Tool Login Dialog Box

Use the Data Tool Login dialog box to open the Deltek Open Plan Data Tool where you can specify or edit the data source.

Password

Enter the password. The default password is password.

Deltek recommends that you change the default password as soon as possible to prevent unauthorized use.

To change your password, open the Deltek Open Plan Data Tool dialog box and click Password to display the Change Password dialog box.

OK

Click to continue with the password you entered.

Cancel

Click to close dialog box without making any changes.

Help

Click to display the dialog box help topic.

Location

To access the Data Tool Login dialog box, from the Windows Start menu, enter Data Tool in the Search field.

Related Topics and Procedures

Related Topics

Data Tool Dialog Box

Change Password Dialog Box

Data Sources Dialog Box

Edit Data Source Dialog Box

Related Procedures

Select a Data Source

Add a Data Source Connection

Edit a Data Source Connection

Delete a Data Source Connection


Fields Dialog Box

Use the Fields dialog box to select a field you want to include in any of the following objects:

  • Sort

  • Filter

  • Calculated field

  • Global edit

  • Email advisory

  • Multi-table spreadsheet view group

  • Title block definition

Table

This box lists the Open Plan data tables.

Field

This box displays the fields in the selected table.

For example, if you select Activity in the Table box, the Field box displays a list of all the fields in the Activity table, including previously defined filters and calculated fields.

Some field names are followed by a chevron symbol ( ). These fields are used as a link to other data tables.

When you select a field and click OK, Open Plan displays the actual field name in the Expression Builder box of the previous dialog box. For example, you access the Filters dialog box from the Filter Expression dialog box and you select Early Start from the Activity table. When you click OK to close the Filter dialog box, Open Plan inserts ESDATE into the Expression Builder box of the Filter Expression dialog box.

For information about text fields, see the Filter Expression Dialog Box.

OK

Click to apply the changes and close the dialog box.

Cancel

Click to close the dialog box without making any changes.

Help

Click to display the dialog box help topic.

Location

To access the Fields dialog box, open a project in any view. Click Fields in any of the following dialog boxes:

  • Temporary Sort Expression Dialog box

  • Filter Expression dialog box

  • Calculated Fields Dialog Box

  • Global Edit Definition Dialog Box

  • Edit Advisor Emails Dialog Box

  • Title Block Definition Dialog Box

Related Topics and Procedures

Related Topics

Calculated Fields Dialog Box

Calculated Field Expression Dialog Box

Global Edits Dialog Box

Global Edit Definition Dialog Box

Functions Dialog Box

Spreadsheet Preferences Dialog Box

Related Procedures

Create a New Calculated Field

Copy a Calculated Field

Edit a Calculated Field

Delete a Calculated Field

Delete a Calculated Field on which a Temporary Calculated Field is Based


File Open Dialog Box

Use the File Open dialog box to select the Open Plan file you want to open.

[Results]

This box displays the following file information for the option that you select in the List Files of Type field:

  • Name: This column displays the file name.

  • Description: This column provides a brief description about the file. It is empty if a description was not entered when the file was created.

  • Owner: This column displays the file's owner or the user who created the file. Demo files shipped with Open Plan are entered into the database without owner names.

  • Last Update: This column displays the date the file was last modified.

You can select multiple files using Shift + Click or Ctrl + Click.

File Name

The files you select in the [Results] box display in this field. Multiple selected files are separated by a semi-colon ( ; ).

You can also enter the file name of the Open Plan file you want to access, but you must select its file type in the List Files of Type field in order for Open Plan to locate the file.

List Files of Type

Select the file type that you want to open. The files display in the [Results] box.

Open Mode

Select the mode in which you want to open the file.

Fore more information about modes, see Working in a Multi-User Environment.

Default

If you are opening a project, Open Plan opens the project and its ancillary files in the mode specified on the Preferences tab of the Project Properties dialog box. This setting overrides the default access mode for the ancillary file as set on its own Properties dialog box.

Exclusive

When you open a multi-user file in exclusive mode, other users only have read-only access to the file while you are using it. In this mode, changes are not saved to a file until you use either the Save or the Save As command. This means that you can abandon your changes at any time by closing the file without saving the information.

Shared

If you open a file in Shared mode, other users can open the file and make changes while you have it open. In shared mode, some changes are saved, while others are not.

Read-Only

If you open a file in read-only mode, other users can open the file in any mode they choose. You cannot use the Save command to save change. Instead you must use the Save As command and save the file under a different name. You cannot see changes made by other users.

Note

When you select a file from the list, Open Plan indicates which modes are available for that file by enabling/disabling the appropriate selections. For instance:

  • If you select a program that another user has opened in exclusive mode, the exclusive and shared options are disabled (dimmed), and the read-only option is active.

  • If you select a file that another user has opened in shared mode, the exclusive mode is disabled, and the shared and read-only modes are active.

  • If you select a file that another user has opened in read-only mode, all three modes are active.

If the file you want to open is already open by another user, Open Plan enables or disables the four access modes as appropriate depending on the mode in which the file is already open. For example, if the file you want to open is already open by another user in Exclusive mode, Open Plan disables the first three modes and only allow you to select Read Only.

In some cases, however, it may be impossible for Open Plan to fulfill your request. This can happen if another user has opened the same file that you want between the time it takes you to you display the File Open dialog box and make your selection. Open Plan issues a warning when it cannot fulfill your request. For example, assume you display the File Open dialog box and select a project to open in Exclusive mode. Before you click OK, another user has already selected the same file to open in Exclusive mode and has clicked OK. Since the other user executed the action open file action first, the project opens for them, while you receive a warning indicating that you cannot open the file.

You can also select multiple files to open at one time using Shift + Click or Ctrl + Click. Open Plan attempts to open the files in the mode you specify. If a file cannot be opened in the specified mode, it will be opened in the highest mode available. For example, assume you select three projects to open in exclusive mode and one of the projects is already open in shared mode by another user. Open Plan opens two projects in exclusive mode and the third in shared mode since that is the highest mode available for that project.

When you open a project (regardless of the access mode you select), the ancillary files associated with the project are opened in the default access mode established on the Preferences tab of the Project Properties dialog box. If you open an ancillary file outside the context of a project, right-clicking the file and selecting Default on the Open sub-menu opens the ancillary file in the default access mode established on the Properties dialog box for that file.

OK

Click to open the file and close the dialog box.

Cancel

Click to close the dialog box without making any changes.

Help

Click to display the dialog box help topic.

Location

You can access the File Open dialog box in any of the following ways:

  • Click the File menu and select Open.

  • Click the Open [image] button on the Quick Access Toolbar.

  • Press Ctrl + O on the Open Plan Explorer view or an open project.

Related Topics and Procedures

Related Topic

New File Dialog Box

Related Procedure

Open an Open Plan File


Find Dialog Box

Use the Find dialog box to locate items in Open Plan. You can search for an item based on its name or any field that is available on the item. The Find dialog box is modeless so you can keep it open while you initiate multiple searches.

Search For

Use this field to select the type of object you want to find. You can select <All Objects> if you want Open Plan to perform a complete search of all of the object types (calendars, resources, codes, views, and so on) available.

Named

The use of this field is optional. If you enter the name of the object you want to find, Open Plan locates all of the objects that match or begin with the name you entered. For example, if you search for a project named CLEAN, Open Plan will find all of the projects that begin with the name CLEAN such as CLEANUP, CLEANROOM, and so on. If you do not know the entire name of the object you want to locate, you can enter the first few letters of the name.

When you only enter the first few letters of the name, Open Plan does not search for text embedded within the name. For example, if you enter LEAN, Open Plan will not find CLEAN.

Where

The use of this field is optional. Use the three Where fields to apply a filter to a search criteria.

  • The first field contains a list of data fields based on the type of object you selected in the Search For field.

  • The second field contains a list of the following logical operators that you can use to further define the filter:

  • Equal to

  • Greater than

  • Less than

  • Not equal to

  • The third field allows you to enter a value to compare against.

These fields are not available when <All Objects> is selected in the Search For field.

Look In

Select the folder where Open Plan can start the search. By default, the selected folder in the hierarchical pane displays in this field. You can also select <All Folders>, My Folder, Projects, and Open Plan Library from the list.

Open Plan facilitates your search by displaying any subfolders that are open during the session. Since the Find and Replace dialog box is modeless, you can use the Look In field to select the folder to search from the hierarchical pane while the dialog box is open.

Include Subfolders

Select this option if you want Open Plan to search all the subfolders for the folder you selected in the Look In field.

[Results]

This box displays the results of the options you selected in the Search For, Named, Where, and Look In fields.

Find Now

Click for Open Plan to begin the search using the parameters you entered.

Cancel

Click to close or dismiss the Find dialog box without searching.

Stop

Click to terminate the search. Results that were retrieved before you clicked the Stop button are displayed in the [Results] box.

New Search

Click to clear the Named and Where fields and update the Look in field to display the folder that you selected in the List or Contents pane.

Help

Click to display the dialog box help topic.

Location

To access the Find dialog box, press Ctrl + F or right-click » Find anywhere in the Open Plan Explorer view.

Related Topics and Procedures

Related Topics

Find an Object

Open Plan Explorer

Contents Pane of the Open Plan Explorer

Related Procedures

Find and Replace Find Tab

Find and Replace Replace Tab


Find and Replace Dialog Box

Use the Find and Replace dialog box to locate and replace an item in a view. You can find and replace an item based on its name or any editable field that is displayed in the view. Because this dialog box is modeless, you can keep it open while you initiate any number of searches.

For more information about finding an activity, see Find an Activity.

Find and Replace Dialog Box Tabs

This dialog box contains the following tabs:

  • Find: Use this tab to find activities or activity information on an activity in a view.

  • Replace: Use this tab to find and replace activities or activity information on an activity in a view.

Location

You can access the Find and Replace dialog box in the following ways:

  • Click the Edit tab and click Find and Replace [image] in the Data menu group.

  • Use Ctrl + F in any project view except the histogram and risk views.

Related Topics and Procedures

Related Topics

Find an Object

Open Plan Explorer

Contents Pane of the Open Plan Explorer


Find Tab of the Find and Replace Dialog Box

Use the Find tab of the Find and Replace dialog box to find activities or activity information.

Search

Use the drop-down list to select the type of information you want to find. Open Plan highlights the field or column that you select.

Find what

Enter the text you want to find.

Match Case

Select this option to limit the search to text that matches the case that you used in the Find what field. For example. if you enter Project in the Find what field, Open Plan will only find entries that match Project with a uppercase P and will ignore project entries with no uppercase P.

Find Whole Word

Select this option if you want Open Plan to find only the exact text description that matches what you entered in the Find what field.

For example, if you select this option and you enter "form" in the Find what field, Open Plan searches for form and ignores words that contain the word "form," such as "information."

Find Next

Click to highlight the next result.

Find Previous

Click to highlight the previous result.

Close

Click to close the dialog box.

Help

Click to display the dialog box help topic.

Location

You can access the Find Tab of the Find and Replace dialog box in the following ways:

  • Click the Edit tab and click Find and Replace [image] in the Data menu group. Click the Find tab.

  • Use Ctrl + F in any project view except the histogram and risk views. Click the Find tab.

Related Topics and Procedures

Related Topics

Find and Replace Dialog Box

Replace Tab

Find an Object

Open Plan Explorer

Contents Pane of the Open Plan Explorer


Replace Tab: Find and Replace Dialog Box

Replace Tab of the Find and Replace Dialog Box

Use the Replace tab of the Find and Replace dialog box to find and replace activities or activity information.

Search

Use the drop-down list to select the type of information you want to find. Open Plan highlights the field or column that you select.

Find what

Enter the text you want to find.

Replace with

Enter the text you want to use as replacement for the text you entered in Find what field.

Match Case

Select this option to limit the search to text that matches the case that you used in the Find what field. For example. if you enter Project in the Find what field, Open Plan will only find entries that match Project with an uppercase P and will ignore project entries with no uppercase P.

Find Whole Word

Select this option if you want Open Plan to find only the exact text description that matches what you entered in the Find what field.

For example, if you select this option and you enter "form" in the Find what field, Open Plan searches for form and ignores words that contain the word "form," such as "information."

Replace All

Click to replace all occurrences of the text that you entered in the Find what field with the text you entered in the Replace with field.

Replace

Click to replace the "Find what" text in the currently selected cell with the "Replace with" text.

Find Next

Click to highlight the next result.

Find Previous

Click to highlight the previous result.

Close

Click to close the dialog box.

Help

Click to display the dialog box help topic.

Location

You can access the Replace Tab of the Find and Replace dialog box in the following ways:

  • Click the Edit tab and click Find and Replace [image] in the Data menu group. Click the Replace tab.

  • Use Ctrl + F in any project view except the histogram and risk views. Click the Replace tab.

Related Topics and Procedures

Related Topics

Find and Replace Dialog Box

Find Tab

Find an Object

Open Plan Explorer

Contents Pane of the Open Plan Explorer

Customize the Details Display in the Open Plan Explorer


Font Dialog Box

Use the Font dialog box to specify how Open Plan displays the text in different views and windows.

Font

Use this field to select the font that you want Open Plan to use for the selected view. The field includes the available fonts with the current driver and additional fonts installed on your system. If you print your project reports on different printers, select a commonly available font, for example, Arial.

Font Style

Use this field to assign a font style for the font you selected. The default font style is Regular.

Size

Use this field to specify the font size. The available sizes depend on the printer and the font. If the size you assign is not available on the current printer, Windows chooses the closest available size.

This field is not available if the dialog box is accessed from the Scaling Specifications dialog box or Zone Attributes dialog box.

Sample

This box displays a preview of the font based on your selections.

Script

Use this field to display the available language scripts for the selected font. For example, Western is available for the Arial font, while Symbol is available for the Wingdings font.

OK

Click to apply your changes and close the dialog box.

Cancel

Click to close dialog box without making any changes.

Help

Click to display the dialog box help topic.

The way the Font dialog box displays depends on the view where the font is used.

Location

You can access the Font dialog box through the following dialog boxes:

  • Spreadsheet Preferences Options tab of the Spreadsheet Preferences dialog box: Click the Edit tab. Click Preferences in the Table menu group.

  • Histogram Preferences Options tab of the Histogram Preferences dialog box: Click the Edit tab. Click Preferences in the Histogram menu group.

Related Topics and Procedures

Related Topics

Print Preview

Print Dialog Box

Print Setup Dialog Box

Print Options Dialog Box

Related Procedures

Change the Font for a Date Scale

Change the Font on a Bar

Change the Default Font on a Spreadsheet

Change the Font in a Network View

Change the Font for an Annotation

Change the Font on a Calendar

Change the Font in a Resource View

Change the Font in a Code View


Functions Dialog Box

This dialog box displays a list of the following functions that you can use when building a sort, filter, calculated field, or global edit expression:

Function

Purpose

Data Type

Syntax

Example

ABS()

This function returns the absolute value of a numeric variable.

Decimal or integer

ABS(<value>)

where:

<value> is a numeric variable.

If y contains the value [4] or [-4], the statement:

ABS(y)

returns the value [4]

BASELINE FIELD()

This function returns a field value for a selected baseline directory record.

Any

BASELINE_FIELD(<Selection Index>, <Field Name>)

where:

<Selection Index> is an integer between 1 - 3 designating the index of the baseline in the current project. (0 may also be entered, in which case it is equivalent to 1, and returns the first selected baseline).

BASELINE_FIELD(2, "DESCRIPTION").

For the baseline selected at position 2 for the current project, this statement returns a character string with the description that was entered when the baseline was created.

CDOW()

This function returns the full day of the week (for example, Tuesday).

Character

CDOW(<date>)

where:

<date> is a date variable or user-entered date.

Assuming that ESDATE is 05OCT04 (Tuesday), the statement:

CDOW(ESDATE)

returns Tuesday.

CMONTH()

This function returns the full month of the year (for example, October).

Character

CMONTH(<date>)

where:

<date> is a date variable or user-entered date.

Assuming ESDATE is 05OCT04, the statement:

MONTH(ESDATE)

returns October.

CTOD()

This function (Calendar to Date) converts a character string to a value with a DATE data type. This is useful in calculated field expressions where we want to coerce the result of an operation to type DATE.

Date

CTOD (<String Expression>)

where:

<String Expression> is a quotation-mark delimited string with a valid date format.

CTOD(STR(USER_NUM01) + "/" + STR(USER_NUM02) +

STR(YEAR(TIMENOW())))

If USER_NUM01 = 12, USER_NUM02 = 31, and Time Now = 1/1/2006, the date result returned will be {12/31/2006}.

DATE()

This function returns the current date.

Date

DATE ()

Assuming the current date is October 5, 2004, the statement:

DATE()

returns 05OCT04.

DATEADD()

This function allows you to add a duration to a date and returns a date.

Date

DATEADD (<start date>, <duration>, <calendar>)

where:

  • <start date> is a date field or user-entered date.

  • <duration> is a duration field or user-entered value.

  • <calendar name> is the name of the calendar to be used in the calculation. This parameter is optional; if no calendar is specified, Open Plan uses the default calendar for the project.

If the temporary filter, temporary sort, calculated field or global edit is based on the activity table, you can also specify the word clh_id to have Open Plan use the calendar assigned to the specific activity. However, if the global edit is based on the assignment table, specify act_id.clh_id instead of clh_id.

Assuming that ESDATE is 04OCT04, the statement:

DATEADD(ESDATE,|2d|, "CAL1")

returns 05OCT04 based on calculations using the calendar named CAL1.

DATEDIFFERENCE()

This function returns the difference between two dates as a duration.

Duration

DATEDIFFERENCE (<date1>, <date2>, <calendar>)

where:

  • <date1> is a date field or user-entered date.

  • <date2> is a date field or user-entered date.

  • <calendar name> is the name of the calendar to be used in the calculation. This parameter is optional; if no calendar is specified, Open Plan uses the default calendar for the project.

If the temporary filter, temporary sort, calculated field or global edit is based on the activity table, you can also specify the word clh_id to have Open Plan use the calendar assigned to the specific activity. However, if the global edit is based on the assignment table, specify act_id.clh_id instead of clh_id.

Assuming that ESDATE is 05OCT04 and EFDATE is 06OCT04, the statement:

DATEDIFFERENCE(ESDATE, EFDATE, "CAL1")

returns 2d based on calculations using the calendar named CAL1.

DATEFORMAT()

This function returns a date in a specified format. It uses the Open Plan standard date formats.

Character

DATEFORMAT (<date field>, <format string>)

where:

  • <date field> is a date field or user-entered date.

  • <format string> is the date format.

DATEFORMAT() uses the same date formats as those used when specifying dates on the Manual tab of the Date Scale Preferences dialog box.

Assuming that ESDATE is October 5, 2004, the statement:

DATEFORMAT(ESDATE, "%D%A%Y")

returns 05OCT04.

DAY()

This function returns a numeric value 1 through 31 for the day of the month.

Integer

DAY(<date>)

where:

<date> is a date variable or user-entered date.

Assuming that ESDATE is 05OCT04, the statement:

DAY(ESDATE)

returns 5.

DOW()

This function returns a numeric value 1 through 7 for the day of the week. The actual number returned depends on settings on the General tab of the Options dialog box for the first day of the week.

Integer

DOW(<date>)

where:

<date> is a date variable or user-entered date.

Assuming that ESDATE is 05OCT04 (Tuesday), the statement:

DOW(ESDATE)

returns 3.

DURATION()

This function returns the number of minutes corresponding to a given duration.

Integer

DURATION(<Duration Value>)

where:

<Duration Value> is a duration variable or user-entered duration

Assuming an 8-hour workday, the statement:

Duration(|2d|)

returns 960 (8 hours x 2 days x 60 minutes/hour).

EVAL()

This function evaluates its string expression argument as a dynamic calculated field rather than as a string literal. The data type that is returned depends on the contents of the string expression and can be of any type.

Character

EVAL(<exp>)

where:

<exp> evaluates to a string expression argument to be calculated as a dynamic calculated field rather than as a string literal.

Assuming that the value of USER_CHR01 is "ESDATE" and USER_CHR02 is "EFDATE" and that ESDATE is 04OCT04 and EFDATE is 06OCT04, the statement:

EVAL(USER_CHR02+"-"+USER_CHR01)

returns 2d.

EVAL first evaluates the expression in this example as the following string expression:

"EFDATE" + "-" +"ESDATE"

The function then resolves the string expression as an embedded calculated field.

Since we are effectively subtracting two dates, the resulting value "2" is a duration.

FAIL_EVALUATE()

This function tests for a condition that normally would cause the calculated field to return either a blank value or an invalid result (the latter would keep the remainder of the expression from being evaluated).

Boolean

FAIL_EVALUATE(<String Expression>)

where:

<String Expression> is an expression in string format.

FAIL_EVALUATE("C25")

If there is no code file assigned at index 25, this calculated field will return True. Note that if we substituted the expression "C25 IS_EMPTY" as an alternative to using FAIL_EVALUATE, the returned value would be True whether C25 does not exist or C25 exists but is blank.

FISCALPERIOD()

This function returns the user-defined label for a specific fiscal reporting period for a specific date.

Character

FISCALPERIOD(<Date>,<Reporting Calendar>)

where:

<Date> is the search date to be located within a fiscal period.
< Reporting Calendar> is an optional parameter (defaulting to the project reporting calendar).

FISCALPERIOD(ESDATE)
FISCALPERIOD(ESDATE, "REPORTING_CALENDAR_NAME")

The function returns the LABEL field from the reporting calendar that includes the supplied date. For example, given the following DATE and LABEL fields:

DATE LABEL
01/26/2001 Jan 2001
02/23/2001 Feb 2001
03/23/2001 Mar 2001

FORMAT_HEADING_ITEM()

This function is used to create custom group headings with summary rows (that is, the summary type for the group row is marked as "Heading").

Character

FORMAT_HEADING_ITEM (<expression>,<widthincharunits>,<wordwrap>,<summarize>)

where:

  • <expression> is the character string to be formatted

  • <widthincharunits> is the width of the expression in character units

  • <wordwrap> is the numeric value 1 (wrap active) or 0 (inactive)

  • <summarize> is an OPTIONAL argument indicating whether <expression> (if not a constant) should or should not be summarized (0 = do not summarize, 1 = summarize). The default value is 1.

Given the following calculated field expression: FORMAT_HEADING_ITEM(C2 + " - ",20,0,0) + FORMAT_HEADING_ITEM(C2.DESCRIPTION,40,1,0) + FORMAT_HEADING_ITEM(C2.< Default >,20,1,0)

The output in a spreadsheet grouped on C2, using the above calculated field as the Heading Field would look something like this:

GET ASSGNS()

This function returns assignment data for an activity.

Character

GET_ASSGNS(<fieldname1>[ |<fieldname2>…])

where:

<fieldname1>, <fieldname2> are names of fields in the Resource Assignment table.

Because the GET_ASSGNS() function works within a specific data table, it is important that the table portion of the fieldname be removed when using this function.

The pipe symbol (|) is used as a separator between the desired fields. The entire expression within the set of () must be enclosed by quotation marks.

The text string returned for this function uses commas (,) to separate the different data items within each record and semi-colons (;) to separate each record.

Assuming that the resource assignments for the activity are ENG (a level 1 resource pool) and TECH.MARY (a level 2 resource) the statement:

GET_ASSGNS("RES_ID|RES_LEVEL")

It then returns ENG,1.00;TECH.MARY,2.00.

GET_CHILDREN()

This function returns a list of fields for the top level of children (that is, grandchildren are not included) of the current hierarchical record (activities, resources, and codes).

String

GET_CHILDREN(<FieldList>)

where:

<FieldList> is a pipe-delimited string containing the list of fields to be returned. Fields are separated by commas, and records are separated by semi-colons in the returned data.

GET_CHILDREN("ACT_ID|DESCRIPTION")

Given an activity "1.01", with children, "1.01.01" and "1.01.02", the returned string would be the following:

"1.01.01,First child of 1.01;1.01.02,Second child of 1.01"

GET COSTS()

This function returns cost records for an activity.

Character

GET_COSTS(<fieldname1>[ |<fieldname2>…])

where:

<fieldname1>, <fieldname2> are names of fields in the Cost table.

Because the GET_COSTS() function works within a specific data table, it is important that the table portion of the fieldname be removed when using this function.

The pipe symbol (|) is used as a separator between the desired fields. The entire expression within the set of () must be enclosed by quotation marks.

The text string returned for this function uses commas (,) to separate the different data items within each record, and semi-colons (;) to separate each record.

Assuming that there are two cost records for the activity, that the actual costs are 1,000 and 4,000, and that the actual quantities are 1 and 2 the statement:

GET_COSTS("ACTUAL_CST|ACTUAL_QTY")

It then returns 1000.00,1.00;4000.00,2.00.

GET_FIELD()

To allow users to display data from other tables or data from other records in the same table.

String

GET_FIELD(<TableType>, <UniqueID>, <FieldName>)

where:

  • <TableType> = "Activity," "Resource," "Calendar," (Selected Baseline Activity Tables "B1," "B2," "B3"), "ProjDir," "CodeDir," "ResDir," "CalDir"

  • <UniqueID> = A constant, expression, or field name that identifies a look-up key for the table type.

  • The only acceptable table types are those that have unique identifiers (for example, the Activity ID on the activity table, or the Project Name on the Project Directory).

  • <FieldName> = The field in Table <TableType> whose value you want returned.

  • The field name must be enclosed in quotation marks (otherwise the VALUE of the field, not the field name itself, will be passed as the argument).

GET_FIELD("C2", PARENT(C2), "DESCRIPTION")

On the Activity table, if the current Activity has a code 2 value of "1.2.1.3", the returned string would be "1.2.1. System Engineering".

GET_FIRST_RECORD_IN_SUMMARY()

This function returns the value for the requested field. For a group summary row, it returns the value of the requested field for the first child record.

Same data type as input field

GET_FIRST_RECORD_IN_SUMMARY (<TableType>, <UniqueID>,<FieldName>)

Where: FieldName = the field in Table TableType whose value we want returned. Note that the field name MUST be enclosed in quotation marks. Otherwise, the VALUE of the field, not the field name itself, will be passed as the argument.

The purpose of the GET_FIRST_RECORD_IN_SUMMARY function is to allow the user to construct a calculated field result in a summary row that uses a break column value rather than a summary value. For example, given the following filter in a barchart (with a visibility setting of "All levels of Rollup and Detail"), with a spreadsheet pane grouped on TOTALFLOAT:

TOTALFLOAT > |2d|

The filter would evaluate to TRUE for all child rows of groupings where the TOTALFLOAT break-on value is greater than |2d|. However, the filter would evaluate to FALSE on the grouping summary rows since the value of the TOTALFLOAT field on the summary row is undefined (durations cannot be summarized). Even for a numeric or date field (which can be summarized), the filter would have to be written differently to account for a summarized value on a summary row. To work around this problem, the following syntax will give us the result we want:

GET_FIRST_RECORD_IN_SUMMARY("TOTALFLOAT") > |2d|

GET NOTE()

This function returns the first 1024 characters of an activity note or resource note. If the note exceeds 1024 characters, the note is truncated at the limit and an ellipsis (…) is displayed.

Character

GET_NOTE(<category>)

where:

<category> is the name of a note category. This field is optional. If you leave <category> blank, the function assumes the default category.

Assuming that a category <Document> has been set up for an activity table, the statement:

GET_NOTE("Document")

returns the Document category note about the activity.

Example 2

Assuming that you want to use the default category for an activity note, the statement:

GET_NOTE("")

returns the default category note about the activity.

GET PREDS()

This function returns predecessor data for an activity.

Character

GET_PREDS(<fieldname1>[ |<fieldname2>…])

where:

<fieldname1>, <fieldname2> are names of fields in the Relationship table.

Because the GET_PREDS() function works within a specific data table, it is important that the table portion of the fieldname be removed when using the function.

The pipe symbol (|) is used as a separator between the desired fields. The entire expression within the set of () must be enclosed by quotation marks.

The text string returned for this function uses commas (,) to separate the different data items within each record, and semi-colons (;) to separate each record.

Assuming that the predecessor to an activity is A100, and that the relationship type is Finish to Start, the statement:

GET_PREDS("PRED_ACT_ID|REL_TYPE")

It then returns A100,Finish to Start.

GET_RELATED()

This function returns a list of fields for each member of a child collection related to the main collection. This is a more generic version of the more specialized functions, GET_PREDS(), GET_SUCCS(), GET_ASSGNS(), and so on.

String

GET_RELATED(<CollectionType>, <FieldList>)

where:

  • < CollectionType > is a quotation-mark-delimited identifier.

  • Main Collection = "Activity"

    • "A01", "A02", "A03" (Selected Baseline Activity Collection)

    • "ASG" (assignment collection)

    • "CST" (cost collection)

    • "PRD" (predecessor collection)

    • "RSK" (risk collection)

    • "SUB" (subproject collection)

    • "SUC" (successor collection)

    • "U01", "U02", "U03" (Selected Baseline Usage Collection)

    • "USE" (usage collection)

    Main Collection = "Baseline Activity"

    • "SUB" (subproject collection)

    • "USE" or "BSU" (baseline usage)

    Main Collection = "Resource Data"

    • "PSU" (Project Summary Usage)

    • "RSL" (Resource Escalations)

    • "SKL" (All skill assignments for the given resource record)

    • "SKR" (All skill assignments for the given skill record)

  • <FieldList> is a pipe-delimited string containing the list of fields to be returned. Fields are separated by commas, and records are separated by semicolons in the returned data.

GET_RELATED_COUNT

This function returns a record count. The two parameters for the function are the related collection identifier and an optional filter. You use this primarily with activity and baseline activity tables.

String

GET_RELATED_COUNT(RELATED_COLLECTION_IDENTIFIER, <FILTER_ON_RELATED_COLLECTION>)

You can use the function with one of the following related collection identifiers:

  • Main Collection = "Activity"

  • "ASG" (assignment collection)

  • "CHILD" (child collection)

  • "CST" (cost collection)

  • "PRD" (predecessor collection)

  • "RSK" (risk collection)

  • "STP" (step collection)

  • "SUB" (subproject collection)

  • "SUC" (successor collection)

  • "USE" (usage collection)

  • Main Collection = "Baseline Activity"

  • "CHILD" (child collection)

  • "USE" (usage collection)

You might want a count of all children for a subproject activity (GET_RELATED_COUNT("CHILD")), or you may want to get a count of all predecessors for a particular activity with a relationship lag of 0 (GET_RELATED_COUNT(PRD", "REL_LAG = |0|").

GET RISKS()

This function returns the percentile points for each of the requested fields on a key activity. (By default, 21 percentile points are returned. These are 0,5,10,15,…100.)

Character

GET_RISKS("<fieldname1>[ |<fieldname2>…"])

where:

<fieldname1>, <fieldname2> are names of fields in the Risk table.

The pipe symbol (|) is used as a separator between the desired fields. The entire expression within the set of () must be enclosed by quotation marks.

The text string returned for this function uses commas (,) to separate the different data items within each record and semi-colons (;) to separate each record.

The statement:

GET_RISKS("ESDATE1")

returns the percentile points for each early start date calculated during risk analysis. For example, Open Plan might show that risk analysis has calculated that the early start date for a key activity falls on or before Jan 15 during 5% of simulations, on or before Jan 16 10% during 10% of the simulations, and so on.

GET SUCCS()

This function returns successor data for an activity.

Character

GET_SUCCS(<fieldname1>[ |<fieldname2>…])

where:

<fieldname1>, <fieldname2> are names of fields in the Relationship table.

Because the GET_SUCCS() function works within a specific data table, it is important that the table portion of the fieldname be removed when using this function.

The pipe symbol (|) is used as a separator between the desired fields. The entire expression within the set of () must be enclosed by quotation marks.

The text string returned for this function uses commas (,) to separate the different data items within each record, and semi-colons (;) to separate each record.

Assuming that the successor to an activity is A200, and that the relationship type is Finish to Start, the statement:

GET_SUCCS("SUCC_ACT_ID|REL_TYPE")

It then returns A200,Finish to Start.

GET USAGES()

This function returns use records for an activity.

Character

GET_USAGES(<fieldname1>[ |<fieldname2>…])

where:

<fieldname1>, <fieldname2> are names of fields in the Use table.

Because the GET_USAGES() function works within a specific data table, it is important that the table portion of the fieldname be removed when using this function.

The pipe symbol (|) is used as a separator between the desired fields. The entire expression within the set of () must be enclosed by quotation marks.

The text string returned for this function uses commas (,) to separate the different data items within each record, and semi-colons (;) to separate each record.

Assuming that an activity having a single use record shows that 24 units of the resource ENG have been used, the statement:

GET_USAGES("RES_CODE|RES_USED")

It then returns ENG,24.

GOMONTH()

This function returns a date that is the specified number of months before or after a specified date.

Date

GOMONTH(<date>,<integer>)

where:

  • <date> is a date variable or user-entered date.

  • <integer> is a positive or negative integer.

Assuming that ESDATE is 05OCT04, the statement:

GOMONTH(ESDATE , -2)

returns 05AUG04.

HAS NOTE()

This function returns a logical value indicating whether a note is attached to an object. You can also determine whether a note with a specified category is attached to the object.

Logical

HAS_NOTE(<"string">)

where:

<string> is any character. This string is optional.

Assuming that an activity has a note attached, the statement

HAS_NOTE()

returns TRUE.

Example 2

Assuming that an activity has a note in the category "Scope," the statement:

HAS_NOTE("Scope")

returns TRUE.

IIF()

This function (Immediate If) provides a means of defining conditional processing in a report.

Any

IIF(<logicexp>,<iftrue>,<iffalse>)

where:

  • <logicexp> is a logical expression.

  • <iftrue> is any valid expression.

  • <iffalse> is any valid expression.

If <logicexp> evaluates to true, the calculated field or global edit is set to the value of <iftrue>; otherwise, the calculated field or global edit is set to the value of <iffalse>.

Example: Assuming that ESDATE is 21JUN04, the statement:

IIF(ESDATE>{01JUL04}, "Underway", "Planned")

returns Planned.

INLIST()

This function returns a logical value indicating whether a value is included in a list.

Logical

NLIST(<search>,<value1>, <value2>, ...)

where:

  • <search> is a variable or constant for which the function searches in the list.

  • <value1> is a variable or constant.

  • <value2> is a variable or constant.

Open Plan interprets a character argument as a comma-delimited list of items.

Assuming that the early start date month is June, the statement:

INLIST(MONTH(ESDATE),1, 4, 7, 10)

returns FALSE.

Example 2

Assuming that "CHRIS" is the local portion of a resource code, the statement:

INLIST("CHRIS",GET_ASSGNS("LOCAL(RES_CODE)"))

returns TRUE for the activities to which CHRIS is assigned.

INSTR()

This function returns the position of the first occurrence of one string from within another string. If the string that is sought is not found, this function returns 0.

Integer

INSTR(<start>,<string1>,<string2>)

where:

  • <start> is an integer that sets the starting position for the search.

  • <string1> is the string expression being searched.

  • <string2> is the string expression being sought.

The string expressions are case sensitive.

Assuming the following string expression to be searched:

SITE COORDINATION AND DESIGN

and the following string being sought:

COORDINATION

The statement:

INSTR(1, "SITE COORDINATION AND DESIGN", "COORDINATION")

returns 6.

LEFT()

This function returns a specified number of leftmost characters in a string.

Character

LEFT(<string>,<int>)

where:

  • <string> is the string expression being searched.

  • <int> is the number of characters to be returned.

The string expression is case sensitive.

The statement:

LEFT("SITE COORDINATION AND DESIGN",4)

returns SITE.

LEN()

This function returns a numeric value that is the length of a variable or constant.

Integer

LEN(<data>)

where:

<data> is a character, date, or numeric variable, or a character or numeric constant.

The statement:

LEN("Dig Hole")

returns 8.

Example 2

Assuming the field Act_Desc is 30 characters long and contains the string "EXCAVATION", then the statement:

LEN(Act_Desc)

returns 10. Note that it is irrelevant that the field width is 30 characters.

LEVEL()

This function returns the hierarchical level of an ID or code.

Integer

LEVEL(<ID>)

where:

<ID> is a character variable or constant.

Assuming that a code named C1 is assigned to the project, then the statement:

LEVEL(C1)

returns the level of the activity in the code structure.

LOCAL()

This function returns the "local" portion of an ID or code (that is, the portion of the ID or code that is not shared by other children of the same parent).

Character

LOCAL(<ID>, <level>)

where:

  • <ID> is a character variable or constant.

  • <level> is optional, specifying the level at which you want the local portion.

Assuming that a code named C1 is assigned to the project, then the statement:

LOCAL(C1)

returns the local (rightmost) portion of C1 at the current level code structure.

LOWER()

This function converts alphabetic characters from uppercase to lowercase.

Character

LOWER(<string>)

where:

<string> is a character variable or constant.

The statement:

LOWER("Dig Hole")

returns dig hole.

LTRIM()

This function trims leading spaces from a string.

Character

LTRIM(<string>)

where:

string is a character string.

Assuming that the activity description is "^^^^^^Administration", the statement:

LTRIM(ACT_DESC)

returns Administration.

In this example, each caret symbol (^) is used to represent a space.

MAX()

This function returns the maximum value from a list of variables.

Decimal, integer, character, date, or duration

MAX(<value1> [,<value 2>, ...])

where:

<value1>, <value2> are decimals, integers, characters, or dates.

Open Plan interprets a character argument as a comma-delimited list of items.

Assuming that value1 is 4, value2 is 25, and value3 is 66, the statement:

MAX(4, 25, 66)

returns 66.

Example 2

Assuming that USER_CHR01 contains a comma-delimited list of the values 5, 1, 8, and 3, the statement:

MAX(USER_CHR01)

returns 8.

MID()

Beginning at a specified location within a string, this function returns a specified number of characters in a string. If the number of characters to extract is not specified, this function returns all remaining characters in the string.

Character

MID(<string>,<start>,<int>)

where:

  • <string> is the string expression being searched.

  • <start> is the beginning location of the characters to be returned.

  • <int> is optional; specifying the number of characters to be returned; if omitted, all remaining characters are returned.

The string expression is case sensitive.

The statement:

MID("SITE COORDINATION AND DESIGN", 5, 12)

returns COORDINATION.

MIN()

This function returns the minimum value from a list of variables.

Decimal, integer, character, date, or duration

MIN(<value1>,<value 2>, ...)

where:

<value1>, <value2> are decimals, integers, characters, or dates.

Open Plan interprets a character argument as a comma-delimited list of items.

Assuming that value1 is 4, value2 is 25, and value3 is 66, the statement:

MIN(4, 25, 66)

returns 4.

Example 2

Assuming that USER_CHR01 contains a comma-delimited list of the values 5, 1, 2, and 3, the statement:

MIN(USER_CHR01)

returns 1.

MONTH()

This function returns a 2-digit numeric value for the month.

Integer

MONTH(<date>)

where:

<date> is a date variable or user-entered date.

Assuming ESDATE is 05JUL04, the statement:

MONTH(ESDATE)

returns 7.

NEWLINE()

This function inserts one or more lines in the calculated field expression.

While this function is available for both calculated fields and global edits, it is used in only calculated fields.

The effect of the NEWLINE() function is displayed only in spreadsheet columns where wrapping is enabled.

Integer

NEWLINE(<value>)

where:

<value> is an integer representing the number of lines to be added to the expression.

<value> cannot be blank.

The expression:

" Early:"+DATEFORMAT(ESDATE,"%D%A%Y")+NEWLINE(1)+"
         Late: "+DATEFORMAT(LSDATE,"%D%A%Y")+NEWLINE(1)+
"Sched:"+DATEFORMAT(SSDATE,"%D%A%Y")

returns a string similar to the following:

Early:12Apr04
Late:16Apr04
Sched:14Apr04

Notice that the NEWLINE() function has forced the Late and Scheduled dates to be moved to the next line.

NUMBER_FORMAT()

Returns a formatted string from a list of parameters.

Number

NUMBER_FORMAT(<integer>, <string>, <int>)

Where:

  • <integer> is the number to be formatted

  • <string> is a set of characters defining how the number should be formatted. The following characters can be used in combination with one another (except where restrictions apply):

    • "$" — Displays the native currency symbol. (This character should not be used in conjunction with "%")

    • "." — Displays a decimal point within the number. The amount of decimal places can be indicated in the optional third argument <integer>.

    • "," — Displays "thousands" separators.

    • "%" — Displays the resulting number as a percentage. (This character should not be used in conjunction with "$")

  • <int> is optional; specifying the number of decimal places to be returned. Up to 20 decimal places are allowed. If the number is set to 0, the decimal display is overridden.

If there are any unrecognized characters in the format string or if the format string contains both "$" and "%," the format string will be returned instead of a value.

A blank <string> is interpreted as a DEFAULT format, but the argument cannot be omitted.

The expression:

NUMBER_FORMAT(1000, "$.", 2)

Returns $1,000.00

OCCURS()

This function returns the number of times a string occurs within another string.

Integer

OCCURS(<string1>,<string2>)

where:

  • <string1> is the string expression to be searched.

  • <string2> is the substring to be searched.

The string expressions are case sensitive.

The statement:

OCCURS("Bright light circuits","ight")

returns 2.

PARENT()

This function returns the parent ID of a specified level for an ID or code.

Character

PARENT(<ID>, <level>)

where:

  • <ID> is a character variable or constant.

  • <level> is optional; specifying the level at which you want the local portion.

Assuming that a code named C1 is assigned to the project, then the statement:

PARENT(C1)

returns the ID of the immediate parent of the selected activity in the code structure.

RECORD_NUMBER()

This function provides a unique number that can be used to identify a particular record.

Integer

RECORD_NUMBER()

where:

< No arguments >

FIELD RECORD_NUMBER()

(Most useful during general Export)

RIGHT()

This function returns a specified number of rightmost characters in a string.

Character

RIGHT(<string>,<int>)

where:

  • <string> is the string expression being searched.

  • <int> is the number of characters to be returned.

The string expression is case sensitive.

The statement:

RIGHT("SITE COORDINATION AND DESIGN",6)

returns DESIGN.

ROUND()

This function returns a numeric or duration value rounded to a specified precision.

Decimal, integer, or duration

ROUND(<value>, <precision>, <type>)

where:

  • <value> is a numeric variable or constant.

  • <precision> is a positive or negative number. If positive, it represents the number of decimal places. A negative precision represents rounding that occurs to the left of the decimal point. In other words, it is integer rounding with the decimal point being at precision 0 and that -1 represents units of 10, -2 represents units of 100, and –3 represents units of 1000 (10 to the first, second, and third powers, respectively). For example, with a precision of -1, the last two digits of a given number will be rounded to the nearest multiple of 10.

  • You can also modify the precision of a duration using one of the following codes:

    • – t — (minutes)

    • – h — (hours)

    • – d — (days)

    • – w — (weeks)

    • – m — (months)

    This parameter is optional. If used, the code indicating the duration precision is a string and must be placed within quotation marks.

  • <type> is an optional argument indicating how Open Plan should round. Valid values are "up" (rounds all decimals up), "down" (rounds all decimals down), or the field can be empty (rounds up values ³.5, and rounds down values <.5). This parameter is optional.

The statement:

ROUND(458.9763, 2, "up")

returns 458.98.

Example 2

The statement:

ROUND(orig_dur /3.0, "d")

returns the original duration divided by 3.0 and rounded up to the nearest day.

Example 3

The statement:

ROUND(4589, -2)

returns 4600.

SPACE()

This function returns a specified number of space characters.

Character

SPACE(<int>)

where:

<int> is the number of space characters to be returned.

The statement:

SPACE(6)

returns six space characters.

SQRT()

This function returns the square root of the absolute value of a numeric value.

Decimal or integer

SQRT(<value>)

where:

<value> is a numeric variable or constant.

The statement:

SQRT(4)

returns 2.

STR()

This function converts a numeric to a character variable. It can also be used to return a date in a specified date field.

Character

STR(<value>, <length>, <decimal>)

where:

  • <value> is a decimal, integer, or duration.

  • <length> is a numeric or constant representing the length of the resultant character string including the decimal point and decimal places. This parameter is optional.

  • <decimal> is a numeric variable or constant representing the number of decimal places. This parameter is optional.

While the second and third parameters are optional, if you enter one, you must enter the other. The string is specified with the desired number of decimal places; then if needed, spaces are added as pad characters to the beginning of the string to fulfill the string length requirement.

STR(<date field>)

where:

<date field> is a date field.

Example for STR(<value>, <length>, <decimal>)

The statement:

STR(1.2345, 3, 1)

returns 1.2.

Example for STR(<date field>)

Assuming that ESDATE is October 5, 2004, the statement:

STR(ESDATE)

returns 05OCT04.

STRTRAN()

Within a string, this function replaces one substring with another substring and returns the revised string.

Character

STRTRAN(<string1>,<string2>,<string3>)

where:

  • <string1> is the string expression being searched.

  • <string2> is the substring to be replaced.

  • <string3> optional; is the replacement string; if omitted, a null string is assumed and <string2> is deleted.

The string expressions are case sensitive.

The statement:

STRTRAN("SITE MANAGEMENT","MANAGEMENT","SPECIFICATION")

returns SITE SPECIFICATION.

STUFF()

Beginning with a specified location within a string, this function replaces a specified number of characters with another substring and returns the revised string.

Character

STUFF(<string1>,<start>,<int>,<string2>)

where:

  • <string1> is the string expression being searched.

  • <start> is the position in the string expression where the replacement should begin.

  • <int> is the number of characters to be removed before a replacement string is inserted; if 0, no characters are removed.

  • <string2> optional; specifies the replacement string; if omitted, a null string is assumed and the characters specified by <int1> and <int2> are deleted.

The string expressions are case-sensitive.

The statement:

STUFF("SITE MANAGEMENT",6,10,"SPECIFICATION")

returns SITE SPECIFICATION.

SUBSTR()

This function copies a specified part of a character string.

Character

SUBSTR(<string>, <start>, <length>)

where:

  • <string> is a character string.

  • <start> is a numeric variable or constant representing the first character to be copied.

  • <length> is a numeric variable or constant representing the length of the character string to be copied. This parameter is optional.

The statement:

SUBSTR("ABCDEF", 3, 2)

returns CD.

Example 2

Assuming the ID = "P100", the statement:

SUBSTR(ID, 1, 2)

returns P1.

TIMENOW()

This function returns the currently set Time Now date.

Date

TIMENOW()

Assuming the currently set Time Now date is October 5, 2004, the statement:

TIMENOW()

returns 05OCT04.

TRIM()

This function removes trailing blanks from a character variable or constant.

Character

TRIM(<string>)

where:

<string> is a character variable or constant.

Assuming that the activity description is "Administration^^^^^^^^^^", the statement:

TRIM(ACT_DESC)+"!!!"

returns Administration!!!.

In this example, each caret symbol (^) is used to represent a space.

UPPER()

This function converts alphabetic characters from lowercase to uppercase.

Character

UPPER(<string>)

where:

<string> is a character variable or constant.

The statement:

UPPER("Dig Hole")

returns DIG HOLE.

USER_ID()

Returns name of current user.

String

USER_ID(<string>)

USER_ID() returns "SYSADMIN."

VAL()

This function converts a character string to a numeric value. It can also be used to convert durations to minutes.

Decimal or integer

VAL(<string>)

where:

<string> is a character or duration.

If <string> is not a valid numeric value, VAL converts the string starting at the leftmost character until an invalid numeric is encountered. Integer zero is returned if the string does not start with a valid numeric value.

The statement:

VAL("1678")

returns 1678.

Example 2

Assuming that the original duration of an activity is 100 days, the statement:

VAL(ORIG_DUR)

returns 48000 based on conversion preferences set for the project of 8 hours per work day.

YEAR()

This function returns a 4-digit numeric value for the year.

Integer

YEAR(<date>)

where:

<date> is a date variable or user-entered date.

Assuming ESDATE is 12JUL04, the statement:

YEAR(ESDATE)

returns 2004.

Location

To display the Function s dialog box, complete the following step:

  1. Click Functions in one of the following dialog boxes:

  • Temporary Sort Expression Dialog box

  • Filter Expression dialog box

  • Calculated Fields Dialog Box

  • Global Edit Definition Dialog Box

Related Topics and Procedures

Related Topics

Calculated Fields Dialog Box

Calculated Field Expression Dialog Box

Global Edits Dialog Box

Global Edit Definition Dialog Box

Fields Dialog Box

Related Procedures

Creating a New Calculated Field

Copying a Calculated Field

Editing a Calculated Field

Deleting a Calculated Field

Deleting a Calculated Field on which a Temporary Calculated Field is Based


Logged-In User Dialog Box

Use the Logged-In User dialog box to view the open files for each logged-in user.

User ID

This field displays a list of all the users currently logged into the Open Plan data source. Select a user to display files that the user has open.

When you display the Logged-in User dialog box, the default user depends on the following:

  • If you display the Logged-in User dialog box from the Hierarchical pane, the default user is the first user in the list of users.

  • If you display the dialog box for a specific user in the Contents pane, that user is automatically selected in the User ID field.

Grid

  • Opened File: This column displays the name of the open file.

  • File Type: This column displays the open file type. For example, project, calendar, resource, or code.

  • Machine ID: This column displays the computer from which the file was opened.

  • Opened On: This column displays the date and time the file was opened.

  • Open Mode: This column displays the access mode in which the file was opened. For example, exclusive, shared, or read-only.

Close Files

Click this button to close a file you selected in the grid. Use Shift + Click or Ctrl + Click to select multiple files. A message displays confirming that you want to close the selected files.

This button is grayed out until at least one file is selected in the grid.

Clear Locks

Click this button to clear your own file locks from within the application. It is only enabled when any of the selected row contains locks that you created.

If there are no open locks or files, both the Close Files and Clear Locks buttons are disabled

Close

Click to close the dialog box without making any changes.

Help

Click to display the dialog box help topic.

Location

To access the Logged-In User dialog box:

  1. In the hierarchical pane in Open Plan Explorer, select the Users folder.

  2. In the contents pane, right-click a User ID and click Properties on the context menu.

Related Topics and Procedures

Related Topics

Contents Pane of the Open Plan Explorer

The Open Plan Window, Tabs, Menus, and Commands


New Dictionary Dialog Box

Use the New Dictionary dialog box to specify the attributes of a new user dictionary.

File Name

Use this field to enter the name of the new dictionary file.

Browse

Click this button to display the Create Dictionary File dialog box where you can select and overwrite an existing dictionary.

Language

Use this field to specify the language the new dictionary will contain. Select Any if the language you want to use is not listed.

OK

Click to create the new dictionary and close the dialog box.

Cancel

Click to close the dialog box without making any changes.

Help

Click to display the dialog box help topic.

Location

To access the New Dictionary dialog box:

  1. Open a project that contains text, for example, Activity barchart view.

  2. On the Edit tab, click Add Activity to open the Activity Details dialog box.

  3. On the Notes tab, enter a misspelled word in the Note box and click [image] to initiate the spell-check.

  4. On the Check Spelling dialog box, click Dictionaries.

  5. On the Spelling Dictionaries dialog box, click New Dictionary.

Related Topics and Procedures

Check Spelling Dialog Box

Check Spelling - Options Dialog Box

Dictionaries Dialog Box


New File Dialog Box

Use the New File dialog box to create a new Open Plan file.

File Type

Use this field to select one of the following file types:

  • Project

  • Calendar

  • Resource

  • Code

  • Project Template

Name

Use this field to enter the name of the new file.

Description

Use this field to enter a brief description of the new file.

Use previous settings as defaults

This field is enabled when you select Project or Resource in the File Type field.

Select this option if you want Open Plan to use the last settings you specified in the New File Wizard as your default setting for the new file you are creating.

Next

Click to open the New File Wizard.

Finish

Click to create the file with the default values. To edit the values, click Next instead.

Cancel

Click to close the dialog box without making any changes.

Help

Click to display the dialog box help topic.

Location

You can access the New File dialog box in the following ways:

  • Double-click on an empty area in either pane of the Open Plan Explorer.

  • From the File menu, click New » <select Project or an ancillary file type>.

  • In Open Plan, press Ctrl + N.

  • On the Quick Access Toolbar, click New [image] and select Project or an ancillary file type.

Related Topics and Procedures

Related Procedures

Create a New File Using Default Settings

Create a Calendar File

Create a Resource File

Create a Code File


Organize Favorites Dialog Box

Use the Organize Favorites dialog box to do the following:

  • Add items to the favorites lists

  • Remove items from the favorites lists

  • Rearrange the position of favorite items in the list

Resizing

In addition to using the grabber pad in the bottom right corner to resize the dialog box, you can also resize the Available Items and Selected Favorites boxes. When you hover your cursor between the two boxes, your cursor changes to a slider bar. Click and hold your mouse button and drag left or right to resize the boxes.

Available Items

This box displays the available items you can add as favorites. The items are grouped as:

  • Views

  • Filters

  • Sorts

Click + or - to expand/contract the full list of items in each category.

Use the Right arrow to add items to the Selected Favorites box.

Selected Favorites

This box displays the items that are currently selected as favorites. The items are grouped as:

  • Views

  • Filters

  • Sorts

Click + or - to expand/contract the full list of items in each category.

Use the Right/Left arrows to add or remove items.

Use the Up/Down arrows to reorder the fields.

OK

Click to apply the changes and close the dialog box.

Cancel

Click to close the dialog box without making any changes.

Help

Click to display the dialog box help topic.

Location

You can access the Organize Favorites dialog box in the following ways:

  • On the View tab, click Organize in the Favorites menu group.
  • On the Tools tab, click Favorites in the Manage menu group.

Related Topics and Procedures

Related Topics:

Favorites

Related Procedures:

View and Select Favorite Filters

Designate a Sort as a Favorite

Designate a Filter as a Favorite


Save As Dialog Box

Use the Save As dialog box to save projects, calendars, codes, and resources with a new name.

The following rules apply depending on the circumstances under which you perform the Save As:

  • When you create a copy of a project, the new project maintains the same ancillary file attachments as in the original project.

  • When you create a copy of an ancillary file, if you want a project to use the new file, you must attach it to the project by either dragging it from the Open Plan Library and dropping it on the project, or by using the Files tab of the Project Properties dialog box.

You cannot perform Save As on a file if another file that is open refers to it. In such case, Save As is disabled. For example, if you open project CLEAN and try to perform a Save As on the calendar file CLEANCAL, the Save As File menu option is disabled. You need to close the project CLEAN before the Save As file menu option becomes available on the calendar file CLEANCAL.

New Name

Use this field to enter the new file name.

Description

Use this field to enter a description for the file.

Create Project Template

Select this option if you want Open Plan to save the file as a project template.

OK

Click to apply the changes and close the dialog box. Open Plan copies the current data into the appropriate tables using the new name.

Cancel

Click to close the dialog box without making any changes.

Help

Click to display the dialog box help topic.

Location

To access the Save As dialog box, click File » Save As » Save As New File.

Related Topics and Procedures

Related Topics

Save Files

Save a Project or Ancillary File

Save Current View As Dialog Box

Save Changes Dialog Box

Select Baselines to Save Dialog Box

Related Procedure

Save an Open Plan File


Save Changes Dialog Box

Use the Save Changes dialog box to save changes to a file that is open in exclusive mode. When you close the file, the dialog box prompts to save your changes. Open Plan discards any changes for files open in read-only mode.

Yes

Click to save the file before closing it.

No

Click to close the file without saving your changes.

Cancel

Click to close the dialog box and leave the file open.

Location

The Save Changes dialog box displays automatically when you close a file that is open in Exclusive mode after you have made changes to the file.

Related Topics and Procedures

Related Procedure

Save an Open Plan File


Select a Category Dialog Box

The Select a Category dialog box displays when you create or edit a filter that has ambiguous expressions. This dialog box shows you where in the expression the ambiguity exists. It also provides a list of suggestions for correcting the error.

While some of the values for the different fields used in the filter expression look similar, for example, the value [Planned] can be used in the Computed Status and Progress Type fields, if Open Plan is unable to determine the correct value to use for the expression, an ambiguity occurs.

[Results]

This box displays the ambiguous value you entered in the Expression box.

[Suggestions]

This box displays the suggestions to resolve the ambiguity.

To correct the ambiguity, select the appropriate value from the list presented and click OK.

While the list may contain several choices, not all of those choices are valid. This is due to the ambiguity of the field/value combination. If you select an invalid value, Open Plan displays an Incompatible data types in expression warning.

OK

Click to select a suggestion and close the dialog box.

Cancel

Click to close the dialog box without making any changes.

Help

Click to display the dialog box help topic.

Location

The Select a Category dialog box displays automatically when Open Plan detects an ambiguity in the value you enter in the Expression box of the Filter Expression dialog box.

  1. On the Tools tab, click Filters.

  2. On the Filter dialog box, select a filter to copy or edit.

  3. On the Filter Expression dialog box, click More>>.

  4. On the Expression box, enter a value and click OK.

Related Topics and Procedures

Related Topics

Filters Dialog Box

New Filter Dialog Box

Filter Expression Dialog Box

Related Procedures

Create a New Filter

Copy a Filter

Edit a Filter

Delete a Filter


Select Dialog Box

Use the Select dialog box to select a file to use as, for example, an ancillary file to a project.

The types of available files depends on the manner in which you access this dialog box:

  • If you access it from the Subproject field on the General tab of the Activity Details dialog box, you can select a project to use as an external subproject.

  • If you access it from the Files page of the New File Wizard while creating a project, you can select either a calendar file or a resource file to use as a project ancillary file.

  • If you access it from the Files page of the New File Wizard while creating a resource file, you can select a calendar file that you can assign to the resource file.

  • If you access it from the Files tab of the Project Properties dialog box, you can select either a calendar file or a resource file to use as a project ancillary file.

  • If you access it from the Files tab of the Properties dialog box for a resource file, you can select a calendar that you can assign to a resource file.

  • If you access it by clicking Favorites » More Favorites in the Sorts menu group of the Spreadsheet or Barchart Edit tab, you can select a sort to add to your favorite sorts list.

  • If you access it by clicking Favorites » More Favorites in the Filters menu group of the Spreadsheet or Barchart Edit tab, you can select a filter to add to your favorite filters list.

[Results]

This box displays the available files.

  • Name: The file name.

  • Description: A description about the file. This column is blank if a description was not entered for the file.

  • Owner: The file's owner or the user who created the file. Demo files shipped with Open Plan are entered into the database without owner names.

  • Last Update: The date the file was last modified.

OK

Click to apply your selection and close the dialog box.

Cancel

Click to close the dialog box without selecting a file.

New

Click to open the New File dialog box and create a new file.

Help

Click to display the dialog box help topic.

Location

You can access the Select dialog box in any of the following ways:

  • On the General tab of the Activity Details dialog box, click the ellipsis [image] next to the Subproject field.

  • Create a new project using the New File Wizard and click the ellipsis [image] next to the Calendar File or Resource Definition File fields on the Files page of the wizard.

  • Create a new resource file using the New File Wizard and click the ellipsis [image] next to the Calendar File field on the Files page of the wizard.

  • On the Files tab of the Project Properties dialog box, click the ellipsis [image] next to the Calendar File or Resource Definition File fields.

  • On the Files tab of the Properties dialog box for a resource file, click the ellipsis [image] next to the Calendar field.

  • On the Edit tab of a spreadsheet or barchart view, click Favorites » More Favorites in the Sorts or Filters menu group.

Related Topics

Related Topics

Activity Details Dialog Box

New File Wizard: Files Page

Project Properties Dialog Box: Files Tab

Properties Dialog Box: Files Tab


Select File to Delete Dialog Box

Use the Select File to Delete dialog box to delete any of the following files:

  • Project

  • Calendar

  • Resource

  • Code

  • View

  • Project Template

Depending on the type of file, Open Plan performs one of the following actions when you delete a file:

  • If the file is a project, Open Plan deletes all the project data from the data source. The ancillary file links that were created in the Project folder are removed, but the ancillary file data itself is retained. Any links to the project in your My Folder are also removed.

  • If the file is a calendar file, resource file, code file, or view template, Open Plans deletes the actual data from the data source.

A file cannot be deleted if another file refers to it. For example, you cannot delete a resource file if a project still uses it.

File Type

Use this field to filter the type of file you want to display in the [Results] box.

[Results]

This box displays the available files based on your selection in the File Type field.

  • Name: The file name.

  • Description: A description about the file. This column is blank if a description was not entered for the file.

  • Owner: The file's owner or the user who created the file. Demo files shipped with Open Plan are entered into the database without owner names.

  • Last Update: The date the file was last modified.

You can use Ctrl + Click or Shift + Click to select multiple files to delete.

OK

Click to delete the file you selected. A message prompts to confirm that you want to delete the file. Open Plan cannot continue with the request if you do not have sufficient access rights to delete the file or if other items are linked to the file.

Cancel

Click to close the dialog box without selecting a file to delete.

Help

Click to display the dialog box help topic.

Location

To access the Select File to Delete dialog box, from the File menu, click Manage Files » Delete.

Related Topics and Procedures

Related Topics

Delete (File Menu)

Delete (Edit Tab)

Related Procedure

Delete a Code File

Delete an Open Plan File

Delete a Resource File

Delete a Calendar File

Delete Projects

Delete a View


Add a Column to the Contents Pane (Procedure)

Add a Column to the Contents Pane

In order to customize the columns in the contents pane, the folder that is displayed must contain only like objects. For example, the objects must be all views, all projects, and so on.

To add a column to the contents pane, complete the following steps:

  1. In Open Plan Explorer, take one of the following actions to display the Customize Columns dialog box:

  • Double-click the header bar.

  • Right-click the header bar, and click Customize Columns on the shortcut menu.

  2. For each column that you want to add, select the appropriate field from the Available fields list and click the > button.

    This moves the selected field to the Display these fields list.

  3. When finished adding columns, click OK.

Related Topics and Procedures

Related Topic

Using the Contents Pane of the Open Plan Explorer

Related Procedures

Creating a User Folder

Creating a Link in My Folder to an Object

Removing a Column from the Contents Pane

Renaming a Column in the Contents Pane

Sorting the Data in the Contents Pane

Resizing a Column in the Contents Pane

Rearranging Column Order in the Contents Pane


Adding a Custom Symbol

To add a custom symbol, complete the following steps:

  1. From the File menu, click Preferences » Application.

  2. On the General tab of the Options dialog box, click Symbols.

  3. On the Symbols dialog box, click Add.

  4. On the Add Symbol dialog box, click Select File, locate the .wmf or .emf graphic file for the symbol, and click Open.

  5. Enter a description for the new symbol.

  6. Enter a shape category for the new symbol.

Leaving this field blank will place the symbol in the <Uncategorized Shapes> category.

You can create a new shape category by entering a unique name in the Shape Category field. Otherwise, entering an existing category name places the new symbol in that category.

  7. Click OK.

The Symbols dialog box can also be accessed by clicking the ellipsis button, located under the Logo preview in the Title Block Definition dialog box, when you create, copy, or edit a title block.

Related Topics and Procedures

Related Topics

Using the Symbols Dialog Box

Using the Edit Symbol Dialog Box

Using the Options Dialog Box

Related Procedure

Editing a Custom Symbol


Add an Item to a Favorites List

To add an item to a Favorites list, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in any view.

  2. In the Manage group of the Tools tab, click Favorites.

  3. In the Organize Favorites dialog box, take one of the following actions for each item that you want to add to the Favorites list:

    • Select the item from the Available Items list and click the right arrow button.

    • Double-click the item on the Available Items list.

    This moves the selected item to the Selected Favorites list. You can expand/collapse the list categories by clicking the plus or minus boxes.

  4. When finished, click OK.


Applying a Temporary Exclusive Lock

To apply a temporary exclusive lock on a project, complete the following steps:

  1. Take one of the following actions:

  • After opening a project in Shared Mode, click the Lock Project button on the Processes tab.

  • Right-click a project and click Shared Mode Lock from the context menu.


Changing the Center Setting for the Display (Procedure)

Changing the Center Setting for the Display

To enable a centered setting of the resource or code file display, complete the following steps:

  1. Right-click an empty area of a Code or Resource view, and click Preferences on the context menu.

  2. On the Options tab, select Centered in the General group box.

To disable a centered setting of the resource or code file display, complete the following steps:

  1. Right-click an empty area of a Code or Resource view, and click Preferences on the context menu.

  2. On the Options tab, clear Centered in the General group box.

Related Topics and Procedures

Related Procedures

Changing the orientation of the display

Changing the display of resource and code IDs

Changing the hierarchy display layout settings

Using the Zoom In Command

Using the Zoom Out command


Changing the Display of Resource and Code IDs (Procedure)

Changing the Display of Resource and Code IDs

To enable the display of full IDs for resources and codes, complete the following steps:

  1. Right-click an empty area of a Code or Resource view, and click Preferences on the context menu.

  2. On the Options tab, select Show Full ID in the Box Contents group box.

To limit the display of resource and code IDs to the local portion, complete the following steps:

  1. Right-click an empty area of a Code or Resource view, and click Preferences on the context menu.

  2. On the Options tab, clear Show Full ID in the Box Contents group box.

Related Topics and Procedures

Related Procedures

Changing the Orientation of the Display

Changing the Center Setting for the Display

Changing the Hierarchy Display Layout Settings

Using the Zoom In Command

Using the Zoom Out Command


Changing the Hierarchy Display Layout Settings (Procedure)

Changing the Hierarchy Display Layout Settings

To enable the spread layout on resource and code hierarchy displays, complete the following steps:

  1. Right-click an empty area of a Code or Resource view, and click Preferences on the context menu.

  2. On the Options tab, select Spread in the Hierarchy Display Options group box.

To enable the ladder layout on resource and code hierarchy displays, complete the following steps:

  1. Right-click an empty area of a Code or Resource view, and click Preferences on the context menu.

  2. On the Options tab, select Ladder in the Hierarchy Display Options group box.

Related Topics and Procedures

Related Procedures

Changing the Orientation of the Display

Changing the Center Setting for the Display

Changing the Display of Resource and Code IDs

Using the Zoom In Command

Using the Zoom Out Command


Changing the Orientation of the Display (Procedure)

Orientation of the Display

To enable a sideways orientation of the resource or code file display, complete the following steps:

  1. Right-click an empty area of a Code or Resource view, and click Preferences on the context menu.

  2. On the Options tab, select Sideways in the General group box.

To enable a vertical orientation of the resource or code file display, complete the following steps:

  1. Right-click an empty area of a Code or Resource view, and click Preferences on the context menu.

  2. On the Options tab, clear Sideways in the General group box.

Related Topics and Procedures

Related Procedures

Changing the Center Setting for the Display

Changing the Display of Resource and Code IDs

Changing the Hierarchy Display Layout Settings

Using the Zoom In Command

Using the Zoom Out Command


Change Your Login Password (Procedure)

Change Your Login Password

To change your login password, complete the following steps:

  1. From the File menu, click Change Password.

  2. In the Old Password field, enter your old password.

  3. In the New Password field, enter your new password.

  4. In the Re-enter New Password field, re-enter your new password for confirmation, and Click OK.

Related Topics and Procedures

Related Topic

Using the Set Password Dialog Box

Related Procedure

Granting File Access Rights


Choosing a Command From a Menu (Procedure)

Choosing a Command From a Menu

To choose a command from a menu, click the name of the command.

Related Topics and Procedures

Related Procedures

Displaying a Menu

Choosing a Command From the Quick Access Toolbar, File Menu, and Open Plan Tabs


Choosing a Command from the Quick Access Toolbar, File Menu, and Open Plan Tabs

Choose a Command from the Quick Access Toolbar, File Menu, and Open Plan Tabs

To choose a command from the Quick Access Toolbar, File Menu, and Open Plan tabs, click the button representing the command. Dimmed buttons on the tabs indicate that the command is not available at this time. The following commands are available from the Quick Access Toolbar, File Menu and Open Plan tabs:

Quick Access Toolbar

New

Clicking this button displays the New File dialog box that you can use to create a project or an ancillary file.

Open

Clicking this button displays the File Open dialog box that you can use to open a project or ancillary file.

Save

This button is enabled only when you have made a change to a file. Provided that it is open in exclusive mode, clicking this button saves the saves the file using its current name.

Undo

When you add, update, or delete in a Project, Resource, Code, or Calendar view, you can use the Undo button to undo multiple operations in the reverse order that they were performed.

Each open file has a separate, independent list of undo operations that can be performed.

Some operations, such as time analysis, resource scheduling, cost calculations, and automatic progress cannot be undone.

If no undo operations are available to be performed, the undo button is disabled.

You can also use Ctrl+z to perform an undo operation.

You can disable this feature by adding _DISABLE_UNDO = 1 to the System Preferences Defaults dialog box.

Print

Clicking this button allows you to print a report with the settings currently in effect. The dialog box that Open Plan displays when you click this button depends on the view that is displayed in the active window:

  • For all views other than a calendar, Open Plan displays the Print dialog box.

  • For a calendar, Open Plan displays the Print Calendar dialog box.

Print Preview

Clicking this button allows you to view a report before it is printed. Print preview shows entire pages at a reduced size so that you can view one or more pages at a time and check page breaks. You cannot, however, make any changes to the report while in print preview.

Help Contents

Clicking this button opens the Deltek Open Plan Help.

Exit Open Plan

Clicking this button closes Deltek Open Plan.

Customize QAT

Clicking this allows you to show or hide Quick Access Toolbar items, change the Quick Access Toolbar location, as well as minimize the ribbon.

File Menu

New

Clicking this button displays the New File dialog box that you can use to create a project or an ancillary file.

Project

Clicking this button allows you to create a new project.

Calendar File

Clicking this button allows you to create a calendar file.

Code File

Clicking this button allows you to create a code file.

Resource File

Clicking this button allows you to create a resource file.

Open

Clicking this button displays the File Open dialog box that you can use to open a project or ancillary file.

Save

This button is enabled only when you have made a change to a file. Provided that it is open in exclusive mode, clicking this button saves the saves the file using its current name.

Save As

Clicking this button allows you to save a file (Save As New File) or a project (Save As Project Template).

Save as New File

Clicking this button allows you to save the current file with a new name.

Save as Project Template

Clicking this button allows you to create a project template from the current project.

File Close

Clicking this button closes the current file.

Save View

Clicking this button allows you to save changes to the current view or save the current view to a new view.

Save View

Clicking this button allows you to save changes to the current view.

Copy View

Clicking this button allows you to save the current view to a new view.

Print

Clicking this button allows you to print the current view, display full pages as they appear when printed, change the printer and printing settings, and change the printing options for the view.

Print

Clicking this button allows you to print the current view.

Print Preview

Clicking this button allows you to view a report before it is printed. Print preview shows entire pages at a reduced size so that you can view one or more pages at a time and check page breaks. You cannot, however, make any changes to the report while in print preview.

Print Setup

Clicking this button allows you to change the printer and printing settings.

Print Options

Clicking this button allows you to change the printing options for the view.

Manage Files

Clicking this button allows you to create a backup of Open Plan data; restore data from an Open Plan backup file; delete one or more projects, resource, calendar, or code file; change owner and access rights; change the file access mode; and check out and check in a project.

Backup Data

Clicking this button allows you to create a backup of Open Plan data.

Restore Data

Clicking this button allows you to restore data from an Open Plan backup file.

Delete

Clicking this button allows you to delete one or more projects, resource, calendar, or code files.

Owner and Access Rights

Clicking this button allows you to change owner and access rights.

Mode

Clicking this button allows you to change file access mode.

Check Out

Clicking this button allows you to check out a project for your use.

Check In

Clicking this button allows you to check in a project that you have checked out.

Share

Clicking this button allows you to backup the current project and attach this to an email, as well as send a message to one or more users.

Send Project

Clicking this button allows you to backup the current project and attach this to an email message.

Send Message

Clicking this button allows you to send a message to one or more users.

Change Password

Clicking this button allows you to change your password.

Help

Clicking this button allows you to open the Deltek Open Plan Help, About Deltek Open Plan, and the Deltek Customer Care Connect site.

Deltek Open Plan Help

Clicking this button allows you to launch the Deltek Open Plan Help System.

About Deltek Open Plan

Clicking this button displays a message box with the following information about your copy of Open Plan:

  • Version number

  • Copyright notice

  • Serial number

  • Name of registered user

  • Company of registered user

Deltek Customer Care

Clicking this button allows you to launch the Deltek Customer Care Connect site.

Preferences

Clicking this button allows you to view or change system preferences, as well as manage and select Open Plan data sources.

Application

Clicking this button allows you view or change system preferences.

Data Sources

Clicking this button allows you to manage and select Open Plan data sources.

Exit

Clicking this button allows you to close Open Plan.

Processes

(Schedule Group)

Perform Time Analysis

Clicking this button performs time analysis on the open project using the time analysis settings currently in effect.

Time Now/Calendar

This is the current status date of the project. You can specify the Time Now date by clicking the calendar.

Auto-analyze

Clicking this button allows automatic time analysis. Open Plan will perform time analysis whenever you change the logic of the project by cutting, pasting, adding, or deleting an activity or relationship. It also performs time analysis whenever you change Time Now or make any time-related change to an activity.

Lock Project

Clicking this button allows you to apply a temporary exclusive lock on a project.

Perform Resource Scheduling

Clicking this button performs resource scheduling on the open project using the resource scheduling settings currently in effect.

Perform Risk Analysis

Clicking this button performs risk analysis on the open project using the risk analysis settings currently in effect.

Time, Resource, or Risk Options

Clicking this button allows you to change time analysis, resource scheduling, or risk analysis options.

(Calculate Group)

Cost Calculations

Clicking this button performs cost calculations on the open project using the cost calculation settings currently in effect.

Progress Calculations

Clicking this button performs progress calculations on the open project using the progress calculation settings currently in effect.

(Dialogs)

Project Properties

Clicking this button allows you to view or change project properties.

Manage Baselines

Clicking this button allows you to create, update, and delete baselines for the project.

Change Mode

Clicking this button allows you to change the file access mode.

(Ancillary Data)

Display Calendar View

Clicking this button allows you to display the calendar view for the project.

Display Resource View

Clicking this button allows you to display a resource view for the project.

Display Code View

Clicking this button allows you to display a code view for the project.

(Tools)

Trace Logic

Clicking this button allows you to perform a trace of logic to an activity.

Schedule Driver Analysis

Clicking this button allows you to perform a trace of multiple paths into an activity.

(Log Viewer)

Open Log File

Clicking this button allows you to open and view Open Plan log files.

Integration

(Import)

Microsoft Project Import

Clicking this button allows you to import data from Microsoft Project.

Oracle Primavera XER Import

Clicking this button allows you to import Oracle Primavera XER files.

General Import

Clicking this button allows you to open the Import dialog box, providing many options for importing data.

(Export)

Microsoft Project Export

Clicking this button allows you to export data to Microsoft Project.

General Export

Clicking this button allows you to export data.

Export Crosstable Data

Clicking this button allows you to configure and export resource crosstable data.

(Scripts)

Edit Transfer.dat

Clicking this button allows you to edit General Import and General Export scripts in Notepad.exe.

Tools

(Custom Fields)

User Defined Fields

Clicking this button allows you to manage user defined fields.

Note Categories

Clicking this button allows you to manage user note categories.

Calculated Fields

Clicking this button allows you to manage calculated fields.

(Manage)

Filters

This option opens the Filters dialog box where you may create, edit, delete or apply filters.

Sorts

This option opens the Sorts dialog box where you may create, edit, delete or apply sorts.

User Validations

Clicking this button allows you to manage user defined validations.

Global Edits

Clicking this button allows you to manage global edits.

Batch Global Edits

Clicking this button allows you to manage batch global edits.

Email Advisor

Clicking this button allows you to manage email advisor definitions and send emails.

Rollups

Clicking this button allows you to manage rollups.

Spread Curves

Clicking this button allows you to manage spread curves.

Reporting Calendars

Clicking this button allows you to manage reporting calendars.

Group Delete

Clicking this button allows you to delete groups of data based on filters.

Browser Views

Clicking this button allows you to manage browser view definitions.

Organize Favorites

Clicking this button allows you to manage your favorite views, filters, and sorts.

(Log Viewer)

Open Log File

(Publish)

Web Publisher

Clicking this button opens the Open Plan Web Publisher application.

Edit

(Calendar Data)

Work Hours

Clicking this button allows you to edit the working hours of the selected day.

Work Week

Clicking this button allows you to edit the default work days and default work week hours for the current calendar.

Calendars

Clicking this button allows you to select and manage calendars.

Holidays

Clicking this button allows you to edit the holidays for the current calendar.

Calendar Preferences

Clicking this button allows you to view or change the calendar view preferences.

Go to Date

Clicking this button allows you to go to a specific date in the calendar.

Calendar Font

Clicking this button allows you to select the font for the calendar view.

Previous Year

Clicking this button allows you to display the previous year.

Next Year

Clicking this button allows you to display the next year.

Calendar Properties

Clicking this button allows you to view or change calendar file properties.

The next commands do not apply to Calendar data.

(View)

Select View

Clicking this button allows you to select a view from the list of available views. This also allows you to add the current view to your favorites lists, as well as save and copy the view. Clicking other Views opens the Select dialog box, where you can select other available views.

(Clipboard)

Paste

Clicking this button copies the item on your Open Plan or Windows clipboard to your selected location on the active view.

Only appropriate items are pasted from the clipboard. For example, you cannot paste an activity record into a resource view.

Cut

Clicking this button while an Open Plan record is selected removes the record from its current location and places it on the Open Plan clipboard.

Clicking this button while text is selected removes the selected text from its current location and places it on the Windows clipboard.

Copy

Clicking this button while an Open Plan record is selected places a copy of the record on the Open Plan clipboard.

Clicking this button while text is selected places a copy of the selected text on the Windows clipboard.

Select All

Clicking this button allows you to select all records in the current view.

(Data)

, [image],

Add Activity, Add Resource, and Add Code

Clicking this button allows you to add an activity, resource, or code.

Expand

Clicking this button expands the data on the hierarchical level immediately below the one selected.

Expand All

Clicking this button expands all summary data on the view.

Collapse

Clicking this button hides the children of the subproject and allows you to work with the data at a summary level.

Collapse All

Clicking this button collapses all expanded items and displays only the top level of the hierarchy.

Outdent

Clicking this button promotes an activity, resource, or code in a hierarchy to the level of its parent. In assigning an ID to the outdented element, Open Plan follows the rules for automatic numbering.

Indent

Clicking this button renumbers the relevant ID according to the rules for automatic numbering.

Add Relationship, Add Child Resource, and Add Child Code

Clicking this button allows you to add relationships or one or more activities, add a resource as a child of the selected resource pool, or add a code as a child of the selected code.

Delete Activity, Delete Resource, or Delete Code

Clicking this button allows you to delete the selected activity, resource or code.

Group Delete

Clicking this button allows you to delete the selected group.

Link/Unlink Activities

Clicking this button allows you to create or remove relationships between two or more selected activities.

Fill Column Down

Clicking this button allows you to copy the value of the first cell in a column selection or range to remaining cells.

Find And Replace

Clicking this button opens the Find and Replace dialog box. This allows you to search and/or replace values.

Replace

Clicking this button allows you to replace specific text with a different text.

(Insert)

Insert Subproject

Clicking this button allows you to insert a project into the current project as a subproject.

Insert Project Template

Clicking this button allows you to insert a project template into the current project.

(Manage)

Skills

Clicking this button allows you to manage resource skills.

Clear Summary Usage

Clicking this button allows you to clear project summary resource usage data.

(Filters)

Favorite Filters

Clicking this button allows you to select from your favorite filters.

Filters

Clicking this button allows you to select a filter.

Clear Filter

This option removes the currently selected filter. It is equivalent to displaying the Filters dialog box and choosing Cancel Filter.

Toggle Filter

Once a filter has been applied, this option turns the filter on or off while still remembering it.

Reapply Filter And Sort

Clicking this button instructs Open Plan to reapply the filter or sort to the view.

Add To Filter

This option takes a selection range and adds the selection values to the currently selected filter based on the following rules:

  • Multiple selections within a column are added to the filter with an OR EQUALS condition

  • Multiple selections across columns are added to the filter with an AND EQUALS condition

Remove From Filter

This option takes a selection range and adds the selection values to the currently selected filter based on the following rules:

  • Multiple selections within a column are added to the filter with an OR NOT EQUALS condition

  • Multiple selections across columns are added to the filter with an AND NOT EQUALS condition

Edit Filter

This option displays the Filter Expression dialog box while bypassing the Filters dialog box.

(Sorts)

Favorite Sorts

Clicking this button allows you to select from your favorite sorts.

Reapply Filter And Sort

Clicking this button allows you to reapply the filter and sort the data.

Sorts

Clicking this button allows you to select from the list of sorts.

Clear Sort

Clicking this button allows you to clear the current sort.

(Dialogs)

Activity Details

Clicking this button allows you to display the Activity Details dialog box.

Activity Progress

Clicking this button allows you to display the Activity Progress dialog box.

Activity Information

Clicking this button allows you to display the Activity Information dialog box.

Activity Properties

Clicking this button allows you to display the Activity Properties dialog box.

(Resources)

Assign Resources

Clicking this button allows you to assign resources to one or more selected activities.

Resource Allocation

Clicking this button allows you to display the Resource Allocation dialog box.

(Ancillary Data)

Display Calendar View

Clicking this button allows you to display the Calendar view for this project.

Display Code View

Clicking this button allows you to display the Code view for this project.

Display Resource View

Clicking this button allows you to display the Resource view for this project.

View

(Network)

Network Preferences

Clicking this button allows you to view or change network view preferences.

Placements

Clicking this button allows you to change placements options and calculate activity placements.

(Hierarchy)

Hierarchy View Preferences

Clicking this button allows you to view or change hierarchy view preferences.

(Barchart)

Barchart Preferences

Clicking this button allows you to view or change barchart view preferences.

Bar Sets

Clicking this button allows you to view or change the bars and text displayed in the barchart view.

Date Scale

Clicking this button allows you to edit the date scale for the view.

Numeric Axis

Clicking this button allows you to manage the look and feel of the barchart heading along the top of the barchart area of the Tornado Chart view.

(Table)

Spreadsheet Preferences

Clicking this button allows you to view or change spreadsheet preferences.

Table Layout

Clicking this button allows you to manage columns in the spreadsheet.

Split View

Clicking this button allows you to split/unsplit the spreadsheet view.

Conditional Formatting

Clicking this button allows you to manage conditional formatting rules.

(Columns)

Add

Clicking this button allows you to add a column to the right of the current column.

Insert

Clicking this button allows you to insert a column to the left of the current column.

Remove

Clicking this button allows you to remove the current column.

Edit

Clicking this button allows you to edit the properties of the selected column.

Best Fit

Clicking this button allows you to adjust the width of the current column to fit the data.

Click to Sort

Clicking this button allows you to toggle the ability to sort a column by clicking the column header.

(Show)

Relationship Mode

Clicking this button allows you to edit relationships between activities displayed on the barchart.

Bar Data Mode

Clicking this button allows you to edit the following information about a selected activity on the barchart by dragging your mouse cursor:

  • Target start date

  • Duration

  • Percent complete

Go to Date

Clicking this button allows you to specify a specific date. Open Plan then scrolls the view to the specified date.

(Histogram)

Histogram Preferences

Clicking this button allows you to manage histogram view preferences.

Select Resource

Clicking this button allows you to select resources to display in the histogram view.

Display Histogram

Clicking this button allows you to display or hide the histogram.

Select Activity

Clicking this button allows you to select a key activity in the histogram view.

(Favorites)

Add to Favorites

Clicking this button allows you to add the current view to your favorite views list.

Organize Favorites

Clicking this button allows you to manage your favorite view, filters, and sorts.

(Printing)

Title Blocks

Clicking this button allows you to manage title blocks.

(Save)

Save View

Clicking this button allows you to save changes you made to the current view.

Copy View

Clicking this button allows you to save the current view to a new view.

(Snapshot)

Capture Snapshot

Clicking this button captures the active view and allows you to save it in the .jpg format.

(Font)

Font

Clicking this button allows you to select the default font for the view.

(View)

Zoom In

Clicking this button displays a view at a greater magnification, allowing you to see less of the view but with greater detail.

Zoom Out

Clicking this button displays the view at a smaller magnification, allowing you to see more of the view but with less detail.

Show Page Breaks

Clicking this button allows you to display printer page breaks on the screen.

Go To Parent

Clicking this button allows you to go to the parent of the current activities.

Go To Top

Clicking this button allows you to go to the top level of the project.

Go To Subproject

Clicking this button allows you to go to the children of the current activity.

Add Annotation

Clicking this button allows you to add an annotation to an activity.

Suppress Activity Dialog

Clicking this button allows you to create new activities without invoking the Activity Details dialog box.

Related Topics and Procedures

Related Procedures

Displaying a Menu

Choosing a Command From a Menu


Creating a Link in My Folder to an Object

To create a link in My Folder to an object, complete the following step:

  1. Take one of the following actions:

  • Use the New File Wizard to create a new file. (Open Plan automatically adds the new file to My Folder.)

  • Drag an object from another folder into My Folder.

  • Select an object in another folder and then click Copy on the Edit tab. Next, select My Folder and then click Paste from the Edit tab. You can also use Ctrl+C to cut and Ctrl+V to paste.

  • Right-click an object in another folder and then click Copy on the shortcut menu. Next, right-click My Folder and select then Paste from the context menu.


Create a New File with Custom Settings

To create a new file with custom settings, complete the following steps:

  1. Take one of the following actions to display the New File dialog box:

    • On the File menu, click New.

    • Press Ctrl+N.

    • On the Quick Access Toolbar, click New.

    • Double-click an empty area of the Open Plan Explorer.

  2. Select a File Type (project, calendar, resource, or code)..

  3. Enter a Name and Description for the file and click Next.

    4. Open Plan displays the first page of the New File Wizard.

  4. Complete each page as appropriate and on the last page, click Finish.

Related Topics and Procedures

Related Topics

Using the New File Wizard

New File Dialog Box

Related Procedures

Create a New File with Custom Settings

Create a New File with Default Settings


Create a New File with Default Settings

To create a new file with default settings, complete the following steps:

  1. Take one of the following actions to display the New File dialog box:

    • On the File menu, click New.

    • Press Ctrl+N.

    • On the Quick Access Toolbar, click New.

    • Double-click an empty area of the Open Plan Explorer.

  2. Select a File Type (project, calendar, resource, or code).

  3. Enter a Name and Description for the file.

  4. (Optional) To use the settings from the last file created, select the Use previous settings as defaults option.

  5. Click Finish.

Creating a New Code

If you are creating a new code, after you click Finish, Open Plan displays the New Code Structure dialog box. Enter the information for the code file and click OK. Open Plan creates a new code file and allows you to enter information for the first code.

Related Topics and Procedures

Related Topics

New File Dialog Box

Using the New File Wizard

Related Procedures

Create a New File with Default Settings

Create a New File with Custom Settings


Create a User/Custom Folder (Procedure)

Create a User/Custom Folder

To create a user (custom) folder, complete the following steps:

  1. In the hierarchy pane of Open Plan Explorer, right-click the folder in which you want to create the new folder.

    User folders must be created as a subfolder of an existing folder. You can create user folders within any folder in the hierarchy.

  2. On the shortcut menu, click New Folder.

  3. Enter a name for the folder, and press Enter.

Related Topics and Procedures

Related Topic

Using the Open Plan Explorer

Related Procedures

Creating a Link in My Folder to an Object

Adding a Column to the Contents Pane

Removing a Column from the Contents Pane

Renaming a Column in the Contents Pane

Sorting the Data in the Contents Pane

Resizing a Column in the Contents Pane

Rearranging Column Order in the Contents Pane


Creating an Open Plan File (Procedure)

Creating an Open Plan File

To create an Open Plan file, complete the following steps:

  1. Take one of the following actions:

    • On the File menu, click New.

    • Press the Ctrl+N keys.

    • On the Quick Access Toolbar, click the New [image] button.

  2. From the File Type list in the New File dialog box, select the type of file that you want to create (Project, Calendar, Resource, or Code).

  3. In the Name field, enter a name for the new file.

  4. In the Description field, enter a description for the file.

  5. Click Next.

  6. On the first page of the New File Wizard, select a default access mode for the project.

  7. Decide whether you want to create an original new file or create the file as a copy of an existing one and click the appropriate option.

    If you are creating the new file as a copy of an existing file, Open Plan allows you to select the file that you want to use as a template.

  8. Click Next.

  9. Complete the remaining pages of the wizard clicking Next to advance from page to page.

  10. On the last page of the wizard, click Finish.

When you have finished creating the file, you can display the Properties dialog box to review your settings and make any necessary changes.

Related Topics and Procedures

Related Topic

Using the New File Dialog Box

Related Procedures

Opening an Open Plan File

Saving an Open Plan File

Copying an Open Plan File

Closing an Open Plan File

Deleting an Open Plan File


Define a Title Block (Procedure)

Define a Title Block

To define a title block for a report, complete the following steps, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, display the view for which you want to define a title block.

  2. In the Printing menu group of the View tab, click Title Blocks.

  3. In the Title Blocks dialog box, take one of the following actions:

  • To create a new title block, click New.

  • To copy an existing title block, select the title block, and click Copy.

  • To edit an existing title block, select the title block, and click Edit.

  4. Enter the information for the title block.

  • To include variable text in the title block, place the insertion cursor in the entry box for a line, and click Fields to display the Fields dialog box.

  • To define the boundaries for a left or right title block in the header or footer, enter a value in the Divider Line field. This setting is not available for center title blocks.

  • To insert a graphic to appear as a logo in a title block, select Include, click the ellipsis to display the Symbols dialog box, and select the appropriate graphic file.

  5. For each line in the title block that you want to define, take one of the following actions:

  • Enter the text that you want to display on the title block line.

  • Click Variables, and select a variable to display on the title block line.

  • Enter a combination of text and variables on the title block line.

  • Click Logo and select a graphic to display on the title block line.

  6. For each line in the title block that you define, you may click Font to display the Font dialog box where you can select a typeface and its attributes.

  7. When you have finished entering information for the title block, click OK.

To see a preview of the printed report, click Print » Print Preview on the File menu, or click the Print Preview button on the Quick Access Toolbar.

To insert a right-alignment tab in a left title block or a left-alignment tab in a right title block, use /t.

Related Topics and Procedures

Related Topics

Title Blocks

Fields Dialog Box

Symbols Dialog Box

Font Dialog Box

Title Blocks Dialog Box

Related Procedures

Assign a Title Block to a View

Copy a Title Block Definition

Edit a Title Block Definition


Define Access Rights to an Ancillary File

You must be the owner of the file or view template in order to define access rights to it.

To define access rights to a resource file, calendar file, code file, or view template, complete the following steps:

  1. In Open Plan Explorer, right-click the appropriate file or view template, and click Properties on the context menu.

  2. On the Access Control tab, assign access rights to the file.

  3. When finished, click OK.


Define Access Rights to a Project

You must be the owner of the project or have SYSADMIN rights in order to define access rights to it.

To define access rights to a project, complete the following steps:

  1. Select the project for which you want to define access rights.

  2. Take one of the following actions:

  • On the Processes tab, click Properties.

  • Right-click the project folder, and click Properties on the context menu.

  3. On the Access Control tab, assign access rights to the project.

  4. When finished, click OK.


Disabling Start Up Procedures (Procedure)

Disabling Start Up Procedures

To disable the startup Procedures that display when an empty view is opened, complete the following steps:

  1. From the File menu, click Preferences » Application.

  2. On the General tab of the Options dialog box, clear the Show Start Up Procedures option.

  3. Click OK.

Related Topics and Procedures

Related Topic

Using the Options Dialog Box

Related Procedures

Modifying the List of Default Views

Showing Summary Dates on Subprojects

Opening Last File on Startup

Setting the Default Project


Displaying Tab Items (Procedure)

Displaying Tab Items

To display the items of a tab, click the name of the tab.

Related Topics and Procedures

Related Procedures

Choosing a Command From a Menu

Choosing a Command From the Quick Access Toolbar, File Menu, and Open Plan Tabs


Enabling Editing of Read-Only Files (Procedure)

Enabling Editing of Read-Only Files

To enable users to edit read-only files and save to another name, complete the following steps:

  1. From the File menu, select Preferences » Application.

  2. In the Options dialog box, select the Advanced tab.

  3. Click Defaults.

  4. In the System Preferences Defaults dialog box, scroll to the end of the grid.

  5. In the next available row in the grid, enter _ALLOW_EDIT_READONLY in the Category column.

  6. Enter '1' in the Default Value column to enable editing (enter '0' to disable).

  7. Click OK twice.

This is a system option that affects all Open Plan users. Only users with administrator rights can set this option. This option cannot be overridden by individual Open Plan users.

Related Topics and Procedures

Related Topics

Using the System Preferences Defaults Dialog Box

Using the Options Dialog Box: Advanced Tab

Related Procedure

Setting System Preferences


Expand from Here

This procedure allows you to expand all children of and all levels from a selected subproject in certain project views.

If there is no selected subproject or you can no longer expand the selected subproject, the Expand from here option is disabled.

To expand all children of and all levels from the selected subproject:

  1. In the Project Views folder of Open Plan Explorer, select a project to display.

  2. Right-click a subproject that you want to expand and select Expand from here.

Related Topics and Procedures

Related Topic

Open Plan Explorer

Project Views with Expand from Here

Related Procedures

Assign a View to a Project

Save a View

Copy a View

Delete a View


Filter the Open Plan Explorer Contents

To filter the contents of the display format, complete the following steps:

  1. In Open Plan Explorer's hierarchical pane, select the folder to filter.

  2. Right-click the folder to filter, and click Filter on the context menu.

  3. In the Filter Settings dialog box, define the filter, and select Enable Filtering.

  4. Click OK.

The filter you define is only applied to the selected folder. This means that you can have a different filter for each folder.

Related Topics and Procedures

Related Topic

Filtering the Open Plan Explorer Contents


Printing a Help Topic (Procedure)

Printing a Help Topic

To print a help topic,complete the following step:

  1. Display the topic you want to print, and click [image] .

Related Topics and Procedures

Related Procedure

Searching for Words in a Help File

Related Topics

Using Help

Finding a Topic in Help

Displaying Help About a Dialog Box or View


Rearranging Column Order in the Contents Pane (Procedure)

Rearranging Column Order in the Contents Pane

In order to customize the columns in the contents pane, the folder that is displayed must contain only like objects. For example, the objects must be all views, all projects, and so on.

To rearrange the order in which headings are displayed, complete the following steps:

  1. In Open Plan Explorer, take one of the following actions to display the Customize Columns dialog box:

  • Double-click the header bar.

  • Right-click the header bar, and click Customize Columns on the shortcut menu.

  2. In the Display these fields list, select a field to move.

  3. Use the up or down arrow buttons to reposition the selected field.

  4. When finished, click OK.

Related Topics and Procedures

Related Topic

Using the Contents Pane of the Open Plan Explorer

Related Procedures

Creating a User Folder

Creating a Link in My Folder to an Object

Adding a Column to the Contents Pane

Removing a Column from the Contents Pane

Renaming a Column in the Contents Pane

Sorting the Data in the Contents Pane

Resizing a Column in the Contents Pane


Remove a Column from the Contents Pane (Procedure)

Remove a Column from the Contents Pane

In order to customize the columns in the contents pane, the folder that is displayed must contain only like objects. For example, the objects must be all views, all projects, and so on.

To remove a column using a context menu, complete the following step:

  1. Take one of the following actions:

  • Right-click the column to remove, and click Remove Column on the shortcut menu.

  • Right-click the header bar, and clear the check mark from the column you want to remove.

To remove a column using the Customize Field Display dialog box, complete the following steps:

  1. In Open Plan Explorer, take one of the following actions to display the Customize Columns dialog box:

  • Double-click the header bar.

  • Right-click the header bar, and click Customize Columns on the shortcut menu.

  2. For each column that you want to remove, select the appropriate field from the Display these fields list, and click the < button.

    This moves the selected field to the Available fields list.

  3. When finished removing columns, click OK.

Related Topics and Procedures

Related Topic

Using the Contents Pane of the Open Plan Explorer

Related Procedures

Creating a User Folder

Creating a Link in My Folder to an Object

Adding a Column to the Contents Pane

Renaming a Column in the Contents Pane

Sorting the Data in the Contents Pane

Resizing a Column in the Contents Pane

Rearranging Column Order in the Contents Pane


Remove an Item From a Favorites List

To remove an item from a Favorites list, complete the following steps:

  1. On the Tools tab, in the Manage group, click Favorites.

  2. In the Organize Favorites dialog box, for each item that you want to remove from the Selected Favorites list, take one of the following actions:

    • Select the item from the Selected Favorites list and click the left arrow button.

    • Double-click the item on the Selected Favorites list.

    This removes the selected item from the Selected Favorites list to the Available Items list. You can expand/collapse the list categories by clicking the plus or minus boxes.

  3. When finished, click OK.

Related Topics and Procedures

Favorites


Rename a Column in the Contents Pane (Procedure)

Rename a Column in the Contents Pane

You can rename a column heading to reflect your own organizational methods.

To customize the columns in the contents pane, the folder that is displayed must contain only like objects. For example, the objects must be all views, all projects, and so on.

To rename a column using a context menu, complete the following steps:

  1. Right-click the column to rename.

  2. On the shortcut menu, click Rename Column.

  3. In the Change Column Heading dialog box, enter a new name for the column.

  4. Click OK.

To rename a column using the Customize Field Display dialog box, complete the following steps:

  1. In Open Plan Explorer, take one of the following actions to display the Customize Columns dialog box:

  • Double-click the header bar.

  • Right-click the header bar, and click Customize Columns on the shortcut menu.

  2. In the Display these fields list, select the appropriate field.

  3. Click Heading.

  4. In the Change Column Heading dialog box, enter a new name for the column.

  5. Click OK.

Related Topics and Procedures

Related Topic

Using the Contents Pane of the Open Plan Explorer

Related Procedures

Creating a User Folder

Creating a Link in My Folder to an Object

Adding a Column to the Contents Pane

Removing a Column from the Contents Pane

Sorting the Data in the Contents Pane

Resizing a Column in the Contents Pane

Rearranging Column Order in the Contents Pane


Reorder the Favorites List

To reorder the Favorites list, complete the following steps:

  1. On the Tools tab, in the Manage group, click Favorites.

  2. In the Organize Favorites dialog box, select an item in the Selected Favorites list and click the up and down arrows to move the item up or down the list.

  3. When finished, click OK.

Related Topics and Procedures

Related Topic

Favorites


Resize a Column in the Contents Pane (Procedure)

Resize a Column in the Contents Pane

To resize the width of a column in the contents pane manually, complete the following steps:

  1. Place the cursor at either edge of a column’s header.

  2. When the cursor changes shape to [image], drag the edge to the desired column width.

To resize the width of a column to accommodate its contents, complete the following steps:

  1. Right-click the heading of the column to be resized.

  2. On the shortcut menu, click Best Fit.

Related Topics and Procedures

Related Topic

Using the Contents Pane of the Open Plan Explorer

Related Procedures

Creating a User Folder

Creating a Link in My Folder to an Object

Adding a Column to the Contents Pane

Removing a Column from the Contents Pane

Renaming a Column in the Contents Pane

Sorting the Data in the Contents Pane

Rearranging Column Order in the Contents Pane


Resizing the Dialog Box

To resize the dialog box, complete the following steps:

  1. Place the cursor at any edge or corner of the dialog box.

  2. When the cursor changes shape to [image], [image], or [image], drag the edge or corner to the desired dialog size.

A dialog box is resizable when you see a resizing grip at the lower corner of the dialog box.

The size of the dialog box, as well as the relative width of any column grid will be saved after you close and re-launch the dialog box.


Reviewing a Demonstration Project (Quick Start)

Reviewing a Demonstration Project

If the demonstration data does not exist, check with your system administrator. It is possible that the system administrator has removed the demonstration data from the data source.

To review a demonstration project, complete the following steps:

  1. From the left pane of Open Plan Explorer, expand the Projects folder.

    Each item in the Projects folder is a subfolder that contains all the files for a demonstration project.

  2. Expand a project. You can also open a demonstration project from the File Open dialog box that is accessed from the File menu.

  3. From the expanded project in the right pane of Open Plan Explorer, double-click the Project Views folder.

  4. Double-click one of the views in the list.

  5. Make the changes required in the displayed view and then open a different view to see how your changes are reflected there.

  6. If the project you opened has associated resource, calendar, or code files, open these views as well.

  7. When finished reviewing a demonstration project, do one of the following:

    • To save your data to a file with a new name, click Save As on the File menu.

    • To close the project, click Close on the File menu.


Search for an Object

To search for an object using the Find dialog box, complete the following steps:

  1. Right-click the left or right pane of Open Plan Explorer, select Find from the context menu.

  2. In the Find dialog box, define the search criteria for the object to want to find.

  3. Click Find Now.

  4. Click Cancel to close the dialog box.

Related Topics and Procedures

Related Topics

Finding an Object

Find Dialog Box


Searching for Words in a Help File (Procedure)

Searching for Words in a Help File

To search for words in the help system, complete the following steps:

  1. In the Help system, click the Search button.

  2. Type the words you want to find, and click Go.

  3. In the list box at the bottom, click a title to display the topic. (Notice that the text of the topic contains the words you looked for, even though they may not be in the topic title.)

Related Topics and Procedures

Related Procedure

Printing a Help Topic

Related Topics

Using Help

Finding a Topic in Help

Displaying Help About a Dialog Box or View


Selecting Custom Colors

To select custom colors, complete the following steps:

  1. From the File menu, click Preferences » Application.

  2. In the Options dialog box, click the Color tab.

  3. Click the Set Custom Colors button to display the Select Custom Colors dialog box.

  4. Set up or remove custom colors by clicking a color drop-down menu. Clicking this button gives you the following options:

  • <Not Set>: This option allows Open Plan to use the default color.

  • Select Color...: This option displays the Colors dialog box. You can add custom colors with this dialog box. To do this, click the [image] button and click any of the available colors from the color swatch.

  • The third option allows Open Plan to use the current color.

Related Topics and Procedures

Related Topics

Select Custom Colors Dialog Box

Related Procedure

Setting System Preferences


Sending a Message to a User

An Open Plan user can send a message to another user who is logged in to Open Plan. To send a message, click Share » Send Message from the File menu to display the Send Message dialog box. When the message is sent, a message box pops up on the recipient’s screen. The message box displays your user name and date/time the message was sent along with the message.

You cannot send a blank message or a message without a recipient.

To send a message to a user, complete the following steps:

  1. On the File menu, click Share » Send Message.

  2. On the Users pane in the Send Message dialog box, select the recipient(s) of your message. Use Ctrl+click or Shift+click to select more than one user, or select All Users to send a message to all logged in users.

  3. Type your message in the Message pane (maximum 250 characters) and click Send.

You cannot send a blank message or a message without a recipient.


Setting System Preferences (Procedure)

Setting System Preferences

To set system preferences, complete the following steps:

  1. On the File menu, click Preferences » Application.

  2. In the Options dialog box, make any appropriate changes to the settings that are displayed.

  3. Click OK.

Related Topics and Procedures

Related Topic

Using the Options Dialog Box

Related Procedures

Modifying the List of Default Views

Disabling Start Up Procedures

Showing Summary Dates on Subprojects

Opening Last File on Startup

Setting the Default Project


Set the Default Access Mode for a Project

To set the default access mode for a project, complete the following steps:

  1. In Open Plan Explorer, select the project folder to which you want to change the default access mode.

  2. Take one of the following actions:

  • On the Processes tab, click Properties.

  • Right-click the project folder, and click Properties on the context menu.

  3. On the Preferences tab of the Project Properties dialog box, set the default access mode for Project and Ancillary files.

  4. Click OK.

Related Topics and Procedures

Related Topic

Working in a Multi-User Environment

Related Procedure

Set the Default Access Mode for an Ancillary File


Set the Default Access Mode for an Ancillary File

To set the default access mode for a calendar, resource, or code file, complete the following steps:

  1. In Open Plan Explorer, right-click the file to which you want to change the default access mode, and click Properties on the context menu.

  2. On the General tab of the Properties dialog box, select a new mode from the Default Access Mode list.

  3. Click OK.

Related Topics and Procedures

Related Topic

Working in a Multi-User Environment

Related Procedure

Set the Default Access Mode for a Project


Sort the Data in the Contents Pane (Procedure)

Sort the Data in the Contents Pane

You can perform an ascending/decending sort based on any column of the contents pane when in the Details format. An up/down arrow next to the column heading indicates which column is being sorted and the direction of the sort.

To sort the data in the contents pane, complete the following steps:

  1. Right-click the heading of the column on which you want to base the sort.

  2. On the shortcut menu, take one of the following actions:

    • Click Sort Ascending.

    • Click Sort Descending.

Related Topics and Procedures

Related Topic

Using the Contents Pane of the Open Plan Explorer

Related Procedures

Creating a User Folder

Creating a Link in My Folder to an Object

Adding a Column to the Contents Pane

Removing a Column from the Contents Pane

Renaming a Column in the Contents Pane

Resizing a Column in the Contents Pane

Rearranging Column Order in the Contents Pane


Specify Access Rights for a Group or User

To specify access rights for a group using the New File Wizard, complete the following steps:

  1. In the Group column of the New File Wizard Access Control page, select an empty cell/row, and select a group from the list.

  2. In the Role column, select a role for the group from the list.

  3. In the Read Only column, use the list to select Yes or No.

Notice that the User ID column is left blank.

To specify access rights for an individual using the New File Wizard, complete the following steps:

  1. In the User ID column of the New File Wizard Access Control page, select an empty cell/row, and select a user ID from the list.

  2. In the Role column, select a role for the user ID from the list.

  3. In the Read Only column, use the list to select Yes or No.

Notice that the Group column is left blank.


Using the Zoom Out Command (Procedure)

Using the Zoom Out Command

To use the Zoom Out command, complete the following step:

  1. Take one of the following actions:

  • On the View tab, click Zoom Out [image].

  • Right-click an empty area of the workspace, and click Zoom Out on the context menu.

Related Topics and Procedures

Related Procedures

Using the Zoom In Command

Changing the Orientation of the Display

Changing the Center Setting for the Display

Changing the Display of Resource and Code IDs

Changing the Hierarchy Display Layout Settings


Using the Zoom In Command (Procedure)

Using the Zoom In Command

To use the Zoom In command, complete the following steps:

  1. Take one of the following actions:

  • On the View tab, click Zoom In [image].

  • Right-click an empty area of the workspace, and click Zoom In on the context menu.

Related Topics and Procedures

Related Procedures

Using the Zoom Out Command

Changing the Orientation of the Display

Changing the Center Setting for the Display

Changing the Display of Resource and Code IDs

Changing the Hierarchy Display Layout Settings


Open Plan Import and Export Facilities

Open Plan includes the following facilities for importing and exporting project data:

  • A customizable import/export facility based on user-defined scripts that can be used to transfer project data to and from a wide range of external applications. When importing or exporting data, you can apply both a filter and a sort to the process. These filters and sorts can be either predefined or created and used as temporary filters and sorts that are used only once.

  • An import feature for projects created with Primavera Project Planner.®

  • An import/export feature for Primavera P6 XER/XML files and P6 Web.

  • An import feature for Open Plan BK3 files.

  • An import/export feature for Microsoft Project files.

  • An import/export feature for Control Account Manager (CAM) Estimate to Complete (ETC) baseline data from/to Excel.

  • An import feature for Material Requirements Planning (MRP) ETC baseline data from an external system.

For full information about the Open Plan import and export facilities, see Import and Export Facilities in Open Plan in the Deltek Open Plan Developer’s Guide.

Related Topics and Procedures

Related Topics

Importing and Exporting Data From/To Another Application

Microsoft Project Integration

Oracle Primavera P6 Integration


Sharing Data Between Open Plan and Other Applications

Open Plan includes special utilities for working with data stored in locations other than the Open Plan database. These utilities allow you to transfer data between a wide variety of applications and Open Plan using both standard and custom import/export specifications.

Related Topics and Procedures

Related Topic

Importing and Exporting Data From/To Another Application


Import and Export Data From/To Another Application

Importing Data from Another Application

In addition to the utilities for importing Microsoft Project and Primavera P6 XER and Web files and the utility for exporting Microsoft Project files, Open Plan features a powerful import function that allows you to import data from a wide variety of applications using user-defined import specifications. Each specification consists of a series of commands and parameters that allows Open Plan to import project, resource, code, and calendar information in a wide range of data formats.

Open Plan provides a number of standard import specifications that allow you, for example, to import cost data for a resource file. It is also possible to create your own scripts for special-purpose operations.

When importing information from a comma-delimited file (CSV) file using Import General, Open Plan accepts double-digit date and time formats as well as single-digit date format.

For the single-digit values (%D and %M):

If there is a separator in the date format and data, the separator for the day and month is either a slash (/) or hyphen (-).
For example:
DATE_FORMAT %C/%M/%D or %C-%M-%D
Date Data: 2023/3/10 or 2023-3-10 or 3/10/2023

If there is no separator, the existing behavior applies, requiring two digits for the day and month.
For example:
DATE_FORMAT %C%M%D
Date Data: 20230310

If you are creating or editing your import data in Excel, create a custom mm/dd/yyyy hh:mm format for double-digit date and time and m/d/yy h:m format for single-digit. Then, apply this format to all date columns before saving the import file.

For a complete description of creating custom import/export specifications, see Import and Export Facilities in Open Plan in the Deltek Open Plan Developer's Guide.

Import General

To import project information, issue the Import General command to display the Import dialog box. You can use this dialog box to select an import specification. When you click OK, Open Plan allows you to open a source data file and create an untitled project containing the imported information. If the project includes references to ancillary data files such as resource or code files, Open Plan creates untitled versions of these files as well.

If you have a project open when you issue the Import General command, Open Plan allows you to indicate if the imported data should be used to update the current project. Note, however, that whether or not the imported data overwrites existing records is determined by a parameter set in the import specification.

Exporting Data from Another Application

Open Plan features a powerful export function that allows you to export data using user-defined export specifications. Each specification consists of a series of commands and parameters that allows Open Plan to export project, resource, code, and calendar information in a wide range of data formats.

Open Plan provides a number of standard export specifications that allow you, for example, to export a simple comma-delimited text file containing activity IDs and descriptions that can be read by many types of applications. It is also possible to create your own scripts for special-purpose operations.

For a complete description of creating custom import/export specifications, see Import and Export Facilities in Open Plan in the Deltek Open Plan Developer’s Guide.

Export General

To export project information, issue the Export General command to display the Export dialog box.

Related Topics and Procedures

Related Topics

Sharing Data Between Open Plan and Other Applications

Crosstable Exports

Import Dialog Box

Import File Dialog Box

Export Dialog Box

Export File Dialog Box

Related Procedure

Importing Data From Another Application

Exporting Data to Another Application


Crosstable Exports

To export crosstable data, click Crosstable Data from the Export group on the Integration tab to open the Crosstable Exports dialog box. The export specifications listed on this dialog box include those that you have created as well as those that other users have created and chosen to share. When you select an export specification and click Run, you are given the opportunity to save the export file in either .xml or .csv format. You may also click on View to see those export files that have been utilized in the past.

Elements that have a value of zero are exported as a blank value instead of a zero (0).

You can also use the Crosstable Export Definition dialog box to define the settings for a crosstable export definition.

Related Topics and Procedures

Related Topic

Sharing Data Between Open Plan and Other Applications

Related Procedures

Copy a Crosstable Export Specification

Create a Crosstable Export Specification

Delete a Crosstable Export Specification

Edit a Crosstable Export Specification


Microsoft Project Integration

You can use Open Plan's import and export interface to import Microsoft Project .mpp files and Project Server projects. The import facility provides a seamless integration with Microsoft's current standard data formats.

Deltek does not recommend importing into the same Open Plan project from both Microsoft Project and Primavera P6 as this may cause a conflict with the MSP unique ID field.

Importing Microsoft Project or Project Server Data

You can display the first page of the Microsoft Project Import Wizard by clicking MS Project in the Import menu group of the Integration tab.

Exporting Open Plan Data to Microsoft Project or Project Server

You can export data from an Open Plan project to a Microsoft Project file or Project Server project. You can display the first page of the Microsoft Project Export Wizard by clicking MS Project in the Export menu group of the Integration tab.

Before you can export a project to Microsoft Project, it must first be saved as an Open Plan project.

View Exported Data

If you want to review the data that was exported to Microsoft Project Professional or Server, add _KEEP_MSP_OUTPUT_FILES with a value of 1 to the System Preferences dialog box ( [image] » Preferences » Application » Advanced tab). Open Plan creates .csv integration files and saves them to the Open Plan working folder, for example, Documents » Deltek » Open Plan Professional 8.2. Each file has a unique name that includes the Open Plan project name and a time stamp.

If the setting is enabled, the generated .csv files will remain in the folder until you delete them (disabling the setting will not delete accumulated files). You may want to periodically delete them to keep the folder size from becoming too large.

Related Topics and Procedures

Related Topic

Limitations When Using Project Server Directly for Import/Export

Related Procedures

Importing an MSP File

Exporting a File to an MSP Project

Use the MS Project to Open Plan Field Mapping Dialog Box

Disable the Team Foundation Add-In


Limitations When Using Project Server Directly for Import/Export

The following are limitations when you use Project Server directly for import or export:

  • Calendar limitations:

  • Local (non-enterprise) calendars cannot have an enterprise base calendar.

  • Calendar shift, working-day hours, and work weeks are not available.

  • Calendars cannot be assigned to tasks or resources.

  • EVM (Earned Value Method) cannot be specified for tasks.

  • Although the task Type field is read-only, Open Plan specifies a Fixed Duration default task type for the project.

  • Resource time-phasing information is not available.

  • Notes limitations:

  • Task notes may be assigned when the task is created, but task notes may not be subsequently added.

  • Resource notes cannot be created from Open Plan.

  • When a note contains special characters, it gets truncated before the first special character.

  • The WBS field is read-only, both for new and existing tasks.

  • The resource type (work, material, or cost) cannot be set for non-enterprise (local) resources.

  • Although a resource may have start and end availability dates, it is not associated with a collection of multiple availability records.

  • Relationship lags are not available.

  • Assignment data cannot be changed after the assignment has been created, but Open Plan can delete and recreate the assignment.

  • The Task Actual Duration field is read-only.

  • Task baseline fields (Baseline Start and Baseline Finish) are read-only.

  • Task, resource, and project custom fields may be created within the Project Server environment. Open Plan imports and exports task and resource custom fields, but not project custom fields. User fields that are specific to MSP (for example, TEXT1, NUMBER1, and so on) are not available.

  • When you change the Project Server account in Microsoft Project and then initiate an MS Project export in Open Plan, Microsoft Project displays the following error message: “Could not retrieve Enterprise global template, There seems to be a problem with the database, please contact your server administrator.” To avoid this issue, after you change the Project Server account, close and re-open Microsoft Project manually before initiating the Microsoft export in Open Plan.


Microsoft Project Import Wizard

Use the Microsoft Project Import Wizard to import Microsoft Project data into Open Plan. You can import an .mpp file from Microsoft Project (Standard or Professional) or a Microsoft Project Server (PWA) project.

You must have Microsoft Project installed on your machine in order to import an .mpp file. You do not need Microsoft Project installed on your machine to import a Project Server (PWA) project.

The wizard includes the following pages:

  • Project Page: Use this page to select the Microsoft Project schedules to be imported.

  • Options Page: This page displays different options, depending on whether you choose to import into a new Open Plan project from Microsoft Project or update an existing Open Plan file.

  • Project Selection Page: This page displays only if one or more of the projects you are importing contain(s) external subprojects. It does not display if the project is a standalone project.

  • Master Project Name Page: Use this page to create the master project that will contain the projects you selected and inter-project relationships associated with those projects. It only displays if one or more of the projects you selected on the Project Selection page contain inter-project relationships.

  • Validate Files Page: Use this page to validate Open Plan files and fix any warnings or errors that may occur. Additionally, if desired, you may change default names given for the project(s) and ancillary files. You cannot continue with the import process until all problems have been resolved.

  • Import Complete Page: This page displays at the end of the wizard and lets you know whether the import completed successfully, completed with errors, or that it was aborted.

Buttons

The following buttons appear along the bottom of each page:

Back

This button is disabled since this is the first page of the wizard.

Next

Click this button to display the next page of the wizard.

Cancel

Click this button to cancel the import process.

Help

Click this button to display the Open Plan help file.

Location

To display the Microsoft Project Import wizard, complete the following steps:

  1. In Open Plan Explorer, click the Integration tab.

  2. In the Import menu group, click MS Project to launch the Microsoft Project Import wizard.

Related Topics and Procedures

Related Topics

Microsoft Project Integration

Limitations When Using Project Server Directly for Import/Export

Related Procedures

Importing an MSP File

Exporting a File to an MSP Project

Using the Select Open Plan Project to Update dialog box


Microsoft Project Import Wizard (Project Page)

Use the Project page to select the Microsoft Project schedules to be imported.

Update Existing Project

Use this field to select an existing Open Plan project to update.

If you select a project in this field, you cannot select multiple projects to import in the Select Projects box.

Project Options

Use this field to select a saved set of options for a specific project. Project options define the path to the MSP project that is imported, the name the MSP project will be given in Open Plan (if it differs from the root part of the file name), and other project-specific options.

Group Options

Use this field to select a saved group option set. The list includes all group options to which you have access. Group options include settings that can be used across various projects, such as whether resources are included, whether to map the MSP WBS field to Open Plan Code 1, other field mappings, and so on.

Import from Microsoft Project Standard/Professional

Select this option to import an .mpp file from Microsoft Project (Standard or Professional).

This field is disabled if you do not have Microsoft Project installed on your machine.

Import from Microsoft Project Server

Select this option to import data from Microsoft Project Server.

Connection

This field is enabled when you choose to import data from Project Server. Click the down arrow to display the list of available connections. The list displays the connection name and the Project Web Access (PWA) URL.

To edit a connection or create a new connection, click the ellipsis button to display the Configuration Options dialog box.

Select Projects

  • Microsoft Project (Standard or Professional): If you are importing an .mpp file from Microsoft Project, when you click this button, Microsoft Project opens and the Open dialog box displays. Select a project and click Open. The project opens in Microsoft Project and a link to the project is added to this box. If needed, click Select Projects again to import additional projects. A link for each project is added to this box.

  • Microsoft Project Server: If you are importing Project Server projects, when you click this button, the Import from Microsoft Project Server dialog box displays. You can select multiple projects; however, they all must be from the same Project Server site.

If you select multiple projects, you cannot select anything in the Update an Existing Project field.

Location

To display the Microsoft Project Import wizard, complete the following steps:

  1. In Open Plan Explorer, click the Integration tab.

  2. In the Import menu group, click MS Project to launch the Microsoft Project Import wizard.

Related Topics and Procedures

Related Topics

Microsoft Project Integration

Microsoft Project Import Wizard

Related Procedures

Importing an MSP File

Exporting a File to an MSP Project

Using the Select Open Plan Project to Update dialog box.


Microsoft Project Import Wizard (Options Page)

The Options page displays different options, depending on whether you choose to import into a new Open Plan project from Microsoft Project or update an existing Open Plan file.

During import, Open Plan sets the MSPUNIQUEID or PWAGUID field on activities and resources. These unique IDs link an activity or resource in Open Plan to its corresponding activity or resource in Microsoft Project Professional or Server.

Field Mapping

Click to open the MS Project to Open Plan Field Mapping dialog box where you can add, modify, or delete field mappings.

If you are importing a Microsoft Project Server project via MSP, this list does not include custom fields.

Store WBS to Code 1

If WBS values have been assigned to the Microsoft Project activities, this option creates an Open Plan code file and stores the WBS values in the Code 1 field.

If the Open Plan project you are updating has code fields assigned at indexes other than 1, you can change the code file to which WBS values are assigned by using the Field Mapping dialog box.

Selecting this option enables the Share WBS file option.

Include Resources

This option allows the addition or update of resources. Selecting it enables the Insert Group before Resource Name option.

Insert Group before Resource Name

This option is enabled when you select the Include Resources option. When you select this option, Open Plan imports the resource name along with the group ID. The group ID becomes a pool (parent) resource in Open Plan, and the resource becomes its child.

Assignment Granularity

This option is available if you are importing via MSP, whether the project is an .mpp file or a Project Server project, and you select the Include Resources option. It is disabled if you are importing a Microsoft Project Server project directly because assignment time-scaled information is not available.

  • Total: Use this option when the resources are applied as totals in MSP and not manually time-phased. The generation of OP assignments and baseline usage records from time-scaled records may cause unacceptable import times for a large project. With this option, Open Plan generates one OP assignment for each MSP assignment, using the total level for the assignment and spreading it linearly over the owner activity's duration.

  • Daily: Use this option when you want Open Plan to import daily time-phased records from MSP to model the original records accurately. One assignment in MSP may generate multiple assignments in Open Plan using different offsets and periods.

  • Weekly: Use this option when you want Open Plan to import weekly time-phased records from MSP.

  • Monthly: Use this option when you want Open Plan to import monthly time-phased records from MSP.

The finer the granularity, the more accurate the data; however, time-phased granularity also increases processing time. If the granularity is too fine, MSP may not be able to generate the data and may even display an error.

Update Project Status Only

When selected, only new activities, calendars, and resources are created. Existing activities are updated.

For activities that are updated, relationships and resource assignments are deleted and replaced as part of the update (that is, for activities where the MSPUNIQUEID field is > 0, the PWAGUID field is blank, or there is an empty GUID).

The activity fields that are updated are as follows:

  • Actual Start

  • Actual Finish

  • Progress Type

  • Progress Value

  • Original Duration

  • Target Start Type

  • Target Start

  • Target Finish Type

  • Target Finish

  • Activity Type

  • Critical

  • Earned Value Technique

  • Priority

Additionally the Time Now value (STATDATE) on the project is updated.

Update PMB Baseline

When importing to an existing Open Plan project, select this option to update the PMB baseline.

In order for the Import to recognize the baseline in MSP, the default project baseline must be set. BASELINE1 through BASELINE10 are not imported.

If a baseline is set in the project to be imported, Open Plan creates the PMB Baseline for the Open Plan project when you are in Create/Replace mode. When you are in Status Update mode, Open Plan will create or update the PMB Baseline only if the Update PMB Baseline option was selected.

Logging Level

This option allows the logging of errors, errors and warnings, or all messages.

Time Now

This option is only enabled when you select the Update Project Status Only option. When enabled, select the calendar button to open the Select Date dialog box. Select the date and time from this dialog box.

Share Calendar File

Select this option when you want the imported project(s) to share an existing or new calendar file. Selecting this option opens the Select Ancillary File dialog box where you can select a calendar file.

If you do not select this option, the Import Wizard assigns an ancillary file to the project that has the same name as the project. If a project is an external project, it inherits the ancillary file that was assigned at the top-parent level.

Share Resource File

Select this option when you want the imported project(s) to share an existing or new resource file. Selecting this option opens the Select Ancillary File dialog box where you can select a resource file.

If you do not select this option, the Import Wizard assigns an ancillary file to the project that has the same name as the project. If a project is an external project, it inherits the ancillary file that was assigned at the top-parent level.

Share WBS File

Select this option when you want the imported project(s) to share an existing or new WBS code file. With this option selected, the existing WBS file is shared instead of creating or replacing the ancillary file. Selecting this option opens the Select Ancillary File dialog box where you can select a WBS file.

If you do not select this option, the Import Wizard assigns an ancillary file to the project that has the same name as the project. If a project is an external project, it inherits the ancillary file that was assigned at the top-parent level.

Location

To display the Microsoft Project Import wizard, complete the following steps:

  1. In Open Plan Explorer, click the Integration tab.

  2. In the Import menu group, click MS Project to launch the Microsoft Project Import wizard.

Related Topics and Procedures

Related Topics

Microsoft Project Integration

Microsoft Project Import Wizard

Related Procedures

Importing an MSP File

Exporting a File to an MSP Project


Microsoft Project Import Wizard (Project Selection Page)

You use the Projects page to select the project(s) you want to import. This page only displays if you are importing multiple MSP projects, or you are importing one or more MSP projects that contain external subprojects. This page does not display if the project is a standalone project.

Select All

Click this button to select all of the available projects.

Clear All

Click this button to clear the check mark from all the selected projects.

Collapse

By default, the hierarchical list of projects displays fully expanded . Clicking this button collapses the hierarchical tree.

Location

To display the Microsoft Project Import wizard, complete the following steps:

  1. In Open Plan Explorer, click the Integration tab.

  2. In the Import menu group, click MS Project to launch the Microsoft Project Import wizard.

Related Topics and Procedures

Related Topics

Microsoft Project Integration

Microsoft Project Import Wizard

Related Procedures

Importing an MSP File

Exporting a File to an MSP Project


Microsoft Project Import Wizard (Master Project Name Page)

Use this page to create the master project that will contain the projects you selected and inter-project relationships associated with those projects. It displays if one or more of the projects you selected on the Project Selection page contain inter-project relationships.

Master Project Name

Enter a name for the new master project to be created. This field defaults to Master unless you changed the name on a previous import and have selected the Project Options set (on the Project Page of the wizard) where the change was stored.

You can enter up to 20 characters.

Location

To display the Microsoft Project Import wizard, complete the following steps:

  1. In Open Plan Explorer, click the Integration tab.

  2. In the Import menu group, click MS Project to launch the Microsoft Project Import wizard.

Related Topics and Procedures

Related Topics

Microsoft Project Integration

Microsoft Project Import Wizard


Microsoft Project Import Wizard (Validate Files Page)

Use this page to validate Open Plan files and fix any warnings or errors that may occur. Additionally, if desired, you may change default names given for the project(s) and ancillary files. You cannot continue with the import process until all problems have been resolved.

Although you cannot continue with the import if you have unresolved warnings or errors, you can, however, cancel the import process at any time by clicking Cancel.

Grid

The grid on this page contains the following columns:

File Type

This column identifies the type of file being imported (for example, calendar, project, master, and so on).

File Name

This column identifies the name of the file being imported. You can change the name of a file by typing directly into the grid.

Warning and Error Icons

If there is a problem, Open Plan displays a warning [image] icon or an error [image] icon next to the file in question. To see a description of the warning or error message, you may hover the cursor over the icon.

The following are warning [image] messages:

  • File <filename> exists and will be overwritten: This warning displays when the wizard detects that the file to be created already exists in Open Plan. Open Plan will overwrite the existing file with the imported file.

  • An unknown warning occurred: This warning displays when an unexpected warning occurs when validating if the file already exists.

Error Messages

The following are error [image] messages:

  • Name cannot be blank: A file name must be entered. The import wizard uses the file name to create the Open Plan file.

  • The following characters are not allowed in project, resource, code, calendar, view, reporting calendar, or export specification names: + = [ ] | " : < , > ? *: A file name cannot contain any of the special characters listed in the error message.

  • <filename> in use.: The specified file name already exists in Open Plan and is currently open by the current user or another user.

  • <filename> already exists, and you do not have access rights to overwrite it: The specified file name already exists in Open Plan and you do not have rights to overwrite the file.

  • A file of the same type and the same name already exists in the grid. Please rename one of the files: The specified file name is already being used as the file name for another project in the list of files to be imported. Each project to be imported must have a different name.

  • The file name exceeds the maximum length allowed for the given file type: The specified file name is longer than the maximum file name length allowed by Open Plan.

  • An unknown error occurred: This error is displayed when an unexpected error occurs when validating the file name.

To change or rename a file, enter the new file name directly in the File Name column of the grid.

Location

To display the Microsoft Project Import wizard, complete the following steps:

  1. In Open Plan Explorer, click the Integration tab.

  2. In the Import menu group, click MS Project to launch the Microsoft Project Import wizard.

Related Topics and Procedures

Related Topics

Microsoft Project Integration

Microsoft Project Import Wizard

Related Procedures

Importing an MSP File

Exporting a File to an MSP Project


Microsoft Project Import Wizard (Import Complete Page)

This page displays at the end of the import process with one of the following messages:

  • Import completed successfully: This message displays if all projects were imported without errors.

  • Imported completed with errors: This message displays if errors were encountered during the import process. Click View Log to read the processing information for more details.

  • Import was aborted by the user: This message displays if the import process was aborted by the user.

Location

To display the Microsoft Project Import wizard, complete the following steps:

  1. In Open Plan Explorer, click the Integration tab.

  2. In the Import menu group, click MS Project to launch the Microsoft Project Import wizard.

Related Topics and Procedures

Related Topics

Microsoft Project Integration

Microsoft Project Import Wizard

Related Procedures

Importing an MSP File

Exporting a File to an MSP Project


Microsoft Project Export Wizard

Use the Microsoft Project Export Wizard to export data to a Microsoft Project .mpp file or to Microsoft Project Server. The wizard includes the following pages:

  • Export Type and Method Page: Use this page to select an export type and to specify whether the system should use Microsoft Project Standard/Professional or Microsoft Project Server to perform the export.

  • Project Page: Use this page to save the project you are exporting in Microsoft Project format.

  • Options Page: Use this page to set the options that Open Plan will use when exporting a project into MSP.

  • Export Complete Page: This page displays at the end of the wizard and lets you know whether the export completed successfully, completed with errors, or that it was aborted.

Buttons

The following buttons appear along the bottom of each page:

Back

This button is disabled since this is the first page of the wizard.

Next

Click this button to display the next page of the wizard.

Cancel

Click this button to cancel the export process.

Help

Click this button to display the Open Plan help file.

Location

To display the Microsoft Project Export wizard, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, display a project in any view.

  2. Click the Integration tab.

  3. In the Export menu group, click MS Project to launch the Microsoft Project Export wizard.

Related Topics and Procedures

Related Topics

Microsoft Project Integration

Limitations When Using Project Server Directly for Import/Export

Related Procedures

Importing an MSP File

Exporting a File to an MSP Project

Select Open Plan Project to Update Dialog Box


Microsoft Project Export Wizard (Export Type and Method Page)

Use this page to select an export type and to specify whether the system should use Microsoft Project Standard/Professional or Microsoft Project Server to perform the export.

Export Type

Select the type of export you want to perform.

Create or replace a project

Select this option to create a new file/project or replace an existing file/project.

Update existing project

When you select this option, you must specify how you want the update to occur:

Option

Description

Update status only on existing MSP activities and add new MSP activities

When you select this option, the following actions occur:

  • Activities that have been added in Open Plan will be added to Microsoft Project. Relationships for new activities are added in Microsoft Project provided that both ends of the relationship are included in the exported activities (See the Activity Filters note below). Relationships in Microsoft Project are not updated for existing activities being updated.

  • If an Open Plan activity has been deleted in Microsoft Project, the Microsoft Project Unique ID field in Open Plan is set to zero (indicating a disconnected activity). On a subsequent update, the Open Plan activity is added back to Microsoft Project as a new activity if it has not been removed from Open Plan beforehand.

  • If an activity has been deleted in Open Plan, no changes occur to the Microsoft Project task that was previously matched to that activity.

  • Assignments are replaced in Microsoft Project for exported activities.

Note on Activity Filters: If you choose an activity filter, only activities included in the filter will be exported. The statements above assume that the activities described are included in the filter.

Update status on existing MSP activities only

When you select this option, the following actions occur:

  • Resource definitions that exist in Open Plan but are not in Microsoft Project are not added to Microsoft Project. The following is written in the log file: “Ignoring OP resource <resource definition> as it does not exist in MSP.”

  • Activities that exist in Open Plan but not in Microsoft Project are not added to Microsoft Project. The following is written in the log file: “Ignoring OP activity <activity name> as it does not exist in MSP.”

  • Relationships in Microsoft Project are not modified.

  • Assignments in Microsoft Project are progressed from matching assignments in Open Plan if a resource progress method was specified. Levels and time-phased values in Microsoft Project are not modified.

Export To

Select the method that the system will use to export the data.

Microsoft Project Standard/Professional

Select this option to export the data using Microsoft Project Standard/Professional.

  • Microsoft Project MPP file: Select this option to export the data to an .mpp file.

    • If you have a local MSP account connected to a PWA account, and you are not intending to use Project Server for Microsoft Project .mpp file exports, you should assign the local computer as the default account. This prevents Open Plan from using a PWA calendar instead of the MSP calendar which can produce unexpected results.

  • Project Server project: This is a Project Server indirect export. Select this option to use Microsoft Project Professional to export the data to a Project Server project. This option is not available if you have Microsoft Project Standard.

    • Microsoft Project Professional (you cannot use Standard) must be connected to a PWA site by default in order to export (or import) Project Server projects. If a PWA site is set as the default account, the Allow project to use local base calendars option in Microsoft Project Server ( Settings » PWA Settings » Operational Policies - Additional Server Settings) MUST be selected (even if you are exporting to an .mpp file). If it is not selected, the export will fail. Enabling this option lets you not only use enterprise base calendars that are on the system for your enterprise projects, but also lets you use local base calendars that you create. Disabling this setting (which is the default) restricts you to using only enterprise base calendars that are on the system for your projects.

If you do not have Microsoft Project Standard/Professional installed on your machine, this option is disabled.

If the Microsoft Team Foundation Add-In is enabled in MSP, it may cause the export process to fail. Deltek highly recommends that you disable the add-in when using Open Plan integration. For steps, see Disable the Team Foundation Add-In.

Microsoft Project Server

This is a Project Server direct export. Select this option to export the data using Microsoft Project Server. You will need to identify a connection URL on the Project page of the wizard.

Location

To display the Microsoft Project Export wizard, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, display a project in any view.

  2. Click the Integration tab.

  3. In the Export menu group, click MS Project to launch the Microsoft Project Export wizard.

Related Topics and Procedures

Related Topics

Microsoft Project Integration

Microsoft Project Export Wizard

Related Procedures

Exporting a File to an MSP Project

Importing an MSP File


Microsoft Project Export Wizard (Project Page)

Use this page to select a project in Microsoft Project Standard/Professional or Microsoft Project Server to be created, replaced, or updated (depending on your selections on the Export Type and Method page).

If you fill in the edit field directly, note that Project Server projects being exported via MSP are identified by the prefix <>\. For example, if the name of the Project Server project is CLEAN, it would be referred to as <>\CLEAN if you are exporting via MSP but as CLEAN if you are exporting via Project Server.

Connection

If you chose to export the data using Project Server, you must select a connection URL. To edit a connection or create a new connection, click the ellipsis button to display the Configuration Options dialog box.

In many circumstances, only the PWA URL (without a user name and password) may be required for a Project Server connection, depending on how user authentication is set up on the machine where the export is being performed.

This field only displays if you are exporting data using Project Server.

Project File

Click the ellipsis next to the Project File field to display an Open dialog box where you can select a Microsoft Project file/project.

Location

To display the Microsoft Project Export wizard, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, display a project in any view.

  2. Click the Integration tab.

  3. In the Export menu group, click MS Project to launch the Microsoft Project Export wizard.

Related Topics and Procedures

Related Topics

Microsoft Project Integration

Microsoft Project Export Wizard: Options Page

Microsoft Project Export Wizard: Export Complete Page

Related Procedures

Exporting a File to an MSP Project

Importing an MSP File


Microsoft Project Export Wizard (Options Page)

Use the Options page of the Microsoft Project Export wizard to set the options that Open Plan will use when exporting a project into MSP.

Before you can export a project to MSP, it must first have been saved as an Open Plan project.

Export Type

This read-only field displays the type of export that you selected on the Export Type and Method page of the wizard.

MSPRIF Compatibility

Not available with Project Server direct export.

This option preserves the functionality available from the old MSPRIF VB app. Its major goal is to keep schedule dates as similar as possible between Open Plan and Microsoft Project.

If you specified this option for export, time-phasing is NOT available. This means that assignments are created or updated in Total mode.

Save changes to OP source project

Selecting this option automatically saves Open Plan data modified during export, in particular, the Unique IDs associated with the MSP/Project Server tasks and/or resources created during the export along with their corresponding Open Plan activities and/or resources. This option is enabled by default since these important associations would be lost if you inadvertently do not save the project following export

Update MS Project WBS column

This option updates the WBS field of the MSP Project to be exported with either of the following:

  • with Open Plan Activity ID

  • with Open Plan Code 1

If you intend to map your own field to WBS, do not select this option.

Export Resources

This option exports resources in one of two ways:

  • Use OP resource ID as MSP resource Name: This option exports Open Plan resource ID to the MSP resource name field.

  • Use OP resource Description as MSP Name: This option exports Open Plan resource description to the MSP resource name field.

Resource Progress

When not exporting in MSPRIF-compatible mode, you can choose to export resource assignment remaining quantity or resource assignment physical percent complete to MSP.

  • Do not export

  • Use Assgn. PPC: Export resource assignment physical percent complete.

  • Use Assgn. Remaining: Export resource assignment remaining quantity.

OP levels represent (create/replace mode only)

Select the resource export unit to be used for the exporting process. This will be the unit that is specified when the OP resource unit cost field is exported to the MSP standard rate field. If Default Units is selected, the unit will be based on the Open Plan project’s default duration unit. For example, a unit cost of 50.00 will be interpreted as $50.00/day if the levels represent days for OP labor resources (work resources in MSP).

This setting does not affect material resources.

Assignment Granularity

Use this option to control resource assignment granularity. This field is only enabled when the following are true:

  • The project is not being exported to Project Server

  • The Export Resources option is selected

  • The MSPRIF Compatibility option is disabled

When the above conditions are not met, the field is set to Total and disabled.

  • Total: Use this option when the resources are applied as totals in MSP and not manually time-phased. The generation of OP assignments from time-phased records may cause unacceptable export times for a large project. When you use this option, the total work is spread evenly over the task’s duration without regard for offsets and periods. There is no timephasing performed in MSP and the export requires much less processing time.

    If you manually time-phased in Open Plan and want to maintain that level of granularity in MSP, you should select one of the other options.

  • Daily: Use this option when you want Open Plan to generate and export daily time-phased records to MSP to model the original records accurately.

  • Weekly: Use this option when you want Open Plan to generate and export weekly time-phased records to MSP.

  • Monthly: Use this option when you want Open Plan to generate and export monthly time-phased records to MSP.

Open Plan sets the default granularity to Total. The finer the granularity, the more accurate the data; however, time-phased granularity also increases processing time as Open Plan needs to create individual time-phased records for each work period.

Using a coarser granularity (for example, weekly instead of daily) allows the resource assignment export to complete successfully and with less processing time even though it may be slightly less accurate (that is, the level will spread evenly across a given week and will not show daily fluctuations).

When timephasing is requested for large projects containing tasks with extended durations (for example, when a task duration spans more than a few weeks) and you select a Daily granularity, MSP may fail during the process and the integration log might contain an error, for example, “An exception occurred in ExportCalendarDetailMSP: No more threads can be created in the system.” If you experience this behavior, Deltek recommends using a coarser assignment granularity.

Update OP USER_NUM01 with MSP ID

Not available with Project Server direct export.

This option updates the Open Plan USER_NUM01 field with an MSP Task unique ID. It is intended for backwards compatibility. Open Plan now uses the MSPUNIQUEID field on the activity.

Use Constraint to adjust 5pm to 8am/8am to 5pm

Not available with Project Server direct export. It is only enabled when the MSPRIF Compatibility is selected.

This option allows the use of constraints to adjust 5pm to 8am/8am to 5pm.

Open Plan will add a Start No Earlier Than constraint in MSP to move the start date to the next day when the MSP Start Date is on the end of one day and the Open Plan Start Date falls on the start of the following day. A Must Start On constraint is added in MSP to move the MSP Start Date to the previous day, when the Open Plan Start Date is at the end of one day and the MSP Start Date falls on the start of the following day.

Update MSP Notes field with comments

Not available with Project Server direct export.

This option updates the MSP notes field with errors and warnings pertaining to an exported task.

Use OP Milestone Dates/Times

This option applies to completed milestone activities.

When disabled, Open Plan compares the Actual Dates on milestone activities. If they are on the same date with different times, the export sets the Actual Start and Finish Dates in Microsoft Project, so that both values have the same date and time and the MSP duration will be zero.

  • For Start Milestones, they are set to the Open Plan Actual Start date (if the OP Actual Start date is missing, then the OP Early Start date is used).

  • For Finish Milestones, they are set to the Actual Finish (if the OP Actual Finish date is missing, then the OP Early Finish date is used).

For activities that occur on different dates, the OP actual dates will be honored (with the OP Early Start/Early Finish date substituted, if an OP actual date is missing), unless either or both actual dates exceed Time Now. In the latter case, the corresponding early date(s) will be substituted.

When the option is selected, the dates are set to the Open Plan Actual dates on milestone activities (if either date is missing, then the Open Plan Early Start or Early Finish date replaces the missing date), and MSP may calculate a duration that fits the dates. NO validation is performed to insure that the actual dates assigned to MSP are <= Time Now.

Activity Filter

Update modes only.

This field allows you to apply an activity filter to the export, so that not all activities will be exported. Only activities that meet the filter along with associated resource assignments will be exported. Clicking the ellipsis at the right edge of the field displays the Filters dialog box that you can use to select a filter. You can also use this dialog box to create, edit, or modify filters.

Logging Level

This field allows the logging of errors, errors and warnings, or all messages.

Use Options from Group Set

This field allows you to load options from a group set (selecting a blank current group set will load the default group options). If any of the options is changed, you will be prompted when clicking Finish to replace the group set (if you already have a named group set) or save the group set to a new or different name.

If the existing settings are to be used, you should select this option before filling out the page.

Field Mapping

Click this button to open the Open Plan to MS Project Field Mapping dialog box.

Use this dialog to add, modify, or delete field mappings.

You can also use the dialog box to inspect the current field mappings.

Location

To display the Microsoft Project Export wizard, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, display a project in any view.

  2. Click the Integration tab.

  3. In the Export menu group, click MS Project to launch the Microsoft Project Export wizard.

Related Topics and Procedures

Related Topics

Microsoft Project Integration

Microsoft Project Export Wizard: Project Page

Open Plan to MS Project Field Mapping Dialog Box

Microsoft Project Export Wizard: Export Complete Page

Related Procedures

Exporting a File to an MSP Project

Importing an MSP File


Microsoft Project Export Wizard (Export Complete Page)

This page displays at the end of the export process and indicates whether the:

  • Export completed successfully: This message displays if the project was exported without errors.

  • Exported completed with errors: This message displays if errors were encountered during the export process. Click View Log to read the processing information for more details.

  • Export was aborted by the user: This message displays if the export process was aborted by the user.

View Log

Click this button to display the Open Plan Log Viewer that you can use to view the export log.

Close

Click this button to close the Export MSP Files wizard.

Help

Click this button to display the Open Plan help file.

Location

To display the Microsoft Project Export wizard, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, display a project in any view.

  2. Click the Integration tab.

  3. In the Export menu group, click MS Project to launch the Microsoft Project Export wizard.

Related Topics and Procedures

Related Topics

Microsoft Project Integration

Microsoft Project Export Wizard

Related Procedures

Exporting a File to an MSP Project

Importing an MSP File


Oracle Primavera Integration

You can use Open Plan's import and export interface for integration with Primavera P6. Use the Oracle Primavera P6 Import Wizard to import Primavera P6 data into Open Plan from a P6 web or a P6 XER or XML file. Use the Oracle Primavera Export Wizard to export to a XER file or to a P6 Web environment.

Deltek does not recommend importing into the same Open Plan project from both Microsoft Project and Primavera P6, or from Primavera P6 Web and an XER/XML file, as this may cause a conflict with the P6 unique ID field.

For important import/export information, see:

  • Importing Primavera P6 Data

  • Exporting Data to Primavera P6

  • Best Practices for Importing/Exporting Data To/From P6

Primavera P6 Multi-Table View

Many P6 view layouts show WBS records with activities below them. This is not the default in Open Plan as Open Plan provides a native project hierarchy in addition to WBS/OBS and other codes. Open Plan provides a pre-configured P6WBSVW multi-table view to see the WBS-to-activity relationship that exists in the Primavera project. For steps, see Open a View and Assign a View to a Project.

External Subprojects

Open Plan supports external subprojects. Primavera P6 supports external relationships but does not embed the external project that the external relationship points to in the “main” project.

Related Topics and Procedures

Related Topics

How Open Plan Calculates % Complete to Export to Primavera P6

Primavera P6 Constraints

Activity Percent Complete Based on Activity Steps

Best Practices for Importing/Exporting Data To/From P6

Updating Existing Data When You Import an XER File Back Into P6


Activity Percent Complete Based on Activity Steps

If the Primavera P6 option Activity percent complete based on activity steps is selected, then during the Primavera P6 import into Open Plan, progress is set as follows:

P6 Activity Status | Open Plan Progress Type | Open Plan Progress Value
In Progress | Remaining Duration | P6 remaining
Completed | Complete |
Not Started | None |

Related Topics and Procedures

Related Topics

Oracle Primavera P6 Integration

How Open Plan Calculates % Complete to Export to Primavera P6

Primavera P6 Constraints


Exporting Data to Primavera P6

Use the Oracle Primavera Export Wizard to export to an XER file or to a P6 Web environment. The Export Oracle Primavera command on the Integration tab is disabled until you open the Open Plan project that you want to export.

For web exports, the project must have been previously imported into Open Plan from P6 Web and must be open in Open Plan at the time of the export. The Oracle Primavera export icon is disabled until a project is opened in Open Plan.

Before you begin, review the topics in Best Practices for Importing/Exporting Data To/From P6.

Exporting Open Plan Activity Status to Oracle Primavera P6

You can export from an Open Plan project to an Oracle Primavera P6 XER file or P6 Web.

  • Web export: A P6 web export only exports activity status/resource assignment status. The project that you are exporting must have previously been imported into Open Plan from P6.

  • XER export: An XER export exports the entire Open Plan project. In addition to the set fields, you can define user fields (including code-related user fields) that you can map for export to a P6 .XER file. You can save these user fields to group options so that the next time you perform an .XER export, you don’t have to define them again. You can also select one or more baselines to export to the XER file.

Display the first page of the Oracle Primavera P6 Export Wizard by clicking Oracle Primavera on the Integration tab Export menu group.

For information about updating fields in P6 when you import an XER file back into P6, see Updating Existing Data When You Import an XER File Back Into P6.

Baseline

An Open Plan baseline is not a complete project as it is in Primavera P6. It is a snapshot of the activity and resource usage tables. When you export a baseline from Open Plan and import it into P6, the P6 activity and resource assignment tables are populated in the created or updated P6 project representing the baseline project.

Calendars

For a web exports, Open Plan's default is to export all of the calendars in the calendar file assigned to the project, whether or not they are being used by an activity. If you would like Open Plan to export only those calendars that are being referenced by the data being exported, you must add _EXPORT_ONLY_P6_CALS_IN_USE with a value of 1 to the System Preferences dialog box ( [image] » Preferences » Application » Advanced tab).

For an XER export, the _EXPORT_ONLY_P6_CALS_IN_USE setting is ignored and Open Plan will always export only those calendars that are being referenced by the data being exported.

For more information, see _EXPORT_ONLY_P6_CALS_IN_USE in Standard Open Plan Options.

Resources

By default, Open Plan exports all of the resources in the resource file assigned to the project, whether or not they are being used by an activity. If you want Open Plan to export only those resources that are being referenced by the data being exported, you must add _EXPORT_ONLY_P6_RES_IN_USE with a value of 1 to the System Preferences dialog box ( [image] » Preferences » Application » Advanced tab).

For more information, see _EXPORT_ONLY_P6_RES_IN_USE in Standard Open Plan Options.

Repeating Holidays

Primavera P6 doesn't support repeating holidays. When data is exported to P6, repeating holidays only display for the period of the project.

View Exported Data

If you want to review the data that was exported to Oracle Primavera P6, add _KEEP_P6_OUTPUT_FILES with a value of 1 to the System Preferences dialog box ( [image] » Preferences » Application » Advanced tab). Open Plan creates .csv integration files and saves them to the Open Plan working folder, for example, Documents » Deltek » Open Plan Professional 8.2. Each file has a unique name that includes the Primavera P6 project name and a time stamp.

If the setting is enabled, the generated .csv files will remain in the folder until you delete them (disabling the setting will not delete accumulated files). You may want to periodically delete them to keep the folder size from becoming too large.

Confirming Resource Settings

To successfully export resource remaining costs and quantities to P6, you need to confirm some resource settings. P6 has options that prevent us from writing to these fields depending on how they are set. The options are:

  • Calculate Costs from Units

  • Auto Compute Actuals

Make sure that these options are not enabled on the resource. You should confirm these settings prior to building your schedule as P6 seems to remember the settings even if they have been changed.

Related Topics and Procedures

Related Topics

How Open Plan Calculates % Complete to Export to Primavera P6

Primavera P6 Constraints

Activity Percent Complete Based on Activity Steps

Best Practices for Importing/Exporting Data To/From P6

Updating Existing Data When You Import an XER File Back Into P6


How Open Plan Calculates % Complete to Export to Primavera P6

When data is exported to Primavera P6, all progress values are exported into Primavera P6 using an Actual Start Date and a % Complete. Primavera P6 then automatically calculates a number of values.

The steps below are how the exported % Complete is determined. The order of these is important because if one test is met, the system does not continue checking conditions. Simple conditions are evaluated early to save time and processing.

If the activity is marked as Complete, then % Complete = 100.0. Otherwise, % Complete = 0.0

Terminology Note: Time Now and Period End Date are interchangeable terms that are used to describe the status date of a project. The table below uses Time Now but it has the same meaning as Period End Date.

Condition

How % Complete is Calculated

1.

An actual finish date is entered that is before Time now.

The activity is considered complete and % Complete is set to 100.

2.

An expected finish date is entered that is before Time Now.

The activity is considered complete and % Complete is set to 100.

3.

An actual finish date after Time Now was entered and an actual start date prior to Time Now and Duration = 0.

The activity is considered complete and % Complete is set to 100.

Note: Condition 2 would have found a valid actual finish date before Time Now.

4.

Time Now minus Actual Start Date is equal to or greater than the original duration.

The activity is considered complete.

Note: An invalid Actual Start Date will not pass the test.

5.

Progress Type = As Planned and there is no actual start date, actual finish date, or expected finish date.

% Complete = 0

6.

Progress Type = As Planned and there is an actual start date.

  • The system first looks to see if an expected finish date has been entered that is before Time Now or if there is an actual finish date. If so, the activity is considered complete and % Complete is set to 100.

  • If Time Now minus the actual start date is greater than the original duration, the activity is considered complete.

  • If an expected finish date after Time Now is entered, % Complete is calculated as follows:

(Original Duration - (Expected Finish - Time Now)) / Original Duration

  • If Time Now minus actual start date is less than the original duration date, % Complete is calculated as follows:

(Time Now - Actual Start Date +1) / Original Duration

7.

The computed remaining duration is greater than the original duration.

% Complete is calculated using the early start and early finish dates:

% Complete = ((Early Finish – Early Start) – Remaining Duration ) / (Early Finish – Early Start)

8.

Progress Type = % Complete

% Complete is converted to a decimal.

9.

Original Duration = 0

The activity is planned and % Complete = 0

10.

There is an actual start date entered before Time Now, Progress Type = Remaining Duration, and Remaining Duration is equal to or greater than the original duration.

% Complete is calculated as:

% Complete = (Time Now - Actual Start) / ((Time Now - Actual Start) + Remaining Duration)

11.

Progress Type = Remaining Duration

% Complete is calculated as:

% Complete = (Original Duration - Remaining Duration) / Original Duration

12.

Progress Type = Elapsed Duration

% Complete is calculated as:

% Complete = Elapsed Duration / Original Duration

13.

An expected finish date after Time Now is entered.

% Complete is calculated as:

% Complete = (Original Duration – (Expected Finish - Time Now)) / Original Duration

14.

Time Now minus the actual start date is less than the original duration.

% Complete is calculated as:

% Complete = (Time Now – Actual Start) / Original Duration

Related Topics and Procedures

Related Topics

Oracle Primavera P6 Overview

Primavera P6 Constraints


Importing Primavera P6 Data

Use the Oracle Primavera Import Wizard to import Oracle Primavera P6 projects from P6 web or a P6 XER or XML file. The import facility provides seamless integration with Primavera's current standard data formats.

You can import P6 XER or XML files or you can import multiple projects from P6 Web as long as they are all from the same P6 web site and database. When you import, you can create a new Open Plan project, or update an existing Open Plan project and create new or share existing resources, codes, and calendars.

When you import P6 baseline resource data using an Open Plan project with an assigned reporting calendar, Open Plan groups all assignments to the same activity/resource and spreads their levels and costs into fiscal periods. If there is no assigned reporting calendar to your project, Open Plan creates a single baseline usage record based on the baseline assignment dates in P6 during baseline import.

Before you begin, review the topics in Best Practices for Importing/Exporting Data To/From P6.

Related Topics and Procedures

Related Topics

How Open Plan Calculates % Complete to Export to Primavera P6

Primavera P6 Constraints

Activity Percent Complete Based on Activity Steps

Updating Existing Data When You Import an XER File Back Into P6


Import P6 Data using a Project Template

If you want to import your P6 data into a specific structure, you can use (or create) a template that already has the calendars, resources, and code fields at the appropriate levels.

For more information, see Using a Project Template for Your P6 Data Import.

Related Topics and Procedures

Related Topics

Oracle Primavera P6 Integration Overview

Best Practices for P6 Integration


Primavera P6 Constraints

Primavera P6 allows an activity to have both a primary and a secondary constraint and date. Open Plan permits both types of constraints on the same activity as long as the P6 constraints are not both start or finish constraints (that is, one must be a start constraint and the other must be a finish constraint).

Primavera P6 Constraint | Open Plan Constraint
As late as possible (ALAP) | Activity type = As late as possible (ALAP)
Finish on or after | Target finish = not earlier than
Start on or after | Target start = not earlier than
Start on | Target start = on target
Mandatory start | Target start = fixed target
Finish on | Target finish = on target
Mandatory finish | Target finish = Fixed target
Start on or before | Target start = not later than
Finish on or before | Target finish = not later than

Related Topics and Procedures

Related Topics

Oracle Primavera P6 Overview

How Open Plan Calculates % Complete to Export to Primavera P6


P6 and Open Plan Activity Priority

You perform resource leveling to schedule project tasks so that no resource is overloaded. You set a priority for each task to specify the order in which the tasks are completed.

For example, you have one painter who is scheduled to paint three houses in week #1, but it takes 40 hours to paint a house. Resource leveling reschedules the three house-painting tasks so that the painter paints one house per week for three weeks. The system looks at the Priority field to determine which house will be painted first, second, and third.

Open Plan and Primavera P6 both have a Priority feature. In Open Plan, the field is called Priority and is located on the Advanced tab of the Activity Details dialog box. In P6, it is a column on the Activities tab called Activity Leveling Priority. The Open Plan Priority field is automatically mapped to the P6 Activity Leveling Priority field in the following manner:

Open Plan Priority | P6 Priority
-2 or less | TOP
-1 | HIGH
0 | NORMAL
1 | LOW
2 or greater | LOWEST

In order for this to take effect, you must also select Priority as one of the priorities on the Advanced tab of the Resource Scheduling dialog box.


Assigning the P6 WBS Hierarchy to a User-Specified Index

By default, the P6 WBS code is stored at code index #1 in Open Plan; however, you can change the WBS code index number using the Open Plan API.

The P6WBSIndex element specifies the code index in a project where the P6 WBS structure is initially stored (for import) or retrieved (for export). The range of valid values for the index is 1 through 90 with the default value being 1.

When the code assignment is made during a new import, the prompt for the code file is set to P6WBS. Once the P6WBS prompt exists on the project, its index position is used for future imports and exports instead of the P6WBSIndex value. If needed, you can use the Open Plan API to assign the P6WBS code prompt to any code index you want. Make sure that you use that prompt only once within any given project. If Open Plan finds this prompt either within an Open Plan project being updated, or a project being created from a project template, it will use the corresponding code index to locate existing WBS elements or store new WBS elements.

Related Topics and Procedures

Related Topics

Oracle Primavera P6 Integration Overview


Best Practices for Importing/Exporting Data To/From P6

Review these topics for best practices information relating to importing and exporting data to and from Primavera P6.

  • Activity Hierarchy

  • Baselines

  • Code and Resource Field Length

  • Code Fields

  • Multiple Assignments for the Same Resource

  • P6 Calendars

  • Updating Existing Data When You Import an XER File Back Into P6

  • Using Periods in ID Fields

  • Using a Project Template for Your P6 Data Import

Related Topics and Procedures

Related Topics

Oracle Primavera P6 Integration Overview


Activity Hierarchy

Open Plan has an activity hierarchy while Primavera P6 has a flat activity collection. P6 uses the WBS hierarchy to achieve a result similar to what Open Plan does with activity subprojects:

Open Plan:

ACT

ACT.1

ACT.1.Child

P6:

WBS

WBS.1

Child

When you export an Open Plan project that has internal subprojects (such as the example above) to P6, only the lowest activities are exported (in the example above, “ACT.1.Child” is exported but not its parents. The "dot" characters (periods) in the activity name have no significance in P6).

While Open Plan allows you to have resources and relationships at the sub-project level, when you export to P6, only activities at the lowest level are included. For example, if you have Activity 1, Activity 1.1, and Activity 1.1.1, only Activity 1.1.1 is included in the export. Open Plan will maintain relationships between activities and resource assignments to an activity for the export as long as they are at the lowest level.

Related Topics and Procedures

Related Topics

Oracle Primavera P6 Integration Overview


Baselines

In Primavera P6, a baseline is a complete project. In Open Plan, only the baseline activity and resource usage tables are stored. When a baseline is imported into Open Plan from P6, Open Plan creates baseline usage records based on P6 resource assignments. This is true for all P6 resource assignments, regardless of the status of the P6 activity (Not Started, In Progress, or Completed).

When a baseline is updated in Open Plan, you have a number of options. You may, for example, exclude both in-progress and completed Open Plan activities from the baseline. When Open Plan creates or updates baseline resource usage information for in-progress and completed activities, it uses a combination of the actual quantity to date plus the remaining quantity. We don’t currently import actual quantities for resources from P6 so updating an imported P6 baseline in Open Plan will probably give different results for in-progress and completed activities. If you need to update baselines for in-progress or completed activities, you can have Open Plan calculate actual quantities using Progress Calculations to give you an approximate value.

When you import P6 baseline resource data using an Open Plan project with an assigned reporting calendar, Open Plan groups all assignments to the same activity/resource and spreads their levels and costs into fiscal periods. If there is no assigned reporting calendar to your project, Open Plan creates a single baseline usage record based on the baseline assignment dates in P6 during baseline import.

During the export of a baseline to P6, baseline usage records are generated only for baseline resources assigned to activities that are in the baseline. Open Plan cannot create P6 baseline assignments if baseline usage records for those assignments do not exist in Open Plan.

Therefore, be careful in selecting your baseline creation/update options in Open Plan and also in using a filter when exporting activities to P6, since both of these factors affect the content of the exported baseline.

Related Topics and Procedures

Related Topics

Oracle Primavera P6 Integration Overview


Code and Resource Field Length

Since Open Plan has a 59 character limit on the code/resource field length, there may be times when it has to rename the code/resource field because it exceeds this length. For example, DEMO2-3.SHIP_XXXXXXXXXXXXXXX.ENGE_YYYYYYYYYYYYYYY.MULT_ZZZZZZZZZZZZZZZ which contains 70 characters would be truncated to DEMO2-3.SHIP_XXXXXXXXXXXXXXX.ENG~.MULT_ZZZZZZZZZZZZZZZ which contains 54 characters.

Open Plan always tries to preserve the full local ID (lowest level child part of the ID). If Open Plan determines that the ID must be shortened, the system starts by shortening the closest parent, if the parent contains over 4 characters, to 3 characters followed by a tilde (~). Note that you will need to know which P6 code/resource the truncated version represents when you are viewing the codes/resources in Open Plan.

To avoid truncation, there are two options:

  • Consider using numbers or short text strings instead of more verbose ID's. Remember that you can store explanatory text in the P6 Name field (OP code Description field or Resource code Description field).

  • Ask your IT department to increase the size of the Open Plan code/resource ID field and its corresponding data dictionary entry so that the longest P6 path will fit in the resized Open Plan code/resource field. Contact Deltek Customer Care if you need assistance with this.

When you perform a web export, since Open Plan keeps track of each unique code/resource ID, if the codes/resources do get renamed, they are still matched up to the correct code/resource when they are exported back to P6. When you perform an XER export, renamed WBS elements or resource descriptions are considered new objects in P6.

Before you start integrating your P6 data with Open Plan, Deltek suggests that you plan your field lengths and hierarchy levels to limit codes/resources being truncated in Open Plan.

Related Topics and Procedures

Related Topics

Oracle Primavera P6 Integration Overview


P6 Code Fields

Open Plan imports the entire WBS code hierarchy when it imports a project. The top-level P6 WBS (usually the project name in P6) is stripped out. A code hierarchy for P6 activity codes other than the WBS hierarchy may be implicitly build in Open Plan by assigning a P6 activity user code field to an Ope Plan code field.

The WBS Code field in P6 is called the Code ID field in Open Plan and the WBS Code Name in P6 is called the Code Description in Open Plan. By default, the P6 WBS code is stored at code index #1 in Open Plan; however, you can change the WBS code index number using the Open Plan API. For more information, see Assigning the P6 WBS Hierarchy to a User-Specified Index.

There is no limit to the number of levels that you can create in a P6 code hierarchy. The type of Open Plan fields to which you assign P6 code fields determines how Open Plan treats the P6 code hierarchy.

Assigning a P6 Code Field to an Open Plan Code Field

During an import, if you assign a P6 code field to an Open Plan code field, Open Plan preserves the code hierarchy. Whenever Open Plan finds a value in the imported data that is mapped to an Open Plan code, Open Plan imports that value and its DIRECT parent hierarchy to the Open Plan code file. Direct means parents, grand-parents, great-grand-parents, and so on; not uncles, aunts. In this way, Open Plan dynamically creates the code hierarchy while only importing the values that are being used in the project.

Assigning a P6 Code Field to an Open Plan User (Non-Code) Field

During an import, if you assign a P6 code field to an Open Plan user field, no code hierarchy is created. Instead, Open Plan uses the format <Parents>.Child. For example, if you have the following WBS code hierarchy in P6:

PRJ_OR_USR_001

PRJ_OR-CHLD

PRJ_OR_GCHLD

Open Plan lists the WBS codes as follows:

PRJ_OR_USR_001

PRJ_OR_USR_001.PRJ_OR-CHLD

PRJ_OR_USR_001.PRJ_OR-CHLD.PRJ_OR_GCHLD

Assigning a P6 Non-Code Field to an Open Plan Code Field

If you assign a P6 non-code field to an Open Plan code field, the P6 values are added to the appropriate Open Plan code file, but the hierarchical structure is flat (that is, all added elements are top-level codes).

Activity Codes

Open Plan matches up activity codes, other than the main WBS code, based on the code ID (for example, “Code 1”) instead of the P6 numeric object ID (for example, 1067) associated with the code.

Related Topics and Procedures

Related Topics

Oracle Primavera P6 Integration Overview


Multiple Assignments for the Same Resource

To ensure that multiple assignments to the same resource on an activity get imported into P6 correctly, it is important to keep track of the options you are using when you import the XER file into P6.

If you are creating/replacing a project in P6, when you import the XER file into P6, on the Modify Import Configuration dialog box, set the Action column for the Activity Resource Assignments to Insert New. This also sets Activities and Activity Relationships to Insert New.

If you are updating an existing project, P6 does not seem to add multiple assignments to the same resource that have been added since the original import unless either the Process/Unit or Cost Account field has different values for the additional assignments. Since Open Plan has no equivalent fields, there is no was to differentiate the assignments in this way when the XER file is generated.

Related Topics and Procedures

Related Topics

Oracle Primavera P6 Integration Overview


P6 Calendars

Primavera P6 has three types of calendars: global, resource, and project. A resource or project calendar may have a single GLOBAL calendar as its parent, but global calendars have no parent. This means that a P6 calendar may have at most two levels.

Open Plan supports a full calendar hierarchy (that is, the number of parents for a single calendar is not limited). Open Plan also supports separate calendar “files” at the project and resource levels. A “file” contains multiple calendars; however, Open Plan does not allow the creation, during import, of separate calendar files for the project and resource objects since allowing this would not permit assigning the same calendar to both an activity and a resource availability.

During import, Open Plan imports all calendars referenced from the main project(s) and any resources assigned to these projects. Open Plan also imports calendars that no longer exist on the main project but exist on the baseline project. Calendar hierarchy is preserved.

During export, calendar hierarchy is first flattened to no more than two levels. Calendars at the topmost level are typed as ‘Global’ calendars, while those at the second level are typed as ‘Project’ calendars. Initially, the project calendars are not assigned to any specific project. When a project first references a ‘Project’ calendar, it is then assigned to that project. Any additional references to the same calendar by another project causes a “clone” of the original calendar to be created and assigned to any subsequent project(s). Likewise, when a resource references a Project calendar, said Project calendar is cloned and typed as a Resource calendar. Subsequent resource references to the original Project calendar are redirected to the cloned Resource calendar.

As mentioned elsewhere, to avoid P6 calendars being renamed, do not use dot separators in the calendar name because Open Plan considers these separators as hierarchical delimiters. Also, be aware that using overly long names, especially for a calendar that has a parent, may result in truncation since the calendar ID field by default has a maximum length of 59 characters.

Related Topics and Procedures

Related Topics

Oracle Primavera P6 Integration Overview

Working with Calendars


Updating Existing Data When You Import Data From an XER File Into P6

By default, when you import data from an XER file into P6 and update an existing project, P6 keeps the existing values for the following fields:

  • Resource Codes

  • Resource Code Values

  • Rates

  • Resources

  • Short Names

  • Calendars

That means that if you have made changes to any of the above fields in Open Plan before exporting to the file you are importing into P6, the data will not be updated in the existing project.

To update the above fields:

  1. In the P6 Import wizard, when you get to the Update Project Options page, click Modify.

  2. Click in the Actions column for any of the fields you want to update that have Keep Existing selected and change the setting to Update Existing.

Related Topics and Procedures

Related Topics

Oracle Primavera P6 Integration Overview


Using Periods in ID Fields

Deltek recommends that you refrain from using periods in the "local" segments of the P6 ID (example, PRJ.OR.USR.001). For example, you see the local part of the code name in the P6 WBS Code field box on the projects WBS tab.

When a field with a period is imported into Open Plan, Open Plan changes the period to an underscore (for example, PRJ_OR_USR_001).

If you then export the data back to P6, you may have issues:

  • When you import the field back into P6 from an XER project, the XER file requires an exact match with the ID. Since the field no longer matches up to the original value in P6, it is created as a new object (activity, WBS, resource description, and so on).

  • When you import the field back into P6 through the Web, the changed ID won't cause an issue because Open Plan keeps track of most P6 objects using a numeric key instead of a character-based ID. As long as the unique ID matches, the objects match.

Related Topics and Procedures

Related Topics

Oracle Primavera P6 Integration Overview


Using a Project Template for your P6 Data Import

If you are creating a new Open Plan project for your P6 data and you want a specific structure, before you import the data, create a new project in Open Plan. Any imported project that uses a particular template will share all of the ancillary files (calendar, resource, and codes) assigned to the template. Observe the following guidelines when you create a project template to be used in the P6 import process:

  • If you assign a resource file to the template, the calendar of the resource file should match the calendar of the project.

  • You should dedicate an activity code file to be used to store the P6 WBS hierarchy. This code file may be assigned to any index, but the prompt for the code file should be P6WBS. Other code files may be created and assigned at other indices for your own use.

  • Code files intended to be used to store the P6 WBS hierarchy or to be mapped as user fields for import or export should be created as punctuated, not fixed.

Project templates may be assigned to individual projects or to a master project. In the event that a master project is created, template information for individual projects is ignored since the master project and its external subprojects share the same ancillary files. The option to use a project template for creating a new project during import is available only when you use the Open Plan OLE automation or direct engine interface. You may, however, manually create a project from a project template that you have built (using the guidelines detailed above), and when you run the Import Wizard in Open Plan, select that project in the Update Existing Project field.

Related Topics and Procedures

Related Topics

Oracle Primavera P6 Integration Overview

Assigning the P6 WBS Hierarchy to a User-Specified Index


Oracle Primavera P6 Import Wizard

Use the Oracle Primavera P6 Import Wizard to import Primavera P6 data into Open Plan. You can import Primavera P6 projects from P6 web or a P6 XER or XML file.

Before you begin, review the information in Importing Primavera P6 Data and Best Practices for Importing/Exporting Data To/From P6.

The wizard includes the following pages:

  • Project Page: Use this page to select the Oracle Primavera P6 schedule(s) to be imported.

  • Options Page: This page displays different options, depending on whether you choose to import into a new Open Plan project from Oracle Primavera P6 or update an existing Open Plan project.

  • Project Selection Page: This page displays only if one or more of the projects you are importing contain(s) external subprojects. It does not display if the project is a standalone project.

  • Master Project Name Page: Use this page to create the master project that will contain the projects you selected and inter-project relationships associated with those projects. It only displays if one or more of the projects you selected on the Project Selection page contain inter-project relationships or the Group all projects under a master project option on the Project Page is checked.

  • Validate Files Page: Use this page to validate Open Plan files and fix any warnings or errors that may occur. Additionally, if desired, you may change default names given for the project(s) and ancillary files. You cannot continue with the import process until all problems have been resolved.

  • Processing Page: This page displays the import progress. You can cancel the import by clicking Abort.

  • Import Complete Page: This page displays at the end of the wizard and lets you know whether the import completed successfully, completed with errors, or was aborted.

Buttons

The following buttons appear along the bottom of each page:

Back

This button is disabled since this is the first page of the wizard.

Next

Click this button to display the next page of the wizard.

Cancel

Click this button to cancel the import process.

Help

Click this button to display the Open Plan help file.

Location

To display the Primavera Import wizard for P6, complete the following steps:

  1. In Open Plan Explorer, click the Integration tab.

  2. In the Import menu group, click ORACLE Primavera » P6 Import to launch the Primavera Import wizard.

Related Topics and Procedures

Related Topics

Oracle Primavera P6 Integration

Activity Percent Complete Based on Activity Steps


Oracle Primavera P6 Import Wizard (Project Page)

Use the Project page to select the Oracle Primavera P6 schedule(s) to be imported.

Update Existing Project

Use this field to select an existing Open Plan project to update. For information about using a project template for your import, see Using an Existing Project Structure for your P6 Data Import.

If you select a project in this field, you cannot select multiple projects to import in the Select Projects list box.

Project Options

Use this field to select a saved set of options for a specific project. Project options define the path to the Primavera P6 project that is imported, the name the project will be given in Open Plan (if it differs from the root part of the file name), and other project-specific options.

Group Options

Use this field to select a saved group option set. The list includes all group options to which you have access. Group options include settings that can be used across various projects, such as whether resources are included, field mappings, and so on.

Import from a P6 XER File

Select this option to import a XER file from Primavera P6.

Import from a P6 XML File

Select this option to import an XML file from Primavera P6.

Import from P6 Web

Select this option to import data from P6 Web.

Connection

This field is enabled when you select Import from P6 Web. Click the down arrow to display the list of available connections. The list displays the connection name and the URL.

To edit a connection or create a new connection, click the ellipsis button to display the Configuration Options dialog box.

Select Projects

  • Import a P6 XER File: If you are importing a Primavera P6 XER file, when you click this button, an Open dialog box displays. Select an XER file, and click Open. Selecting the XER file displays the Import P6 XER File dialog box, where you can select which project(s) you want to import into Open Plan. A link to the selected project(s) is added to this box. If needed, click Select Projects again to import additional projects. A link for each project is added to this box.

  • Import a P6 XML File: If you are importing a Primavera P6 XML file, when you click this button, an Open dialog box displays. Select an XML file, and click Open. Selecting the XML displays the Import P6 XML File dialog box, where you can select which project(s) you want to import into Open Plan. A link to the selected project(s) is added to this box. If needed, click Select Projects again to import additional projects. A link for each project is added to this box.

  • Import from P6 Web: If you are importing Primavera P6 projects from P6 Web, when you click this button, the Import from P6 Web dialog box displays. You can select multiple projects; however, they must all be from the same P6 web site and database.

If you select an Open Plan project in Update Existing Project, you can select only one P6 project. If you select more than one, a message displays letting you know that you cannot update an existing Open Plan project if more than one P6 project is selected and the project in the Update Existing Project field is removed. To update an existing project, remove all P6 projects except for one and select a project in the Update Existing Project field again.

Select Baselines

Select a project in the Selected Projects list box and click this button. If you are importing a XER file, an Open dialog box displays so that you can select the .XER file from which the baselines will be selected. A Select Baselines dialog box displays where you can select one or more baselines for the project.

If you are importing a P6 XML file, this button is disabled. When you import the project, any project baselines that exist in the XML file are also imported.

Group all projects under a master project

Click to group all of the selected projects under a master project. This option is not available if you have selected an Open Plan project in Update Existing Project as you can then only update one project at a time.

ID Matching

When you perform a P6 import, you can specify whether the ID/Name or the unique ID of an Open Plan object should be matched to the P6 ID/Name or object ID* of a P6 object. This option pertains to calendars, activities, and resource definitions. For activities, the ID matching option is ignored during an import that creates/replaces the Open Plan data, since there are no existing activities to be matched. For other object types (calendars and resource definitions may exist in a shared file where there are already existing objects), the option is relevant in either create/replace or the update modes.

  • If you are performing a P6 Web import, selecting <Default> maps the P6 Object ID field to the Open Plan Unique ID field.

  • If you are performing a P6 XER or XML import, selecting <Default> maps the P6 ID field to the Open Plan Name (Activity ID, Resource ID, and so on) field.

WBS Matching

When you perform a P6 import, you can specify whether you want to map the Open Plan Name (Code ID) or Unique ID field to the P6 WBS field. You can use this option for a new project import as well as updating an existing project.

  • If you are performing a P6 Web import, selecting <Default> maps the P6 WBS Object ID field to the Open Plan Unique ID field.

  • If you are performing a P6 XER or XML import, selecting <Default> maps the P6 WBS field to the Open Plan Name (Code ID) field.

If you are using a common WBS file, for multiple imported projects, using the WBS ID on import will prevent Open Plan from creating duplicate WBS Elements in the shared WBS file. Otherwise using the default option is the right choice.

Location

To display the Primavera Import wizard for P6, complete the following steps:

  1. In Open Plan Explorer, click the Integration tab.

  2. In the Import menu group, click ORACLE Primavera » P6 Import to launch the Primavera Import wizard.

Related Topics and Procedures

Related Topic

Oracle Primavera P6 Integration


Oracle Primavera P6 Import Wizard (Options Page)

The Options page displays different options, depending on whether you choose to import into a new Open Plan project or update an existing Open Plan file.

During import, Open Plan stores the P6 unique IDs for activities and resources (they are stored in the MSPUNIQUEID Open Plan field for both P6 and MSP). These unique IDs link an activity or resource in Open Plan to the corresponding activity or resource in Oracle Primavera P6 and allow for subsequent updates of the data.

Field Mapping

Click to open the Primavera P6 Open Plan Field Mapping dialog box where you can add, modify, or delete field mappings.

Include Resources

This option allows the addition or update of resources. When you select this option, the Share Resource File option is enabled.

Update Project Status Only

This option is available only if you selected a project in the Update Existing Project field on the Project page of the wizard (the page before this one).

When selected, only new activities, calendars, and resources are created. Existing activities are updated.

For activities that are updated, relationships, resource assignments, and steps are deleted and replaced as part of the update (that is, for activities where the MSPUNIQUEID field is > 0).

The activity fields that are updated are as follows:

  • Actual Start

  • Actual Finish

  • Progress Type

  • Progress Value

  • Original Duration

  • Target Start Type

  • Target Start

  • Target Finish Type

  • Target Finish

  • Activity Type

  • Critical

  • Earned Value Technique

  • Priority

Additionally the Time Now value (STATDATE) on the project is updated.

Update Baselines

This option is available only if you selected a project in the Update Existing Project field on the Project page of the wizard (the page before this one).

When importing to an existing Open Plan project, select this option to update the baseline.

  • If a baseline is set in the project to be imported, Open Plan creates the baseline for the Open Plan project when you are in Create/Replace mode.

  • When you are in Status Update mode, Open Plan creates or updates the baseline only if the Update Baselines option is selected.

Duration Unit

Select the default duration units that Open Plan will use for the schedule. If you set it to the Default Units, Open Plan uses the units that are defined in Primavera P6.

Logging Level

This option allows the logging of errors, errors and warnings, or all messages.

Time Now

This option is only enabled when you select the Update Project Status Only option. When enabled, select the calendar button to open the Select Date dialog box. Select the date and time from this dialog box.

Share Calendar File

Select this option when you want the imported project(s) to share an existing or new calendar file. Selecting this option opens the Select Ancillary File dialog box where you can select a calendar file.

If you do not select this option, the Import Wizard assigns an ancillary file to the project that has the same name as the project. If a project is included under a master project, it inherits the ancillary file that was assigned at the top-parent level.

Share Resource File

This option is available when you select Include Resources. Select it when you want the imported project(s) to share an existing or new resource file. Selecting this option opens the Select Ancillary File dialog box where you can select a resource file.

If you do not select this option, the Import Wizard assigns an ancillary file to the project that has the same name as the project. If a project is included under a master project, it inherits the ancillary file that was assigned at the top-parent level.

If you select this option, you must also select the Share Calendar File option since a shared resource file may be used by multiple projects and is associated with a calendar.

Share WBS File

Select this option when you want the imported project(s) to share an existing or new WBS code file. With this option selected, the existing WBS file is shared instead of creating or replacing the ancillary file. Selecting this option opens the Select Ancillary File dialog box where you can select a WBS file.

If you do not select this option, the Import Wizard assigns an ancillary file to the project that has the same name as the project. If a project is included under a master project, it inherits the ancillary file that was assigned at the top-parent level.

Location

To display the Primavera Import wizard for P6, complete the following steps:

  1. In Open Plan Explorer, click the Integration tab.

  2. In the Import menu group, click ORACLE Primavera » P6 Import to launch the Primavera Import wizard.

Related Topics and Procedures

Related Topic

Oracle Primavera P6 Integration


Oracle Primavera P6 Import Wizard (Project Selection Page)

Use this page to select the project(s) you want to import. This page only displays if you are importing multiple projects, or you are importing one or more projects that contain external subprojects. This page does not display if the selected project is a standalone project.

Select All

Click this button to select all of the available projects.

Clear All

Click this button to clear the check mark from all the selected projects.

Location

To display the Primavera Import wizard for P6, complete the following steps:

  1. In Open Plan Explorer, click the Integration tab.

  2. In the Import menu group, click ORACLE Primavera » P6 Import to launch the Primavera Import wizard.

Related Topics and Procedures

Related Topic

Oracle Primavera P6 Integration


Oracle Primavera P6 Import Wizard (Master Project Name Page)

Use this page to create the master project that will contain the projects you selected and inter-project relationships associated with those projects. It displays only if one or more of the projects you selected on the Project Selection page contain inter-project relationships or the Group all projects under a master project option has been checked on the Project Page.

Master Project Name

Enter a name for the new master project to be created. You can enter up to 20 characters.

Location

To display the Primavera Import wizard for P6, complete the following steps:

  1. In Open Plan Explorer, click the Integration tab.

  2. In the Import menu group, click ORACLE Primavera » P6 Import to launch the Primavera Import wizard.

Related Topics and Procedures

Related Topics

Microsoft Project Integration

Microsoft Project Import Wizard: Project Page

Microsoft Project Import Wizard: Options Page

Microsoft Project Import Wizard: Project Selection Page

Validate Files Page

Microsoft Project Import Wizard: Import Complete Page

Related Procedures

Importing an MSP File

Exporting a File to an MSP Project


Oracle Primavera P6 Import Wizard (Validate Files Page)

Use this page to validate Open Plan files and fix any warnings or errors that may occur. Additionally, if desired, you may change default names given for the project(s) and ancillary files. You cannot continue with the import process until all problems have been resolved.

Although you cannot continue with the import if you have unresolved warnings or errors, you can, however, cancel the import process at any time by clicking Cancel.

Grid

The grid on this page contains the following columns:

File Type

This column identifies the type of file being imported (for example, calendar, project, master, and so on).

File Name

This column identifies the name of the file being imported. You can change the name of a file by typing directly into the grid.

Warning and Error Icons

If there is a problem, Open Plan displays a warning [image] icon or an error [image] icon next to the file in question. Hover your cursor over the icon to see a description of the warning or error message.

The following are warning [image] messages:

  • File <filename> exists and will be overwritten: The wizard detects that the file to be created already exists in Open Plan. Open Plan will overwrite the existing file with the imported file.

  • An unknown warning occurred: An unexpected warning occurs when validating if the file already exists.

Error Messages

The following are error [image] messages:

  • Name cannot be blank: A file name must be entered. The import wizard uses the file name to create the Open Plan file.

  • The following characters are not allowed in project, resource, code, calendar, view, reporting calendar, or export specification names: + = [ ] | " : < , > ? *: A file name cannot contain any of the special characters listed in the error message.

  • <filename> in use.: The specified file name already exists in Open Plan and is currently open by the current user or another user.

  • <filename> already exists, and you do not have access rights to overwrite it: The specified file name already exists in Open Plan and you do not have rights to overwrite the file.

  • A file of the same type and the same name already exists in the grid. Please rename one of the files: The specified file name is already being used as the file name for another project in the list of files to be imported. Each project to be imported must have a different name.

  • The file name exceeds the maximum length allowed for the given file type: The specified file name is longer than the maximum file name length allowed by Open Plan.

  • An unknown error occurred: This error is displayed when an unexpected error occurs when validating the file name.

To change or rename a file, enter the new file name directly in the File Name column of the grid.

Finish

When you click Finish, the Save P6 Group Options Set dialog box displays. This allows you to enter or edit a group option set name.

Location

To display the Primavera Import wizard for P6, complete the following steps:

  1. In Open Plan Explorer, click the Integration tab.

  2. In the Import menu group, click ORACLE Primavera » P6 Import to launch the Primavera Import wizard.

Related Topics and Procedures

Related Topics

Oracle Primavera P6 Integration


Oracle Primavera P6 Import Wizard (Processing Page)

When you click Finish, this page display the import progress.

Abort

Click this button to cancel the import. There may be a delay after you click the button until the import is cancelled.

Location

To display the Primavera Import wizard for P6, complete the following steps:

  1. In Open Plan Explorer, click the Integration tab.

  2. In the Import menu group, click ORACLE Primavera » P6 Import to launch the Primavera Import wizard.

Related Topics and Procedures

Related Topics

Oracle Primavera P6 Integration


Oracle Primavera P6 Import Wizard (Import Complete Page)

This page displays at the end of the import process with one of the following messages:

  • Import completed successfully: This message displays if all projects were imported without errors.

  • Imported completed with errors: This message displays if errors were encountered during the import process. Click View Log to read the processing information for more details.

  • Import was cancelled by the user: This message displays if you clicked the Abort button on the Processing page. Click View Log for additional information.

View Log

Click to display information about the import.

Close

Click to close the wizard.

Help

Click to display the Open Plan help topic.

Location

To display the Primavera Import wizard for P6, complete the following steps:

  1. In Open Plan Explorer, click the Integration tab.

  2. In the Import menu group, click ORACLE Primavera » P6 Import to launch the Primavera Import wizard.

Related Topics and Procedures

Related Topic

Oracle Primavera P6 Integration


Oracle Primavera P6 Export Wizard

Use the Oracle Primavera Export Wizard to export to an XER file or to a P6 Web environment. The Export Oracle Primavera command on the Integration tab is disabled until you open the Open Plan project that you want to export.

Before you begin, review the information in Exporting Data to Primavera P6 and Best Practices for Importing/Exporting Data To/From P6.

The export wizard includes the following pages:

  • Export Type and Method Page: Use this page to select whether to export to an XER file or P6 Web.

  • Project Page: Use this page to save the project you are exporting to either an XER file or P6 Web project.

  • Options Page: Use this page to set the options that Open Plan will use when exporting the project.

  • Export Complete Page: This page displays at the end of the wizard and lets you know whether the export completed successfully, completed with errors, or was aborted.

For web exports, the project must have been previously imported into Open Plan from P6 Web and must be open in Open Plan at the time of the export. The Oracle Primavera export icon is disabled until a project is opened in Open Plan.

Buttons

The following buttons appear along the bottom of each page:

Back

This button is disabled since this is the first page of the wizard.

Next

Click this button to display the next page of the wizard.

Cancel

Click this button to cancel the export process.

Help

Click this button to display the Open Plan help file.

Location

To display the Primavera Export wizard, complete the following steps:

  1. In Open Plan Explorer, display a project in any view.

  2. Click the Integration tab.

  3. In the Export menu group, click ORACLE Primavera.


Oracle Primavera P6 Export Wizard (Export Type and Method Page)

Use this page to specify whether you want to export to an XER file or P6 Web.

Export To

Select whether you want to export to a P6 XER file or P6 Web.

  • A P6 web export only exports activity status/resource assignment status. The P6 project that you are exporting must have previously been imported into Open Plan.

  • An .XER export exports the entire Open Plan project.

Export Type

This field is read only.

  • If you select P6 XER file in the Export To field, the export type is set to Create or replace a project.

  • If you select P6 Web in the Export To field, the export type is set to Update existing project: Update status on existing P6 activities only.

Location

To display the Primavera Export wizard, complete the following steps:

  1. In Open Plan Explorer, display a project in any view.

  2. Click the Integration tab.

  3. In the Export menu group, click ORACLE Primavera.

Related Topics and Procedures

Related Topic

Oracle Primavera P6 Integration


Oracle Primavera P6 Export Wizard (Project Page)

Use this page to perform one of the following tasks:

  • Edit or create a connection to P6 web (P6 Web export)

  • Enter a new Primavera P6 XER file to be created (XER export)

  • Select an XER file to be replaced (XER export)

Connection

This field only displays when you are exporting to P6 web.

If you chose to export to P6 Web, you must enter a new URL connection or select an existing connection. To edit a connection or create a new connection, click the ellipsis button to display the Configuration Options dialog box.

Project File

  • If you are exporting to a P6 XER file, clicking the ellipsis displays an Open dialog box where you can select a Primavera P6 XER file or create a new one.

  • If you are exporting to P6 Web, clicking the ellipsis displays an Update P6 Web Project dialog box where you select the project that you want to update.

Project Name

This field only displays when you are exporting to an XER file.

Enter or edit the project name for the file to be exported.

Location

To display the Primavera Export wizard, complete the following steps:

  1. In Open Plan Explorer, display a project in any view.

  2. Click the Integration tab.

  3. In the Export menu group, click ORACLE Primavera.

Related Topics and Procedures

Related Topic

Oracle Primavera P6 Integration


Oracle Primavera P6 Export Wizard (Options Page)

Use this page to set the options that Open Plan will use when exporting project information to Primavera P6.

Export Type

This field displays the type of export that will be performed:

  • For an export to an XER file, this field displays: Export project <project name> to an XER file

  • For an export to P6 Web, this field displays: Update status on existing data only for project <project name>

Export Resources

Select this option if you want to export resources. This is selected by default.

Progress Type

This field only displays when you are performing a P6 Web export. Selecting Export Resources enables this option. You can specify that resource progress be exported in one of the following ways:

  • Do not export: Open Plan does not export resource progress.

  • Use Assgn. PPC: Open Plan exports resource progress based on the resource Physical % Complete. For each matching assignment in P6, Open Plan assigns the resource assignment PPC field to the P6 Units % Complete field. The priority is to make these values match. Open Plan does not attempt to make the OP assignment Remaining field match the P6 Remaining Units field.

  • Use Assgn. Remaining: Open Plan exports resource progress based on the resource remaining quantity. For each matching assignment in P6, Open Plan assigns the resource assignment Remaining field to the P6 Remaining Units field. The priority is to make these values match. Open Plan does not attempt to make the OP assignment PPC field match the P6 Units % Complete field.

Update this P6 Note with Progress Warnings/Errors

Select a P6 Activity notebook topic from the drop-down list if you want to update it the with warnings and errors that occur when an activity is being progressed. Select <None> if you do not want updates.

Activity Filter

Use this field to apply an activity filter to the export. Only activities that meet the filter along with associated resource assignments are exported.

Click the ellipsis at the right edge of the field to display the Filters dialog box where you can select a filter. You can also use this dialog box to create, edit, or modify filters.

ID Matching (P6 Web Export Only)

When you perform a P6 Web export, you can specify whether you want to map the Open Plan Name or Unique ID field to the P6 ID or object ID field. <Default> maps the P6 Object ID field to the Open Plan Unique ID field for calendars, activities, and resource definitions. Using the Open Plan Unique ID to match the P6 object Id allows Open Plan to find and update a P6 object even if it has been renamed in P6.

WBS Matching (P6 Web Export Only)

When you perform a P6 Web export, you can specify whether you want to map the Open Plan code ID or Unique ID field to the P6 WBS or WBS object ID field. <Default> maps the P6 WBS object ID to the Open Plan WBS code Unique ID field.

Using the Open Plan code Unique ID to match the P6 WBS Object Id allows Open Plan to find and update a P6 object even if it has been renamed in P6.

Baseline Export (XER File Only)

This field only displays when you are preforming an XER export. Select from the following options:

  • <None>: Select this option if you do not want any baselines exported from Open Plan.

  • PMB Only: Select this option to export the project PMB baseline.

  • All Project Baselines: Select this option to export all of the baselines in the project.

  • Custom Selection: Select this option if you want to select the baseline(s) to export. Click Select Baselines to display the Select Baselines dialog box where you can select the baselines that you want to export.

Logging Level

Select whether you want to:

  • Log All messages: This includes errors, warnings, and informational messages.

  • Log Errors

  • Log Errors and Warnings

Field Mapping

Click this button to open the Open Plan to P6 Field Mapping dialog box.

Use this dialog box to add, modify, or delete field mappings. You can also use it to view the current field mappings.

Use Options from Group Set

Use this field to load options from a group set (selecting a blank current group set will load the default group options). Group set options include settings that can be used across various projects, such as whether resources are included, field mappings, and so on.

If you change any of the options in the Export wizard, when you click Finish, you are prompted to replace the group set (if you already have a named group set) or save the group set to a new or different name.

If you want to use the existing settings, you should select this option before selecting options on the page.

Location

To display the Primavera Export wizard, complete the following steps:

  1. In Open Plan Explorer, display a project in any view.

  2. Click the Integration tab.

  3. In the Export menu group, click ORACLE Primavera.

Related Topics and Procedures

Related Topic

Oracle Primavera P6 Integration


Oracle Primavera P6 Export Wizard (Export Complete Page)

This page displays at the end of the export process and indicates whether the:

  • Export completed successfully: This message displays if the project was exported without errors.

  • Exported completed with errors: This message displays if errors were encountered during the export process. Click View Log to read the processing information for more details.

  • Export was aborted by the user: This message displays if the export process was aborted by the user.

View Log

Click this button to display the Open Plan Log Viewer that you can use to view the export log.

Close

Click this button to close the Export wizard.

Help

Click this button to display the Open Plan help file.

Location

To display the Primavera Export wizard, complete the following steps:

  1. In Open Plan Explorer, display a project in any view.

  2. Click the Integration tab.

  3. In the Export menu group, click ORACLE Primavera.

Related Topics and Procedures

Related Topic

Oracle Primavera P6 Integration


Open Plan Import Wizard

Use the Open Plan Import Wizard to import an Open Plan backup (BK3) file to Open Plan.

The wizard includes the following pages:

  • Project — Use this page to select the Open Plan BK3 file to be imported.

  • Options — Use this page to display different options, depending on whether you choose to import into a new Open Plan project from the Open Plan BK3 file or update an existing Open Plan project.

  • Validate Files — Use this page to validate Open Plan files and fix any warnings or errors that may occur. Additionally, if desired, you may change default names given for the project(s) and ancillary files. You cannot continue with the import process until all problems have been resolved.

  • Import Complete — This page displays at the end of the wizard and lets you know whether the import completed successfully, completed with errors, or was aborted.

Buttons

The following buttons appear along the bottom of each page:

Back

This button is disabled since this is the first page of the wizard.

Next

Click this button to display the next page of the wizard.

Cancel

Click this button to cancel the import process.

Help

Click this button to display the Open Plan help file.

Location

To display the Open Plan BK3 wizard:

  1. On the Integration tab, in the Import menu group, click Open Plan.

Related Topics and Procedures

Related Topic

Open Plan Import and Export Facilities

Related Procedure

Import an Open Plan Backup (BK3) File


Open Plan Import Wizard (Project Page)

Use the Project page to select the Open Plan backup file to be imported.

Update Existing Project

Use this field to select an existing Open Plan project to update. It displays all existing projects to which you have access. The projects are sorted by project ID.

When performing an update:

  • You can select only one existing project to update.

  • You cannot change the calendar or resource or re-assign a code at an existing code index.

  • Open Plan adds new calendars and resources but does not update existing calendar and resource records during an import update. It updates only mapped fields on resources.

Project Options

Use this field to select a saved set of options for a specific project. Project options define the path to the Open Plan backup file that is imported. The previously saved imported project backup file is displayed.

By default, <No Selection> displays.

Group Options

Use this field to select a saved group option set. The list includes all group options to which you have access. Group options include settings that can be used across various projects, such as field mappings.

Previously saved options are displayed. By default, <No Selection> displays.

Select Projects

When you click this button, select the BK3 file you want to import from, then the Import Open Plan Backup File dialog box displays, which allows you to select the project file(s) to process.

  • If you are updating an existing project, you can select only one project to import.

  • If you are creating a new project, you can select more than one.

Select Baselines

Click on a project being imported, then click this button if you want to select available baseline(s) to import. Selecting this button displays the Select Baselines for <Project> dialog box.

You can select one or more baselines from the BK3 file to be created or updated in the Open Plan project.

The Next button becomes enabled only when you select at least one project to import.

Location

To display the Project page of the Open Plan Import wizard:

  1. On the Integration tab, in the Import menu group, click Open Plan. The project page displays by default.

Related Topics and Procedures

Related Topics

Open Plan Import and Export Facilities

Open Plan Import Wizard

Related Procedure

Import an Open Plan Backup (BK3) File


Open Plan Import Wizard (Options Page)

The Options page displays different options, depending on whether you choose to import into a new Open Plan project or update an existing Open Plan file.

Group Options

Update Project Status Only

This option is enabled only if you are updating an existing project.

When this option is selected, Open Plan performs the following tasks:

  • Adds activities (from the backup) that do not exist in the existing project, including all standard and user-defined fields and codes that have been mapped.

  • Updates existing activities for any mapped fields and only for the following standard fields:

    • ASDATE (Actual Start Date)

    • AFDATE (Actual Finish Date)

    • PPC (Physical Percent Complete)

    • TSDATE (Target Start Date)

    • TFDATE (Target Finish Date)

    • TARGSTYPE (Target Start Type)

    • TARGFTYPE (Target Finish Type)

    • XFDATE (Expected Finish Date)

  • (Applies to either full update or the Update Project Status Only mode) Checks for a single existing record that matches a combined key for an activity-related collection in the existing project and updates the existing record if it finds a single match. If Open Plan finds multiple matches, it displays a warning message and creates a new record.

Activity-related collections refers to assignments, baseline activities, baseline usage , cost, Inter Project Relationship links (IRLs), relationships, steps, subprojects, and usage. An example of a combined key is Predecessor + Successor + Relationship type for relationships .

  • Adds a new record instead of updating an existing record if it cannot find a unique existing record with the key combination that it finds in the backup data.

Field Mapping

Click this button to open the Open Plan Backup to Open Plan Mapping dialog box where you can add, modify, or delete field mappings.

Update Baselines

This option is only enabled if you are updating an existing project with baselines.

Do not import Interproject Relationships if these exist

Select this option if you do not want to include IRLs in the import project.

Logging Level

This option allows you to choose the logging of errors, errors and warnings, or all messages.

Share Calendar File

Select this option to share an existing Calendar file. If selected, the ellipsis is enabled allowing you to select which calendar file to share. Open Plan opens shared calendar files in Shared mode during the import.

When creating a new project via the import process, Open Plan uses this calendar file. If the import file contains calendars that are not in the shared calendar file, Open Plan adds them.

Share Resource File

Select this option to share an existing Resource file. If selected, the ellipsis is enabled allowing you to select which resource file to share. Open Plan opens shared resource files in Shared mode during the import.

When creating a new project via the import process, Open Plan uses this resource file. If the import file contains resources that are not in the shared resource file, Open Plan adds them.

Location

To display the Options page of the Open Plan Import wizard:

  1. On the Integration tab, in the Import menu group, click Open Plan. The Project page displays by default.

  2. On the Project page of the Open Plan Import Wizard, select at least one project and click Next.

Related Topics and Procedures

Related Topics

Open Plan Import and Export Facilities

Open Plan Import Wizard

Related Procedure

Import an Open Plan Backup (BK3) File


Open Plan Import Wizard (Validate Files Page)

Use this page to validate Open Plan files and fix any warnings or errors that may occur. Additionally, if desired, you may change default names given for the project(s) and ancillary files. You cannot continue with the import process until all problems have been resolved.

If you do not have shared files, Open Plan prompts you for the names of files to be created. The default name for each file to be created uses the name in the backup file.

Although you cannot continue with the import if you have unresolved warnings or errors, you can cancel the import process at any time by clicking Cancel.

Grid

The grid on this page contains the following columns:

File Type

This column identifies the type of file being imported (for example, calendar, project, resource, and so on).

File Name

This column identifies the name of the file being imported. You can change the name of a file by typing directly into the grid.

Warning and Error Icons

If there is a problem, Open Plan displays a warning icon or an error icon next to the file in question. Hover your cursor over the icon to see a description of the warning or error message.

Warning Messages

The following are warning messages:

  • File <filename> exists and will be overwritten: The wizard detects that the file to be created already exists in Open Plan. Open Plan will overwrite the existing file with the imported file.

  • An unknown warning occurred: An unexpected warning occurs when validating if the file already exists.

Error Messages

The following are error messages:

  • Name cannot be blank: A file name must be entered. The import wizard uses the file name to create the Open Plan file.

  • The following characters are not allowed in project, resource, code, calendar, view, reporting calendar, or export specification names: + = [ ] | " : < , > ? *: A file name cannot contain any of the special characters listed in the error message.

  • <filename> in use.: The specified file name already exists in Open Plan and is currently open by the current user or another user.

  • <filename> already exists, and you do not have access rights to overwrite it: The specified file name already exists in Open Plan and you do not have rights to overwrite the file.

  • A file of the same type and the same name already exists in the grid. Please rename one of the files: The specified file name is already being used as the file name for another project in the list of files to be imported. Each project to be imported must have a different name.

  • The file name exceeds the maximum length allowed for the given file type: The specified file name is longer than the maximum file name length allowed by Open Plan.

  • An unknown error occurred: This error is displayed when an unexpected error occurs when validating the file name.

To change or rename a file, enter the new file name directly in the File Name column of the grid.

Finish

When you click this button, the Save BK3 Group Options Set dialog box displays. This allows you to enter or edit a group option set name.

Location

To display the Options page of the Open Plan Import wizard:

  1. On the Integration tab, in the Import menu group, click Open Plan. The project page displays by default.

  2. On the Project page of the Open Plan Import Wizard, select at least one project and click Next.

  3. On the Options page of the Open Plan Import Wizard, click Next.

Related Topics and Procedures

Related Topics

Open Plan Import and Export Facilities

Open Plan Import Wizard

Related Procedure

Import an Open Plan Backup (BK3) File


Open Plan Import Wizard (Processing Page)

When you click Finish, the Processing page of the Open Plan Import wizard displays the import progress.

Abort

Click this button to cancel the import. There may be a delay after you click the button until the import is cancelled.

Location

To display the Processing page of the Open Plan Import wizard:

  1. In Open Plan Explorer, click the Integration tab.

  2. In the Import menu group, click Open Plan. The project page displays by default.

  3. On the Project page of the Open Plan Import Wizard, select at least one project and click Next.

  4. On the Options page of the Open Plan Import Wizard, click Next.

  5. On the Validate Files page of the Open Plan Import Wizard, click Finish.

Related Topics and Procedures

Related Topics

Open Plan Import and Export Facilities

Open Plan Import Wizard

Related Procedure

Import an Open Plan Backup (BK3) File


Open Plan Import Wizard (Import Complete Page)

The Import Complete page of the Open Plan Import wizard displays at the end of the import process with one of the following messages:

  • "Import completed successfully." — This message displays if all projects were imported without errors.

  • "Imported completed with errors." — This message displays if errors were encountered during the import process. Click View Log to read the processing information for more details.

  • "Import was cancelled by the user." — This message displays if you clicked the Abort button on the Processing page. Click View Log for additional information.

View Log

Click to display information about the import.

Close

Click to close the wizard.

Help

Click to display the Open Plan help topic.

Location

To display the Import Complete page of the Open Plan Import wizard:

  1. On the Integration tab, in the Import menu group, click Open Plan. The project page displays by default.

  2. On the Project page of the Open Plan Import Wizard, select at least one project and click Next.

  3. On the Options page of the Open Plan Import Wizard, click Next.

  4. On the Validate Files page of the Open Plan Import Wizard, click Finish.

The Import Complete page of the Open Plan Import Wizard displays at the end of the import process.

Related Topics and Procedures

Related Topics

Open Plan Import and Export Facilities

Open Plan Import Wizard

Related Procedure

Import an Open Plan Backup (BK3) File


IPMDAR Integration

The Integrated Program Management Data Analysis Report format (IPMDAR) is a Department of Defense contractor reporting format that uses the JSON data-exchange file format.

Export Schedule Data to an IPMDAR File

On the Integration tab, click IPMDAR in the Export menu group. The IPMDAR Schedule Export Options dialog box displays, allowing you to export schedule data from an Open Plan project to an IPMDAR .zip file.

Before you can export a project to IPMDAR, the project must first be saved as an Open Plan project.

Related Topics and Procedures

Related Topics

IPMDAR

Related Procedures

Export Data to an IPMDAR File

Configure Custom Fields Dialog Box

Configure Activity Fields Dialog Box


IPMDAR Schedule Export Options Dialog Box

Use the IPMDAR Schedule Export Options dialog box to set export parameters for exporting data to an IPMDAR file.

Project

This field displays the project that you are exporting.

Group Options Set

Use this field to select a saved group options set. The list includes all group options to which you have access. Group options include settings that can be applied to any project, such as source fields for task fields or custom fields.

Cobra Project

This is a mandatory field. Select the Cobra project that Open Plan should use as the source for the Contract and Contractor metadata included in the IPMDAR.

Export only calendars in use?

Select this option if you only want to export calendars that are referenced by activities, relationships, or resources. Clear this option if you want to export all the calendars in the project calendar file.

Export only resources in use?

Select this option if you want to export only resources that are referenced by activities. Clear this option if you want to export all resources in the project resource file.

Use escalated cost for Material, ODC, and Subcontract resources?

IPMDAR includes only the cost data for resources of Material, ODC, or Subcontract type. Select this option if you want Open Plan to unconditionally use escalated cost when calculating costs for material or non-labor resource assignments. Open Plan does not export costs for labor assignments. Clear this option if you want Open Plan to export resource assignment un-escalated costs.

Configure Activity Fields

Click to display the IPMDAR Configure Activity Fields dialog box to edit and configure activity fields.

Configure Custom Fields

Click to display the IPMDAR Configure Custom Fields dialog box to edit and configure custom fields.

Export File

Specify the IPMDAR file location to which you want to export the data.

Click [image] to display the File Explorer and select the IPMDAR file location to which you want to export the data.

Append Month + Year to file name (MMMYY)

Select this option to append the current month and year to the selected file name. For example, SHIP Planning.zip becomes SHIP PlanningNOV19.zip. This is useful if you want to use the same file name every time you export because it makes the filename unique.

Export

Click to export the data to the specified location.

By default, Open Plan prepends the Control Account (CA) ID field values to the Work Package (WP) ID field values during the export process to ensure the WP ID is unique. You can change this setting by modifying the USEUNIQUEWPCOSTDATAPROCES system preference. For more information, see the Standard Open Plan Options section.

Cancel

Click to cancel the export.

Help

Click to access the help topic for this dialog box.

Location

To display the IPMDAR Schedule Export Options dialog box, on the Integration tab, in the Export menu group, click IPMDAR.

Related Topics and Procedures

Related Topics

IPMDAR Integration Overview

Related Procedures

Export Data to an IPMDAR File


IPMDAR Export Wizard (Exporting Project to IPMDAR Dialog Box)

The Exporting Project to IPMDAR dialog box displays at the end of the export process.

The following status messages display in this dialog box:

  • Export completed successfully: This message displays when Open Plan exports the project without errors.

  • Exported completed with errors: This message displays when errors were encountered during the export process. You can click View Log to read the processing information for more details.

  • Export was aborted by the user: This message displays when you abort the export process.

View Log

Click to display the Open Plan Log Viewer to view the export log.

Close

Click to close the Export MSP Files wizard.

Help

Click to display the Open Plan help file.

Location

To display the Exporting Project to IPMDAR:

  1. In the Open Plan File Explorer, open a project you want to export to an IPMDAR file.

  2. On the Integration tab, in the Export menu group, click MS Project to launch the Microsoft Project Export Wizard.

Related Topics and Procedures

Related Topics

Microsoft Project Integration

Microsoft Project Export Wizard

Related Procedures

Export a File to an MSP Project

Import an MSP File


IPMDAR Configure Activity Fields Dialog Box

Use this dialog box to configure the activity fields for exporting schedule data to an IPMDAR file.

Task Subtype

This is an optional field. Select a code field or user text field that indicates if an activity is a schedule visibility task, schedule margin task, risk mitigation task, or contract milestone. The selected field must contain one of the following values:

  • RISK_MITIGATION_TASK, Risk Mitigation Task, RMT

  • SCHEDULE_VISIBILITY_TASK, Schedule Visibility Task, SVT

  • SCHEDULE_MARGIN, Schedule Margin, Schedule Margin Task, SMT

  • CONTRACTUAL_MILESTONE, Contractual Milestone, CMT

Task Planning Level

This is a mandatory field. Select a code field or user text field that indicates if an activity is a summary level planning package, control account, planning package, work package, or activity. If this field is blank or has an invalid value, the export will fail. The selected field must contain one of the followingvalues:

  • SUMMARY_LEVL_PLANNING_PACKAGE, SLPP

  • CONTROL_ACCOUNT, CA

  • PLANNING_PACKAGE, PP

  • WORK_PACKAGE, WP

  • ACTIVITY, ACT

WBS Id

This is an optional field; however, if your selection for Control Account ID is WBS + OBS, you must select a WBS ID. The list includes user text and code fields.

OBS Id

This is an optional field; however, if your selection for Control Account ID is WBS + OBS, you must select an OBS ID. The list includes user text and code fields.

Control Account Id

This is an optional field. The list includes text fields, code fields, and standard text fields. If you select WBS + OBS, you must select a WBS ID and an OBS ID. If the WBS ID field and/or OBS ID field is invalid or blank, a non-fatal error message is added to the log file.

Work Package Id

This is an optional field; however, if you select a Work Package ID, you must also select a Control Account ID, WBS ID, and OBS ID otherwise the export will fail. The list includes user text fields, code fields, and activity ID fields.

Integrated Master Plan Id

This is an optional field. The list includes text and code fields.

SOW Reference

This is an optional field. The list includes text, note, and code fields.

Subcontractor Reference / Id

This is an optional field. The list includes text and code fields.

Earned Value Technique

This is an optional field; however, if you leave it blank, the field defaults to the EVT field on the Open Plan Activity table. Open Plan recognizes the following text or code fields:

Open Plan Identifier | Alternate Value 1 | Alternate Value 2
A | LEVEL OF EFFORT | LEVEL_OF_EFFORT
C | PERCENT COMPLETE | PERCENT_COMPLETE
E | 50-50 |
F | 0-100 | FIXED_0_100
G | 100-0 | FIXE_100_0
H | USER-DEFINED PERCENTAGE1 | FIXED_X_Y
K | PLANNING PACKAGE2 |
L | RESOURCE % COMPLETE |
S | STEPS | EARNING RULES
n/a | NONE |
n/a | PERCENT COMPLETE MANUAL ENTRY |
n/a | APPORTIONED | APPORTIONED EFFORT
n/a | CALCULATED APPORTIONMENT |
n/a | EARNED AS SPENT |
n/a | MILESTONE |
n/a | UNITS COMPLETE |

1 If you select User-Defined Percentage, the STARTPC Open Plan Activity field should be populated. If it is not populated, Open Plan will include a warning message in the log file.

2 Although you can select Planning Package, Open Plan ignores it for the export.

Critical Path Field

This is a mandatory field. The list includes numeric user-defined fields (whose value is 0 or 1), text user-defined fields (whose value is True, 1, 0, or False), and filters. By default, it displays Critical Flag.

It also accepts the following values: Critical, Not Critical, Controlling Critical, and Most Critical. Only Most Critical can set the property to True.

Driving Path Field

This is an optional field. The list includes numeric user-defined fields (whose value is 0 or 1), text user-defined fields (whose value is “true”, “1”, “0”, or “false”), and filters. By default, it displays <None>.

OK

Click to save your changes and close the dialog box.

Cancel

Click to close the dialog box without saving any changes.

Help

Click to access the help topic for this dialog box.

Location

To display the Configure Activity Fields dialog box, complete the following step:

  1. Open the project that you want to export to an IPMDAR file.

  2. On the Integration tab, in the Export menu group, click IPMDAR.

  3. On the IPMDAR Schedule Export Options dialog box, click Configure Activity Fields.

Related Topics and Procedures

Related Topics

IPMDAR Integration Overview

IPMDAR Schedule Export Options Dialog Box

Related Procedures

Export Data to an IPMDAR File


IPMDAR Configure Custom Fields Dialog Box

Use the IPMDAR Configure Custom Fields dialog box to configure the parameters of the custom fields you want to include when you export an Open Plan project to an IPMDAR file.

Project, Activity, Resource tabs

Select a table for the custom field.

Field

This column displays the field number. You can select up to 10 fields for each table.

Source Field

Click the ellipsis to display the Configure Custom Project Fields dialog box where you can select and assign the available fields.

OK

Click to apply your custom field configurations and close the dialog box.

Cancel

Click to close the dialog box without making any changes.

Help

Click to display the Open Plan help file.

Location

To display the IPMDAR Configure Custom Fields dialog box:

  1. In the Open Plan Explorer, open the project that you want to export to an IPMDAR file.

  2. On the Integration tab, in the Export menu group, click IPMDAR.

  3. On the IPMDAR Schedule Export Options dialog box, click Configure Custom Fields.

Related Topics and Procedures

Related Topics

IPMDAR Integration Overview

IPMDAR Schedule Export Options Dialog Box

Related Procedures

Export Data to an IPMDAR File


Organize Spreadsheet Columns / Configure Custom Project Fields Dialog Box

This dialog box displays with two different titles, depending on where you are in Open Plan. Some of the fields may display in one area but not in the other.

  • Use the Organize Spreadsheet Columns dialog box to perform the following in the spreadsheet or barchart:

  • Insert and/or remove multiple columns

  • Rearrange the display order of the fields

  • Filter items that will be displayed using the options in the Include group box.

  • Add fields, such as calculated field expressions, to be included in the Display these fields panes. You can use the Add button to quickly add a calculated field as a column in the spreadsheet. Clicking this button opens the Add Column dialog box.

  • Use the Configure Custom Project Fields dialog box to select the fields you want to use when you export data to an IPMDAR file.

Available Fields

The Available fields pane has five (Configure Custom Project dialog box) or six (Organize Spreadsheet Columns) categories:

  • All Fields

  • Baseline Fields (only when the activity table is the main table and only for the Organize Spreadsheet Columns dialog box)

  • Standards Fields (excluding calculated fields, filters, and user fields)

  • Calculated Fields

  • User Fields

  • Filters

Clear All

Click this button to clear the selections for all the selections in the Available fields hierarchy, regardless of whether the hierarchy is expanded or collapsed.

Display / Assign these fields

This pane displays the fields that are currently selected for display in the spreadsheet or barchart from which the dialog box was launched.

Include Group Box

  • Dates

  • Durations

  • Numerics

  • Text

  • Costs: Fields in the OP data dictionary used in the cost process when in the activity table are displayed.

  • Logical: Filters and calculated fields with logical results are displayed.

Select All

Clicking this button simultaneously activates all filters.

Deselect All

Clicking this button simultaneously deactivates all filters.

Add (Organize Spreadsheet Columns dialog box)

Clicking this button displays the Add Column dialog box.

Properties (Organize Spreadsheet Columns dialog box)

Clicking this button launches the <Field Name> Properties dialog box. You must select a field under Display these fields to activate the Properties button.

Location

To display the Organize Spreadsheet Columns dialog box, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in spreadsheet view.

  2. Right-click the spreadsheet and select Organize Columns from the shortcut menu.

To display the Configure Custom Fields dialog box, complete the following step:

  1. Open the project that you want to export to an IPMDAR file.

  2. On the Integration tab, in the Export menu group, click IPMDAR.

  3. On the IPMDAR Schedule Export Options dialog box, click Configure Custom Fields.

  4. Click the Source Field ellipses button.

Related Topics and Procedures

Related Topics

Customizing a Spreadsheet View

Add Column Dialog Box

Insert Column Dialog Box

Edit Column Dialog Box

Insert Rows Dialog Box

Using the Choose a Value Dialog Box

Resource/Activity Spreadsheet

Predecessor/Successor Spreadsheet

Related Procedures

Adjusting Column Width

Adding a Column

Inserting a Column

Removing a Column

Editing a Column

Moving a Column

Splitting a Spreadsheet into Two Panes

Sorting the Data in a Spreadsheet

Creating an Activity in a Spreadsheet View


Save IPMDAR Group Options Set Dialog Box

Use the Save IPMDAR Group Options Set dialog box to save the group options for future use. Group options include settings that can be used across various projects, such as whether resources are included, other field mappings, and so on.

If any options have changed, you can either overwrite the group set name and description (if you already have a named group set) or enter a new or different group set name and description.

Name

Enter a name for the group option.

Description

Enter a group option description.

OK

Click to save the changes.

Cancel

Click to close the dialog box without saving a group option.

Help

Click to display the Open Plan help topic.

Location

To display the Save IPMDAR Group Options Set as dialog box:

  1. On the Integration tab, click IPMDAR in the Export menu group to launch the IPMDAR wizard.

  2. Complete the wizard pages.

  3. On the IPMDAR Schedule Export Options dialog box, set all the export parameters but leave the Group Options Set field to <No Selection> and click Export.

Related Topics and Procedures

Related Topics

IPMDAR

Related Procedures

Export Data to an IPMDAR File

Configure Custom Fields Dialog Box

Configure Activity Fields Dialog Box


Add/Update Primavera Connection Dialog Box

Use this dialog box to add Primavera P6 URL connections that you can use to import/export data to/from Open Plan when you run the Import/Export wizard.

After you enter the information and click OK, Open Plan validates the connection and, if it is successful, the connection name is added to the list on the Import/Export wizard Project Page.

Connection Name

Enter a connection name.

P6 Url

Enter a Primavera P6 URL. For example, http://<MyP6WebServer>:8206/p6ws.

If you require a secure connection to the P6 server, an https connection is required.

Database Id

Enter a database ID. Open Plan uses this for authentication. The default is 1.

User Name

Enter a user name to access the URL. The login identified here must have access to all projects.

Password

Enter a password to access the URL.

Authentication

This determines the means by which a user's identity is authenticated against the user account. You can select Auto-Detect, Cookie, or User Token, depending on how your P6 Web Server has been configured.

Allow Untrusted

When you select this option, it allows the user to connect to an SSL (https) site even if the certificate for the site is untrusted.

Database Name

Select the Primavera P6 database to which you want to connect. If this list is blank, click the Refresh button [image] to refresh the list. Open Plan uses cookies for the authentication type.

Timeout

Enter the number of seconds that you want the system to try to connect to the database before it times out.

Number of Rows per Server Request

Select the number of rows that Open Plan will request each time from the server. For example, if you set the number to 800, Open Plan requests the first 800 rows and then goes back for 800 more, and so on .

The default value is 500 and the maximum value is 999.

OK

After you enter the information and click OK, Open Plan validates the connection and, if it is successful, the connection name is added to the list on the Import/Export wizard Project Page.

Cancel

Click to cancel without adding a connection.

Access Control

This connection is initially only available to the user who creates it. If you wish to make this connection available to other users, click this button to display the Access Control dialog box and assign access accordingly.

Help

Click to access the help topic for this dialog box.

Location

To display the Add/Edit Primavera Connection dialog box, complete the following steps:

  1. In Open Plan Explorer, click ORACLE Primavera » P6 Import in the Import menu group of the Integration tab to start the Primavera Import wizard.

  2. On the Project page of the wizard, click Import from P6 Web.

  3. In the Connection field, click the ellipsis button.

  4. In the Configuration Options dialog box, take one of the following actions:

  • To display the Add Primavera Connection dialog box, click New.

  • To display the Edit Primavera Connection dialog box, select a connection and click Edit.


Add/Update Microsoft Project Server Connection Dialog Box

Use this dialog box to add Microsoft Project Server URL connections that you can use to import/export data to/from Open Plan when you run the Microsoft Project Import/Export wizard.

After you enter the information and click OK, Open Plan validates the connection and, if it is successful, the connection name is added to the list on the Project Page of the Microsoft Project Import/Export wizard.

Connection Name

Enter a connection name.

PWA Url

Enter a Project Web Access URL. For example, http://<server name>/pwa.

User Name

Enter a user name to access the URL. Depending on how your PWA account has been set up, this may or may not be mandatory.

Password

Enter a password to access the URL. Depending on how your PWA account has been set up, this may or may not be mandatory.

Timeout

Enter the number of seconds that you want the system to try to connect to the Microsoft Project server before it times out. The default is 180 seconds, and the maximum is 3600 seconds (1 hour).

After import, Open Plan displays the timeout value in the log file.

Number of Rows per Server Request

Select the number of rows that Open Plan will request each time from the server. For example, if you set the number to 800, Open Plan requests the first 800 rows and then goes back for 800 more, and so on .

The default value is 500 and the maximum value is 999.

OK

After you enter the information and click OK, Open Plan validates the connection and, if it is successful, the connection name is added to the list on the Project Page of the Microsoft Project Import/Export wizard.

Cancel

Click to cancel without adding a connection.

Access Control

This connection is initially only available to the user who creates it. If you wish to make this connection available to other users, click this button to display the Access Control dialog box and assign access accordingly.

Help

Click to access the help topic for this dialog box.

Location

To display the Add/Edit Microsoft Project Server Connection dialog box, complete the following steps:

  1. In Open Plan Explorer, click MS Project in the Import menu group to start the Microsoft Project Import wizard.

  2. On the Project page of the wizard, click Import from Microsoft Project Server.

  3. In the Connection field, click the ellipsis button.

  4. In the Configuration Options dialog box, take one of the following actions:

  • To display the Add Microsoft Project Server Connection dialog box, click New.

  • To display the Edit Microsoft Project Server Connection dialog box, select a connection and click Edit.


Configuration Options Dialog Box

Use this dialog box to manage Microsoft Project Server and Primavera P6 URL connections that you use to import/export data to/from Open Plan when you run the Microsoft Project or Primavera P6 Import/Export wizard.

Category

  • If you are importing a Microsoft Project schedule, this field is set to Microsoft Project Server Connection.

  • If you are importing a Primavera P6 schedule, this field is set to Primavera Connection.

The list of available connections displays in the box below.

New

Click to add a new connection. The Add Microsoft Project Server Connection dialog box or Add Primavera Connection dialog box displays.

Copy

Click to copy an existing connection.

Edit

Click to edit the selected connection. The Update Microsoft Project Server Connection dialog box displays.

Delete

Click to delete the selected connection.

Location

To display the Configuration Options dialog box, complete the following steps:

  1. In Open Plan Explorer, click MS Project or ORACLE Primavera » P6 Import in the Import menu group.

  2. On the Project page of the wizard, click Import from Microsoft Project Server or Import from P6 Web.

  3. In the Connection field, click the ellipsis button.


Copy Export Specification Dialog Box

This dialog box allows you to enter a new name for an export specification you are copying.

When you click OK, Open Plan checks to make sure this new name is not a duplicate. If a duplicate name is found, you are prompted to enter a new name.

Location

To display the Copy Export Specification dialog box, complete the following steps:

  1. In Open Plan Explorer, select a project to export.

  2. Click Crosstable Data from the Export group of the Integration tab.

If the project is not open, Open Plan will open it in its Default mode. If it cannot be opened (for example, another user has it opened), you will receive an error message.

  3. In the Crosstable Exports dialog box, select an export specification to copy, and click Copy.

Related Topics and Procedures

Related Procedures

Creating a Crosstable Export Specification

Copying a Crosstable Export Specification

Editing a Crosstable Export Specification

Deleting a Crosstable Export Specification


Create New Export Specification Dialog Box

This dialog box allows you to enter a name for the new export specification that you are creating.

When you click OK, Open Plan checks for a duplicate name. If found, you are prompted to enter a new name.

Location

To display the Create New Export Specification dialog box, complete the following steps:

  1. In Open Plan Explorer, select a project to export.

  2. Click Crosstable Data from the Export group of the Integration tab.

If the project is not open, Open Plan will open it in its Default mode. If it cannot be opened (for example, another user has it opened), you will receive an error message.

  3. In the Crosstable Exports dialog box, click New.

Related Topics and Procedures

Related Procedures

Creating a Crosstable Export Specification

Copying a Crosstable Export Specification

Editing a Crosstable Export Specification

Deleting a Crosstable Export Specification


Crosstable Export Definition Dialog Box

This dialog box allows you to define the settings for a crosstable export definition. The following tabs contain the options that you can choose:

  • General: This tab determines whether you will be exporting resource or earned value data and whether the data will be rolled up by resource or resource assignment.

  • Resources: This tab controls the type of information Open Plan displays for the selected resources. It is enabled when you select Resource as the Data Type on the General tab.

  • Earned Value: This tab is enabled when you select Earned Value as the Data Type on the General tab. You can use this tab to select the earned value data to export.

  • Date Scale: This tab allows you to specify the time periods Open Plan uses to calculate and export the data. The time periods are then used to display the calculations in the .csv or .xml export file. You can also set the range of dates that Open Plan uses for the operation.

  • Activity Data: This tab is enabled when you select to export the data rolled up by Resource Assignment (on the General tab). You can use this tab to apply a filter to the activities as well as include additional activity-related fields for export.

  • Resource Data: This tab is enabled when you select to export the data rolled up by Resource (on the General tab). You can use this tab to apply a filter to the resources as well as include additional resource-related fields for export.

  • Access Control: This tab allows you to define the access rights that users or groups have and what role they play in the project. If you are the owner of the project or a member of the System Administrator group and you have the project open in Exclusive mode, you can use the following fields to define access rights to the project.

Location

To display the Crosstable Export Definition dialog box, complete the following steps:

  1. In Open Plan Explorer, select a project to export.

  2. Click Crosstable Data from the Export group of the Integration tab.

  3. In the Crosstable Exports dialog box, take one of the following actions:

  • Click New.

  • Select an existing export specification, and click Edit.

Related Topics and Procedures

Related Topic

Crosstable Exports

Related Procedures

Copy a Crosstable Export Specification

Create a Crosstable Export Specification

Delete a Crosstable Export Specification

Edit a Crosstable Export Specification


generalcrosstablepopupfile02

Crosstable Export Definition Dialog Box General Tab

The General tab determines whether you will be exporting resource or earned value data and whether the data will be rolled up by resource or resource assignment.

Name

This is the name of the data export.

Crosstable

Data Type

  • Resource: Select this option to export resource data and to enable the Resources tab. Resource data is demand based on the following:

  • Early, late, or scheduled dates

  • Availability

  • Actuals

  • Baseline

  • Earned Value: Select this option to export earned value data and to enable the Earned Value tab. Earned value data includes the following:

  • Budget

  • Actual

  • Forecast

  • Earned Value

By

After you have decided what type of data to export, you can choose to export the data rolled up by:

  • Resource: Select this option to export the data rolled up by resource and to enable the Resource Data tab.

  • Resource Assignments: Select this option to export the data rolled up by resource assignment and to enable the Activity Data tab.

  • Roll up similar Assignments: When the Resource Assignments option is chosen, this option becomes available. Selecting this option instructs Open Plan to roll up similar assignments.

Location

To display the Crosstable Export Definition dialog box, complete the following steps:

  1. From Open Plan Explorer, select a project to export.

  2. Click Crosstable Data from the Export group of the Integration tab.

  3. In the Crosstable Exports dialog box, take one of the following actions:

  • Click New.

  • Select an existing export specification, and click Edit.

Related Topics and Procedures

Related Topics

Crosstable Exports

Crosstable Export Definition Dialog Box

Related Procedures

Copy a Crosstable Export Specification

Create a Crosstable Export Specification

Delete a Crosstable Export Specification

Edit a Crosstable Export Specification


resourcespreferpopuphist

Crosstable Export Definition Dialog Box Resources Tab

This tab controls the type of information Open Plan displays for the selected resources. It is enabled when you select Resource as the Data Type on the General tab of the Crosstable Export Definition dialog box.

Availability

Select this option to export the resource availability.

Usage

Early

Selecting this option exports the resource values (quantity, cost, and/or escalated cost) by early dates.

Early dates are calculated in time analysis as the earliest dates on which activities can start and finish.

Late

Selecting this option exports the resource values (quantity, cost, and/or escalated cost) by late dates.

Late dates are calculated in time analysis as the latest dates on which activities can start and finish without delaying the project.

Schedule

Selecting this option exports the resource values (quantity, cost, and/or escalated cost) by schedule dates, also know as resource usage.

Schedule dates are the activity start and finish dates calculated by resource scheduling.

Actual

Selecting this option exports the resource values (actual quantity, actual cost, and/or actual escalated cost) by actual dates.

Baseline

Selecting this option allows you to choose up to 3 baselines attached to the project. Open Plan exports the baseline resource values (quantity, cost, and/or escalated cost) for each selected baseline.

Values

For the resource data you select, you can export any of the following values:

Quantity

For each of the Usage options you select, the Quantity option instructs Open Plan to export the resource quantity values when calculating usage.

Cost

For each of the Usage options you select, the Cost option instructs Open Plan to export the unescalated resource cost values.

Escalated Cost

For each of the Usage options you select, the Escalated Cost option instructs Open Plan to export the escalated resource cost values.

Calculate

You can select one of the following methods for calculating the values to export:

Period

Selecting this option instructs Open Plan to calculate the resource usage by period.

The periods used are determined by the selection you make on the Date Scale tab.

Cumulative

Selecting this option instructs Open Plan to calculate the resource usage as cumulative to date for each period exported.

Average

Selecting this option instructs Open Plan to calculate the average resource usage. The average value is expressed in terms of the default duration defined for the project. For example, if the default duration is weeks, an average of 4 would mean 4 resource units per week. When calculating the average value, Open Plan uses the calendar assigned to the first availability record for each selected resource.

Location

To display the Crosstable Export Definition dialog box, complete the following steps:

  1. From Open Plan Explorer, select a project to export.

  2. Click Crosstable Data from the Export group of the Integration tab.

  3. In the Crosstable Exports dialog box, take one of the following actions:

  • Click New, enter a name, and click OK.

  • Select an existing export specification, and click Edit.

Related Topics and Procedures

Related Topics

Crosstable Exports

Crosstable Export Definition Dialog Box

Related Procedures

Copy a Crosstable Export Specification

Create a Crosstable Export Specification

Delete a Crosstable Export Specification

Edit a Crosstable Export Specification


earned_valuecrosstablepopupfile02

Crosstable Export Definition Dialog Box Earned Value Tab

The Earned Value tab is enabled when you select Earned Value as the Data Type on the General tab of the Crosstable Export Definition dialog box. You can use this tab to select the earned value data to export.

Forecast

Selecting this option allows you to export forecast data (quantity, cost, and/or escalated cost) based on Early, Late, or Schedule dates.

BCWS

Selecting this option allows you to export budgeted cost of the work scheduled data (quantity, cost, and/or escalated cost) according to the baseline dates.

ACWP

Selecting this option allows you to export actual cost of the work

BCWP

Selecting this option allows you to export the budgeted cost of work performed data (quantity, cost, and/or escalated cost).

Value

For the earned value data you select, you can export any combination of the following values:

Quantity

Selecting this option instructs Open Plan to calculate and export the resource quantity values.

Cost

Selecting this option instructs Open Plan to calculate and export the unescalated resource cost values.

Escalated Cost

Selecting this option instructs Open Plan to calculate and export the escalated resource cost values.

Calculate

You can select one of the following methods for calculating the values to export:

Period

Selecting this option instructs Open Plan to calculate the earned value by period.

The periods used are determined by the selection you make on the Date Scale tab.

Cumulative

Selecting this option instructs Open Plan to calculate earned value cumulative to date.

Location

To display the Crosstable Export Definition dialog box, complete the following steps:

  1. In Open Plan Explorer, select a project to export.

  2. Click Crosstable Data from the Export group of the Integration tab.

  3. In the Crosstable Exports dialog box, take one of the following actions:

  • Click New.

  • Select an existing export specification, and click Edit.

Related Topics and Procedures

Related Topics

Crosstable Exports

Crosstable Export Definition Dialog Box

Related Procedures

Copy a Crosstable Export Specification

Create a Crosstable Export Specification

Delete a Crosstable Export Specification

Edit a Crosstable Export Specification


date_scalecrosstablepopupfile02

Crosstable Export Definition Dialog Box Date Scale Tab

The Date Scale tab allows you to specify the time periods Open Plan uses to calculate and export the data. The time periods are then used to display the calculations in the .csv or .xml export file. You can also set the range of dates that Open Plan uses for the operation.

Reporting Calendar

Selecting this option allows you to use the time periods in an existing reporting calendar when calculating and exporting the data. Reporting calendars allow you to view the exported time-based data against a non-linear date scale with varying degrees of granularity.

The fiscal calendar is a reporting calendar assigned to the project on the Cost tab of the Project Properties dialog box. This is useful if your company uses a fiscal calendar that contains periods that do not end on the last day of the month.

By exporting data using different reporting calendars, you can create reports that provide different views of the same data.

Linear

Selecting this option allows you to set the Granularity and Frequency of the time periods Open Plan uses when calculating and exporting the data.

  • Granularity: This field controls the time period to use to calculate and export the data. You can select from Years, Quarters, Months, Weeks, Days, and Hours.

  • Frequency: This field allows you to set the frequency of the time periods Open Plan uses. For example, if you set a Granularity of months with a Frequency of 3, the data would be calculated and exported using time periods similar to the following: 01/01/2003, 04/01/2003, 07/01/2003, 10/01/2003, 01/01/2004, and so on.

The options in the Date Range portion of the dialog box allow you to control the time span for the data that Open Plan exports.

Date Range

The Date Range section allows you to set the dates in the From and To fields that Open Plan uses when calculating and exporting the data. You can select from the following options:

  • Custom: Selecting this option allows you to set the From and To dates manually.

  • Entire Project: Selecting this option instructs Open Plan to use the project’s Start Date and Schedule Finish Date. If Project Start is not set in the Project Properties, the From Date will use the Time Now.

  • Time Now :Selecting this option instructs Open Plan to use Time Now for the From date but allows you to enter the To date manually.

  • Project Start :Selecting this option instructs Open Plan to use the project’s Start Date for the From date but allows you to enter the To date manually. If Project Start is not set in the Project Properties, the From Date will use the Time Now.

You can enter a date directly into the From and To fields or click the ellipsis button next to a field to display a pop-op calendar which you can use to select a date.

Location

To display the Crosstable Export Definition dialog box, complete the following steps:

  1. In Open Plan Explorer, select a project to export.

  2. Click Crosstable Data from the Export group of the Integration tab.

  3. In the Crosstable Exports dialog box, take one of the following actions:

  • Click New.

  • Select an existing export specification, and click Edit.

Related Topics and Procedures

Related Topics

Crosstable Exports

Crosstable Export Definition Dialog Box

Related Procedures

Copy a Crosstable Export Specification

Create a Crosstable Export Specification

Delete a Crosstable Export Specification

Edit a Crosstable Export Specification


activity_datacrosstablepopupfile02

Crosstable Export Definition Dialog Box Activity Data Tab

The Activity Data tab is enabled when you select to export the data rolled up by Resource Assignment on the General tab of the Crosstable Export Definition dialog box. You can use this tab to apply a filter to the activities as well as include additional activity-related fields for export.

This tab allows you to do two things:

  • Apply a filter to the activities that are exported

  • Export additional activity fields that are available to the project

Filter

This enables a list that you can use to select an existing filter to apply to the project activities. The activities that are returned by the filter are used in the export specification.

Available Fields / Selected Fields

The Available Fields list contains all of the activity-related fields included in the project. To include a field in the export specification, simple select it, and click the right arrow button. It is moved to the Selected Fields list where you can use the up and down arrows to arrange the fields in the order in which you want to export them. To remove a field from the export specification, select it in the right-hand list, and click the left arrow button.

You can move multiple fields from one list to the other at one time by Ctrl+clicking or Shift+clicking the desired fields and clicking the appropriate arrow button.

Location

To display the Crosstable Export Definition dialog box, complete the following steps:

  1. In Open Plan Explorer, select a project to export.

  2. Click Crosstable Data from the Export group of the Integration tab.

  3. In the Crosstable Exports dialog box, take one of the following actions:

  • Click New.

  • Select an existing export specification, and click Edit.

Related Topics and Procedures

Related Topics

Crosstable Exports

Crosstable Export Definition Dialog Box

Related Procedures

Copy a Crosstable Export Specification

Create a Crosstable Export Specification

Delete a Crosstable Export Specification

Edit a Crosstable Export Specification


resource_datacrosstablepopupfile02

Crosstable Export Definition Dialog Box Resource Data Tab

The Resource Data tab is enabled when you select to export the data rolled up by Resource on the General tab of the Crosstable Export Definition dialog box. You can use this tab to apply a filter to the resources as well as include additional resource-related fields for export.

This tab allows you to do two things:

  • Apply a filter to the resources that are exported

  • Export additional resource fields that are available to the project

Filter

This enables a list that you can use to select an existing filter to apply to the project resources. The resources that are returned by the filter are used in the export specification.

Available Fields / Selected Fields

The Available Fields list contains all of the resource-related fields included in the resource file. To include a field in the export specification, select it and click the right arrow button. It is moved to the Selected Fields list where you can use the up and down arrows to arrange the fields in the order in which you want to export them. To remove a field from the export specification, select it in the right-hand list, and click the left arrow button.

You can move multiple fields from one list to the other at one time by Ctrl+clicking or Shift+clicking the desired fields and clicking the appropriate arrow button.

Location

To display the Crosstable Export Definition dialog box, complete the following steps:

  1. In Open Plan Explorer, select a project to export.

  2. Click Crosstable Data from the Export group of the Integration tab.

  3. In the Crosstable Exports dialog box, take one of the following actions:

  • Click New.

  • Select an existing export specification, and click Edit.

Related Topics and Procedures

Related Topics

Crosstable Exports

Crosstable Export Definition Dialog Box

Related Procedures

Copy a Crosstable Export Specification

Create a Crosstable Export Specification

Delete a Crosstable Export Specification

Edit a Crosstable Export Specification


Crosstable Export Definition Dialog Box Access Control Tab

The Access Control tab allows you to define the access rights that users or groups have and what role they play in the project. If you are the owner of the project or a member of the System Administrator group and you have the project open in Exclusive mode, you can use the following fields to define access rights to the project.

Name

This is the name of the data export.

Owner

You can change the owner of the project by selecting a new owner from the list.

If you provide access rights to a group for a project, members of that group automatically inherit read rights to all resource files, calendar files, code files, and external subprojects assigned to that project. Note, however, that it is possible that after you change the ownership of a project to another user, you may not have rights to save the project. If this occurs, close the project without saving.

Group

By selecting a field in this column and selecting a group from the list, you can specify the group(s) that can have access to the project.

Role

When you select a group or user ID, its default role is automatically entered in this field. You can then change default role to any role that has been defined in the data source.

User ID

By selecting a field in this column and selecting a user ID from the list, you can specify the users that can have access to the project.

Read Only

By selecting Yes for this field, you limit the group or user to opening the project in Read Only mode. By selecting No for this field, Other users may open the file in any mode they choose. Read Only mode has the following limitations:

  • In order to make changes to the project, you must first save the project under a different name.

  • You cannot see changes made by other users.

In order to see changes made by other users who may have the project open in Exclusive or Shared mode, you have to close and reopen the project.

Location

To display the Crosstable Export Definition dialog box, complete the following steps:

  1. From Open Plan Explorer, select a project to export.

  2. Click Crosstable Data from the Export group of the Integration tab.

  3. In the Crosstable Exports dialog box, take one of the following actions:

  • Click New.

  • Select an existing export specification, and click Edit.

Related Topics and Procedures

Related Topics

Crosstable Exports

Crosstable Export Definition Dialog Box

Related Procedures

Copy a Crosstable Export Specification

Create a Crosstable Export Specification

Delete a Crosstable Export Specification

Edit a Crosstable Export Specification


Crosstable Exports Dialog Box

You can use this dialog box to export crosstable data. The export specifications listed on this dialog box include those that you have created as well as those that other users have created and opted to share. When you select an export specification and click Run, you are given the opportunity to save the export file in either .xml or .csv format.

If you save the export as an .xml file, the Export of Data Complete dialog box displays.

If you save in .csv format, you will receive a message asking if you want to view the file in a spreadsheet. Clicking the Yes button will either open an installed spreadsheet application (such as Excel), or, if there is no spreadsheet application available, it will open a Windows dialog box asking you to select the program with which to open the file.

You can open any previously saved files by clicking the View button on this dialog box.

The buttons along the bottom of the dialog box allow you to create, copy, edit, and delete export specifications. When you create (or edit) an export specification, a tabbed dialog box allows you to select the elements to be included in the export file.

Elements that have a value of zero are exported as a blank value instead of a zero (0).

Location

To display the Crosstable Exports Dialog Box dialog box,complete the following steps:

  1. In Open Plan Explorer, select a project to export.

  2. Click Crosstable Data from the Export group of the Integration tab.

If the project is not open, Open Plan will open it in its Default mode. If it cannot be opened (for example, another user has it opened), you will receive an error message.

Related Topics and Procedures

Related Procedures

Creating a Crosstable Export Specification

Copying a Crosstable Export Specification

Editing a Crosstable Export Specification

Deleting a Crosstable Export Specification


Export Dialog Box

This dialog box allows you to export a file from your installation of Open Plan into another application using an export specification.

The Export Specification field contains a list of export specifications that you can use when exporting the file. When you select a specification and click OK, Open Plan displays the Export File dialog box where you can select the file to export.

For information on creating an export specification script, refer to the Deltek Open Plan Developer’s Guide.

Location

To display the Export dialog box, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in any view.

  2. In the Export menu group of the Integration tab, click General.

Related Topics and Procedures

Related Topics

Importing and Exporting Data From/To Another Application

Export File Dialog Box

Sharing Data Between Open Plan and Other Applications

Related Procedure

Exporting Data to Another Application


Export File Dialog Box

The Export File dialog box allows you to save a file in a format that can be used by another application. It displays automatically when you select an export specification from the Export dialog box and click OK.

Navigate to the folder in which you want to save the exported file, or create a new folder.

File name

Enter or select a file name to use for the exported file. You can enter the full name with the appropriate extension, or you can type the name and select a file type from the Save as type field. If you select an existing file, when you click Save, Open Plan asks you whether you want to replace the existing file with the exported data.

Save as type

This field controls the type of files listed in the dialog box and a default extension for the file in the File name field.

Location

To display the Export File dialog box, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in any view.

  2. In the Export menu group of the Integration tab, click General.

  3. In the Export dialog box, select an export specification and click OK.

Related Topics and Procedures

Related Topics

Importing and Exporting Data From/To Another Application

Using the Export Dialog Box

Sharing Data Between Open Plan and Other Applications

Related Procedure

Exporting Data to Another Application


Export of Data Complete Dialog Box

This dialog box displays when you have successfully exported crosstable data to an .xml file.

You can select one of the two options to determine where the results will be viewed.

  • Open Plan: Displays the results in a window within Open Plan.

  • Internet Explorer: Displays the results in an Internet Explorer browser window.

To view the .xml file immediately, click OK.

Related Topics and Procedures

Related Procedures

Creating a Crosstable Export Specification

Copying a Crosstable Export Specification

Editing a Crosstable Export Specification

Deleting a Crosstable Export Specification


Import Dialog Box

This dialog box allows you to import a file into your installation of Open Plan. You can use it to select an import specification. When you click OK, Open Plan allows you to open a source data file and create an untitled project containing the imported information. If the project includes references to ancillary data files such as resource or code files, Open Plan creates untitled versions of these files as well.

If you have a project open when you issue the Import General command, Open Plan allows you to indicate if the imported data should be used to update the current project. Note, however, that whether or not the imported data overwrites existing records is determined by a parameter set in the import specification.

  • Import Specification: This field contains a list of import specifications that you can use when importing the file. When you select a specification and click OK, Open Plan displays the Import File dialog box where you can select the file to import.

  • For information on creating an import specification script, refer to the Deltek Open Plan Developer’s Guide.

  • Add data to open project: If a project is open, its name is displayed in this field. If you wish, you can use the data you are importing to update the current project. Note, however, that whether or not the imported data overwrites existing records is determined by a parameter set in the import specification.

  • If you have more than one project open, Open Plan offers to add the data to the project that currently has focus.

    If you do not choose to add the data to the current project, Open Plan creates an untitled project containing the imported information. If the project includes references to ancillary files such as resource or code files, Open Plan creates untitled versions of these files as well.

Location

To display the Import dialog box, complete the following step:

  1. In Open Plan Explorer, click the General in the Import menu group of the Integration tab.

Related Topics and Procedures

Related Topics

Importing and Exporting Data From/To Another Application

Import File Dialog Box

Sharing Data Between Open Plan and Other Applications

Related Procedures

Import Data From Another Application

Export Data to Another Application


Import File Dialog Box

The Import File dialog box allows you to select a file to import. It displays automatically when you select an import specification from the Import dialog box and click OK.

Navigate to the file you want to import, select the file, and click Open.

Location

To display the Import File dialog box, complete the following step:

  1. In Open Plan Explorer, click the General in the Import menu group of the Integration tab.

  2. In the Import dialog box, select an import specification and click OK.

Related Topics and Procedures

Related Topics

Importing and Exporting Data From/To Another Application

Import Dialog Box

Sharing Data Between Open Plan and Other Applications

Related Procedure

Importing Data From Another Application


Import from Microsoft Project Server Dialog Box

Use this dialog box to select the projects that you want to import from Project Server into Open Plan.

PWA Connection

Click the down arrow to display the list of available connections. The list displays the connection name and the PWA URL.

To edit a connection or create a new connection, click the ellipsis button to display the Configuration Options dialog box.

Grid

Project Name

This column lists the names of the Project Server projects to which you have access. Click the check box of each project that you wish to import into Open Plan.

Last Published

This column lists the date and time that the project was last published.

Last Saved

This column lists the date and time that the project was last saved.

Buttons

OK

Click to add the selected projects to the Select Projects box on the Microsoft Project Import Wizard Projects page.

Cancel

Click to cancel without adding a connection.

Help

Click to access the help topic for this dialog box.

Location

To display the Import from Microsoft Project Server dialog box, complete the following steps:

  1. In Open Plan Explorer, click MS Project in the Import menu group of the Integration tab to start the Microsoft Project Import wizard.

  2. On the Project page of the wizard, click Import from Microsoft Project Server.

  3. In the Connection field, select a connection.

  4. Click Select Projects.


Import from P6 Web / Update P6 Web Project Dialog Box

This dialog box displays (with a different dialog box name) for both P6 import and P6 export.

  • Importing: Use this dialog box to select the projects that you want to import from Oracle Primavera P6 into Open Plan.

  • Exporting: Use this dialog box to select the Primavera P6 Web project whose status you want to update.

P6 Connection

Click the down arrow to display the list of available connections. The list displays the database name and the URL.

To edit a connection or create a new connection, click the ellipsis button to display the Configuration Options dialog box.

Grid

Click on a column header to sort by project name or description.

Project Name

This column lists the names of the Project Server projects to which you have access.

  • For importing, select each project that you wish to import into Open Plan.

  • For exporting, select a Primavera P6 project whose status you want to update.

Description

This column lists a description of the project.

Buttons

OK

Click to add the selected projects to the Select Projects box on the Import Wizard Projects page.

Cancel

Click to cancel without adding a connection.

Help

Click to access the help topic for this dialog box.

Location

You can access this dialog box from the P6 import and P6 export wizard.

To display the Import from Primavera P6 dialog box from the Primavera Import wizard, complete the following steps:

  1. On the Integration tab Import menu group, click ORACLE Primavera » P6 Import to start the Primavera Import wizard.

  2. On the Project page of the wizard, click Import from P6 Web.

  3. In the Connection field, select a connection.

  4. Click Select Projects.

To display the Update P6 Web Project dialog box from the Primavera Export wizard, complete the following steps:

  1. In Open Plan Explorer, select a project and click Oracle Primavera in the Export menu group of the Integration tab to start the Primavera Export wizard.

  2. On the Export Type and Method page of the wizard, select P6 Web and click Next.

  3. On the Project page of the wizard, click the Project File ellipsis button.


Import P6 XML File Dialog Box

Use this dialog box to select the P6 XML file that you want to import from Oracle Primavera P6 into Open Plan.

P6 XML Filename

This field displays the full path and file name of the XML file that you selected on the Open dialog box. To select another file, click the ellipsis buton.

Grid

Click on a column header to sort by project name or description.

Project Name

This column lists the names of the P6 XML projects to which you have access. Select the project(s) that you wish to import into Open Plan.

Description

This column lists a description of the project(s).

Buttons

OK

Click to add the selected projects to the Select Projects box on the Primavera Import Wizard Projects page.

Cancel

Click to cancel without adding the project(s).

Help

Click to access the help topic for this dialog box.

Location

To display the Import P6 XML File dialog box from the Primavera Import wizard:

  1. On the Integration tab Import menu group, click ORACLE Primavera » P6 Import to start the Primavera Import wizard.

  2. On the Project page of the wizard, click Import from P6 XML File.

  3. Click Select Projects.

  4. On the Open dialog box, select an XML file and click Open.


Import P6 XER File Dialog Box

Use this dialog box to select the P6 XER file that you want to import from Oracle Primavera P6 into Open Plan.

P6 XER Filename

This field displays the full path and file name of the XER file that you selected on the Open dialog box. To select another file, click the ellipsis buton.

Grid

Click on a column header to sort by project name or description.

Project Name

This column lists the names of the P6 XER projects to which you have access. Select the project(s) that you wish to import into Open Plan.

Description

This column lists a description of the project(s).

Buttons

OK

Click to add the selected projects to the Select Projects box on the Primavera Import Wizard Projects page.

Cancel

Click to cancel without adding the project(s).

Help

Click to access the help topic for this dialog box.

Location

To display the Import P6 XER File dialog box from the Primavera Import wizard:

  1. On the Integration tab Import menu group, click ORACLE Primavera » P6 Import to start the Primavera Import wizard.

  2. On the Project page of the wizard, click Import from P6 XER File.

  3. Click Select Projects.

  4. On the Open dialog box, select an XML file and click Open.


Import Open Plan Backup File Dialog Box

Use this dialog box to select a project in the Open Plan backup (BK3) file.

  • If you are updating an existing project, you can only select one project to import. If you are creating a new project, you can select more than one.

  • If the selected BK3 file has a master and external subprojects, Open Plan displays the external subprojects below the master project.

Projects that are part of a master project or external hierarchy share the same calendar and resource files.

Select a project in the table and click OK.

Location

To display the Open Plan Backup File dialog box:

  1. On the Integration tab, in the Import menu group, click Open Plan.

  2. On the Project page of the Open Plan Import Wizard, click Select Projects.

  3. In the Open dialog box, select at least one project and click Open.

Related Topics and Procedures

Related Topics

Open Plan Import and Export Facilities

Open Plan Import Wizard

Related Procedure

Import an Open Plan Backup (BK3) File


Manage P6 Export UDFs Dialog Box

Open Plan does not know what user defined fields will exist in the P6 environment when the .XER file is loaded. You can define user fields (including code-related user fields) to which you want to export data. These become available for you to map for export to a P6 XER file. You can save this to a group option so that the next time you perform an .XER export, the user fields are available and already mapped.

Any fields that you have added on this dialog box are listed in the P6 Fields box on the Open Plan to P6 Field Mapping dialog box and you can then map them to Open Plan fields.

Changes to this dialog box are only saved when you click OK on the Open Plan to P6 Field Mapping dialog box. If you click Cancel on the Open Plan to P6 Field Mapping dialog box, any changes you made here will not be saved.

Grid

This grid displays the Field Name, Data Type, and Category for all user defined fields that have been created.

  • To add a field, enter information into the fields below the grid and click Add.

  • To edit a field, click on the line and edit the information in the Add or Update a P6 Mapped Field fields and click Update.

  • To delete a field, click on the field and click the X to the right of the grid. To delete more than one field at a time, click on a field, hold down SHIFT or CTRL and use your mouse to select lines to select contiguous or non-contiguous fields, and click the X.

Add or Update a P6 Mapped Field

Use these fields to add or edit a user field. The options change depending on what you selected in the Table field on the Field Mapping dialog box.

If you want to map to a user field that is already present in the P6 database in which you plan to restore the XER file that OP generates, make sure that the Field Name, Category, and Data Type match the existing P6 field. If you restore an XER file that contains Global code, Project code, Notebook Topic or User Defined fields that do not match existing fields in the P6 database, P6 will create those field as new fields. In the case of EPS code fields, the field that you specify must already exist on a P6 project that you are updating. If you are creating a new project in P6 from the generated XER file, EPS code field mappings will be ignored.

Field Name

Enter or edit a field name for your user field. You can add fields with the same name as long as the Field Category is different.

Field Category

  • Activity Table: Use this drop-down to select a category for your user field:

  • Activity Codes (EPS, Global, or Project)

  • Notebook Topic

  • User Defined

  • Resource Assignment: The field category is read-only and set to User Defined.

  • Resource Data: The field category is read-only and set to User Defined.

Data Type

  • Activity Table: The available data type depends on what you selected in the Field Category field:

  • Activity Codes (EPS, Global, or Project): Data Type is set to Code.

  • Notebook Topic: Data Type is set to Memo/Note.

  • User Defined: You can select one of the following data types: Cost, Finish Date, Integer, Number, Start Date, or Text.

  • Resource Assignment: You can select one of the following data types: Cost, Finish Date, Integer, Number, Start Date, or Text.

  • Resource Data: You can select one of the following data types: Cost, Finish Date, Integer, Number, Start Date, or Text.

Buttons

Add

After you enter data for a new field, click this button to add the field to the grid.

Update

To update a field, click on the field in the grid, edit the information in the Add or Update a P6 Mapped Field fields and click Update.

OK

When you click OK, the changes are temporarily stored. When you click OK on the Open Plan to P6 Field Mapping dialog box, the changes are saved to the group options. If you click Cancel on the Open Plan to P6 Field Mapping dialog box, none of the changes you made on this dialog box are saved.

Cancel

Click Cancel to close this dialog box without keeping any changes.

Help

Click to display the help topic for this dialog box.

Location

To display the Manage P6 Export UDFs dialog box, complete the following steps:

  1. In Open Plan Explorer, click Oracle Primavera in the Export menu group of the Integration tab to display the Primavera Export wizard.

  2. In the Export To field of the Export Type and Method page, select P6 XER File and click Next.

  3. On the Projects page, select an output file for the P6 project and click Next.

  4. On the Options page, click Field Mapping.


MS Project to Open Plan Field Mapping Dialog Box

Use this dialog box during a Microsoft Project import to add, modify, or delete field mappings.

You can also use the dialog box to validate and make sure that a field mapping already exists in the list, and to confirm that a single destination field (OP Fields) is not mapped to multiple source fields (MSP Fields).

Table

Select the table for which you want to map fields.

  • Activity

  • Resource Assignment

  • Resource Data

MSP Fields

Select a source field from the list.

If you are importing a Microsoft Project Server project, this list does not include custom fields.

OP Fields

Select a destination field from the list.

Results Box

When you click the add button, the mapped fields are added to this box.

Select the check box to make the mapping applicable to both Import and Export

Add

Select a single field in each of the MSP Fields and OP Fields and click Add to add a field mapping to the results box.

Update

Select a row in the results box, change the selection by choosing different MSP and/or OP Fields, and click Update to modify a field mapping.

Delete

Select a row or multiple rows in the results box and click Delete to remove the selected field mappings.

Location

To display the MS Project to Open Plan Field Mapping dialog box, complete the following steps:

  1. In Open Plan Explorer, click MS Project in the Import group of the Integration tab to display the Microsoft Project Import wizard.

  2. Select project files using the Project page, and click Next.

  3. On the Options page, click Field Mapping.

Related Topics and Procedures

Related Topic

Microsoft Project Integration


Primavera P6 to Open Plan Field Mapping Dialog Box

Use this dialog box to add, modify, or delete field mappings.

You can also use the dialog box to validate and make sure that a field mapping already exists in the list, and to confirm that a single destination field (OP Fields) is not mapped to multiple source fields (P6 Fields).

Table

Select the table for which you want to map fields.

  • Activity

  • Resource Assignment

  • Resource Data

P6 Fields

Select a source field from the list. The fields are arranged in hierarchical structures by category and the data type displays in parentheses for each field. The categories are as follows:

  • Activity Codes - EPS (Activity table only)

  • Activity Codes - Global (Activity table only)

  • Activity Codes - Project (Activity table only)

  • General

  • Notebook Topic (Activity table only)

  • User Defined

If you map a P6 text field to an Open Plan text field, Open Plan displays a warning that there could be a possible type mismatch. You can choose to continue to map the selected fields or change the selection.

OP Fields

Select a destination field from the list. The data type for each field displays in parenthesis next to the field. The following groups of fields are available:

  • General

  • User Defined

  • Codes

  • Notes

Open Plan baseline fields are not available here as they cannot be mapped to P6 fields.

Results Box

When you click the add button, the mapped fields are added to this box.

Select the check box next to each mapped set that you want to use for both Import and Export.

Add

Select a single field in both the P6 Fields and OP Fields boxes and click Add to add a field mapping to the results box. The field category and data type display next to each field.

Update

Select a row in the results box, change the selection by choosing different P6 and/or OP Fields, and click Update to modify a field mapping.

Delete

Select a row or multiple rows in the results box and click Delete to remove the selected field mappings.

Location

To display the Primavera P6 to Open Plan Field Mapping dialog box, complete the following steps:

  1. In Open Plan Explorer, click ORACLE Primavera » Import P6 in the Import menu group of the Integration tab to display the Primavera Import wizard.

  2. Select project files using the Project page, and click Next.

  3. On the Options page, click Field Mapping.

Related Topics and Procedures

Related Topic

Oracle Primavera P6 Integration


Project Name Dialog Box

You can use this dialog box to assign a project name to the Simple Activity Table Import .txt file you are importing.

If you enter a name for an existing project, Open Plan informs you that a project already exists with that name and allows you to enter a new name.

Related Topics and Procedures

Related Topics

Importing and Exporting Data From/To Another Application

Import Dialog Box

Sharing Data Between Open Plan and Other Applications

Related Procedure

Importing Data From Another Application


Properties for P6 Baseline Dialog Box

OP Name

Edit the name of the baseline.

OP Description

Edit the baseline description.

OK

Click to save the changes.

Cancel

Click to close the dialog box without saving the changes.

Help

Click to display the Open Plan help topic.

Location

To display the Properties for P6 Baseline dialog box, complete the following steps:

  1. On the Integration tab, in the Import menu group, click ORACLE Primavera » Import P6.

  2. On the Project page of the Primavera Import wizard, select projects and click Select Baselines.

  3. Select a baseline and click the arrow between the groups to move it from the Available baselines group to the Selected baselines group. The Properties for P6 Baseline dialog box displays when you click the arrow.

Related Topics and Procedures

Related Topics

Oracle Primavera P6 Integration

Project Page of the Primavera Import Wizard


Properties for Open Plan Baseline Dialog Box

OP Name

Edit the name of the baseline.

OP Description

Edit the baseline description.

OK

Click to save the changes.

Cancel

Click to close the dialog box without saving the changes.

Help

Click to display the Open Plan help topic.

Location

To display the Properties for Open Plan Baseline dialog box:

  1. On the Integration tab, in the Import menu group, select Open Plan.

  2. On the Project page of the Open Plan Import Wizard, select projects and click Select Baselines.

  3. Select a baseline and click the arrow between the groups to move it from the Available baselines group to the Selected baselines group. The Properties for Open Plan Baseline dialog box displays when you click the arrow.

Related Topics and Procedures

Related Topics

Oracle Primavera P6 Integration

Project Page of the Primavera Import Wizard


Open Plan to MS Project Field Mapping Dialog Box

You use this dialog box during a Microsoft Project export to add, modify, or delete field mappings.

You can also use the page to validate and make sure that a field mapping already exists in the list, and that a single destination field (MSP Fields) is not mapped to multiple source fields (OP Fields).

Table

You can make separate mappings for the following tables:

  • Activity

  • Resource Assignment

  • Resource Data

OP Fields

Select the available source fields listed.

MSP Fields

Select the available destination fields listed.

Result Box

This box displays the mapped fields that you add.

Select the check box to make the mapping applicable to both import and export. Note that some fields may not be applicable to both import and export, due to certain destination fields being read-only in either OP or MSP.

Add

Select a single field in each of the OP Fields and MSP Fields and click Add to add a fields mapping.

Update

Select a row, change the selection by choosing different OP and/or MSP Fields, and click Update to modify a field mapping.

Delete

Select a row or multiple rows and click Delete to remove one or more field mappings.

Location

To display the Open Plan to MS Project Field Mapping dialog box, complete the following steps:

  1. In Open Plan Explorer, click MS Project in the Export group of the Integration tab.

  2. After you select project files on the Project page, click Next.

  3. On the Options page, click Field Mappings.

Related Topics and Procedure

Related Topic

Microsoft Project Integration


Open Plan to P6 Field Mapping Dialog Box

Use this dialog box during a Primavera P6 export to add, modify, or delete field mappings.

Select a field in the OP Fields list and a field in the P6 Fields list that you want to map and click Add to add the field mapping to the Results box at the bottom of the dialog box.

When you add or update a mapping, an error message displays if the mapping already exists, or if you have mapped multiple Open Plan source fields to the same P6 destination field.

Table

Select the table for which you want to map fields.

  • Activity

  • Resource Assignment

  • Resource Data

OP Fields

Select a source field from the list. The data type for each field displays in parenthesis next to the field. The following groups of fields are available:

  • Baseline Fields

  • Calculated Fields

  • Codes

  • General

  • Notes

  • User Defined

P6 Fields

The General category displays by default and includes fixed Primavera P6 fields to which you can map.

For .XER exports, any user fields that are listed in the Manage P6 Export UDFs dialog box display in this area.

Manage UDFs

This option is only available when you are performing an XER export.

Open Plan does not know what user defined fields will exist in the P6 environment when the .XER file is loaded. You can define user fields (including code-related user fields) to which you want to export data. These become available for you to map for export to a P6 XER file. You can save this to a group option so that the next time you perform an .XER export, the user fields are available and already mapped.

In the Table field, select the table for which you want to map user fields and click this button to display the Manage P6 Export UDFs dialog box where you can define these fields. Any fields that you have added are listed in the P6 Fields box on this dialog box and you can then map them to Open Plan fields.

Results Box

This box lists all of the mapped fields. When you select an OP and P6 field and click the Add button, the mapped fields are added to this box.

Select the check box next to each mapped set that you want to use for both Import and Export.

Buttons

Add

Select a single field in both the OP Fields and P6 Fields boxes and click Add to add a field mapping to the results box. The field category and data type display next to each field.

Update

Select a row in the results box, change the selection by choosing different OP and/or P6 fields, and click Update to modify a field mapping.

Delete

Select a row or multiple rows in the results box and click Delete to remove the selected field mappings.

OK

When you click OK, all of the changes you have made, including the changes on the Manage P6 Export UDFs dialog box (.XER export only) are saved and stored in the group options.

Cancel

Click Cancel to close the dialog box without saving any changes. Changes made on the Manage P6 Export UDFs dialog box (.XER export only) will not be saved.

Help

Click to access the help for this dialog box.

Location

To display the Open Plan to P6 Field Mapping dialog box, complete the following steps:

  1. In Open Plan Explorer, click ORACLE Primavera in the Export menu group of the Integration tab to display the Primavera Export wizard.

  2. Complete the wizard pages until you reach the Options page.

  3. On the Options page, click Field Mapping.


Open Plan Backup to Open Plan Mapping Dialog Box

Use this dialog box to add, modify, or delete field mappings.

It allows you to map from the source field to a compatible destination field. You can also use the dialog box to validate and make sure that a field mapping already exists in the list, and to confirm that a single destination field is not mapped to multiple source fields

Table

Select the table for which you want to map fields.

  • Activity

  • Activity Steps

  • Project Directory (Main Project)

  • Relationship

  • Resource Assignment

  • Resource Data

Fields in the Backup (BK3) File

Select a source field from the list.

Fields in the Open Plan Project

Select a destination field from the list.

Properties

Click this button to display the Code Field Properties dialog box, allowing you to define code settings and properties.

When a code field is mapped to a code field that has no code file associated with it, Open Plan displays the Code Field Properties dialog box.

Add

Select a single field in each of the Fields in the Backup (BK3) File and Fields in the Open Plan Project lists and click Add to add a field mapping to the results box.

Update

Select a row in the results box, change the selection by choosing different fields in the lists and click Update to modify a field mapping.

Delete

Select a row or multiple rows in the results box and click Delete to remove the selected field mappings.

Location

To display the Open Plan Backup to Open Plan Mapping dialog box:

  1. On the Integration tab, in the Import menu group, click Open Plan.

  2. On the Project page of the Open Plan Import Wizard, click Select Projects.

  3. In the Open dialog box, select at least one project and click Open.

  4. On the Options page of the Open Plan Import Wizard, click Field Mapping.

Related Topics and Procedures

Related Topics

Open Plan Import and Export Facilities

Open Plan Import Wizard

Related Procedure

Import an Open Plan Backup (BK3) File


Save MSP Group Options Set Dialog Box

Use this dialog box to save the group options that you have chosen during this import/export for future use. Group options include settings that can be used across various projects, such as whether resources are included, other field mappings, and so on.

If any options have changed, you can either overwrite the group set name and description (if you already have a named group set) or enter a new or different group set name and description.

Name

Enter or edit the group set name.

Desc.

Enter or edit the group set description.

OK

Click to save the change and continue with the import.

Cancel

If you click Cancel, the group options set is not saved and the import process continues.

Location

To display the Save MSP Group Options Set dialog box, complete the following steps:

  1. In Open Plan, on the Integration tab Import menu, click MS Project to launch the Microsoft Project Import wizard.

  2. Complete the wizard pages until you reach the Validation Files page.

  3. On the Validation Files page, click Finish to display the Save MSP Group Options Set as... dialog box.

Related Topics and Procedures

Related Topics

Microsoft Project Integration

Microsoft Project Export Wizard: Project Page

Open Plan to MS Project Field Mapping Dialog Box

Microsoft Project Export Wizard: Export Complete Page

Related Procedures

Exporting a File to an MSP Project

Importing an MSP File


Save P6 Group Options Set Dialog Box

Use this dialog box to save the group options that you have chosen during this import/export for future use. Group options include settings that can be used across various projects, such as whether resources are included, other field mappings, and so on.

If any options have changed, you can either overwrite the group set name and description (if you already have a named group set) or enter a new or different group set name and description.

Name

Enter a name for the group option.

Description

Enter a group option description.

OK

Click to save the changes.

Cancel

Click to close the dialog box without saving a group option.

Help

Click to display the Open Plan help topic.

Location

To display the Save P6 Group Options Set as... dialog box, complete the following step:

  1. In Open Plan, on the Integration tab Import menu, click Oracle Primavera » P6 Import to launch the Primavera import wizard.

  2. Complete the wizard pages until you reach the Validation Files page.

  3. On the Validation Files page, click Finish to display the Save P6 Group Options Set as... dialog box.

Related Topics and Procedures

Related Topic

Oracle Primavera P6 Integration


Save BK3 Group Options Set Dialog Box

Use this dialog box to save the group options that you have chosen during this import for future use. Group options include settings that can be used across various projects, such as whether resources are included, other field mappings, and so on.

If any options have changed, you can either overwrite the group set name and description (if you already have a named group set) or enter a new or different group set name and description.

Name

Enter or edit the group set name.

Desc.

Enter or edit the group set description.

OK

Click to save the change and continue with the import.

Cancel

If you click Cancel, the group options set is not saved and the import process continues.

Location

To display the Save BK3 Group Options Set dialog box:

  1. On the Integration tab, in the Import menu group, click Open Plan.

  2. Complete the Open Plan Import wizard pages until you reach the Validation Files page.

  3. On the Validation Files page, click Finish.

Related Topics and Procedures

Related Topics

Open Plan Import and Export Facilities

Open Plan Import Wizard

Related Procedure

Import an Open Plan Backup (BK3) File


Select Ancillary File Dialog Box

Use this dialog box to choose an ancillary file (calendar file, resource file, or WBS code file) to be assigned to the project.

Name

This is the file name.

Description

The description provides more detail about the file. If a description has not been entered for the file, this column will be blank.

Owner

This is the name of the file’s owner. In most cases, the owner is the user who created the file. Demo files shipped with Open Plan are entered into the database without owner names.

Last Update

This is the date upon which the file was last updated.

Location

To display the Select Ancillary File dialog box, complete the following steps:

  1. On the Integration tab, click MS Project in the Import menu group to start the Import wizard.

  2. On the Options page, place a check next to Share Calendar File, Share Resource File, or Share WBS File to display the Select Ancillary File dialog box.

Related Topics and Procedures

Related Topics

Microsoft Project Integration

Microsoft Project Import Wizard: Options Page

Microsoft Project Import Wizard: Project Selection Page

Microsoft Project Import Wizard: Master Project Name Page

Validate Files Page

Microsoft Project Import Wizard: Import Complete Page

Related Procedures

Importing an MSP File


Select Baselines Dialog Box (P6 Export)

Use this dialog box to select one or more baselines to export from Open Plan.

Available OP Baselines

This box lists the baselines that have been created in Open Plan that are available for export. Use SHIFT or CTRL to select multiple baselines.

Baselines to be Exported

This box lists the baselines that you have selected.

OK

Click to accept the selection and close the dialog box.

Cancel

Click to close the dialog box without accepting the selection.

Properties

Select a baseline and click this button to view or edit the baseline name and description. These are the details that will be seen in Primavera P6.

Help

Click to display the Open Plan online help topic.

Location

To display the Select Baselines dialog box for a P6 XER export, complete the following steps:

  1. In Open Plan Explorer, click ORACLE Primavera in the Export menu group of the Integration tab to launch the Primavera Export wizard.

  2. On the Export Type and Method page, select P6 XER file, and click Next.

  3. Complete the wizard pages until you reach the Options page.

  4. In the Baseline Export (XER File Only) field of the Options page, choose Custom Selection.

  5. Click Select Baselines.

Related Topics and Procedures

Related Topic

Oracle Primavera P6 Integration


Select Baselines Dialog Box (P6 Import)

Use this dialog box to select one or more baselines for a Primavera P6 project import.

Available baselines...

This box lists the available baselines. Place a check in the box next to each baseline that you want to use and click the right arrow [image] to move the selected baselines to the Selected baselines box. To select multiple baseline from the same file, click the box next to the .XER file name.

If you only move a single baseline, the Properties dialog box automatically opens to allow you to make edits to the name and description, if needed. If you move multiple baselines at one time, you can select each baseline in the Selected Baselines box and click Properties to edit the name and description if needed.

(Additional Baselines)

If needed, click to select an .XER file from which you want additional baselines. An Open dialog box displays where you navigate to and select the .XER file. The file and available baselines within the project are added to the Available baselines box.

Selected Baselines

This box lists the baselines that you have selected. If you want to remove one or several baselines, select those you wish to remove (use SHIFT or CTRL for multiple selection) and click the left arrow [image] to move them back to the Selected Baselines box.

OK

Click to accept the selection and close the dialog box.

Cancel

Click to close the dialog box without accepting the selection.

Properties

Select a baseline and click this button to view the Open Plan name and description for the selected baseline.

Help

Click to display the Open Plan online help topic.

Location

To display the Select Baselines dialog box for a P6 import, complete the following steps:

  1. In Open Plan, On the Import menu group of the Integration tab, click Oracle Primavera » P6 Import to launch the Primavera Import wizard.

  2. Select Update Existing Project, Project Options, and Group Options as needed.

  3. Select Import from P6 Web and choose a connection.

  4. Click Select Projects and select one or more projects.

  5. Select a project in the grid and click Select Baselines.

Related Topics and Procedures

Related Topics

Oracle Primavera P6 Integration


Select Baselines Dialog Box (Open Plan Import)

Use this dialog box to select one or more baselines for an Open Plan backup file import.

Available baselines:

This box lists the available baselines. Select the baseline that you want to use and click the right arrow to move the selected baseline to the Selected baselines box. You can select multiple baselines by holding down the Ctrl or Shift keys while making a selection.

Selected baselines:

This box lists the baselines that you have selected. If you want to remove one or several baselines, select those you wish to remove (use SHIFT or CTRL for multiple selection) and click the left arrow to move them back to the Available Baselines box.

OK

Click to accept the selection and close the dialog box.

Cancel

Click to close the dialog box without accepting the selection.

Properties

Select a baseline and click this button to view the Open Plan name and description for the selected baseline.

Help

Click to display the Open Plan online help topic.

Location

To display the Select Baselines dialog box:

  1. On the Integration tab, in the Import menu group, click Open Plan.

  2. On the Project page of the Open Plan Import Wizard, select at least one project.

  3. On the same page, click Select Baselines.

Related Topics and Procedures

Related Topics

Open Plan Import and Export Facilities

Open Plan Import Wizard

Related Procedure

Import an Open Plan Backup (BK3) File


Code Field Properties Dialog Box

Use this dialog box to define properties of the code fields that you have mapped.

When a code field is mapped to a code field that has no code file associated with it, Open Plan displays this dialog box.

Link to a new code file or replace an existing file (new code files are punctuated significant)

If you select this option, enter values in the Name, Description, and Prompt Text fields.

Link to an existing code file

If you select this option, Open Plan enables the Add new values to code file and Don’t add new values options as well as the ellipsis button.

  • If you select Add new values to code file, Open Plan adds any code values assigned to an activity in the import that is not in the selected file.

  • If you select Don’t add new values, Open Plan ignores any code values assigned to the activity in the import that is not in the selected file.

  • Clicking the ellipsis button displays a dialog box where you can select code files.

Click OK when you are done.

Location

To display the Code Field Properties dialog box:

  1. On the Integration tab, in the Import menu group, click Open Plan.

  2. On the Project page of the Open Plan Import Wizard, click Select Projects.

  3. In the Open dialog box, select at least one project and click Open.

  4. On the Options page of the Open Plan Import Wizard, click Field Mapping.

  5. In the Open Plan Backup to Open Plan Mapping dialog box, click Properties.

Related Topics and Procedures

Related Topics

Open Plan Import and Export Facilities

Open Plan Import Wizard

Related Procedure

Import an Open Plan Backup (BK3) File


Copy a Crosstable Export Specification

To copy an existing crosstable export specification, complete the following steps:

  1. In Open Plan Explorer, select the project from which you want to copy crosstable data.

  2. Click Crosstable Data in the Export group of the Integration tab. If the project is not open, Open Plan will open it in its Default mode. If it cannot be opened, you will receive an error message.

  3. In the Crosstable Exports dialog box, select the export specification to copy.

  4. Click Copy.

  5. Enter a name for the copy, and click Apply to return to the Crosstable Exports dialog box.

Related Topics and Procedures

Related Topics

Crosstable Exports Dialog Box

Copy Export Specification Dialog Box

Crosstable Export Definition Dialog Box

Related Procedures

Creating a Crosstable Export Specification

Editing a Crosstable Export Specification

Deleting a Crosstable Export Specification


Create a Crosstable Export Specification

To create a new crosstable export specification, complete the following steps:

  1. In Open Plan Explorer, select the project for which you want to create crosstable data.

  2. Click Crosstable Data in the Export group of the Integration tab. If the project is not open, Open Plan will open it in its Default mode. If it cannot be opened, you will receive an error message.

  3. In the Crosstable Exports dialog box, click New.

  4. Enter a name for the export specification, and click OK. The Crosstable Export Definition dialog box displays.

  5. Select the data and options for the export specification.

  6. When finished defining the export, click OK.

Related Topics and Procedures

Related Topics

Crosstable Exports Dialog Box

New Export Specification Dialog Box

Crosstable Export Definition Dialog Box

Related Procedures

Copying a Crosstable Export Specification

Editing a Crosstable Export Specification

Deleting a Crosstable Export Specification


Delete a Crosstable Export Specification

To delete an existing crosstable export specification, complete the following steps:

  1. In Open Plan Explorer, select the project for which you want to delete crosstable data.

  2. Click Crosstable Data in the Export group of the Integration tab. If the project is not open, Open Plan will open it in its Default mode. If it cannot be opened, you will receive an error message.

  3. In the Crosstable Exports dialog box, select the export specification to delete.

  4. Click Delete.

Related Topics and Procedures

Related Topic

Crosstable Exports Dialog Box

Related Procedures

Creating a Crosstable Export Specification

Copying a Crosstable Export Specification

Editing a Crosstable Export Specification


Disable the Team Foundation Add-In

If the Microsoft Team Foundation Add-In is enabled in MSP, it may cause the export process to fail. Deltek highly recommends that you disable the add-in when using Open Plan integration.

To disable the Team Foundation Add-in, complete the following steps, complete the following steps:

  1. Launch Microsoft Project on the machine you are using for export.

  2. Click File » Options » Add-ins.

  3. Under the Active Application Add-ins section, look for Team Foundation Add-in. If it is not there, you can ignore the rest of these steps.

  4. In the Manage field at the bottom of the dialog box, select COM Add-ins (it may already be selected) and click Go.

  5. In the COM Add-ins dialog box, deselect all instances of Team Foundation Add-in and click OK.

Related Topics and Procedures

Related Topics

Microsoft Project Integration Overview

Export Type and Method Page


Edit a Crosstable Export Specification

To edit an existing crosstable export specification, complete the following steps:

  1. In Open Plan Explorer, select the project for which you want to edit crosstable data.

  2. Click Crosstable Data in the Export group of the Integration tab. If the project is not open, Open Plan will open it in its Default mode. If it cannot be opened, you will receive an error message.

  3. In the Crosstable Exports dialog box, select the export specification to edit, and click Edit.

  4. Select the data and options for the export specification.

  5. When finished defining the export, click OK.

Related Topics and Procedures

Related Topics

Crosstable Exports Dialog Box

Copy Export Specification Dialog Box

Crosstable Export Definition Dialog Box

Related Procedures

Creating a Crosstable Export Specification

Copying a Crosstable Export Specification

Deleting a Crosstable Export Specification


Export a File to an MSP Database (Procedure)

Export a File to an MSP Database

Microsoft Project does not need to be present on your computer in order for you to export a file to an MSP database (.mpd format).

To export a file to an MS Project database, complete the following steps:

  1. In Open Plan Explorer, select the project that you want to export.

  2. On the Integration tab, in the Export group, click MS Project.

  3. In the Save as type field of the Save Project dialog box, select MSProject database.

  4. Provide a name and location for the MSProject database, and click Save.

    Open Plan saves the file with a default extension of .mpd. If you choose an existing file name for the database, Open Plan adds the exported file to the selected database; otherwise, the export utility creates a new MSProject database with the name you specify.

  5. In the Project Name dialog box, provide a name for the project to be added to the MSProject database.

  6. Click OK.

  7. If the Save Options dialog box is displayed, select the options you want to set for the export process, and click OK.

    The Save Options dialog box is not displayed if an option has previously been set that inhibits its display.

  8. When the export utility displays a message indicating that the transfer has been completed successfully, click OK.

Related Topics and Procedures


Export a File to an MSP Project (Procedure)

Export a File to an MSP Project

To export a file to an MSP project, complete the following steps:

To export a file as an MSP Project (.mpp format), Microsoft Project must be installed on your computer.

  1. In Open Plan Explorer, select the project that you want to export.

  2. On the Integration tab, in the Export group, click MS Project to start the Microsoft Project Export wizard.

  3. On the Export Type and Method page:

  4. In the Export Type group, select whether you want to Create or replace a project, or Update existing project.

  5. In the Export To group, select Microsoft Project Standard/Professional.

  6. Click Next.

  7. On the Project page, click the ellipsis button to the right of the Project File field to display a Save As dialog box.

  8. In the Save As dialog box, provide a file name and location for the MSP project, and click Save.

    Open Plan populates the Project File field with the path and file name you entered. Open Plan saves the file with a default extension of .mpp. If you select an existing filename for the project, Open Plan prompts you for confirmation before overwriting the file.

  9. Click Next.

  10. On the Options page of the wizard, select the options you want to set for the export process and click Finish. Open Plan begins the export process.

  11. When the Export Complete page displays, click View Log to read the export log, or click Close to exit the wizard.

Related Topics and Procedures

Related Topics

Microsoft Project Integration

Microsoft Project Export Wizard: Project Page

Microsoft Project Export Wizard: Options Page

Microsoft Project Export Wizard: Export Complete Page

Related Procedure

Exporting Data to Another Application


Export Data to an IPMDAR File

You must first save the project as an Open Plan project.

To export an Open Plan project to an IPMDAR .zip file:

  1. In Open Plan Explorer, open the project that you want to export.

  2. On the Integration tab, in the Export menu group, click IPMDAR.

  3. On the IPMDAR Schedule Export Options dialog box, set the export parameters and click Export.

Open Plan exports the schedule data to the specified .zip file.

Related Topics and Procedures

Related Topics

IPMDAR Overview

Related Procedures

Configure Custom Fields Dialog Box

Configure Activity Fields Dialog Box


Export Data to Another Application (Procedure)

Export Data to Another Application

To export data to another application, complete the following steps:

  1. In the Project Views folder in Open Plan Explorer, display a project in any view.

  2. In the Export menu group of the Integration tab, click General.

  3. In the Export dialog box, select the export specification to use, and click OK.

  4. In the Export File dialog box, enter the name and location for the destination file, and click OK.

Related Topics and Procedures

Related Topic

Export Dialog Box

Related Procedures

Importing Data from Another Application

Importing an MSP File

Exporting a File to an MSP Project

Opening an Open Plan File


Export Primavera P6 .XER Data

Open Plan allows you to export project data to either a batch file or an .XER file that can then be imported into Primavera.

To export XER data, complete the following steps:

  1. In Open Plan Explorer, select the project you want to export.

  2. On the Integration tab, in the Export group, click ORACLE Primavera.

  3. Use the Primavera Export Wizard to export the XER data.

  4. Click Save.


Saving an MSP Group Options Set

To save an MSP Group Options Set, complete the following steps:

  1. After selecting the options in the Microsoft Project Export Wizard: Options Page, click the Finish button. The Save MSP Group Options Set as dialog box opens.

  2. If any of the options is changed, you can either overwrite the group set name and description (if you already have a named group set) or enter a new or different group set name and description.

  3. Click OK to save the changes.

If you click Cancel, the MSP group options set is not saved and the import process continues.

Related Topics and Procedures

Related Topics

Microsoft Project Integration

Microsoft Project Export Wizard: Project Page

Open Plan to MS Project Field Mapping Dialog Box

Microsoft Project Export Wizard: Export Complete Page

Related Procedures

Exporting a File to an MSP Project

Importing an MSP File


Import an MSP File (Procedure)

Import an MSP File

To import a Microsoft Project file, complete the following steps:

  1. On the Integration tab, in the Import group, click MS Project to start the Microsoft Project Import wizard.

  2. On the Project page of the Microsoft Project Import wizard, click the ellipsis button to the right of the Project File field. Microsoft Project starts if it is not already open, and the Open dialog box displays.

  3. On the Open dialog box, navigate to and select the .mpp file(s) to open, and then click Open. The path and file name of the selected file displays in the Project File field.

  4. Click Next.

  5. On the Options page, select the options for the imported files, and click Next.

  6. If the project you want to import contains external relationships that require additional projects to be imported, the Project Selection page displays. Select the project(s) you want to import, and click Next.

  7. If the projects you selected contain inter-project relationships, the Master Project Name page displays. Enter a name for the master project in the Master Project Name field, and click Next.

  8. Correct any warnings or errors that appear on the Validate Files page, and click Finish. Open Plan imports the project.

  9. When the Import Complete page displays, click View Log to read the import log, or click Close to exit the wizard.

Related Topics and Procedures

Related Topics

Microsoft Project Integration

Microsoft Project Import Wizard: Project Page

Microsoft Project Import Wizard: Options Page

Microsoft Project Import Wizard: Project Selection Page

Microsoft Project Import Wizard: Master Project Name Page

Validate Files Page

Microsoft Project Import Wizard: Import Complete Page

Related Procedures

Importing Data from Another Application


Import Project Data from Primavera P6

Use this procedure to import project data from Primavera XER/XML file or P6 web.

To import data from Primavera P6:

  1. On the Integration tab, in the Import menu group, click ORACLE Primavera.

  2. Use the Primavera Import Wizard to import your project data.

Related Topics and Procedures

Related Topic

Integrating with Oracle Primavera P6

Primavera Import Wizard


Import an Open Plan Backup (BK3) File

Use this procedure to import an Open Plan backup (BK3) file that may be from another company or another division to an Open Plan project.

To import data an Open Plan backup file:

  1. On the Integration tab, in the Import menu group, click Open Plan.

  2. Use the Open Plan Import Wizard to import your project data.

Related Topics and Procedures

Related Topics

Open Plan Import and Export Facilities

Open Plan Import Wizard


Import Data From Another Application (Procedure)

Import Data From Another Application

To import data from another application, complete the following steps:

  1. In Open Plan Explorer, click General in the Import menu group of the Integration tab.

  2. In the Import dialog box, select the import specification to use, and click OK. You can also indicate whether or not Open Plan should update the selected open project with the imported data.

  3. In the Import File dialog box, select the source file for the operation, and click OK.

If you have a project open when you issue the Import General command, Open Plan allows you to indicate if the imported data should be used to update the current project. If the project includes references to ancillary data files, you are prompted to name these files as well. Note, however, that whether or not the imported data overwrites existing records is determined by a parameter set in the import specification.

Related Topics and Procedures

Related Topic

Import Dialog Box

Related Procedures

Exporting Data to Another Application

Importing an MSP File

Exporting a File to an MSP Project

Opening an Open Plan File


Use the MS Project to Open Plan Field Mapping Dialog Box

To use the MS Project to Open Plan Field Mapping Dialog Box, complete the following steps:

  1. In Open Plan Explorer, click MS Project in the Import group of the Integration tab to launch the Microsoft Project Import wizard.

  2. Select project files on the Project page, and click Next.

  3. On the Options page, click Field Mapping.

  4. From the Table field drop-down menu in the MS Project to Open Plan Field Mapping dialog box, select the table for which you want to add, modify, or delete field mappings.

  5. Take one of the following actions:

  6. To add a field mapping, select the destination field under the OP Fields list and the source field under the MSP Fields list, and click Add.

  7. To modify a field mapping, select an existing mapping and change the MSP field and/or OP field, and click Update.

  8. To delete one or more field mappings, select one or multiple mapping(s) and click Delete.

  6. Mark the check box to make the mapping applicable to both Import and Export.

Related Topics and Procedures

Related Topics

Microsoft Project Integration

Microsoft Project Import Wizard: Project Page

Microsoft Project Import Wizard: Options Page

Microsoft Project Import Wizard: Project Selection Page

Microsoft Project Import Wizard: Master Project Name Page

Validate Files Page

Microsoft Project Import Wizard: Import Complete Page

MS Project to Open Plan Field Mapping Dialog Box

Related Procedures

Importing Data from Another Application


Projects Overview

With Open Plan, you can closely monitor and evaluate priorities, risks, and status from initiation to completion. You can provide your organization with reliable estimates and solutions for long and short-term resource and budget allocations. Simplify manual processes with rapid data entry, quickly share and update project plan information through Project Portfolio Management (PPM) integration, and ensure projects get the resources they need.

Some of the ways you can work with projects include the following:

  • Creating a New Project or Ancillary File

  • Opening a Project or Ancillary File

  • Assigning Ancillary Files to a Project

  • Assigning Views to a Project

  • Hierarchical Projects and Subprojects

  • Project Baselines

Related Topics and Procedures

Related Topic

Working with Calendars, Resources, and Codes


Create a New Project or Ancillary File

Open Plan allows you to create new projects, calendars, resource definitions, and code files with the following methods:

  • Using default settings.

  • Using the New File Wizard where you can define custom settings for the file.

Regardless of the method you use to create the file, you can always change the settings later using the file's Properties dialog box.

To create a new project or ancillary file, complete the following steps:

  1. From the Quick Access Toolbar, click [image] (Create a new file) and choose an entry from the Project or Ancillary Data options.

  2. Enter a Name and Description. If you leave Use previous settings as defaults unchecked, the file is created using Open Plan defaults.

  3. Choose one of the following options:

  • Click Next to start the New File Wizard and specify your preferred settings.

  • Click Finish to create the file using the default settings.

For more information on changing file settings, see Assigning Ancillary Files to a Project.

Related Topics and Procedures

Related Topics

New File Dialog Box

New File Wizard

Related Procedures

Create a New File Using Default Settings

Create a New File with Custom Settings


Assigning Ancillary Files to a Project

When you create a project using the New File Wizard, you have the option to assign ancillary files during the procedure. If you create the project using Open Plan defaults, only the <Default> calendar is assigned.

You must open the project in Exclusive mode when you assign an ancillary file.

Editing the Project Properties dialog box

Open Plan provides two ways in assigning ancillary files to an existing project:

  • In Open Plan Explorer, right-click on a project and choose Properties. The Project Properties dialog box opens.

  • Click on the Files tab. The Files tab features an ellipsis button next to each ancillary file field. You can click this ellipsis to display a Select dialog box that you can use to specify the file to be assigned. If the ancillary file you want to assign does not yet exist, you can click New on the Select dialog box to create it.

For more information about creating a new file, see Creating a New Project or Ancillary File.

Using Drag and Drop in the Open Plan Explorer

Dragging an ancillary file from the appropriate folder of the Open Plan Library and dropping it onto a project folder automatically assigns the file to the project.

Only one calendar file and one resource definition file can be assigned to a project at one time. If you drag a calendar or resource definition file from the Open Plan Library to a project that already contains a file of the same type, Open Plan asks whether you would like to replace the existing file.

When a resource definition file is assigned to a project, a link to the file is displayed in a project subfolder that has the same name as the resource file.

When one or more code files are assigned to a project, links to these files are displayed in the Codes subfolder in Open Plan Explorer.

When a calendar file is assigned to a project, a link to that file is displayed in the project’s root folder.

When using drag and drop, the project is automatically opened when the ancillary file is dropped into it.

Related Topics and Procedures

Related Topics

File Open Dialog Box

Find and Replace Dialog Box

Opening a Project or Ancillary File

Saving a Project or Ancillary File

Closing Files

Deleting Ancillary Files

Related Procedures

Opening an Open Plan File

Saving an Open Plan File


Assigning Views to a Project

View files are stored in the Views folder of the Open Plan Library.

To assign a view to a project, you can do one of the following:

Assigning a View Using Drag and Drop

In Open Plan Explorer, expand Open Plan Library » Views and drag a View option from the right pane onto the appropriate project.

A project does not need to be open if you use the drag and drop method of assigning the view.

Assigning a View by Double Clicking

If you have at least one project open, double-clicking the view icon displays the Choose a Project dialog box. This dialog box displays a list of all the projects that you have open and provides you with the following options:

  • You can select a view to display the project data without creating a permanent link to the project.

  • You can select a view and select the Make a Permanent Link to Project option to create a permanent link.

If no project is open when you double-click the icon, Open Plan advises you to drag the view icon to the project folder to create a link.

For more information about views, see Views and Reports.

Assigning a View Using Add Views

You can assign a view or multiple views with one or more projects. You need to select at least one project in the pane of the Open Plan Explorer and right-click then select Add Views on the context menu. Selecting Add Views displays the Select dialog box, which only contains those views to which you have access rights and are relevant to the selected project(s).

Related Topics and Procedures

Related Topics

Choose a Project Dialog Box

File Open Dialog Box

Find and Replace Dialog Box

Opening a Project or Ancillary File

Saving a Project or Ancillary File

Closing Files

Assigning Ancillary Files to a Project

Related Procedures

Opening an Open Plan File

Saving an Open Plan File


Save a Project or Ancillary File

Open Plan allows you to save a file with its current name using the Save command or under a different name using the Save As command. These commands are available as follows:

  • If you opened the file in Exclusive mode, you can use the Save or Save As command at any time.

  • If you open a file in Shared mode, the Save command is not available. Open Plan saves your changes to projects, codes, calendars, and codes as you make them.

  • If you opened the file in the Read Only mode, the Save command is not available. You must use the Save As command before you can make any changes to the file.

You cannot perform Save As on a file if there is another file open that refers to it. You need to close the project before you can perform Save As. For example, if you open project CLEAN in Barchart view, the Save As button is grayed out in the CLEANCAL calendar file.


Delete Projects

There are two ways to delete a project from Open Plan Explorer:

  • Select the file and press the Delete key.

  • Use the Select File to Delete dialog box. (This dialog box is accessed by displaying Manage Files from either the File menu or shortcut menu, and clicking Delete.)

You cannot delete a file that is open, referenced by another file, or to which you do not have the appropriate rights.

Depending on where the file is located in the hierarchical view, Open Plan interprets the deletion as follows:

  • My Folder: If you delete a project from within this folder, Open Plan only deletes the links you created to these files. No actual data is deleted from the data source. To quickly delete a project link from this folder, right-click the project, and click Delete Link on the context menu.

  • Projects: If you delete a project from within this folder, the project data is deleted from the data source, but only the links to the calendar, resource definition, code, and view files are deleted. No ancillary file or view data is deleted from the data source.

Codes that are assigned to projects cannot be deleted from the projects using this method. Codes are removed from projects using the Files tab of the Project Properties dialog box. For steps to delete a code file, see Delete a Code File.

Related Topics and Procedures

Related Topics

Project Properties Dialog Box

Creating a New Project or Ancillary File

Assigning Views to a Project


How BAC is Calculated

This topic describes how the Use Version 2 Cost Calculation Method on the Cost Tab of the Project Properties dialog box affects the way BAC is calculated.

Labor Quantity

This value represents the total number of labor resource units budgeted for the project. The Labor Quantity BAC for the project is stored in the BAC_QTY field in the Project table.

The calculations that are performed at the activity level depend on whether the Use Version 2 Cost Calculation Method option is selected on this tab of the Project Properties dialog box.

  • By default, the Use Version 2 Cost Calculation Method is cleared for new projects. In this mode, Open Plan calculates the Labor Quantity BAC by summing the values in the RES_USED field for labor resources assigned to this activity for the Performance Measurement Baseline (PMB) in the baseline usage table. By always using the PMB when it is available, Open Plan provides consistency and reliability.

  • If there is no baseline named PMB, Open Plan uses the currently selected baseline, or, in the case of multiple selected baselines, the baseline identified as Baseline 1. If the project contains baselines, but none is selected or named PMB, Open Plan prompts you to select a baseline. If the project has no baselines, Open Plan uses the Version 2 Cost Calculation Method automatically. A baseline must be selected in order for Open Plan to calculate earned value.

  • If the Use Version 2 Cost Calculation Method is selected, Open Plan calculates this value by summing the values in the Level field of the Assignment table adjusted for any curve, offset, or period that may be defined.

Labor Cost

This value represents the total cost of labor budgeted for the project. The Labor Cost BAC for the project is stored in the BAC_LAB field on the Project table. This value is calculated by summing the values in the BAC_LAB field on the Activity table.

The calculations that are performed at the activity level depend on whether the Use Version 2 Cost Calculation Method option is selected on this tab of the Project Properties dialog box.

  • By default, the Use Version 2 Cost Calculation Method is cleared for new projects. In this mode, Open Plan calculates Labor Cost BAC by summing the values in either the unescalated labor resource cost field (RES_CST) or the escalated labor resource cost field (RES_ESC) in the Performance Measurement Baseline (PMB) on the Baseline Usage table. The value that Open Plan uses in this calculation is determined by a setting on the Cost Calculations dialog box:

    • If the Use Resource Cost Escalation option is cleared on the Cost Calculations dialog box, Open Plan uses the RES_CST field.

    • If the Use Resource Cost Escalation option is selected on the Cost Calculations dialog box, Open Plan uses the RES_ESC field.

    By always using the PMB when it is available, Open Plan provides consistency and reliability. If there is no baseline named PMB, Open Plan uses the currently selected baseline, or, in the case of multiple selected baselines, the baseline identified as Baseline 1. If the project contains baselines, but none is selected or named PMB, Open Plan prompts you to select a baseline. If the project has no baselines, Open Plan uses the Version 2 Cost Calculation Method automatically. A baseline must be selected in order for Open Plan to calculate earned value.

  • If the Use Version 2 Cost Calculation Method option is selected, Open Plan calculates this value by summing the values in the Level field of the Assignment table adjusted for any curve, offset, and period that may be defined, and multiplying this value by the appropriate Labor Cost rate. The rate that Open Plan uses is determined by a setting on the Cost Calculations dialog box:

    • If the Use Resource Cost Escalation option is cleared on the Cost Calculations dialog box, Open plan uses the unit rate for all entries.

    • If the Use Resource Cost Escalation option is selected on the Cost Calculations dialog box, Open Plan uses the relevant escalated rates for each entry.

Material Cost

This value represents the total cost of materials budgeted for the project. The Material Cost BAC for the project is stored in the BAC_MAT field on the Project table. This value is calculated by summing the values in the BAC_MAT field on the Activity table.

The calculations that are performed at the activity level depend on whether the Use Version 2 Cost Calculation Method option is selected on this tab of the Project Properties dialog box.

  • By default, the Use Version 2 Cost Calculation Method is cleared for new projects. In this mode, Open Plan calculates Material Cost BAC by summing the values in either the unescalated material resource cost field (RES_CST) or the escalated material resource cost field (RES_ESC) in the Performance Measurement Baseline (PMB) on the Baseline Usage table. The value that Open Plan uses in this calculation is determined by a setting on the Cost Calculations dialog box:

    • If the Use Resource Cost Escalation option is cleared on the Cost Calculations dialog box, Open Plan uses the RES_CST field.

    • If the Use Resource Cost Escalation option is selected on the Cost Calculations dialog box, Open Plan uses the RES_ESC field.

    By always using the PMB when it is available, Open Plan provides consistency and reliability. If there is no baseline named PMB, Open Plan uses the currently selected baseline, or, in the case of multiple selected baselines, the baseline identified as Baseline 1. If the project contains baselines, but none is selected or named PMB, Open Plan prompts you to select a baseline. If the project has no baselines, Open Plan uses the Version 2 Cost Calculation Method automatically. A baseline must be selected in order for Open Plan to calculate earned value.

  • If the Use Version 2 Cost Calculation Method option is selected, Open Plan calculates this value by summing the values in the Level field of the Assignment table adjusted for any curve, offset, and period that may be defined, and multiplying this value by the appropriate Material Cost rate. The rate that Open Plan uses is determined by a setting on the Cost Calculations dialog box:

    • If the Use Resource Cost Escalation option is cleared on the Cost Calculations dialog box, Open plan uses the unit rate for all entries.

    • If the Use Resource Cost Escalation option is selected on the Cost Calculations dialog box, Open Plan uses the relevant escalated rates for each entry.

ODC (Other Direct Costs)

This value represents the total of Other Direct Costs (ODC) budgeted for the project. The ODC Cost BAC for the project is stored in the BAC_ODC field on the Project table. This value is calculated by summing the values in the BAC_ODC field on the Activity table.

The calculations that are performed at the activity level depend on whether the Use Version 2 Cost Calculation Method option is selected on this tab of the Project Properties dialog box.

  • By default, the Use Version 2 Cost Calculation Method is cleared for new projects. In this mode, Open Plan calculates the ODC BAC by summing the values in either the unescalated ODC cost field (RES_CST) or the escalated ODC cost field (RES_ESC) for the Performance Measurement Baseline (PMB) on the Baseline Usage table. The value that Open Plan uses in this calculation is determined by a setting on the Cost Calculations dialog box:

    • If the Use Resource Cost Escalation option is cleared on the Cost Calculations dialog box, Open Plan uses the RES_CST field.

    • If the Use Resource Cost Escalation option is selected on the Cost Calculations dialog box, Open Plan uses the RES_ESC field.

    By always using the PMB when it is available, Open Plan provides consistency and reliability. If there is no baseline named PMB, Open Plan uses the currently selected baseline, or, in the case of multiple selected baselines, the baseline identified as Baseline 1. If the project contains baselines, but none is selected or named PMB, Open Plan prompts you to select a baseline. If the project has no baselines, Open Plan uses the Version 2 Cost Calculation Method automatically. A baseline must be selected in order for Open Plan to calculate earned value.

  • If the Use Version 2 Cost Calculation Method option is selected, Open Plan calculates this value by summing the values in the LEVEL field of the Assignment table adjusted for any curve, offset, and period that may be defined, and multiplying this value by the appropriate rate. The rate that Open Plan uses is determined by a setting on the Cost Calculations dialog box:

    • If the Use Resource Cost Escalation option is cleared on the Cost Calculations dialog box, Open plan uses the unit rate for all entries.

    • If the Use Resource Cost Escalation option is selected on the Cost Calculations dialog box, Open Plan uses the relevant escalated rates for each entry.

Subcontract Cost

This value represents the total subcontract costs budgeted for the project. The Subcontract Cost BAC for the project is stored in the BAC_SUB field on the Project table. This value is calculated by summing the values in the BAC_SUB field on the Activity table.

The calculations that are performed at the activity level depend on whether the Use Version 2 Cost Calculation Method option is selected on this tab of the Project Properties dialog box.

  • By default, the Use Version 2 Cost Calculation Method is cleared for new projects. In this mode, Open Plan calculates the Subcontract Cost BAC by summing the values in either the unescalated subcontract cost field (RES_CST) or the escalated subcontract cost field (RES_ESC) for the Performance Measurement Baseline (PMB) on the Baseline Usage table. The field that Open Plan uses in this calculation is determined by a setting on the Cost Calculations dialog box:

    • If the Use Resource Cost Escalation option is cleared on the Cost Calculations dialog box, Open Plan uses the RES_CST field.

    • If the Use Resource Cost Escalation option is selected on the Cost Calculations dialog box, Open Plan uses the RES_ESC field.

    By always using the PMB when it is available, Open Plan provides consistency and reliability. If there is no baseline named PMB, Open Plan uses the currently selected baseline, or, in the case of multiple selected baselines, the baseline identified as Baseline 1. If the project contains baselines, but none is selected or named PMB, Open Plan prompts you to select a baseline. If the project has no baselines, Open Plan uses the Version 2 Cost Calculation Method automatically. A baseline must be selected in order for Open Plan to calculate earned value.

  • If the Use Version 2 Cost Calculation Method option is selected, Open Plan calculates this value by summing the values in the LEVEL field of the Assignment table adjusted for any curve, offset, and period that may be defined, and multiplying this value by the appropriate rate. The rate that Open Plan uses is determined by a setting on the Cost Calculations dialog box:

    • If the Use Resource Cost Escalation option is cleared on the Cost Calculations dialog box, Open plan uses the unit rate for all entries.

    • If the Use Resource Cost Escalation option is selected on the Cost Calculations dialog box, Open Plan uses the relevant escalated rates for each entry.

Total Cost

The value displayed in this field represents the total of the following BAC costs for the project:

  • Labor Cost

  • Material Cost

  • ODC (Other Direct Costs)

  • Subcontract Cost

Related Topics and Procedures

Related Topic

Cost Tab of the Project Properties Dialog Box


Adding and Removing Ancillary Files from a Master Project

When adding or removing an ancillary file from a master project, all external subprojects must be in the same open/close state. That is, either all external subprojects must be open, or they must all be closed.

If an ancillary file is added or removed from the master project while the external subprojects are open, their project directories are updated to reflect the change. This means that when the external subproject is later opened separately, it will have the correct ancillary file associations.

Related Topics and Procedures

Related Topics

Working With Hierarchical Projects

Interproject Relationships

Characteristics of Internal Subproject Activities

Characteristics of External Subproject Activities

Using the Open External Subprojects Dialog Box

Using Ancillary Files with External Subprojects

Saving a Master Project With a New Name

Related Procedures

Displaying Child Activities in a Network

Displaying Multiple Levels in a Network View

Creating Child Activities in a Spreadsheet

Using External Subprojects in a Hierarchy

Creating Interproject Relationships in a Network


Characteristics of External Subproject Activities

Activities that you designate as external subprojects are identical to standard activities with the following exceptions:

  • The duration of an external subproject activity is calculated from the durations of the individual activities in the external subproject during time analysis.

  • The progress information of an external subproject is based on the progress of the individual activities in the external subproject.

  • Once you have designated an activity as an external subproject, you cannot change the activity type while the external subproject is open.

  • The effect of deleting an external subproject activity depends on whether the external subproject is open:

    • If the external subproject is open, Open Plan closes the external subproject and deletes the external subproject activity.

    • If the external subproject is not open, deleting the external subproject activity has no effect on the external subproject.

  • When you expand an external subproject activity, Open Plan offers to open the external subproject.

    • If you open the external subproject, it behaves in the same way as an internal subproject, allowing you to edit, delete, cut, or copy activities. You can also drill down into the external subproject to create additional activities and move existing activities to new locations.

    • If a project contains a relationship to an activity in an unopened external subproject, Open Plan creates a temporary activity to represent the other end of the interproject relationship. These temporary activities are called foreign activities. Open Plan also creates foreign projects where needed to validate the ID of the foreign activity.

  • Saving a master project with a new name converts all open external subprojects to expanded internal subprojects and saves them as part of the master project. This results in Open Plan converting the associated external subproject activities to internal subproject activities.

  • When saving external subprojects from within a master project, Open Plan checks for the existence of a foreign subproject or foreign activity. If none exists, Open Plan sets a target project finish date for the external subproject. If necessary, Open Plan also sets a project target start to create a relationship with the external subproject activity.

The project start date that is created could overwrite a target start date previously set in the master project.

Open Plan automatically saves any external subprojects as internal subprojects when you use the Save As command to save project information. This automatic conversion also occurs the first time you save a new project. As a result, to set up a project hierarchy that includes external subprojects, you must first create and save the master project before converting any activities into external subprojects.

Converting an Activity to an External Subproject

To convert an existing activity to an external subproject, on the General tab of the Activity Details dialog box, you can change the Type field to Subproject and select the project to be used as the external subproject in the Subproject field.

Related Topics and Procedures

Related Topics

Activity Details Dialog Box

How a Network Displays a Hierarchy

Characteristics of Internal Subproject Activities

Using Ancillary Files with External Subprojects

Adding and Removing Ancillary Files from a Master Project

Related Procedures

Using External Subprojects in a Hierarchy

Creating Interproject Relationships in a Network

Displaying Child Activities in a Network

Displaying Multiple Levels in a Network View


Characteristics of Internal Subproject Activities

Activities that you designate as internal subprojects are identical to standard activities with the following exceptions:

  • The duration of the subproject is calculated from the durations of its child activities during time analysis. You cannot enter the duration on the Activity Details dialog box General tab.

  • The progress information of the subproject is based on the progress of its child activities.

  • Resource requirements assigned to a subproject do not delay the subproject during resource scheduling calculations.

  • Once you have designated an activity as a subproject, you cannot change the activity type unless you remove all of its child activities.

  • When you copy a subproject, you copy all of its child activities.

  • When you delete a subproject, you delete all of its child activities.

Converting an Activity to an Internal Subproject

You can change the Type field on the General tab of the Activity Details dialog box to Subproject to convert an existing activity to an internal subproject.

Related Topics and Procedures

Related Topics

Activity Details Dialog Box

How a Network Displays a Hierarchy

Characteristics of External Subproject Activities

Using Ancillary Files with External Subprojects

Adding and Removing Ancillary Files from a Master Project

Related Procedures

Displaying Child Activities in a Network

Displaying Multiple Levels in a Network View

Using External Subprojects in a Hierarchy

Creating Interproject Relationships in a Network


Working With Hierarchical Projects

Many planners prefer to break large projects into one or more subprojects, which can serve as high-level summaries for lower-level activities. Open Plan allows you to designate any activity as a subproject, to which you can assign "child" activities. Any child of a subproject can, in turn, represent another subproject.

The multi-project capabilities of Open Plan allow planners to create hierarchies of project information. With project hierarchies, you can break large projects down into multiple subprojects, which can serve as high-level cost and schedule summarizations for lower-level detail. Organizations can also use these features to roll up smaller projects into a single master project in order to perform scheduling and resource planning functions at a more comprehensive level.

In order to perform multi-project processing, you can create an activity that represents an entire project. The project that is represented by the activity is called an external subproject. Any activity within the external subproject can, in turn, represent still another external subproject.

A hierarchical project that contains external subprojects is called a master project.

When you save a master project, Open Plan also saves results back to all open external subprojects.

If you save a master project with a new name:

  • Open Plan converts all open external subprojects to expanded internal subprojects and saves them as part of the master project. External subprojects that are not open remain as external subprojects in the new project.

  • Open Plan preserves references to unopened external subprojects and maintains the interproject relationships.

Related Topics and Procedures

Related Topics

Setting Up Project Hierarchies

Saving a Master Project with a New Name

Using Auxiliary Files with External Subprojects

Adding and Removing Auxiliary Files from a Master Project

Interproject Relationships

Characteristics of Internal Subproject Activities

Characteristics of External Subproject Activities

Working with External Subprojects

Subprojects in Network Views

Subprojects in Spreadsheet Views

Using Ancillary Files with External Subprojects

Saving a Master Project With a New Name

Related Procedures

Displaying Child Activities in a Network

Displaying Multiple Levels in a Network View

Creating Child Activities in a Spreadsheet

Using External Subprojects

Creating Interproject Relationships in a Network


Move Activities From One Subproject to Another

You can move activities from one external subproject to another, or from an external project to a master project. You typically need to do this when activities have changed or you have additional planners and need to split up the work. Moving activities maintains relationships from the activities you move to other activities.

You can move activities when all of the following are true:

  • The activity table is the driving table for the view.

  • The master project contains one or more open external subprojects.

  • The master project and its external subprojects are open in Exclusive mode or you (the current user) have used a shared-mode lock.

In the Spreadsheet view, select the activities that you want to move, right-click, and select Move Activities… on the context menu.

In the Move Activities dialog box, the Target External Subproject group on the left displays the master project and a hierarchical list of open external subprojects. Ope Plan excludes the source external subproject(s) or master project for the selected activities from this list.

After you select a project, the Target Parent Activity group on the right displays the subprojects activities within the selected external subproject, excluding any projects/activities that are parents of the source activities.

You can either select the subproject under which you want to move the activities or select <None> to move and place the activities as the topmost children of the selected project on the left.

When you select Move Baseline Activities and Usage Open Plan copies the baseline activities and usage records when their corresponding activities are moved. Open Plan does not delete the previous baseline activity records as those records are vital to preserving baseline history. That baseline activity record displays with a value of "ID Unavailable" since the original activity to which it points no longer exists. Similarly, baseline usage records related to the old baseline activity record are not deleted (and are in fact still valid since the old baseline activity record has not been deleted). In the baseline usage spreadsheet, Open Plan displays the baseline usage records that point to the old name of the baseline activity ID as well as the new (copied) baseline usage records that point to the new (moved) baseline activity record.

The Move Baseline Activities and Usage option is enabled when you have update baseline rights and there are baselines available on the project.

If you want to remove the old baseline records, update the baseline, choosing the option to Delete all Activities No Longer in Current Project.

For more information about external subprojects, see Characteristics of External Subproject Activities.

Related Topics and Procedures

Related Topics

Move Selected Activities Dialog Box

Open External Subprojects Dialog Box

Hierarchical Projects and Subprojects Overview

Characteristics of External Subproject Activities


Saving a Master Project with a New Name

If you save a master project with a new name, the way in which each external subproject is treated depends on whether it is open at the time:

  • Open Plan converts all open external subprojects to expanded internal subprojects and saves them as part of the master project.

  • Open Plan preserves references to any unopened external subprojects and maintains the inter-project relationships.

Related Topics and Procedures

Related Topics

Characteristics of External Subproject Activities

Using Ancillary Files with External Subprojects

Adding and Removing Ancillary Files from a Master Project

Related Procedures

Using External Subprojects in a Hierarchy

Creating Interproject Relationships in a Network


Setting Up Project Hierarchies

To define a hierarchy of project information, Open Plan allows you to designate any activity as a “parent” of lower-level “child” activities. Children of a parent activity can, in turn, have child activities of their own. Thus, there are no limits on the number of hierarchical levels you can define in a project. Nor is there a requirement that a single top-level activity exist for each project.

When defining hierarchies of project information, Open Plan allow you to set up internal subprojects, which represent child activities belonging to the same project as the parent. Users can also set up external subprojects, which represent activities belonging to a different project. Both internal and external subprojects, however, function in the same way, and the same master project can contain both types of subprojects.

Periods in the activity ID indicate the hierarchical relationships between activities. For example, the subproject SUB1 might have child activities named SUB1.01, SUB1.02, and so on. Children of SUB1.01 might be named SUB1.01.01, SUB1.01.02, and so on. Depending on the context, you may have to identify an activity by using its complete ID, or you may need to enter only the local portion of the code.

Activities that you designate as subprojects are identical to standard activities with the following exceptions:

  • The duration of a subproject is dependent on its child activities. You cannot enter a duration for an activity that has been converted to a subproject.

  • Resource requirements assigned to the subproject level do not result in delaying the subproject during resource scheduling.

  • Once you have designated an activity as a subproject, you cannot change the activity type unless you remove all the child activities belonging to that subproject.

  • When you copy a subproject, you copy all child activities belonging to that subproject as well.

  • When you delete a subproject, you delete all child activities belonging to that subproject as well.

Like standard activities, you can assign target start and finish dates to subproject activities. It is also possible to define relationships between subprojects or between a subproject and an activity within another subproject.

The assignment of target dates and relationships to subprojects can have important implications when time-analyzing a network.

For more information, see Time Analysis Calculations, in the Deltek Open Plan Developer’s Guide.

To learn about internal and external subprojects, see Characteristics of Internal Subproject Activities and Characteristics of External Subproject Activities.


Subprojects in Network Views

Network views include the following features related to hierarchical projects:

  • Displaying project hierarchies

  • Adding child activities

  • Cutting and pasting activities in different subprojects

Displaying Project Hierarchies

Open Plan provides two sets of commands for displaying different hierarchical levels of a project that includes internal or external subprojects and navigating between them.

  • The Expand, Expand All, Collapse Subproject, and Collapse All commands allow you to expand and collapse the display of multiple hierarchical levels of a project within a single view.

  • The Go To Subproject, Go To Parent, and Go To Top Level commands allow you to move through the different hierarchical levels by either “drilling down” into a subproject or moving up to the parent or top level.

These commands are available for use with both internal and external subprojects.

When you expand a subproject in a network view, Open Plan can display the child activities in a frame that includes the subproject ID.

Once you expand a subproject, you can edit the displayed activities and relationships. You can also create relationships between activities both within the same subproject and in different subprojects. You cannot, however, add new activities or relationships to the expanded subproject. Instead, you must drill down to the appropriate level using the Go To Subproject command to add new activities and relationships.

Moreover, you can search for and view any activity in a network view instantly regardless of whether the activity is in the current view. When you enter an activity description, activity ID, or any available field on the Find and Replace dialog box, and click Find Next (or press Enter), Open Plan automatically navigates to the subproject where you can find the activity provided that the activity has not been filtered out by a filter assigned on the Placements dialog box.

The list of available fields is based on what is displayed in the box in the network view.

Adding Child Activities

In a network view, use the Add Child command to add child activities to a parent. If you use this command for a standard activity, Open Plan automatically converts the activity type to Subproject before allowing you to add a child. This means that Open Plan will ignore any durations for the parent activity for subsequent time analysis.

When adding a child to a parent, you enter only the local portion of the activity ID. Once you have completed entering information about the child activity, Open Plan goes to the appropriate subproject level so that you can continue entering children at that level. To return to the parent activity after entering a child, you must use the Go To Parent command.

For an external subproject, the Add Child command is available only if the external subproject is open.

Moving Activities Between Subprojects

To move activities from one subproject to another in the Network view, use the Cut and Paste commands. You can also use the Copy and Paste commands to place copies of activities into different subprojects. When you move or copy activities between subprojects, Open Plan automatically adds the appropriate prefix to the local portion of the activity ID to indicate the new parent. If Open Plan detects the presence of existing activities with potentially duplicate IDs, the local portion of the new activity IDs are renumbered as well.

You can also move an activity to a different subproject by changing the parent portion of the activity ID. When you move an activity using this technique, Open Plan retains all the relationships for the activity.

Related Topics and Procedures

Related Topics

Network View Overview

How a Network View Displays a Hierarchy

Related Procedures

Moving Up the Hierarchy in a Network View

Add Child Activities in a Network view

Move an Activity in a Network view

Copy an Activity to a Subproject


Subprojects in Spreadsheet Views

In a spreadsheet view (or in the spreadsheet pane of a barchart view), you can convert an activity into an internal subproject by adding an activity with an ID that indicates that it is a child of the subproject. For example, if the project contains an activity ACT01, adding the activity ACT01.1 to the project automatically converts ACT01 into an internal subproject.

To control the display of subprojects and their children, you can use the outlining feature of spreadsheet views to display project information hierarchically.

In a spreadsheet view using outlining, subprojects are displayed with a plus (+) sign or a minus (-) sign on the outlining button to the left of the row. If the outlining button displays a plus sign, you can expand the subproject to see more detailed information. If the outlining button displays a minus sign, the subproject is already completely expanded — clicking the outlining button collapses the subproject in this case.

Indented and Outdented Hierarchical IDs

The indent feature allows you to quickly renumber hierarchical IDs while in a spreadsheet view. When you use this feature, Open Plan renumbers the relevant ID according to the rules for automatic numbering.

The outdent feature allows you to promote an ID in a hierarchy to the level of its parent. In assigning an ID to an outdented element, Open Plan follows the rules for automatic numbering.

For more information, see Modifying Hierarchical IDs Using Indent and Outdent and Automatic Numbering within a Spreadsheet.

Related Topics and Procedures

Related Topic

Spreadsheet View Overview

Related Procedures

Add an Activity in a Spreadsheet

Add Child Activities in a Spreadsheet

Indent an Activity, Resource, or Code ID


Using Ancillary Files with External Subprojects

In many cases, an external subproject has an ancillary (resource, calendar, or code) file assigned to it. If so, the master project must also have the same file assigned. (That is, if the external subproject has an assigned resource file, the master project must also have an assigned resource file.)

Related Topics and Procedures

Related Topics

Adding and Removing Ancillary Files from a Master Project

Characteristics of External Subproject Activities

How a Network Displays a Hierarchy

Related Procedures

Using External Subprojects in a Hierarchy

Displaying Child Activities in a Network

Displaying Multiple Levels in a Network View


Working with External Subprojects

Opening External Subprojects

Each time you open a project containing external subprojects, Open Plan displays a hierarchical list of external subprojects (and externals embedded within the top layer of externals). In the Open External Subprojects dialog box, all projects are available and selected to be opened. If you want to open only certain subprojects, deselect the project(s) you do not want to open. You may also use Select All or Deselect All.

All externals opened under a master project must be opened in the same mode (exclusive, shared, read-only) as the master project. If the current user has opened one of the externals independently of the master project, the list will show a red “X” before the name of the external, indicating that it cannot be opened as part of the master. If another user has opened one or more of the externals in a mode that will prevent the current user from opening the external in the same mode as the master, the list will show a warning sign before the name of the external, indicating that it should be deselected unless the other user corrects the conflict before the current user continues. Placing your cursor over a “flagged” external subprojects that is open displays the User ID, Machine ID, Open Mode, Opened On, and User Name (Phone) of the person who opened the project.

Each column in the Open External Subprojects dialog box (Name, Owner ID, and Description) can be sorted in ascending or descending order by clicking the appropriate column heading.

Even if you did not open an external subproject at the time you opened the master project, Open Plan allows you to open the appropriate subproject later by using Expand or Expand All in the spreadsheet, barchart, or network views or by using Go To Subproject in the network view.

When opening an external subproject, Open Plan attempts to use the same access mode as used to open the master project.

If an external subproject is open, you can display and update the information for the activities in the external subproject just as if they belonged to the master project. For example, if you perform time analysis on the master project, Open Plan updates the early and late dates of the external subproject activities as well.

For closed external subprojects, however, Open Plan has access only to the summarized information stored on the subproject record. If you perform time analysis on a master project that includes a closed external subproject, for example, the early and late dates of a subproject can influence the dates calculated for the master project. On the other hand, the operation does not result in the dates for the individual activities in the closed subproject being recalculated.

External Projects and Ancillary Data Files

When you open a hierarchical project that contains external subprojects, the program checks that the master project has the same ancillary data files attached to the various external subprojects. For example, the master project must have the same code slots populated as those in the external subprojects, but the code slots can be different as long as the projects have the same structure (for example, fixed format).

  • For calendars and resource files in external subprojects opened as part of a master subproject:

If the calendar or resource file is not the same for the master and external, but if either the master project or external subproject has a blank file assigned and the other has a non-blank file, Open Plan assigns the non-blank file to the project with the blank file provided that the master project has not been opened in Shared mode (in which case an error occurs). If both projects have calendar or resource files assigned, but those files do not match, an error also occurs.

The DEFAULT calendar is considered a blank file for calendars.

  • For code files in external subprojects opened as part of a master subproject:

If the code file assigned to the external at a particular code index does not match the code file assigned to the master at the same index, Open Plan merges the two code files provided that both code files have the same structure (that is, both are punctuated or fixed-significant). In addition, the merged code file is not editable.

This merging does not occur if the code file of the external is already assigned to a different index on the master. In the latter case, an error occurs and Open Plan does not open the external. The master code file at a particular index may be a merge of any number of external code files as long as the aforementioned rules are followed.

Furthermore, there cannot be any unsaved changes in the external code file.

Converting External Projects

You can convert an external subproject into an internal subproject by using the Save As command to save the master project. This feature allows you to build large projects quickly out of existing subprojects and applies to all external subprojects that are open at the time you invoke the command.

Displaying Foreign Activities

Because Open Plan allows you to define relationships between activities in different subprojects as well as relationships that cross hierarchical levels, it is possible for a relationship between an activity (or subproject) in the master project and an activity in an external subproject to exist.

To represent such a relationship when opening an external subproject outside of the context of a master project (or when opening an external subproject that has a relationship to an activity in another subproject), Open Plan displays a dimmed “foreign activity” in the network view. Open Plan displays the top-level foreign subproject only, any external subproject beneath the master is shown as a foreign activity.

You cannot update the information for a foreign activity or any of its parents. You can delete foreign activities appearing in a subproject, but this does not delete the relationship stored in the master project.

For a description of the effect of foreign activities on time analysis calculations, see Time Analysis Calculations, in the Deltek Open Plan Developer’s Guide.

For more information about external subprojects, see Characteristics of External Subproject Activities.

Related Topics and Procedures

Related Topics

Open External Subprojects Dialog Box

Hierarchical Projects and Subprojects Overview

Characteristics of External Subproject Activities


Project Baselines

Using Project Baselines

Baselines provide a “snapshot” of project status by storing a complete set of project data for a specific point in time. By comparing baseline schedules and costs with current information, you can see the areas of the project that are deviating from the original plan. In many cases, project baselines serve as the basis of contractual agreements related to project performance.

Open Plan allows you to store multiple project baselines that you can refer to each time a major re-planning of the project occurs. For some planners, a single baseline is sufficient for determining subsequent project performance. Other planners prefer to create new baselines in order to maintain a historical record of changes over the life of the project.

You can create a project baseline at any time. Typically, you create a baseline after the initial plans are complete but before you begin entering progress information. You may create additional baselines each time a major replanning of the project occurs or when you progress with the project.

Once you have loaded baselines for a project, you can access baseline fields just as though they were part of the standard project database.

You can also use baseline fields in filters, sorts, global edits, and calculated field expressions. However, take note that the values of baseline fields depend on which baseline is currently loaded for a project.

When selecting fields to display in a view, note that the Baseline Start and Baseline Finish fields from the Activity table contain information from the baseline identified as Baseline 1.

Performance Measurement Baseline (PMB)

Open Plan also allows you to create a performance measurement baseline (PMB) that is used for cost calculations. If a PMB exists, it is used even if it is not one of the selected baselines. By always using the PMB when it is available, Open Plan provides consistency and reliability.

If there is no baseline named PMB, Open Plan uses the currently selected baseline, or, in the case of multiple selected baselines, the baseline identified as Baseline 1 for the project.

Creating a Baseline

You can create, copy, and update a project baseline at any time. Typically, you create a baseline after the initial plans are complete but before you begin entering progress information. Later, you may need to update it or copy it. To create, copy, or update a baseline, use the Baselines command from the Processes tab to display the Add Baseline dialog box.

After you create a baseline, you can update it with the current project information at any time. When updating an existing baseline, you can have Open Plan update information for activities already present in the baseline as well as for new activities (that is, activities missing from the original baseline).

Updating an Existing Baseline

When you update an existing baseline, Open Plan displays the Update Baseline dialog box.

Copying an Existing Baseline

When you copy an existing baseline, Open Plan displays the Copy Baseline dialog box. When the Copy Baseline dialog box displays, the baseline is given the name COPY_<baseline name>. You can change the name as well as the description if you desire. However, you cannot change the dates on which the baseline is based.

Related Topics and Procedures

Related Topics

Primavera P6 Baselines

Defining Access Rights to a Baseline

Managing Baselines

Baseline Issues

Using Baseline Information

Related Procedures

Creating a New Baseline

Selecting a Baseline

Deleting a Baseline

Updating a Baseline

Define Access Rights to a Baseline

Copy a Baseline


Defining Access Rights to a Baseline

You can define the access rights to a baseline for which you are the “owner.” By default, the owner of a file or baseline is the user who creates the file or baseline. By creating the file, the owner is automatically given full read/write access rights to the data and can grant rights to other users.

When you select a baseline on the Baselines dialog box and click Access Control, the Baseline Access Control dialog box displays.

For more information about defining access rights, see Security and the Security Administrator.

Related Topics and Procedures

Related Topic

Baseline Access Control Dialog Box

Related Procedure

Define Access Rights to a Baseline


Managing Baselines

Although your project can have more than three baselines, Open Plan allows up to three baselines to be available for reporting purposes at a time. You also can change the current baseline(s) at any time. You can display all selected baselines in multi-table views, barcharts, and spreadsheets.

The Summary tab of the Project Properties dialog box displays the current baseline(s) selected for the project.

This can also be seen in the Baselines dialog box. In the Baselines dialog box, you can select <Multiple Baselines> and click the Select button to display the Multiple Baselines dialog box. You can use this dialog box to select up to three baselines for the project. If the PMB does not exist, Open Plan uses the first selected baseline for cost calculations when you have multiple baselines selected.

If you are not interested in having access to baseline information, you can also specify that no baseline should be loaded with the project. When <No Baseline> is selected, this option has the effect of reducing the memory requirements of a project, and thus has the potential of improving performance. You can also select the Clear baseline data when No Baseline is selected option to clear activity baseline data. This option is only enabled when you selected <No Baseline>. You can also use the Baselines dialog box to do this, by selecting <No Baseline>.

It is also possible to delete unneeded project baselines, which can help reduce the overall size of the project data file.

Related Topics and Procedures

Related Topics

Project Properties Dialog Box

Baselines Dialog Box

Multiple Baselines Dialog Box

Project Baselines Overview

Defining Access Rights to a Baseline

Baseline Issues

Using Baseline Information

Related Procedures

Select a Single Current Baseline

Select Multiple Current Baselines

Define Access Rights to a Baseline


Baseline Information

Once you have loaded the baseline(s) for a project, you can access baseline fields just as though they were part of the standard project database. To use these fields in a view, select a baseline field (identified by the name of the current baseline) from the list of available field names.

When selecting fields, you can choose which of the current baselines you want to display. In a multi-table view, you can link to all the current baselines and display the data for each on different rows.

In resource histogram views, you can display baseline resource assignments. These assignments are based on either early, late, or scheduled dates, depending on which dates were used to create the baseline. If you are displaying the results of earned value calculations, the calculations of BCWP and BCWS are based on the Baseline Start and Baseline Finish fields stored with the baseline.

If it exists, the performance measurement baseline (PMB) is always used for the calculation of budget value regardless of whether it is selected or not.

You can also use baseline fields in filters, sorts, and calculated field expressions. Keep in mind, however, that the values of baseline fields depend on which baseline is currently loaded for a project and cannot be edited from within the view.

A common issue in many reports showing baseline information is that the set of activities stored in the baseline no longer matches the set currently defined in the project. For example, the baseline can include records of activities that were deleted in the project after the baseline was created. It is also possible to have activities in the project that were added since the last time the baseline was updated. In spreadsheet, barchart, and network views, therefore, baseline data appears only in cases where an activity exists in both the baseline and the current project. In resource histogram views, on the other hand, the resource and cost totals are based on all activities stored in the baseline, even if they no longer exist in the current project.

It is also possible to define a spreadsheet view that will show the baseline activity data as the main table in which case all baseline activities are visible. For more information on Spreadsheet views, see Spreadsheet View.

Related Topics and Procedures

Related Topics

Using Project Baselines

Baseline Issues

Baselines Dialog Box

Add Baseline Dialog Box

Copy Baseline Dialog Box

Update Baseline Dialog Box

Baseline Access Control Dialog Box

Multiple Baselines Dialog Box

Related Procedures

Selecting a Baseline

Creating a New Baseline

Updating a Baseline

Deleting a Baseline


Baseline Issues

A common issue in many reports showing baseline information is that the set of activities in the baseline no longer matches the set currently defined in the project.

For example, the baseline can include records of activities that were deleted from the project after the baseline was created. It is also possible to have activities in the project that were added since the last time the baseline was updated.

In spreadsheet, barchart, and network views, baseline data appears only in cases where an activity exists in both the baseline and the current project.

In resource histogram views, the resource and cost totals are based on all activities stored in the baseline, even if they no longer exist in the current project.

Related Topics and Procedures

Related Topics

Using Project Baselines

Using Baseline Information

Baselines Dialog Box

Add Baseline Dialog Box

Copy Baseline Dialog Box

Update Baseline Dialog Box

Baseline Access Control Dialog Box

Multiple Baselines Dialog Box

Related Procedures

Selecting a Baseline

Creating a New Baseline

Updating a Baseline

Deleting a Baseline


Baseline Processing Log

Open Plan creates an opwin.log session log each time you perform baseline processing. This logs all options on the Update Baseline and Add Baseline dialog boxes.

Related Topics and Procedures

Related Topics

Primavera P6 Baselines

Defining Access Rights to a Baseline

Managing Baselines

Baseline Issues

Using Baseline Information


Add Baseline Dialog Box

This dialog box allows you to add baselines to the list currently displayed in the Baselines dialog box. Open Plan creates an opwin.log session log each time you perform baseline processing. This logs all options on the Update Baseline and Add Baseline dialog boxes.

You have the option to create a baseline from another source project or the current project.

Name

Enter the name of the baseline.

If this baseline is to serve as the basis of Earned Value calculations, the name should be PMB (Performance Measurement Baseline).

Description

A description for the baseline.

Based On

You must indicate whether you want to use Early, Late, or Scheduled dates for storing information related to resources and costs. The choice you make determines which set of dates Open Plan stores in the Baseline Start and Baseline Finish fields for the baseline.

The Baseline Start and Baseline Finish fields serve as base dates for the calculation of earned value costs: BCWS, ACWP, and BCWP.

Unless you have performed resource scheduling on the project, the Scheduled option is not displayed in this field.

For more information about earned value calculations, see Earned Value Cost Control.

Import from another project

Select this option to import from another project.

When you select this option and there is no current source project selected, the Select dialog box displays, prompting you to select a project. The dialog box contains a list of projects with the same calendar and resource files as the current (target) project.

The list does not include the current project or any multi-projects. If you open a multi-project, the Import from another project option is disabled.

Select Project

Click this button to select another source project, which displays in the Selected project text field.

Selected project

This text field displays the selected source project. To change it, click the Select Project button.

Selecting Import from another project disables the other options related to the current project (such as the progressed activities and filters).

Create from this project

  • Ignore Progress, Use Original Project Start Date — Selecting this option creates baseline dates by performing a time analysis from the project start date. If a baseline is added without this option selected, progress to-date is considered in the baseline creation. This option is not available when the baseline is based on Schedule Dates.

  • Use Baseline of Same Name on External Subprojects — This option is enabled only when you are adding a new baseline.

    • If the master project and its external subprojects contain a baseline with the same name, selecting this option instructs Open Plan to use the external subprojects' baseline when performing calculations.

    • If this option is selected and the external subprojects do not contain a baseline with the same name as the master project's baseline, no baseline data will be available for the activities in the external subproject.

Filter

This group box contains the following filter-related fields and options:

  • Filter — You can specify a filter to limit the baseline to a defined group of activities. To limit the scope of the operation, you can either select an existing filter or click the ellipsis button to display a dialog box where you can create a new filter.

    • Exclude In-Progress Activities — If selected, this option excludes in-progress activities from being updated.

    • Exclude Completed Activities — If selected, this option excludes completed activities from being updated.

Planned Activities

This group box contains the following option for planned activities:

  • Use Resource Remaining Quantity Instead of Budget Quantity — For planned activities, this option creates baseline activity resource requirements from the remaining resource requirements instead of the budget resource requirements for activities that are not in-progress or complete. This option is not available when the baseline is based on Schedule Dates. This option is not available when the baseline is based on Schedule Dates.

Location

To display this dialog box, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, display a project in any view.

  2. On the Processes tab, select Baselines from the Dialogs menu group.

  3. In the Baselines dialog box, click New.

You can also display the Baselines dialog box by clicking Select Baseline on the Summary tab of the Project Properties dialog box.

Related Topics and Procedures

Related Topics

Baseline Issues

Using Project Baselines

Baseline Access Control Dialog Box

Baseline Date Range Dialog Box

Baselines Dialog Box

Copy Baseline Dialog Box

Update Baseline Dialog Box

Multiple Baselines Dialog Box

Project Start Date Dialog Box

Related Procedures

Creating a New Baseline

Deleting a Baseline

Selecting a Baseline

Updating a Baseline


Baseline Access Control Dialog Box

In Open Plan, you can set the security options for a baseline on a project that you have open in either Exclusive or Shared mode.

The Baseline Access Control dialog box features a grid containing the following columns:

  • Group: Clicking the down arrow at the right edge of the edit box displays a list of all the groups for which security rights are established in your database. You can select a group from this list to define rights to the baseline to all members of the group.

  • User ID: Clicking the down arrow at the right edge of the edit box displays a list of all the users for whom security rights are established in your database. You can select an individual from this list to define rights to the baseline to that specific user.

  • Copy: The entries in this column control whether the group or user has the right to copy the baseline.

  • Delete: The entries in this column control whether the group or user has the right to delete the baseline.

  • Update in Project: The entries in this column control whether the group or user has the right to update the baseline.

  • Update in Master: The entries in this column control whether the group or user has the right to update this baseline when this project is opened in the context of a master project. The master project must have a baseline with the same name that was created with the Use Baseline of the Same Name on External Subprojects option selected.

    • The Update in Project and Update in Master options are independent of each other. For example, if Update in Project was set to No, and Update in Master set to Yes, then the group or user will not be able to update the baseline if the project is opened on its own, but will be able to update the baseline if the project is opened as an external subproject.

  • View: The entries in this column control whether the baseline is included on the Baselines dialog box for the group or user.

You can assign baseline access control rights to either a group or an individual user on a single row, but not both.

Location

To display this dialog box, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, display a project in any view.

  2. On the Processes tab, select Baselines from the Dialogs menu group.

  3. In the Baselines dialog box, click Access Control.

You can also display the Baselines dialog box by clicking Select Baseline on the Summary tab of the Project Properties dialog box.

Related Topics and Procedures

Related Topics

Using Project Baselines

Baseline Issues

Baselines Dialog Box

Add Baseline Dialog Box

Copy Baseline Dialog Box

Update Baseline Dialog Box

Multiple Baselines Dialog Box

Related Procedures

Creating a New Baseline

Selecting a Baseline

Updating a Baseline

Deleting a Baseline


Baseline Date Range Dialog Box

This dialog box is used to change an activity's baseline dates.

Start Date

Use this option to select the activity's beginning date.

End Date

Use this option to select the activity's ending date.

Location

To display the Baseline Date Range dialog box, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, display a project in any view.

  2. Double-click an activity to display the Activity Details dialog box.

  3. On the Resources tab, click TimePhase.

  4. In the Show Time Phase Based On group box, select Selected Baseline.

  5. In the Date Range group box, click the ellipsis button.

Related Topics and Procedures

Related Topics

Activity Details Resources Tab

Using Project Baselines

Add Baseline Dialog Box

Baselines Dialog Box

Update Baseline Dialog Box

Related Procedures

Deleting a Baseline

Selecting a Baseline

Updating a Baseline


Baselines Dialog Box

This dialog box displays a list of baselines already included in the project file. Up to three baselines can be selected and used for reporting purposes at one time. Using this dialog box, you can change the currently selected baselines at any time.

Clear baseline data when No Baseline is selected

Select this option to clear activity baseline data. This option is only enabled when you select <No Baseline>.

<Multiple Baselines>

Use this option to display a Multiple Baselines dialog box to select up to three baselines.

<No Baseline>

If you do not want a baseline, select <No Baseline>. This option can reduce the memory requirements of a project and thus has the potential to improve performance, especially for very large projects.

Select

Click to select the currently highlighted baseline.

This option is disabled when you select more than one baseline.

Close

Click to close the dialog box without changing the active baseline.

New

Click to display the Add Baseline dialog box and define a new baseline.

Copy

Click to create a new baseline based on settings from the selected baseline. The Copy Baseline dialog box allows you to enter a name and description for the new baseline.

This option is disabled when <Multiple Baselines> or <No Baselines> is selected, or when you select more than one baseline.

Update

Click to display the Update Baseline dialog box where you can change the baseline options.

This option is disabled when <Multiple Baselines> or <No Baselines> is selected, or when you select more than one baseline.

Delete

Click to delete the selected baseline(s). You can select and delete multiple baselines at once.

This option is disabled when <Multiple Baselines> or <No Baselines> is selected. It is also disabled when you do not have rights to delete one or more of the selected baselines.

Access Control

Click to display the Baseline Access Control dialog box where you can specify access control for the selected baseline.

This option is disabled when <Multiple Baselines> or <No Baselines> is selected, or when you select more than one baseline.

Location

To display the Baselines dialog box, complete the following step:

  1. In the Project Views folder of Open Plan Explorer, display a project in any view.

  2. On the Processes tab, select Baselines from the Dialogs menu group.

You can also display the Baselines dialog box by clicking Select Baseline on the Summary tab of the Project Properties dialog box.

Related Topics and Procedures

Related Topics

Baseline Issues

Using Project Baselines

Add Baseline Dialog Box

Baseline Access Control Dialog Box

Baseline Date Range Dialog Box

Copy Baseline Dialog Box

Update Baseline Dialog Box

Multiple Baselines Dialog Box

Related Procedures

Creating a New Baseline

Deleting a Baseline

Selecting a Baseline

Updating a Baseline


Copy Baseline Dialog Box

This dialog box allows you to create a new baseline as a copy of an existing one.

When you copy a baseline that was created from a source project, the copied baseline links to the same source project.

Contents

The Copy Baseline dialog box features the following fields:

Name

Initially, this field displays the name of the baseline you are copying with a COPY_ prefix. You can change this name to one of your choice.

Description

Initially, this field displays the description of the baseline you are copying. You can change this description to one of your choice.

Based On

This field displays the type of dates on which the baseline is based: Early, Late, or Scheduled.

When you click OK, Open Plan adds the new baseline to the list of baselines and asks whether you want to select it as the current baseline.

Location

To display the Copy Baseline dialog box, complete the following step:

  1. In the Project Views folder of Open Plan Explorer, display a project in any view.

  2. On the Processes tab, select Baselines from the Dialogs menu group.

  3. In the Baselines dialog box, select the baseline you want to copy, and click Copy.

You can also display the Baselines dialog box by clicking Select Baseline on the Summary tab of the Project Properties dialog box.

Related Topics and Procedures

Related Topics

Using Project Baselines

Baseline Issues

Baselines Dialog Box

Add Baseline Dialog Box

Update Baseline Dialog Box

Baseline Access Control Dialog Box

Multiple Baselines Dialog Box

Related Procedures

Creating a New Baseline

Selecting a Baseline

Updating a Baseline

Deleting a Baseline


Multiple Baselines Dialog Box

The Multiple Baselines dialog box allows you to select up to three baselines for reporting purposes. You can change these selections at any time.

Each Baseline field displays the list of currently defined baselines for the project from which you can select.

While you can specify the Project Management Baseline (PMB), if it exists, as one of the three baselines, Open Plan uses the PMB for cost calculations even if it isn’t among those selected on this dialog box.

If there is no baseline named PMB, Open Plan uses the baseline selected as Baseline 1 for cost calculations.

Location

To display the Multiple Baselines dialog box, complete the following step:

  1. In the Project Views folder of Open Plan Explorer, display a project in any view.

  2. On the Processes tab, select Baselines from the Dialogs menu group.

  3. In the Baselines dialog box, select <Multiple Baselines>, and click Select.

You can also display the Baselines dialog box by clicking Select Baseline on the Summary tab of the Project Properties dialog box.

Related Topics and Procedures

Related Topics

Using Project Baselines

Baseline Issues

Baselines Dialog Box

Add Baseline Dialog Box

Copy Baseline Dialog Box

Update Baseline Dialog Box

Baseline Access Control Dialog Box

Related Procedures

Creating a New Baseline

Selecting a Baseline

Updating a Baseline

Deleting a Baseline


Review Baseline Changes Dialog Box

After you make changes in the Update Baseline dialog box, you can preview your changes before they are applied to the project. When you click the Preview button on the Update Baseline dialog box, Open Plan runs through the updates that would be made with the options you have selected and displays this dialog box that includes activities that would be added, deleted, renamed, and updated.

You may notice that there are more activities listed than you changed. This can happen when a change to one activity affects a related activity. For example, if you change the duration of Activity A, that affects the start date of Activity B, therefore, Activity B displays in this dialog box as updated.

Baseline Change Preview Grid

Project

This is the project name.

Activity Id

This is the ID of the activity that has changed.

Description

This is the activity description.

Action

This tells you whether the activity will be added, renamed, deleted, or updated.

If you have both renamed and updated an activity, this column only displays Renamed.

Add / Rename / Delete / Update / Total

These boxes indicate the number of activities that will be added, renamed, deleted or updated, as well as the total number of activities that will change.

Back

Click to go back to the Update Baseline dialog box if you want to edit your changes.

Continue

Click Continue to have Open Plan make the changes.

Help

Click to display the related help page.


Select Baselines to Save Dialog Box

If you perform a Save As on a project that contains at least one baseline, Open Plan automatically displays this dialog box. You can use this dialog box to select the baselines to save when you make a copy of the project.

To select multiple baselines, you can either Shift+click or Ctrl+click the desired baselines.

To cancel the copy project with baseline operation, click Cancel.

Related Topics and Procedures

Related Topics

Save As Dialog Box

Save Changes Dialog Box

Related Procedure

Saving an Open Plan File


Update Baseline Dialog Box

Once a baseline has been created, you can update it with the current Project Properties at any time. When updating an existing baseline, you can have Open Plan update information for activities already present in the baseline as well as for new activities (that is, activities missing from the original baseline).

The Update Baseline dialog box allows you to update an existing baseline, if you have rights to do so. Open Plan creates an opwin.log session log each time you perform baseline processing. This logs all options on the Update Baseline and Add Baseline dialog boxes.

Name

The name of the baseline for reference. This is not editable.

Description

The description of the baseline.

Based On

For reference. You cannot change this for an existing baseline.

Update from source project

When you select this option with no source project selected, Open Plan prompts you to select a project in the Select dialog box, which contains a list of projects with the same calendar and resource files as the current (target) project.

The list does not include the current project or any multi-projects as well as those projects to which you do not have access.

Select Project

Click this button to select a source project for the baseline. The name of the project you select displays in the Selected project text field. You can use a source project that is different from the source project used to create the baseline.

Selected project

This field displays the selected source project. To change it, click the Select Project button.

Ignore Progress, Use Original Project Start Date

Select this option to create baseline dates by performing a time analysis from the project start date. This option is not available when the baseline is based on Schedule Dates.

If the baseline is being updated from a source project and you select this option, Open Plan runs time analysis, ignoring progress, in the source project. The early or late dates (depending on the baseline type) calculated for the source project are used to update the baseline in the current project.

Use Baseline of Same Name on External Subprojects

This option is for reference only, and is checked if the Use Baseline of Same Name on External Subproject was selected when this baseline was created.

Update External Subproject Baselines

This option is only enabled if the Use Baseline of Same Name on External Subprojects option was selected when this baseline was created. If this option is selected, in order for the external subproject baselines to be updated, Update Master in the Baseline Access Control dialog box for each of the external subprojects to be updated must be set to Yes.

Filter

Filter

You can specify a filter to limit the baseline update to a defined group of activities. To limit the scope of the operation, you can either select an existing filter or click the ellipsis button to display a dialog box where you can create a new filter.

If the baseline is being updated from a source project and you select a filter, Open Plan applies it to the records that meet the criteria in the current project. It updates only those baselines activities which meet the filter with matching records in the source projects.

Exclude In-Progress Activities

If selected, this option excludes in-progress activities from being updated.

If the baseline is being updated from a source project and you select this option, Open Plan updates baseline activities if the matching current project activities are not excluded. You can, however, add activities from the source project baseline with no matching activities in the current project to the baseline.

Exclude Completed Activities

If selected, this option excludes completed activities from being updated.

If the baseline is being updated from a source project and you select this option, Open Plan updates baseline activities if the matching current project activities are not excluded. You can, however, add activities from the source project baseline with no matching activities in the current project to the baseline.

Update Activities Already in Baseline

This option allows you to control the action that Open Plan should take for activities already in the baseline that you are updating.

  • If this option is selected, Open Plan adds baseline information not only for new activities but for activities already present in the baseline as well. This is applicable to all activities that meet the chosen filter, excluding those activities that fall under the Exclude In-Progress/Completed Activities that meet the filter option.

If the baseline is being updated from a source project, activities in the current project are updated from matching activities in the source project using the options selected below.

  • If this option is not selected, Open Plan adds baseline information for only new activities (that is, activities missing from the original baseline).

In addition, selecting this option enables the following options:

  • Update Activity Data (Codes, UDFs, Description): If selected, this option updates baseline activity data, including codes, user-defined fields, and description fields. This includes all the fields that are populated during the creation of a new baseline except for dates and resources that are controlled separately. When this is selected, all activities that meet the chosen filter, excluding those activities that fall under the Exclude In-Progress/Completed Activities that meet the filter option are updated.

  • Replace Existing Baseline Dates: If selected, this option instructs Open Plan to replace the baseline dates of activities that already exist in the baseline. If selected, the baseline dates will be replaced with either the current plan dates or the dates calculated by the option Ignore Progress, Use Original Project Start Date.

  • Update Resource Quantities: If selected, this option instructs Open Plan to update baseline activity resource usage. This is applicable to all activities that meet the chosen filter, excluding those activities that fall under the Exclude In-Progress/Completed Activities that meet the filter option.

    • When baseline dates are to be replaced, the resources will be updated.

    • When not replacing the baseline dates, and if resources have changed, the current quantity will be evenly spread across the original baseline dates or a subset of the original baseline dates, depending on actual cost record dates and other factors.

Planned Activities

Use Resource Remaining Quantity Instead of Budget Quantity

For Planned Activities, this option creates baseline activity resource requirements from the remaining resource requirements instead of the budget resource requirements for activities that are not in-progress or complete. This option is not available when the baseline is based on Schedule Dates.

Existing Baseline Modifications

You can also make the following additional modifications to an existing baseline:

  • Roll-up Data to All Baseline Parents: This option is enabled only when you are updating an existing baseline. If selected, this option rolls up all dates, budget cost, and labor quantity data in the baseline to its parent level.

  • Delete All Activities no Longer in Current Project: This option is enabled only when you are updating an existing baseline. If selected, this option compares the baseline project with its current counterpart and deletes any activities from the baseline that no longer exist in the current project.

Preview Button

After you make changes in this dialog box, you can preview your changes before they are applied to the project. When you click the Preview button, Open Plan runs through the updates that would be made with the options you have selected and displays a Review Baseline Changes dialog box that includes activities that would be added, deleted, and updated.

You can click Continue to have Open Plan make the changes, or go back to the Baseline Update dialog box to change the options or to continue with the update.

Location

To display the Update Baseline dialog box:

  1. In the Project Views folder of Open Plan Explorer, display a project in any view.

  2. On the Processes tab, select Baselines from the Dialogs menu group.

  3. In the Baselines dialog box, select the baseline you want to update, and click Update.

You can also display the Baselines dialog box by clicking Select Baseline on the Summary tab of the Project Properties dialog box.

Related Topics and Procedures

Related Topics

Baseline Issues

Using Project Baselines

Add Baseline Dialog Box

Baseline Access Control Dialog Box

Baseline Date Range Dialog Box

Baselines Dialog Box

Copy Baseline Dialog Box

Multiple Baselines Dialog Box

Filters

Related Procedures

Creating a New Baseline

Deleting a Baseline

Selecting a Baseline

Updating a Baseline


Copy a Baseline

When you copy a baseline that was created from a source project, the copied baseline links to the same source project.

To copy a baseline:

  1. In the Project Views folder of Open Plan Explorer, display a project in any view.

  2. On the Processes tab, select Baselines from the Dialogs menu group.

  3. In the Baselines dialog box, select the baseline you want to copy, and click Copy.

  4. In the Copy Baseline dialog box, enter a new name and description for the baseline if you so desire, and click OK.

You can also display the Baselines dialog box by clicking Select Baseline on the Summary tab of the Project Properties dialog box.

If you rename the baseline copy to the name of an existing baseline, Open Plan displays the Overwrite Existing Baseline dialog box. Click OK to overwrite the existing baseline.

Related Topics and Procedures

Related Topic

Project Properties Dialog Box


Create a New Baseline (Procedure)

Create a New Baseline

Use this procedure to create a new baseline.

To create a new baseline:

  1. In the Project Views folder of Open Plan Explorer, display a project in any view.

  2. On the Processes tab, select Baselines from the Dialogs menu group.

  3. In the Baselines dialog box, click New.

  4. In the Add Baseline dialog box, enter a name and a description for the baseline.

  5. From the Based On list, select whether you want to use Early, Late, or Scheduled dates for storing information related to resources and costs.

  6. Select either the Import from another project or Create from this project option, depending on the source project from which you want to create the baseline.

  7. If you select Create from this project, select the appropriate options for progressed activities.

  8. Click OK.

You can also display the Baselines dialog box by clicking Select Baseline on the Summary tab of the Project Properties dialog box.

Related Topics and Procedures

Related Topic

Add Baseline Dialog Box

Related Procedures

Selecting a Baseline

Updating a Baseline

Deleting a Baseline


Define Access Rights to a Baseline

You must be the owner of the baseline or have SYSADMIN rights in order to define access rights to it.

To define access rights to a baseline, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, display a project in any view.

  2. On the Processes tab, select Baselines from the Dialogs menu group.

  3. In the Baselines dialog box, select a baseline, and click Access Control.

  4. In the Baseline Access Control dialog box, assign access rights to the baseline.

  5. When finished, click OK.

You can also display the Baselines dialog box by clicking Select Baseline on the Summary tab of the Project Properties dialog box.

Related Topics and Procedures

Related Topic

Baselines Dialog Box


Delete a Baseline (Procedure)

Delete a Baseline

To delete a baseline, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, display a project in any view.

  2. On the Processes tab, select Baselines from the Dialogs menu group.

  3. In the Baselines dialog box, select the baseline you want to delete, and click Delete.

    4. The Baseline dialog box Delete button is disabled when <Multiple Baselines> or <No Baselines> is selected. It is also disabled when you do not have rights to delete one or more of the selected baselines.

  4. When Open Plan asks you to confirm the deletion, click Yes.

You can also display the Baselines dialog box by clicking Select Baseline on the Summary tab of the Project Properties dialog box.

Related Topics and Procedures

Related Topic

Baselines Dialog Box

Related Procedures

Selecting a Baseline

Creating a New Baseline

Updating a Baseline


Preview Baseline Changes Prior to Updating the Baseline

Prior to making changes to a baseline, Open Plan allows you to change the baseline options and preview the changes before implementing them.

To preview baseline changes, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, display your project in any view.

  2. On the Processes tab, select Baselines from the Dialogs menu group.

  3. On the Baselines dialog box, select the baseline you want to update, and click Update.

  4. On the Update Baseline dialog box, make changes to the options as needed.

  5. Click the Preview button.

Open Plan runs through the updates that would be made with the options you have selected and generates a preview report that includes activities that would be added, deleted, and updated. You can click Continue to have Open Plan make the changes, or go back to the Baseline Update dialog box to change the options or to continue with the update.

Related Topics and Procedures

Related Topics

Baseline Issues

Using Project Baselines

Related Procedures

Creating a New Baseline

Deleting a Baseline

Selecting a Baseline

Updating a Baseline


Selecting a Baseline (Procedure)

Selecting a Baseline

To select a baseline, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, display a project in any view.

  2. On the Processes tab, select Baselines from the Dialogs menu group.

  3. In the Baselines dialog box, select a baseline, and click Select.

If you do not want to load a baseline with the project at this time, select <No Baseline> from the list. You can also select the Clear baseline data when No Baseline is selected option to clear activity baseline data. This option is only enabled when you selected <No Baseline>.

If you select <Multiple Baselines>, the Multiple Baselines dialog box displays, which allows you to select up to three baselines for reporting purposes. For more information, see Select Multiple Current Baselines.

You can also display the Baselines dialog box by clicking Select Baseline on the Summary tab of the Project Properties dialog box.

Related Topics and Procedures

Related Topic

Baselines Dialog Box

Multiple Baselines Dialog Box

Related Procedures

Creating a New Baseline

Updating a Baseline

Deleting a Baseline


Select a Single Current Baseline

To select a single current baseline, complete the following steps:

  1. Select the appropriate project, and take one of the following actions:

    • On the Processes tab, click Baselines.

    • On the Summary tab of the Project Properties dialog box, click Select Baseline.

  2. In the Baselines dialog box, select the baseline that you want as the current baseline.

    3. If you do not want to load a baseline at this time, select <No Baseline> from the list.

  3. Click Select.

Related Topics and Procedures

Related Topics

Project Baselines Overview

Managing Baselines

Related Procedure

Select Multiple Current Baselines


Select Multiple Current Baselines

To select a single current baseline, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, display a project in any view.

  2. On the Processes tab, select Baselines from the Dialogs menu group.

  3. In the Baselines dialog box, select <Multiple Baselines>, and click Select.

  4. In the Multiple Baselines dialog box, select up to three baselines and click OK.

You can also display the Baselines dialog box by clicking Select Baseline on the Summary tab of the Project Properties dialog box.

Related Topics and Procedures

Related Topics

Multiple Baselines Dialog Box

Project Baselines Overview

Managing Baselines

Related Procedure

Select a Single Current Baseline


Update a Baseline (Procedure)

Update a Baseline

Use this procedure to update a baseline.

To update a baseline:

  1. In the Project Views folder of Open Plan Explorer, display a project in any view.

  2. On the Processes tab, select Baselines from the Dialogs menu group.

  3. In the Baselines dialog box, select the baseline you want to update, and click Update.

If you have not selected the baseline previously for the selected project, Open Plan will ask you if you want to select it. Click Yes.

  4. Use the Update Baseline dialog box to make the necessary changes to the baseline.

  5. Click OK.

You can also display the Baselines dialog box by clicking Select Baseline on the Summary tab of the Project Properties dialog box.

Related Topics and Procedures

Related Topic

Update Baseline Dialog Box

Baselines Dialog Box

Related Procedures

Selecting a Baseline

Creating a New Baseline

Deleting a Baseline


Project Analysis

Open Plan provides several tools that are designed to facilitate project analysis. These are:

  • Time Analysis: The process of calculating the early and late dates for each activity on a project, based on the Time Now date, the duration of the activities, and the logical relations between them. In addition to using this tool on a regular basis to check the status of the project and to change the Time Now date, many project planners also use time analysis in order to determine whether they will be able to meet the project deadlines.

  • Risk Analysis: The powerful risk analysis feature of Open Plan allows you to define and analyze the factors of uncertainty or risk associated with a project. When using this feature, you enter three durations (optimistic, pessimistic, and most likely) for activities. During the risk analysis process, Open Plan uses random durations within the defined range and distribution profile and runs time analysis multiple times. (The actual number of times that time analysis is performed is a user-defined value.) This process generates statistical outcomes for your project completion date. This feature is frequently used for high-risk projects.

  • Resource Scheduling: The process of calculating a set of scheduled dates that takes into account the resource requirements of each activity and the availability of these resources. Open Plan offers two types of resource scheduling algorithms:

    • Time Limited Resource Scheduling

    • Resource Limited Resource Scheduling

    Using advanced resource management techniques such as splitting, stretching, and reprofiling activities, you can refine the ways in which an activity is scheduled. Using these and other techniques, you can maximize the use of resources that may be in short supply.

  • Cost Calculations: The process of summarizing resource hours and costs to the activity and subproject level. This feature is useful for determining the cost at all levels of the project and for calculating earned value. In order to ensure that baseline cost values are correct, this process should be run before setting a baseline.

  • Progress Calculations: The progressing function calculates status information about both activities and resources in a project that is underway. Automatic progress calculations are run for several reasons. Some of these are:

    • To automatically enter activity status information

    • To update the physical percent complete for BCWP calculations

    • To update resource progress based on activity status

  • Baselines: Baselines provide a "snapshot" of a project by storing a set of project data for a specific point in time. By comparing baseline schedules and costs with current information, you can see the areas of the project that are deviating from the original plan.

Related Topics and Procedures

Related Topics

Using Time Analysis

Using Risk Analysis

Using Resource Scheduling

Using Resource Allocation

Using Project Baselines

Entering Progress Information

Earned Value Cost Control

Related Procedures

Performing Time Analysis

Performing Resource Scheduling

Performing Resource Allocation


Interproject Calculations

When performing interproject calculations, Open Plan takes into account only the information that is available. Therefore, the way in which Open Plan performs calculations on projects containing external subprojects depends on whether or not the external subprojects are open at the time the calculations are performed:

  • If the external subproject is open, Open Plan performs calculations on all activities in the hierarchical project. When the project is saved, the results of the calculations are saved to the open external subproject.

  • If the external subproject is not open, Open Plan performs time analysis by treating the early and late dates stored for the external subproject as though they were On Target dates and does not write new target start and finish dates back to the subproject when the processing is complete.

Open Plan uses the following conventions when calculating dates for projects containing foreign activities:

  • During the forward pass, Open Plan treats an early date from a foreign activity as though it were a Not Earlier Than target date.

  • During the backward pass, Open Plan treats a late date from a foreign activity as though it were a Not Later Than target date.

The dates on the foreign activities themselves are not affected by time analysis.

If no dates exist for a foreign activity, Open Plan treats the activity as any other activity and stores a message to that effect in the session log.

Related Topics and Procedures

Related Topics

Using Time Analysis

Using the Time Analysis Options Tab

Using Resource Scheduling

Using the Resource Scheduling Options Tab

Related Procedures

Performing Time Analysis

Performing Resource Scheduling

Performing Resource Allocation


Time Analysis

The ability to schedule a network that contains thousands (or tens of thousands) of activities is the hallmark of all high-end project management systems. Time analysis is the process of determining the overall schedule of a project by calculating start and finish dates for each activity in the project. The time analysis calculations performed by Open Plan are specifically designed to schedule large networks with speed, accuracy, and efficiency.

For more information about the calculations performed by time analysis, see Time Analysis Rules and Conditions, and Time Analysis Calculations in the Deltek Open Plan Developer's Guide.

The calculations performed by time analysis are based on the Time Now date, the duration of the activities, the logical relations between them, and activity progress. Time analysis does not take into consideration the availability of the resources required by each activity.

In determining the overall schedule, time analysis calculates the following data for the project:

Early dates

Calculated in the forward pass of time analysis. Early dates are the earliest dates on which an activity can start and finish.

Late dates

Calculated in the backward pass of time analysis. Late dates are the latest dates on which an activity can start and finish.

Float

Float is the number of time periods by which an activity can be delayed without affecting other activities in a project. During time analysis, Open Plan calculates two principal float values:

  • Total Float: The difference between the early and late start dates, measured in working periods of the activity calendar. Total float can be either positive or negative.

  • Free Float: The maximum amount by which an activity can be delayed beyond its early dates without delaying any successor activity beyond its early dates. If target finish dates are not set, free float is always less than, or equal to, total float. Free float cannot be negative.

Project information

Each time you perform time analysis, Open Plan calculates the following information for the project:

  • The computed status of the project as follows:

  • Planned

  • In-progress

  • Complete

  • The latest early finish date in the project

  • The latest late finish date in the project

  • Percentage of the total project duration that is complete

  • The minimum value for total float for any activity (or activities) in the project

Subproject information

Open Plan calculates the following information for each subproject during time analysis:

  • Original duration of the subproject

  • Early and late dates

  • You can set a system preference to have Open Plan copy a summary of this data to the early and late date fields of the activity representing the subproject.

  • Computed remaining duration for the subproject

  • Percentage of the subproject duration that is complete

  • The computed status of the subproject

  • Float

In addition, the time analysis function provides the following information about each subproject:

A flag for the following activity types:

    • Start activity: A subproject without predecessors

    • Finish activity: A subproject without successors

    • Isolated activity: A subproject with neither predecessors nor successors

    • Start/finish activity: A subproject that has successors only from its start and/or predecessors only from its finish

One of the following indications of the subproject's criticality:

    • Not critical: A subproject that has total float greater than zero

    • Critical: A subproject that has total float less than or equal to zero

    • Most critical: A subproject that has total float equal to the smallest value for the project

    • Controlling critical: A subproject that is potentially critical but has float due to calendars

Activity information

In addition to early dates, late dates, and float, the time analysis calculations in Open Plan provide the following information about each activity in the project:

  • Computed remaining duration of the activity

  • Computed status of the activity as planned, in-progress, or complete

  • A flag for the following activity types:

    • Start activity: an activity without predecessors

    • Finish activity: an activity without successors

    • Isolated activity: an activity with neither predecessors nor successors

    • Start/finish activity: A activity that has successors only from its start and/or predecessors only from its finish

  • One of the following indications of the activity's criticality:

    • Not critical

    • Critical: total float less than or equal to zero

    • Most critical: total float equal to the smallest value for the project

    • Controlling critical: potentially critical but has float due to calendars

Time Analysis Functions

Time analysis consists of three separate functions:

  • Forward pass: Open Plan calculates the early start and early finish dates in the forward pass by starting at the Time Now date and moving forward through the project as determined by the relationships between activities. As it moves through the project, Open Plan adds the durations of the individual activities and considers any lags between them.

  • Backward pass: Open Plan calculates the late start and late finish dates in the backward pass by starting at the project finish date and moving backward through the project as determined by the relationships between activities. As it moves through the project, Open Plan subtracts the durations of the individual activities and considers any lags between them.

  • Float calculations: Open Plan calculates two principal float values during time analysis: total float and free float.

In general, factors that affect time analysis are specified when entering or modifying activity data and when progressing a project. These factors are:

  • Target dates

  • Activity types

  • Relationship types

  • Lags

  • Calendars

  • Activity progress

Open Plan provides three ways to perform time analysis on a project:

Option

Description

Time Analysis dialog box

When you select a project and click Time Analysis » Options on the Processes tab, or you click Time Analysis but you have not entered a Time Now for the project, Open Plan displays the Time Analysis dialog box.

Perform Time Analysis button

You can perform time analysis whenever you want to by clicking the Perform Time Analysis button on the Processes tab.

When you perform time analysis using this method, the settings that were last set on the Time Analysis dialog box control the operation. If you have not entered a Time Now for the project, Open Plan automatically displays the Time Analysis dialog box before allowing you to proceed.

To automatically calculate dates for new activities, select the Calculate dates even if TA is turned off? field on the Options dialog box Project tab.

Automatic time analysis

When you perform time analysis, you can set an option that performs time analysis automatically whenever you change the logic of the project or make any time-related change to an activity. You can also set automatic time analysis by clicking [image] on the Processes tab.

The following actions change the logic of the project:

  • Adding an activity

  • Deleting an activity

  • Cutting an activity

  • Pasting an activity

  • Changing an activity type

  • Adding target dates

  • Adding a relationship

  • Deleting a relationship

  • Changing a relationship type

For more information, see Automatic Time Analysis. For steps to enable this feature, see Enable Automatic Time Analysis.

To automatically calculate dates for new activities, select the Calculate dates even if TA is turned off? field on the Options dialog box Project tab.

Session Log

Each time you perform time analysis using either the Time Analysis dialog box or the Time Analysis button, Open Plan creates a session log file that records any system or error messages issued during the operation. Open Plan saves the file (Opp_ta.log) and allows you to examine its contents at the conclusion of each session.

Included in each session log is a list of all start and finish activities in a project.

Open Plan does not produce a session log file if you have enabled the automatic time analysis mode.

Calendar File

If no calendar file is assigned to the project, time analysis assumes an 8-hour day, 5 days per week with no holidays. If this is not what your project needs, you must add a calendar.

Related Topics and Procedures

Related Topics

When to Perform Time Analysis

Using Time Analysis

Time Analysis Dialog Box

Early and Late Dates

Float Calculations

Related Procedures

Setting Time Now

Setting Time Analysis Preferences

Enabling Automatic Time Analysis

Disabling Automatic Time Analysis

Performing Time Analysis


When to Perform Time Analysis

If you have selected the option to perform time analysis whenever data changes, you do not need to specifically perform time analysis, as Open Plan performs this calculation automatically.

If you have not selected the automatic time analysis feature, you can perform time analysis at any time. Typically, you will want to perform this calculation when you have:

  • Entered all the activities for a project

  • Changed the logic of the project, for example:

  • You have added or deleted one or more activities and their relationships.

  • You have changed the target dates or durations of one or more activities.

  • You have changed the relationship between any two activities.

  • Changed the calendars used by the project

  • Changed Time Now

  • Entered progress information for any activities in the project

  • Changed the target start or finish date for the project

Related Topics and Procedures

Related Topics

Using Time Analysis

Time Analysis Dialog Box

Related Procedures

Setting Time Now

Enabling Automatic Time Analysis

Disabling Automatic Time Analysis

Performing Time Analysis


Time Analysis for Multiple Projects (Batch Mode)

You can perform time analysis in Batch Mode. This allows you to run time analysis for multiple projects at one time. To run time analysis in Batch Mode, select more than one project in the Open Plan Explorer Details pane and click Perform Time Analysis. The Time Analysis [Batch Mode] dialog box displays. Set your options, and click OK.

  • If a project is closed, Open Plan will open it in Exclusive mode, perform the process, save the changes, and then close the project.

  • If a project cannot be opened in Exclusive mode (because another user has it open in Exclusive or Shared mode), it will be skipped.

If you have a project open when the batch process is run, time analysis will be performed on the project but the changes will not be saved and the project will remain open. You must manually save the changes yourself.

Open Plan creates one time analysis session log listing the project results in the order in which the projects were processed in the batch.


Automatic Time Analysis

Open Plan includes an automatic mode that performs time analysis whenever you:

  • Change the logic of the project by cutting, pasting, adding, or deleting an activity

  • Change activity information such as target dates or durations

  • Enter progress information about activities

  • Change project information such as the target dates or Time Now

To enable or disable the automatic time analysis mode, select Analyze Each Time Data Changes on the Options tab of the Time Analysis dialog box.

You can also click [image] on the Processes tab to enable or disable the automatic time analysis mode.

Time Now is the project status date. All project information is assumed to be complete up to Time Now, and Open Plan will not schedule any activities prior to this date. If this is not appropriate for your project, you can set the value of Time Now on either the Time Analysis dialog box or the Status tab of the Project Properties dialog box.

You can also set Open Plan to run time analysis automatically for new activities without enabling the Auto-analyze option. For more information, see Options dialog box - Project tab.

Related Topics and Procedures

Related Topics

When to Perform Time Analysis

Using Time Analysis

Time Analysis Dialog Box

Related Procedures

Enabling Automatic Time Analysis

Disabling Automatic Time Analysis

Performing Time Analysis


Early and Late Dates

Time analysis calculates four dates for each activity in a project: early start, early finish, late start, and late finish.

  • Early Start: The earliest date on which an activity can start

  • Early Finish: The earliest date on which an activity can finish

  • Late Start: The latest date on which an activity must start if the project completion date and target dates are to be met

  • Late Finish: The latest date on which an activity must be completed if the project completion date and any finish target dates are to be met

Open Plan calculates the early start and early finish dates in what is known as the forward pass through the project data. During the forward pass, Open Plan starts at the Time Now date and moves forward through the project in the order determined by the relationships between the activities. As it moves through the project, Open Plan adds the durations of the individual activities as well as any lags on the relationship between them.

Open Plan calculates the late start and late finish dates in what is known as the backward pass. During the backward pass, Open Plan starts at the project finish date and considers the relationships between activities to move through the project in reverse order. As it moves through the project in reverse, Open Plan subtracts the durations of the individual activities and considers any lags between them.


Float Calculations

In general, float is the number of time periods by which an activity can be delayed without affecting other activities in a project. Open Plan calculates two principal float values during time analysis: total float and free float.

An activity's total and free floats should not change whether the TA Actual Dates option is on or off.

Total Float

Total float is the difference between the early and late start dates measured in working periods of the activity calendar.

Total float can be either positive or negative. For example, assume a 7-day work week. If an activity has an early start date of July 1 and a late start date of July 10, that activity would have a total float of 9 days. On the other hand, if the activity has an early start date of July 10 and a late start date of July 1, the activity would have a total float of –9 days. If the target date is not set, no floats will be negative. If all activities in a project use the same calendar and if target dates have not been set, there is always at least one path through the project with exactly zero total float. This is known as the critical path.

There can be more than one critical path.

Free Float

Free float is the maximum amount by which an activity can be delayed beyond its early dates without delaying any successor activity beyond its early dates. If target finish dates have not been set, free float is always less than or equal to total float. Free float can never be negative.

Time analysis also calculates two float values related to relationships (relationship total float and relationship free float) and two float values that have special relevance to discontinuous activities and subprojects (finish total float and finish free float).

Regardless of the relationship type, a relationship between two completed activities should be 0. Thus, floats on relationships between those activities is also 0.


Supplemental Activity Information

In addition to early dates, late dates, and float, the time analysis function in Open Plan provides the following information about each activity in the project:

  • The computed remaining duration of the activity.

  • The computed status of the activity as follows:

  • Planned

  • In-progress

  • Complete

  • A flag for the following activity types:

  • Start activity: An activity without predecessors.

  • Finish activity: An activity without successors.

  • Start/finish activity: A discontinuous activity that has successors only from its start and predecessors only from its finish.

  • One of the following indicators of activity criticality:

  • Not critical

  • Critical: Total float less than or equal to zero.

  • Most critical: Total float equal to the smallest value for the entire project.

  • Controlling critical: Has float due to its own calendar but causes a successor to be critical.

  • Out of Sequence (OUTOFSEQ): A flag to indicate if the activity has been progressed out of sequence.


Project and Subproject Information

Project Information

Each time you perform a time analysis, Open Plan calculates the following information for the project:

  • The computed status of the project as follows:

  • Planned

  • In-progress

  • Complete

  • The latest early finish date in the project

  • The latest late finish date in the project

  • Percentage of the total project duration that is complete

  • The minimum value for total float for any activity (or activities) in the project

  • The number of in-progress activities

  • The number of completed activities

Subproject Information

Open Plan calculates the following information for each subproject (both internal and external) during time analysis:

  • The duration of the subproject

  • Early and late dates

  • The remaining duration for the subproject if it’s activities are in progress


Time Analysis Rules and Conditions

Rules for the Rollup of Actual Dates to the Actual Start/Finish Fields in the Parent Subproject(s)

These rules are applicable whether the child task is also a subproject or just a lowest-level task.

  • An actual start date is rolled up to the Actual Start field of its subproject parent, provided that the actual start date is the earliest of any of the actual start or early start dates of any of its siblings.

  • An actual finish date is rolled up to the Actual Finish field of its subproject parent, provided that all of its siblings also have actual finish dates, and the actual finish date is the latest of any of the actual finish dates of any of its siblings. Actual finish dates are rolled up even if the corresponding actual start date on a task is blank.

  • If an actual start date appears at a particular level in the task hierarchy, this means that no actual start date or early start date, in the absence of an actual start date, is earlier among all lower levels of child tasks.

  • If a project contains an external subproject that is not open, Open Plan is not able to recalculate the schedule for the external subproject. In this case, Open Plan uses the saved time analysis dates (if available) for the external project when summarizing actual dates.

Rules for EARLY Start/Finish Rollup when both the Actual Date Option AND Observe Actual Future Dates option are Enabled

  • A future actual start date is rolled up to the Early Start field of its subproject parent, provided that the actual start date is the earliest of any of the actual start OR early start dates of any of its siblings.

  • A future actual finish date is rolled up to the Early Finish field of its subproject parent, provided that its actual finish date is the latest of any of the actual OR early finish dates of any of its siblings. In this case, its siblings do not need to have actual finish dates.

  • If the Observe Actual Future Dates option is NOT enabled, rollup will observe the aforementioned rules provided that the actual dates are ON or BEFORE time now.

Effect of Actual Dates on the Schedule with the Actual Date Option Enabled

  • If an actual date occurs ON or BEFORE time now, whether or not the Observe Actual Future Dates option IS enabled, actual dates do not "influence" the schedule. Influence means changing the early dates of predecessor or successor activities. This is due to the fact that actual dates are usually in the past, or at the latest, starting at time now, which is the point from which future work is scheduled. In the time analysis process, with "normal" actual dates, Open Plan replaces early dates with actual dates at the end of the process when early dates for activities have already been scheduled.

  • If an actual start date occurs AFTER time now without an actual finish date, and the future actual dates option is NOT enabled, the actual start date is ignored.

  • If an actual start date occurs BEFORE or AT time now with an actual future finish date, the early finish date is set to be equal to time now and the early start date is set to the actual start if the Observe Actual Future Dates option is NOT enabled.

  • If both the actual start and actual finish dates occur AFTER time now, both the early start and finish dates are set to be equal to time now if the Observe Actual Future Dates option is NOT enabled.

  • If an actual date occurs AFTER time now, and the Observe Actual Future Dates option IS enabled (regardless of the setting of the Actual Date Option), that activity may influence the scheduled dates of its predecessors and successors.

    • When an actual start date is added to a predecessor task, the early finish is recalculated based on the actual start date (ASDATE) plus the remaining duration. The successor task's early start date in a finish-to-start relationship is recalculated so that the new calculated finish date of its predecessor is taken into account.

    For example, you have two sibling tasks, 1.03.03 and 1.03.04, and 1.03.03 is the predecessor to 1.03.04. If time analysis is performed with time now = 01Jan20, you may get the following results:

    Activity ID | Duration | ASDATE | T/A ESDATE | T/A EFDATE
1.03.03 | 50d | None | 01May20 | 09Jul20
1.03.04 | 38d | None | 10Jul20 | 01Sep20

    If you add a future actual start date to the predecessor task (1.03.03), the early start date for the successor task gets shifted to allow for the new calculated finish of the predecessor if the Observe Actual Future Dates is ON:

    Activity ID | Duration | ASDATE | T/A ESDATE | T/A EFDATE
1.03.03 | 50d | 01Sep20 | 01Sep20 | 09Nov20
1.03.04 | 38d | None | 10Nov20 | 04Jan21

    If you turn off the Observe Actual Future Dates option and re-run time analysis, you will get the same results as if you had no actual start date at all on activity 1.03.03.

Related Topics and Procedures

Related Topics

Time Analysis Overview

Options Tab


Time Analysis Session Log

Provided that automatic time analysis is not enabled, Open Plan creates a session log each time you perform time analysis. This logs all options on the Time Analysis dialog box.

Use Open Log on the Processes menu to view the log.

Related Topics and Procedures

Related Topics

Using Time Analysis

When to Perform Time Analysis

Using the Time Analysis Options Tab

Using the Time Analysis Advanced Tab

Related Procedures

Enabling Automatic Time Analysis

Disabling Automatic Time Analysis

Viewing a Time Analysis Session Log


Time Analysis Dialog Box

When you select a project and click Time Analysis » Options on the Processes tab, or you click Time Analysis but you have not entered a Time Now for the project, Open Plan displays the Time Analysis dialog box.

Tabs

This dialog box includes the following tabs:

  • Options Tab : The Options tab displays the basic settings for a time analysis session.

  • Advanced Tab : The Advanced tab of the Time Analysis dialog box displays settings that are seldom changed such as Processing and Out of Sequence options.

Location

To display the Time Analysis dialog box, complete the following step:

  1. Take one of the following actions:

  • Select the project in Open Plan Explorer. In the Schedule group of the Processes tab, click the Time down arrow and select Options.

  • Right-click the project in Open Plan Explorer and click Time Analysis on the shortcut menu.

It is not necessary for the project to be open.

Related Topics and Procedures

Related Topics

Using the Time Analysis Advanced Tab

Using Time Analysis

When to Perform Time Analysis

Time Analysis Session Log

Using Risk Analysis

Using Resource Scheduling

Project Analysis

Related Procedures

Setting Time Now

Enabling Automatic Time Analysis

Disabling Automatic Time Analysis

Performing Time Analysis

Viewing a Time Analysis Session Log

Displaying a Risk Histogram View


Time Analysis Options Tab

The Options tab of the Time Analysis dialog box controls the way in which Open Plan calculates time analysis.

If you perform time analysis without selecting the Analyze Each Time Data Changes option, Open Plan creates a time analysis session log.

If the project being calculated by time analysis contains unopened external subprojects, Open Plan treats foreign activities as if all calculated dates are On Targets.

You can also perform time analysis in Batch Mode. This allows you to run time analysis for multiple projects at one time. To run time analysis in Batch Mode, select more than one project from the Details pane of the Open Plan Explorer, and click the Time Analysis button. The Time Analysis [Batch Mode] dialog box will be displayed. Set your options, and click OK.

If a project is closed, Open Plan will open it in Exclusive mode, perform the process, save the changes, and then close the project. If a project cannot be opened in Exclusive mode (because another user has it open in Exclusive or Shared mode), it will be skipped.

If you have a project open when the batch process is run, time analysis will be performed on the project, but the changes will not be saved and the project will remain open. You must manually save the changes yourself.

Open Plan creates one time analysis session log, listing the project results in the order in which the projects were processed in the batch.

Time Now

If this is the first time you have time-analyzed the project, Open Plan requires that you enter a date for Time Now. Time Now is the current project status date, and Open Plan does not calculate any dates prior to this date. If the project is not yet underway, enter the planned project start date for Time Now. If the project has started and you have entered progress information for one or more activities, Time Now should be the latest date for which all progress information is correct.

Open Plan performs time analysis whenever you change Time Now on this dialog box. To change Time Now without performing time analysis, use the Status tab of the Project Information dialog box.

You can also specify the Time Now date on the Processes tab from the Schedule group and the Status tab of the Project Properties dialog box.

Target Type

Open Plan allows you to specify the following types of target dates:

  • None: Open Plan disables the Target Finish field.

  • Not Earlier Than: The earliest date on which the project can finish

  • Not Later Than: The latest date on which the project can finish

  • On Target: Combines the effects of the Not Earlier Than and the Not Later Than target dates.

Target Finish

A target finish is a finish date that you impose on the project. The target finish date affects the dates that the program calculates when performing time analysis or resource scheduling. Entering this date is optional. Ordinarily, you will want to give Open Plan as much flexibility as possible in its calculations by not setting a project target finish date.

In addition to using the Time Analysis dialog box, you can enter target dates and types using the Status tab of the Project Properties dialog box.

This field is disabled if you select None in the Target Type field.

Analyze Each Time Data Changes

This option enables automatic time analysis. If selected, Open Plan automatically calculates time analysis whenever you make a date-related change to the project.

It can also be toggled by clicking Auto-analyze on the Processes tab.

If this option is selected, Perform Time Analysis on the Processes tab is not enabled.

Actual Date Option

When this option is selected (the default), Open Plan displays actual dates of in-progress and complete activities (instead of calculated early and late dates) on dialog boxes and views. This does not, however, affect the time analysis calculations unless the Observe Actual Future Dates option (below) is also selected and actual dates occur after Time Now.

To have Open Plan display the calculated early and late dates, regardless of activity status, clear this option.

This allows you to see the planned restart date for in-progress out of sequence activities.

For more information about this date option, see The Open Plan Configuration Files in the Deltek Open Plan Developer's Guide. For information about how Time Analysis works, see Time Analysis Rules and Conditions.

Observe Actual Future Dates

When you select this option, Time Analysis respects all future Actual Start and Finish dates.

This can be useful when your formal progress reporting cycle is long, say monthly, but you collect progress as it happens which may mean you have actual dates in your schedule that are beyond Time Now.

For example, Time Now is 11/1. Task A is a 10-day task with a planned start on Time Now (11/1) and a planned finish of 11/14. On Monday 11/5, you report that you have finished Task A and you set the Actual Finish to 11/5.

  • If the Observe Actual Future Dates option is not selected, the system sees this as invalid because it is after Time Now. Therefore the activity is still planned to finish on 11/14, and successor activities can start on 11/15.

  • If the Observe Actual Future Dates option is selected, the system sees the activity as completed on 11/5 and successor activities can start on 11/6.

For information about how Time Analysis works, see Time Analysis Rules and Conditions.

Show Summary Dates in Subprojects

This option controls whether Open Plan should copy the dates calculated for the child activities into the record of the activity representing the subproject.

  • If selected, subproject activities display a summary of the dates calculated for their child activities.

  • If not selected, subproject activities display the dates calculated for the subproject activity itself.

This option is selected by default.

Run Cost Calculations after Time Analysis

This option controls whether Open Plan automatically performs cost calculations using its existing configurations following Time Analysis. As a result, the Time Analysis log now indicates whether the new option is enabled or disabled.

Selecting this option includes the Cost Calculations tab among the tabs accessible in the log viewer.

Location

To display the Time Analysis dialog box, complete the following step:

  1. Take one of the following actions:

  • Select the project in Open Plan Explorer. In the Schedule group of the Processes tab, click the Time down arrow and select Options.

  • Right-click the project in Open Plan Explorer and click Time Analysis on the shortcut menu.

It is not necessary for the project to be open.

Related Topics and Procedures

Related Topics

Using the Time Analysis Advanced Tab

Using Time Analysis

When to Perform Time Analysis

Time Analysis Session Log

Using Risk Analysis

Using Resource Scheduling

Project Analysis

Related Procedures

Setting Time Now

Enabling Automatic Time Analysis

Disabling Automatic Time Analysis

Performing Time Analysis

Viewing a Time Analysis Session Log

Displaying a Risk Histogram View


Time Analysis Advanced Tab

This tab allows you to set the Multiple Ends and Out of Sequence time analysis processing options. You can also perform time analysis in Batch Mode. This allows you to run time analysis for multiple projects at one time. To run time analysis in Batch Mode, select more than one project from the Details pane of the Open Plan Explorer, and click the Time Analysis button. The Time Analysis [Batch Mode] dialog box will be displayed. Set your options, and click OK.

If a project is closed, Open Plan will open it in Exclusive mode, perform the process, save the changes, and then close the project. If a project cannot be opened in Exclusive mode (because another user has it open in Exclusive or Shared mode), it will be skipped.

If you have a project open when the batch process is run, time analysis will be performed on the project, but the changes will not be saved and the project will remain open. You must manually save the changes yourself.

Open Plan creates one time analysis session log, listing the project results in the order in which the projects were processed in the batch.

Multiple Ends

If you select this option, Open Plan treats each end activity as if the activity had a target finish equal to its early finish, thus setting its late finish equal to its early finish. This can result in each end activity having a critical path defined to it.

  • Don't consider a subproject a finish activity if any child's successors are outside of the subproject: If you select this option, then if a subproject has no successor of its own, don’t treat it as an End activity if it’s children have successors that go outside the subproject. If the children only have logic within the subproject, then the parent is considered an end activity because children have implied logic to the parent.

Out of Sequence Options

  • Ignore Positive Lag on Predecessor

  • Observe Positive Lag on Predecessor

  • Ignore Predecessor Relationship

Relationships To/From Closed External Subprojects

Select Ignore if you want Open Plan to ignore relationships to or from closed external subprojects. Select Observe (the default) if you want Open Plan to take into account all relationships to or from closed external subprojects.

For example, you have the following activities

  • Activity A (duration = 10 days) in Subproject 1

  • Activity B (duration = 5 days) in Subproject 2

Activity A is a predecessor to Activity B. If you select Ignore, both Activity A and Activity B can start at the same time. If you select Observe, Activity A must finish before Activity B can begin.

Location

To display the Time Analysis dialog box, complete the following step:

  1. Take one of the following actions:

  • Select the project in Open Plan Explorer. In the Schedule group of the Processes tab, click the Time down arrow and select Options.

  • Right-click the project in Open Plan Explorer and click Time Analysis on the shortcut menu.

It is not necessary for the project to be open.

Related Topics and Procedures

Related Topics

Using the Time Analysis Options Tab

Using Time Analysis

When to Perform Time Analysis

Time Analysis Session Log

Using Risk Analysis

Using Resource Scheduling

Related Procedures

Setting Time Now

Enabling Automatic Time Analysis

Disabling Automatic Time Analysis

Performing Time Analysis

Viewing a Time Analysis Session Log


Automatically Run Time Analysis for New Activities

Use these steps to automatically run Time Analysis when you create new activities:

  1. Click the File menu and select Preferences » Application.

  2. On the Options dialog box Project tab, select the Calculate dates even if TA is turned off field.

This option requires you to have permission in EPM SA to run Time Analysis.

Related Topics and Procedures

Related Topics

Options Dialog Box

Auto-Analyze

Related Procedures

Setting System Preferences


Disable Automatic Time Analysis (Procedure)

Disable Automatic Time Analysis

To disable automatic time analysis, complete the following steps:

  1. Open the project.

  2. On the Processes tab, click Perform Time Analysis » Options.

  3. On the Options tab of the Time Analysis dialog box, clear the Analyze Each Time Data Changes option.

You can disable automatic time analysis by clicking on the Processes tab.

If you have this option disabled but would still like Open Plan to calculate dates for new activities, you can select the Calculate dates even if TA is turned off? field on the Options dialog box Project tab.

Related Topics and Procedures

Related Topic

Using the Time Analysis Options Tab

Related Procedures

Setting Time Now

Setting Time Analysis Preferences

Enabling Automatic Time Analysis

Performing Time Analysis

Viewing a Time Analysis Session Log

Performing Resource Scheduling


Enable Automatic Time Analysis (Procedure)

Enable Automatic Time Analysis

To enable automatic time analysis, complete the following steps:

  1. Open the project.

  2. On the Processes tab, click Perform Time Analysis » Options.

  3. On the Options tab of the Time Analysis dialog box, select Analyze Each Time Data Changes.

You can also set automatic time analysis by clicking on the Processes tab.

If automatic time analysis is enabled, Open Plan performs time analysis whenever you change the logic of the project by cutting, pasting, adding, or deleting an activity or relationship. It also performs time analysis whenever you change Time Now or make any time-related change to an activity.

To automatically calculate dates for new activities, select the Calculate dates even if TA is turned off? field on the Options dialog box Project tab.

Related Topics and Procedures

Related Topic

Using the Time Analysis Options Tab

Related Procedures

Setting Time Now

Setting Time Analysis Preferences

Disabling Automatic Time Analysis

Performing Time Analysis

Viewing a Time Analysis Session Log

Performing Resource Scheduling


Perform Time Analysis (Procedure)

Perform Time Analysis

To perform time analysis, complete the following steps, complete the following steps:

  1. Open the project.

  2. On the Processes tab, click Perform Time Analysis.

  3. On the Options tab of the Time Analysis dialog box, enter the new Time Now date. You can also specify the Time Now date on the Processes tab from the Schedule group.

  4. To enable the option to automatically calculate time analysis each time the data changes, select the Analyze Each Time Data Changes option.

  5. To have Open Plan display the calculated early and late dates regardless of activity status, clear the Actual Date Option. (By default, Open Plan displays actual dates of in-progress and complete activities instead of the calculated early and late dates.) Clear this option to see also the planned restart of any out of sequence activities.

  6. Click OK.

If an error occurs during time analysis, Open Plan displays a message when the calculation ends. From the Processes tab, select Open Log to display the Time Analysis log file. For more information about the Log Viewer, see The Log Viewer.

You can also set Open Plan to run time analysis automatically for new activities. For more information, see Options dialog box - Project tab.

Related Topics and Procedures

Related Topic

Using the Time Analysis Options Tab

Related Procedures

Setting Time Now

Setting Time Analysis Preferences

Enabling Automatic Time Analysis

Disabling Automatic Time Analysis

Viewing a Time Analysis Session Log

Creating a Resource-Based Schedule

Performing Resource Scheduling


Perform Time Analysis with Current Settings

If you wish to perform time analysis without displaying the Time Analysis dialog box, you can click Perform Time Analysis on the Processes tab. When you perform time analysis using this method, the settings that were last set on the Time Analysis dialog box control the operation. If you have not entered a Time Now for the project, Open Plan automatically displays the Time Analysis dialog box before allowing you to proceed.

To perform time analysis, complete the following steps, complete the following steps:

  1. Select the project for which you want to perform time analysis.

  2. From the Processes tab, click Perform Time Analysis. Open Plan informs you if an error condition is detected during the session. You can use the Log Viewer to view the contents of the session log.


Set Time Analysis Preferences (Procedure)

Set Time Analysis Preferences

To set time analysis preferences, complete the following steps:

  1. Open the project.

  2. On the Processes tab, click Time Analysis.

  3. On the Options tab of the Time Analysis dialog box, select the appropriate options.

Related Topics and Procedures

Related Topic

Using the Time Analysis Options Tab

Related Procedures

Setting Time Now

Enabling Automatic Time Analysis

Disabling Automatic Time Analysis

Performing Time Analysis

Viewing a Time Analysis Session Log

Performing Resource Scheduling


SetTime Now (Procedure)

Set Time Now

To set Time Now and perform time analysis, complete the following steps:

  1. Open the project.

  2. On the Processes tab, click Time Analysis.

  3. In the Time Now field on the Options tab of the Time Analysis dialog box, enter the new status date.

You can also set Time Now and perform time analysis when using the Resource Scheduling Options dialog box to perform resource scheduling.

To set Time Now without performing time analysis, complete the following steps:

  1. Open the project.

  2. Right-click the project folder.

  3. On the shortcut menu, click Properties.

  4. In the Project Properties dialog box, click the Status tab.

  5. In the Time Now field, enter the new status date.

Related Topics and Procedures

Related Topic

Using the Project Properties Status Tab

Related Procedures

Setting Time Analysis Preferences

Enabling Automatic Time Analysis

Disabling Automatic Time Analysis

Performing Time Analysis

Viewing a Time Analysis Session Log

Performing Resource Scheduling


Viewing a Time Analysis Session Log (Procedure)

Viewing a Time Analysis Session Log

To view the time analysis session log, complete the following steps:

  1. On the Processes tab, click Open Log.

  2. In the Open Plan Log Viewer, click the Time Analysis tab.

Related Topics and Procedures

Related Topic

Time Analysis Session Log

Related Procedures

Setting Time Now

Setting Time Analysis Preferences

Enabling Automatic Time Analysis

Disabling Automatic Time Analysis

Performing Time Analysis

Creating a Resource-Based Schedule

Performing Resource Scheduling


Risk Analysis

Project management decisions are concerned with the future. While planners hope to influence the outcome of events by the decisions they make, everything about the future is, to a greater or lesser extent, uncertain. The techniques of risk analysis were developed to provide a consistent methodology for quantifying this uncertainty with the ultimate goal of improving the quality of decisions.

By definition, project management involves the planning and coordination of large numbers of activities for which there are often no precise precedents. The durations and costs of the individual activities making up the project cannot be known exactly before the project begins. Clearly a project plan is, by its very nature, a forecast and thus contains elements of uncertainty.

Using the tools of modern risk analysis, Open Plan allows you to quantify the uncertainties associated with project durations. When using this feature, you enter three durations (optimistic, pessimistic, and most likely) for activities. During the risk analysis process, Open Plan estimates the duration for these activities using random numbers and runs time analysis a large number of times. By precisely defining the probable range of the durations of each activity, Open Plan provides you with the means to model the impact of these uncertainties on such critical areas as:

  • The project completion date

  • The feasibility of achieving specific target dates

Briefly stated, Open Plan risk analysis works by:

  • Allowing you to enter three durations (optimistic, pessimistic, and most likely) for key activities

  • Allowing you to enter probability distributions for duration for some or all of the activities in a project

  • Performing a risk analysis using Monte Carlo simulation to establish estimates of the effects of these parameters on project dates

  • Producing views and reports that can be used in analyzing the impact of uncertainties on the performance of the project

For more information about risk analysis calculations in Open Plan, see Risk Analysis Calculations in the Deltek Open Plan Developer's Guide.

How Risk Analysis Works

In many ways, the risk analysis function is similar to the time analysis process. Activities are sorted according to project logic and subjected to a forward and backward pass in order to establish the earliest and latest dates for each activity.

In risk analysis, however, the process of calculating the early and late dates for each activity is based on a sampling of the probable durations. This sampling is repeated many times in order to build up a statistical picture of the probable outcomes of the project based on the combinations of the individual durations of the activities.

Unlike time analysis, the resulting dates and values for early dates, late dates, and activity floats are not calculated as single deterministic values. Instead, statistical means and standard deviations are used to express these values.

Another statistical measure calculated for each activity during risk analysis is a criticality index. This index represents the percentage of simulation trials which resulted in the activity being placed on the critical path.

When running risk analysis, you can specify the number of iterations to be performed. Generally speaking, the more iterations performed, the more accurate the results of risk analysis.

For a complete description of risk analysis calculations in Open Plan, see Risk Analysis Calculations in the Deltek Open Plan Developer's Guide.

Batch Mode

You can perform risk analysis in Batch Mode. This allows you to run risk analysis for multiple projects at one time. To run risk analysis in Batch Mode, select more than one project from the Details pane of the Open Plan Explorer, and click the Risk Analysis button. The Risk Analysis [Batch Mode] dialog box will be displayed. Set your options, and click OK.

If a project is closed, Open Plan will open it in Exclusive mode, perform the process, save the changes, and then close the project. If a project cannot be opened in Exclusive mode (because another user has it open in Exclusive or Shared mode), it will be skipped.

If you have a project open when the batch process is run, risk analysis will be performed on the project, but the changes will not be saved and the project will remain open. You must manually save the changes yourself.

Risk analysis for multiple projects can also be run by selecting a group of projects and clicking the Perform Risk Analysis button on the Processes tab.

Open Plan creates one risk analysis session log, listing the project results in the order in which the projects were processed in the batch.

Related Topics and Procedures

Related Topics

Activity Details Risk Tab

Overview of Probability

Probability in Durations

Risk Analysis Output Files

How Risk Analysis interprets Durations

The Effect of Risk Analysis on Start Dates

The Concept of Sampling Error

How Risk Analysis Calculates Finish Dates

Progress and Duration Probability

Interpreting the Results of Risk Analysis

Using the Risk Analysis Options Tab

Using the Risk Analysis Advanced Tab

Project Analysis

Related Procedures

Defining Probability Distributions for an Activity Duration

Displaying a Risk Histogram View

Performing Risk Analysis


Defining Activity Risk

To use the risk analysis feature in Open Plan, you must enter duration probability information for at least one activity in a project. More typically, you enter probable durations for all activities that involve at least some degree of uncertainty in their planning.

You can enter probability information for any type of activity that does not use a calculated duration (for example, subprojects, external subprojects, or hammocks).

To enter risk information at the activity level, use the Risk tab of the Activity Details dialog box.

For each activity on which you want to model risk, you can enter an optimistic (minimum estimated) duration and a pessimistic (maximum estimated) duration in addition to an original duration. You can also enter a weight factor (0-100) for the Probability of Occurrence that indicates the probability that the activity will exist at all. For example, assume you have the following three activities:

Activity | Probability of Occurrence
A: Write software | 100
B: Test software | 100
C: Fix software | 20

Activities A and B will always happen, but we might judge that there is only a 20% chance that following testing, we have to go back and fix the software. All regular Open Plan features ignore this field (and always consider all tasks) except Risk Analysis, which would only consider activity C 20% of the time. If Risk Analysis chooses to ignore the task on any given iteration, then any successors of C are deemed to follow immediately on from B (as if C had zero duration).

You must also enter one of the following distribution shapes to define how Open Plan will sample the range of possible durations:

  • Beta: Probable outcomes cluster around the mode value of the distribution. Outcomes at the extreme values of the distribution are very unlikely.

  • Normal: Probable outcomes cluster symmetrically around the center of the distribution.

  • Triangular: Probable outcomes cluster around the mode (most likely) value of the distribution. Outcomes close to optimistic and pessimistic values of the distribution still possess a significant probability.

  • Uniform: Each outcome is equally likely.

For a complete description of risk analysis calculations in Open Plan, see Risk Analysis Calculations in the Deltek Open Plan Developer's Guide.

Note that Open Plan requires a mode or “most likely” duration for the triangular and beta distribution shapes. In these cases, the original duration of the activity is assumed to be the mode duration. For symmetrical distribution shapes (uniform and normal), a mode duration is not required for risk analysis processing. However, since virtually all processing by Open Plan other than risk analysis uses the original duration field, you should always enter this duration, no matter what type of distribution shape is specified for the activity. In fact, Open Plan checks for the validity of the duration field by verifying that its value falls between the optimistic and pessimistic duration before allowing you to store the information for the activity. An activity with a blank duration field is interpreted by Open Plan as having zero duration.

The following examples show how to specify duration probabilities for activities.

Example 1: You estimate that an activity can have a duration of 3, 4, or 5 days. Each duration is equally likely.

  • Optimistic = 3d

  • Pessimistic = 5d

  • Duration = 4d (not used during risk analysis)

  • Shape = Uniform

Example 2: You estimate that an activity could have a duration anywhere between 10 and 30 days based on a normal probability distribution.

  • Optimistic = 10d

  • Pessimistic = 30d

  • Duration = 20d (not used during risk analysis)

  • Shape = Normal

Example 3: You estimate that an activity could have a duration anywhere between 10 and 30 days. You predict the most likely duration to be 12 days.

  • Optimistic = 10d

  • Pessimistic = 30d

  • Duration = 12d

  • Shape = Triangular

Example 4: You know that an activity has a duration of 2 days.

  • Optimistic = blank

  • Pessimistic = blank

  • Dration = 2d

  • Shape = blank

Open Plan also allows you to designate one or more activities in a project as “key activities.” For key activities, Open Plan stores the most detailed risk analysis information possible. You can then use a risk histogram view to display detailed histograms for the probability distributions for such information as the early dates of selected milestone activities.

The designation of a large number of key activities can result in the creation of an unmanageably large Risk table when risk analysis is performed. Therefore, it is recommended that the number of activities flagged as key activities never exceed a dozen or so per project.

Related Topics and Procedures

Related Topics

Activity Details Risk Tab

Overview of Probability

Probability in Durations

Risk Analysis Output Files

How Risk Analysis interprets Durations

The Effect of Risk Analysis on Start Dates

The Concept of Sampling Error

How Risk Analysis Calculates Finish Dates

Progress and Duration Probability

Using the Risk Analysis Options Tab

Using the Risk Analysis Advanced Tab

Project Analysis

Related Procedures

Defining Probability Distributions for an Activity Duration

Displaying a Risk Histogram View

Performing Risk Analysis


Risk Analysis Operations

You can perform a risk analysis of a project at any time. In many ways, the risk analysis function in Open Plan is similar to the time analysis process. Activities are sorted according to project logic and then subjected to a forward and backward pass in order to establish the earliest and latest dates for each activity.

In risk analysis, however, the process of calculating the early and late dates for each activity is based on a sampling of the probable durations. This sampling is repeated many times in order to build up a statistical picture of the probable outcomes of the project based on the combinations of the activities’ individual durations.

Unlike time analysis, the resulting dates and values for early dates, late dates, and activity floats are not calculated as single, deterministic values. Instead, statistical means and standard deviations are used to express these values.

Another statistical measure calculated for each activity during risk analysis is a “criticality index.” This index represents the percentage of simulation trials that resulted in the activity being placed on the critical path.

Open Plan provides two ways to perform risk analysis on a project:

  • The Risk Analysis dialog box

  • The Perform Risk Analysis button on the Processes tab

Each time you perform risk analysis using either the Risk Analysis dialog box or the Perform Risk Analysis button, Open Plan creates a session log file that records any system or error messages issued during the operation. Open Plan saves the file (Opp_risk.log) and allows you to examine its contents at the conclusion of each session.


Interpreting the Results of Risk Analysis

Open Plan provides a number of views that you can use to display the results of risk analysis. You can use the risk spreadsheet, activity risk barchart, or risk analysis histogram to view the mean and standard deviation of the following dates for each activity:

  • Early start dates

  • Late start dates

  • Early finish dates

  • Late finish dates

In addition, you can use either the Risk Spreadsheet or the Activity Risk Barchart to display the following additional statistical information about each activity:

  • Mean and standard deviation of:

    • Total float

    • Free float

  • Criticality index

This information displays in a risk spreadsheet view:

The mean value of a distribution is one measure of central tendency and may be roughly thought of as the weighted average of the possible values in a distribution. It is important to remember that the value for standard deviation is not the maximum amount of variation possible in either direction from the mean value. Instead, you can use the standard deviation value as a measure of confidence as follows:

  • There is an approximately 68% probability of an outcome occurring that falls within one standard deviation of the mean.

  • There is an approximately 95% probability of an outcome occurring that falls within two standard deviations of the mean.

  • There is an approximately 99% probability of an outcome occurring that falls within three standard deviations of the mean.

Thus, you could expect with 95% confidence that an activity with a mean early start of May 1 and a standard deviation of six days would start within 12 days of that date.

This technique only provides an approximation of confidence levels. For one thing, the actual distribution is often skewed in one direction or the other, rendering confidence estimates based on mean and standard deviation values less effective. To get a complete picture, an activity should be designated as a key activity as shown in a risk histogram.

It is also possible to show clearly the relationship between criticality index of an activity and the mean and standard deviation of the total float. Activities whose total floats have large standard deviations relative to their means are more likely to be critical than activities with relatively small standard deviations.

Open Plan calculates values for free float and total float based on the project calendar. Depending on the option you select on the Options tab of the Risk Analysis dialog box, standard deviations for dates can be calculated with or without regard to the activity calendar.

Related Topics and Procedures

Related Topics

Using Risk Analysis

Activity Details Risk Tab

Barchart View

Spreadsheet View

Risk Analysis Histogram View

Related Procedures

Defining Probability Distributions for an Activity Duration

Displaying a Risk Histogram View

Performing Risk Analysis


The Effect of Risk Analysis on Start Dates

In general, the early start dates calculated by risk analysis will be later than those in a project using standard time analysis. This is because in simulating a project with parallel paths of activities, it is always the latest of the early start dates that controls the scheduling of the remainder of the project.

This tendency of the latest early dates to control the subsequent early dates also tends to skew the shape of the probability distribution of all early start dates to the "right." This skewedness undercuts the reliability of using the calculated mean date and standard deviation to estimate confidence intervals. In many cases, for example, it may turn out that adding three standard deviations to the "right" of the mean early start results in a value outside the range of the curve, thus rendering confidence levels based on standard deviations inaccurate.

While many users are not concerned with late start dates, you may want to use this information to avoid starting expensive activities with lots of float much earlier than absolutely necessary by assigning that activity a target start date. Assuming that you want these target start dates to pose a minimal risk for delaying the project completion date, you would want to select a date at a very low confidence level (for example 1% to 5%). Selecting a later start date (in other words, a date with a higher probability of actually occurring) increases the likelihood of causing further delays in the completion of the project.

Placing an effective target start date on an activity alters the early date's distribution curve and increases the probability that the activity will be critical and, thus, affect subsequent activities. This effect can be minimized by limiting the number of activities with target start dates and by specifying dates with very low probability.

Related Topics and Procedures

Related Topics

Overview of Probability

Using Risk Analysis

Activity Details Risk Tab

Probability in Durations

Risk Analysis Output Files

How Risk Analysis interprets Durations

The Concept of Sampling Error

How Risk Analysis Calculates Finish Dates

Progress and Duration Probability

Interpreting the Results of Risk Analysis

Using the Risk Analysis Options Tab

Using the Risk Analysis Advanced Tab

Related Procedures

Defining Probability Distributions for an Activity Duration

Displaying a Risk Histogram View

Performing Risk Analysis


How Risk Analysis Calculates Finish Dates

Open Plan does not generate the mean and standard deviation values of the finish dates for each activity directly during risk analysis. Instead, these dates are calculated analytically, using the sampled mean and standard deviation of the start dates and the theoretical mean and standard deviation of the specified duration distribution.

Finish dates are calculated in this manner to save both space and processing time. An unintended result, however, is the possibility of slight inconsistencies between the results reported for the finish of one activity and the start of its successor. These differences are not significant relative to the sampling error implicit in the Monte Carlo approach and should disappear if a large enough number of simulations is performed.

Related Topics and Procedures

Related Topics

Overview of Probability

Using Risk Analysis

Activity Details Risk Tab

Probability in Durations

Risk Analysis Output Files

How Risk Analysis interprets Durations

The Effect of Risk Analysis on Start Dates

The Concept of Sampling Error

Progress and Duration Probability

Using the Risk Analysis Options Tab

Using the Risk Analysis Advanced Tab

Related Procedures

Defining Probability Distributions for an Activity Duration

Displaying a Risk Histogram View

Performing Risk Analysis


How Risk Analysis Interprets Durations

In general, risk analysis interprets the value in the Original Duration field as the mode (most likely) value.

The way in which risk analysis interprets the value in the Original Duration field is determined by the distribution shape:

  • For a uniform distribution, Open Plan ignores the value in the Original Duration field. Because a uniform distribution means that each possible value is equally likely, the concept of a mode value does not apply.

  • For a normal distribution, Open Plan ignores the value in the Original Duration field for the purposes of risk analysis. Instead, Open Plan calculates the mode of the duration based on the values for optimistic and pessimistic durations.

  • For triangular and beta distributions, Open Plan interprets the input value in the Original Duration field as the mode of the duration.

If you do not assign a probability distribution shape to an activity, Open Plan assumes that the duration of that activity is constant. Open Plan reads the value in the Original Duration field, ignores any values in the optimistic and pessimistic duration fields, and processes the activity during risk analysis the same as it would be processed during time analysis.

Example 1

You estimate that an activity can have a duration of 3, 4, or 5 days. Each duration is equally likely.

Enter the following duration probability information:

  • Original duration

  • Optimistic duration

  • Pessimistic duration

  • Shape

4 (ignored during risk analysis)

3

5

Uniform

Example 2

You estimate that an activity could have a duration anywhere between 10 and 30 days based on a normal probability distribution.

Enter the following duration probability information:

  • Original duration

  • Optimistic duration

  • Pessimistic duration

  • Shape

20 (ignored during risk analysis)

10

30

Normal

Example 3

You estimate that an activity could have a duration anywhere between 10 and 30 days. You predict the most likely duration to be 12 days.

Enter the following duration probability information:

  • Original duration

  • Optimistic duration

  • Pessimistic duration

  • Shape

12

10

30

Triangular

Example 4

You know that an activity has a duration of 2 days.

Enter the following duration probability information:

  • Original duration

  • Optimistic duration

  • Pessimistic duration

  • Shape

2

blank

blank

blank

Related Topics and Procedures

Related Topics

Overview of Probability

Using Risk Analysis

Activity Details Risk Tab

Probability in Durations

Risk Analysis Output Files

The Effect of Risk Analysis on Start Dates

The Concept of Sampling Error

How Risk Analysis Calculates Finish Dates

Progress and Duration Probability

Using the Risk Analysis Options Tab

Using the Risk Analysis Advanced Tab

Related Procedures

Defining Probability Distributions for an Activity Duration

Displaying a Risk Histogram View

Performing Risk Analysis


Probability in Durations

Example

Open Plan allows you to define a probability distribution for durations for any activity for which uncertainty exists by means of the following information:

  • Pessimistic duration

  • Optimistic duration

  • Duration

You can also define the shape of the distribution as follows:

  • Uniform: Each outcome is equally likely

  • Norma: Probable outcomes cluster symmetrically around the center of the distribution

  • Triangular: Probable outcomes cluster around the mode value of the distribution. Outcomes close to minimum and maximum values of the distribution still possess a significant probability.

  • Beta: Probable outcomes cluster around the mode value of the distribution. Outcomes at the extreme values of the distribution are very unlikely.

The ability to enter these parameters allows Open Plan to define very precisely the duration of some or all the activities in the project.

Example

Assume that you suspect an activity will take 10 days, but you want to allow for an uncertainty of ± 2 days in the duration. You would model this situation by entering the following values:

  • Optimistic duration: 8 days

  • Pessimistic duration: 12 days

  • Original duration: 10 days

Related Topics and Procedures

Related Topics

Overview of Probability

Overview of Probability

Using Risk Analysis

Activity Details Risk Tab

Risk Analysis Output Files

How Risk Analysis interprets Durations

The Effect of Risk Analysis on Start Dates

The Concept of Sampling Error

How Risk Analysis Calculates Finish Dates

Progress and Duration Probability

Using the Risk Analysis Options Tab

Using the Risk Analysis Advanced Tab

Related Procedures

Defining Probability Distributions for an Activity Duration

Displaying a Risk Histogram View

Performing Risk Analysis


Progress and Duration Probability

By conducting risk analysis on projects that have already recorded progress, you can accurately gauge the reliability of the remainder of the project schedule. How Open Plan treats the effect of project progress on duration probability depends on the project status:

  • For unprogressed projects, Open Plan applies the specified distribution probability information for activity duration (that is, the distribution shape and parameters) to the original duration.

  • Once progress has been recorded, risk analysis processing is applied only to the remaining duration of the activity. Open Plan calculates this remaining duration from information entered on the Activity Progress dialog box as follows:

    • If the activity is complete: If an activity is complete, the remaining duration of the activity is considered to be zero. There is no need to sample from the original duration probability distribution.

    • If remaining duration is entered: If a remaining duration has been entered on the Activity Progress dialog box, Open Plan uses this value and no sampling is done.

    • If percent complete is entered: If a percent complete has been entered on the Activity Progress dialog box, Open Plan samples the original duration and multiplies each value by:

      • 100 — p

      100

      where p is the value entered in the percent complete field.

    • If elapsed duration is entered: If an elapsed duration has been entered in the Activity Progress dialog box, Open Plan samples the original duration and subtracts the value in the elapsed duration field from each duration sample. If this subtraction results in a negative value, the remaining duration is taken as zero and the activity is considered complete for the purposes of risk analysis.

    • If only an actual start date is entered: If the only information on the Activity Progress dialog box is an actual start date, Open Plan calculates the elapsed duration as the number of work days or periods between the actual start date and the status date (Time Now). Open Plan then samples the original duration and subtracts the calculated elapsed duration from each field. If this subtraction results in a negative value, the remaining duration is taken as zero and the activity is considered complete for the purposes of risk analysis.

Related Topics and Procedures

Related Topics

Overview of Probability

Using Risk Analysis

Activity Details Risk Tab

Probability in Durations

Risk Analysis Output Files

How Risk Analysis interprets Durations

The Effect of Risk Analysis on Start Dates

The Concept of Sampling Error

How Risk Analysis Calculates Finish Dates

Progress and Duration Probability

Using the Risk Analysis Options Tab

Using the Risk Analysis Advanced Tab

Related Procedures

Defining Probability Distributions for an Activity Duration

Displaying a Risk Histogram View

Performing Risk Analysis


Combining Probabilities

In addition to allowing us to analyze a single process, probability theory also provides the analytical tools to combine probability distributions in ways appropriate to specific circumstances.

If the activities follow each other (as in the case of a finish-to-start relationship) the mean durations and the variances are both additive. However, this is not the case if the two activities must be performed in parallel. Under this type of circumstance, we must look for the distribution of the greater of two uniformly distributed durations.

Since project networks generally comprise a multitude of activities that are partly in series and partly parallel, the analytical approach to calculating probability is impractical. Instead, a technique known as Monte Carlo simulation is the only practical approach.

Example 1

Assume a project consisting of two activities with a finish-to-start relationship:

Suppose that both activities are expected to have a duration between one and six days, and that any number of days between one and six is equally likely. The mean or "expected" duration of each activity is, therefore, 3.5 days.

We can calculate that the mean duration for the whole project is seven days by adding the mean durations of the individual activities together. Mean durations are additive in this case.

It also turns out that variances are additive in this case. The variance of the distribution of each duration is approximately 2.9, and so the variance of the total project is 5.8. By taking the square root of the total project variance, we arrive at the standard deviation, about 2.4 in this case.

When we graph the duration probability of the overall project duration, we see that we get the same triangular distribution shape we get when we roll a pair of dice and add the two numbers:

Example 2

Now, suppose that the same two activities must be performed in parallel:

This time, the overall project completion is dependent on both activities being completed. In other words, we are looking for the distribution of the greater of two uniformly distributed durations.

Now, when we graph the duration probability of the overall project duration, we get the following shape:

Related Topics

Related Topics

Overview of Probability

More About Standard Deviation

Sampled Distributions

Measures of Central Tendency

Confidence Intervals

Monte Carlo Simulation Technique


Risk Analysis Output Files

The results of an Open Plan risk analysis are potentially extensive, requiring some method to summarize this information for later use. Open Plan organizes and stores the results of risk analysis in two output files:

  • Activity file: Open Plan updates the activity file with the following statistical information about each activity:

    • Mean and standard deviation of:

    • Early start dates

    • Late start dates

    • Early finish dates

    • Late finish dates

    • Mean and standard deviation of:

    • Total float

    • Free float

    • Criticality index

  • Key activity file: A key activity is an activity designated by the user for which the program stores a record of the dates and floats for each simulation during risk analysis. This file allows for the production of very specific and detailed reports such as probability histograms depicting early dates for these activities.

Related Topics and Procedures

Related Topics

Overview of Probability

Interpreting the Results of Risk Analysis


Risk Histograms

A risk histogram view presents the detailed picture of the probability distribution for calculated dates for a key activity. Open a risk histogram view, select a key activity from the project, then select any of the following dates for use in a risk histogram view:

  • Early start

  • Early finish

  • Late start

  • Late finish

The following is an example of a risk histogram based on early start dates:

The histogram represents the percentage of trials which resulted in an early start within each time interval. Against the left-hand axis, Open Plan prepares a scale representing the percentage of risk analysis iterations that occurred in a given time interval. In this example, the mode or “most likely” early start for the activity was May 5 with 40% of the simulations falling in that interval.

The right-hand axis represents the cumulative distribution of the dates. In this example, we can see that 50% of the simulations resulted in dates no later than May 5, making it the median early start date.

Notice also how Open Plan displays the following information to the left of the histogram:

  • The early and late start dates (calculated by time analysis)

  • The mean early and late start dates

  • The standard deviation for the mean early start

  • The standard deviation for the mean late start

For more information about this view, see Risk Analysis Histogram View.


The Concept of Sampling Error

Example

Because the mean and standard deviation of a probability distribution are based on the sampling of Monte Carlo simulations, they are only estimates and, therefore, have a possible error. (Obviously, the more simulations Open Plan performs, the more likely the estimated mean and standard deviation would approach the theoretically correct values for that distribution.)

However, it is possible to estimate the likely error in the estimate of a mean. To estimate the sampling error of a mean value arrived at by multiple simulations, it is necessary only to divide the standard deviation by the square root of the number of simulations performed to calculate the standard error of the mean.

Just as one standard deviation on either side of a mean defines a 68% probability of occurrence of an outcome within that range, one standard error on either side of the mean defines a 68% probability that the theoretical value of the mean will fall in this range. Similar confidence levels of 95% based on two standard errors and 99% based on three standard errors can also be calculated in this way.

Example

Assume that the probability distribution of the early start date of an activity has a mean value of December 12 and a standard deviation of three days. At the 99% confidence level, the sampling error of our estimated mean is as follows:

Number of Simulations | Estimated Sampling Error (99% Confidence)
10 | ± 3 days
100 | ± 0.9 days
1000 | ± 0.3 days

Related Topics and Procedures

Related Topics

Overview of Probability

Using Risk Analysis

Activity Details Risk Tab

Probability in Durations

Risk Analysis Output Files

How Risk Analysis interprets Durations

The Effect of Risk Analysis on Start Dates

How Risk Analysis Calculates Finish Dates

Progress and Duration Probability

Using the Risk Analysis Options Tab

Using the Risk Analysis Advanced Tab

Related Procedures

Defining Probability Distributions for an Activity Duration

Displaying a Risk Histogram View

Performing Risk Analysis


Monte Carlo Simulation Technique

If we could perform a process a large number of times, we could build up a histogram to represent the probability distribution from the individual outcomes of each trial. Of course, we cannot really do this with a project. In fact, we cannot even perform it once without defeating a principal purpose of risk analysis (namely, to decide whether or not the project is feasible in the first place).

We can, however, pretend to do so using Monte Carlo simulation (named for the casinos that make that European city famous). Instead of doing time analysis once based on fixed duration lengths for each activity, we simulate the project several hundred or several thousand times. Each time, we use a different set of data for durations sampled from the probability distributions of these uncertain values.

The sampling is done so that the probability of selecting a particular duration in the simulation is the same as our subjective estimate of the probability of that value actually occurring. With definite values for activity duration thus supplied, we can calculate such things as project completion date for each trial.

As enough simulations are performed, a definite picture of the risks inherent in the project begins to emerge.

Related Topics and Procedures

Related Topics

Overview of Probability

More About Standard Deviation

Sampled Distributions

Measures of Central Tendency

Confidence Intervals

Combining Probabilities


Confidence Intervals

The fact that the standard deviation measures the degree of variation without regard for the direction is not a problem in symmetrical distributions. However, if the distribution is not symmetrical, there may be a significantly greater chance of a variation in one direction rather than the other.

Another way of establishing confidence for a probability distribution is to estimate confidence intervals directly, using a statistical sampling. Establishing a confidence interval directly means determining a pair of values within which we have some confidence that the outcome will fall. The interval needs to be qualified by the degree of confidence required.

For example, a 90% confidence interval would be a pair of values between which the outcome in question has a 90% chance of falling.

It is normally implicit that the interval should be symmetrical, in the sense that there would be an equal probability that the outcome would fall outside the confidence interval in either direction.

Because the distribution itself may be skewed, this means that the confidence interval is not in general symmetrically placed with respect to the mean value.

In general, confidence intervals calculated in this manner are to be preferred to those based on standard deviations since the skew in the underlying distribution is indicated.

In some cases, however, standard deviations are more reliable indicators of confidence. This is particularly true for relatively small samples since standard deviations are based on all outcomes instead of a few extreme values.

Example

In the random selection of any number between 1 and 100, there is a 90% confidence interval that the number chosen will be greater than 5 and less than 96.

Related Topics and Procedures

Related Topics

Overview of Probability

More About Standard Deviation

Sampled Distributions

Measures of Central Tendency

Combining Probabilities

Monte Carlo Simulation Technique


Measures of Central Tendency

Although the mean is perhaps the most common measure of central tendency of a distribution by virtue of its stability, it is not the only one. Other measures of central tendency can also be useful, particularly in cases of asymmetrical distributions. Two of the most common of these are:

  • Mode: The mode or "most likely" value of a distribution is represented by the highest point of the frequency distribution curve:

  • Median: The median value of a distribution divides the area under the curve into two equal parts:

For symmetrical probability distributions arrived at theoretically, calculations of the mean, mode, and median values produce identical results.

Mean Value

The mean value (traditionally represented by the symbol m) is a measure of the central tendency of the distribution and is more or less synonymous with the more colloquial terms average and expected value. The mean is calculated as follows:

where:

 | is the mean
 | are outcomes
n | is the total number of outcomes

For probability distributions based on sampling, the mean is considered to be the most reliable statistical indicator of the central tendency since it takes into account all the outcomes sampled.

Examples

Assume that ten students taking a math test receive the following scores:

64, 69, 71, 73, 73, 75, 82, 82, 82, 89.

You can graph these outcomes and calculate the mean:

The median outcome is 74 because five students scored below and five scored above this value. It does not matter that no student actually scored 74.

To see the mode, it is necessary to plot how frequently each score was received:

Related Topics and Procedures

Related Topics

Overview of Probability

More About Standard Deviation

Sampled Distributions

Confidence Intervals

Combining Probabilities

Monte Carlo Simulation Technique


More About Standard Deviation

The standard deviation is the square root of the average of the squares of the individual deviations from the mean value:

For this reason, the standard deviation is sometimes referred to as the root mean square (RMS) deviation. Notice that one result of this squaring is that the standard deviation measures the degree of variation without regard for the direction in which the variation occurs.

Still, the standard deviation of a probability distribution is a very useful value to know. Roughly speaking, there is about a 68% chance of any particular outcome falling within one standard deviation of the mean value and about a 99% chance of the outcome falling within three standard deviations of the mean. This variation can occur in either direction from the mean and is usually referred to as a 99% confidence interval.

Example

The mean temperature for Houston, Texas, during the month of August at 5 PM is 93 degrees Fahrenheit with a standard deviation of 3.5 degrees. Based on three standard deviations (that is, ± 10.5 degrees), then it is almost (99%) certain, that the 5 PM temperature in Houston on any given day in August will fall between 82.5 and 103.5 degrees Fahrenheit.

Related Topics and Procedures

Related Topics

Overview of Probability

Sampled Distributions

Measures of Central Tendency

Confidence Intervals

Combining Probabilities

Monte Carlo Simulation Technique


Overview of Probability

Probability provides the means to analyze the possible outcomes of a given process. Specifically, probability is concerned with defining the frequency of each possible outcome in relation to the range and distribution of all possible outcomes.

The range and distribution of all possible outcomes for a process is referred to as the probability distribution of that process. The following are discussions of commonly seen distribution types:

Uniform distribution

Consider the roll of a single die as a process. There are six possible outcomes (1, 2, 3, 4, 5, or 6), each of which is equally likely. As a result, we can say that each outcome has one chance in six of occurring.

Certainty is defined as 1.0 (or 100 percent). If you divide 1.0 by the six possible outcomes, you can see that each result in this case has a probability of 0.167. You can then construct the following table to represent all the possible outcomes and their probabilities:

Outcome | Probability
1 | 0.167
2 | 0.167
3 | 0.167
4 | 0.167
5 | 0.167
6 | 0.167

We can also chart this distribution of probability using x and y coordinates where x represents the range of outcomes and y represents the probability of each outcome:

Because the probabilities for all the possible outcomes are the same in this case, this type of distribution is called a uniform distribution.

Triangular distribution

Consider the combined score from rolling a pair of dice. The range of possible outcomes is from two to twelve. Yet, as any gambler knows, these outcomes are not equally likely. Rolling a twelve is much less likely than rolling a seven because there are many ways of achieving a seven but only one way to roll a twelve.

If we represent this distribution as a table, we get the following:

Outcome | Probability
2 | 0.028
3 | 0.056
4 | 0.085
5 | 0.111
6 | 0.139
7 | 0.167
8 | 0.139
9 | 0.111
10 | 0.085
11 | 0.056
12 | 0.028

Since the height of the triangle above any point along the x-axis represents the probability of the outcome represented by that point, the illustration shows clearly how much more probable it is to roll a seven than to roll any other number.

In this example, a symmetrical triangle is produced in which the probability declines from the apex at the same rate in both directions.

Not all triangular distributions are symmetrical. Given other circumstances, it would be possible to have a triangular distribution such as this:

Normal distribution

Just as rolling a pair of dice adds complexity to the possible outcomes of the process when compared to rolling a single die, so adding more and more dice increases the number of possible outcomes. Eventually, if we reach a level of sufficient complexity, the probability distribution looks something like this:

This distribution is called a normal distribution, and it turns out that the sum of the outcomes of multiple tries of any random process tends towards this curve

The normal distribution is an example of a continuous distribution. Unlike the examples of the uniform and triangular distributions in which each possible outcome was discrete, the curved shape of the normal distribution depicts a range of continuous rather than discrete outcomes. As a result, it is the area under the curve between any two x values that represents the probability of the outcome falling between these two values.

Both uniform and triangular distributions can represent continuous outcomes as well.

Beta distribution

Depending on how the distribution is defined, there are a number of ways of representing asymmetrical probability. However, for the purposes of Open Plan, a family of distributions known as beta distributions is used.

The beta distribution, like the triangular distribution, is primarily used to describe asymmetrical probability. However, a beta distribution differs from triangular distribution since its shape effectively precludes outcomes at the extremes of the distribution from having any significant probability. By contrast, a triangular distribution allows for a significant probability for outcomes at the extreme limits of the range, no matter how much the distribution is skewed.

Related Topics and Procedures

Related Topics

Sampled Distributions

Measures of Central Tendency

More About Standard Deviation

Confidence Intervals

Combining Probabilities

Monte Carlo Simulation Technique


Sampled Distributions

Because plotting all the outcomes of a process on a graph would be very time consuming, we usually sample the outcomes of an experiment. It then becomes convenient to use a statistical representation of the summary to describe the sampled distribution. The most common of these summary statistics are:

  • The mean value of the distribution

  • The standard deviation of the distribution

If we know the mean and the standard deviation, we can completely describe a normal distribution mathematically.

However, since not all distributions are symmetrical, there may also be a need to measure the extent to which variations from the mean in one direction are more likely than the other in order to describe the distribution mathematically.

Mean Value

The mean value (traditionally represented by the symbol m) is a measure of the central tendency of the distribution and is more or less synonymous with the more colloquial terms average and expected value. The mean is calculated as follows:

where:

 | is the mean
 | are outcomes
n | is the total number of outcomes

For probability distributions based on sampling, the mean is considered to be the most reliable statistical indicator of the central tendency since it takes into account all the outcomes sampled.

Standard Deviation

The standard deviation (traditionally represented by the symbol s) measures the amount of variation within the distribution around the mean value

The standard deviation is calculated by first estimating the variance of the distribution according to the following formula:

where:

is the standard deviation

are outcomes

is the sampled mean value

The square root of the variance is then taken to find the standard deviation for the distribution.

Normal Distribution

The following equation describes a normal distribution:

where:

¦ is the frequency

m is the mean

s is the standard deviation

Note that the value of ¦ peaks when x equals m and declines symmetrically as x moves away from m in either direction. The rate at which ¦ declines depends on the parameter s.

Note also, that the value of ¦ never quite reaches zero. This means than no value of x is an absolutely impossible outcome for any true normal distribution. In practical work, however, it is common practice to truncate the tails of a normal distribution.

Example

Assume that ten students taking a math test receive the following scores: 64, 69, 71, 73, 73, 75, 82, 82, 82, 89.

  1. First calculate the mean:

  2. Now, using the calculated mean of 76, evaluate the following equation.

    Each expression in the calculation is calculated as in the following example:

    The total equation evaluates as follows:

  3. Then, take the square root of 54.1

Related Topics and Procedures

Related Topics:

Overview of Probability

More About Standard Deviation

Measures of Central Tendency

Confidence Intervals

Combining Probabilities

Monte Carlo Simulation Technique


Risk Analysis Dialog Box

Use this dialog box to perform risk analysis on a project.

Tabs

This dialog box includes the following tabs:

  • Options Tab

  • Advanced Tab

Location

To display the Risk Analysis dialog box, complete the following step:

  1. Take one the following actions:

  • Select the project in Open Plan Explorer. In the Schedule menu group of the Processes tab, click the Risk down arrow and select Options.

  • Right-click the project in Open Plan Explorer and click Risk Analysis on the shortcut menu.

It is not necessary for the project to be open.

Related Topics and Procedures

Related Topics

Using Risk Analysis

Risk Analysis Operations

Related Procedure

Perform Risk Analysis


Risk Analysis Options Tab

This tab controls how risk analysis is performed.

For key activities, Open Plan provides a cumulative distribution for each calculated date and float. This information is output to the Risk table. By default, values are provided for 21 percentile points (0, 5, 10… 100). In addition to these fields, you can also use the RiskPercentileArraySize field in the Options dialog box Advanced tab to control the granularity by specifying the number of intervals (which will be evenly spaced).

Number of Simulations

The more trials Open Plan performs, the more accurate the results of the analysis are likely to be. Deciding on the number of simulations that Open Plan should perform means balancing the available time and/or hardware constraints in your particular situation with the level of accuracy that you require.

Depending on the number of activities in a project and what kind of information you are seeking, a number of between 100 and 1000 simulations is usually appropriate. The first time you process a project, you may want to specify as few as 10 or 20 simulations.

This would allow you to verify the validity of the project data and to ascertain the project's overall duration before proceeding with a full-scale risk analysis involving large numbers of simulations.

Use Fixed Seed Point

The seed point is the starting value that Open Plan uses when generating random numbers.

If this option is not selected (the default) Open Plan uses a variable seed point when performing risk analysis. This means that the results of risk analysis may vary each time the operation is performed.

If this option is selected, Open Plan stores and uses a fixed seed point. In this case, the results of risk analysis (assuming the same data) will not vary.

If this option had not been selected the last time risk analysis was performed, there is no stored seed point. Therefore, the effects of selecting this option will not be evident until the next time risk analysis is performed.

Use Activity Calendar when Calculating Std. Deviations

This option controls whether Open Plan should use the activity calendar when calculating standard deviations or calculated dates:

  • If this option is selected, Open Plan uses the activity calendar when calculating standard deviations.

  • If this option is cleared, Open Plan uses the default calendar when calculating standard deviations.

Time Now

If this is the first time you have analyzed the project, Open Plan requires you to enter a date for Time Now. Time Now is the current project status date, and Open Plan will not calculate any dates prior to this date. If the project is not yet underway, enter the planned project start date for Time Now. If the project has started and you have entered progress information for one or more activities, Time Now should be the latest date for which all progress information is correct.

You can also specify the Time Now date on the Processes tab from the Schedule group.

Time Analyze before Risk Analysis

Select this option if you want Open Plan to conduct a time analysis of the current project information before continuing with risk analysis calculations. (Note that Open Plan does not require you to perform time analysis before performing risk analysis.)

Location

To display the Risk Analysis dialog box, complete the following step:

  1. Take one the following actions:

  • Select the project in Open Plan Explorer. In the Schedule menu group of the Processes tab, click the Risk down arrow and select Options.

  • Right-click the project in Open Plan Explorer and click Risk Analysis on the shortcut menu.

It is not necessary for the project to be open.

Related Topics and Procedures

Related Topics

Using Risk Analysis

Activity Details Risk Tab

Probability in Durations

Risk Analysis Output Files

How Risk Analysis interprets Durations

The Effect of Risk Analysis on Start Dates

The Concept of Sampling Error

How Risk Analysis Calculates Finish Dates

Progress and Duration Probability

Using the Risk Analysis Advanced Tab

Using Time Analysis

Using Resource Scheduling

Related Procedure

Performing Risk Analysis


Risk Analysis Advanced Tab

This tab allows you to set the following risk analysis processing options.

Multiple Ends

A final consideration arises if the multiple ends processing option has been specified. In that case, Open Plan treats each end activity as if the activity had a target finish equal to its early finish. This can result in a different starting point for the backward pass from each end activity.

Once the project completion date has been determined, the calculation of late dates during the backward pass proceeds in a manner entirely analogous to the calculation of early dates during the forward pass.

An activity (for example, A) is treated as an end activity if it meets all of the following conditions:

  • It has no logical successors.

  • Its parent is an end activity.

  • None of its descendents has a successor that is not also a descendent of A.

Normally, the use of this option results in Open Plan calculating a critical path leading to each end activity and results in making all end activities critical. If there is only one end activity in the project, this option has no effect.

If you select Multiple Ends, you also have the option of selecting Don’t consider a subproject a finish activity if any child successors are outside of a subproject. This will ensure that the child successors outside of the subproject will be considered before the subproject is indicated as critical.

Out of Sequence Options

Open Plan allows you to enter progress information for an activity without first entering progress information for all its predecessors. This is called out-of-sequence progressing.

The out-of-sequence options control how Open Plan treats predecessor lag in out-of-sequence progressing. You can select from the following options:

  • Ignore Positive Lag of Predecessor: Observe relationships but ignore positive lags on relationships leading into out-of-sequence events (that is, the start of an activity marked as in-progress or the finish of an activity marked as complete).

  • Observe Positive Lag of Predecessor: Observes all relationships and lags leading into out-of-sequence events.

  • Ignore Predecessor Relationship: Ignores all relationships and lags leading into out-of-sequence events (including the finish of activities marked as complete). If you select this option, Open Plan does not report out-of-sequence warnings in the session log and does not delay the successors of out-of-sequence activities.

Location

To display the Risk Analysis dialog box, complete the following step:

  1. Take one the following actions:

  • Select the project in Open Plan Explorer. In the Schedule menu group of the Processes tab, click the Risk down arrow and select Options.

  • Right-click the project in Open Plan Explorer and click Risk Analysis on the shortcut menu.

It is not necessary for the project to be open.

Related Topics and Procedures

Related Topics

Using Risk Analysis

Activity Details Risk Tab

Probability in Durations

Risk Analysis Output Files

How Risk Analysis interprets Durations

The Effect of Risk Analysis on Start Dates

The Concept of Sampling Error

How Risk Analysis Calculates Finish Dates

Progress and Duration Probability

Interpreting the Results of Risk Analysis

Using the Risk Analysis Options Tab

Using Time Analysis

Using Resource Scheduling

Related Procedure

Performing Risk Analysis


Define Probability Distributions for an Activity Duration (Procedure)

Define Probability Distributions for an Activity Duration

To define probability distributions for an activity duration, complete the following steps:

  1. Display the Activity Details dialog box for the activity for which you want to define duration probability distributions.

  2. In the Optimistic field of the Risk tab, enter the minimum estimated probable duration for the activity.

  3. In the Pessimistic field, enter maximum estimated probable duration for the activity.

  4. Review the value in the Original Duration field. This field should reflect the most likely duration for the activity.

    For symmetrical distribution shapes, this field is ignored during risk analysis.

  5. If necessary, change the value in the Original Duration field.

  6. In the Shape field, enter a shape for the probability distribution.

  7. If appropriate, select the Key Activity field.

Related Topics and Procedures

Related Topic

Risk Tab of the Activity Details Dialog Box

Related Procedures

Changing the Duration of an Activity

Displaying a Risk Histogram View

Selecting a Key Activity to Display on a Risk Histogram View

Performing Risk Analysis


Display a Risk Histogram View (Procedure)

Display a Risk Histogram View

To display a risk histogram view:

  1. Select a project in Open Plan Explorer.

  2. If necessary, assign the Risk Histogram view to the project. If the Risk Histogram view has not been selected as a standard view in your installation of Open Plan, you will need to assign it to your project to display a risk histogram view for the first time. For more information, see Assigning a View to a Project.

  3. In the Project Views folder of your project, double-click the risk histogram view.

  4. If the risk histogram view is blank, click Select Activity in the General menu group of the View tab. You may also right-click within the view, and click Select Activity on the shortcut menu.

  5. In the Key Activity Selection dialog box, select the key activity to display on the risk histogram view. For Open Plan to display key activities in the Key Activity Selection dialog box, both of the following conditions must be met:

  • At least one activity must be identified as a key activity on the Risk tab of the Activity Details dialog box.

  • Risk analysis must have been performed on the project.

  6. Click OK.

Related Topics and Procedures

Related Topic

Risk Analysis Histogram View Overview

Activity Details Dialog Box

Related Procedures

Selecting a Key Activity to Display on a Risk Histogram View

Defining Probability Distributions for an Activity Duration

Performing Risk Analysis


Displaying Probability in a Risk Analysis View (Quick Start)

Displaying Probability in a Risk Analysis View

To display probability information in a risk analysis view, complete the following steps:

  1. Take any of the following actions:

  • Click Select Activity from the View tab.

  • Right-click on the workspace and click Select Activity.

  2. From the Key Activity Selection dialog box, select the key activity for which you want to display probability information.

For Open Plan to display key activities in the Key Activity Selection dialog box, both of the following conditions must be met:

  • Risk analysis must have been performed on the project

  • At least one activity must be identified as a key activity on the Risk tab of the Activity Details dialog box

  3. Click OK.


Enter Risk Information for an Activity

To enter risk information for an activity, complete the following steps:

  1. Display the Activity Details dialog box for the activity.

  2. Click the Risk tab.

  3. Enter the information for the activity, and click Close.

Related Topics and Procedures

Related Topic

Defining Activity Risk


Perform Risk Analysis (Procedure)

Perform Risk Analysis

To perform risk analysis, complete the following steps:

  1. Open the project.

  2. On the Processes tab, click Perform Risk Analysis.

  3. Enter the information for the session. If this is the first time you are analyzing the project, you must enter a Time Now.

  4. In the Number of Simulations field of the Risk Analysis Options tab, enter the number of times you want Open Plan to simulate the project.

The more trials Open Plan performs, the more accurate the results of the analysis are likely to be. Depending on the number of activities in a project and the kind of information you are seeking, between 100 and 1000 iterations are usually appropriate. However, the first time you process a project you may want to specify as few as 10 or 20 iterations in order to verify the validity of the project data.

  5. If you want to change the date Open Plan uses for Time Now, enter the new Time Now date. You can also specify the Time Now date from the Schedule group on the Processes tab.

  6. Click OK.

Related Topics and Procedures

Related Topic

Using Risk Analysis

Related Procedures

Defining Probability Distributions for an Activity Duration

Displaying a Risk Histogram View

Selecting a Key Activity to Display on a Risk Histogram View

Perform Risk Analysis with Current Settings


Perform Risk Analysis with Current Settings

If you wish to perform risk analysis without displaying the Risk Analysis dialog box, click the Perform Risk Analysis button on the Processes tab. When you perform risk analysis using this method, the settings stored on the Risk Analysis dialog box control the operation. If you have not entered a Time Now for the project, Open Plan automatically displays the Risk Analysis dialog box before allowing you to proceed.

To perform risk analysis, complete the following steps:

  1. Select the project for which you want to perform risk analysis.

  2. On the Processes tab, click the Perform Risk Analysis button.

    3. Open Plan informs you if an error condition is detected during the session. You can use the Log Viewer to examine the error in the session log.

Related Topics and Procedures

Related Topic

Using Risk Analysis

Related Procedures

Perform Risk Analysis

Defining Probability Distributions for an Activity Duration

Displaying a Risk Histogram View

Selecting a Key Activity to Display on a Risk Histogram View


Selecting a Key Activity to Display on a Risk Histogram View (Procedure)

Selecting a Key Activity to Display on a Risk Histogram View

To select a key activity to display, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in risk histogram view.

  2. In the General menu group of the View tab, click Select Activity. You may also right-click within the view, and click Select Activity on the shortcut menu.

  3. In the Key Activity Selection dialog box, select the key activity to display in risk histogram view.

  4. For Open Plan to display key activities in the Key Activity Selection dialog box, both of the following conditions must be met:

  • At least one activity must be identified as a key activity on the Risk tab of the Activity Details dialog box.

  • Risk analysis must have been performed on the project.

  5. Click OK.

Related Topics and Procedures

Related Topics

Risk Analysis Histogram View Overview

Activity Details Dialog Box

Key Activity Selection Dialog Box

Related Procedures

Displaying a Risk Histogram View

Defining Probability Distributions for an Activity Duration

Performing Risk Analysis


Schedule Driver Analysis

Schedule Driver Analysis determines the most critical paths to any point in a project. It identifies activities that are driving the dates for a target activity as well as other potential controlling chains. It can recognize multiple paths through the activities preceding the target activity and groups the activities based on their total float.

When the process runs, Schedule Driver Analysis looks at the float and status of the selected activity's predecessors. The most critical predecessor is determined and the process repeats with that activity. A path is finished when there are no more activities to follow, Time Now is reached, or if there is a change in float. Open Plan does not alter your time analysis results. It stores the results in special fields to preserve standard time analysis results.

After the process runs, Open Plan displays the data in a default Schedule Driver Analysis Barchart view which is a sub-sectioned barchart that is grouped by category. The green highlighted row is the field you selected as the target activity and the red highlighted row is the immediate predecessor. You can use the Grouping tab of the Spreadsheet Preferences dialog box to view or change the breaks/groups. For more information about barchart grouping, see Grouping in the Barchart View.

Another view that is helpful for viewing the data is a zoned network view. You can open a standard Network view and add the Schedule Driver Analysis calculated field as a Zone attribute. Zoning groups activities into horizontal bands based on one or more criteria that you specify. You use the Zone Attributes dialog box to define how Open Plan displays zones in a network view.

Shared Mode

You can run Schedule Driver Analysis in Shared mode. When you run in Shared Mode, the results of the path analysis are not stored, They are available while the project is still open.

Custom Reports

If you have the Milestones Professional® (MP) application installed, you can generate custom reports that take full advantage of its graphic display ability. You can use the three included report templates to create the following reports:

  • A Barchart report that documents all critical paths

  • A Path Details report for each critical path you instruct the tool to identify

  • A Summary Path report that summarizes the current activities on each path

Related Topics and Procedures

Related Topics

Using the Schedule Driver Analysis Dialog Box

Using the Analysis Tab of the Schedule Driver Analysis Dialog Box

Using the Reports Tab of the Schedule Driver Analysis Dialog Box

Using the Field Dialog Dialog Box

Using the Select Activity Dialog Box


Destination Directory Dialog Box

Use the Destination Directory dialog box to select the location where Schedule Driver Analysis saves the generated reports.

If you know the path to the directory, you can type it directly into the Directory field. Otherwise, you can select the directory from the Available Directories hierarchical tree.

When you have selected a directory, click OK to return to the Reports tab of the Schedule Driver Analysis dialog box.

Location

To display the Destination Directory dialog box, complete the following steps:

  1. Select an activity from any view.

  2. From the Add-Ins tab, select the Trace Critical Path tool.

  3. Select the Reports tab.

  4. Click the ellipsis button to the right of the File Path field.

The Reports tab appears only if you have Milestones Professional® installed.

Related Topics and Procedures

Related Topics

Understanding the Trace Critical Path Tool

Using the Inputs tab of the Trace Critical Path Dialog Box

Using the Reports Tab of the Trace Critical Path Dialog Box

Using the Output Fields Dialog Box

Using the Select Activity Dialog Box


Schedule Driver Analysis Dialog Box

The Schedule Driver Analysis dialog box helps you determine the most critical paths to any point in a project. It identifies activities that are driving the dates for a target activity as well as other potential controlling chains.

Tabs

  • Analysis Tab: This tab allows you to set the parameters for the path analysis.

  • Reports Tab: This tab allows you to set the parameters for generating Milestones Professional (MP) reports from the results returned by the path analysis. It only displays if you have MP installed in your computer.

Buttons

Perform Analysis

Click to validate the information that you have entered. After the validation is successful, the Time Analysis process runs with the various target fields and types. Schedule Driver Analysis uses the results to identify paths through a selected user character field. Schedule Driver Analysis does not alter your time analysis results. It stores the results in special fields to preserve standard time analysis results.

Generate Reports

This button is only enabled when you have Milestones Professional installed. It validates the information that you have entered on both tabs and, if the validation is successful, uses Milestones Professional to generate reports.

Location

To display the Schedule Driver Analysis dialog box, complete the following step:

  1. Take one of the following actions:

  2. From the Tools menu group of the Processes tab, select Driver Analysis.

  3. Right-click on the Activity Spreadsheet, Barchart, or Network view and select Schedule Driver Analysis.

Related Topics and Procedures

Related Topics

Understanding the Schedule Driver Analysis Tool

Using the Analysis Tab of the Schedule Driver Analysis Dialog Box

Using the Reports Tab of the Schedule Driver Analysis Dialog Box

Using the Field Dialog Dialog Box

Using the Select Activity Dialog Box


Analysis Tab of the Schedule Driver Analysis Dialog Box

Use the Analysis tab to set the parameters for the path analysis.

Target Activity

Select an activity to determine the critical path(s). By default, this field displays the activity that is currently selected in the open view. You can either enter a new activity ID manually or select from a list by clicking the ellipsis (…) button to display the Select Activity dialog box.

Target Date Field

Select the date field to use for the target activity path analysis. If a date is associated with a selected field, Open Plan displays the date automatically in the Target Date field.

  • If you select Early Finish, the analysis is based on the planned finish of the activity.

  • If you select <Manual>, you can either enter or select a date in the Target Date field. This option allows "what-if" analysis based on a new finish date for the activity.

Target Date

If you select a field in Target Date Field that has a date associated with it, Open Plan displays that date automatically in this field. If you select a field that does not have a date associated with it, this field is blank.

If you select <Manual> in Target Date Field, you can select a target date by clicking the ellipsis (…) button to display the Select Date pop-up calendar.

This field is only editable when you select <Manual> in Target Date Field.

Number of Paths to Analyze

Select the number of paths that you want the tool to identify. Alternatively, you can use the up and down arrow buttons to select a value.

This field accepts 1-10000 critical paths for the selected activity.

User Character Field

Select a field in which to store the results of the analysis. By default, it displays User Character Field 10.

This field includes Text and Numeric user-defined fields.

Ignore Target Dates

This field determines the behavior of Time Analysis that Open Plan performs prior to the Schedule Driver Analysis processing. Select how you want the application to handle target dates on other activities in the project:

  • All Dates: Selecting this option ignores all dates (default).

  • Finish Dates Only: Selecting this option only ignores target finish dates.

  • Consider Start and Finish Not Earlier Than targets (soft constraints): When selected, Open Plan only considers these two types of target dates and ignores the other target types.

In either case, the target finish date and type are set on the target activity by Time Analysis, depending on the values in the Target Activity and Target Date fields.

After you set the options, click Perform Analysis to run the analysis.

Location

To display the Schedule Driver Analysis dialog box, complete the following step:

  1. Take one of the following actions:

  • From the Tools menu group of the Processes tab, select Driver Analysis.

  • Right-click on the Activity Spreadsheet, Barchart, or Network view and select Schedule Driver Analysis.

Related Topics and Procedures

Related Topics

Understanding Schedule Driver Analysis

Using the Schedule Driver Analysis Dialog Box

Using the Reports Tab of the Schedule Driver Analysis Dialog Box


Reports Tab of the Schedule Driver Analysis Dialog Box

The Reports tab only displays if you have Milestones Professional® (MP) installed. It allows you to generate three different MP reports:

  • A Barchart report that documents all critical paths

  • A Path Details report for each critical path you instruct the tool to identify

  • A Summary Path report that summarizes the current activities on each path

Identify Critical Paths

File Prefix

Enter a prefix that Open Plan prepends to the MP report names that Schedule Driver Analysis generates. By default, the prefix is "PATH" and a file name uses the <Prefix>_<Project Name>_<Report Type>.mlg format, for example, "PATH_CLEAN_BAR.mlg."

By using the File Prefix option, you can add a custom prefix to the files, for example, Initial_TEST_BAR.ML7. This option is helpful if you want to run the tool more than once for the same project (for example, using different activities) and you want to differentiate between each set of report files generated.

Open Plan validates the file prefix to ensure that it does not contain any characters that are not valid for a Windows file name.

Schedule Driver Analysis uses the following naming scheme for the three types of generated reports:

Report | Naming Convention
Barchart | <prefix>_<project>_BAR.MLG
Path Details | <prefix>_<project>_<path#>.MLG
Summary Path | <prefix>_<project>_SUMM.MLG

The <prefix> is optional in the file name. The <project> is the name of the selected activity's project.

File Path

Enter a location where you want Schedule Driver Analysis to save generated reports. You can also click the ellipsis (...) button to select the output folder for the report files. By default, the path is the OPP working folder. Open Plan validates the file path to make sure that it exists and that you have write permission for the folder.

Label Field to display on Barchart

Select an activity field to use as a label on the MP Barchart report. This drop-down list contains all non-baseline fields on the Activity table.

Date Field used on Barchart

Select a date field to use for the Barchart report. You can select one of the following options:

  • Baseline Dates

  • Early Dates

  • Late Dates

  • Scheduled Dates

Output Fields for Path Details Report

Click the Change button to modify the columns displayed in the Path Details report. Clicking the button displays the Field Dialog dialog box which contains all non-baseline Activity table fields.

Output Fields for Summary Path Report

Click the Change button to modify the columns displayed in the Summary Path report. Clicking the button displays the Field Dialog dialog box which contains all non-baseline Activity table fields.

After you have set the options for the reports, click Perform Analysis to run Time Analysis or Generate Reports to allows Milestones Professional to generate various reports.

Open Plan creates a separate Path Details report for each path that Schedule Driver Analysis identifies; thus, the number of generated reports varies. For example, if you instructed the tool to find the three most critical paths in project TEST, you would end up with five files when you generated the reports:

  • TEST_BAR.MLG

  • TEST_01.MLG

  • TEST_02.MLG

  • TEST_03.MLG

  • TEST_SUMM.MLG

To view a report, use Windows Explorer to navigate to the report location specified in the File Path field and double-click the appropriate file. The default folder location is your Open Plan working folder.

When the report files are created and saved, Open Plan copies the three templates used to create the files to the same folder as the report files. When you are viewing a report, you can save any changes you make to the style, such as color and font, back to the template. This allows you to easily create other reports using the same style.

Schedule Driver Analysis does not overwrite existing templates when creating and saving new reports.

Location

To display the Schedule Driver Analysis dialog box, complete the following step:

  1. Take one of the following actions:

  • From the Tools menu group of the Processes tab, select Driver Analysis.

  • Right-click on the Activity Spreadsheet, Barchart, or Network view and select Schedule Driver Analysis.

Related Topics and Procedures

Related Topics

Understanding the Schedule Driver Analysis Tool

Using the Schedule Driver Analysis Dialog Box

Using the Analysis tab of the Schedule Driver Analysis Dialog Box

Using the Field Dialog Dialog Box


Select Activity Dialog Box

Use this dialog box to perform any of the following tasks, depending on where you access it:

  • Select an activity to be the predecessor or successor of a currently selected activity

  • Change the target activity without having to exit the tool, select a new activity, and re-run the tool

When you select an activity from a view and then run Schedule Driver Analysis, the selected activity displays automatically in the Target Activity field on the Analysis tab of the Schedule Driver Analysis dialog box.

Select Activity

Expand or collapse an item from the hierarchical tree of activities and then select a target activity.

This field does not have a label. The "Select Activity" label is only used for documentation purposes.

OK

After you select the activity, click this button to display the selected activity in the corresponding column or field. Clicking this button also closes the Select Activity dialog box.

Cancel

Click this button to close the Select Activity dialog box without saving any changes.

Find

Click this button to search for a data using filters that you enter in the Find Dialog box.

Find Next

Click this button to initiate another search using the same filters used in the previous search.

Expand All

Click this button to expand all nodes in the Select Activity dialog box.

Help

Click this button to display the Help system.

Location

To display the Select Activity dialog box from the Activity Details dialog box, complete the following steps:

  1. Display the Activity Details dialog box by taking one of the following actions:

  2. Double-click the activity box in a network view.

  3. Double-click the activity bar in a barchart view.

  4. Double-click the selection button of the spreadsheet row in a spreadsheet view.

  5. Select an activity and click Details from the Dialogs group of the Edit tab.

  6. Right-click the selection button of the spreadsheet row and click Edit Activity on the context menu.

  3. In the Activity Details dialog box, select either the Predecessor or the Successor tab.

  4. Click the ellipsis (...) button.

To display the Select Activity dialog box from the Processes tab, complete the following steps:

  1. From the Processes tab, select Driver Analysis.

  2. In the Target Activity field, click the e llipsis (...) button.

To display the Select Activity dialog box from the context menu of an Activity Spreadsheet, Barchart, or Network view, complete the following steps:

  1. From an Activity Spreadsheet, Barchart, or Network views, right-click an activity.

  2. From the context menu, select Schedule Driver Analysis.

Related Topics and Procedures

Related Topics

Understanding the Schedule Driver Analysis Tool

Using the Inputs tab of the Schedule Driver Analysis Dialog Box

Using the Reports Tab of the Schedule Driver Analysis Dialog Box

Using the Field Dialog Dialog Box


Output Fields Dialog Box

Use this dialog box to customize the columns that you want to display either on the Path Details or Summary Path report.

Set Options

This section contains the following fields that allow you to select fields that display as columns on the report.

Available Fields

This field displays all available fields for a report. You can select a field that you want to display on the report and click the right arrow button. Scroll the list up or down to view other fields in the list.

Selected Fields

This field displays all selected fields from the Available Fields list. You can select a field that you do not want to display on the report and click the left arrow button.

Right Arrow

After you select a field from the Available Fields list, click [image] to add the field to the Selected Fields list.

Left Arrow

After you select a field from the Selected Fields list, click [image] to move the field back to the Available Fields list.

Up

Select a field from the Selected Fields list and then click [image] to move the field one position up. When you click OK, the corresponding column moves one position to the left on the report.

The fields that display top-to-bottom in the Selected Fields list represent the columns that display left-to-right in the report.

Down

Select a field from the Selected Fields list and then click [image] to move the field one position down. When you click OK, the corresponding column moves one position to the right on the report.

When you are finished setting the output fields options, click OK to return to the Reports tab of the Schedule Driver Analysis dialog box.

Location

To display the Output Field dialog box, complete the following steps:

  1. Select an activity from an Activity Spreadsheet, Barchart, or Network view.

  2. Display the Schedule Driver Analysis dialog box by taking one of the following actions:

  3. From the Processes tab, select Schedule Driver Analysis.

  4. From the context menu of the Activity Spreadsheet, Barchart, or Network views, select Schedule Driver Analysis.

  5. Select the Reports tab.

  6. Click the appropriate Change button.

The Reports tab only becomes enabled if you have Milestones Professional® installed.

Related Topics and Procedures

Related Topics

Understanding Schedule Driver Analysis


Setting Up Parameters for Path Analysis

To determine the most critical paths to any point in a project, you need to configure certain parameters.

To set up parameters:

  1. Open an Activity Spreadsheet, Barchart, or Network views.

  2. Display the Schedule Driver Analysis dialog box by taking one of the following actions:

  • From the Processes tab, select Schedule Driver Analysis.

  • Form the context menu of Activity Spreadsheet, Barchart, or Network views, select Schedule Driver Analysis.

  3. On the Inputs tab, enter or select the necessary information.

  4. When you are done, click Perform Analysis. It validates the information that you enter on the Inputs tab and, if the validation is successful, runs the Time Analysis process with the various target fields and types. Schedule Driver Analysis uses the results of Time Analysis to identify paths through a selected user character field.

If you have the Milestones Professional® (MP) application installed, you can generate custom reports that take full advantage of its graphic display ability. You do this on the Reports tab of the Schedule Driver Analysis dialog box.

Related Topics and Procedures

Understanding the Schedule Driver Analysis Tool

Using the Schedule Driver Analysis Dialog Box

Using the Inputs tab of the Schedule Driver Analysis Dialog Box

Using the Field Dialog Dialog Box

Generating Milestones Professional Report


Generating Milestones Professional Reports

If you have the Milestones Professional® (MP) application installed, you can generate custom reports that take full advantage of its graphic display ability. Three report templates included with Schedule Driver Analysis allow you to create a Barchart report that documents all critical paths, a separate Path Details report for each critical path you instruct the tool to identify, or a Summary Path report that summarizes the current activities on each path.

To generate MP reports, complete the following steps:

  1. Open an Activity Spreadsheet, Barchart, or Network views.

  2. Display the Schedule Driver Analysis dialog box by taking one of the following actions:

  • From the Processes tab, select Schedule Driver Analysis.

  • Form the context menu of Activity Spreadsheet, Barchart, or Network views, select Schedule Driver Analysis.

  3. On the Inputs tab, enter or select the necessary information.

  4. Click the Reports tab.

  5. Enter or select the necessary information.

  6. When you are done, click Generate Report. It validates the information that you enter on both tabs and, if the validation is successful, allows MP to generate various reports.

Schedule Driver Analysis does not overwrite existing templates when creating and saving new reports.

Related Topics and Procedures

Understanding the Schedule Driver Analysis Tool

Using the Schedule Driver Analysis Dialog Box

Using the Inputs tab of the Schedule Driver Analysis Dialog Box

Using the Field Dialog Dialog Box

Setting Up Parameters for Path Analysis


Understanding the Trace Logic Tool

The Trace Logic tool outlines the path of activities leading to a selected activity. It helps you trace the logic easily starting from the selected activities.

Related Topics and Procedures

Related Topics

Using the Open Plan Logic Trace Facility Dialog Box

Understanding Chain Activities

Related Procedure

Performing Trace Logic from Selected Activities


Open Plan Logic Trace Facility Dialog Box

Use this dialog box to work through project relationships to find what activities are related to a starting activity.

Selection

This group box contains the following fields and buttons:

Trace Logic from Activity

Select an activity from which you want to trace logic. By default, this field displays an activity that is currently selected in the open view. You can either enter a new activity ID manually or select from a list by clicking the ellipsis (…) button.

Selecting the ellipsis button displays the Select Activity dialog box.

User Field for Filter

Select a user field that you want to use for filter. You can select from the drop-down list, which contains user character and numeric fields. By default, it displays User Numeric Field 1.

Options

This group box contains the following fields and buttons:

Clear previously traced logic first

Select this option if you want to delete the previous traced logic before performing a new one. By default, this option is selected.

Open Logic Trace View when complete

Select this option to display the Logic Trace Network (or LOGICT) view when the process completes. The LOGICT view highlights the Activity boxes based on filters.

Click OK when you are done. To view only the traced logic, from the View tab, select Placements and then use the LogicTrace or LogicTraceOther filter.

Location

To display the Open Plan Logic Trace Facility dialog box, take one of the following actions:

  1. Open an Activity spreadsheet, a resource or an activity barchart, or a network view.

  2. Select an activity.

  3. Take one of the following actions:

  • From the Processes tab, select Trace Logic.

  • Right-click the selection button of an activity and then select Trace Logic from the context menu.

Related Topics and Procedures

Related Topic

Understanding the Trace Logic Tool

Related Procedure

Performing Trace Logic from Selected Activities


Perform Trace Logic from Selected Activities

This procedure allows you to trace logic from selected activities.

To trace logic:

  1. Open an activity spreadsheet, a resource or an activity barchart, or a network view.

  2. Select an activity to which you want to trace logic.

  3. Open the Open Plan Logic Trace Facility dialog box. To do this, take one of the following actions:

    • From the Processes tab of the activity spreadsheet, resource or activity barchart, or network views, select Trace Logic.

    • From the context menu of an Activity spreadsheet, a resource or an activity barchart, or a network view, select Trace Logic.

  4. Select or enter necessary information.

  5. Click OK.

Related Topics and Procedures

Related Topics

Understanding the Trace Logic Tool

Understanding Chain Activities

Related Procedure

Using the Open Plan Logic Trace Facility Dialog Box


Select Target Activity Dialog Box

Use this dialog box to select a target activity to identify the critical path. The list that it displays does not include completed, summary, and hammock activities. When you enter an activity ID for any of the excluded activities, Open Plan displays a warning message.

Selecting an activity displays the corresponding Baseline Finish Date as well as the Constraint Date on the DCMA Constraint Metric Critical Path Analysis dialog box.

Location

To display the Select Target Activity dialog box:

  1. From the Tools menu group of the Processes tab, select DCMA Analysis.

  2. On the DCMA Constraint Metric Critical Path Analysis dialog box, click the ellipsis (...) button beside the Target Activity field.

Related Topics and Procedures

Related Topics

DCMA Analysis

DCMA Constraint Method Critical Path Analysis Dialog Box

Related Procedure

Identify the Critical Path Using the Constraint Method


Identify the Critical Path Using the Constraint Method

This procedure allows you to identify the critical path using the constraint method.

To identify the critical path:

  1. Open an Activity Spreadsheet or Barchart views.

  2. From the Tools menu group of the Processes tab, select DCMA Analysis.

  3. On the DCMA Constraint Metric Critical Path Analysis dialog box, enter or select the necessary information.

  4. When you are done, click Perform Analysis. Open Plan validates the information that you entered or selected. if the validation is successful, it runs the Time Analysis process with the selected target fields. DCMA Analysis uses the results of Time Analysis to identify paths through a selected user character field.

Related Topics and Procedures

Related Topics

DCMA Constraint Method Critical Path Analysis Dialog Box

Select Target Activity Dialog Box


Project Properties Dialog Box

This dialog box stores project-level information. When accessed from a project that is unopened, or opened in either Exclusive or Shared mode, you can use this dialog box to modify the information it displays. If the project is open in Read Only mode, you can only view the information on this dialog box.

To add or edit properties for resource files, code files, calendar files, and views, use the Properties – <Filename> dialog box, where <Filename> is the name of the selected file.

Provided you have the proper access control rights to the file, you do not have to first open a file to edit its properties.

Tabs

This dialog box includes the following tabs:

  • Summary: This tab displays information about the project name, description, project manager, company, client, and summary information about the activities, relationships, and resource assignments.

  • Preferences: This tab controls such project defaults as date formats, working hour conversion factors, durations, and the default access mode.

  • Files: This tab controls the calendar, resource definition, and code files associated with the project.

  • Status: This tab provides an overview of the current status of a project.

  • Cost: This tab provides an overview of the budgeted and actual costs associated with the project.

  • Progress: This tab allows you to select valid progress types for a selected activity and set specific actions to perform when the activity is completed.

  • Notes: This tab allows you to create, edit, or delete a note attached to the project.

  • Scheduling: This tab allows you to specify both the project's priority and the type of dates that should be used when calculating the resource usage summary.

  • User Fields: This tab allows you to specify the values that Open Plan should include for user-defined fields on the project table.

  • Access Control: This tab provides information about the access rights that users with a given group and role assignment have to the project.

  • Open Status: This tab provides such information about the open status of the project as the ID of each person who has the project open, the computers on which it is open, the mode in which each user has it open, as well as the date and time when it was last updated.

  • References: This tab displays master projects that include this project as an external project.

  • Codes: This tab controls the project-level codes that are assigned to the project.

  • Validations: This tab displays the list of validations available in the system as well as the validations assigned to a project. It also allows you to assign rules to a project or remove rules that have been assigned to a project.

Fields

The following fields are located at the top of each tab:

Project Name

The name of the project is established when the project is created. You cannot edit the name of the project.

Provided that you have the project open in Exclusive or Shared mode, you can use the Save As command to create a copy of the project by saving it under a different name.

Description

Providing a project description is optional when the project is created. You can enter or modify the project description on any tab of the dialog box.

Location

To display the Project Properties dialog box, complete the following step:

  1. Take one of the following actions:

  • In Open Plan Explorer, right-click a project in the Projects folder, and click Properties on the shortcut menu.

  • In the Project Views folder of Open Plan Explorer, display a project in any view, and click Properties in the Dialogs menu group of the Edit tab.

You can display the Project Properties dialog box even if the project is not open, but you can only modify project information if you opened the project in either Exclusive or Shared mode.

Related Topics and Procedures

Related Procedures

Entering Project Summary Information

Setting Project Preferences

Reviewing Project Status

Entering a Project Start Date

Setting a Project Target Start Date

Setting a Project Target Finish Date

Attaching a Note to a Project

Assigning a Rule to a Project Using the Project Properties Validations Tab

Assigning a Rule to a Project Using the Assign User Defined Validation Dialog Box

Removing an Assigned Rule from a Project


Project Properties Summary Tab

The Summary tab displays basic information about the project. At the top of this tab, Open Plan displays name of the project and allows you to modify its Description.

Top Section of Tab

Project Name

The name of the project is established when the project is created. You cannot edit the name of the project.

Description

Providing a project description is optional when the project is created. You can enter or modify the project description on any tab of the dialog box.

Owner

This field displays the ID of the current owner of the project. In most cases, this is the person who created the project.

Data Access Mode

Identifies the mode in which the project is open:

  • Exclusive: If a project is open in exclusive mode, you have the exclusive right to make changes to it. While you have the project open in exclusive mode, other users can open the project only in read-only mode.

  • Shared: If the project is open in shared mode, other users can open the file and make changes while you have it open.

  • Read Only: If the project is open in read-only mode, you cannot make any changes to the project.

  • Not Open: If you display the Project Properties dialog box without first opening the project, you can make changes to the project data only if no other user in your data source has the project open in exclusive mode.

  • Even though you can make project data changes to a closed project, you cannot change the file associations on the Files tab.

Project Phase

Identifies the phase at which the project currently stands. There are three phase categories:

  • Proposed: The project proposal has been submitted and is awaiting approval.

  • Open: The project has been approved. Although the project phase is open, the actual project may not necessarily have started as yet. (View the Status tab of the Project Properties dialog box for the current status of the open project.)

  • Closed: The project has been completed.

Lower Section of Tab

The lower section of the tab is organized in three columns:

  • The left column controls the following general project information:

    • Project Manager: Enter the name of the project manager in this field. While use of this field is optional, the information it contains is used in many reports.

    • Project Manager Email Address: Enter the project manager's email address in this field. While use of this field is optional, Open Plan can use the information it contains as the "To" address in the email advisor.

    • Company: Enter the name of company managing the project in this field. While use of this field is optional, the information it contains is used in many reports.

    • Client: Enter the name of the project's client in this field. While use of this field is optional, the information it contains is used in many reports.

  • The project statistics (middle) column displays following statistical information:

    • Total Activities: The total number of activities within the project. This total does not include the activities in any open external subprojects.

    • Total in Progress: The total number of activities in the project with a status of In Progress. This value is updated only when time analysis is performed.

    • Total Complete: The total number of activities within the project that are complete. This value is updated only when time analysis is performed.

    • Total Relationships: The total number of relationships within the project.

    • Total Assignments: The total number of resource assignments within the project.

If the project contains open external subprojects, the totals displayed include values from activities within the external subprojects.

When the project contains unopened external subprojects, Open Plan includes in the totals the external subproject activities acting as place holders but not the activities that are within the unopened subprojects.

  • The right column features the following baseline controls:

    • Baselines: These fields display the current baseline(s) selected for the project. Open Plan can display the names of up to three project baselines in these fields. You can change any of these baselines by clicking Select Baseline and selecting a different baseline from the dialog box that is displayed.

    • Select Baseline: Clicking this button displays a dialog box that you can use to select up to three baselines for the project. In addition, you can use this dialog box to create, update, and delete project baselines.

    For more information about working with baselines, see Project Baselines.

Location

To display the Project Properties dialog box, complete the following step:

  1. Take one of the following actions:

  • In Open Plan Explorer, right-click a project in the Projects folder, and click Properties on the shortcut menu.

  • In the Project Views folder of Open Plan Explorer, display a project in any view, and click Properties in the Dialogs menu group of the Edit tab.

You can display the Project Properties dialog box even if the project is not open, but you can only modify project information if you opened the project in either Exclusive or Shared mode.

Related Topics and Procedures

Related Topics

Project Properties Access Control Tab

Project Properties Codes Tab

Project Properties Cost Tab

Project Properties Dialog Box

Project Properties Files Tab

Project Properties Notes Tab

Project Properties Open Status Tab

Project Properties Preferences Tab

Project Properties References Tab

Project Properties Scheduling Tab

Project Properties Status Tab

Project Properties User Fields Tab

Related Procedure

Entering Project Summary Information


Project Properties Preferences Tab

This tab displays the project name and controls the following project settings:

Project Name

The name of the project is established when the project is created. You cannot edit the name of the project.

Description

Providing a project description is optional when the project is created. You can enter or modify the project description on any tab of the dialog box.

Default Date Format

This option controls the default format Open Plan uses for dates. For new projects, the default format is 31Dec07. However, you can choose from many other formats as well. If you enter a date in a different format, Open Plan attempts to convert it to the format you selected as the default.

For example, if your default date format is 31Dec01, Open Plan makes the following conversions:

  • If you enter "31dec" and 2007 is the current year, Open Plan interprets the date as 31Dec07.

  • Open Plan always interprets 13/12/07 December 13, 2007, since 13 cannot be interpreted as a month.

If the date you enter is all numeric (for example, 10/01/07), Open Plan uses the order of month and year from your Windows system.

Default Activity Type

You can use this field to select one of the following default activity types for the project:

  • ASAP

  • Start Milestone

  • Discontinuous

  • Hammock

  • ALAP

  • Finish Milestone

  • Subproject

  • Effort Driven

You can also select External Subproject as the default activity type for the project.

For a description of each activity type, see the Glossary.

Default Activity Calendar

The default calendar to be used for all new activities within the project. Using a default activity calendar makes it easier to share one calendar file over all projects.

Default Res. Curve

The Default Res. Curve field displays the following choices:

  • All valid Spread Curves defined within the Spread Curves dialog box for which the user has at least read-only access

  • A blank curve type

By default, Default Res. Curve is blank. The Default Res. Curve value is used for all new resource assignments within the project. The Default Res. Curve option is available when using Backup or Save As.

Startup View

Open Plan automatically displays the selected startup view whenever you open the project.

Default Relationship Calendar

The default calendar for all new relationships within the project.

For more information about calendars, see Working with Calendars.

Default Res. Level

The Default Res. Level field contains the following options:

  • none: forces the user to enter a value before the assignment can be saved

  • 1: resource availability value of 1

  • First availability: uses the first available record

By default, Default Res. Level is set to First Availability. The Default Res. Level value will be used for all new resource assignments within the project.

If a user attempts to save the assignment before entering a value (although 0 is a valid value and will be allowed if explicitly entered), the following warning message will be displayed: Save assignment with Level of zero? This warning message will be displayed only once when a user attempts to save the multiple assignments to multiple activities before entering a value.

The Default Res. Level option is included in Backup and Save As.

Conversions

Three settings control the way in which Open Plan converts durations into minutes from different time units:

  • per Day: Controls the number of hours and minutes per day that are used in the conversion. The default setting is 8 hours and 0 minutes.

  • per Week: Controls the number of hours and minutes per week that are used in the conversion. Typically, this would be the number of hours per day multiplied by the number of work days in a week. The default setting is 40 hours and 0 minutes.

  • per Month: Controls the number of hours and minutes per month that are used in the conversion. Typically, this would be the number of hours per day multiplied by the number of work days in a month. The default setting is 160 hours and 0 minutes.

Open Plan calculates the number of hours available for work in any given duration by referring to the applicable project calendar.

Durations

  • Default Duration Units: You can define a default duration unit for entering activity durations. For example, if you set the default duration unit as days, an activity duration of 10 will be interpreted by Open Plan as a duration of 10 days. You can specify the default duration units by selecting one of the following units from the list:

  • Minutes

  • Hours

  • Days

  • Weeks

  • Months

This setting allows you to enter a duration without specifying a unit.

  • Min Calculated Duration: You can indicate a minimum time unit that Open Plan should use when calculating durations in time analysis. For example, if you define the minimum calculated duration as days, Open Plan will never calculate activity durations in units smaller than one day during time analysis (except in cases where the user-defined duration for the activity is less than a day). This setting is intended to allow you to improve processing times for very large networks at the expense of decreased precision in the scheduling calculations. Whether or not this approach yields acceptable results depends on a number of factors. For example, if your project extends over a number of years, minor inaccuracies in the schedule of events occurring several years in the future may not be significant.

    • It is important to remember that specifying a minimum calculated duration that is smaller than your shortest activity duration does not improve scheduling accuracy. For example, if you schedule all of your activities in days, specifying an hour as the minimum calculated duration will not produce a more accurate schedule

  • Default Activity Duration: Use this field to specify the default activity duration for new activities in the selected project. When the project is created, this field is populated with the value in the Default Duration field on the Options dialog box Project tab. When you enter a value, all activities created after the value is entered default to the new value. To set the default activity duration for the selected project, see Set the Default Activity Duration at the Project Level. You can enter a number with or without a unit (for example 1w for 1 week). If you enter a value without a unit in the Default Activity Duration field and at the same time you change the value in the Default Duration Units field, the default duration unit that is used is the one prior to the latest change.

    This field only sets the default for the selected project. To set the default activity duration at the system level for all new projects, enter a value in the Default Duration field on the Options dialog box Project tab.

Default Access Mode

This field is displayed only when you are creating an ancillary (resource, calendar, or code) file.

If you are creating a new project, the Default Access Mode field is displayed on the Preferences page of the wizard.

The setting you choose determines the default access mode when the file is opened.

  • Exclusive: A file that is open in Exclusive mode by one user can be opened only in Read Only mode by other users. When you have a file open in Exclusive mode, you can save any changes you make. You can also close the file without saving your changes.

  • Shared: If the file is open in Shared mode, multiple users can have access to the file at the same time. Open Plan saves the data whenever a user clicks OK on a dialog box that uses the shared file. This provides all users who have the file open with the latest information.

  • Read Only: If the file is open in Read Only mode, can view the file. You cannot, however, make any changes to the file while you have it open in this mode.

  • Default: This option only applies to ancillary files. If you select Default and open a project, Open Plan opens each ancillary file in its own default access mode, which you set in each ancillary file’s Properties dialog box.

You can set a default access mode for the project and the ancillary (code, resource, calendar) files independently.

You can override the Default Access Mode settings by setting the Ancillary Files field in the Project Properties dialog box to Exclusive, Shared, or Read Only and then opening the project using one of the following procedures:

  • On the File menu, click Open, and select the appropriate access mode from the File Open dialog box.

  • From Open Plan Explorer, right-click the file, point to Open on the context menu, and select the appropriate access mode.

If you open an ancillary file outside the context of a project, right-clicking the file and clicking Default on the Open submenu opens the ancillary file in the default access mode established on the Properties dialog box for that file.

For more information about the modes, see Working in a Multi-User Environment and Setting the Default Access Mode.

Earned Value

You can specify the Earned Value Technique (EVT) that Open Plan automatically assigns to a new activity. When the Base Physical Percent Complete on EVT option is selected on the Progress Calculations dialog box, Open Plan uses the selected EVT to update the earned value of the activities when progress calculations are run.

You can override this default EVT for an activity by assigning a new EVT to the activity using the Advanced tab of the Activity Details dialog box.

You can choose from the following EVTs:

  • Level of Effort (A): This EVT assumes that if the activity has started, it will progress (and, thus, earn value) according to the original budget without deviation. By definition, the value earned by an activity using this Earned Value is equal to the budget up to Time Now. In other words, starting a Level of Effort (LOE) activity results in the activity immediately earning its entire budget up to Time Now.

  • Percent Complete (C): With this EVT, the user enters percent complete directly. Percent complete places the burden of objective performance measurement on the individual or system that provides the information.

  • 50-50 (E): With this EVT, 50% of the value is earned as soon as the activity is started, and the rest is earned when it is completed. Since value cannot be earned in any intervening periods, this EVT is best used for activities that span a maximum of two fiscal periods.

  • 0-100 (F): With this EVT, no value is earned until the activity is completed. At which point, the entire budget is earned. This method is best used if the activity is scheduled to start and finish in the same fiscal period.

  • 100-0 (G): With this EVT, all the value is earned as soon as the activity is started. This method is best used if the activity is scheduled to start and finish in the same fiscal period.

  • User-Defined Percentage (H): This EVT is a variation of the 50-50 EVT. The percentage earned at the start of the activity (1 to 99%) is defined in advance by the user by entering the percentage in the Start % field. The remainder is earned when the activity is completed. This method is best used for activities whose schedule dates span a maximum of two fiscal periods. The Start % field is only enabled when you select the User-Defined Percentage EVT.

  • Planning Package (K): Activities using this EVT are used for planning purposes only and do not earn value. This causes earned value to always be calculated as zero regardless of any progress that has been applied.

  • Resource % Complete (L): This EVT allows you to enter status and calculate earned value at the resource assignment level. This option is useful when you have long activities and your resources are not spread across the entire activity. An example is when you have many resources assigned to a single work package.

  • Steps (N): The use of steps allows you to break down an activity into a series of smaller tasks that can be measured or checked off to more accurately show progress or provide a direct indication of what has been done. Steps can be weighted as a proportion of the overall activity/task and as each step is completed, the parent task physical percent complete is updated. If the EVT for the activity is not set to Steps, you can still define steps to provide additional information of the breakdown of the work but completing a step will not impact the physical percent complete of the activity. Steps are defined on the Activity Details Steps tabs.

  • The following Cobra EVT types are not included in any Open Plan calculations:

  • Milestones (B)

  • U nits Complete (D)

  • Earned as Spent (O)

There are few hard and fast rules about selecting earned value techniques. The general rule is to select a method that allows you to "earn how you plan." For example, if an activity spans two periods and the budget spread is $50 in the first period and $50 in the second period, you should select a EVT that, if on schedule, would allow you to earn half of the $100 budget when the activity is started and the other half when it is finished. (This scenario would most likely use the 50-50 EVT.)

Start %

This field is enabled when you select User-Defined Percentage for the EVT. You can enter the starting percentage an activity earns in this field. The remainder is earned when the activity is completed.

Allow % complete on steps

Select this option to include the % Complete column in the grid on the Steps tab of the Activity Details dialog box and Activity Progress dialog box. This allows you to enter the percent complete for each step. Otherwise, checking the Completed check box in the grid sets the % Complete to 100, and unchecking it sets the % Complete to 0.

Location

To display the Project Properties dialog box, complete the following step:

  1. Take one of the following actions:

  • In Open Plan Explorer, right-click a project in the Projects folder, and click Properties on the shortcut menu.

  • In the Project Views folder of Open Plan Explorer, display a project in any view, and click Properties in the Dialogs menu group of the Edit tab.

You can display the Project Properties dialog box even if the project is not open, but you can only modify project information if you opened the project in either Exclusive or Shared mode.

Related Topics and Procedures

Related Topics

Project Properties Access Control Tab

Project Properties Codes Tab

Project Properties Cost Tab

Project Properties Dialog Box

Project Properties Files Tab

Project Properties Notes Tab

Project Properties Open Status Tab

Project Properties References Tab

Project Properties Scheduling Tab

Project Properties Status Tab

Project Properties Summary Tab

Project Properties User Fields Tab

Related Procedure

Activity Details Dialog Box

Activity Progress Dialog Box

Setting Project Preferences


Project Properties Files Tab

The Files tab allows you to display the calendar, resource, and code file assignments for a project. It also allows you to assign ancillary files to the project.

Project Name

The name of the project is established when the project is created. You cannot edit the name of the project.

Description

Providing a project description is optional when the project is created. You can enter or modify the project description on any tab of the dialog box.

Calendar File

Open Plan displays the name of the calendar file currently assigned to the project in this text box. If the field is blank, Open Plan performs all calculations based on a 5-day work week with no holidays and an 8-hour work day.

You can use this tab to assign a calendar file to the project by clicking the ellipsis button to the right of the Calendar File edit box and then selecting the calendar file from the list in the dialog box that is displayed.

While a calendar file can contain any number of individual calendars, only one calendar file can be assigned to a project at any one time.

If you replace the calendar file currently assigned to the project with another calendar file, Open Plan asks you to confirm your action.

Resource Definition File

Open Plan displays the name of the resource file currently assigned to the project in this text box.

You can use this tab to assign a resource definition file to the project by clicking the ellipsis button to the right of the Resource Definition File edit box and then selecting the resource file from the list in the dialog box that is displayed.

Only one resource definition file can be assigned to a project at any one time.

If you replace the resource definition file currently assigned to the project with another resource definition file, Open Plan asks you to confirm your action.

Code Files

The code files currently assigned to the project and the code fields to which they are assigned are displayed in this list box. Up to 90 code files may be assigned to the project at any one time.

You can use this tab to assign a code file to the project by clicking the ellipsis button to the right of the Code Files edit box to display the Assign Code dialog box.

If adding a particular code file would replace one currently assigned to the project, Open Plan asks you to confirm your action.

You can also use the Assign Code dialog box to remove a code file from a project. If you remove a code file from a project, Open Plan deletes all code assignments that refer to the removed file.

Location

To display the Project Properties dialog box, complete the following step:

  1. Take one of the following actions:

  • In Open Plan Explorer, right-click a project in the Projects folder, and click Properties on the shortcut menu.

  • In the Project Views folder of Open Plan Explorer, display a project in any view, and click Properties in the Dialogs menu group of the Edit tab.

You can display the Project Properties dialog box even if the project is not open, but you can only modify project information if you opened the project in either Exclusive or Shared mode.

Related Topics and Procedures

Related Topics

Working with Calendars

Working with Codes

Working with Resources

Related Procedures

Using Project Properties to Assign a Calendar File to a Project

Using Project Properties to Assign a Resource File to a Project

Using Project Properties to Assign a Code File to a Project


Project Properties Status Tab

This tab displays the project name and information about the project.

Project Name

The name of the project is established when the project is created. You cannot edit the name of the project.

Description

Providing a project description is optional when the project is created. You can enter or modify the project description on any tab of the dialog box.

Status

Status

The status of a project can be one of the following:

  • Planned: The project has not yet started.

  • In Progress: The project has started but is not yet complete.

  • Complete: The project is complete.

Min. Total Float

The minimum total float on the critical path as calculated by time analysis.

Early Finish

The early finish date of the project as calculated by time analysis.

Late Finish

The late finish date of the project as calculated by time analysis.

Scheduled Finish

The scheduled finish date of the project as calculated by resource scheduling.

Project Dates

Project Start

The project start date. This serves as a historical reference once the project has begun. You can, however, change the date that is displayed in this text box.

Time Now

The current status date of the project. All information on this tab is current as of this date. No planned activity will be scheduled to start before this date. You can change Time Now by entering a new date in this field and clicking OK.

You can also specify the Time Now date on the Processes tab from the Schedule group.

Target Start

The target start date is used when an external subproject has a relationship in the master project.

Target Finish

A finish date that you impose on the project. The target finish date affects the dates that the program calculates when performing time analysis or resource scheduling. Entering this date is optional. Ordinarily, you will want to give Open Plan as much flexibility as possible in its calculations by not setting a project target finish date.

If you would like to see when you would have to start a project in order to finish by a given date, enter an NL finish target, run time analysis and look at the late start date of the first activity. This date indicates the date you need to start in order to meet your target even if it is earlier than your planned start.

Finish Type

Open Plan allows you to specify the following types of target finish dates:

  • None

  • Not Earlier Than: The earliest date on which the project can finish.

  • Not Later Than: The latest date on which the project can finish.

  • On Target: Combines the effects of the Not Earlier Than and the Not Later Than target dates.

In general, you should not enter a target finish date for any project before you run time analysis. However, many projects do have target finish dates imposed by outside circumstances. If you must enter a target finish date for the project, the following points describe how a target finish may affect calculations for the rest of the project.

If you assign a Not Later Than target finish date later than or equal to the latest early finish date calculated by time analysis, the target date has no effect. If you enter a project target finish date that is earlier than the early finish date calculated by time analysis, the result is a number of activities with negative total float. This indicates that the target date is not achievable for the project as planned and that replanning may be needed. (Note that the late start date of the first activity in a project indicates the latest date the project can start and remain achievable.)

To determine the latest date a project can start and still finish by a fixed deadline, set a not-later-than finish date for the project and perform time analysis. The late start date for the first activity in the project represents the latest date the project can start and still meet the desired finish date.

If you assign a Not Earlier Than target finish date earlier than or equal to the latest early finish date calculated by time analysis, the target date will have no effect. If you enter a project target date that is later than the early finish date that time analysis would have calculated, the result is additional float for the project.

If you assign an On Target finish date earlier than the calculated early finish date, you create negative float in the project. If you enter a target finish date later than the calculated early finish date, you add float. If you enter a target finish date exactly equal to the calculated date, the target date has no effect.

Location

To display the Project Properties dialog box, complete the following step:

  1. Take one of the following actions:

  • In Open Plan Explorer, right-click a project in the Projects folder, and click Properties on the shortcut menu.

  • In the Project Views folder of Open Plan Explorer, display a project in any view, and click Properties in the Dialogs menu group of the Edit tab.

You can display the Project Properties dialog box even if the project is not open, but you can only modify project information if you opened the project in either Exclusive or Shared mode.

Related Topics and Procedures

Related Topics

Project Properties Access Control Tab

Project Properties Codes Tab

Project Properties Cost Tab

Project Properties Dialog Box

Project Properties Files Tab

Project Properties Notes Tab

Project Properties Open Status Tab

Project Properties Preferences Tab

Project Properties References Tab

Project Properties Scheduling Tab

Project Properties Summary Tab

Project Properties User Fields Tab

Related Procedures

Reviewing Project Status

Setting Time Now

Entering a Project Start Date

Setting a Project Target Start Date

Setting a Project Target Finish Date


Project Properties Cost Tab

The Cost tab displays summary cost information for the project.

Project Name

The name of the project is established when the project is created. You cannot edit the name of the project.

Description

Providing a project description is optional when the project is created. You can enter or modify the project description on any tab of the dialog box.

Target Total Cost

The value you enter in this field is not used in any cost calculations. However, by entering a target cost in this field you have a value that you can use as a benchmark when comparing the budget and actual costs of a project with what was originally planned.

Reporting Calendar

The Reporting Calendar field allows you to specify a reporting calendar file that will be used as a default for date scales that use reporting calendars. When creating or updating a baseline or any resource usage table, Open Plan uses the data in this file to break any usage records that span more than one calendar period into additional records. This feature facilitates the accurate export of time-phased resource assignment information.

This feature is also useful if your company uses a fiscal calendar that contains periods that do not end on the last day of the month.

While the Reporting Calendar feature may be used with any Open Plan project, it is particularly useful to Cobra users as it improves the ability of Cobra to accurately spread time-phased assignment data.

Use Version 2 Cost Calculation Method

This field controls the cost calculations method that Open Plan should use when calculating Budget at Complete (BAC) values at the activity level. See How BAC is Calculated for a description on how this option affects the way BAC is calculated.

  • When this option is cleared (the default setting for new projects), Open Plan uses the Open Plan Version 3 method. With this method, Open Plan calculates costs based on assignments in the Performance Measurement Baseline (PMB) in the Baseline Usage table. By always using the PMB regardless of which baseline is selected, Open Plan provides consistency and reliability.

    If there is no baseline named PMB, Open Plan uses the currently selected baseline, or, in the case of multiple selected baselines, the baseline identified as Baseline 1. If the project contains baselines, but none is selected or named PMB, Open Plan prompts you to select a baseline. If the project has no baselines, Open Plan uses the Version 2 Cost Calculation Method automatically.

  • When this option is selected, Open Plan uses the Open Plan Version 2 method. With this method, Open Plan calculates costs based on the current resource assignments This is the default setting for projects that were originally created in Open Plan 2.x.

Grid

The lower half of this tab is a grid that displays budgeted costs, scheduled value, earned value, actual costs, and remaining costs rolled up to the project level for the following:

Labor Quantity

Open Plan displays the following values in this row for the resource assignments on the activity that have a category of Labor:

Cost

Description

BAC

This value represents the total number of labor resource units budgeted for the project. The Labor Quantity BAC for the project is stored in the BAC_QTY field in the Project table.

The calculations that are performed at the activity level depend on whether the Use Version 2 Cost Calculation Method option is selected on this tab of the Project Properties dialog box.

  • By default, the Use Version 2 Cost Calculation Method is cleared for new projects. In this mode, Open Plan calculates the Labor Quantity BAC by summing the values in the RES_USED field for labor resources assigned to this activity for the Performance Measurement Baseline (PMB) in the baseline usage table. By always using the PMB when it is available, Open Plan provides consistency and reliability.

  • If there is no baseline named PMB, Open Plan uses the currently selected baseline, or, in the case of multiple selected baselines, the baseline identified as Baseline 1. If the project contains baselines, but none is selected or named PMB, Open Plan prompts you to select a baseline. If the project has no baselines, Open Plan uses the Version 2 Cost Calculation Method automatically. A baseline must be selected in order for Open Plan to calculate earned value.

  • If the Use Version 2 Cost Calculation Method is selected, Open Plan calculates this value by summing the values in the Level field of the Assignment table adjusted for any curve, offset, or period that may be defined.

BCWS

This value represents the budgeted quantity of labor for the work scheduled for the project from the baseline start date of the project until Time Now. The Labor Quantity BCWS for the project is stored in the BCWS_QTY field on the Project table. This value is calculated by summing the values from the Activity table.

The values in the Activity table are calculated during cost calculations by summing the original (budgeted) labor resource quantity (RES_USED) value in the Performance Measurement Baseline (PMB) in the Baseline Usage table from the baseline start date until Time Now. By always using the PMB when it is available, Open Plan provides consistency and reliability.

If there is no baseline named PMB, Open Plan uses the currently selected baseline, or, in the case of multiple selected baselines, the baseline identified as Baseline 1. If the project contains baselines, but none is selected or named PMB, Open Plan prompts you to select a baseline during cost calculations. If the project has no baselines, BCWS will not be calculated. A baseline must be selected in order for Open Plan to calculate earned value.

BCWP

This value represents the earned value of labor resource units budgeted for the project. The Labor Quantity BCWP for the project is stored in the BCWP_QTY field on the Project table. This value is calculated by summing the values in the Activity table.

The values in the Activity table are calculated during cost calculations by summing the earned value of resource labor units (BCWP_QTY) in the Resource Cost table. The earned value of resource labor units (BCWP_QTY) in the Resource Cost Table is calculated during cost calculations, by multiplying the physical percent complete of the assignment by the original (budgeted) labor resource quantity (RES_USED) value in the Performance Measurement Baseline (PMB) on the Baseline Usage table. By always using the PMB when it is available, Open Plan provides consistency and reliability.

If there is no baseline named PMB, Open Plan uses the currently selected baseline, or, in the case of multiple selected baselines, the baseline identified as Baseline 1. If the project contains baselines, but none is selected or named PMB, Open Plan prompts you to select a baseline during cost calculations. If the project has no baselines and the Version 2 Cost Calculation Method is selected on the Cost tab of the Project Properties dialog box, Open Plan calculates BCWP by summing the values in the Level field of the Assignment table adjusted for any curve, offset, or period that may be defined.

Each time you calculate costs, an entry is added to the resource cost table that represents current period BCWP. For a new period, this value is calculated by subtracting the sum of all previous values from the new total calculated BCWP.

ACWP

This value represents the actual number of labor resource units that have been used by the project. The Labor Quantity ACWP for the project is stored in the ACWP_QTY field on the Project table. This value is calculated by summing the values in the ACWP_QTY field on the Activity table.

The ACWP values in the activity table are calculated during cost calculations based on one of the following conditions:

  • If the Progress Based on Activity Progress option is selected in the Resource Details dialog box, Open Plan calculates this value based on the progress reported on the activity.

  • If the Progress Based on Activity Progress option is cleared in the Resource Details dialog box, Open Plan calculates this value based on the values that have been entered on the Resources tab of the Activity Progress dialog box.

EAC

This value represents the total of both the estimated and the completed labor quantities for the project. The Labor Quantity EAC for the project is calculated by first totaling the values in the ETC_QTY and the ACWP_QTY fields in the Activity table and then adding the resultant totals.

The ETC_QTY is calculated at the activity level by summing the Remaining values on the Assignment table.

If the Progress Based on Activity Progress option is selected in the Resource Details dialog box, Open Plan calculates Remaining values during cost calculations.

Labor Cost

Open Plan displays the following values in this row for the resource assignments on the activity that have a category of Labor:

Cost

Description

BAC

This value represents the total cost of labor budgeted for the project. The Labor Cost BAC for the project is stored in the BAC_LAB field on the Project table. This value is calculated by summing the values in the BAC_LAB field on the Activity table.

The calculations that are performed at the activity level depend on whether the Use Version 2 Cost Calculation Method option is selected on this tab of the Project Properties dialog box.

  • By default, the Use Version 2 Cost Calculation Method is cleared for new projects. In this mode, Open Plan calculates Labor Cost BAC by summing the values in either the unescalated labor resource cost field (RES_CST) or the escalated labor resource cost field (RES_ESC) in the Performance Measurement Baseline (PMB) on the Baseline Usage table. The value that Open Plan uses in this calculation is determined by a setting in the Cost Calculations dialog box:

    • If the Use Resource Cost Escalation option is cleared in the Cost Calculations dialog box, Open Plan uses the RES_CST field.

    • If the Use Resource Cost Escalation option is selected in the Cost Calculations dialog box, Open Plan uses the RES_ESC field.

    By always using the PMB when it is available, Open Plan provides consistency and reliability. If there is no baseline named PMB, Open Plan uses the currently selected baseline, or, in the case of multiple selected baselines, the baseline identified as Baseline 1. If the project contains baselines, but none is selected or named PMB, Open Plan prompts you to select a baseline. If the project has no baselines, Open Plan uses the Version 2 Cost Calculation Method automatically. A baseline must be selected in order for Open Plan to calculate earned value.

  • If the Use Version 2 Cost Calculation Method option is selected, Open Plan calculates this value by summing the values in the Level field of the Assignment table adjusted for any curve, offset, and period that may be defined, and multiplying this value by the appropriate Labor Cost rate. The rate that Open Plan uses is determined by a setting in the Cost Calculations dialog box:

    • If the Use Resource Cost Escalation option is cleared in the Cost Calculations dialog box, Open plan uses the unit rate for all entries.

    • If the Use Resource Cost Escalation option is selected in the Cost Calculations dialog box, Open Plan uses the relevant escalated rates for each entry.

BCWS

This value represents the budgeted cost of the work scheduled for the project from the baseline start date of the project until Time Now. The Labor Cost BCWS for the project is stored in the BCWS_LAB field on the Project table. This value is calculated by summing the values in the BCWS_LAB field on the Activity table.

The Labor Cost BCWS values in the Activity table are calculated during cost calculations by summing the values stored in either the unescalated Labor resource cost field (RES_CST) or the escalated Labor resource cost field (RES_ESC) in the Performance Measurement Baseline (PMB) in the Baseline Usage table from the baseline start date until Time Now. The field that Open Plan uses in this calculation is determined by a setting in the Cost Calculations dialog box:

  • If the Use Resource Cost Escalation option is cleared in the Cost Calculations dialog box, Open Plan uses the RES_CST field.

  • If the Use Resource Cost Escalation option is selected in the Cost Calculations dialog box, Open Plan uses the RES_ESC field.

By always using the PMB when it is available, Open Plan provides consistency and reliability. If there is no baseline named PMB, Open Plan uses the currently selected baseline, or, in the case of multiple baselines, the baseline identified as Baseline 1. If the project has contains baselines, but none is selected or named PMB, Open Plan prompts you to select a baseline during cost calculations. If the project has no baselines, BCWS will not be calculated. A baseline must be selected in order for Open Plan to calculate earned value.

BCWP

This value represents the earned value of labor for the project. The Labor Cost BCWP for the project is stored in the BCWP_LAB field on the Project table. This value is calculated by summing the values in the BCWP_LAB field on the Activity table.

The values in the Activity table are calculated during cost calculations by summing the values in either the unescalated labor cost field (BCWP_CST) or the escalated labor cost field (BCWP_ESC) in the Resource Cost table. The field that Open Plan uses in this calculation is determined by a setting in the Cost Calculations dialog box:

  • If the Use Resource Cost Escalation option is cleared in the Cost Calculations dialog box, Open Plan uses the BCWP_CST field.

  • If the Use Resource Cost Escalation option is selected in the Cost Calculations dialog box, Open Plan uses the BCWP_ESC field.

ACWP

This value represents the actual cost of labor for the project to date. The Labor Cost ACWP for the project is stored in the ACWP_LAB field on the Project table. This value is calculated by summing the values in the ACWP_LAB field on the Activity table.

The ACWP_LAB values in the Activity table are calculated during cost calculations based on one of the following conditions:

  • If the Actual Cost Based on Progressed Quantity option is selected in the Resource Details dialog box, Open Plan calculates this value based on the progressed quantity of the resource and stores it in the ACWP_CST and ACWP_ESC fields on the Resource Cost table. Then Open Plan rolls it up to the activity level.

  • If the Actual Cost Based on Progressed Quantity option is cleared in the Resource Details dialog box, Open Plan calculates this value based on the values that have been entered on the Resources tab of the Activity Progress dialog box and which are stored in the Resource Cost table. Open Plan summarizes these values to the activity level.

EAC

This value represents the estimate of the total labor costs for the project when it is complete. The Labor Cost EAC for the project is calculated by first totaling the values in the ETC_LAB and the ACWP_LAB fields in the Activity table and then summing the resultant totals.

The ETC_LAB in the Activity table is calculated by adding the Remaining values on the Assignment table for resources that have the resource category of Labor. If the Progress Based on Activity Progress option is selected in the Resource Details dialog box, Open Plan calculates Remaining values during cost calculations.

The ACWP_LAB in the Activity table is calculated based on one of the following conditions:

  • If the Actual Cost Based on Progressed Quantity option is selected in the Resource Details dialog box, Open Plan calculates this value based on the progressed quantity of the resource and stores it in the ACWP_CST and ACWP_ESC fields in the Resource Cost table. Then Open Plan rolls it up to the activity level.

  • If the Actual Cost Based on Progressed Quantity option is cleared in the Resource Details dialog box, Open Plan calculates this value based on the values that have been entered on the Resources tab of the Activity Progress dialog box and which are stored in the Resource Cost table. Open Plan summarizes these values to the activity level.

Material Cost

Open Plan displays the following values in this row for the resource assignments on the activity that have a category of Material:

Cost

Description

BAC

This value represents the total cost of materials budgeted for the project. The Material Cost BAC for the project is stored in the BAC_MAT field on the Project table. This value is calculated by summing the values in the BAC_MAT field on the Activity table.

The calculations that are performed at the activity level depend on whether the Use Version 2 Cost Calculation Method option is selected on this tab of the Project Properties dialog box.

  • By default, the Use Version 2 Cost Calculation Method is cleared for new projects. In this mode, Open Plan calculates Material Cost BAC by summing the values in either the unescalated material resource cost field (RES_CST) or the escalated material resource cost field (RES_ESC) in the Performance Measurement Baseline (PMB) on the Baseline Usage table. The value that Open Plan uses in this calculation is determined by a setting on the Cost Calculations dialog box:

    • If the Use Resource Cost Escalation option is cleared in the Cost Calculations dialog box, Open Plan uses the RES_CST field.

    • If the Use Resource Cost Escalation option is selected in the Cost Calculations dialog box, Open Plan uses the RES_ESC field.

    By always using the PMB when it is available, Open Plan provides consistency and reliability. If there is no baseline named PMB, Open Plan uses the currently selected baseline, or, in the case of multiple selected baselines, the baseline identified as Baseline 1. If the project contains baselines, but none is selected or named PMB, Open Plan prompts you to select a baseline. If the project has no baselines, Open Plan uses the Version 2 Cost Calculation Method automatically. A baseline must be selected in order for Open Plan to calculate earned value.

  • If the Use Version 2 Cost Calculation Method option is selected, Open Plan calculates this value by summing the values in the Level field of the Assignment table adjusted for any curve, offset, and period that may be defined, and multiplying this value by the appropriate Material Cost rate. The rate that Open Plan uses is determined by a setting in the Cost Calculations dialog box:

    • If the Use Resource Cost Escalation option is cleared in the Cost Calculations dialog box, Open plan uses the unit rate for all entries.

    • If the Use Resource Cost Escalation option is selected in the Cost Calculations dialog box, Open Plan uses the relevant escalated rates for each entry.

BCWS

This value represents the budgeted cost of materials scheduled for the project from the baseline start date of the project until Time Now. The Material Cost BCWS for the project is stored in the BCWS_MAT field on the Project table. This value is calculated by summing the values in the BCWS_MAT field on the Activity table.

The values in the Activity table are calculated during cost calculations by summing the values in either the unescalated material resource cost field (RES_CST) or the escalated material resource cost field (RES_ESC) for the Performance Measurement Baseline (PMB) in the Baseline Usage table from the baseline start date until Time Now. The field that Open Plan sums in this calculation is determined by a setting in the Cost Calculations dialog box:

  • If the Use Resource Cost Escalation option is cleared in the Cost Calculations dialog box, Open Plan uses the RES_CST field.

  • If the Use Resource Cost Escalation option is selected in the Cost Calculations dialog box, Open Plan uses the RES_ESC field.

By always using the PMB when it is available, Open Plan provides consistency and reliability. If there is no baseline named PMB, Open Plan uses the currently selected baseline, or, in the case of multiple baselines, the baseline identified as Baseline 1. If the project has contains baselines, but none is selected or named PMB, Open Plan prompts you to select a baseline during cost calculations. If the project has no baselines, BCWS will not be calculated. A baseline must be selected in order for Open Plan to calculate earned value.

BCWP

This value represents the earned value of material costs for the project. The Material Cost BCWP for the project is stored in the BCWP_MAT field on the Project table. This value is calculated by summing the values in the BCWP_MAT field on the Activity table.

The values in the Activity table are calculated during cost calculations by summing the values in either the unescalated material cost field (BCWP_CST) or the escalated material cost field (BCWP_ESC) in the Resource Cost table. The field that Open Plan uses in this calculation is determined by a setting in the Cost Calculations dialog box:

  • If the Use Resource Cost Escalation option is cleared in the Cost Calculations dialog box, Open Plan uses the BCWP_CST field.

  • If the Use Resource Cost Escalation option is selected in the Cost Calculations dialog box, Open Plan uses the BCWP_ESC field.

ACWP

This value represents the actual cost of materials for the project to date. The Material Cost ACWP for the project is stored in the ACWP_MAT field on the Project table. This value is calculated by summing the values in the ACWP_MAT field on the Activity table.

The ACWP_MAT values in the Activity table are calculated during cost calculations based on one of the following conditions:

  • If the Actual Cost Based on Progressed Quantity option is selected in the Resource Details dialog box, Open Plan calculates this value based on the progressed quantity of the resource and stores it in the ACWP_CST and ACWP_ESC fields on the Resource Cost table. Then Open Plan rolls it up to the activity level.

  • If the Actual Cost Based on Progressed Quantity option is cleared in the Resource Details dialog box, Open Plan calculates this value based on the values that have been entered on the Resources tab of the Activity Progress dialog box and which are stored in the Resource Cost table. Open Plan summarizes these values to the activity level.

EAC

This value represents the estimate of the total material costs for the project when it is complete. The Material Cost EAC for the project is calculated by first totaling the values in the ETC_MAT and the ACWP_MAT fields in the Activity table and then summing the resultant totals.

The ETC_MAT in the Activity table is calculated by adding the Remaining values on the Assignment table for resources that have the resource category of Material. If the Progress Based on Activity Progress option is selected in the Resource Details dialog box, Open Plan calculates Remaining values during cost calculations.

The ACWP_MAT in the Activity table is calculated based on one of the following conditions:

  • If the Actual Cost Based on Progressed Quantity option is selected in the Resource Details dialog box, Open Plan calculates this value based on the progressed quantity of the resource and stores it in the ACWP_CST and ACWP_ESC fields on the Resource Cost table. Then Open Plan rolls it up to the activity level.

  • If the Actual Cost Based on Progressed Quantity option is cleared on the Resource Details dialog box, Open Plan calculates this value based on the values that have been entered on the Resources tab of the Activity Progress dialog box and which are stored in the Resource Cost table. Open Plan summarizes these values to the activity level.

ODC (Other Direct Costs)

Open Plan displays the following values in this row for the resource assignments on the activity that have a category of ODC:

Cost

Description

BAC

This value represents the total of Other Direct Costs (ODC) budgeted for the project. The ODC Cost BAC for the project is stored in the BAC_ODC field on the Project table. This value is calculated by summing the values in the BAC_ODC field on the Activity table.

The calculations that are performed at the activity level depend on whether the Use Version 2 Cost Calculation Method option is selected on this tab of the Project Properties dialog box.

  • By default, the Use Version 2 Cost Calculation Method is cleared for new projects. In this mode, Open Plan calculates the ODC BAC by summing the values in either the unescalated ODC cost field (RES_CST) or the escalated ODC cost field (RES_ESC) for the Performance Measurement Baseline (PMB) on the Baseline Usage table. The value that Open Plan uses in this calculation is determined by a setting in the Cost Calculations dialog box:

    • If the Use Resource Cost Escalation option is cleared in the Cost Calculations dialog box, Open Plan uses the RES_CST field.

    • If the Use Resource Cost Escalation option is selected in the Cost Calculations dialog box, Open Plan uses the RES_ESC field.

    By always using the PMB when it is available, Open Plan provides consistency and reliability. If there is no baseline named PMB, Open Plan uses the currently selected baseline, or, in the case of multiple selected baselines, the baseline identified as Baseline 1. If the project contains baselines, but none is selected or named PMB, Open Plan prompts you to select a baseline. If the project has no baselines, Open Plan uses the Version 2 Cost Calculation Method automatically. A baseline must be selected in order for Open Plan to calculate earned value.

  • If the Use Version 2 Cost Calculation Method option is selected, Open Plan calculates this value by summing the values in the LEVEL field of the Assignment table adjusted for any curve, offset, and period that may be defined, and multiplying this value by the appropriate rate. The rate that Open Plan uses is determined by a setting in the Cost Calculations dialog box:

    • If the Use Resource Cost Escalation option is cleared in the Cost Calculations dialog box, Open plan uses the unit rate for all entries.

    • If the Use Resource Cost Escalation option is selected in the Cost Calculations dialog box, Open Plan uses the relevant escalated rates for each entry.

BCWS

This value represents the budgeted Other Direct Costs (ODC) scheduled for the project from the baseline start date of the project until Time Now. The ODC BCWS for the project is stored in the BCWS_ODC field on the Project table. This value is calculated by summing the values in the BCWS_ODC field on the Activity table.

The values in the Activity table are calculated during cost calculations by summing the values in either the unescalated ODC resource cost field (RES_CST) or the escalated ODC resource cost field (RES_ESC) for the Performance Measurement Baseline (PMB) in the Baseline Usage table from the baseline start date until Time Now. The field that Open Plan sums in this calculation is determined by a setting in the Cost Calculations dialog box:

  • If the Use Resource Cost Escalation option is cleared in the Cost Calculations dialog box, Open Plan uses the RES_CST field.

  • If the Use Resource Cost Escalation option is selected in the Cost Calculations dialog box, Open Plan uses the RES_ESC field.

By always using the PMB when it is available, Open Plan provides consistency and reliability. If there is no baseline named PMB, Open Plan uses the currently selected baseline, or, in the case of multiple baselines, the baseline identified as Baseline 1. If the project has contains baselines, but none is selected or named PMB, Open Plan prompts you to select a baseline during cost calculations. If the project has no baselines, BCWS will not be calculated. A baseline must be selected in order for Open Plan to calculate earned value.

BCWP

This value represents the earned value of Other Direct Costs (ODC) for the project. The ODC BCWP for the project is stored in the BCWP_ODC field on the Project table. This value is calculated by summing the values in the BCWP_ODC field on the Activity table.

The values in the Activity table are calculated during cost calculations by summing the values in either the unescalated ODC cost field (BCWP_CST) or the escalated ODC cost field (BCWP_ESC) in the Resource Cost table. The field that Open Plan uses in this calculation is determined by a setting in the Cost Calculations dialog box:

  • If the Use Resource Cost Escalation option is cleared in the Cost Calculations dialog box, Open Plan uses the BCWP_CST field.

  • If the Use Resource Cost Escalation option is selected in the Cost Calculations dialog box, Open Plan uses the BCWP_ESC field.

ACWP

This value represents the actual Other Direct Costs (ODC) for the project to date. The ODC ACWP for the project is stored in the ACWP_ODC field on the Project table. This value is calculated by summing the values in the ACWP_ODC field on the Activity table.

The ACWP_ODC values in the Activity table are calculated during cost calculations based on one of the following conditions:

  • If the Actual Cost Based on Progressed Quantity option is selected in the Resource Details dialog box, Open Plan calculates this value based on the progressed quantity of the resource and stores it in the ACWP_CST and ACWP_ESC fields on the Resource Cost table. Then Open Plan rolls it up to the activity level.

  • If the Actual Cost Based on Progressed Quantity option is cleared in the Resource Details dialog box, Open Plan calculates this value based on the values that have been entered on the Resources tab of the Activity Progress dialog box and which are stored in the Resource Cost table. Open Plan summarizes these values to the activity level.

EAC

This value represents the estimate of the total ODC costs for the project when it is complete. The ODC EAC for the project is calculated by first totaling the values in the ETC_ODC and the ACWP_ODC fields in the Activity table and then summing the resultant totals.

The ETC_ODC in the Activity table is calculated by adding the Remaining values on the Assignment table for resources that have the resource category of ODC. If the Progress Based on Activity Progress option is selected in the Resource Details dialog box, Open Plan calculates Remaining values during cost calculations.

The ACWP_ODC in the Activity table is calculated based on one of the following conditions:

  • If the Actual Cost Based on Progressed Quantity option is selected in the Resource Details dialog box, Open Plan calculates this value based on the progressed quantity of the resource and stores it in the ACWP_CST and ACWP_ESC fields on the Resource Cost table. Then Open Plan rolls it up to the activity level.

  • If the Actual Cost Based on Progressed Quantity option is cleared in the Resource Details dialog box, Open Plan calculates this value based on the values that have been entered on the Resources tab of the Activity Progress dialog box and which are stored in the Resource Cost table. Open Plan summarizes these values to the activity level.

Subcontract Cost

Open Plan displays the following values in this row for the resource assignments on the activity that have a category of Subcontract:

Cost

Description

BAC

This value represents the total subcontract costs budgeted for the project. The Subcontract Cost BAC for the project is stored in the BAC_SUB field on the Project table. This value is calculated by summing the values in the BAC_SUB field on the Activity table.

The calculations that are performed at the activity level depend on whether the Use Version 2 Cost Calculation Method option is selected on this tab of the Project Properties dialog box.

  • By default, the Use Version 2 Cost Calculation Method is cleared for new projects. In this mode, Open Plan calculates the Subcontract Cost BAC by summing the values in either the unescalated subcontract cost field (RES_CST) or the escalated subcontract cost field (RES_ESC) for the Performance Measurement Baseline (PMB) on the Baseline Usage table. The field that Open Plan uses in this calculation is determined by a setting in the Cost Calculations dialog box:

    • If the Use Resource Cost Escalation option is cleared in the Cost Calculations dialog box, Open Plan uses the RES_CST field.

    • If the Use Resource Cost Escalation option is selected in the Cost Calculations dialog box, Open Plan uses the RES_ESC field.

    By always using the PMB when it is available, Open Plan provides consistency and reliability. If there is no baseline named PMB, Open Plan uses the currently selected baseline, or, in the case of multiple selected baselines, the baseline identified as Baseline 1. If the project contains baselines, but none is selected or named PMB, Open Plan prompts you to select a baseline. If the project has no baselines, Open Plan uses the Version 2 Cost Calculation Method automatically. A baseline must be selected in order for Open Plan to calculate earned value.

  • If the Use Version 2 Cost Calculation Method option is selected, Open Plan calculates this value by summing the values in the LEVEL field of the Assignment table adjusted for any curve, offset, and period that may be defined, and multiplying this value by the appropriate rate. The rate that Open Plan uses is determined by a setting in the Cost Calculations dialog box:

    • If the Use Resource Cost Escalation option is cleared in the Cost Calculations dialog box, Open plan uses the unit rate for all entries.

    • If the Use Resource Cost Escalation option is selected in the Cost Calculations dialog box, Open Plan uses the relevant escalated rates for each entry.

BCWS

This value represents the budgeted subcontract costs scheduled for the project from the baseline start date of the project until Time Now. The Subcontract Cost BCWS for the project is stored in the BCWS_SUB field on the Project table. This value is calculated by summing the values in the BCWS_SUB field on the Activity table.

The values in the Activity table are calculated during cost calculations by summing the values in either the unescalated subcontract cost field (RES_CST) or the escalated subcontract cost field (RES_ESC) for the Performance Measurement Baseline (PMB) in the Baseline Usage table from the baseline start date until Time Now. The field that Open Plan sums in this calculation is determined by a setting on the Cost Calculations dialog box:

  • If the Use Resource Cost Escalation option is cleared in the Cost Calculations dialog box, Open Plan uses the RES_CST field.

  • If the Use Resource Cost Escalation option is selected in the Cost Calculations dialog box, Open Plan uses the RES_ESC field.

By always using the PMB when it is available, Open Plan provides consistency and reliability. If there is no baseline named PMB, Open Plan uses the currently selected baseline, or, in the case of multiple selected baselines, the baseline identified as Baseline 1. If the project contains baselines, but none is selected or named PMB, Open Plan prompts you to select a baseline. If the project has no baselines, BCWS will not be calculated. A baseline must be selected in order for Open Plan to calculate earned value.

BCWP

This value represents the earned value of subcontract costs for the project. The Subcontract Cost BCWP for the project is stored in the BCWP_SUB field on the Project table. This value is calculated by summing the values in the BCWP_SUB field on the Activity table.

The values in the Activity table are calculated during cost calculations by summing the values in either the unescalated subcontract cost field (BCWP_CST) or the escalated subcontract cost field (BCWP_ESC) in the Resource Cost table. The field that Open Plan uses in this calculation is determined by a setting in the Cost Calculations dialog box:

  • If the Use Resource Cost Escalation option is cleared in the Cost Calculations dialog box, Open Plan uses the BCWP_CST field.

  • If the Use Resource Cost Escalation option is selected in the Cost Calculations dialog box, Open Plan uses the BCWP_ESC field.

ACWP

This value represents the actual subcontract costs for the project to date. The Subcontract Cost ACWP for the project is stored in the ACWP_SUB field on the Project table. This value is calculated by summing the values in the ACWP_SUB field on the Activity table.

The ACWP_SUB values in the Activity table are calculated during cost calculations based on one of the following conditions:

  • If the Actual Cost Based on Progressed Quantity option is selected in the Resource Details dialog box, Open Plan calculates this value based on the progressed quantity of the resource and stores it in the ACWP_CST and ACWP_ESC fields on the Resource Cost table. Then Open Plan rolls it up to the activity level.

  • If the Actual Cost Based on Progressed Quantity option is cleared in the Resource Details dialog box, Open Plan calculates this value based on the values that have been entered on the Resources tab of the Activity Progress dialog box and which are stored in the Resource Cost table. Open Plan summarizes these values to the activity level.

EAC

This value represents the estimate of the total subcontract costs for the project when it is complete. The Subcontract Cost EAC for the project is calculated by first totaling the values in the ETC_SUB and the ACWP_SUB fields in the Activity table and then summing the resultant totals.

The ETC_SUB in the Activity table is calculated by adding the Remaining values on the Assignment table for resources that have the resource category of Subcontract. If the Progress Based on Activity Progress option is selected in the Resource Details dialog box, Open Plan calculates Remaining values during cost calculations.

The ACWP_SUB in the Activity table is calculated based on one of the following conditions:

  • If the Actual Cost Based on Progressed Quantity option is selected in the Resource Details dialog box, Open Plan calculates this value based on the progressed quantity of the resource and stores it in the ACWP_CST and ACWP_ESC fields on the Resource Cost table. Then Open Plan rolls it up to the activity level.

  • If the Actual Cost Based on Progressed Quantity option is cleared in the Resource Details dialog box, Open Plan calculates this value based on the values that have been entered on the Resources tab of the Activity Progress dialog box and which are stored in the Resource Cost table. Open Plan summarizes these values to the activity level.

Total Cost

The value displayed in this field represents the total of the following BAC / BCWS / BCWP / ACWP / EAC costs for the activity:

  • Labor Cost

  • Material Cost

  • ODC (Other Direct Costs)

  • Subcontract Cost

Labor Quantity values are not included in the totals.

  • BAC: Budget at Completion. See How BAC is Calculated for a description on how the Use Version 2 Cost Calculation option affects the way BAC is calculated.

  • BCWS: Budgeted Cost of Work Scheduled

  • BCWP: Budgeted Cost of Work Performed. This is also referred to as earned value.

  • ACWP: Actual Cost of Work Performed

  • EAC: Estimate at Complete

For a description of the types of costs displayed in the grid, see the Glossary.

The information on this tab is updated when costs are calculated using the Cost Calculations command on the Processes tab.

Location

To display the Project Properties dialog box, complete the following step:

  1. Take one of the following actions:

  • In Open Plan Explorer, right-click a project in the Projects folder, and click Properties on the shortcut menu.

  • In the Project Views folder of Open Plan Explorer, display a project in any view, and click Properties in the Dialogs menu group of the Edit tab.

You can display the Project Properties dialog box even if the project is not open, but you can only modify project information if you opened the project in either Exclusive or Shared mode.

Related Topics and Procedures

Related Topics

Project Properties Access Control Tab

Project Properties Codes Tab

Project Properties Dialog Box

Project Properties Files Tab

Project Properties Notes Tab

Project Properties Open Status Tab

Project Properties Preferences Tab

Project Properties References Tab

Project Properties Scheduling Tab

Project Properties Status Tab

Project Properties Summary Tab

Project Properties User Fields Tab

Related Procedure

Setting a Target Cost for the Project


Project Properties Notes Tab

This tab allows you to enter a note about the project.

Project Name

The name of the project is established when the project is created. You cannot edit the name of the project.

Description

Providing a project description is optional when the project is created. You can enter or modify the project description on any tab of the dialog box.

Note

The text box can contain up to 29 KB of text about the project. You can enter the text by typing directly in this field or by using the Cut, Copy, and Paste commands to insert text entered in another Windows application such as a word processor or spreadsheet.

You can enter links to files, web pages, and email addresses by entering the information in one of the following formats:

  • File links must be entered in the format of: file://c:\document.doc

    • If the file link you enter contains spaces, you must enclose the link with angle brackets ( < > ) in order for the link to work properly:
    <    file://C:\Documents and Settings\All Users\Desktop\test.txt>

  • Universal Resource Locators (URLs) must be entered in the format of: ): http://www.deltek.com

  • Email addresses must be entered in the format of: mailto:contactus@deltek.com

While you can use drag and drop functionality to create links in the Note field, the Cut (Ctrl+X), Copy (Ctrl+C), and Paste (Ctrl+V) commands are not available for links.

Category

This field controls the category of the note. If you are creating a new note, you can select a category from the list of categories set up in the database. Although you can attach multiple notes to a project, you can attach only one note per category.

abc

Clicking the [image] Spell Check button displays a full-featured spell checking application that you can use to check the spelling.

This spell checker allows you to specify the dictionaries that you want to use. You can use up to 32 dictionaries. This means that if you have defined special terms in the dictionary you use with your word processor, you can assign that dictionary to the spell checker to have Open Plan recognize these terms. Open Plan also allows you to assign many different language dictionaries so that you can check the spelling of words in other languages.

You can also customize the way the spell checker works by selecting as many of the following options as you wish:

  • Ignore capitalized words (for example, Canada)

  • Ignore all-caps words (for example, ASAP)

  • Ignore words with numbers (for example, Win98)

  • Ignore words with mixed case (for example, SuperBase)

  • Ignore domain words (for example, xyz.com)

  • Report doubled words (for example, the the)

  • Case sensitive

  • Phonetic suggestions

  • Typographical suggestions

  • Suggest split words

  • Auto correct

In addition, you can choose the way in which the spell checker should work:

  • Fast but less accurate

  • Moderately fast and accurate

  • Slow but accurate

OK

When you click OK, the note is attached to the project. However, it is not saved until you save the project.

Location

To display the Project Properties dialog box, complete the following step:

  1. Take one of the following actions:

  • In Open Plan Explorer, right-click a project in the Projects folder, and click Properties on the shortcut menu.

  • In the Project Views folder of Open Plan Explorer, display a project in any view, and click Properties in the Dialogs menu group of the Edit tab.

You can display the Project Properties dialog box even if the project is not open, but you can only modify project information if you opened the project in either Exclusive or Shared mode.

Related Topics and Procedures

Related Topics

Project Properties Access Control Tab

Project Properties Codes Tab

Project Properties Cost Tab

Project Properties Dialog Box

Project Properties Files Tab

Project Properties Open Status Tab

Project Properties Preferences Tab

Project Properties References Tab

Project Properties Open Status Tab

Project Properties Scheduling Tab

Project Properties Status Tab

Project Properties Summary Tab

Project Properties User Fields Tab

Related Procedures

Attaching a Note to a Project

Editing a Project Note

Deleting a Project Note

Creating a Note Category


Project Properties Scheduling Tab

Open Plan allows you to share resource pools as well as individual resources across multiple projects.

The summary resource usage file allows different projects to be scheduled successively using only a single resource file. In order to realize the functionality of summary resource usage, it is necessary to define a unique priority for each project.

If the option to Consider Usage on Higher Priority Projects is selected in the Resource Scheduling dialog box, Open Plan can check information about resources that are currently in use by other, higher priority projects using the same resource pool when performing resource scheduling. Open Plan uses this information to determine what resources are currently available.

In addition to allowing you to change the project's description, this tab features controls that allow you to specify both the project's priority and the type of dates that should be used when calculating the resource usage summary.

Project Name

The name of the project is established when the project is created. You cannot edit the name of the project.

Description

Providing a project description is optional when the project is created. You can enter or modify the project description on any tab of the dialog box.

Project Priority

Open Plan allows you to specify a priority on the current project. When assigning resources to another project, Open Plan considers only projects with a higher priority than the current project. A higher priority is indicated by a lower numeric value.

When performing resource scheduling on a number of projects at one time — for example, when scheduling external subprojects — Open Plan uses the priority of the master project when determining the availability of resources that are shared with other projects. You can also use the value in the Project Priority field as a tie breaker between external subprojects.

When using the summary usage file from one project in a subsequent project, it is presumed that the next project schedule has a lower priority than the one before (indicated by having a higher project priority number). If the priority of the second project is set higher than the original project, the first project should be scheduled again or you will get unsatisfactory results.

Create Summary Usage Upon Saving Project

In order to take advantage of summary resource usage, the resources used by a project must be saved in summary form with the resource file. If you select this option, Open Plan allows you to select the type of dates (Early Dates, Late Dates, or Scheduled Dates) that it should use when creating a record in the Project Summary Usage (PSU) table. This option makes the data available to other projects using the same resource file, and the summary resource usage is saved each time the project is saved.

In order for the summary usage to be saved, the following conditions must be met:

  • The project must be open in exclusive mode.

  • The resource file must be open in Exclusive or Shared mode. (If the resource file is open in Read Only mode, Open Plan offers to save the information in a new resource file.)

    • The summary resource usage file is not saved when you perform a Save As or do a backup. Also, when you do perform a Save As or a backup, the option to Create Summary Usage Upon Saving Project is automatically cleared on the new project.

Create Summary Usage Based On

This option is enabled when you select the Create Summary Usage Upon Saving Project option. This field contains a list of dates that Open Plan should use when creating the summary usage record:

  • Early dates

  • Late dates

  • Scheduled dates

Delete Summary Usage For This Project

Summary resource usage data needs to be deleted when it is no longer appropriate. The data is deleted automatically when a project is associated with a new resource file but not when a project is deleted altogether. When you click Delete Now, Open Plan deletes the project summary usage data from the PSU table for not only the open project but also for any open external subprojects. This has the effect of freeing the resources so that they can be made available to other projects.

You can also use the Summary Usage dialog box to delete summary usage from a project.

You can use either Delete Now on the Scheduling tab of the Project Properties dialog box or the Summary Usage dialog box to delete summary resource usage on a single project. The Summary Usage dialog box, however, can be used to delete summary resource usage on multiple projects that share the same resource file.

Location

To display the Project Properties dialog box, complete the following step:

  1. Take one of the following actions:

  • In Open Plan Explorer, right-click a project in the Projects folder, and click Properties on the shortcut menu.

  • In the Project Views folder of Open Plan Explorer, display a project in any view, and click Properties in the Dialogs menu group of the Edit tab.

You can display the Project Properties dialog box even if the project is not open, but you can only modify project information if you opened the project in either Exclusive or Shared mode.

Related Topics and Procedures

Related Topics

Project Properties Access Control Tab

Project Properties Codes Tab

Project Properties Cost Tab

Project Properties Dialog Box

Project Properties Files Tab

Project Properties Notes Tab

Project Properties Open Status Tab

Project Properties Preferences Tab

Project Properties References Tab

Project Properties Status Tab

Project Properties Summary Tab

Project Properties User Fields Tab

Related Procedures

Setting a Project Priority

Removing Summary Resource Usage Information for Projects


Project Properties User Fields Tab

In addition to allowing you to modify the project description, this tab allows you to specify the values that Open Plan should include for user-defined fields on the project table.

User-defined fields are created on the project table outside of an open project and may be used by any project stored in the database. In order to use a user-defined field in your project, you must specify a value for it on this tab.

Project Name

The name of the project is established when the project is created. You cannot edit the name of the project.

Description

Providing a project description is optional when the project is created. You can enter or modify the project description on any tab of the dialog box.

Grid

The User Fields tab grid has two columns:

  • Field: This column displays a list of all the user-defined fields that have been defined for the project table.

  • Value: For each user-defined field that you want to use in your project, you should enter an appropriate value.

For example, if the Field Name is Proj_Sec, you might enter the name of the project secretary as the Value for the field.

For information about creating user-defined fields, see User Defined Fields.

Location

To display the Project Properties dialog box, complete the following step:

  1. Take one of the following actions:

  • In Open Plan Explorer, right-click a project in the Projects folder, and click Properties on the shortcut menu.

  • In the Project Views folder of Open Plan Explorer, display a project in any view, and click Properties in the Dialogs menu group of the Edit tab.

You can display the Project Properties dialog box even if the project is not open, but you can only modify project information if you opened the project in either Exclusive or Shared mode.

Related Topics

Related Topics

Project Properties Access Control Tab

Project Properties Codes Tab

Project Properties Cost Tab

Project Properties Dialog Box

Project Properties Files Tab

Project Properties Notes Tab

Project Properties Open Status Tab

Project Properties Preferences Tab

Project Properties References Tab

Project Properties Scheduling Tab

Project Properties Status Tab

Project Properties Summary Tab


Project Properties Access Control Tab

In addition to allowing you to modify the project or file description, you can use this tab to define the access rights that users who are members of a group with a specified role have to the project or file.

For each group that you want to provide with access rights to the resource file, view, or process, you must also specify a role. It is the combination of group and role that is given access to the object.

If you provide access rights to a group for a project, members of that group automatically inherit read rights to all resource files, calendar files, code files, and external subprojects assigned to that project. Note, however, that it is possible that after you change the ownership of a project to another user, you may not have rights to save the project. If this occurs, close the project without saving.

Provided that you are the owner or have SYSADMIN rights, you do not have to open a project or file in order to grant access rights to it on this tab.

Project Name

The name of the project is established when the project is created. You cannot edit the name of the project.

Description

Providing a project description is optional when the project is created. You can enter or modify the project description on any tab of the dialog box.

Some Access Control tabs have an Owner field instead of a Description field. In which case, you select the owner of the file from the drop-down list in the Owner field.

Owner

If you are the owner or have SYSADMIN privileges, you can select a new owner for the file from this list.

Grid

A grid on this page contains the following columns:

  • Group: By selecting a field in this column and selecting a group from the list, you can specify the groups that can have access to the project or file. You can specify a Group or a User ID but not both.

  • Role: For each group or user that you want to provide with access to the project or file, you must specify a role by selecting a role from the list. It is possible to use the Role setting to override the default role of a group or user ID. For example, if you want to grant limited access to a user who has SYSADMIN (complete) access to all files, you can specify a limited-access role for the user.

  • User ID: This column displays the user ID of each person who has the project or file open.

  • Read Only: By selecting Yes for this field, you limit the group or user to opening the project in Read Only mode. By selecting No for this field, Other users may open the file in any mode they choose. Read Only mode has the following limitations:

    • To make changes to the project, you must first save the project under a different name.

    • You cannot see changes made by other users.

In order to see changes made by other users who may have the project open in Exclusive or Shared mode, you have to close and reopen the project.

Location

To display the Project Properties dialog box, complete the following step:

  1. Take one of the following actions:

  • In Open Plan Explorer, right-click a project in the Projects folder, and click Properties on the shortcut menu.

  • In the Project Views folder of Open Plan Explorer, display a project in any view, and click Properties in the Dialogs menu group of the Edit tab.

You can display the Project Properties dialog box even if the project is not open, but you can only modify project information if you opened the project in either Exclusive or Shared mode.


Project Properties Open Status Tab

The Open Status tab displays the information about the open status of the project.

Project Name

The name of the project is established when the project is created. You cannot edit the name of the project.

Description

Providing a project description is optional when the project is created. You can enter or modify the project description on any tab of the dialog box.

Grid

User ID

This column displays the user ID of each person who has the project or file open.

Machine ID

This column displays the ID of each computer where the file is open.

Open Mode

This column displays the mode in which the project is open. This mode can be any of the following:

  • Exclusive: Only the person who has the project open in this mode may save changes to the data. If one person has the project open in this mode, other users may open the project only in Read Only mode.

  • Shared: More than one person may make changes to the project.

  • Read Only: Changes to the project cannot be made by anyone who has the project open in this mode.

For information about each mode, see Working in a Multi-User Environment.

Opened On

For each user who has the project open, this column displays the date and time that it was opened.

User Name [Phone]

This column displays the User Name and phone number.

Location

To display the Project Properties dialog box, complete the following step:

  1. Take one of the following actions:

  • In Open Plan Explorer, right-click a project in the Projects folder, and click Properties on the shortcut menu.

  • In the Project Views folder of Open Plan Explorer, display a project in any view, and click Properties in the Dialogs menu group of the Edit tab.

You can display the Project Properties dialog box even if the project is not open, but you can only modify project information if you opened the project in either Exclusive or Shared mode.

Related Topics

Related Topics

Project Properties Access Control Tab

Project Properties Codes Tab

Project Properties Cost Tab

Project Properties Dialog Box

Project Properties Files Tab

Project Properties Notes Tab

Project Properties Preferences Tab

Project Properties References Tab

Project Properties Scheduling Tab

Project Properties Status Tab

Project Properties Summary Tab

Project Properties User Fields Tab


References Tab or Dialog Box

The References tab displays master projects that include this project as an external subproject.

Project Name

The name of the project is established when the project is created. You cannot edit the name of the project.

Description

Providing a project description is optional when the project is created. You can enter or modify the project description on any tab of the dialog box.

Name

This field displays the name of the object for which you are defining properties.

Owner

Under normal circumstances, the owner of the file or view is the person who created it. While other users may have the rights to modify many of its properties, only the owner or the system administrator can transfer the ownership of the object.

Description

This field controls the description of the file or view object.

If the object is an ancillary file, you must have it open in Exclusive or Shared mode in order to modify the the contents of this field. If the file is not open, or open in read-only mode, you may view - but not change - the information in this field.

Products and/or Ancillary Files that Include this File

Every file that references the selected ancillary file is listed on this dialog box.

  • File Type: The file type is always a project.

  • Name: The name of the master project that references this project.

  • Description: The description of the project.

  • Owner: The owner of the project.

Location

To display the Project Properties dialog box, complete the following step:

  1. Take one of the following actions:

  • In Open Plan Explorer, right-click a project in the Projects folder, and click Properties on the shortcut menu.

  • In the Project Views folder of Open Plan Explorer, display a project in any view, and click Properties in the Dialogs menu group of the Edit tab.

You can display the Project Properties dialog box even if the project is not open, but you can only modify project information if you opened the project in either Exclusive or Shared mode.

Related Topics and Procedures

Related Topics

Project Properties Access Control Tab

Project Properties Codes Tab

Project Properties Cost Tab

Project Properties Dialog Box

Project Properties Files Tab

Project Properties Notes Tab

Project Properties Open Status Tab

Project Properties Preferences Tab

Project Properties Scheduling Tab

Project Properties Status Tab

Project Properties Summary Tab

Project Properties User Fields Tab

User Defined Validation Dialog Box

Edit User Defined Validations Dialog Box

Assign User Defined Validations Dialog Box

Related Procedures

Setting Project References

Creating a Validation Rule

Assigning a Rule to a Project Using the Assign User Defined Validation Dialog Box

Copying a Validation Rule

Editing a Validation Rule

Deleting a Validation Rule

Removing an Assigned Rule from a Project


Project Properties Codes Tab

You can use this tab to assign codes to the project. This feature allows you to sort your projects. For example, you might want to sort your projects according to a region or division code.

When you are using a master project and modeling changes in PM Compass for workflows with different projects, the master project and all of the subprojects must use the same code file to validate each of the linking fields. In Open Plan, if the master project and all subprojects do not share the same code file, Open Plan disables the input for the code assignment on the activity in the Activity Details dialog box. You will not be able to enter a code assignment into the schedule to link an activity to a work package.

Project Name

The name of the project is established when the project is created. You cannot edit the name of the project.

Description

Providing a project description is optional when the project is created. You can enter or modify the project description on any tab of the dialog box.

Grid

The grid has two columns.

  • Code: This column displays all the project-level code files that are stored in the database.

    • A system administrator can create these project code assignments using the Codes tab on the Options dialog box.

  • Value: For each available code file, you can assign a specific code to the project. Clicking the ellipsis at the right edge of the input field displays the Select Code dialog box that you can use to select a code from a hierarchical code structure.

For information about codes, see Working with Codes.

Location

To display the Project Properties dialog box, complete the following step:

  1. Take one of the following actions:

  • In Open Plan Explorer, right-click a project in the Projects folder, and click Properties on the shortcut menu.

  • In the Project Views folder of Open Plan Explorer, display a project in any view, and click Properties in the Dialogs menu group of the Edit tab.

You can display the Project Properties dialog box even if the project is not open, but you can only modify project information if you opened the project in either Exclusive or Shared mode.

Related Topics and Procedures

Related Topics

Project Properties Access Control Tab

Project Properties Cost Tab

Project Properties Dialog Box

Project Properties Files Tab

Project Properties Notes Tab

Project Properties Open Status Tab

Project Properties Preferences Tab

Project Properties References Tab

Project Properties Scheduling Tab

Project Properties Status Tab

Project Properties Summary Tab

Project Properties User Fields Tab


Project Properties Validations Tab

The Validations tab displays a list of available user defined validation rules in Open Plan. It also allows you to assign or remove a rule to or from a project.

Project Name

The name of the project is established when the project is created. You cannot edit the name of the project.

Description

Providing a project description is optional when the project is created. You can enter or modify the project description on any tab of the dialog box.

Available User Defined Validations

Select a validation rule that you want to assign to a project and then click [image]. The selected rule moves to the Assigned User Defined Validations list.

Assigned User Defined Validations

Select a validation rule that you want to assign to a project and then click [image]. The selected rule moves to the Available User Defined Validations list.

Location

To display the Project Properties dialog box, complete the following step:

  1. Take one of the following actions:

  • In Open Plan Explorer, right-click a project in the Projects folder, and click Properties on the shortcut menu.

  • In the Project Views folder of Open Plan Explorer, display a project in any view, and click Properties in the Dialogs menu group of the Edit tab.

You can display the Project Properties dialog box even if the project is not open, but you can only modify project information if you opened the project in either Exclusive or Shared mode.

Related Topics and Procedures

Related Topics

Project Properties Access Control Tab

Project Properties Codes Tab

Project Properties Cost Tab

Project Properties Files Tab

Project Properties Notes Tab

Project Properties Open Status Tab

Project Properties Preferences Tab

Project Properties References Tab

Project Properties Scheduling Tab

Project Properties Status Tab

Project Properties Summary Tab

Project Properties User Fields Tab

Related Procedures

Assigning a Rule to a Project Using the Project Properties Validations Tab


Calendar and Resource File Conflicts Dialog Box

If a project template you are trying to add to a project uses a different calendar and/or resource file than the project, the Calendar and Resource File Conflicts dialog box is displayed. Open Plan cannot continue with the operation unless the conflicts are resolved.

Conflict with the Calendar File

If the conflict is with the calendar file, you can use the following options to resolve it:

Project Calendar

If the project has a calendar file attached to it, it is displayed in the Project Calendar field with the drop-down list disabled. This file takes precedence over any project template calendar files.

If the project does not have an attached calendar file, the Project Calendar field contains a list of the calendar files used by all the project templates being added to the project. Select one of these calendars to use for the project.

Merge template calendars into project calendar

By selecting this option, you can resolve the calendar conflict by merging the project template calendar files into the project calendar file.

Replace unresolved calendar assignments with Default

By selecting this option, you can resolve the calendar conflict by deleting the calendar assignments for the project templates and replace them with the project’s default calendar.

Conflict with the Resource File

If the conflict is with the resource file, you can use the following options to resolve it:

Project Resource File

If the project has a resource file attached to it, it is displayed in the Project Resource File field with the drop-down list disabled. This file takes precedence over any project template resource files.

If the project does not have an attached resource file, the Project Resource File field contains a list of the resource files used by all the project templates being added to the project. Select one of these resource files to use for the project.

Merge template resources into project resource file

By selecting this option, you can resolve the resource file conflict by merging the project template resources into the project resource file.

Remove unresolved resource assignments

By selecting this option, you can resolve the resource file conflict by removing the unresolved resource assignments as the project template is added to the project.

Buttons

Next

If there is also a conflict with the associated code files, the Next button is displayed at the bottom of the dialog box. Clicking it takes you to the Code Conflicts dialog box that you can use to resolve the conflict.

Finish

If there is no code file conflict, the Finish button is displayed.

Location

The Calendar and Resource File Conflicts dialog box displays automatically when you insert a project template into a project and there is a conflict between the resource and/or calendar file in the template and the resource and/or calendar file in the target project.

Related Topics and Procedures

Related Topics

Insert Project Template Dialog Box

Insert Subproject Dialog Box

Project Template Selection Dialog Box

Project Template Setup Dialog Box

Code Conflicts Dialog Box

Create Project Template Dialog Box


Choose a Project Dialog Box

This dialog box features the following controls that allow you to choose a project for which the view should display.

You can also open a view without creating a permanent link to the project. This allows you, for example, to sample the various views available in the Open Plan Library without filling the project’s Views folder with view links that you do not need.

If you double-click a code view to attach to a code file or a resource view to attach to a resource file, the dialog box displayed is titled Choose a Code File or Choose a Resource Pool respectively and the appropriate open files are displayed. The functionality of the dialog boxes remains the same.

  • Open Projects: This list box displays a list of projects that you have open. Selecting a project from this list and clicking OK displays information from that project in the view.

  • Make a Permanent Link to Project: Selecting the Make a Permanent Link to Project setting instructs Open Plan to create a link to the view for the selected project. The linked is placed in the selected project’s Views folder when you click OK.

Open Plan remembers your selection for the next time you display this dialog box. In other words, if you select the Make a Permanent Link to Project setting, the next time you display the dialog box, this setting will automatically be selected.

Location

The Choose a Project dialog box displays automatically if you have at least one project open and you try to open one of the following views from the Open Plan Library folder in Open Plan Explorer:

  • Barchart

  • Histogram

  • Network

  • Risk

  • Spreadsheet

Related Topics and Procedures

Related Topics

Choose a Code File Dialog Box

Choose a Resource Pool Dialog Box

Related Procedure

Assigning a View to a Project


Code Conflicts Dialog Box

Code File Conflicts Dialog Box

The code file assignments associated with the project take precedence over the ones associated with the project templates. For example, if the project has a code file assigned to Code 1 and the project template has a different code file assigned to Code 1, the project code file is used and the project template code file is removed.

A conflict occurs when the project template contains additional code file assignments that the project does not have. Using the previous example, assume the project template file has an additional code file assigned to Code 2. When trying to add the project template to the project, Open Plan displays the Code Conflicts dialog box that you can use to resolve the conflict.

The Code Conflicts dialog box gives you the option to add the additional code file assignment to the project. The grid in the dialog box lists the code file assignments that are contained in the project template. When you select an assignment number (C1, C2, and so on), you can use the list at the top of the grid to select the code file to assign.

Also, if you are assigning more than one template to the project, all of the additional code file assignments are contained in the list. For example, assume you are assigning three project templates to a project and the project has only one code file assignment (Code 1). Also assume that along with a Code 1 assignment, each template has an additional but different code file assigned to Code 2. When you select assignment C2 on the Code Conflicts dialog box, the list at the top of the grid allows you to choose from the three different code files from the three templates.

When you have made your selections for the code file assignments and you click Finish, the selected code files are assigned to the project. The code files you did not select are ignored.

Location

To display the Code File Conflicts dialog box, complete the following step:

  1. Click Next in the Resource and Calendar File Conflicts dialog box. If there are no code conflicts, the Next button is disabled.

The Calendar and Resource File Conflicts dialog box displays automatically when inserting a project template into a project, and there is a conflict between the resource and/or calendar file in the template and the resource and/or calendar file in the target project.

Related Topics and Procedures

Related Topics

Insert Project Templates Dialog Box

Insert Subproject Dialog Box

Project Template Selection Dialog Box

Project Template Setup Dialog Box

Calendar and Resource File Conflicts Dialog Box

Create Project Template Dialog Box


Create Project Template Dialog Box

The Create Project Template dialog box allows you to create a project template from a selected project. External subprojects can be copied but cannot be moved when creating new project templates. The default access mode for the template is set to Read Only when moving or copying from a project.

Move

Clicking this button instructs Open Plan to move the project from the Projects folder to the Project Templates folder, thereby converting it into a project template.

Copy

Clicking this button displays the Save As dialog box that you can use to provide a name for the project template you are creating as a copy of the selected project.

Location

To display the Create Project Template dialog box, complete the following step:

  1. Take one of the following actions:

  • In Open Plan Explorer, right-click a project, and click Create Project Template on the shortcut menu.

  • In Open Plan Explorer, drag a project from the Projects folder to the Project Templates folder.

Related Topics and Procedures

Related Topics

Insert Project Templates Dialog Box

Insert Subproject Dialog Box

Project Template Selection Dialog Box

Project Template Setup Dialog Box

Calendar and Resource File Conflicts Dialog Box

Code Conflicts Dialog Box


Insert Project Template Dialog Box

The Insert Project Templates dialog box lists the project templates to insert into the currently open project. The Project Templates to Include in New Project table displays the following information for each template:

  • Project Template: This column of the table displays the names of the project templates that you plan to use to create this project.

  • Mode: This column of the table displays the mode in which the project template is being used in the project. There are three modes:

    • Normal: The activities in the project template are inserted as activities directly into the project.

    • Subproject: The project template is added to the project as an internal subproject.

    • External Subproject: The project template is added to the project as an external subproject.

  • Subproject Name: This column of the table displays the name given to the project template when it is added to the project as either an internal or external subproject. If this column is blank, the project template name is used for the subproject name.

  • Project Name: This column of the table displays the name given to the project that is created when a project template is added to the master project as an external subproject.

  • Prefix: This column of the table displays the prefix to add to the project template activity IDs. With the possibility that the activity IDs in the template are the same as those in the project when you are adding the template in Normal mode, adding a prefix to the template activity IDs help to ensure that they have unique IDs. Please note that you can only add a prefix or a suffix to the project template activity IDs. You cannot add both.

  • Suffix: This column of the table displays the suffix to add to the project template activity IDs. With the possibility that the activity IDs in the template are the same as those in the project when you are adding the template in Normal mode, adding a suffix to the template activity IDs helps to ensure that they have unique IDs. Please note that you can only add a prefix or a suffix to the project template activity IDs. You cannot add both.

Buttons

The following buttons help you manage the templates for the new project:

Select Templates

Clicking this button displays the Project Template Selection dialog box that you can use to select the template(s) to add to the the project. The dialog box also gives you the option to add the template(s) either as activities in the project, as an internal subproject, or as an external subproject. Plus, you can specify the number of times to add the selected template(s) to the project.

Delete Templates

Selecting a project template from the table and clicking this button deletes it from the project. When asked for confirmation, click Yes.

Change Settings

Selecting a project template from the table and clicking this button displays the Project Template Setup dialog box. This dialog box is used to change the mode in which the template is incorporated into the project and whether or not to add a prefix or suffix to the template activity IDs.

Location

To display the Insert Project Template dialog box, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, display a project in any view.

  2. In the Insert menu group of the Edit tab, select Template.

  3. In the Project Template Selection dialog box, select a project template to insert, and click OK.

Related Topics and Procedures

Related Topics

Insert Subproject Dialog Box

Project Template Selection Dialog Box

Project Template Setup Dialog Box

Calendar and Resource File Conflicts Dialog Box

Code Conflicts Dialog Box

Create Project Template Dialog Box


Insert Subproject Dialog Box

The Insert Subproject dialog box allows you to select one or more projects or project templates to be inserted as a subproject in the currently open project.

When you select one ore more project templates and then click OK, the Insert Project Templates dialog box is displayed. You can use this dialog to modify the settings for the project template(s) you are inserting.

For both Projects and Project Templates, you can select multiple items to insert at one time. Use Ctrl+click or Shift+click to select the items to insert.

When you select Project from the list at the top of the dialog box, the projects available to you are displayed in a table with the following information:

  • Name: The name assigned to the file.

  • Description: The description provides more detail about the file. If a description has not been entered for the file, this column will be blank.

  • Owner: This is the name of the file’s owner. In most cases, the owner is the user who created the file. Demo files shipped with Open Plan have been entered into the database without owner names.

  • Last Update: This is the date when the file was last updated.

Selecting a project and clicking OK inserts it as an external subproject.

When you select Project Template from the list, the available project templates are displayed in the table. In addition, the following options are enabled at the bottom of the dialog box:

Insert into project

Selecting this option instructs Open Plan to insert the project template as activities directly into the currently open project.

Insert Under New or Existing Subproject

Selecting this option instructs Open Plan to add the project template to the project as an internal subproject. Open Plan handles this in one of three ways:

  • If you leave the text field blank, Open Plan uses the name of the project template as the subproject name.

  • If you enter a unique name in the text field, Open Plan uses this name for the subproject.

  • If you enter the name of an existing activity, the project template is added as child of the activity.

Insert as External Subproject

Selecting this option instructs Open Plan to add the project template to the project as an external subproject. You can enter a name to use for the external subproject in the master project (Subproject Name field) as well as enter a name to use for the external subproject itself (Project Name field). If you leave the fields blank, Open Plan uses the name of the project template for both by default.

Number of times to add selected template to project

A project template can be added multiple times to the same project. Each instance is given a unique subproject name so as not to cause conflicts. For example, assume you are adding the project template Sample to a project five times. The subprojects will automatically be named Sample01, Sample02, Sample03, and so on. The activities within the subprojects will also be given unique ID’s using the same naming scheme.

Location

To display the Insert Subproject dialog box, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, display a project in any view.

  2. In the Insert menu group of the Edit tab, select Subproject.

  3. In the Select dialog box, select a subproject to insert, and click OK.

Related Topics and Procedures

Related Topics

Insert Project Templates Dialog Box

Project Template Selection Dialog Box

Project Template Setup Dialog Box

Calendar and Resource File Conflicts Dialog Box

Code Conflicts Dialog Box

Create Project Template Dialog Box


Project Start Date Dialog Box

Using the Project Start Date Dialog Box

If the Ignore Progress, Use Original Project Start Date option is selected in the Add Baseline dialog box or Update Baseline dialog box, and a Project Start Date has not been previously specified, you will be prompted to enter a Project Start Date.

To enter a project start date, do one of the following:

  • Type the date in the Project Start field

  • Click the ellipsis button and select the project start date

Location

To display the Project Start Date dialog box, complete the following steps:

  1. Open a project.

  2. On the Processes tab, select Baselines from the Dialogs menu group.

  3. In the Baselines dialog box, click New.

  4. In the Add Baseline dialog box, enter a Name and Description.

  5. Enable Ignore Progress, Use Original Project Start Date.

  6. Click OK.

  7. Select the date.

  8. Click OK. When prompted to select it as the new baseline, select either Yes or No, as appropriate.

Related Topics and Procedures

Related Topics

Activity Details Resources Tab

Using Project Baselines

Add Baseline Dialog Box

Baselines Dialog Box

Update Baseline Dialog Box

Related Procedures

Deleting a Baseline

Selecting a Baseline

Updating a Baseline


Project Template Selection Dialog Box

The Project Template Selection dialog box is used to select the project templates to add to a project. When you select a template or templates and click OK, the Project Template Setup dialog box displays next.

Also, the project templates can be added multiple times by specifying a number in the Number of times to add selected template to project field. Each instance of a project template that is added is given a unique subproject name so as not to cause conflicts. For example, assume you are adding the project template Sample to a project five times. The subprojects will automatically be named Sample1, Sample2, Sample3, and so on.

Location

To display the Project Template Selection dialog box, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, display a project in any view.

  2. In the Insert menu group of the Edit tab, select Template.

You can also display this dialog box by taking one of the following actions:

  • On the Project Template page of the New File Wizard, click Select Templates.

  • In the Insert Project Template dialog box, click Select Templates.

Related Topics

Related Topics

Insert Project Template Dialog Box

Insert Subproject Dialog Box

Project Template Setup Dialog Box

Calendar and Resource File Conflicts Dialog Box

Code Conflicts Dialog Box

Create Project Template Dialog Box


Project Template Setup Dialog Box

The Project Template Setup dialog box allows you to modify the settings for the project templates you are adding to a project. The Project Template field at the top of the dialog box identifies template you are modifying.

You can modify the settings for the selected project template.

Use Current Activity IDs

If you are inserting the project template directly into the project (Normal mode), this option instructs Open Plan to leave the activity IDs in the template as they are.

Apply Prefix and/or Suffix to Activity IDs

If the project template is inserted directly into the project (Normal mode), this option instructs Open Plan to add a user-defined prefix and/or suffix to the template activity IDs to ensure that the IDs are unique.

If a prefix or suffix is not added and the activity IDs in the project template are the same as in the project, Open Plan will use its Automatic Numbering system to renumber the template IDs.

Insert into project

Selecting this option instructs Open Plan to insert the project template as activities directly into the currently open project (Normal mode). Each activity in a project must have a unique ID; if the project template has activity IDs that are the same as the project, use the option to apply a prefix or suffix to the template IDs.

If a prefix or suffix is not added and the activity IDs in the project template are the same as in the project, Open Plan will use its Automatic Numbering system to renumber the template IDs.

Insert Under New or Existing Project Subproject

Selecting this option instructs Open Plan to add the project template to the project as an internal subproject. Open Plan handles through the following ways:

  • If you leave the text field blank, Open Plan uses the name of the project template as the subproject name.

  • If you enter a unique name in the text field, Open Plan uses this name for the subproject.

  • If you enter the name of an existing activity, the project template is added as child of the activity.

Insert as External Subproject

Selecting this option instructs Open Plan to add the project template to the project as an external subproject. You can enter a name to use for the external subproject in the master project (Subproject ID field) as well as enter a name to use for the external subproject itself (Project Name field). If you leave the fields blank, Open Plan uses the name of the project template for both by default.

Location

To display the Project Template Setup dialog box, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, display a project in any view.

  2. In the Insert menu group of the Edit tab, select Template.

  3. In the Project Template Selection dialog box, select the project templates that you want to add, and click OK.

You can also display this dialog box by taking one of the following actions:

  • On the Project Template page of the New File Wizard, select a project template, and click Change Settings.

  • In the Insert Project Templates dialog box, select a project template, and click Change Settings.

Related Topics

Related Topics

Insert Project Template Dialog Box

Insert Subproject Dialog Box

Project Template Selection Dialog Box

Project Template Setup Dialog Box

Calendar and Resource File Conflicts Dialog Box

Code Conflicts Dialog Box

Create Project Template Dialog Box


Attach a Note to a Project (Procedure)

Attach a Note to a Project

To attach a note to a project, complete the following steps:

  1. Take one of the following actions:

  • In the Projects folder in Open Plan Explorer, right-click a project, and click Properties on the shortcut menu.

  • In the Project Views folder in Open Plan Explorer, display a project in any view, and click Properties in the Dialogs menu group of the Processes tab or Edit tab.

  2. In the Project Properties dialog box, click the Notes tab.

  3. From the Category list, select a category for the note that you want to attach.

    While you may attach multiple notes to a project, you can attach only one note per category.

  4. In the text box, enter any information you wish about the project.

  5. Click OK.

Related Topics and Procedures

Related Topic

Project Properties Notes Tab

Related Procedures

Editing a Project Note

Deleting a Project Note

Entering Project Summary Information

Setting Project Preferences

Reviewing Project Status

Setting Time Now

Entering a Project Start Date

Setting a Project's Priority

Setting a Project Target Finish Date

Setting a Target Cost for the Project


Deleting a Project Note (Procedure)

Deleting a Project Note

To delete a project note, complete the following steps:

  1. Take one of the following actions:

  • In the Projects folder in Open Plan Explorer, right-click a project, and click Properties on the shortcut menu.

  • In the Project Views folder in Open Plan Explorer, display a project in any view, and click Properties in the Dialogs menu group of the Processes tab or Edit tab.

  2. In the Project Properties dialog box, click the Notes tab.

  3. In the text box, delete all the information that is displayed.

  4. Click OK.

Related Topics and Procedures

Related Topic

Project Properties Notes Tab

Related Procedures

Attaching a Note to a Project

Editing a Project Note

Creating a Note Category

Editing a Note Category

Deleting a Note Category


Editing a Project Note (Procedure)

Editing a Project Note

To edit a project note, complete the following steps:

  1. Take one of the following actions:

  • In the Projects folder in Open Plan Explorer, right-click a project, and click Properties on the shortcut menu.

  • In the Project Views folder in Open Plan Explorer, display a project in any view, and click Properties in the Dialogs menu group of the Processes tab or Edit tab.

  2. In the Project Properties dialog box, click the Notes tab.

  3. In the text box, edit the information that is displayed.

  4. Click OK.

Related Topics and Procedures

Related Topic

Project Properties Notes Tab

Related Procedures

Attaching a Note to a Project

Deleting a Project Note

Creating a Note Category

Editing a Note Category

Deleting a Note Category


Adding Multiple External Subprojects to a Master Project (Procedure)

Adding Multiple External Subprojects to a Master Project

To add multiple external subprojects to a master project, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, display a project in any view.

  2. In the Insert menu group of the Edit tab, click Subproject.

  3. In the Select dialog box, select the files that you wan to add as external subprojects.

    If the master project does not already contain a particular type of ancillary file, Open Plan adds it to the master project automatically. However, it does not add the file if there is already another ancillary file in that position on the master project. (For example, you cannot have two resource files or two code files for the same code position.)

  4. Click OK.

Related Topics and Procedures

Related Topic

General Tab of the Activity Details Dialog Box

Related Procedures

Using External Subprojects

Displaying Multiple Levels in a Network View

Indenting an Activity, Resource, or Code ID

Outdenting an Activity, Resource, or Code ID


Copy an Activity to a Subproject

To copy activities to a subproject, complete the following steps:

  1. Select the activity or activities you want to copy.

  2. Take one of the following actions:

  3. On the Edit tab, click Copy.

  4. Right-click the activity, and click Copy Activities on the context menu.

  3. Go to the appropriate subproject in the project.

  4. Take one of the following actions:

  5. On the Edit tab, click Paste.

  6. Right-click an empty area of the view, and click Paste on the context menu.

  5. The cursor shape changes to a paste tool.

  6. Click the position where you want to paste the activities.

    7. Open Plan automatically renumbers the copied activities, including the local portion of the ID if necessary, to avoid duplicating existing activity IDs.


Convert an Activity to an External Subproject

To convert an activity to an external subproject, complete the following steps:

  1. Display the Activity Details dialog box for the activity to be converted. For more information, see Activity Details Dialog Box.

  2. In the Type field of the General tab, select Subproject.

  3. Click Apply.

  4. In the Subproject field, click the ellipsis and select the project to be used as the external subproject.

  5. Click Close.

Open Plan automatically saves any external subprojects as internal subprojects when you use the Save As command to save project information. This automatic conversion also occurs the first time you save a new project. As a result, to set up a project hierarchy that includes external subprojects, you must first create and save the master project before converting any activities into external subprojects.


Convert an Activity to an Internal Subproject

To convert an activity to an internal subproject, complete the following steps:

  1. Display the Activity Details dialog box for the activity to be converted. For more information, see Activity Details Dialog Box.

  2. In the Type field of the General tab, select Subproject.

  3. Click Close.

You cannot enter the duration of an activity that has been converted to a subproject.


Showing Summary Dates on Subprojects (Procedure)

Showing Summary Dates on Subprojects

To set Open Plan to display summary dates on subprojects:

  1. In the Schedule menu group of the Processes tab, click Time » Options [image].

  2. On the Options tab of the Time Analysis dialog box, click the Show Summary Dates in Subprojects option.

  3. Click OK.

Related Topics and Procedures

Related Topic

Options Tab of the Time Analysis Dialog Box

Related Procedures

Modifying the List of Default Views

Disabling Start Up Procedures

Opening Last File on Startup

Setting the Default Project


Using External Subprojects (Procedure)

Using External Subprojects

To use external subprojects in a hierarchy, complete the following steps:

  1. Create the project that will become the master project.

  2. Save the master project.

  3. If they do not already exist, create and save the projects that will become the external subprojects.

  4. In the master project, double-click an activity that will be used to represent an external subproject.

  5. On the Activity Details General tab, change the activity type to External Subproject.

  6. Click the ellipsis to the right of the External Subproject edit box.

  7. In the Subproject Selection dialog box, select the file to be the external subproject.

  8. Click OK to close the dialog box.

  9. When the Activity Details dialog box is redisplays, click Apply.

Related Topics and Procedures

Related Topic

General Tab of the Activity Details Dialog Box

Related Procedures

Displaying Multiple Levels in a Network View

Adding Multiple External Subprojects to a Master Project

Indenting an Activity, Resource, or Code ID

Outdenting an Activity, Resource, or Code ID


Assign a View to a Project (Procedure)

Assign a View to a Project

To assign a view to a project using drag-and-drop, complete the following steps:

  1. In Open Plan Explorer, navigate to the Views folder in the Open Plan Library.

  2. In the right pane, drag the view you want to use into a project folder or into the project’s Project Views folder.

To assign a view to a project using copy-and-paste, complete the following steps:

  1. In Open Plan Explorer, navigate to the Views folder in the Open Plan Library.

  2. Copy the view that you want to assign to a project.

  3. Paste the view into either a project folder or its Project Views folder.

To assign a view to a project using the Choose a Project dialog box, complete the following steps:

Open Plan displays the Choose a Project dialog box only when multiple projects are open.

  1. In Open Plan Explorer, navigate to the Views folder in the Open Plan Library.

  2. Double-click the view that you want to assign to a project.

  3. From the Choose a Project dialog box, select the open project to which you want to assign the view.

  4. Take one of the following actions:

  • To display the view without creating a link, clear the Make a Permanent Link to Project setting.

  • To create a link to the project, select the Make a Permanent Link to Project setting.

  5. Click OK.

To assign a view using the Select dialog box, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, display a project in any view.

  2. From the View group of the Edit tab, click Select, and click Other Views from the drop-down menu.

  3. In the Select dialog box, select a view and click OK.

If you place the view in the project folder, Open Plan automatically moves it into the project’s Project Views folder.

Related Topics and Procedures

Related Topic

Open Plan Explorer

Related Procedures

Opening a view

Deleting a view


Assigning a Rule to a Project using the Project Properties Validation Tab

This section assumes that you have already defined the rule or the rule that you need already exists. One of the ways that you can assign a rule to a project is through the Validations Tab in the Project Properties dialog box.

The other way of assigning the rule is through the Assign User Defined Validations dialog box. This is more useful when assigning the rule to multiple projects.

To assign the validation rule, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, display a project in any view.

  2. In the Dialogs menu group of the Processes tab, click Properties.

  3. In the Project Properties dialog box, click the Validations tab.

  4. From the Available User Defined Validations list, select the rule that you want to assign and then click [image]. The selected rule displays on the Assigned User Defined Validations list.

  5. Click OK.

Related Topics and Procedures

Related Topics

Validations Tab of the Project Properties Dialog Box

User Defined Validations Dialog Box

Edit User Defined Validation Dialog Box

Projects Properties Dialog Box

Related Procedures

Creating a Validation Rule

Copying a Validation Rule

Deleting a Validation Rule

Removing an Assigned Rule from a Project


Check In a Project

To check in a project, complete the following steps:

  1. From the File menu, click Manage Files >> Check In.

  2. In the Check In dialog box, select the appropriate project.

    If you have checked out the project to your Briefcase Data Source, click the Include Projects in Briefcase Data Source option.

  3. Click OK.

Related Topics and Procedures

Related Topics

Understanding the Open Plan Briefcasing Feature

Check Out Dialog Box

Check In Dialog Box

Checked Out Projects Dialog Box

Related Procedures

Checking Out a Project

Undoing a Project Check Out

Viewing the Checked Out Status of a Project


Check Out a Project

Ensure that you can open the project in Exclusive mode. If the project you want to check out has been opened in Exclusive or Shared mode by another user, you will not be able to check out the project. If you plan to check out a project to your Briefcasing data source, you must also ensure that the data source is accessible.

To check out a project, complete the following steps:

  1. From the File menu, click Manage Files >> Check Out.

  2. In the Check Out dialog box, select the project(s) that you want to check out.

  3. Select the appropriate check out method:

    • Check Out in Main Data Source

    • Check Out to Briefcase Data Source

  4. If you have selected the Check Out to Briefcase Data Source option, you can select the option to Check Out Views with Project.

  5. Click Check Out.

Related Topics and Procedures

Related Topics

Understanding the Open Plan Briefcasing Feature

Check Out Dialog Box

Check In Dialog Box

Checked Out Projects Dialog Box

Related Procedures

Undoing a Project Check Out

Checking in a Project

Viewing the Checked Out Status of a Project


Create a New Project Using Default Settings

To create a new project using default settings, complete the following steps:

  1. In Open Plan Explorer, take one of the following actions:

    • On the File menu, click New.

    • Press the Ctrl+N keys.

    • On the Quick Access Toolbar, click the New [image] button, and click Project.

  2. In the New File dialog box, make sure Project is selected from the File Type list .

  3. In the Name field, enter a name for the new project.

  4. In the Description field, enter a description for the project.

  5. Click Finish.

If the Create New Projects Using Default Project option has been selected on the Project tab of the Options dialog box, Open Plan opens the default project. You can then make any changes you want to the project. When you save the project, Open Plan requires that you give the project a new name using the Save As dialog box.

If the Create New Projects Using Default Project option has not been selected or if the default project cannot be opened for any reason, Open Plan creates a new empty project. (Open Plan cannot open the default project if it cannot be found or if you do not have rights to access it.) When you save the project, you can use either the Save or the Save As command.

When you save the project file, Open Plan places the folder icon for the project in the both in the Projects folder and in your My Folder.

Related Topics and Procedures

Related Topics

Project Tab of the Options Dialog Box

New File Dialog Box

Create a New File with Default Settings

Create a New File with Custom Settings

Related Procedure

Create a File Using the New File Wizard


Create a File Using the New Project Wizard (Procedure)

Create a File Using the New Project Wizard

To create a project using the New Project Wizard, complete the following steps:

  1. In Open Plan Explorer, take one of the following actions:

    • On the File menu, click New.

    • Press the Ctrl+N keys.

    • On the Quick Access Toolbar, click the New [image] button, and click Project.

  2. In the New File dialog box, select the appropriate file type (project, calendar, resource, or code) from the File Type field, .

  3. Enter a name and description for the new file, and click Next.

  4. Use the pages of the New File Wizard to create a new project or ancillary file. For more information, see New File Wizard.

Open Plan creates the file with the information you entered. If you have created a project, Open Plan places it in the Projects folder and creates a link to the project in your My Folder. If you have created a calendar, resource, or code file, Open Plan places it within the appropriate folder in the Open Plan Library.

When you have finished creating the project, you can display the Project Properties dialog box to review your settings and make any necessary changes.

Related Topics and Procedures

Related Topics

Create a New File with Custom Settings

Create a New File with Default Settings

New File Dialog Box

Related Procedure

Create a New File Using Default Settings


Create a New Multiproject

To create a new multiproject, complete the following steps:

  1. In the Projects folder of Open Plan Explorer, right-click a project, and click Create Multi-project on the shortcut menu.

  2. In the New File dialog box, enter a name and description.

    3. Project is automatically selected for the File Type, and the field is disabled.

  3. Click Next to start the New File Wizard.

  4. Complete the pages of the wizard as necessary. The External Subproject page is the sixth page of the wizard where you select external subprojects to include in the new project. For more information, see New File Wizard.

  5. Click OK.

Related Topics and Procedures

Related Topics

New File Dialog Box

New File Wizard External Subprojects Page


Email a Project

To email a project, complete the following steps:

  1. Open the project, resource file, or code file that you want to attach to an email.

  2. On the File menu, click Share » Send Project.

    3. This command is not available if you do not have a MAPI-compliant email application designated as your default email system.

  3. In the Backup Items To Send dialog box, verify the file you are sending, and click OK.

    4. You can change which files are sent by selecting or clearing the appropriate files.

  4. In the Save As dialog box, enter a name and location for the backup, and click Save. If you select the default name and location, Open Plan saves the file in the Windows\Temp folder.

    5. Open Plan invokes your email application, creates a blank message, and attaches the appropriate files.

Related Topics and Procedures

Related Topic

Sending Project Information Via Email

Related Procedure

Sending an Open Plan File as an Email Attachment


Enter a Project Start Date (Procedure)

Enter a Project Start Date

To enter a project start date, complete the following steps:

  1. Take one of the following actions:

  • In the Projects folder of Open Plan Explorer, right-click a project, and click Properties on the shortcut menu.

  • In the Project Views folder in Open Plan Explorer, display a project in any view, and click Properties in the Dialogs menu group of the Processes tab.

  2. In the Project Properties dialog box, click the Status tab.

  3. In the Project Start field, enter the date that the project starts. Click the ellipsis button at the right edge of the field to display a calendar that you can use to quickly enter the date.

  4. Click OK.

Related Topics and Procedures

Related Topic

Status Tab of the Project Properties Dialog Box

Related Procedures

Entering Project Summary Information

Setting Project Preferences

Reviewing Project Status

Setting Time Now

Setting a Project's Priority

Setting a Project Target Finish Date

Setting a Target Cost for the Project

Attaching a Note to a Project


Enter Project Summary Information (Procedure)

Enter Project Summary Information

To enter project summary information, complete the following steps:

  1. Take one of the following actions:

  • In the Projects folder of Open Plan Explorer, right-click a project, and click Properties on the shortcut menu.

  • In the Project Views folder in Open Plan Explorer, display a project in any view, and click Properties in the Dialogs menu group of the Processes tab.

  2. In the Project Properties dialog box, click the Summary tab.

  3. Enter the summary information for the project.

  4. When the information is complete, click OK.

Related Topics and Procedures

Related Topic

Summary Tab of the Project Properties Dialog Box

Related Procedures

Setting Project Preferences

Reviewing Project Status

Setting Time Now

Entering a Project Start Date

Setting a Project's Priority

Setting a Project Target Finish Date

Setting a Target Cost for the Project

Attaching a Note to a Project


Reviewing a Demonstration Project (Quick Start)

Reviewing a Demonstration Project

If the demonstration data does not exist, check with your system administrator. It is possible that the system administrator has removed the demonstration data from the data source.

You can also use the Deltek Open Plan Guided Tour PDF that uses the demonstration data to guide you through the processes and procedures that are needed when working with Open Plan.

To review a demonstration project, complete the following steps:

  1. From the left pane of Open Plan Explorer, expand the Projects folder. Each item in the Projects folder is a subfolder that contains all the files for a demonstration project.

  2. Expand a project folder. You can also open a demonstration project from the File Open dialog box that is accessed from the File menu.

  3. From the expanded project in the right pane of Open Plan Explorer, double-click the Project V iews folder.

  4. Double-click any type of view from the list.

  5. Make changes in the displayed view. If the project you opened has associated resource, calendar, or code files, open these views as well.

To check if your changes are reflected, open another view.

  6. When you are done with the review of a demonstration project, do one of the following:

  • To save your data to a file with a new name, click Save As on the File menu.

  • To close the project, click Close on the File menu.

Related Topic and Procedures

Related Topic

Creating a New Project or Ancillary File

Related Procedures

Creating a Calendar File

Using the Open Plan Explorer to Assign a Calendar File to a Project

Creating a Resource File

Using the Open Plan Explorer to Assign a Resource File to a Project


Review Project Status (Procedure)

Review Project Status

To review project status, complete the following steps:

  1. Take one of the following actions:

  • In the Projects folder of Open Plan Explorer, right-click a project, and click Properties on the shortcut menu.

  • In the Project Views folder in Open Plan Explorer, display a project in any view, and click Properties in the Dialogs menu group of the Processes tab.

  2. In the Project Properties dialog box, click the Status tab. You can also perform the following functions from this tab:

  • Enter a start date for the project

  • Change Time Now

  • Set a project target start date

  • Set a project target finish date

  3. When you have finished reviewing the project status, click OK.

Related Topics and Procedures

Related Topic

Status Tab of the Project Properties Dialog Box

Related Procedures

Entering Project Summary Information

Setting Project Preferences

Setting Time Now

Entering a Project Start Date

Setting a Project's Priority

Setting a Project Target Finish Date

Setting a Target Cost for the Project

Attaching a Note to a Project


Select Project Dialog Box

This dialog box allows you to select a project for which you want to create a report batch for a list of projects stored in your data source. You can limit the list that is displayed by selecting Show only open projects.

When you select a project and click Use, Open Plan displays the Open Plan Web Publisher dialog box with your selected project in the Project field.

Location

This dialog box displays automatically when you click Web Publisher on the Tools tab and no Open Plan project has focus.

Related Topics and Procedures

Related Topics:

Reporting with the Open Plan Web Publisher

Using the Open Plan Web Publisher Dialog Box

Related Procedures:

Preparing a Report for Publication on the Web

Performing Batch Reporting

Creating a Report Batch


Setting a Project Priority (Procedure)

Setting a Project Priority

To set a project's priority, complete the following steps:

  1. Take one of the following actions:

  • In the Projects folder of Open Plan Explorer, right-click a project, and click Properties on the shortcut menu.

  • In the Project Views folder in Open Plan Explorer, display a project in any view, and click Properties in the Dialogs menu group of the Processes tab.

  2. In the Project Properties dialog box, click the Scheduling tab.

  3. In the Project Priority field, enter a priority number, and click OK.

Related Topics and Procedures

Related Topic

Status Tab of the Project Properties Dialog Box

Related Procedures

Entering Project Summary Information

Setting Project Preferences

Reviewing Project Status

Setting Time Now

Entering a Project Start Date

Setting a Project Target Finish Date

Setting a Target Cost for the Project

Attaching a Note to a Project


Set a Project Target Finish Date (Procedure)

Set a Project Target Finish Date

To set a project target finish date, complete the following steps:

  1. Take one of the following actions:

  • In the Projects folder of Open Plan Explorer, right-click a project, and click Properties on the shortcut menu.

  • In the Project Views folder in Open Plan Explorer, display a project in any view, and click Properties in the Dialogs menu group of the Processes tab.

  2. In the Project Properties dialog box, click the Status tab.

  3. From the Finish Type drop-down list, select from the following target types:

  • None: To remove a previously set target finish date, select this option.

  • Not Earlier Than: Do not schedule the project finish earlier than this target date. This target type affects only early finish dates.

  • Not Later Than: Do not schedule the project finish later than this target date. This target type affects only late finish dates. This is the default setting for target

    finish dates.

  • On Target: This target combines the effects of the Not Earlier Than and the Not Later Than target dates, and affects both early and late finish dates.

  4. In the Target Finish field, enter a date for the target finish of the project. This field is enabled when you select a Finish Type other than None.

    Clicking the ellipsis button at the right edge of the Target Finish field displays a calendar you can use to quickly enter the date.

  5. When the information is complete, click OK.

Related Topics and Procedures

Related Topic

Status Tab of the Project Properties Dialog Box

Related Procedures

Entering Project Summary Information

Setting Project Preferences

Reviewing Project Status

Setting Time Now

Entering a Project Start Date

Setting a Project's Priority

Setting a Target Cost for the Project

Attaching a Note to a Project


Set a Project Target Start Date (Procedure)

Set a Project Target Start Date

To set a project target start date, complete the following steps:

  1. Take one of the following actions:

  • In the Projects folder of Open Plan Explorer, right-click a project, and click Properties on the shortcut menu.

  • In the Project Views folder in Open Plan Explorer, display a project in any view, and click Properties in the Dialogs menu group of the Processes tab.

  2. In the Project Properties dialog box, click the Status tab.

  3. In the Target Start field, enter a date for the target start of the project. Clicking the ellipsis button at the right edge of the Target Start field displays a calendar you can use to quickly enter the date.

  4. When the information is complete, click OK.

Related Topics and Procedures

Related Topic

Status Tab of the Project Properties Dialog Box

Related Procedures

Entering Project Summary Information

Setting Project Preferences

Reviewing Project Status

Setting Time Now

Setting a Project's Priority

Setting a Project Target Finish Date

Setting a Target Cost for the Project

Attaching a Note to a Project


Setting a Target Cost for the Project (Procedure)

Setting a Target Cost for the Project

To set a target cost for the project, complete the following steps:

  1. Take one of the following actions:

  • In the Projects folder of Open Plan Explorer, right-click a project, and click Properties on the shortcut menu.

  • In the Project Views folder in Open Plan Explorer, display a project in any view, and click Properties in the Dialogs menu group of the Processes tab.

  2. In the Project Properties dialog box, click the Cost tab.

  3. In the Target Total Cost field, enter a target cost.

  4. Click OK.

Related Topics and Procedures

Related Topic

Cost Tab of the Project Properties Dialog Box

Related Procedures

Entering Project Summary Information

Setting Project Preferences

Reviewing Project Status

Setting Time Now

Entering a Project Start Date

Setting a Project's Priority

Setting a Project Target Finish Date

Attaching a Note to a Project


Set Project Preferences (Procedure)

Set Project Preferences

To set project preferences, complete the following steps:

  1. Take one of the following actions:

  • In the Projects folder of Open Plan Explorer, right-click a project, and click Properties on the shortcut menu.

  • In the Project Views folder in Open Plan Explorer, display a project in any view, and click Properties in the Dialogs menu group of the Processes tab.

  2. In the Project Properties dialog box, click the Preferences tab.

  3. Enter the project preferences settings.

  4. When the information is complete, click OK.

Related Topics and Procedures

Related Topic

Preferences Tab of the Project Properties Dialog Box

Related Procedures

Entering Project Summary Information

Reviewing Project Status

Setting Time Now

Entering a Project Start Date

Setting a Project's Priority

Setting a Project Target Finish Date

Setting a Target Cost for the Project

Attaching a Note to a Project


Setting Project References(Procedure)

Setting Project References

To set project references, complete the following steps:

  1. Take one of the following actions:

  • In the Projects folder of Open Plan Explorer, right-click a project, and click Properties on the shortcut menu.

  • In the Project Views folder in Open Plan Explorer, display a project in any view, and click Properties in the Dialogs menu group of the Processes tab.

  2. In the Project Properties dialog box, click the References tab.

  3. Enter the project references settings.

  4. When the information is complete, click OK.

Related Topics and Procedures

Related Topic

References Tab of the Project Properties Dialog Box

Related Procedure

Entering Project Summary Information


Setting the Default Project (Procedure)

Setting the Default Project

To set the default project to use when creating a new project, complete the following steps:

  1. On the File menu, click Preferences » Application.

  2. On the Project tab of the Options dialog box, select the Create New Projects Using Default Project option.

  3. From the File Name drop-down list, select the project you want to use as the default.

  4. Click OK.

Related Topics and Procedures

Related Topic

Options Dialog Box

Related Procedures

Modifying the List of Default Views

Disabling Start Up Procedures

Showing Summary Dates on Subprojects

Opening Last File on Startup


Undo Project Checkout

Undo a Project Checkout

To undo a project checkout from the Check In dialog box, complete the following steps:

  1. On the File menu, click Manage Files » Check In.

  2. In the Check In dialog box, select the appropriate project. If you have checked out the project to your Briefcase data source, click the Include Projects in Briefcase Data Source option.

  3. Click Undo Check Out.

Related Topics and Procedures

Related Topics

Understanding the Open Plan Briefcasing Feature

Check Out Dialog Box

Check In Dialog Box

Checked Out Projects Dialog Box

Related Procedures

Checking Out a Project

Checking in a Project

Viewing the Checked Out Status of a Project


View the Checked Out Status of a Project

To view the checked out status of a PROJECT from Open Plan Explorer, complete the following step:

  1. In the Hierarchy (Left) pane in Open Plan Explorer, select the Briefcase folder. Open Plan display the project's' checked out status in the right pane.

To view the checked out status of a project from the Checked Out Projects dialog box, complete the following steps:

  1. On the File menu, click Manage Files » Check In.

  2. In the Check In dialog box, click Details.

Related Topics and Procedures

Related Topics

Understanding the Open Plan Briefcasing Feature

Check Out Dialog Box

Check In Dialog Box

Checked Out Projects Dialog Box

Related Procedures

Checking Out a Project

Undoing a Project Check Out

Checking in a Project


Activities Overview

An activity is the smallest self-contained unit of work used to define the logic of a project. Think of activities as the building blocks of a project. Their definition, therefore, constitutes one of the most important aspects of project planning. While Open Plan supports almost any activity numbering system, most organizations use activity IDs that have some significance built in, such as a prefix that refers to the project.

Guidelines for Planning Activities

Since projects can vary considerably, there are few hard-and-fast rules about the contents of activities or how long they can last. Activities in a plant maintenance turnaround, for example, might last less than an hour; activities in a long-range development project might have durations of many months.

In general, most activities will share the following characteristics:

  • They have a finite duration.

  • It is possible to estimate the progress of activities that have started but are not yet finished.

  • There is a single point of accountability for accomplishing the activity.

It is a good idea to keep these characteristics in mind when defining activities. By breaking a project down into a set of discrete tasks with relatively short durations, it is possible to establish more objective, and thus more accurate, estimates of progress.

Many times an activity will have a defined cost associated with it and one or more resource assignments. In the strictest sense, however, these assignments are not necessary. In fact, it is possible to define your activities first and then return at a later date and enter resource information.

It is possible to define an activity as an internal subproject in Open Plan. You can also define an activity as an external subproject. Both types of subprojects allow you to use a relatively low level of detail when breaking down the work of a project but roll up schedules and costs to high-level summaries for reporting purposes. In Open Plan, an activity representing a subproject is identical to a standard activity except for the fact that the duration and the progress status of the subproject activity is based on its child activities and is recalculated each time you perform time analysis.

For information about internal and external subprojects, see Hierarchical Projects and Subprojects.

When entering activities for a project, you may want to give some thought to how you want to number your activities. Although you can use other forms of activity information (such as codes) to identify activities, activity IDs are the only identifier that Open Plan validates as being unique for each activity. As a result, the activity ID serves as the default sort order for most views and reports.

Although Open Plan supports almost any activity numbering system, most organizations use activity IDs that have some significance built in. One of the most common approaches is to use the activity ID to associate activities with logical flows of work or phases. This type of approach, however, is not required.

If you are building an Integrated Master Plan (IMP) along with the Integrated Master Schedule (IMS) then the summary activity IDs may include the IMP hierarchy.

Activity IDs in Open Plan do not imply a sequence, and can be entered in any order. Thus, the activity 0002 can be entered before its successor, activity 0001. However, IDs do imply hierarchical relationships, so that activities 0001.1 and 0001.2 are interpreted as being the children of activity 0001. As a result, the use of the period in an activity ID is restricted to indicating project hierarchies.

Related Topics and Procedures

Related Topics

Creating and Editing Activities

Changing an Activity Type to Effort Driven

Automatic Numbering

Hammocks in Open Plan

Chain Activities

Effort-Driven Activities

Target Dates

View Activity Information

Using Utilities to Display Activity Information

Hierarchical Projects and Subprojects

Entering Activity Relationships


Creating and Editing Activities

Open Plan allows you to create and edit an activity from any of the following views: network, barchart, and spreadsheet views. When you create or edit an activity, Open Plan displays the Activity Details dialog box. It includes the following tabs:

  • General

  • Relationships

  • Resources

  • Codes

  • Advanced

  • Risk

  • User Fields

  • Notes

The information you enter using these tabs combine to form an activity definition.

For the Resources and Codes tabs to be enabled, the appropriate ancillary files must first be assigned to the project.

The Activity Details dialog box remains open when performing other operations. For example, you can open the Activity Details dialog box from a network view and view the detailed information for specific activities by clicking them in the view without closing and re-opening the dialog box each time. You can also keep both the Activity Details dialog box and the Activity Progress dialog box open at the same time, updating the information in either dialog box as appropriate.

The dialog box has the following buttons that apply to all tabs:

  • Close: Closes the dialog box, saving any changes.

  • Undo: Cancels any changes on this dialog box that have not been saved using the Apply button.

  • Apply: Applies and saves changes on this dialog box, while leaving the dialog box open for further action. This button is disabled until changes are made.

  • New: Displays a blank Activity Details dialog box. You can specify that the New command will either copy the information for the current activity, or display a blank entry screen for a new activity. To set this option, go to the File menu, click Preferences » Application. On the Edit tab, select the first option in the Activity Dialogs section (Do Not Clear Contents of the Dialog Box When Creating a New Activity).

  • Progress: Displays an Activity Progress dialog box that you can use to enter progress information about the selected activity. By default, the Activity tab of this dialog box is selected.

  • Help: Provides access to the online Help topic for the displayed tab.

In addition, a set of navigation buttons allows you to select another activity. You can also use the following keys on your keyboard to navigate to another activity:

  • Ctrl+Home: Displays the first activity.

  • Page Up: Displays the previous activity.

  • Page Down: Displays the next activity.

  • Ctrl+End: Displays the last activity.

Related Topics and Procedures

Related Topics

Viewing Activity Information

Working with Hierarchical Projects

Entering Progress Information

Activity Progress Activity Tab

Related Procedures

Creating an Activity in a Barchart View

Creating an Activity in a Spreadsheet View

Creating an Activity in a Network View

Editing an Activity


Changing an Activity Type to Effort Driven

When you change an activity type to Effort Driven on the General tab of the Activity Details dialog box, Open Plan displays a message notifying you of the following effects of this change:

  • The value of the Type field in the Resource Scheduling group box on the Advanced tab of the Activity Details dialog box is changed to Reprofilable. (You can override this setting if you wish.)

  • Offsets and periods are ignored.

  • All resource assignments for the activity are treated as totals.

  • The duration of the activity is recalculated using the following formula:

  • The effort factor is defined in the Resource Details dialog box and represents the maximum quantity of the resource that can be assumed to be available for any one activity.

Effort factor does not indicate efficiency.

Related Topics and Procedures

Related Topics

Activity Details Dialog Box

Activity Details General Tab

Activity Details Advanced Tab

Effort-Driven Activities

Related Procedures

Defining an Activity as Effort-Driven

Changing an Effort-Driven Activity to One with a Fixed Duration


Automatic Numbering

When creating a new activity, you can have Open Plan generate the activity IDs automatically. If you leave the ID field blank on the General tab of the Activity Details dialog box when creating a new activity, Open Plan generates an ID for the new activity according to the following rules:

  • If the previous ID at a given level is all alphabetic, Open Plan adds the new ID in alphabetic order. For example:

    • If the last ID were "D," Open Plan would assign the ID "E" to the new element.

    • If the last ID were "Z," Open Plan would assign the ID "ZA" to the new element.

    • If the last ID were "ZD," Open Plan would assign the ID "ZE," to the new element.

  • If the previous ID at a given level is composed of a mixture of alphabetic and numeric characters, Open Plan increments the numeric part. For example:

  • If the last ID were "A10", Open Plan would assign the ID "A11" to the new element.

  • If there is no previous ID, Open Plan uses a numeric ID. Therefore, the first ID in the file would be numbered "1."

Open Plan attempts to find a pattern in the activity ID numbering scheme for IDs that are incremented numerically by looking at the last two IDs in the hierarchy. If a pattern can be established, Open Plan uses the pattern when automatically creating a new activity ID.

For example, assume that your project has the following hierarchy:

A11

A12

A13

A14

A15

A20

Open Plan looks at the last two IDs in the hierarchy and determines that there is a difference of 5 between the two. Therefore, if you use automatically numbering to create the next ID, Open Plan creates activity ID A25.

On the other hand, if there is only one activity ID in the hierarchy and you have Open Plan create the other IDs, it uses the ID’s value as the incremental pattern.

For example, if you enter 12 for the first ID in the hierarchy and then have Open Plan create the remaining IDs, it increments the IDs by 12 resulting in the following hierarchy:

12

24

36

48

60

Automatic numbering is not always possible for fixed-format code structures. For example, if the structure allows only two characters at a given level, there can be no entries after ZZ.

Related Topics and Procedures

Related Topic

Activity Details Dialog Box

Activity Details General Tab

Modifying Hierarchical IDs Using Indent and Outdent

Related Procedures

Indenting an Activity, Resource, or Code ID

Outdenting an Activity, Resource, or Code ID


Hammocks in Open Plan

A hammock is an activity that does not influence the time analysis of a project but provides a means for reporting on the start and finish of a group of related activities. Open Plan calculates the duration of a hammock based on the start of the earliest activity serving as the hammock start and the finish of the latest activity serving as the hammock finish.

To set up a hammock in Open Plan, you must first create an activity and define it as a hammock. Once you have created the hammock activity, you must define at least one relationship between the start of the hammock and the activity (or activities) that represent the beginning of the hammock. You can then define relationships between the finish of the hammock and the activity (or activities) that represent the end of the hammock.

Like subprojects, the durations of hammock activities are calculated each time the network is time-analyzed. In addition, resource requirements assigned to hammocks have no effect on resource scheduling calculations other than restricting resource availabilities for other activities.

Open Plan allows multiple starts and finishes to a hammock, and some or all of these can themselves be hammock activities. You cannot, however, define a hammock as a predecessor to a non-hammock. This restriction means that hammocks can never have any impact on the schedules of non-hammock activities.

Although hammocks have many flexible features, their use is limited by the fact that it may be difficult to determine exactly which activities are included in the given hammock. Codes and hierarchical projects are other features of Open Plan that can be used to summarize information without the restrictions imposed by hammocks.

Related Topics and Procedures

Related Topics

Edit Relationship Dialog Box

Activity Details General Tab

How a Network View Displays a Hierarchy

Related Procedures

Setting up a Hammock

Using External Subprojects


Understanding Chain Activities

Open Plan allows you to add and remove multiple relationships of the same type between activities conveniently using the Link/Unlink Activities dialog box. Clicking the Link button automatically creates relationships between selected activities using the selected type, lag, and calendar. It creates links in the order the activities display on the current view.

For more information, see Link/Unlink Activities Dialog Box.

Related Topics and Procedures

Related Topic

Understanding the Trace Logic Tool

Related Procedures

Creating and Editing Activities

Linking Activities

Unlinking Activities


Effort-Driven Activities

With effort-driven activities, you can have Open Plan calculate the activity duration based on the activity's resource assignments. Typically, you might enter resource assignments at an early stage of the planning process and then use this feature to generate durations for activities automatically.

To calculate an effort-driven duration, Open Plan determines the longest span implied by any assignment for the activity by dividing the amount of the assignment by the resource effort factor. The result of the calculation is expressed in the default duration units used by the project.

The availability or non-availability of the resource does not affect the results of this calculation.

For example, assume the activity has a single resource assignment based on the following information:

  • Resource assignment: 10 units

  • Resource effort factor: 0.5

  • Default duration unit for project: days

Open Plan would calculate the effort-driven duration as 20 days (10/0.5). To perform this calculation, Open Plan interprets any assignment level as a total requirement and ignores any assignment offsets and periods.

Defining an activity as effort-driven also affects the behavior of the activity during subsequent resource scheduling sessions as follows:

  • The activity is assigned the reprofilable attribute. (You can override this setting if you wish.)

  • Resource assignments defined as levels are treated as totals using a linear spread curve.

  • Assignment offsets and periods are ignored.

To change an effort-driven activity back to one with a fixed duration, you can change the activity type to ASAP, or you can overwrite the calculated duration manually. If you enter a fixed duration but keep the activity type set to Effort Driven, Open Plan automatically recalculates the duration the next time you enter or change resource assignment information.

Related Topics and Procedures

Related Topics

Activity Details General Tab

Changing an Activity Type to Effort Driven

Related Procedures

Defining an Activity as Effort-Driven

Changing an Effort-Driven Activity to One with a Fixed Duration


Target Dates

The target dates on the General tab of the Activity Details Dialog Box are constraints that you can impose on an activity. The target dates affect the dates that the program calculates for activities when performing time analysis or resource scheduling.

The default target date type is None. This gives Open Plan maximum flexibility in its time calculations.

Open Plan allows you to specify four additional types of target dates for activity start and finish dates.

Use target dates sparingly, particularly in the early stages of the planning process. Extensive use of target dates often artificially distorts the patterns of float within a project, making analysis of the network more difficult. Instead, allow Open Plan as much flexibility as possible to produce the most efficient set of project dates during your initial calculation. Then, you can assign the necessary target dates and see how they affect the network schedule as a whole.

Not Earlier Than

This constraint affects the early dates calculated by time analysis. If you enter a Not Earlier Than target date that is earlier than or equal to the date that would otherwise be calculated by time analysis, the target date has no effect. If you enter a Not Earlier Than date that is later than the date that would be calculated by time analysis, the result is either to delay project completion, to reduce the float on the activity, or both.

Not Later Than

This constraint affects the late dates calculated by time analysis. If you create a Not Later Than target date later than or equal to the date that would otherwise be calculated by time analysis, the target date has no effect. If you enter a Not Later Than target date that is earlier than the date that would be calculated by time analysis, the result is a reduction in the amount of float on this activity. If this float becomes negative as a result, this indicates that the target date is not achievable for the activity as planned and that replanning may be required.

On Target

This constraint combines the effects of both Not Earlier Than and Not Later Than target dates and affects both the early and late dates calculated by time analysis and resource scheduling.

Fixed Target

Fixed Target dates affect both the early and late dates calculated by time analysis and resource scheduling. However, unlike On target dates (which simulate Not Earlier Than target dates on the forward pass of time analysis and Not Later Than target dates on the backward pass), Fixed Target dates require that the activity take place on the given date even if the logic of the project says that it cannot happen, and both the early and late dates are set equal to the target. As a result, activities with Fixed Target dates have zero total float and can be used, for example, to designate a point from which any prior float in the project (either positive or negative) does not affect the float of subsequent activities.

Related Topics and Procedures

Related Topic

Activity Details General Tab

Related Procedures

Setting a Target Start Date

Setting a Target Finish Date


Viewing Activity Information

Use the Activity Information dialog box to display a wide range of information for a single activity. You can display this dialog box in either of the following ways:

  • By right-clicking the activity and clicking Activity Information on the shortcut menu.

  • By selecting an activity and clicking Activity Information on the Edit tab.

This dialog box contains the following tabs:

  • Schedule tab: Provides an overview of schedule information about the activity including general, float, and date information.

  • Cost tab: Provides budget and cost information about the activity.

Related Topics and Procedures

Related Topics

Activity Information Dialog Box

Creating and Editing Activities

Activity Information Schedule Tab

Activity Information Cost Tab

Related Procedures

Creating an Activity in the Barchart View

Creating an Activity in a Network View

Editing an Activity


Using Utilities to Display Activity Information

Open Plan provides a number of utilities related to displaying activity information, including:

  • Finding activities

  • Displaying activity information

  • Displaying a particular project date

  • Deleting an activity

  • Setting conditional formatting for a view

The first two utilities are available in barchart, network, and activity spreadsheet views. The third utility is available in either the barchart or the histogram view. The fourth applies to any activity.


Hierarchical Projects and Subprojects

A hierarchical project is a project that allows you to break down project information into multiple levels using the activity ID. With hierarchical projects, you enter project data at the lowest level of the project hierarchy, then summarize it to appropriate levels for reporting purposes.

For more information, see:

  • Working with Hierarchical Projects

  • Setting Up Project Hierarchies

  • Saving a Master Project with a New Name

  • Using Auxiliary Files with External Subprojects

  • Adding and Removing Auxiliary Files from a Master Project


Resource Curve Descriptions

Resource Curve

In Open Plan, the amount of a resource requirement can be interpreted as either a total quantity or a level-per-time unit. For example, if a 5-day activity has a resource requirement of 10 units, this information can be interpreted in two different ways: as a total requirement of 10 units or as a level of 10 units per day.

If you leave the Resource Curve setting blank, Open Plan interprets the amount of the resource requirement as a level-per-time unit. Thus, if the activity duration changes, the amount of the resource requirement changes as well.

If you want Open Plan to interpret the amount of the requirement as a total rather than as a level, change the Curve setting to one of the following values:

B: Back Load

Most of the resource effort is allocated toward the end of the duration

D: Double Peak

Most of the resource effort is allocated to two peaks — one near the beginning of the duration and one near the end.

E: Early Peak

Most of the resource effort is allocated near the beginning of the duration.

F: Front Load

Most of the resource effort is allocated at the beginning of the duration.

L: Late Peak

Most of the resource effort is allocated near the end of the duration.

N: Normal (Bell)

The resource effort starts with a minimal effort, gradually increases to the middle of the duration, and then tapers off.

T: Linear

The requirement is interpreted as a total quantity allocated as evenly as possible throughout the duration.

Using the Spread Curves dialog box, you can add custom spread curves to this list. In addition, you can edit or delete any spread curve.


Rules For EVT and Activity Physical % Complete

Activity Physical % Complete (PPC) is a percentage estimate of the completed work for an activity. Earned Value Technique (EVT) or Progress Technique is the method that Open Plan uses to estimate earned value. Different methods are appropriate to different work packages, either due to the nature of the work or to the planned duration of the work package. Open Plan supports all commonly used progress techniques.

The ability for you to edit the Activity Physical % Complete field depends on the AllowEditPPC setting in System Preferences as well as the selection in the EVT field (Activity Details dialog box » Advanced tab).

  • If AllowEditPPC is set to 0, the ability to edit PPC directly depends on the EVT setting as detailed below.
  • If AllowEditPPC is set to 1, you can edit PPC anytime except when EVT is set to steps, in which case PPC is read-only and is automatically calculated by multiplying the weight % of each step by the PPC set for each step.

This topic details the rules for how these two fields work together.

If EVT is Set to:

Activity Physical % Complete (PPC)

Level of Effort (A)

This field is read-only and is updated when a progress calculation is run.

Milestones (B)

This Cobra EVT type is not included in any Open Plan calculations and does not affect this field.

Percent Complete (C)

You can edit this field unless there is an actual finish date, in which case, this field is set to 100%.

Units Complete (D)

This Cobra EVT type is not included in any Open Plan calculations and does not affect this field.

50/50 (E)

This field is read-only.

  • If there is an actual finish date, this field is set to 100%.

  • If there is no actual finish date but there is an actual start date, this field is set to 50%.

  • If there are no actual dates, this field is set to 0%.

0/100 (F)

This field is read-only.

  • If there is an actual finish date, this field is set to 100%.

  • If there is no actual finish date, this field is set to 0%.

100/0 (G)

This field is read-only.

  • If there is an actual start or actual finish date, this field is set to 100%.

  • If there are no actual dates, this field is set to 0%.

User-Defined Percentage (H)

This field is read-only.

  • If there is an actual finish date, this field is set to 100%.

  • If there is no actual finish date, but there is an actual start date, this field is set to the value in the Earned Value Start % field.

  • If there are no actual dates, this field is set to 0%.

Planning Package (K)

This field is read-only and is always set to 0% since there is no progress on planning packages.

Resource % Complete (L)

The Activity PPC is editable unless there is an actual finish, in which case the PPC is set to 100%.

Moreover, the activity PPC and the individual resource assignment PPC values for an activity are interdependent. If you update the activity PPC, the individual resource assignment PPC's is recalculated. Conversely, when you update the individual resource assignment PPC's, the activity PPC is recalculated.

Steps

This field is read-only and is automatically calculated by multiplying the weight % of each step by the PPC set for each step.

For example, if an activity has four steps, each with a weight percent of 25% and respective PPCs of 40%, 20%, 80%, and 35%, Open Plan calculates a PPC value of (0.25*0.40) + (0.25*0.20) + (0.25*0.80) + (0.25*0.35) = 43.75%

Earned As Spent (O)

This Cobra EVT type is not included in any Open Plan calculations and does not affect this field.


Replanning Activities

Open Plan uses the Replan Activity feature to remove variances from any in-progress activities. Typically, a project manager opts for a replan when additional time or resources are required to successfully complete an activity.

Open Plan can automatically split a single activity into two activities (for example, A and B). One activity represents the completed portion, while the other represents the remaining work, effectively creating a new activity.

This option is enabled only when you have access rights to Replan Activity and the selected activity meets specific conditions as follows:

  • It has no child activities.

  • Its status is In Progress.

  • Its Actual Start date is not blank.

  • Its Actual Finish date is blank.

  • It is not a foreign activity.

To use this feature, you must have appropriate access rights to it, which you can set in Edit » Project » Replan Activity on the Roles form in EPM Security Administrator. For more information, see Open Plan Tab of the Role Details Form section in the Deltek EPM Security Administrator Help.

Replan Process

When you run the Replan Activity process, Open Plan sets the Actual Finish date of the original activity to the Split Date. Moreover, it calculates its Original Duration (in workdays based on the activity calendar) by subtracting the Actual Start date from Split Date. If the difference (Split Date – Actual Start) exceeds the starting original duration, Open Plan generates a warning message in the system log, indicating that no changes occur to the original duration as the new duration (Split Date – Actual Start) exceeds the original duration.

The duration of the new activity (split) is calculated by subtracting the new duration for the original activity from its original duration. If this duration is less than one day, Open Plan automatically sets it to one day, as defined by the minutes per day for the project. When this happens, Open Plan generates a warning message in the system log, indicating that the split activity duration has been set to one day because the new duration is below the one-day minimum threshold.

Both the original and new (split) activities have the same Earned Value Technique (EVT). Furthermore, the Baseline Finish date of the original activity’s baseline activity in the currently selected baseline is derived by adding the Baseline Start date and the adjusted original duration.

Related Topics and Procedures

Replan Activity Dialog Box


Entering Activity Relationships

Activity relationships define which activities are logical predecessors and successors of each other. To enter information about the relationships of an activity, you can use any of the following:

  • Activity Details Relationships tab

  • Add Relationships dialog box : You can use this dialog box to define logical predecessor and successor activities. This dialog is modeless, meaning that it can stay on top of any view you are working with and add relationships to any activity you point to in the view.

  • Add Relationship dialog box : When in the Relationship Spreadsheet view, you can enter relationships by double-clicking the selection button of an empty row.

Related Topics and Procedures

Related Topic

Activity Details Dialog Box

Related Procedures

Creating a Relationship in a Barchart View with a Mouse

Creating a Relationship in a Barchart View with the Keyboard


Interproject Relationships

You can create relationships between activities in different projects.

A project that contains a relationship to an activity in an unopened external subproject has a "foreign" activity that represents the other end of the inter-project relationship. When both projects are opened together, foreign activities are replaced by the original activities.

Open Plan allows you to create any of the following types of inter-project relationships:

  • Relationships between activities in two projects

  • Relationships between activities in a master project and an external subproject

  • Relationships between activities in two different external subprojects

While both projects must be open at the time the relationship is created, they do not need to remain open.

In all cases, the relationships may be any of the standard types: Finish-to-Start, Start-to-Start, Start-to-Finish, or Finish-to-Finish.

Related Topics and Procedures

Related Topics

How a Network Displays a Hierarchy

Interproject Calculations

Characteristics of Internal Subproject Activities

Using Ancillary Files with External Subprojects

Adding and Removing Ancillary Files from a Master Project

Related Procedures

Creating Interproject Relationships in a Network

Creating a Relationship in a Barchart View with a Mouse

Creating a Relationship in a Barchart View with the Keyboard

Creating a Relationship in a Network View with the Keyboard

Creating a Relationship in a Network View with a Mouse

Creating a Relationship in a Spreadsheet View


Loop Detection

Whenever you enter a relationship between activities, Open Plan automatically checks that a logical loop has not been defined. To do this, Open Plan considers the relationships between the activities and sorts them in an order to be processed. Open Plan ensures during this process that no activity is processed before any of its logical predecessors.

In the course of the sort, Open Plan may find that entering the relationship would create a logical loop in the project. In effect, this means that at least two activities are mutually dependent. (Neither activity can start before the other.) If a loop is detected, Open Plan immediately deletes the relationship that would otherwise cause the loop and alerts you of this action. If you are entering relationships in a network view, Open Plan also selects all of the activities that comprise the loop.

Because of the speed at which Open Plan performs this function, you may not be aware that it is taking place unless a logical loop is actually detected.


Link and Unlink Activities

You can use the Link/Unlink Activities dialog box to add and remove multiple relationships of the same type between activities conveniently. Clicking the Link button automatically creates relationships between selected activities using the selected type, lag, and calendar.

You can also use the Add Relationship dialog box to define relationships between activities.

If relationships already exist between the selected activities, Open Plan does not allow you to modify the existing relationships.

Related Topics and Procedures

Related Topics

Working with Activities

Entering Activity Relationships

Related Procedures

Link Activities

Unlink Activities


Redundancy Analysis

A redundant link occurs when, in addition to the link in question, there is a more detailed logic link between the same two activities. For example, a link from Activity A to Activity C is made redundant by an existing link from Activity A to Activity B and another one from Activity B to Activity C.

The Redundancy Analysis process checks the entire schedule and sets a flag on relationships that are redundant. After you run the process, Open Plan displays the Relationship Spreadsheet view where the Redundant Flag column indicates the redundant relationships. If needed, you can filter on this flag.

After the analysis is complete, you can right-click in the view and select Redundant Logic to display the Redundant Logic dialog box. The top grid includes the redundant relationships that were identified by the analysis and the bottom grid includes the relationships that make that relationship redundant. The top grid includes a Delete button to delete the relationship. You cannot edit or change relationships in this grid.

To run the anaylsis, navigate to the Processes tab and click Redundancy Analysis in the Tools menu group.

Related Topics and Procedures

Related Topics

Redundant Logic Dialog Box


Activity Details Dialog Box

The activity is the primary building block of an Open Plan project. While Open Plan supports almost any activity numbering system, most organizations use activity IDs that have some significance built in, such as a prefix that refers to the project.

The Activity Details dialog box displays the basic information about each activity. Open Plan automatically displays this tabbed dialog box each time you add or edit an activity.

The Activity Details dialog box contains tabs for the various types of information associated with the activity.

You can display the Activity Details dialog box for an existing activity in the following ways:

  • By selecting the activity in an activity view and clicking Details on the Edit tab

  • By right-clicking the selection button of an activity in an activity view and clicking Edit Activity on the shortcut menu

  • By double-clicking the activity bar in a barchart view

  • By double-clicking the activity box in a network view

Because you can update multiple activities without having to close the Activity Details dialog box each time, Open Plan automatically applies any changes you make to an activity before displaying the next record.

The Activity Details dialog box is resizable. You can resize this by dragging any corner or side of the dialog box.

You must update information for an activity before the Undo and Apply buttons become active.

You can also use the New command to create a new activity while the Activity Details dialog box is open.

You can customize the action of the New command so that it copies the information for the current activity rather than presenting the user with a blank entry screen. You do this by selecting the Do Not Clear Contents of the Dialog Box When Creating a New Activity option on the Edit tab of the Options dialog box.

Tabs

This dialog box includes the following tabs:

  • General Tab

  • User Fields Tab

  • Relationships Tab

  • Resources Tab

  • Codes Tab

  • Advanced Tab

  • Risk Tab

  • Notes Tab

  • Steps Tab

Common Fields

The following fields are common to all tabs:

ID

An activity ID can consist of 1 to 59 characters, including the periods that are used to indicate hierarchical levels.

IDs containing the following four symbols " , | ; are used as delimiters in Open Plan and may cause problems when importing or exporting data.

The activity ID serves as the default sort order for most views and reports.

Although Open Plan supports almost any activity numbering system, most organizations use activity IDs that have some significance built in such as a prefix that refers to the project. Another approach might be to use the activity ID to associate activities with specific elements in a work breakdown structure.

For information on automatic numbering, see Automatic Numbering.

Desc.

A description can contain up to 60 characters. You may use both upper- and lowercase characters.

By default, Open Plan defines the maximum field lengths of 59 characters for activity and resource IDs, and 60 characters for activity descriptions, resource descriptions, code IDs, and code descriptions. It is possible, however, to modify the standard data structure and data dictionary so that any of these field lengths can be as long as 255 characters for new projects.

For information about customizing the Open Plan standard data structure and data dictionary, contact the Deltek technical support staff.

Status

The status of an activity is displayed on all tabs of the Activity Details dialog box except the Notes tab.

The status of an activity can be one of the following:

  • Planned: The activity has not yet started.

  • In Progress: The activity has started, but is not yet complete.

  • Complete: The activity is complete.

Duration

May be entered on any tab of the Activity Details dialog box except the Notes tab. This value should represent the most likely duration for the activity.

Durations may use any of the following duration units:

  • m: months

  • w: weeks

  • d: days

  • h: hours

  • t: minutes

While a duration may contain decimal values (for example, 4.5 D), you cannot enter duration using mixed duration units. (For example, 4D4H is not allowed.) Open plan interprets an activity with a blank duration field as having zero duration.

You can use decimal values for durations (for example, 1.5d), but you cannot mix date formats by entering durations such as 1w2d.

If you enter a duration that is not consistent with fixed target start and finish dates for the activity, Open Plan will use the duration implied by the target dates when performing time analysis and resource scheduling calculations.

You can avoid having to specify a time unit when entering durations by assigning a default duration unit for a project through the Preferences tab on the Project Properties dialog box.

If the activity type is Subproject, Hammock, Effort Driven, or External Subproject, Open Plan ignores any value you enter in this field and recalculates the duration each time you perform time analysis.

Common Buttons

The Activity Details dialog box has the following buttons that apply to all tabs:

Close

Closes the dialog box, saving any changes.

Undo

Cancels any changes on this dialog box that have not been saved using the Apply button.

Apply

Applies and saves changes on this dialog box, while leaving the dialog box open for further action. This button is disabled until changes are made.

New

Displays a blank Activity Details dialog box. You can specify that the New command will either copy the information for the current activity, or display a blank entry screen for a new activity. To set this option, go to the File menu, click Preferences » Application. On the Edit tab, select the first option in the Activity Dialogs section (Do Not Clear Contents of the Dialog Box When Creating a New Activity).

Progress

Displays an Activity Progress dialog box that you can use to enter progress information about the selected activity. By default, the Activity tab of this dialog box is selected.

Help

Provides access to the online Help topic for the displayed tab.

Navigation Controls

A set of navigation controls allows you to select another activity.

Button | Operation
 | Displays the first record
 | Displays the previous record
 | Displays the next record
 | Displays the last record

You can also use the following keys on your keyboard to navigate to another activity.

  • Ctrl+Home: Displays the first activity.

  • Page Up: Displays the previous activity.

  • Page Down: Displays the next activity.

  • Ctrl+End: Displays the last activity.

Location

To display the Activity Details dialog box, complete the following step:

  1. Take one of the following actions:

  • Double-click the activity box in a network view.

  • Double-click the activity bar in a barchart view.

  • Double-click the activity row in spreadsheet view.

  • Double-click the activity row or activity bar in tornado view.

  • Select an activity in tornado, network, spreadsheet, or barchart view, and click Details in the Dialogs menu group of the Edit tab.

  • Right-click an activity bar or box in tornado, network, spreadsheet, or barchart view, and click Edit Activity on the shortcut menu.

Related Topics and Procedures

Related Topics

Using Resource Allocation

Select Resource Dialog Box

Spread Curves Dialog Box

Related Procedures

Assigning Resource Requirements to an Activity

Assigning Resources in a Spreadsheet

Creating a Resource-Based Schedule

Resizing the Dialog Box


Activity Details General Tab

General Tab of the Activity Details Dialog Box

The Activity Details General tab defines the basic information about the activity.

ID, Desc., Status, Duration

These fields are common to all tabs. See Common Fields for a description of these fields.

Calendar

If you have assigned a calendar file to the project, you can assign a calendar to the activity. Each activity in a project can use its own calendar. Open Plan uses this calendar to control calculations for the activity. If you do not enter a calendar in this field, Open Plan performs all calculations based on the default calendar assigned to the project.

In projects for which no calendar file has been assigned, all activity dates are calculated using a 5-day, 40-hour work week.

Type

The activity type defines how the activity is treated during time analysis. Open Plan supports the following activity types:

  • ASAP

  • ALAP

  • Start Milestone

  • Finish Milestone

  • Discontinuous

  • Subproject

  • Hammock

  • Effort Driven

  • External Subproject

  • Foreign Project

  • Foreign Subproject

  • Foreign Activity

For a descriptions of each type, see the Glossary. For more information about subprojects, see Hierarchical Projects and Subprojects. For more information about hammocks, see Hammocks in Open Plan.

In order for the Resources and Codes tabs to be enabled, the appropriate ancillary files must first be assigned to the project.

Location

To display the Activity Details dialog box, complete the following step:

  1. Take one of the following actions:

  • Double-click the activity box in a network view.

  • Double-click the activity bar in a barchart view.

  • Double-click the activity row in spreadsheet view.

  • Double-click the activity row or activity bar in tornado view.

  • Select an activity in tornado, network, spreadsheet, or barchart view, and click Details in the Dialogs menu group of the Edit tab.

  • Right-click an activity bar or box in tornado, network, spreadsheet, or barchart view, and click Edit Activity on the shortcut menu.

Related Topics and Procedures

Related Topics

Effort-Driven Activities

Changing an Activity Type to Effort Driven

Target Dates

Hammocks in Open Plan

Working with Hierarchical Projects

Using the Options Dialog Box: Edit Tab

Related Procedures

Creating an Activity in a Barchart View

Creating an Activity in a Network View

Creating an Activity in a Spreadsheet View

Assigning a Calendar to an Activity

Setting a Target Start Date

Setting a Target Finish Date

Using External Subprojects

Resizing the Dialog Box


Activity Details Relationships Tab

Relationships Tab of the Activity Details Dialog Box

Use the Relationships tab to view and/or specify the relationships between the activities. Each relationship with a predecessor or successor activity is listed on the grid. Controlling relationships (that is relationships that determine the early dates of an activity) display an asterisk on the selection button to the left of the grid.

For more information about activities, see Activities Overview.

ID, Desc., Status, Duration

These fields are common to all Activity Details dialog box tabs. See Common Fields for a description of these fields.

Use the Edit buttons to confirm or cancel an attribute change in the grid.

Drop-down list

Use this field to select a value you want to add, change, or delete in the grid. The options change depending on which column has the focus.

When opening the dialog box on a project containing a large number of activities, a progress indicator now displays in the drop-down field while loading is in progress. During the loading process, you can still edit existing data in the grid.

Click the ellipsis to display the Select Activity dialog box where you can select the activities you want to create a relationship to. For activities however, the ellipsis button only becomes enabled when you select a Predecessor or Successor cell in the grid. Moreover, the Select Activity dialog box only displays when the loading process completes.

Goto...

You can use this button to display the information for a selected predecessor or successor. To use this feature, select the ID of a predecessor or successor activity and click Goto. Open Plan changes the focus to the specified activity.

You can also use it to display an activity that is hidden from a view by a filter. For steps, see Display a Filtered Activity in a View.

Grid

Predecessor

This column displays the ID of the predecessor activity (an activity that logically precedes the displayed activity).

Select an empty cell and click to display the Select Activity dialog box where you can select a predecessor activity.

Hover your mouse cursor over this field to display the description and status of the activity as a tool tip.

Type

Use this field to specify the type of relationship between activities.

  • FS: Finish to Start, the successor activity cannot start until the predecessor activity is complete. This is the default relationship type.

  • FF: Finish to Finish, the successor activity cannot finish until the predecessor activity is complete.

  • SS: Start to Start, the successor activity cannot start until the predecessor activity has started.

  • SF: Start to Finish, the successor activity cannot finish until the predecessor activity has started. This type of relationship is rarely used.

To change the relationship type of an activity, place your cursor in the Type column, click the Drop-down list and select a type.

Hover your mouse cursor over this field to display the description of the abbreviated relationship as a tool tip.

Successor

This column displays the ID of the successor activity (an activity that logically follows the displayed activity).

Select an empty cell and click to display the Select Activity dialog box where you can select a successor activity.

Hover your mouse cursor over this field to display the description and status of the activity as a tool tip.

Description

This column displays the activity description for the predecessor or successor activity.

Lag

This column displays the lag defined between activities. A lag is a time delay associated with the relationship. Lags can be either positive (to indicate a delay between two events) or negative (to indicate an overlap or lead time between two events). For example, if an activity cannot start until two days after the completion of its predecessor, define a finish-to-start (FS) relationship between the two activities and enter a lag of 2 days. The lag specifies the number of periods that must elapse between events such as the finish of one activity and the start of the next activity.

For start-to-start relationships, it is also possible to define a lag as a percentage of the predecessor activity's duration. To enter a percentage-driven lag, enter a value followed by a percent sign (%). For example, to define a lag equal to one half of the predecessor's duration, enter 50%.

To shorten the overall duration of a project, identify activities that can overlap and define their relationships with lag or lead times.

Calendar

When calculating lag, Open Plan uses the calendar assigned to the relationship. If there is no calendar assigned to the relationship, Open Plan uses the calendar of the successor activity.

Relationship calendars are commonly used to schedule lags that are duration-driven instead of activity-driven. For example, you want to schedule two activities in a sequence for applying concrete:

Activity A - Pour the foundation

Activity B - Remove the forms

This is a FS relationship. The laborers removing the forms cannot start their work until the concrete cures. The lag that occurs while the concrete cures should be scheduled using a 7-day, 24-hour calendar instead of a calendar based on the laborers’ work week.

Probability

In the absence of progress on any successor activities, this column is used to indicate a relative probability that a particular path out of an activity will be taken. Probabilities for various options are mutually exclusive, such that the percent values for multiple options do not have to equal 100%.

If successor activities have started, it is assumed that the path has already been taken and the probabilities are ignored.

For more information about probability, see Using Risk Analysis.

TF

This column displays the total float between the selected predecessor or successor and the displayed activity.

Total float is the maximum number of work periods by which an activity can be delayed without delaying the project completion date or violating the target finish date.

FF

This column displays the free float between the selected predecessor or successor and the displayed activity.

Free float is the maximum number of work periods by which an activity can be delayed beyond its early dates without delaying any successor activity beyond its early dates.

New

Click to display the Add Relationships dialog box where you can create new predecessor or successor relationships.

Delete

Click to delete the selected predecessor or successor activity.

This button is only available when you select a row.

, Close, Undo, Apply, New, Progress, Help

These fields are common to all Activity Details dialog box tabs. See Common Buttons for a description of these buttons.

Resizing

A grabber pad in the bottom right corner of a dialog box indicates that the dialog box is resizable. Click and drag the sides of the dialog box to resize.

Location

Display the Activity Details dialog box in any of the following ways:

  • Double-click an activity box in a network view.

  • Double-click an activity bar in a barchart view.

  • Double-click an activity row in spreadsheet view.

  • Double-click an activity row or activity bar in a tornado view.

  • Select an activity in a tornado, network, spreadsheet, or barchart view. On the Edit tab, click Details in the Dialogs menu group.

  • Right-click an activity bar or box in a tornado, network, spreadsheet, or barchart view, and click Edit Activity on the shortcut menu.

Related Topics and Procedures

Related Topics

Add Relationships Dialog Box

Interproject Relationships

Predecessor/Successor Spreadsheet

Related Procedures

Create a Relationship in a Barchart View with a Mouse

Create a Relationship in a Barchart View with the Keyboard

Create a Relationship in a Network View with a Mouse

Create a Relationship in a Network View with the Keyboard

Create a Relationship in a Spreadsheet View

Assign a Calendar to a Relationship Lag

Create Interproject Relationships in a Network


Activity Details Resources Tab

Resources Tab of the Activity Details Dialog Box

This tab controls resource assignments for a selected activity.

ID, Desc., Status, Duration

These fields are common to all tabs. See Common Fields for a description of these fields.

Drop-down list

Use this field to select a value you want to add, change, or delete in the grid. The options change depending on which column has the focus.

When opening the dialog box on a project containing a large number of resources, a progress indicator now displays in the drop-down field while loading is in progress. During the loading process, you can still edit existing data in the grid.

Click the ellipsis to display the Select Resource dialog box where you can select the resources you want to assign to the activity. For resources, however, the ellipsis button only becomes enabled when you select a Resource ID cell in the grid. Moreover, the Select Resource dialog box only displays when the loading process completes.

Normal/Time Phase Button

Open Plan lets you enter resource information in either Normal or Time Phase mode. The fields on the dialog box change, depending on which mode you select. This help topic lists both sets of fields.

Normal Mode

In Normal mode, Open Plan controls resource assignments for the selected activity using.

Skill ID

Early in the project lifecycle, you may elect to specify the skills needed to complete an activity rather than asssign specific resources. When a resource is assigned to the activity at a later date, the original skill remains on record. Once you have specified a skill in this column, when you add a resource on the same row using the Select Resource dialog box, the Skill Filter is preset to the intended skill, displaying only those resources that match the skill.

Resource ID

Open Plan uses the resources displayed in this column for the activity.

If you hover your mouse cursor over this field, Open Plan displays the description associated with the resource.

Clicking the ellipsis next to the list field displays the Select Resource dialog box that you can use to quickly select the appropriate resource.

Resource Curve

In Open Plan, the amount of a resource requirement can be interpreted as either a total quantity or a level-per-time unit. For example, if a 5-day activity has a resource requirement of 10 units, this information can be interpreted in two different ways: as a total requirement of 10 units or as a level of 10 units per day.

If you leave the Resource Curve setting blank, Open Plan interprets the amount of the resource requirement as a level-per-time unit. Thus, if the activity duration changes, the amount of the resource requirement changes as well.

If you want Open Plan to interpret the amount of the requirement as a total rather than as a level, change the Curve setting to one of the following values:

  • B: Back Load

  • D: Double Peak

  • E: Early Peak

  • F: Front Load

  • L: Late Peak

  • N: Normal (Bell)

  • T: Linear

For a description of each curve, see Resource Curve Descriptions.

For requirements defined as totals, the time unit for the requirement is based on the default duration unit specified for the project. For example, a total requirement for 10 people for a project scheduled in days is interpreted as a requirement for 10 labor-days.

For information on setting the default duration unit for a project, see the Project Properties dialog box Preferences Tab.

Using the Spread Curves dialog box, you can add custom spread curves to this list. In addition, you can edit or delete any spread curve.

Resource Level

The amount of the resource requirement. This numeric value is interpreted by Open Plan as either a level-per-activity time unit or as a total requirement, depending on the contents of the Resource Curve field.

To understand the difference between entering a resource requirement as a level-per-time unit or as a total requirement, let us take the example of an activity that has a duration of 10 days. Now, let's look at two cases:

  • If you assign a resource to work on this activity for 8 hours per day, the resource requirement equates to 80 hours. Now, assume that the work of the activity actually takes 12 days. Since the resource was assigned as a level per time unit, the resource will work on the activity for a total of 96 hours.

  • If you assign a resource to work on this activity for a total of 80 hours, it no longer matters how long the activity actually takes. You still have a fixed 80 hours of the resource to spread over the duration of the activity regardless of whether the activity duration is 10 or 12 days.

For more information about how Open Plan interprets resource requirement levels and totals, see Resource Scheduling Calculations, in the Deltek Open Plan Developer’s Guide.

For more information about how Open Plan deals with resource profiles of in-progress activities, see The Effect of Progress Information, in the Deltek Open Plan Developer’s Guide.

Alternate Resource ID

You can enter an alternate for any required resource, pool, or skill. If Open Plan determines that the original required resource is not available during resource scheduling, it attempts to substitute the alternate resource. Following resource scheduling, you can use the resource allocation feature to confirm or change any substitutions Open Plan has suggested.

Resource Offset

The number of time units that must elapse from the start of an activity and the time when the resource starts working. For example, if you define the offset of a requirement as 5 periods, the requirement will begin on the sixth period of the activity duration.

If you enter an Offset value and do not enter a Period, Open Plan will assume a maximum period value of activity duration minus the offset value.

You may enter offsets using any of the following units:

  • M: months

  • W: weeks

  • D: days

  • H: hours

  • T: minutes

While you may use decimal values (for example, 4.5 D), you cannot enter offsets using mixed units. (For example, 4D4H is not allowed.)

The offset defaults to zero if left blank. If both the offset and period are left blank, the resource is assumed to start on day one of the activity.

Open Plan does not allow you to enter values for a requirement offset that extend beyond the duration of the activity, nor can you enter the offset value equal to the activity duration.

Resource Period

The assignment period defines the duration for which the resource is required.

If you enter an Offset value and do not enter a Period, Open Plan will assume a maximum period value of activity duration minus the offset value.

For standard (that is, non-cost) resources, Open Plan does not allow you to enter values for an assignment offset and period that extend beyond the duration of the activity.

You may enter periods using any of the following units:

  • M: months

  • W: weeks

  • D: days

  • H: hours

  • T: minutes

While you may use decimal values (for example, 4.5 D), you cannot enter periods using mixed units. (For example, 4D4H is not allowed.)

If both the offset and period are left blank, the resource is assumed to be required for the entire duration of the activity.

Open Plan does not allow you to enter values for a requirement period that extend beyond the duration of the activity.

For more information about the standard resources and cost resources, see Planning Costs.

Cost Class

Cobra users can enter a cost class for each resource assignment in this column. This information is transferred to Cobra during cost/schedule integration.

Time Phase Mode

In Time Phase mode, Open Plan allows resource assignments to be displayed and edited in a time-phase manner. This allows resource levels to be more precisely allocated within the duration of the activity.

When this mode is selected, any assignments displayed in the Normal mode are translated into time-phase periods starting at the activity early start date and spread based on the assignment’s spread curve, offset, period, and cost class.

Multiple assignments of the same resource with differing cost classes are treated as separate assignments when translated into time-phased periods.

Copying and Pasting From/To Excel

When you are in the Time Phase mode, you can copy a range of cells and paste them into Excel. The cells that you copy can either be contiguous, or non-contiguous; however, you cannot select a mixture of different columns on different rows. For example, you cannot select Resource ID and Total Quality on row 1, and Resource ID and a Date field on row 3. If you select Resource ID and Total Quality on row 1, then you must select Resource ID and Total Quality on row 3.

Only the data that you copy is pasted into Excel. The column headings are not copied.

When you copy data from Excel and paste it into the time-phased grid, each row must be associated with a unique combination of Resource, Skill ID, and Cost Class. An assignment can have either a resource or a skill, or both. If both the resource and skill values are missing, but the cost class is present, and the resource and/or skill value can be determined by Open Plan looking at the row prior to the paste, the system will still allow you to paste the data. If neither the resource or skill are present and they cannot be determined, the system will not allow you to complete pasting the data.

  • You can paste time-phased values on an existing row (and overwrite the resource, skill, or cost class fields as long as paste doesn't cause the row to become non-unique.

  • You can paste time-phased values on a new row providing the cost class is available, and is different from cost classes in the grid pertaining to the same resource/skill combination.

  • You can paste time-phased values provided that the resource column is present and differs from other resources in the grid.

Skill ID

Early in the project lifecycle, you may elect to specify the skills needed to complete an activity rather than assign specific resources. When a resource is assigned to the activity at a later date, the original skill remains on record. Once you have specified a skill in this column, when you add a resource on the same row using the Select Resource dialog box, the Skill Filter is preset to the intended skill, displaying only those resources that match the skill.

Resource ID

Open Plan uses the resources displayed in this column for the activity.

If you hover your mouse cursor over this field, Open Plan displays the description associated with the resource.

Clicking the ellipsis next to the list field displays the Select Resource dialog box that you can use to quickly select the appropriate resource.

Cost Class

Cobra users can enter a cost class for each resource assignment in this column. This information is transferred to Cobra during cost/schedule integration.

Total Qty

The total amount of the resource requirement. If a resource assignment exists in Normal mode, the total quantity is calculated in one of the following ways:

  • Level: The Total Quantity is the Level of the resource assignment multiplied by the Duration. For example, if you assign a resource to work 8 hours per day on a 10 day activity, the resource requirement equates to 80 hours. Now, assume that the activity actually takes 12 days. Since the resource was assigned as a level per time unit, the resource will work on the activity for a total of 96 hours.

  • Total: The Total Quantity is the Level entered spread over the duration of the activity according to the assigned spread Curve. For example, if you assign a resource to work on the same 10 day activity for a total of 80 hours, you still have a fixed 80 hours of the resource to spread over the duration of the activity regardless of whether the activity duration is 10 or 12 days.

Cutoff Dates

The time-phased cutoff dates are based on the project’s fiscal calendar (if one has been assigned to the project). If there is no fiscal calendar, the cutoff dates are generated using weekly periods.

Total Labor Qty

This summary row displays the total quantity for Labor resources for the Total Qty column and each time-phased cutoff date column.

Show As Levels

This option allows time-phased resource assignments values to be displayed and edited using a level-per-period value instead of a total-per-period value. When in this mode, the Total Qty column is disabled and used for reference only, and the Spread and Reconcile buttons are dimmed.

Spread

Clicking this button displays the Spread Method dialog box that you can use to re-spread the total quantity over the time phased periods.

Reconcile

If there is a discrepancy between the total quantity and the sum of the time-phased periods, you can use the Reconcile button to quickly fix the problem. When you click this button, the Reconcile command calculates the difference between the total quantity and the sum of the periods. The difference is placed into the selected period after you confirm the operation.

Show Time Phase Based On

This option allows the direct updating of the integration baseline to apply a scope change, integrate the data with Cobra and analyze the Cost impact. You may select either Current Plan (Early Dates) or Selected Baseline. By default, Current Plan (Early Dates) is selected. You must click Apply to commit any changes you select.

Date Range

The activity Start and End dates are displayed here.

Location

To display the Activity Details dialog box, complete the following step:

  1. Take one of the following actions:

  • Double-click the activity box in a network view.

  • Double-click the activity bar in a barchart view.

  • Double-click the activity row in spreadsheet view.

  • Double-click the activity row or activity bar in tornado view.

  • Select an activity in tornado, network, spreadsheet, or barchart view, and click Details in the Dialogs menu group of the Edit tab.

  • Right-click an activity bar or box in tornado, network, spreadsheet, or barchart view, and click Edit Activity on the shortcut menu.

Related Topics and Procedures

Related Procedures

Assigning Resource Requirements to an Activity

Assigning Resources in a Spreadsheet

Creating a Resource-Based Schedule

Resizing the Dialog Box


Activity Details Codes Tab

Codes Tab of the Activity Details Dialog Box

This tab controls the codes assigned to the activity. Activity codes are designed to summarize or manage an entire group of activities. Codes can be predefined, then assigned to activities within the project. The ability to create custom reports based on user-defined coding structures provides virtually unlimited reporting possibilities.

ID, Desc., Status, Duration

These fields are common to all tabs. See Common Fields for a description of these fields.

Grid

Open Plan controls code assignments for the selected activity using the following settings.

  • Code: The code field in the activity table to which a code file is assigned. For example, many organizations use WBS and OBS code files.

  • Value: The specific code within the code file. Clicking the ellipsis at the right edge of the input field displays the Select Code dialog box that you can use to select a code from a hierarchical code structure.

Location

To display the Activity Details dialog box, complete the following step:

  1. Take one of the following actions:

  • Double-click the activity box in a network view.

  • Double-click the activity bar in a barchart view.

  • Double-click the activity row in spreadsheet view.

  • Double-click the activity row or activity bar in tornado view.

  • Select an activity in tornado, network, spreadsheet, or barchart view, and click Details in the Dialogs menu group of the Edit tab.

  • Right-click an activity bar or box in tornado, network, spreadsheet, or barchart view, and click Edit Activity on the shortcut menu.

Related Topics and Procedures

Related Procedures

Assigning Codes to an Activity

Resizing the Dialog Box


Activity Details Advanced Tab

Advanced Tab of the Activity Details Dialog Box

This tab provides advanced controls for the manner in which Open Plan treats activities during resource scheduling. These controls allow you to provide flexible treatment of activity durations during resource scheduling or to require that an activity start on its earliest feasible date regardless of the effect on resource loading.

ID, Desc., Status, Duration

These fields are common to all tabs. See Common Fields for a description of these fields.

Total Float

Displays the total float for the activity as calculated by time analysis. This is the maximum number of work periods by which the activity can be delayed without delaying project completion or violating a target finish date.

Resource Scheduling

Open Plan provides advanced controls for the treatment of the activity.

Type

  • Normal: The activity has no advanced controls for treatment of the duration during resource scheduling.

  • Splittable: Activity splitting allows the duration of an activity to be split into two or more pieces to permit it to be scheduled earlier than would otherwise be possible due to gaps in the availability of a required resource. You can use two parameters to control the splitting of an activity during resource scheduling:

    • The minimum duration of an activity piece

    • The maximum number of pieces

For example, suppose that 3 units of a resource are available on January 1 and January 2. On January 3, only 1 unit of the resource is available, and on January 4 and January 5, 3 units of the resource are again available. This is illustrated in the following profile:

Normally, a 4-day activity with a requirement of 3 units per day could not be scheduled during this period since there are not 4 consecutive days in which the necessary resources are available. As a result, either the activity must be delayed or the resource availability exceeded. However, if the activity can be split, it is possible to schedule the activity in two pieces with one 2-day piece starting on January 1 and the second 2-day piece starting on January 4.

  • Stretchable: Activity stretching allows Open Plan to lengthen the duration of an activity during resource scheduling to reduce the peak requirements for a constraining resource. Stretching an activity can, in many cases, result in an earlier scheduled date. To control the effects of stretching during resource scheduling, Open Plan allows you to enter a maximum duration for the activity.

For example, assume that a 2-day activity with a requirement of 6 resource units per day is scheduled against a resource with an availability of only 4 units per day:

If the availability of the resource cannot be exceeded, Open Plan delays the activity. However, by stretching the duration of the activity to 3 days (4 units per day), it is possible to reduce the peak requirement of the activity enough to permit the scheduling of the activity.

(Note that the total resource requirement of the activity remains unchanged.)

  • Reprofilable: Reprofiling an activity provides Open Plan with the most flexibility in scheduling an activity. An activity with this attribute can be scheduled in any way consistent with available resources provided that the following criteria are met:

    • The duration of the reprofiled activity cannot be shorter than the specified duration.

    • The reprofiled requirements cannot exceed the original requirements profile (on a cumulative basis).

    Thus, a 10-day activity with a resource requirement of 3 units per day cannot be reprofiled so that it has a 1-day duration with a requirement of 30 units.

    You can also set an option on the Advanced tab of the Resource Scheduling dialog box to restrict the maximum quantity per scheduled unit (such as days or weeks) to the setting in the original profile.

    For example, assume that a 3-day activity has a resource requirement of 5 units for each day of its duration, for a total of 15 units. Depending on the availability of the resources, the activity can be reprofiled in any number of ways, including the following examples:

    5 days at 3 units per day

    4 days at 2 units per day, followed by 1 day at 3 units per day and 1 day at 4 units per day

    2 days at 4 units per day, followed by 1 day at zero units per day, followed by 2 days at 2 units per day and 1 day at 3 units per day.

  • Immediate: Open Plan forces an activity with the immediate attribute to start on its earliest feasible date, even if that means overloading a resource. Open Plan calculates the earliest feasible date for an activity during resource scheduling. The earliest feasible date is the earliest possible date an activity can start in the absence of any resource constraints on its schedule.

Min Duration

When the Split option is chosen, this field controls the minimum duration of any piece of the split activity.

Max Splits

When the Split option is chosen, this field controls the maximum number of pieces into which the activity can be split.

Max Duration

When either the Stretch or Reprofile option is chosen, this field controls the maximum duration for the activity.

You may enter the maximum duration using any of the following duration units:

  • M: months

  • W: weeks

  • D: days

  • H: hours

  • T: minutes

While you may use decimal values (for example, 4.5 D), you cannot enter durations using mixed duration units. (For example, 4D4H is not allowed.)

Priority

This field controls the priority Open Plan gives the activity during resource scheduling and acts as a tie-breaker. You can enter any 3-digit number. Lower numbers indicate a higher priority than higher numbers. The default for this field is zero (and, therefore, top priority). Negative numbers are allowed.

For this setting to take effect, you must also select Priority as one of the priorities on the Advanced tab of the Resource Scheduling dialog box.

Separate Resources

This option controls whether Open Plan should consider members of a pool and members who share the same skill as separate resources during resource scheduling.

For example, assume the following resource pool:

If this option is selected and the resource assignment for an activity calls for 8 hours of ELEC for 5 days and a second assignment of ELEC for 5 days, Open Plan treats the two assignments separately and can schedule 8 hours of LISA and 8 hours of PAUL for each day.

On the other hand, if this option is not selected, Open Plan combines the two assignments and attempts to schedule a single resource for 16 hours a day with the following results:

  • With resource-limited resource scheduling, Open Plan will be unable to ever schedule the activity.

  • With time-limited resource scheduling, Open Plan will overload the selected resource.

This same example holds true if you are assigning resources based on a skill instead of a pool.

Suppress Requirements

This option controls whether Open Plan should suppress resource requirements for the activity during resource scheduling.

  • If this option is selected, Open Plan does not consider the resource requirements for the activity during resource scheduling.

  • If this option is not selected, the resource requirements for the activity are taken into account during resource scheduling.

Earned Value

EVT

You can specify the EVT for the activity. When the Base Physical Percent Complete on EVT option is selected on the Progress Calculations dialog box, Open Plan uses the selected EVT to update the earned value of the activities when progress calculations are run.

This field is disabled when the _UserCannotChangeInProgressEVT user preference on the System Preferences Defaults dialog box is set to 1 and the activity is in-progress or completed.

For information about how the EVT field affects the Physical % Complete field, see Rules For EVT and Activity Physical % Complete.

You can choose from the following EVTs:

  • Level of Effort (A): This EVT assumes that if the activity has started, it will progress (and, thus, earn value) according to the original budget without deviation. By definition, the value earned by an activity using this Earned Value is equal to the budget up to Time Now. In other words, starting a Level of Effort (LOE) activity results in the activity immediately earning its entire budget up to Time Now.

  • Percent Complete (C): With this EVT, the user enters percent complete directly. Percent complete places the burden of objective performance measurement on the individual or system that provides the information.

  • 50-50 (E): With this EVT, 50% of the value is earned as soon as the activity is started, and the rest is earned when it is completed. Since value cannot be earned in any intervening periods, this EVT is best used for activities that span a maximum of two fiscal periods.

  • 0-100 (F): With this EVT, no value is earned until the activity is completed. At which point, the entire budget is earned. This method is best used if the activity is scheduled to start and finish in the same fiscal period.

  • 100-0 (G): With this EVT, all the value is earned as soon as the activity is started. This method is best used if the activity is scheduled to start and finish in the same fiscal period.

  • User-Defined Percentage (H): This EVT is a variation of the 50-50 EVT. The percentage earned at the start of the activity (1 to 99%) is defined in advance by the user by entering the percentage in the Start % field. The remainder is earned when the activity is completed. This method is best used for activities whose schedule dates span a maximum of two fiscal periods. The Start % field is only enabled when you select the User-Defined Percentage EVT.

  • Planning Package (K): Activities using this EVT are used for planning purposes only and do not earn value. This causes earned value to always be calculated as zero regardless of any progress that has been applied.

  • Resource % Complete (L) / Assignment % Complete (L): This EVT allows you to enter status and calculate earned value at the resource assignment level. This option is useful when you have long activities and your resources are not spread across the entire activity. An example is when you have many resources assigned to a single work package.

  • Steps (N): The use of steps allows you to break down an activity into a series of smaller tasks that can be measured or checked off to more accurately show progress or provide a direct indication of what has been done. Steps can be weighted as a proportion of the overall activity/task and as each step is completed, the parent task physical percent complete is updated. If the EVT for the activity is not set to Steps, you can still define steps to provide additional information of the breakdown of the work but completing a step will not impact the physical percent complete of the activity. Steps are defined on the Activity Details Steps tabs.

  • The following Cobra EVT types are not included in any Open Plan calculations:

  • Milestones (B)

  • U nits Complete (D)

  • Earned as Spent (O)

There are few hard and fast rules about selecting performance measurement techniques. The general rule is to select a method that allows you to "earn how you plan." For example, if an activity spans two periods and the budget spread is $50 in the first period and $50 in the second period, you should select an Earned Value that, if on schedule, would allow you to earn half of the $100 budget when the activity is started and the other half when it is finished. (This scenario would most likely use the 50-50 EVT.)

50-50, 0-100, 100-0, and User-Defined Percentage EVTs are normally used on activities that span no more than 2 periods.

Start %

This field is enabled when you select User-Defined Percentage for the EVT. You can enter the starting percentage an activity earns in this field. The remainder is earned when the activity is completed.

Location

To display the Activity Details dialog box, complete the following step:

  1. Take one of the following actions:

  • Double-click the activity box in a network view.

  • Double-click the activity bar in a barchart view.

  • Double-click the activity row in spreadsheet view.

  • Double-click the activity row or activity bar in tornado view.

  • Select an activity in tornado, network, spreadsheet, or barchart view, and click Details in the Dialogs menu group of the Edit tab.

  • Right-click an activity bar or box in tornado, network, spreadsheet, or barchart view, and click Edit Activity on the shortcut menu.

Related Topics and Procedures

Related Procedures

Splitting an Activity Duration

Stretching an Activity Duration

Reprofiling an Activity Duration

Assigning Immediate to an Activity

Assigning a Priority to an Activity

Resizing the Dialog Box


Activity Details Risk Tab

This tab allows you to specify the probability distribution information about the duration of an activity. This information is used in risk analysis calculations.

For example, assume that you suspect an activity will take 10 days, but you want to allow for an uncertainty of plus or minus 2 days. You would define the probable range of durations with the following values:

Field | Value
Optimistic | 8 days
Pessimistic | 12 days
Most likely | 10 days

While you could assign any shape to the probability distribution, you would most likely assign it the Normal distribution.

You cannot enter probability information for any type of activity that uses a calculated duration – subprojects, external subprojects, and hammocks.

ID, Desc., Status, Duration

These fields are common to all tabs. See Common Fields for a description of these fields.

Duration

Open Plan provides controls for defining the probable range of durations for the activity.

Shape

This field allows you to select the shape of the probability distribution as follows:

  • Beta: probable outcomes cluster around the mode value of the distribution. Outcomes at the extreme values of the distribution are very unlikely.

  • Normal: probable outcomes cluster symmetrically around the center of the distribution.

  • Triangular: probable outcomes cluster around the mode value of the distribution. Outcomes close to minimum and maximum values of the distribution still possess a significant probability.

  • Uniform: each outcome is equally likely.

In addition, you can select None if you do not want to assign a probability distribution shape.

Optimistic

This is the minimum estimated duration for the activity.

Pessimistic

This is the maximum estimated duration for the activity.

Key Activity

This field allows you to designate the activity as a key activity. For key activities, the program stores the most detailed risk analysis information possible.

To avoid creating an unmanageably large output file when risk analysis is performed, keep the number of key activities to a minimum. It is recommended that you flag no more than a dozen or so key activities per project.

Probability of Occurrence

Enter a value from 0 to 100 as a weight factor to indicate the probability that the activity exists at all.

For example, assume you have the following three activities:

Activity | Probability of Occurrence
A: Write Software | 100
B: Test Software | 100
C: Fix Software | 20

Activities A and B will always happen, but we might judge that there is only a 20% chance that following testing, we have to go back and fix the software. All regular Open Plan features ignore this field (and always consider all tasks) except Risk Analysis, which would only consider activity C 20% of the time. If Risk Analysis chooses to ignore the task on any given iteration, then any successors of C are deemed to follow immediately on from B (as if C had zero duration).

Location

To display the Activity Details dialog box, complete the following step:

  1. Take one of the following actions:

  • Double-click the activity box in a network view.

  • Double-click the activity bar in a barchart view.

  • Double-click the activity row in spreadsheet view.

  • Double-click the activity row or activity bar in tornado view.

  • Select an activity in tornado, network, spreadsheet, or barchart view, and click Details in the Dialogs menu group of the Edit tab.

  • Right-click an activity bar or box in tornado, network, spreadsheet, or barchart view, and click Edit Activity on the shortcut menu.

Related Topics and Procedures

Related Procedures

Performing Risk Analysis

Defining Probability Distributions for an Activity Duration

Displaying a Risk Histogram View

Selecting a Key Activity to Display on a Risk Histogram View

Resizing the Dialog Box


Activity Details User Fields Tab

User Fields Tab of the Activity Details Dialog Box

This tab allows you to specify the values that Open Plan should include for user-defined fields on the activity.

ID, Desc., Status, Duration

These fields are common to all tabs. See Common Fields for a description of these fields.

Grid

User-defined fields are created outside of an open project and may be used by any project stored in the database. In order to use a user-defined field for the activity, you must specify a value for it on this tab. The User Fields tab features a grid containing two columns:

  • Field: This column displays a list of all the user-defined fields that have been defined.

  • Value: For each user-defined field that you want to use, you should enter an appropriate value.

User-defined fields are created on the activity table outside of an open project and may be used by any activity stored in the database. In order to use a user-defined field for your activity, you must specify a value for it on this tab.

Location

To display the Activity Details dialog box, complete the following step:

  1. Take one of the following actions:

  • Double-click the activity box in a network view.

  • Double-click the activity bar in a barchart view.

  • Double-click the activity row in spreadsheet view.

  • Double-click the activity row or activity bar in tornado view.

  • Select an activity in tornado, network, spreadsheet, or barchart view, and click Details in the Dialogs menu group of the Edit tab.

  • Right-click an activity bar or box in tornado, network, spreadsheet, or barchart view, and click Edit Activity on the shortcut menu.

Related Topics and Procedures

Related Topic

Resizing the Dialog Box


Activity Details Notes Tab

Notes Tab of the Activity Details Dialog Box

This tab allows you to create, edit, or delete a note attached to the activity.

ID, Desc.

These fields are common to all tabs. See Common Fields for a description of these fields.

The ABC spell check button allows you to check the spelling in the note.

Category

The Category field controls the category of the note. If you are creating a new note, you can select a category from the list of categories set up in the database.

Although you can attach multiple notes to an activity, you can attach only one note per category.

The text box can contain up to 29 KB of text about the selected activity. You can enter the text by typing directly in this field, or by using the Cut, Copy, and Paste commands to insert text entered in another Windows application such as a word processor or spreadsheet.

An asterisk (*) next to a category name means that the category has a note.

When the note is attached to an activity, a triangle symbol is added to the activity in spreadsheet, barchart, and network views of the project.

You can enter links to files, web pages and email addresses by entering the information in one of the following formats:

  • File links must be entered in the format of: file://c:\document.doc

  • If the file link you enter contains spaces, you must enclose the link with angle brackets ( < > ) in order for the link to work properly:
    <    file://C:\Documents and Settings\All Users\Desktop\test.txt>

  • Universal Resource Locators (URLs) must be entered in the format of: http://www.deltek.com

  • Email addresses must be entered in the format of: mailto:contactus@deltek.com

A note attached to an activity may also be viewed on the Notes tab of the Activity Progress dialog box.

Location

To display the Activity Details dialog box, complete the following step:

  1. Take one of the following actions:

  • Double-click the activity box in a network view.

  • Double-click the activity bar in a barchart view.

  • Double-click the activity row in spreadsheet view.

  • Double-click the activity row or activity bar in tornado view.

  • Select an activity in tornado, network, spreadsheet, or barchart view, and click Details in the Dialogs menu group of the Edit tab.

  • Right-click an activity bar or box in tornado, network, spreadsheet, or barchart view, and click Edit Activity on the shortcut menu.

Related Topics and Procedures

Related Procedures

Attaching a Note to an Activity

Editing an Activity Note

Deleting an Activity Note

Creating a Note Category

Editing a Note Category

Deleting a Note Category

Resizing the Dialog Box


Steps Tab

Steps Tab of the Activity Details Dialog Box

Activity steps are similar to milestones and can add significant value to project scheduling. A scheduler can assign several steps to an activity and weight each step to apportion its value compared to other steps. Steps allow you to objectively measure the progress of an activity.

If you select Steps as the activity earned value technique (EVT), then when a step is completed, the weight on the step is used to calculate the physical percent complete on the activity, which in turn is used to calculate the earned value. If the EVT for the activity is not set to Steps, you can still define steps to provide additional information of the breakdown of the work but completing a step will not impact the physical percent complete of the activity. You select EVT for an individual activity on the Activity Details Advanced tab or the default EVT for a project on the Project Properties Preferences tab.

The steps that display on this tab follow the same order that you see in the STP_NUM column for the OPP_STP table.

You can create, edit, delete, copy and paste activity steps into a Spreadsheet View of a project provided that the required key fields (such as Activity ID and Name) exist. Moreover, the displayed details in the Spreadsheet View and in the grid on the Steps tab of both the Activity Details and Activity Progress dialog boxes are in sync with one another other.

  • When you select an activity in the spreadsheet, the steps associated with that activity display in the grid. Selecting another activity in the spreadsheet updates the displayed steps in the grid accordingly.

  • When you update an activity step in the spreadsheet, the displayed data in the grid also updates, and vice versa. For example, adding a step in the spreadsheet also adds the step in the grid or updating the % Complete value and applying the change in the grid also updates its corresponding column in the spreadsheet.

  • When copying an existing step, the pasted step uses the original step name plus an underscore (_) and a three-digit number appended to it to make it unique. For example, copying Activity Step 2 and pasting it into the same activity results in a step named Activity Step 2_001.

You can insert, delete, and edit steps until an activity is In-Progress unless the UserCannotChangeBaselinedSteps user preference in the System Preferences Defaults dialog box is set to 1 and the selected activity is included in the currently selected baseline. In this case, you cannot add or delete steps and you cannot edit step weight; however, you can edit step descriptions and notes, and steps can be progressed.

ID, Desc., Status, Duration

These fields are common to all tabs. See Common Fields for a description of these fields.

Activity Physical % Complete

When the earned value technique (EVT) for the selected activity is Steps, Activity Physical % Complete (PPC) is calculated based on the progress of the weighted steps. The value in this field is updated when the Weight, % Complete, or Completed fields are modified. The activity EVT is set on the Activity Details Advanced tab.

For information about how the EVT field affects the Physical % Complete field, see Rules For EVT and Activity Physical % Complete.

Activity PPC is calculated as follows: Activity PPC = the sum of (Step Weight % * Step % Complete) for each step/100

For example, if we have the following progress report:

Step Name | Step Weight % | Step % Complete
Step 1 | 10 | 100
Step 2 | 20 | 50
Step 3 | 30 | 0
Step 4 | 40 | 20

Activity Physical % Complete is calculated as follows:

[(10% * 100%) + (20% * 50%) + (30% * 0%) + (40% * 20%)]/100 = 28%

Grid

Name

This is the name of the step. Each step name must be unique for the selected activity.

Weight

This is the step weight. This field, together with % Complete, is used in the Physical % Complete calculation. This field is read-only when the activity is In-Progress or Complete.

Weight %

This is a read-only column and displays the step weight as a percentage. Since the step weights do not have to add up to 100, use this field to determine the relative weight of the step. When a step is complete, it's Weight % is added to the activity Physical % Complete.

This field is read-only when the activity is In-Progress or Complete.

% Complete

Use this column to enter the percentage complete for each step (for example, 16.32%). When this field is updated, the sum of (% Complete * Weight %) is added to the activity Physical % Complete.

This column only displays when Allow % complete on steps is selected on the Project Properties Preferences tab.

Completed

Select this check box when the step has been completed.

Delete

Click to delete the selected step. Steps may not be deleted once an activity status has been set to Complete.

Change Order

Use these arrows to move a step up or down.

Note

Use this to add a note to a step.

The ABC spell check button allows you to check the spelling in the note.

Location

To display the Activity Details dialog box, complete the following step:

  1. Take one of the following actions:

  • Double-click the activity box in a network view.

  • Double-click the activity bar in a barchart view.

  • Double-click the activity row in spreadsheet view.

  • Double-click the activity row or activity bar in tornado view.

  • Select an activity in tornado, network, spreadsheet, or barchart view, and click Details in the Dialogs menu group of the Edit tab.

  • Right-click an activity bar or box in tornado, network, spreadsheet, or barchart view, and click Edit Activity on the shortcut menu.


Activity Information Dialog Box

Use the Activity Information dialog box to display a wide range of information for a single activity. The dialog box includes two tabs:

  • Schedule tab: Provides an overview of schedule information about the activity including general, float, and date information.

  • Cost tab: Provides budget and cost information about the activity.

You can display this dialog box in any barchart, network, or spreadsheet view. It is also resizable and you can resize it by dragging any corner or side of the dialog box.

The Activity Information dialog box is modeless. This means that you can leave this dialog box open when performing other operations. This allows you, for example, to open the Activity Information dialog box from a network view and then view the information for specific activities by clicking them in the view without having to close and re-open the dialog box each time.

The dialog box has the following buttons that apply to both tabs:

  • Close: Closes the dialog box, saving any changes.

  • Help: Provides access to the online Help topic for the displayed tab.

A set of navigation controls allows you to select another activity.

Button | Operation
 | Displays the first record
 | Displays the previous record
 | Displays the next record
 | Displays the last record

You can also use the following keys on your keyboard to navigate to another activity.

  • Ctrl+Home: Displays the first activity.

  • Page Up: Displays the previous activity.

  • Page Down: Displays the next activity.

  • Ctrl+End: Displays the last activity.

Location

To display the Activity Information dialog box, complete the following step:

  1. Take one of the following actions:

  • Right-click the activity, and click Activity Information on the shortcut menu.

  • Select an activity, and click Information in the Dialogs menu group of the Edit tab.


Activity Information Schedule Tab

Schedule Tab of the Activity Information Dialog Box

This tab displays summary information about an activity’s schedule.

ID

An activity ID can consist of from 1 to 59 characters, including the periods that are used to indicate hierarchical levels.

IDs containing the following four symbols " , | ; are used as delimiters in Open Plan and may cause problems when importing or exporting data.

The activity ID serves as the default sort order for most views and reports.

Although Open Plan supports almost any activity numbering system, most organizations use activity IDs that have some significance built in such as a prefix that refers to the project. Another approach might be to use the activity ID to associate activities with specific elements in a work breakdown structure.

For information on automatic numbering, see Automatic Numbering.

Description

A description can contain up to 60 characters. You may use both upper- and lowercase characters.

By default, Open Plan defines the maximum field lengths of 59 characters for activity and resource IDs, and 60 characters for activity descriptions, resource descriptions, code IDs, and code descriptions. It is possible, however, to modify the standard data structure and data dictionary so that any of these field lengths can be as long as 255 characters for new projects.

For information about customizing the Open Plan standard data structure and data dictionary, contact the Deltek technical support staff.

Grid

The grid on this tab provides the following schedule information about the activity:

  • Early Start: The earliest date on which an activity can start. This date is calculated by time analysis.

  • Early Finish: The earliest date on which an activity can finish. This date is calculated by time analysis.

  • Late Start: The latest date on which an activity must start if the project completion date and finish targets are to be met. This date is calculated by time analysis.

  • Late Finish: The latest date on which an activity must be completed if the project completion date and any finish targets are to be met. This date is calculated by time analysis.

  • Scheduled Start: The date calculated by the resource scheduling program as the earliest date on which an activity can start, having regard to resource constraints as well as project logic.

  • Scheduled Finish: The date calculated by the resource scheduling program as the earliest date on which an activity can finish, having regard to resource constraints as well as project logic.

  • Baseline Start: The start date for the activity in the currently selected baseline(s). Open Plan allows you to select up to 3 baselines for a project.

  • Baseline Finish: The finish date for the activity in the currently selected baseline(s). Open Plan allows you to select up to 3 baselines for a project.

  • Target Start: A start date imposed on an activity or project by the user.

  • Target Finish: A finish date imposed on an activity or project by the user.

  • Target Start/Finish Type: Open Plan allows you to specify three types of target dates for activity start and finish dates:

  • Not Earlier Than: The earliest date on which the activity can start or finish. This constraint affects the early dates calculated by time analysis.

  • Not Later Than: The latest date on which the activity can start or finish. This constraint affects the late dates calculated by time analysis.

  • On Target: Combines the effects of both Not Earlier Than and Not Later Than target dates and affects both the early and late dates calculated by time analysis.

  • Actual Start: Date on which an activity was started.

  • Actual Finish: Date on which an activity was completed.

Status

The status of an activity is displayed on all tabs of the Activity Details dialog box except the Notes tab.

The status of an activity can be one of the following:

  • Planned: The activity has not yet started.

  • In Progress: The activity has started, but is not yet complete.

  • Complete: The activity is complete.

Original Duration

May be entered on any tab of the Activity Details dialog box except the Notes tab. This value should represent the most likely duration for the activity.

Durations may use any of the following duration units:

  • m: months

  • w: weeks

  • d: days

  • h: hours

  • t: minutes

While a duration may contain decimal values (for example, 4.5 D), you cannot enter duration using mixed duration units. (For example, 4D4H is not allowed.) Open plan interprets an activity with a blank duration field as having zero duration.

You can use decimal values for durations (for example, 1.5d), but you cannot mix date formats by entering durations such as 1w2d.

If you enter a duration that is not consistent with fixed target start and finish dates for the activity, Open Plan will use the duration implied by the target dates when performing time analysis and resource scheduling calculations.

You can avoid having to specify a time unit when entering durations by assigning a default duration unit for a project through the Preferences tab in the Project Properties dialog box.

If the activity type is Subproject, Hammock, Effort Driven, or External Subproject, Open Plan ignores any value you enter in this field and recalculates the duration each time you perform time analysis.

Remaining Duration

This field represents the duration remaining for the activity.

Total Float

The maximum number of work periods by which an activity can be delayed without delaying project completion or violating a target finish date.

Free Float

The maximum amount by which an activity can be delayed beyond its early dates without delaying any successor activity beyond its early dates. In the absence of finish targets, free float is always less than or equal to total float.

Critical Flag

Open Plan can identify four types of criticality:

  • Critical: The activity is not complete, has a total float that is zero or negative, but is greater than the lowest total float in the network.

  • Most Critical: The activity is not complete, has a total float that is zero or negative, and is also equal to the lowest total float in the network.

  • Controlling Critical: The activity, while not necessarily critical itself, controls a successor with some type of critical status (critical, most critical, or controlling critical).

  • Non-critical: All other activities, including completed activities.

For more information on the Critical field, refer to the Deltek Open Plan Developer’s Guide.

Type

The activity type defines how the activity is treated during time analysis. Open Plan supports the following activity types:

  • ASAP

  • ALAP

  • Start Milestone

  • Finish Milestone

  • Discontinuous

  • Subproject

  • Hammock

  • Effort Driven

  • External Subproject

  • Foreign Project

  • Foreign Subproject

  • Foreign Activity

For a descriptions of each type, see the Glossary. For more information about subprojects, see Hierarchical Projects and Subprojects. For more information about hammocks, see Hammocks in Open Plan.

Location

To display the Activity Information dialog box, complete the following step:

  1. Take one of the following actions:

  • Right-click the activity, and click Activity Information on the shortcut menu.

  • Select an activity, and click Information in the Dialogs menu group of the Edit tab.

Related Topics and Procedures

Related Topics

Creating and Editing Activities

Viewing Activity Information

Activity Information Cost Tab

Related Procedures

Creating an Activity in the Barchart View

Creating an Activity in a Network View

Editing an Activity

Resizing the Dialog Box


Activity Information Cost Tab

Cost Tab of the Activity Information Dialog Box

This tab displays summary information about the costs associated with an activity.

ID

An activity ID can consist of from 1 to 59 characters, including the periods that are used to indicate hierarchical levels.

IDs containing the following four symbols " , | ; are used as delimiters in Open Plan and may cause problems when importing or exporting data.

The activity ID serves as the default sort order for most views and reports.

Although Open Plan supports almost any activity numbering system, most organizations use activity IDs that have some significance built in such as a prefix that refers to the project. Another approach might be to use the activity ID to associate activities with specific elements in a work breakdown structure.

For information on automatic numbering, see Automatic Numbering.

Description

A description can contain up to 60 characters. You may use both upper- and lowercase characters.

By default, Open Plan defines the maximum field lengths of 59 characters for activity and resource IDs, and 60 characters for activity descriptions, resource descriptions, code IDs, and code descriptions. It is possible, however, to modify the standard data structure and data dictionary so that any of these field lengths can be as long as 255 characters for new projects.

For information about customizing the Open Plan standard data structure and data dictionary, contact the Deltek technical support staff.

Original Duration

May be entered on any tab of the Activity Details dialog box except the Notes tab. This value should represent the most likely duration for the activity.

Durations may use any of the following duration units:

  • m: months

  • w: weeks

  • d: days

  • h: hours

  • t: minutes

While a duration may contain decimal values (for example, 4.5 D), you cannot enter duration using mixed duration units. (For example, 4D4H is not allowed.) Open plan interprets an activity with a blank duration field as having zero duration.

You can use decimal values for durations (for example, 1.5d), but you cannot mix date formats by entering durations such as 1w2d.

If you enter a duration that is not consistent with fixed target start and finish dates for the activity, Open Plan will use the duration implied by the target dates when performing time analysis and resource scheduling calculations.

You can avoid having to specify a time unit when entering durations by assigning a default duration unit for a project through the Preferences tab on the Project Properties dialog box.

If the activity type is Subproject, Hammock, Effort Driven, or External Subproject, Open Plan ignores any value you enter in this field and recalculates the duration each time you perform time analysis.

Remaining Duration

This field represents the duration remaining for the activity.

Grid

The grid on this tab displays the following cost information about the activity:

Labor Quantity

Open Plan displays the following values in this row for the resource assignments on the activity that have a category of Labor:

Cost

Description

BAC

This value represents the total number of labor resource units budgeted for the activity. The Labor Quantity BAC is stored in the BAC_QTY field in the Activity table. The manner in which this value is calculated depends on whether the Use Version 2 Cost Calculation Method option is selected on the Cost tab of the Project Properties dialog box:

  • By default, the Use Version 2 Cost Calculation Method is cleared for new projects. In this mode, Open Plan calculates the Labor Quantity BAC by summing the value of the original (budgeted) resource quantity (RES_USED) for labor resources assigned to this activity in the Performance Measurement Baseline (PMB) on the Baseline Usage table. By always using the PMB when it is available, Open Plan provides consistency and reliability.

  • If there is no baseline named PMB, Open Plan uses the currently selected baseline, or, in the case of multiple selected baselines, the baseline identified as Baseline 1. If the project contains baselines, but none is selected or named PMB, Open Plan prompts you to select a baseline. If the project has no baselines, Open Plan uses the Version 2 Cost Calculation Method automatically.

  • If the Use Version 2 Cost Calculation Method is selected, Open Plan calculates this value by summing the values in the Level field of the Assignment table adjusted for any curve, offset, or period that may be defined.

BCWS

This value represents the budgeted quantity of labor for the work scheduled for the activity from the baseline start date of the activity until Time Now.

This value is stored in the BCWS_QTY field on the Activity table and is calculated during cost calculations by summing the original (budgeted) labor resource quantity (RES_USED) value in the Performance Measurement Baseline (PMB) in the Baseline Usage table from the baseline start date until Time Now. By always using the PMB when it is available, Open Plan provides consistency and reliability.

If there is no baseline named PMB, Open Plan uses the currently selected baseline, or, in the case of multiple selected baselines, the baseline identified as Baseline 1. If the project contains baselines, but none is selected or named PMB, Open Plan prompts you to select a baseline during cost calculations. If the project has no baselines, BCWS will not be calculated.

BCWP

This value represents the earned value of labor resource units budgeted for the activity. The Labor Quantity BCWP for the activity is stored in the BCWP_QTY field on the Activity table and is calculated during cost calculations by summing the earned value of resource labor units (BCWP_QTY) in the Resource Cost table.

The earned value of resource labor units (BCWP_QTY) in the Resource Cost Table is calculated during cost calculations, by multiplying the physical percent complete of the assignment by the original (budgeted) labor resource quantity (RES_USED) value in the Performance Measurement Baseline (PMB) on the Baseline Usage table. By always using the PMB when it is available, Open Plan provides consistency and reliability.

If there is no baseline named PMB, Open Plan uses the currently selected baseline, or, in the case of multiple selected baselines, the baseline identified as Baseline 1. If the project contains baselines, but none is selected or named PMB, Open Plan prompts you to select a baseline during cost calculations. If the project has no baselines and the Version 2 Cost Calculation Method is selected on the Cost tab of the Project Properties dialog box, Open Plan calculates BCWP by summing the values in the Level field of the Assignment table adjusted for any curve, offset, or period that may be defined.

Each time you calculate costs, an entry is added to the resource cost table that represents current period BCWP. For a new period, this value is calculated by subtracting the sum of all previous values from the new total calculated BCWP.

ACWP

This value represents the actual number of labor resource units that have been used by the activity. The Labor Quantity ACWP for the activity is stored in the ACWP_QTY field in the Activity table and is calculated during cost calculation based on one of the following conditions:

  • If the Progress Based on Activity Progress option is selected in the Resource Details dialog box, Open Plan calculates this value based on the progress reported on the activity.

  • If the Progress Based on Activity Progress option is cleared in the Resource Details dialog box, Open Plan calculates this value based on the values that have been entered on the Resources tab of the Activity Progress dialog box.

EAC

This value represents the total of the estimated and the completed labor quantities for the activity. The Labor Quantity EAC is calculated by adding the estimated to complete quantity (ETC_QTY) to the actual quantity (ACWP_QTY). Both of these values are stored in the Activity table.

The ETC_QTY is calculated by summing the Remaining values on the Assignment table.

If the Progress Based on Activity Progress option is selected in the Resource Details dialog box, Open Plan calculates Remaining values during cost calculations.

Labor Cost

Open Plan displays the following values in this row for the resource assignments on the activity that have a category of Labor:

Cost

Description

BAC

This value represents the total cost of labor budgeted for the activity. The Labor Cost BAC is stored in the BAC_LAB field in the Activity table. The manner in which this value is calculated depends on whether the Use Version 2 Cost Calculation Method option is selected on the Cost tab of the Project Properties dialog box:

  • By default, the Use Version 2 Cost Calculation Method option is cleared for new projects. In this mode, Open Plan calculates Labor Cost BAC by summing the values in either the original labor resource cost field (RES_CST) or the escalated labor resource cost field (RES_ESC) in the Performance Measurement Baseline (PMB) on the Baseline Usage table. The value that Open Plan uses in this calculation is determined by a setting in the Cost Calculations dialog box:

    • If the Use Resource Cost Escalation option is cleared in the Cost Calculations dialog box, Open Plan uses the value stored in the original resource cost (RES_CST) field.

    • If the Use Resource Cost Escalation option is selected in the Cost Calculations dialog box, Open Plan uses the value stored in the escalated resource cost (RES_ESC) field.

    By always using the PMB when it is available, Open Plan provides consistency and reliability. If there is no baseline named PMB, Open Plan uses the currently selected baseline, or, in the case of multiple selected baselines, the baseline identified as Baseline 1. If the project contains baselines, but none is selected or named PMB, Open Plan prompts you to select a baseline. If the project has no baselines, Open Plan uses the Version 2 Cost Calculation Method automatically.

  • If the Use Version 2 Cost Calculation Method option is selected, Open Plan calculates this value by summing the values in the Level field of the Assignment table adjusted for any curve, offset, and period that may be defined, and multiplying this value by the appropriate Labor Cost rate. The rate that Open Plan uses is determined by a setting in the Cost Calculations dialog box:

    • If the Use Resource Cost Escalation option is cleared in the Cost Calculations dialog box, Open plan uses the unit rate for all entries.

    • If the Use Resource Cost Escalation option is selected in the Cost Calculations dialog box, Open Plan uses the relevant escalated rates for each entry.

BCWS

This value represents the budgeted cost of labor for the work scheduled for the activity from the baseline start date of the activity until Time Now.

The Labor Cost BCWS is stored in the BCWS_LAB field on the Activity table and is calculated during cost calculations by summing the values stored in either the original Labor resource cost field (RES_CST) or the escalated Labor resource cost field (RES_ESC) in the Performance Measurement Baseline (PMB) in the Baseline Usage table from the baseline start date until Time Now. The field that Open Plan uses in this calculation is determined by a setting in the Cost Calculations dialog box:

  • If the Use Resource Cost Escalation option is cleared in the Cost Calculations dialog box, Open Plan uses the value stored in the original resource cost (RES_CST) field.

  • If the Use Resource Cost Escalation option is selected in the Cost Calculations dialog box, Open Plan uses the value stored in the escalated resource cost (RES_ESC) field.

By always using the PMB when it is available, Open Plan provides consistency and reliability. If there is no baseline named PMB, Open Plan uses the currently selected baseline, or, in the case of multiple baselines, the baseline identified as Baseline 1. If the project has contains baselines, but none is selected or named PMB, Open Plan prompts you to select a baseline during cost calculations. If the project has no baselines, BCWS will not be calculated.

BCWP

This value represents the earned value of labor for the activity. The Labor Cost BCWP for the activity is stored in the BCWP_LAB field on the Activity table. This value is calculated during cost calculations by summing the values in either the original labor cost field (BCWP_CST) or the escalated labor cost field (BCWP_ESC) in the Resource Cost table. The field that Open Plan uses in this calculation is determined by a setting in the Cost Calculations dialog box:

  • If the Use Resource Cost Escalation option is cleared in the Cost Calculations dialog box, Open Plan uses the BCWP_CST field.

  • If the Use Resource Cost Escalation option is selected in the Cost Calculations dialog box, Open Plan uses the BCWP_ESC field.

ACWP

This value represents the actual cost of labor for the activity to date. The Labor Cost ACWP for the activity is stored in the ACWP_LAB field on the Activity table and is calculated during cost calculations based on one of the following conditions:

  • If the Actual Cost Based on Progressed Quantity option is selected in the Resource Details dialog box, Open Plan calculates this value based on the progressed quantity of the resource during cost calculations.

  • If the Actual Cost Based on Progressed Quantity option is cleared in the Resource Details dialog box, Open Plan calculates this value based on the values that have been entered on the Resources tab of the Activity Progress dialog box.

EAC

This value represents the estimate of the total labor costs for the activity when it is complete. The Labor Cost EAC is calculated by during cost calculations adding the value stored in the estimated to complete labor cost field (ETC_LAB) to the value stored in the actual labor cost field (ACWP_LAB.) Both of these fields are located on the Activity table.

The ETC_LAB is calculated by summing the Remaining values on the Assignment table for resources that have the resource category of Labor.

If the Progress Based on Activity Progress option is selected in the Resource Details dialog box, Open Plan calculates Remaining values during cost calculations.

The ACWP_LAB is calculated during cost calculations based on one of the following conditions:

  • If the Actual Cost Based on Progressed Quantity option is selected in the Resource Details dialog box dialog box, Open Plan calculates this value based on the progressed quantity of the resource during cost calculations.

  • If the Actual Cost Based on Progressed Quantity option is cleared in the Resource Details dialog box dialog box, Open Plan calculates this value based on the values that have been entered on the Resources tab of the Activity Progress dialog box.

Material Cost

Open Plan displays the following values in this row for the resource assignments on the activity that have a category of Material:

Cost

Description

BAC

This value represents the total cost of materials budgeted for the activity. The Material Cost BAC is stored in the BAC_MAT field in the Activity table. The manner in which this value is calculated depends on whether the Use Version 2 Cost Calculation Method option is selected on the Cost tab of the Project Properties dialog box:

  • By default, the Use Version 2 Cost Calculation Method option is cleared for new projects. In this mode, Open Plan calculates Material Cost BAC by summing the values in either the original material cost field (RES_CST) or the escalated material resource cost field (RES_ESC) in the Performance Measurement Baseline (PMB) on the Baseline Usage table. The field that Open Plan uses in this calculation is determined by a setting in the Cost Calculations dialog box:

    • If the Use Resource Cost Escalation option is cleared in the Cost Calculations dialog box, Open Plan uses the RES_CST field.

    • If the Use Resource Cost Escalation option is selected in the Cost Calculations dialog box, Open Plan uses the RES_ESC field.

    By always using the PMB when it is available, Open Plan provides consistency and reliability. If there is no baseline named PMB, Open Plan uses the currently selected baseline, or, in the case of multiple selected baselines, the baseline identified as Baseline 1. If the project contains baselines, but none is selected or named PMB, Open Plan prompts you to select a baseline. If the project has no baselines, Open Plan uses the Version 2 Cost Calculation Method automatically.

  • If the Use Version 2 Cost Calculation Method option is selected, Open Plan calculates this value by summing the values in the Level field of the Assignment table adjusted for any curve, offset, and period that may be defined, and multiplying this value by the appropriate Material Cost rate. The rate that Open Plan uses is determined by a setting in the Cost Calculations dialog box:

    • If the Use Resource Cost Escalation option is cleared in the Cost Calculations dialog box, Open plan uses the unit rate for all entries.

    • If the Use Resource Cost Escalation option is selected in the Cost Calculations dialog box, Open Plan uses the relevant escalated rates for each entry.

BCWS

This value represents the budgeted cost of materials scheduled for the activity from the baseline start date of the activity until Time Now.

The Material Cost BCWS is stored in the BCWS_MAT field on the Activity table and is calculated during cost calculations by summing the values in either the original Material Resource Cost field (RES_CST) or the escalated Material Resource Cost field (RES_ESC) in the Performance Measurement Baseline (PMB) in the Baseline Usage table from the baseline start date until Time Now. The field that Open Plan sums in this calculation is determined by a setting in the Cost Calculations dialog box:

  • If the Use Resource Cost Escalation option is cleared in the Cost Calculations dialog box, Open Plan uses the RES_CST field.

  • If the Use Resource Cost Escalation option is selected in the Cost Calculations dialog box, Open Plan uses the RES_ESC field.

By always using the PMB when it is available, Open Plan provides consistency and reliability. If there is no baseline named PMB, Open Plan uses the currently selected baseline, or, in the case of multiple baselines, the baseline identified as Baseline 1. If the project has contains baselines, but none is selected or named PMB, Open Plan prompts you to select a baseline during cost calculations. If the project has no baselines, BCWS will not be calculated.

BCWP

This value represents the earned value of material costs for the activity. The Material Cost BCWP for the activity is stored in the BCWP_MAT field on the Activity table. This value is calculated during cost calculations by summing the values in either the original material cost field (BCWP_CST) or the escalated material cost field (BCWP_ESC) in the Resource Cost table. The field that Open Plan uses in this calculation is determined by a setting in the Cost Calculations dialog box:

  • If the Use Resource Cost Escalation option is cleared in the Cost Calculations dialog box, Open Plan uses the BCWP_CST field.

  • If the Use Resource Cost Escalation option is selected in the Cost Calculations dialog box, Open Plan uses the BCWP_ESC field.

ACWP

This value represents the actual cost of materials for the activity to date. The Material Cost ACWP for the activity is stored in the ACWP_MAT field on the Activity cost table and is calculated during cost calculations based on one of the following conditions:

  • If the Actual Cost Based on Progressed Quantity option is selected in the Resource Details dialog box, Open Plan calculates this value based on the progressed quantity of the resource.

  • If the Actual Cost Based on Progressed Quantity option is cleared in the Resource Details dialog box, Open Plan calculates this value based on the values that have been entered on the Resources tab of the Activity Progress dialog box.

If the Actual Cost Based on Progressed Quantity option is selected in the Resource Details dialog box, Open Plan calculates Actual values during cost calculations.

EAC

This value represents the estimate of the total material costs for the activity when it is complete. The Material Cost EAC is calculated by during cost calculations adding the value stored in the estimated to complete material cost field (ETC_MAT) to the value stored in the actual material cost field (ACWP_MAT.) Both of these fields are located on the Activity table.

The ETC_MAT is calculated by summing the Remaining values on the Assignment table for resources that have the resource category of Material.

If the Progress Based on Activity Progress option is selected in the Resource Details dialog box, Open Plan calculates Remaining values during cost calculations.

The ACWP_MAT is calculated during cost calculations based on one of the following conditions:

  • If the Actual Cost Based on Progressed Quantity option is selected in the Resource Details dialog box, Open Plan calculates this value based on the progressed quantity of the resource during cost calculations.

  • If the Actual Cost Based on Progressed Quantity option is cleared in the Resource Details dialog box, Open Plan calculates this value based on the values that have been entered on the Resources tab of the Activity Progress dialog box.

ODC (Other Direct Costs)

Open Plan displays the following values in this row for the resource assignments on the activity that have a category of ODC:

Cost

Description

BAC

This value represents the total of Other Direct Costs (ODC) budgeted for the activity. The ODC BAC is stored in the BAC_ODC field in the Activity table. The manner in which this value is calculated depends on whether the Use Version 2 Cost Calculation Method option is selected on the Cost tab of the Project Properties dialog box:

  • By default, the Use Version 2 Cost Calculation Method option is cleared for new projects. In this mode, Open Plan calculates ODC BAC by summing the values in either the original ODC cost field (RES_CST) or the escalated ODC cost field (RES_ESC) for the Performance Measurement Baseline (PMB) on the Baseline Usage table. The field that Open Plan uses in this calculation is determined by a setting in the Cost Calculations dialog box:

    • If the Use Resource Cost Escalation option is cleared in the Cost Calculations dialog box, Open Plan uses the RES_CST field.

    • If the Use Resource Cost Escalation option is selected in the Cost Calculations dialog box, Open Plan uses the RES_ESC field.

    By always using the PMB when it is available, Open Plan provides consistency and reliability. If there is no baseline named PMB, Open Plan uses the currently selected baseline, or, in the case of multiple selected baselines, the baseline identified as Baseline 1. If the project contains baselines, but none is selected or named PMB, Open Plan prompts you to select a baseline. If the project has no baselines, Open Plan uses the Version 2 Cost Calculation Method automatically.

  • If the Use Version 2 Cost Calculation Method option is selected, Open Plan calculates this value by summing the values in the LEVEL field of the Assignment table adjusted for any curve, offset, and period that may be defined, and multiplying this value by the appropriate ODC rate. The rate that Open Plan uses is determined by a setting in the Cost Calculations dialog box:

    • If the Use Resource Cost Escalation option is cleared in the Cost Calculations dialog box, Open plan uses the unit rate for all entries.

    • If the Use Resource Cost Escalation option is selected in the Cost Calculations dialog box, Open Plan uses the relevant escalated rates for each entry.

BCWS

This value represents the budgeted Other Direct Costs (ODC) scheduled for the activity from the baseline start date of the activity until Time Now.

The ODC BCWS is stored in the BCWS_ODC field on the Activity table and is calculated during cost calculations by summing the values in either the original ODC resource cost field (RES_CST) field or the escalated ODC cost field (RES_ESC) in the Performance Measurement Baseline (PMB) in the Baseline Usage table from the baseline start date until Time Now. The field that Open Plan sums in this calculation is determined by a setting in the Cost Calculations dialog box:

  • If the Use Resource Cost Escalation option is cleared in the Cost Calculations dialog box, Open Plan uses the RES_CST field.

  • If the Use Resource Cost Escalation option is selected in the Cost Calculations dialog box, Open Plan uses the RES_ESC field.

By always using the PMB when it is available, Open Plan provides consistency and reliability. If there is no baseline named PMB, Open Plan uses the currently selected baseline, or, in the case of multiple baselines, the baseline identified as Baseline 1. If the project has contains baselines, but none is selected or named PMB, Open Plan prompts you to select a baseline during cost calculations. If the project has no baselines, BCWS will not be calculated.

BCWP

This value represents the earned value of Other Direct Costs (ODC) for the activity. The ODC BCWP for the activity is stored in the BCWP_ODC field on the Activity table. This value is calculated during cost calculations by summing the values in either the original ODC cost field (BCWP_CST) or the escalated ODC cost field (BCWP_ESC) in the Resource Cost table. The field that Open Plan uses in this calculation is determined by a setting in the Cost Calculations dialog box:

  • If the Use Resource Cost Escalation option is cleared in the Cost Calculations dialog box, Open Plan uses the BCWP_CST field.

  • If the Use Resource Cost Escalation option is selected in the Cost Calculations dialog box, Open Plan uses the BCWP_ESC field.

ACWP

This value represents the sum of actual Other Direct Costs (ODC) of the activity to date. The ODC ACWP for the activity is stored in the ACWP_ODC field on the Activity cost table and is calculated during cost calculations based on one of the following conditions:

  • If the Actual Cost Based on Progressed Quantity option is selected in the Resource Details dialog box, Open Plan calculates this value based on the progressed quantity of the resource.

  • If the Actual Cost Based on Progressed Quantity option is cleared on the Resource Details dialog box, Open Plan calculates this value based on the values that have been entered on the Resources tab of the Activity Progress dialog box.

If the Actual Cost Based on Progressed Quantity option is selected in the Resource Details dialog box, Open Plan calculates Actual values during cost calculations.

EAC

This value represents the estimate of the total ODC costs for the activity when it is complete. The ODC Cost EAC is calculated by during cost calculations adding the value stored in the estimated to complete ODC cost field (ETC_ODC) to the value stored in the actual ODC cost field (ACWP_ODC.) Both of these fields are located on the Activity table.

The ETC_ODC is calculated by summing the Remaining values on the Assignment table for resources that have the resource category of ODC.

If the Progress Based on Activity Progress option is selected in the Resource Details dialog box, Open Plan calculates Remaining values during cost calculations.

The ACWP_ODC is calculated during cost calculations based on one of the following conditions:

  • If the Actual Cost Based on Progressed Quantity option is selected in the Resource Details dialog box, Open Plan calculates this value based on the progressed quantity of the resource during cost calculations.

  • If the Actual Cost Based on Progressed Quantity option is cleared in the Resource Details dialog box, Open Plan calculates this value based on the values that have been entered on the Resources tab of the Activity Progress dialog box.

Subcontract Cost

Open Plan displays the following values in this row for the resource assignments on the activity that have a category of Subcontract:

Cost

Description

BAC

This value represents the total subcontract costs budgeted for the activity. The Subcontract Cost BAC is stored in the BAC_SUB field in the Activity table. The manner in which this value is calculated depends on whether the Use Version 2 Cost Calculation Method option is selected on the Cost tab of the Project Properties dialog box:

  • By default, the Use Version 2 Cost Calculation Method option is cleared for new projects. In this mode, Open Plan calculates Subcontract Cost BAC by summing the values in either the original subcontract cost field (RES_CST) or the escalated subcontract cost field (RES_ESC) in the Performance Measurement Baseline (PMB) on the Baseline Usage table. The field that Open Plan uses in this calculation is determined by a setting in the Cost Calculations dialog box:

    • If the Use Resource Cost Escalation option is cleared in the Cost Calculations dialog box, Open Plan uses the RES_CST field.

    • If the Use Resource Cost Escalation option is selected in the Cost Calculations dialog box, Open Plan uses the RES_ESC field.

    By always using the PMB when it is available, Open Plan provides consistency and reliability. If there is no baseline named PMB, Open Plan uses the currently selected baseline, or, in the case of multiple selected baselines, the baseline identified as Baseline 1. If the project contains baselines, but none is selected or named PMB, Open Plan prompts you to select a baseline. If the project has no baselines, Open Plan uses the Version 2 Cost Calculation Method automatically.

  • If the Use Version 2 Cost Calculation Method option is selected, Open Plan calculates this value by summing the values in the Level field of the Assignment table adjusted for any curve, offset, and period that may be defined, and multiplying this value by the appropriate Subcontract Cost rate. The rate that Open Plan uses is determined by a setting in the Cost Calculations dialog box:

    • If the Use Resource Cost Escalation option is cleared in the Cost Calculations dialog box, Open plan uses the unit rate for all entries.

    • If the Use Resource Cost Escalation option is selected in the Cost Calculations dialog box, Open Plan uses the relevant escalated rates for each entry.

BCWS

This value represents the budgeted subcontract costs scheduled for the activity from the baseline start date of the activity until Time Now.

The Subcontract Cost BCWS is stored in the BCWS_SUB field on the Activity table and is calculated during cost calculations by summing the values in either the original Subcontract resource cost field (RES_CST) or the escalated Subcontract resource cost field (RES_ESC) in the Performance Measurement Baseline (PMB) in the Baseline Usage table from the baseline start date until Time Now. The field that Open Plan sums in this calculation is determined by a setting in the Cost Calculations dialog box:

  • If the Use Resource Cost Escalation option is cleared in the Cost Calculations dialog box, Open Plan uses the RES_CST field.

  • If the Use Resource Cost Escalation option is selected in the Cost Calculations dialog box, Open Plan uses the RES_ESC field.

By always using the PMB when it is available, Open Plan provides consistency and reliability. If there is no baseline named PMB, Open Plan uses the currently selected baseline, or, in the case of multiple baselines, the baseline identified as Baseline 1. If the project has contains baselines, but none is selected or named PMB, Open Plan prompts you to select a baseline during cost calculations. If the project has no baselines, BCWS will not be calculated.

BCWP

This value represents the earned value of the subcontract costs of the activity. The Subcontract Cost BCWP for the activity is stored in the BCWP_SUB field on the Activity table. This value is calculated during cost calculations by summing the values in either the original subcontract cost field (BCWP_CST) or the escalated subcontract cost field (BCWP_ESC) in the Resource Cost table. The field that Open Plan uses in this calculation is determined by a setting in the Cost Calculations dialog box:

  • If the Use Resource Cost Escalation option is cleared in the Cost Calculations dialog box, Open Plan uses the BCWP_CST field.

  • If the Use Resource Cost Escalation option is selected in the Cost Calculations dialog box, Open Plan uses the BCWP_ESC field.

ACWP

This value represents the actual subcontract costs of the activity to date. The Subcontract Cost ACWP for the activity is stored in the ACWP_SUB field on the Activity cost table and is calculated during cost calculations based on one of the following conditions:

  • If the Actual Cost Based on Progressed Quantity option is selected in the Resource Details dialog box, Open Plan calculates this value based on the progressed quantity of the resource.

  • If the Actual Cost Based on Progressed Quantity option is cleared in the Resource Details dialog box, Open Plan calculates this value based on the values that have been entered on the Resources tab of the Activity Progress dialog box.

If the Actual Cost Based on Progressed Quantity option is selected in the Resource Details dialog box, Open Plan calculates Actual values during cost calculations.

EAC

This value represents the estimate of the total subcontract costs for the activity when it is complete. The Subcontract Cost EAC is calculated by during cost calculations adding the value stored in the estimated to complete subcontract cost field (ETC_SUB) to the value stored in the actual subcontract cost field (ACWP_SUB.) Both of these fields are located on the Activity table.

The ETC_SUB is calculated by summing the Remaining values on the Assignment table for resources that have the resource category of Subcontract.

If the Progress Based on Activity Progress option is selected in the Resource Details dialog box, Open Plan calculates Remaining values during cost calculations.

The ACWP_SUB is calculated during cost calculations based on one of the following conditions:

  • If the Actual Cost Based on Progressed Quantity option is selected in the Resource Details dialog box, Open Plan calculates this value based on the progressed quantity of the resource during cost calculations.

  • If the Actual Cost Based on Progressed Quantity option is cleared in the Resource Details dialog box, Open Plan calculates this value based on the values that have been entered on the Resources tab of the Activity Progress dialog box.

Total Cost

The value displayed in this field represents the total of the following BAC / BCWS / BCWP / ACWP / EAC costs for the activity:

  • Labor Cost

  • Material Cost

  • ODC (Other Direct Costs)

  • Subcontract Cost

Labor Quantity values are not included in the totals.

Location

To display the Activity Information dialog box, complete the following step:

  1. Take one of the following actions:

  • Right-click the activity, and click Activity Information on the shortcut menu.

  • Select an activity, and click Information in the Dialogs menu group of the Edit tab.

Related Topics and Procedures

Related Topics

Managing Costs

Creating and Editing Activities

Viewing Activity Information

Activity Information Schedule Tab

Related Procedures

Creating an Activity in the Barchart View

Creating an Activity in a Network View

Editing an Activity

Resizing the Dialog Box


Activity Tree Dialog Box

The Select Activity dialog box allows you to change the target activity without having to exit the tool, select a new activity, and re-run the tool. Expand or collapse an item from the hierarchical tree and then select a target activity. Click OK when you are done.

When you select an activity from a view and run Schedule Driver Analysis, the selected activity displays automatically in the Target Activity field on the Inputs tab of the Trace Critical Path Facility dialog box.

Location

To display the Select Activity dialog box:

  1. From any view, select an activity.

  2. From the Project menu, select Trace Critical Path.

  3. In the Target Activity field, click the E llipsis (...) button.

Related Topics and Procedures

Related Topics

Understanding the Trace Critical Path Tool

Using the Inputs tab of the Trace Critical Path Dialog Box

Using the Reports Tab of the Trace Critical Path Dialog Box

Using the Output Fields Dialog Box

Using the Destination Directory Dialog Box


Add Relationships Dialog Box

You can use the Add Relationships dialog box to define logical predecessor and successor activities.

Select the check box of the corresponding activities in the activity list

Type

Define the relationship type.

  • Finish to Start

  • Start to Start

  • Start to Finish

  • Finish to Finish

Lag

Define the lag time.

Lag is the time delay associated with the relationship. Lags can be either positive (to indicate a delay between two events) or negative (to indicate an overlap or lead time between two events). For example, if an activity cannot start until two days after the completion of its predecessor, define a finish-to-start relationship between the two activities and enter a lag of 2 days.

Calendar

Define the calendar.

By default, the calculation of lag times uses the calendar assigned to the successor activity. You can, however, assign a different calendar to the lag.

Add Predecessors / Add Successors

Add the activities as predecessors or successors of the anchor activity by clicking Add Predecessors or Add Successors.

Find / Find Next

Search for a specific activity by entering either the activity ID (or a partial ID) or the activity description in the Find field.

Expand All / Collapse All

Expand or collapse the hierarchy of activities by clicking these buttons.

Refresh

As activities are added, deleted, or renamed, the activity list will not be automatically updated. You can click the Refresh button to reload the activities, as well as the activity calendars. When refreshing the dialog box, current selections are cleared and the hierarchy is collapsed.

Clear All

Click this button to clear the selections for all the selections in the Available fields hierarchy, regardless of whether the hierarchy is expanded or collapsed.

Location

To display the Add Relationships dialog box, complete the following step:

  1. Take one of the following actions:

  • Right-click the barchart pane of the barchart view, and click Add Relationships from the shortcut menu.

  • Right-click an entire row in the spreadsheet, and click Add Relationships from the shortcut menu.

  • On the Precessors or Successors tab of the Activity Details dialog box, click the New button.

Related Topics and Procedures

Related Topics

Interproject Relationships

Select Activity Dialog Box

Edit Relationship Dialog Box

Related Procedures

Creating a Relationship in a Barchart View with a Mouse

Creating a Relationship in a Barchart View with the Keyboard

Creating a Relationship in a Network View with the Keyboard

Creating a Relationship in a Network View with a Mouse

Creating a Relationship in a Spreadsheet View

Assigning a Calendar to a Relationship Lag

Creating Interproject Relationships in a Network


Add Relationship Dialog Box

Relationship information defines the logical relationship between activities in your project. When in the Relationship Spreadsheet view, you can enter relationships by double-clicking the selection button of an empty row.

The Add Relationship dialog box allows you to create a relationship between activities using the following settings:

  • Predecessor: The ID of the activity that logically precedes the relationship.

  • Successor: The ID of the activity that logically succeeds the relationship.

  • Type: There are four types of relationships: finish-to-start, finish-to-finish, start-to-start, and start-to-finish. The default for the relationship type is finish-to-start.

  • Lag: The time delay associated with the relationship. Lag can be either positive or negative. Negative lag is sometimes called "lead." The default for the relationship lag is zero. If you enter a numeric value without a unit identifier, Open Plan assumes the default units specified for the project. If, on a start-to-start relationship, you enter a numeric value followed by %, Open Plan assumes the value to be a percentage of the predecessor's duration.

  • Calendar: The calendar upon which Open Plan bases calculations for any lag in the relationship. If you do not enter a calendar, Open Plan uses the default relationship calendar.

You can use a finish-to-start relationship with negative lag to model a start-to-start relationship. This has the advantage of keeping the predecessor and successor activities in parallel even if work on the predecessor activity is halted for some reason.

You can also create a relationship between activities using the Link/Unlink dialog box.

In addition, you can add, edit, and delete data for predecessors and successors directly in a cell of any activity-based spreadsheets. The Activity Predecessors and Activity Successors columns display the predecessor/successor ID, relationship type, and lag of the relationship (which is optional and may be negative) in each cell using the format <Predecessor/Successor ID><space><relationship type><+/-Lag>. For example, 1.02 SF+3d.

Location

To display the Relationship dialog box, complete the following step:

  1. Click Add Relationship on the Edit tab.

Related Topics and Procedures

Related Topics

Interproject Relationships

Select Activity Dialog Box

Edit Relationship Dialog Box

Related Procedures

Creating a Relationship in a Barchart View with a Mouse

Creating a Relationship in a Barchart View with the Keyboard

Creating a Relationship in a Network View with the Keyboard

Creating a Relationship in a Network View with a Mouse

Creating a Relationship in a Spreadsheet View

Assigning a Calendar to a Relationship Lag

Creating Interproject Relationships in a Network


Assign Multiple Resources to Multiple Activities Dialog Box

This dialog box allows you to assign multiple resources to any number of activities at one time. The following fields identify the activities to which you are assigning resources:

  • From ID: This field identifies the first activity in the activity hierarchy to which you are assigning resources.

  • To ID: This field identifies the last activity in the activity hierarchy to which you are assigning resources.

The information in these fields do not imply that you are assigning resources to all the activities in the range. For example, if you have selected activities such as the following:

1.03.01
1.03.04
1.03.06

Open Plan would show 1.03.01 in the From ID field and 1.03.06 in the To ID field.

Resource

Open Plan uses the resources displayed in this column for the activity.

If you hover your mouse cursor over this field, Open Plan displays the description associated with the resource.

Clicking the ellipsis next to the list field displays the Select Resource dialog box that you can use to quickly select the appropriate resource.

Curve

In Open Plan, the amount of a resource requirement can be interpreted as either a total quantity or a level-per-time unit. For example, if a 5-day activity has a resource requirement of 10 units, this information can be interpreted in two different ways: as a total requirement of 10 units or as a level of 10 units per day.

If you leave the Resource Curve setting blank, Open Plan interprets the amount of the resource requirement as a level-per-time unit. Thus, if the activity duration changes, the amount of the resource requirement changes as well.

If you want Open Plan to interpret the amount of the requirement as a total rather than as a level, change the Curve setting to one of the following values:

  • B: Back Load

  • D: Double Peak

  • E: Early Peak

  • F: Front Load

  • L: Late Peak

  • N: Normal (Bell)

  • T: Linear

For a description of each curve, see Resource Curve Descriptions.

For requirements defined as totals, the time unit for the requirement is based on the default duration unit specified for the project. For example, a total requirement for 10 people for a project scheduled in days is interpreted as a requirement for 10 labor-days.

For information on setting the default duration unit for a project, see the Project Properties dialog box Preferences Tab.

Using the Spread Curves dialog box, you can add custom spread curves to this list. In addition, you can edit or delete any spread curve.

Level

The amount of the resource requirement. This numeric value is interpreted by Open Plan as either a level-per-activity time unit or as a total requirement, depending on the contents of the Resource Curve field.

To understand the difference between entering a resource requirement as a level-per-time unit or as a total requirement, let us take the example of an activity that has a duration of 10 days. Now, let's look at two cases:

  • If you assign a resource to work on this activity for 8 hours per day, the resource requirement equates to 80 hours. Now, assume that the work of the activity actually takes 12 days. Since the resource was assigned as a level per time unit, the resource will work on the activity for a total of 96 hours.

  • If you assign a resource to work on this activity for a total of 80 hours, it no longer matters how long the activity actually takes. You still have a fixed 80 hours of the resource to spread over the duration of the activity regardless of whether the activity duration is 10 or 12 days.

For more information about how Open Plan interprets resource requirement levels and totals, see Resource Scheduling Calculations, in the Deltek Open Plan Developer’s Guide.

For more information about how Open Plan deals with resource profiles of in-progress activities, see The Effect of Progress Information, in the Deltek Open Plan Developer’s Guide.

Offset

The number of time units that must elapse from the start of an activity and the time when the resource starts working. For example, if you define the offset of a requirement as 5 periods, the requirement will begin on the sixth period of the activity duration.

If you enter an Offset value and do not enter a Period, Open Plan will assume a maximum period value of activity duration minus the offset value.

You may enter offsets using any of the following units:

  • M: months

  • W: weeks

  • D: days

  • H: hours

  • T: minutes

While you may use decimal values (for example, 4.5 D), you cannot enter offsets using mixed units. (For example, 4D4H is not allowed.)

The offset defaults to zero if left blank. If both the offset and period are left blank, the resource is assumed to start on day one of the activity.

Open Plan does not allow you to enter values for a requirement offset that extend beyond the duration of the activity, nor can you enter the offset value equal to the activity duration.

Period

The assignment period defines the duration for which the resource is required.

If you enter an Offset value and do not enter a Period, Open Plan will assume a maximum period value of activity duration minus the offset value.

For standard (that is, non-cost) resources, Open Plan does not allow you to enter values for an assignment offset and period that extend beyond the duration of the activity.

You may enter periods using any of the following units:

  • M: months

  • W: weeks

  • D: days

  • H: hours

  • T: minutes

While you may use decimal values (for example, 4.5 D), you cannot enter periods using mixed units. (For example, 4D4H is not allowed.)

If both the offset and period are left blank, the resource is assumed to be required for the entire duration of the activity.

Open Plan does not allow you to enter values for a requirement period that extend beyond the duration of the activity.

For more information about the standard resources and cost resources, see Planning Costs.

Cost Class

Cobra users can enter a cost class for each resource assignment in this column. This information is transferred to Cobra during cost/schedule integration.

OK

Puts your settings into effect.

Cancel

Closes the dialog box without assigning the resources to the selected activities.

Help

Displays this Help topic.

Location

To display the Assign Multiple Resources to Multiple Activities dialog box, complete the following steps:

  1. In Open Plan Explorer, display a view that is based on the Activity table.

  2. In the selected view, select the activities to which you want to assign the resources.

  3. In the Dialogs menu group of the Edit tab, click Details.

  4. On the Resources tab of the Activity Details dialog box, select a resource field.

  5. Click the ellipsis next to the input box.

  6. In the Select Resource dialog box, select the appropriate resources, and click OK.

Related Topics and Procedures

Related Topics

Select Resource Dialog Box

Find and Replace Dialog Box

Resources Tab of the Activity Details Dialog Box

Related Procedures

Assigning Multiple Resources to Multiple Activities

Assigning Resource Requirements to an Activity

Assigning Resources in a Spreadsheet

Creating a Resource-Based Schedule


Delete Activity Dialog Box

When you delete a single activity from a project, you can use this dialog box to instruct Open Plan to take one of the following actions:

Delete the activity and its relationships

You would remove the activity and relationships when the activity is not required and the chain of activities or the logic flow is changing.

Delete the activity and reconnect its predecessors to its successor using Finish to Start relationships

You would use this option when one step in a process is not needed but the rest of the work continues in its planned sequence. For example, this could be a work order with steps or a process with steps.

Location

This dialog box displays when you delete a single activity.

Related Topics and Procedures

Related Topic

Select File to Delete Dialog Box

Related Procedure

Deleting an Open Plan File


Dictionaries Dialog Box

The Dictionaries Dialog allows you to open and close user dictionaries and to edit the contents of an open user dictionary. The contents of dictionaries are saved in disk files. You can open some or all of your user dictionary files at any time. Only open dictionaries are searched during a spelling check.

Action

Used to select an action that is associated with words in the dictionary. The action tells the spelling checker what to do when it finds a word in the dictionary. The following options are available:

  • Auto change (use case of checked word): This option allows you to automatically replace one word with another. For example, if you often type recieve instead of receive, you might enter the word recieve with receive as the other word and Auto change (use case of checked word) as the action. The spelling checker will automatically correct recieve wherever it appears. If recieve was capitalized (Recieve), the spelling checker would automatically replace it with Receive. Note that the replacement is made automatically only if the Auto Change option is enabled (see the Options Dialog for information on the Auto Change option).

  • Auto change (use case of other word): This option allows you to automatically replace one word with another, always with the same case pattern as the other word. This action is useful for automatically expanding abbreviations. For example, you could enter the word TBD with "to be determined" as the other word and Auto change (use case of other word) as the option. The spelling checker will automatically replace TBD with "to be determined" wherever it appears. Note that the replacement is made automatically only if the Auto Change option is enabled (see the Options Dialog for information on the Auto Change option).

  • Conditionally change (use case of checked word): This option allows you to optionally replace one word with another. For example, if you often type recieve instead of receive, you might enter the word recieve with receive as the other word and Auto change (use case of checked word) as the option. The spelling checker will ask if you want to replace recieve with receive. If recieve was capitalized (Recieve), the spelling checker would ask if you wanted to replace it with Receive.

  • Conditionally change (use case of other word): This option allows you to optionally replace one word with another, always with the same case pattern as the other word. This action is useful for optionally expanding abbreviations. For example, you could enter the word TBD with "to be determined" as the other word and Conditionally change (use case of other word) as the option. The spelling checker will ask if you want to replace TBD with to be determined.

  • Exclude (treat as misspelled): This option tells the spelling checker that the word is misspelled, even if it is listed in another dictionary. Words marked with this option will never be offered as suggestions for misspelled words, and they will be reported as misspellings when they are encountered by the spelling checker. Note that the spelling checker looks up words in user dictionaries in the order in which they appear in the Files list. If you want to exclude a word, make sure it doesn't appear in a previous user dictionary.

  • Ignore (skip): This option tells the spelling checker that the word is spelled correctly, and so can be skipped over. This is the most common action.

Add File

Opens a user dictionary file. When you select Add File, a dialog appears which you can use to select the dictionary file to open. The set of open dictionary files is remembered, so once you add a dictionary file you don't need to add it again. If you need to create a new user dictionary, use New. You can open other applications' user dictionary files.

Add Word

Causes the word entered in the edit area of the Words list to be added to the currently selected dictionary. The currently selected option and other word are associated with the word. You can use Add Word to change the option or other word associated with a word. Note that Add Word is enabled only when a new word is typed in the edit area of the Words list. The words you add may contain virtually any character, but only words which contain embedded periods should have trailing periods (for example, U.S.A. is OK, but USA. is not).

Close

Closes the Dictionaries dialog.

Delete Word

Causes the word appearing in the edit area of the Words list to be removed from the currently selected dictionary. The associated option and other word are also removed.

Export

Saves the contents of the currently selected dictionary to a text file. When you select Export, a dialog appears which you can use to select the name of the text file to which words in the dictionary will be exported. The words are written to the file one per line.

Files

Contains the list of open dictionary files. When you select a file from the list, its contents are displayed in the Words list.

Import

Adds the words contained within a text file to the currently selected dictionary. When you select Import, a dialog box appears which you can use to select the text file to be imported. Each word in the selected file is loaded into the dictionary. Note that importing a large list of words may take some time.

Language

Displays the language (for example, English or French) of the currently selected dictionary.

New

Creates a new user dictionary file. When you select New, a dialog appears which you can use to specify attributes of the new dictionary. See the New Dictionary Dialog for details.

Other Word

Contains an alternate word associated with the currently selected word. The other word is used in the "Auto change" and "Conditionally change" options to supply a replacement word. You can enter more than one word in Other Word, but the total length should be limited to 63 characters.

Remove File

Closes the currently selected dictionary file. Closed dictionaries are not checked during a spelling check. Although the file is closed, it is not deleted. Closed dictionary files can be reopened later using Add File.

Words

Contains the list of words in the currently selected user dictionary.

Location

To display the Dictionaries dialog box, complete the following steps:

  1. Open a project.

  2. Open a view that contains text (for example, Activity Barchart view).

  3. Open the Activity Details dialog box.

  4. Select the Notes tab.

  5. Initiate a spell-check by clicking [image].

  6. Click Dictionaries.

Related Topics and Procedures

Related Topics

Using the Check Spelling Dialog Box

Using the Check Spelling - Options Dialog Box

Using the New Dictionary Dialog Box


Edit Relationship Dialog Box

Use this dialog box to edit a relationship between activities. It defines the relationships between activities using the following settings:

  • Predecessor: The ID of the activity that logically precedes the relationship.

  • Successor: The ID of the activity that logically succeeds the relationship.

  • Type: There are four types of relationships: finish-to-start, finish-to-finish, start-to-start, and start-to-finish. The default for the relationship type is finish-to-start.

  • Lag: The time delay associated with the relationship. Lag can be either positive or negative. Negative lag is sometimes called "lead." The default for the relationship lag is zero. If you enter a numeric value without a unit identifier, Open Plan assumes the default units specified for the project. If, on a start-to-start relationship, you enter a numeric value followed by %, Open Plan assumes the value to be a percentage of the predecessor's duration.

  • Calendar: The calendar upon which Open Plan bases calculations for any lag in the relationship. If you do not enter a calendar, Open Plan uses the calendar of the activity’s successor by default.

You can use a finish-to-start relationship with negative lag to model a start-to-start relationship. This has the advantage of keeping the predecessor and successor activities in parallel even if work on the predecessor activity is halted for some reason.

You can also add, edit, and delete data for predecessors and successors directly in a cell of any activity-based spreadsheets. The Activity Predecessors and Activity Successors columns display the predecessor/successor ID, relationship type, and lag of the relationship (which is optional and may be negative) in each cell using the format <Predecessor/Successor ID><space><relationship type><+/-Lag>. For example, 1.02 SF+3d.

Location

To display the Edit Relationship dialog box, complete the following step:

  1. Right-click a relationship between activities, and click Edit Relationship on the shortcut menu.

Related Topics and Procedures

Related Topics

Interproject Relationships

Select Activity Dialog Box

Add Relationship Dialog Box

Related Procedures

Creating a Relationship in a Barchart View with a Mouse

Creating a Relationship in a Barchart View with the Keyboard

Creating a Relationship in the Network View

Editing a Relationship in the Network View

Creating a Relationship in a Spreadsheet View

Assigning a Calendar to a Relationship Lag

Creating Interproject Relationships in a Network


Find Code Dialog Box

This dialog box features an input box and options that you can use to specify the manner in which Open Plan should conduct a search for the code.

Find in ID

Selecting this option tells Open Plan to look for a code with the ID you enter in the input box.

Find in Description

Selecting this option tells Open Plan to look for a code with the description you enter in the input box.

When you select this option, Open Plan enables the following fields that allow you to customize the search.

  • Match Case

  • Find Whole Word

Match Case

Selecting this option tells Open Plan to look for a code containing a description that matches both the text and capitalization that you entered in the input box.

For example, Open Plan would not find a code with "Pharmacy Systems" in the description if you entered any of the following phrases in the input box:

  • pharmacy systems

  • Pharmacy systems

  • pharmacy Systems

The capitalization must match exactly.

Find Whole Word

Selecting this option tells Open Plan to look for a code containing the same whole words in the description that you entered in the input box.

For example, Open Plan would not find a code with "Pharmacy Systems" in the description if you entered "Pharmacy System" in the input box.

Similarly, Open Plan would not find a code with "Pharmacy System" in the description if you entered "Pharmacy Systems" in the input box.

Find

Clicking this button initiates the search with the parameters you enter in the Find Code dialog box. When Open Plan locates the code, it is highlighted in the Select Code dialog box.

Cancel

Clicking this button closes the Find Code dialog box without searching for a code.

Help

Clicking this button displays this Help topic.

Location

To display the Find Code dialog box, complete the following steps:

  1. On the Codes tab of the Activity Details dialog box, click the ellipsis at the right edge of the input field.

  2. In the Select Code dialog box, click Find.

Related Topics and Procedures

Related Topics

Codes Tab of the Activity Details Dialog Box

Select Code Dialog Box

Related Procedure

Assigning Codes to an Activity


Link/Unlink Activities Dialog Box

Use this dialog box to add and remove multiple relationships of the same type between activities conveniently. Clicking the Link button automatically creates relationships between selected activities using the selected type, lag, and calendar.

When you use Ctrl + Click to select and link activities, Open Plan links the activities in the order in which you selected them. For example, if you use Ctrl + Click to select three activities in the order shown below, Open Plan links 1.03.05 to 1.03.02 to 1.03.06.

Relationship Type

Select one of the following relationship types:

  • Finish to Start: The relationship between activities that specifies that the start of the successor activity depends on the completion of the predecessor activity. In most cases, this means that the successor activity cannot start until the predecessor activity is completed. This is the default relationship.

  • Start to Start: The relationship between activities that specifies that the start of the successor activity depends on the start of the predecessor activity. In most cases, this means that the successor activity cannot be started before the start of the predecessor activity.

  • Start to Finish: The relationship between activities that specifies that the finish of the successor activity depends on the start of the predecessor activity. In most cases, this means that the successor activity cannot be completed before the start of the predecessor activity.

  • Finish to Finish: The relationship between activities that specifies that the finish of the successor activity depends on the completion of the predecessor activity. In most cases, this means that the successor activity cannot be completed before the predecessor activity is completed.

By default, this field displays Finish to Start.

Lag

Enter a time delay associated with a relationship in a project. This field supports positive, negative, and percentage lags. By default, this field displays zero (0).

Open Plan only allows a percentage lag on the Start-to-Start relationship type. When you enter the percentage lag for a different relationship type, an error message displays.

Calendar

Select a calendar upon which Open Plan bases calculations for any lag in the relationship. The drop-down list contains all calendars defined in the calendar file including <Calendar of Successor> and <Default>. By default, it displays <Calendar of Successor>.

Link

Click this button to create relationships between selected activities. Open Plan then creates relationships between the selected activities using the relationship type, lag, and calendar that you specified on the dialog box.

If relationships already exist between the selected activities, Open Plan does not allow you to modify the existing relationships.

Unlink

Click this button to remove relationships among the selected activities.

Open Plan displays all errors that occur when linking or unlinking activities on the Link/Unlink Activities Errors dialog box after the process completes.

Location

To display the Link/Unlink Activities dialog box, complete the following step:

  1. Take one of the following actions:

  • From the Data menu group of the Edit tab of the Activity Spreadsheet, Resource or Activity Barchart, or Network view, select Link/Unlink Activities [image]. This option is enabled only when you select two or more activities.

  • Right-click the Activity Spreadsheet, Resource or Activity Barchart, or Network view, and select Link/Unlink Activities from the shortcut menu.

Related Topics and Procedures

Related Topic

Understanding Chain Activities

Related Procedures

Creating and Editing Activities

Linking Activities

Unlinking Activities


Move Activities Dialog Box

Use this dialog box to move activities from one external subproject to another, or from an external project to a master project. You typically need to do this when activities have changed or you have additional planners and need to split up the work. Moving activities maintains relationships from the activities you move to other activities.

You can move activities when all of the following are true:

  • The activity table is the driving table for the view.

  • The master project contains one or more open external subprojects.

  • The master project and its external subprojects are open in Exclusive mode or you (the current user) have used a shared-mode lock.

Target External Subproject

This group displays the master project and a hierarchical list of open external subprojects. Open Plan excludes the source external subproject(s) or master project for the selected activities from this list.

Target Parent Activity

After you select a project, this group displays the subprojects activities within the selected external subproject, excluding any projects/activities that are parents of the source activities.

You can either select the subproject under which you want to move the activities or select <None> to move and place the activities as the topmost children of the selected project on the left.

Move Baseline Activities and Usage

When you select this option, Open Plan copies the baseline activities and usage records when their corresponding activities are moved. Open Plan does not delete the previous baseline activity records as those records are vital to preserving baseline history. That baseline activity record displays with an Activity ID value of "ID Unavailable" since the original activity to which it points no longer exists. Similarly, baseline usage records related to the old baseline activity record are not deleted (and are in fact still valid since the old baseline activity record has not been deleted). In the baseline usage spreadsheet, Open Plan displays the baseline usage records that point to the old name of the baseline activity ID as well as the new (copied) baseline usage records that point to the new (moved) baseline activity record.

This option is enabled when you have update baseline rights and there are baselines available on the project.

If you want to remove the old baseline records, update the baseline choosing the option to Delete All Activities No Longer in Current Project.

OK

Click to move the selected activities.

Cancel

Click to close the dialog box without moving the activities.

Help

Click to display the related help topic.

Location

To display the Move Activities dialog box:

  • In the Spreadsheet view, select the activities you want to move, right-click, and select Move Activities.....

Related Topics and Procedures

Related Topics

Open External Subprojects Dialog Box

Hierarchical Projects and Subprojects Overview

Characteristics of External Subproject Activities


Open External Subprojects Dialog Box

When you open a project containing external subprojects, Open Plan displays the Open External Subprojects dialog box, which contains a hierarchical list of external subprojects (and externals embedded within the top layer of externals). You can use this dialog box to select the subprojects you want to open.

All external subprojects opened under a master project must be opened in the same mode (exclusive, shared, read-only) as the master project. If a user has opened one of the externals independently of the master project, the list will show a red "X" before the name of the external subproject, indicating that it cannot be opened as part of the master. If another user has opened one or more of the externals in a mode that will prevent the current user from opening the external in the same mode as the master, the list will show a warning sign before the name of the external, indicating that it should be deselected unless the other user corrects the conflict before the current user continues. You can place your cursor over one of the "flagged" external subprojects that is open to display information about the status of the project and the person who has it open.

Even if you did not open an external subproject at the time you opened the master project, Open Plan lets you open the appropriate subproject later by using Expand or Expand All in the spreadsheet, barchart, or network views or by using Go To Subproject in the network view.

If an external subproject is open, you can display and update the information for the activities in the external subproject just as if they belonged to the master project. For example, if you perform time analysis on the master project, Open Plan updates the early and late dates of the external subproject activities as well.

For closed external subprojects, however, Open Plan has access only to the summarized information stored on the subproject record. If you perform time analysis on a master project that includes a closed external subproject, for example, the early and late dates of a subproject can influence the dates calculated for the master project. On the other hand, the operation does not result in the dates for the individual activities in the closed subproject being recalculated.

Grid

This dialog box contains a sortable grid that displays information about each subproject.

Name

The name of the external subproject.

Description

The description of the external subproject.

Time Now

The time now date, or "status date" of the external subproject. All progress information entered for a project should be correct as of this status date. No work will be scheduled by the time analysis or resource scheduling programs prior to this date.

Owner ID

The user ID of the individual who created the external subproject, or was assigned the ownership of the subproject.

Buttons

The following buttons are available on this dialog box:

Select All

Click this button to select all external subprojects listed in this dialog box.

Deselect All

Click this button to deselect all external subprojects listed in this dialog box.

Related Topics and Procedures

Related Topics

How a Network Displays a Hierarchy

Characteristics of Internal Subproject Activities

Characteristics of External Subproject Activities

Interproject Relationships

Using Ancillary Files with External Subprojects

Adding and Removing Ancillary Files from a Master Project

Related Procedures

Using External Subprojects in a Hierarchy

Creating Interproject Relationships in a Network


Redundant Logic Dialog Box

After running redundancy analysis, use this dialog box to view and delete the redundant relationship. You cannot edit or change relationships in this grid.

Top Grid

This grid includes the redundant relationship that was identified by the analysis.

Delete

Click to delete the redundant relationship.

Additional Logic (Bottom Grid)

This grid includes the relationships that make the top grid relationship redundant.

Use the Path arrows to view the different paths.

Buttons

Use the arrows at the bottom of the dialog box to scroll through the activities.

Close

Click to close the grid

Help

Click to display the related help topic.

Location

To display the Redundant Logic dialog box:

  1. On the Processes tab in the Tools menu group, click Redundancy Analysis.

  2. When the process is complete, Open Plan displays the Relationship Spreadsheet view.

  3. Right-click in the view and select Redundant Logic.

Related Topics and Procedures

Related Topics

Redundancy Analysis


Replan Activity Dialog Box

Use this dialog box to set options for replanning an activity.

Activity being replanned

This group box displays the following options:

Original ID

This field displays the ID of the selected activity.

When you select the ellipsis button, the Select Activity dialog box displays, allowing you to select other activities that are valid for replanning.

Make sure the new activity ID is unique and not blank.

Suffix

This field displays the characters appended to the original ID for the new ID of the replanned activity. By default, it displays R. You can change the value.

Make sure this field is not blank.

Open Plan saves the suffix each time a Replan Activity is performed and restores it when the Replan Activity dialog box is opened. If Open Plan does not find a previously saved suffix, it uses R instead.

Preview

This field displays the combination of the original ID and suffix so you can view the new ID of the replanned activity.

Description

This field displays the description of the selected activity. You can change the value.

Status

This field displays the status of the selected activity.

Time Now

This field displays the project time now.

Options

This group box displays the following options:

Split Date

Enter or select the date of the split in the activity. Open Plan uses this as the finish date of the original activity.

Make sure the split date is later than the actual start date of the original activity.

Resources

This group box contains the following options:

  • In-progress resources assignments stay on planned activity — Select this option to remove in-progress assignments from the existing activity and move them to the new activity.

  • Split in-progress resource assignments over replan and planned activities — Select this option to put the remaining assignments of in-progress assignments on the new activity, making the existing assignment on the original activity to have zero (0) remaining.

Open Plan retains all completed assignments on the original activity and moves all planned assignments to the new (replanned) activity.

Steps

This group box contains the following options:

  • In-progress steps stay on planned activity — Select this option to remove in-progress steps from the original activity and move them to the new activity.

  • Split in-progress steps over replan and planned activities — Select this option to duplicate in-progress steps with a % Complete on both the original and replanned activities. Open Plan marks those steps in the original activity as Complete and those in the replanned activity as Planned.

Open Plan retains all completed steps in the original activity and moves all planned steps to the new (replanned) activity.

Location

To display the Replan Activity dialog box:

  1. In a spreadsheet view, right-click an activity that meets the following conditions:

  2. It has no child activities.

  3. Its status is In Progress.

  4. Its Actual Start date is not blank.

  5. Its Actual Finish date is blank.

  6. It is not a foreign activity.

  2. On the context menu, select Replan Activity.

Related Topics and Procedures

Replanning Activities


Select Code Dialog Box

This dialog box works with the values on the Codes tab of the following dialog boxes:

  • Activity Details dialog box

  • Project Properties dialog box

When you select a code from the grid on the Codes tab and click the ellipsis, the Select Code dialog box displays the codes stored in the relevant code field in a hierarchical structure.

When you select a code from the displayed hierarchy on the Select Code dialog box and click OK, the code is displayed as a value for the appropriate code on the Codes tab.

OK

Clicking this button inserts the selected code as a value for the code on the Codes tab.

Cancel

Clicking this button (before clicking OK) closes the dialog box without inserting the code into the Codes tab.

Find

Clicking this button displays the Find Code dialog box that you can use to find a code with a specified ID or description.

Find Next

Once you have located a code using the Find button, clicking the Find Next button locates the next code that meets the same search criteria.

Expand All

Clicking this button fully expands the code hierarchy.

You can selectively expand portions of the hierarchy by clicking the appropriate [image] icon.

Help

Clicking this button displays the help topic for dialog box.

Location

To display the Select Code dialog box, complete the following steps:

  1. Display the Activity Details dialog box for the activity to which you want to assign codes.

  2. In the Code column of the Codes tab, click a code.

  3. Click the ellipsis at the right edge of the input field.

Related Topics and Procedures

Related Topics

Codes Tab of the Activity Details Dialog Box

Find Code Dialog Box

Related Procedure

Assigning Codes to an Activity


Spread Method Dialog Box

This dialog box displays a list of spread curves that you can use to respread the total quantity of the selected resource over the activity’s original duration. As shipped from Deltek, this list includes the following:

B: Back Load

Most of the resource effort is allocated toward the end of the duration.

D: Double Peak

Most of the resource effort is allocated to two peaks — one near the beginning of the duration and one near the end.

E: Early Peak

Most of the resource effort is allocated near the beginning of the duration.

F: Front Load

Most of the resource effort is allocated at the beginning of the duration.

L: Late Peak

Most of the resource effort is allocated near the end of the duration.

N: Normal (Bell)

The resource effort starts with a minimal effort, gradually increases to the middle of the duration, and then tapers off.

T: Linear

Additional spread curves can be defined using the Spread Curves dialog box accessed from the Tools tab.

Location

To display the Spread Method dialog box, complete the following steps:

  1. Display the Activity Details dialog box for an activity.

  2. On the Resources tab, click TimePhase.

  3. Click Spread.

Related Topics and Procedures

Related Topics

Using Spread Curves to Define Resource Assignments

New Spread Curve Dialog Box

Edit Spread Curve Dialog Box

Resources Tab of the Activity Details Dialog Box

Related Procedures

Creating a New Spread Curve

Modifying a Spread Curve

Deleting a Spread Curve


Add a Relationship from the Relationship Spreadsheet View

When in the Relationship Spreadsheet view, you can enter relationships by double-clicking the selection button of an empty row.

To add a relationship from the Relationship Spreadsheet View, complete the following steps:

  1. Double-click the selection button in an empty row.

  2. In the Add Relationship dialog box, enter the information for the relationship, and click OK.

Related Topics and Procedures

Related Topics

Activity Details Dialog Box

Entering Activity Relationships

Add Relationship Dialog Box


Add a Relationship using the Add Relationships Dialog Box

To add a relationship using the Add Relationships dialog box, complete the following steps:

  1. Display the Add Relationships dialog box by taking one of the following actions:

    2. In a view that displays activities:

  • Click Add Relationship from the Data group of the Edit tab. This command will be enabled only when focus is on a cell or single row.

  • Click a row button and choose Add Relationships… from the context menu.

    The row that has focus will be designated as the Anchor Activity (the activity to which relationships will be added).

  • In the Activity Details dialog box Relationships tab, click New. The current activity is designated as the Anchor Activity.

  2. In the Add Relationships dialog box, select the checkbox next to the activities you wish to add as predecessors or successors. You can select as many as needed.

  3. Enter the following information for the relationship(s) that will be added.

  • Type: Define the relationship type.

  • Lag: Define the lag or the time delay associated with the relationship.

  • Calendar: Define a calendar for the lag.

  4. Add the activities as predecessors or successors of the anchor activity by clicking Add Predecessors or Add Successors.

    5. The Add Predecessors and Add Successors buttons are only enabled when one or more items have been selected from the activity list and there is a valid anchor activity.

  5. You can use the following buttons to help you navigate your way through the activity list:

  • Find and Find Next: Search for a specific activity by entering either the activity ID (or a partial ID) or the activity description in the Find field.

  • Expand All and Collapse All: Expand or collapse the hierarchy of activities by clicking these buttons.

  • Refresh: As activities are added, deleted, or renamed, the activity list will not be automatically updated. You can click the Refresh button to reload the activities, as well as the activity calendars. When refreshing the dialog box, current selections are cleared and the hierarchy is collapsed.

  • Clear All: Click this button to clear the selections for all the activities in the hierarchy, regardless of whether the hierarchy is expanded or collapsed.

  6. You can use the following buttons to help you navigate your way through the activity list:

Related Topics and Procedures

Related Topics

Activity Details Dialog Box

Add Relationships Dialog Box

Entering Activity Relationships


Add an Activity in the Barchart Pane

To add an activity in the barchart pane, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in barchart view.

  2. In the Dialogs menu group of the Edit tab, click Details.

  3. In the Activity Details dialog box, click New.

  4. Enter the necessary information in the Activity Details dialog box, and click Apply.

Related Topics and Procedures

Related Topic

Activity Details Dialog Box

Related Procedures

Change an Activity Target Start Date in Bar Data Mode

Change an Activity Duration in Bar Data Mode

Enter a Relationship in Relationship Mode

Edit a Relationship in Relationship Mode

Create an Activity in Relationship Mode

Creating a Relationship in a Barchart View with a Mouse

Creating a Relationship in a Barchart View with the Keyboard


Assigning Activity Resource Requirements (Procedure)

Assigning Activity Resource Requirements

To assign resource requirements to an activity in any view, complete the following steps:

  1. Take one of the following actions to display the Activity Details dialog box:

  • Double-click the appropriate activity.

  • Right-click the appropriate activity bar, and click Edit Activity on the shortcut menu.

  • Select the appropriate activity, and click Details in the Dialogs menu group of the Edit tab.

  2. On the Resources tab of the Activity Details dialog box, select a blank line.

  3. Enter the information about the resource requirement.

  4. When you have finished entering resource requirements for the activity, click Apply.

You can enter as many resource requirements for the activity as you need. You can also assign resource requirements for the activity in terms of the skills that the resource must possess and allow Open Plan to suggest an appropriate resource during resource scheduling.

Related Topics and Procedures

Related Topic

Resources Tab of the Activity Details Dialog Box

Related Procedures

Assigning Multiple Resources to Multiple activities

Assigning Costs to an Activity

Assigning a Calendar to an Activity

Assigning a Calendar to a Relationship

Assigning Codes to an Activity


Assigning a Calendar to an Activity (Procedure)

Assigning a Calendar to an Activity

To assign a calendar to an activity, complete the following steps:

  1. Take one of the following actions to display the Activity Details dialog box:

  • Double-click the appropriate activity.

  • Right-click the appropriate activity bar, and click Edit Activity on the shortcut menu.

  • Select the appropriate activity, and click Details in the Dialogs menu group of the Edit tab.

  2. From the Calendar list on the General tab, select the calendar you want to assign to the activity, and click Apply.

Related Topics and Procedures

Related Topic

General Tab of the Activity Details Dialog Box

Related Procedures

Assigning resource requirements to an activity

Assigning Multiple Resources to Multiple activities

Assigning Costs to an Activity

Defining Cost Resources

Calculating Actual Activity Costs

Assigning a Calendar to a Relationship

Assigning Codes to an Activity


Assign a Calendar to a Relationship (Procedure)

Assign a Calendar to a Relationship Lag

This section discusses two sets of procedures that allows you to assign a calendar to a Relationship lag.

To assign a calendar to a relationship lag from the network or barchart view, complete the following steps:

  1. In a network view or ithe relationship mode of a barchart view, right-click the relationship line.

  2. On the shortcut menu, click Edit Relationship.

  3. From the Calendar list, select the calendar you want to assign to the lag associated with the relationship.

  4. Click OK.

To assign a calendar to a relationship lag from the Activity Details dialog box, complete the following steps:

  1. Take one of the following actions to display the Activity Details dialog box for either the predecessor or the successor activity:

    • Double-click the activity.

    • Right-click the activity, and click Edit Activity on the shortcut menu.

    • Select the activity, and click Details on the Edit tab.

  2. In the Activity Details dialog box, click the Relationships tab.

  3. Select the relationship to which you want to assign a calendar.

  4. From the Calendar column, select the calendar you want to assign to the lag associated with the relationship.

  5. Click Apply.

Related Topics and Procedures

Related Topic

Relationships Tab of the Activity Details Dialog Box

Related Procedures

Assigning resource requirements to an activity

Assigning Multiple Resources to Multiple activities

Assigning Costs to an Activity

Assigning a Calendar to an Activity

Assigning Codes to an Activity


Assigning a Priority to an Activity (Procedure)

Assigning a Priority to an Activity

To assign an activity priority to be used as a tie-breaker during resource scheduling, complete the following steps:

  1. Take one of the following actions to display the Activity Details dialog box:

  • Double-click the appropriate activity.

  • Right-click the appropriate activity, and click Edit Activity on the shortcut menu.

  • Select the appropriate activity, and click Details in the Dialogs menu group of the Edit tab.

  2. In the Activity Details dialog box, click the Advanced tab.

  3. In the Priority field, enter a 3-digit priority number for the activity. Lower numbers have a higher priority than higher numbers.

  4. Click Apply.

Related Topics and Procedures

Related Topic

Advanced Tab of the Activity Details Dialog Box

Related Procedures

Splitting an Activity Duration

Stretching an Activity Duration

Reprofiling an Activity Duration

Assigning the Immediate Attribute to an Activity


Assigning Codes to an Activity (Procedure)

Assigning Codes to an Activity

To assign codes to an activity, complete the following steps:

  1. Take one of the following actions to display the Activity Details dialog box:

  • Double-click the appropriate activity.

  • Right-click the appropriate activity, and click Edit Activity on the shortcut menu.

  • Select the appropriate activity, and click Details in the Dialogs menu group of the Edit tab.

  2. In the Activity Details dialog box, click the Codes tab.

  3. In the Code Field column, select a code file from those associated with the project.

  4. In the Code Value column, select a code to assign to the activity.

  5. Click Apply.

Related Topics and Procedures

Related Topic

Codes Tab of the Activity Details Dialog Box

Related Procedures

Assigning resource requirements to an activity

Assigning Multiple Resources to Multiple activities

Assigning Costs to an Activity

Defining Cost Resources

Calculating Actual Activity Costs

Assigning a Calendar to an Activity

Assigning a Calendar to a Relationship


Assigning Costs to an Activity (Procedure)

Assigning Costs to an Activity

To assign costs to an activity, complete the following steps:

  1. Define cost resources in a resource file.

  2. Assign the resource file to the project.

  3. Select the activity to which you want to assign costs.

  4. On the Resources tab of the Activity Details dialog box, assign the cost resources to the activity.

  5. Click Apply.

Related Topics and Procedures

Related Topic

Resources Tab of the Activity Details Dialog Box

Related Procedures

Defining Cost Resources

Calculating Actual Activity Costs

Entering Actual Activity Costs

Assigning resource requirements to an activity

Assigning Multiple Resources to Multiple activities

Assigning a Calendar to an Activity

Assigning a Calendar to a Relationship

Assigning Codes to an Activity


Assigning Immediate to an Activity (Procedure)

Assigning Immediate to an Activity

To assign the Immediate attribute to an activity, complete the following steps:

  1. Take one of the following actions to display the Activity Details dialog box:

  • Double-click the appropriate activity.

  • Right-click the selection button of the appropriate activity, and click Edit Activity on the shortcut menu.

  • Select the appropriate activity, and click Details on the Edit tab.

  2. On the Advanced tab of the Activity Details dialog box, select Immediate from the Type list.

  3. Click Apply.

Related Topics and Procedures

Related Topic

Advanced Tab of the Activity Details Dialog Box

Related Procedures

Splitting an Activity Duration

Stretching an Activity Duration

Reprofiling an Activity Duration

Assigning the Immediate Attribute to an Activity


Assigning Multiple Resources to Multiple Activities (Procedure)

Assigning Multiple Resources to Multiple Activities

To assign one or more resources to multiple activities, complete the following steps:

  1. In Open Plan Explorer, display one of the following views:

  • Activity Barchart View

  • Activity Spreadsheet View

  • Network View

  2. Select the activities to which you want to assign resources.

  3. In the Dialogs menu group of the Edit tab, click Details.

  4. On the Resources tab of the Activity Details dialog box, select a Resource field.

  5. Click the ellipsis next to the input box.

  6. In the Select Resource dialog box, select the appropriate resources, and click OK.

  7. On the Assign Multiple Resources to Multiple Activities, enter the information for each of the listed resources.

  8. Click OK.

Related Topics and Procedures

Related Topic

Using the Assign Multiple Resources to Multiple Activities Dialog Box

Related Procedures

Assigning resource requirements to an activity

Assigning Costs to an Activity

Assigning a Calendar to an Activity

Assigning a Calendar to a Relationship

Assigning Codes to an Activity


Assign Scheduling Attributes to an Activity

To assign scheduling attributes to an activity, complete the following steps:

  1. Take one of the following actions to display the Activity Details dialog box:

  2. Double-click the activity box in a network view.

  3. Double-click the activity bar in a barchart view.

  4. Double-click the selection button of the spreadsheet row in a spreadsheet view.

  5. Select an activity, and click Details in the Dialogs menu group of the Edit tab.

  6. Right-click an activity bar, and click Edit Activity on the shortcut menu.

  2. Use the fields on the Advanced tab to assign the scheduling attributes.

  3. Click Apply, and click Close.

Related Topics and Procedures

Related Topic

Activity Details Dialog Box


Attaching a Note to an Activity (Procedure)

Attaching a Note to an Activity

To attach a note to an activity, complete the following steps:

  1. Display the Activity Details dialog box or the Activity Progress dialog box for the activity to which you want to attach a note.

  2. Click the Notes tab.

  3. From the Category list, select a category for the note that you want to attach.

    While you may attach multiple notes to an activity, you can attach only one note per category.

  4. In the text box, enter any information you wish about the activity.

  5. Click Apply.

Related Topics and Procedures

Related Topic

Notes Tab of the Activity Details Dialog Box

Related Procedures

Editing an Activity Note

Deleting an Activity Note

Creating a Note Category

Editing a Note Category

Deleting a Note Category


Changing an Effort-Driven Activity to One with a Fixed Duration (Procedure)

Changing an Effort-Driven Activity

To change an effort-driven activity to one with a fixed duration, complete the following steps:

  1. Take one of the following actions to display the Activity Details dialog box:

  • Double-click the appropriate activity.

  • Right-click the appropriate activity, and click Edit Activity on the shortcut menu.

  • Select the appropriate activity, and click Details in the Dialogs menu group of the Edit tab.

  2. On the General tab, take one of the following actions:

  • Change the activity type to one of the other types.

  • Overwrite the calculated duration manually.

If you enter a fixed duration but keep the activity type set to Effort Driven, Open Plan automatically recalculates the duration the next time you enter or change resource assignment information. For more information, see Defining an Activity as Effort-Driven.

Related Topics and Procedures

Related Topic

General Tab of the Activity Details Dialog Box


Changing the Duration of an Activity (Procedure)

Changing the Duration of an Activity

To change the duration of an activity in a barchart view, complete the following steps:

  1. On the View tab, select Bar Data mode [image].

  2. Place the cursor at the right edge of the activity bar for which you want to change the duration. (The cursor changes to a symbol.)

  3. Drag the cursor in the appropriate direction as follows:

    • To decrease the duration, drag the right end of the bar to the left.

    • To increase the duration, drag the right end of the bar to the right.

    • While you drag the end of the bar, a pop-up display indicates the duration. (To cancel the new duration, press Esc.)

The length of the bar always represents the duration relative to the date scale. Therefore, if the date scale is non-linear, the bars may change length as they are moved to different parts of the barchart.

To change the duration of an activity in any view, complete the following steps:

  1. Right-click the activity for which you want to change the duration.

  2. On the shortcut menu, click Edit Activity.

  3. On the General tab of the Activity Details dialog box, enter the new duration.

  4. Click Apply.

Related Topics and Procedures

Related Topic

General Tab of the Activity Details Dialog Box

Related Procedures

Creating an Activity on a Barchart

Creating an Activity on a Network

Setting a Target Start Date

Setting a Target Finish Date

Creating a Relationship in a Network View

Creating a Relationship in a Barchart view

Setting up a Hammock

Entering Activity Progress


Copying an Activity (Procedure)

Copying an Activity

To copy an activity in any view, follow one of these procedures, complete the following steps:

  1. Right-click the activity you want to copy.

  2. Click Copy Activities.

You may also select the activity you want to copy and click Copy [image] on the Quick Access Toolbar. The copied activity is placed on the clipboard where it is available for pasting.

Related Topics and Procedures

Related Topic

Creating and Editing Activities

Related Procedures

Finding an Activity

Finding Another Activity

Finding the Predecessor of an Activity

Finding the Successor of an Activity

Editing an Activity

Deleting an Activity

Cutting an Activity

Pasting an Activity


Creating Activities in a Barchart (Quick Start)

Creating Activities in a Barchart

To create activities in a barchart view, complete the following steps:

  1. In the Project Views folder in Open Plan Explorer, select a project to display in activity barchart or multitable barchart view

  2. In the spreadsheet portion of the barchart view, enter activity IDs and durations for each activity you want to create. The easiest way is do this is to enter all the activity IDs, and then go back and enter the durations.

Open Plan assumes the current date to be Time Now and places the activity bars on the barchart portion of the view. However, until you create relationships between the activities, all the activity bars are lined up at the Time Now date.

If you want to change the Time Now date or disable automatic time analysis, click Perform Time Analysis [image] in the Schedule menu group of the Processes tab and make the appropriate changes. You can also specify the Time Now date in the Schedule menu group of the Processes.

  2. Select the Relationship mode [image] in the Show menu group of the View tab.

  3. Drag a relationship line to connect the activities.


Creating Activities in a Network (Quick Start)

Creating Activities in a Network View

To create an activity:

Double-click on an empty area in the workspace.

To create the next activity:

Drag a line from the right edge of the activity box out into an empty area in the workspace.

To create a relationship between two activities:

Draw a line connecting the activities.


Creating Activities in a Spreadsheet (Quick Start)

Creating Records in a Spreadsheet

To create records in a spreadsheet view, complete the following step:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in activity spreadsheet view

  2. Enter information for the desired fields for each record you want to create.


Cutting an Activity (Procedure)

Cutting an Activity

To cut an activity while in any view, complete the following steps:

  1. Right-click the activity you want to cut.

  2. Click Cut Activities.

You may also select the activity you want to cut and click Cut [image] in the Clipboard menu group of the Edit tab. The cut activity is placed on the clipboard where it is available for pasting.

Related Topics and Procedures

Related Topic

Creating and Editing Activities

Related Procedures

Finding an Activity

Finding Another Activity

Finding the Predecessor of an Activity

Finding the Successor of an Activity

Editing an Activity

Deleting an Activity

Copying an Activity

Pasting an Activity


Defining an Activity as Effort-Driven (Procedure)

Defining an Activity as Effort-Driven

To define an activity as effort-driven, complete the following steps:

  1. Take one of the following actions to display the Activity Details dialog box:

  • Double-click the appropriate activity.

  • Right-click the appropriate activity, and click Edit Activity on the shortcut menu.

  • Select the appropriate activity, and click Details in the Dialogs menu group of the Edit tab.

  2. From the Type list on the General tab, select Effort Driven.

  3. Click Apply.

  4. When Open Plan asks you to confirm the operation, click OK.

Related Topics and Procedures

Related Topic

General Tab of the Activity Details Dialog Box

Related Procedure

Changing an Effort-Driven Activity to One with a Fixed Duration


Deleting an Activity (Procedure)

Deleting an Activity

To delete an activity from any view, complete the following steps:

  1. Right-click the row/group of rows of the activity/activities you want to delete.

  2. Click Delete Rows from the context menu.

  3. When Open Plan asks you to confirm the deletion, click Yes.

- or -

  1. Select the activity you want to delete.

  2. Do one of the following:

    • Press the Delete key.

    • On the Edit tab, click Delete Activity.

  3. When Open Plan asks you to confirm the deletion, click Yes.

Related Topics and Procedures

Related Topic

Creating and Editing Activities

Related Procedures

Finding an Activity

Finding Another Activity

Finding the Predecessor of an Activity

Finding the Successor of an Activity

Editing an Activity

Cutting an Activity

Copying an Activity

Pasting an Activity


Deleting an Activity Note (Procedure)

Deleting an Activity Note

To delete an activity note, complete the following steps:

  1. Display the Activity Details dialog box or the Activity Progress dialog box for the activity from which you want to delete a note.

  2. Click the Notes tab.

  3. In the text box, delete all the information that is displayed, and click Apply.

Related Topics and Procedures

Related Topic

Activity Details: Notes Tab

Related Procedures

Attaching a Note to an Activity

Editing an Activity Note

Creating a Note Category

Editing a Note Category

Deleting a Note Category


Displaying Relationships in a Barchart View (Procedure)

Displaying Relationships (Barchart)

To display the barchart view in relationship mode, complete the following step:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in barchart view.

  2. In the Show menu group of the View tab, click Relationships [image] .

To display relationships in the barchart view while in Bar Data Mode, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in barchart view.

  2. Take one of the following actions:

  • In the Barchart group of the View tab, click Preferences.

  • Right-click the barchart, and click Preferences on the shortcut menu.

  3. In the Barchart Preferences dialog box, click Show Relationships, and click OK.

Related Topics and Procedures

Related Topic

Barchart Preferences Dialog Box

Related Procedures

Creating a Relationship in a Barchart View Using the Mouse

Creating a Relationship Using the Keyboard

Editing a Relationship in a Barchart View

Deleting a Relationship in a Barchart View

Creating a Relationship in a Network View Using a Mouse

Creating a Relationship in a Spreadsheet View

Highlighting Controlling Relationships in a Barchart


Deleting a Relationship in a Barchart View (Procedure)

Deleting a Relationship (Barchart)

To delete a relationship in a barchart view, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in barchart view.

  2. Ensure that you are in relationship mode.

  3. Position the cursor over the relationship line at either end of the line.

  4. When the cursor changes to a cross-hair, right-click the relationship line.

  5. On the shortcut menu, click Delete Relationship.

Related Topics and Procedures

Related Topic

Relationships Tab of the Activity Details Dialog Box

Related Procedures

Displaying Relationships in a Barchart View

Creating a Relationship in a Barchart View Using the Mouse

Creating a Relationship Using the Keyboard

Editing a Relationship in a Barchart View

Creating a Relationship in a Network View Using a Mouse

Creating a Relationship in a Spreadsheet View


Editing an Activity (Procedure)

Editing an Activity

To edit an activity from any view using a mouse, complete the following steps:

  1. Take one of the following actions to display the Activity Details dialog box for the activity you want to edit:

  • Double-click the activity.

  • Right-click the activity and click Edit Activity from the shortcut menu.

  • Select the activity and click Details in the Dialogs menu group of the Edit tab.

  2. In the Activity Details dialog box, edit the information about the activity.

  3. When you have entered as much information about the activity as you wish, click Apply.

Related Topics and Procedures

Related Topic

Creating and Editing Activities

Related Procedures

Finding an Activity

Finding Another Activity

Finding the Predecessor of an Activity

Finding the Successor of an Activity

Deleting an Activity

Cutting an Activity

Copying an Activity

Pasting an Activity


Editing an Activity Note (Procedure)

Editing an Activity Note

To edit an activity note, complete the following steps:

  1. Display the Activity Details dialog box or the Activity Progress dialog box for the activity on which you want to edit a note.

  2. Click the Notes tab.

  3. In the text box, type over the information that is displayed.

  4. Click Apply.

Related Topics and Procedures

Related Topic

Notes Tab of the Activity Details Dialog Box

Related Procedures

Attaching a Note to an Activity

Deleting an Activity Note

Creating a Note Category

Editing a Note Category

Deleting a Note Category


Entering Actual Activity Costs (Procedure)

Entering Actual Activity Costs

To enter actual activity costs without reference to resources, complete the following steps:

  1. Open the project for which you want to enter actual activity costs.

  2. Ensure that a resource file containing at least one resource has been assigned to the project.

  3. Select the appropriate activity, and click Progress in the Dialogs menu group of the Edit tab.

  4. In the Activity Progress dialog box, select the Resources tab.

  5. In the Start Date and End Date fields, define the period covered by the actual cost.

  6. In the Actual Cost field, enter the actual cost for the activity.

  7. Click Apply.

Related Topics and Procedures

Related Topic

Using the Activity Progress: Resources Tab

Related Procedures:

Assigning resource requirements to an activity

Assigning Multiple Resources to Multiple activities

Assigning Costs to an Activity

Defining Cost Resources

Calculating Actual Activity Costs

Assigning a Calendar to an Activity

Assigning a Calendar to a Relationship

Assigning Codes to an Activity


Find an Activity (Procedure)

Find an Activity

To perform the search thoroughly, all hierarchical levels must be expanded. You can do this by taking any of the following actions:

  • Click the Expand All button located in the Data group on the Edit tab.

  • Press Ctrl+PgDn.

Activities that are hidden because of collapsed hierarchical levels will not be searched.

To find an activity in any view, complete the following steps:

  1. Display an activity view of your project and take one of the following actions:

  • On the Edit tab, click Find And Replace.

  • Right-click an empty area of the view and choose Find.

  2. In the Find and Replace dialog box, enter the appropriate search criteria.

  3. Click OK.

Related Topics and Procedures

Related Topic

Find and Replace Dialog Box

Related Procedures

Finding Another Activity

Finding the Predecessor of an Activity

Finding the Successor of an Activity

Editing an Activity

Deleting an Activity

Cutting an Activity

Copying an Activity

Pasting an Activity


Finding Another Activity (Procedure)

Finding Another Activity

To find another activity with the selection criteria defined, complete the following steps:

  1. Display an activity view of your project.

  2. Take one of the following actions:

  • On your keyboard, press the F3 key

  • On the Edit tab, click Find And Replace.

Related Topics and Procedures

Related Topic

Using the Find and Replace Dialog Box

Related Procedures

Finding the Predecessor of an Activity

Finding the Successor of an Activity

Editing an Activity

Deleting an Activity

Cutting an Activity

Copying an Activity

Pasting an Activity


Finding the Predecessor of an Activity (Procedure)

Finding the Predecessor of an Activity

To find the predecessor of an activity, complete the following steps:

  1. Right-click the relationship line in a barchart or network view.

  2. On the shortcut menu, click Go to Predecessor.

Related Topics and Procedures

Related Topic

Creating and Editing Activities

Related Procedures

Finding an Activity

Finding Another Activity

Finding the Successor of an Activity

Editing an Activity

Deleting an Activity

Cutting an Activity

Copying an Activity

Pasting an Activity


Finding the Successor of an Activity (Procedure)

Finding the Successor of an Activity

To find the successor of an activity, complete the following steps:

  1. Right-click the relationship line in a barchart or network view.

  2. On the shortcut menu, click Go to Successor.

Related Topics and Procedures

Related Topic

Creating and Editing Activities

Related Procedures

Finding an Activity

Finding Another Activity

Finding the Predecessor of an Activity

Editing an Activity

Deleting an Activity

Cutting an Activity

Copying an Activity

Pasting an Activity


Linking Activities

This procedure allows you to link activities in Open Plan. If relationships already exist between the selected activities, Open Plan would not allow you to modify the existing relationships.

You can also use the Add Relationship dialog box to define relationship between activities.

Linking

To link activities, complete the following steps:

  1. In Open Plan Explorer, open an activity spreadsheet, a resource or an activity barchart, or a network view.

  2. Select the activities or tasks to which you want to add relationships.

  3. Take one of the following actions to display the Link/Unlink Activities dialog box:

    • From the Edit tab, of the activity spreadsheet, resource or activity barchart, or network views, select Link/Unlink Activities. This option only becomes enabled when you select two or more activities.

    • From the context menu of an Activity spreadsheet, a resource or an activity barchart, or a network view, select Link/Unlink Activities.

    4. When you use Ctrl + Click to select and link activities, Open Plan links the activities in the order in which you selected them. For example, if you use Ctrl + Click to select three activities in the order shown below, Open Plan links 1.03.05 to 1.03.02 to 1.03.06.

  4. Select or enter necessary information.

  5. Click Link. Open Plan then creates the relationship between the selected activities using the relationship type, lag, and calendar that you specified on the dialog box.

Open Plan displays all errors that occur when linking activities on the Link/Unlink Activities Errors dialog box after the process completes.

Related Topics and Procedures

Related Topics

Add Relationship Dialog Box

Understanding Chain Activities

Link/Unlink Activities Dialog Box

Related Procedures

Creating and Editing Activities

Unlinking Activities


Pasting an Activity (Procedure)

Pasting an Activity

To paste an activity from the clipboard in a network view, complete the following steps:

  1. In the Clipboard menu group of the Edit tab, click Paste.

  2. Move the Paste cursor to the location where you want to paste the activity and click.

To paste an activity from the clipboard in a barchart or spreadsheet view, complete the following steps:

  1. On the spreadsheet (or spreadsheet portion of the barchart), select a row.

  2. In the Clipboard menu group of the Edit tab, click Paste.

You may also right-click the row where you want to paste the activity, and click Paste on the shortcut menu.

When pasting a copied activity, Open Plan automatically assigns a unique ID if the existing ID would produce a duplicate.

Related Topics and Procedures

Related Topic

Creating and Editing Activities

Related Procedures

Finding an Activity

Finding Another Activity

Finding the Predecessor of an Activity

Finding the Successor of an Activity

Editing an Activity

Deleting an Activity

Cutting an Activity

Copying an Activity


Perform an Activity Replan

Display the Replan Activity dialog box to run the Replan Activity process, which removes variances from any in progress activities.

To display the Replan Activity dialog box:

  1. In a spreadsheet view, right-click an activity that meets the following conditions:

  • It has no child activities.

  • Its status is In Progress.

  • Its Actual Start date is not blank.

  • Its Actual Finish date is blank.

  • It is not a foreign activity.

  2. On the context menu, select Replan Activity.

  3. Use the Replan Activity dialog box to replan the selected activity.

Related Topics and Procedures

Replanning Activities

Replan Activity Dialog Box


Reprofiling an Activity Duration (Procedure)

Reprofiling an Activity Duration

To allow an activity duration to be reprofiled during resource scheduling, complete the following steps:

  1. Take one of the following actions to display the Activity Details dialog box:

  • Double-click the appropriate activity.

  • Right-click the selection button of the appropriate activity, and click Edit Activity on the shortcut menu.

  • Select the appropriate activity, and click Details in the Dialogs menu group of the Edit tab.

  2. On the Advanced tab, use the Max Duration field to enter the maximum time period for the activity duration if it is reprofiled.

  3. Click Apply.

Open Plan reprofiles an activity duration only if doing so allows an activity to be scheduled that would otherwise be delayed due to insufficient resource availabilities.

Related Topics and Procedures

Related Topic

Advanced Tab of the Activity Details Dialog Box

Related Procedures

Splitting an Activity Duration

Stretching an Activity Duration

Reprofiling an Activity Duration

Assigning the Immediate Attribute to an Activity


Setting a Target Finish Date (Procedure)

Setting a Target Finish Date

To set a target finish date in any view, complete the following steps:

  1. Right-click the activity for which you want to set a target finish date.

  2. On the shortcut menu, click Edit Activity.

  3. On the General tab of the Activity Details dialog box, enter the information for a target finish date.

  4. Click Apply.

Related Topics and Procedures

Related Procedure

Setting a Project Target Finish Date (Procedure)


Setting a Target Start Date (Procedure)

Setting a Target Start Date

To set a target start date in a barchart view, complete the following steps:

  1. In the Show menu group of the View tab, select Bar Data mode [image].

  2. Place the cursor anywhere within the activity bar for which you want to set a target start date. (The cursor changes to a symbol.)

  3. Drag the activity bar to a new date. While you drag a bar, a pop-up display indicates the date represented by the cursor position.

The length of the bar always represents the duration relative to the date scale. Therefore, if the date scale is non-linear, the bars may change length as they are moved to different parts of the barchart.

To set a target start date in any view, complete the following steps:

  1. Right-click the activity for which you want to set a target start date.

  2. On the shortcut menu, click Edit Activity.

  3. On the General tab of the Activity Details dialog box, enter the information for a target start date, and click Apply.


Set the Default Activity Duration at the System Level

Use these steps to set the default activity duration for new projects at the system level. To set the default for the selected project only, see Set the Default Activity Duration at the Project Level.

To set the default activity duration at the system level:

  1. Click the File menu and select Preferences » Application.

  2. On the Options dialog box Project tab, in the Default Duration field, enter a duration. You can enter a number with or without a unit (for example 1w for 1 week). If you don’t include a unit, Open Plan assumes that the unit is Days.

Open Plan populates the Default Activity Duration field on the Project Properties Preferences tab with this value for all new projects created after the value is set.

Related Topics and Procedures

Related Topics

Options Dialog Box Project Tab


Set the Default Activity Duration at the Project Level

Use these steps to set the default for the selected project. To set the default activity duration at the system level for all new projects, see Set the Default Activity Duration at the System Level.

To set the default activity duration for the selected project:

  1. Do one of the following:

  • In Open Plan Explorer, right-click on the project and click Properties.

  • On the Processes tab, in the Dialogs menu group, click Properties.

  • On the Edit tab, in the Dialogs menu group, click Properties.

  2. On the Project Properties dialog box Preferences tab, in the Durations group, enter a value or edit the existing value in the Default Activity Duration field.

    3. You can enter a number with or without a unit (for example 1w for 1 week). If you enter a number without a unit, Open Plan defaults to the unit specified in Default Duration Units. If you enter a value without a unit in the Default Activity Duration field and at the same time you change the value in the Default Duration Units field, the default duration unit that is used is the one prior to the latest change.

Open Plan assigns the new default activity duration to all activities that you create after you make this change.

Related Topics and Procedures

Related Topics

Options Dialog Box Project Tab

Project Properties Preferences Tab

Related Procedures

Set the Default Activity Duration for New Projects


Setting Up a Hammock (Procedure)

Setting Up a Hammock

To set up a hammock, complete the following steps:

  1. Create an activity and display the Activity Details dialog box.

  2. On the General tab, enter the following information for the activity:

    • Description (optional)

    • Duration: Zero

    • Type: Hammock

  3. Click the Relationships tab.

  4. Create a start-to-start relationship with the activity that represents the start of the hammock as a predecessor.

  5. Create a finish-to-finish relationship with the activity that represents the finish of the hammock as a predecessor.

  6. Click Apply.

Related Topics and Procedures

Related Topic

Hammocks in Open Plan

Related Procedures

Creating an Activity on a Barchart

Creating an Activity on a Network

Setting a Target Start Date

Setting a Target Finish Date

Creating a Relationship in a Network View

Creating a Relationship in a Barchart view

Changing the Duration of an Activity

Entering Activity Progress


Splitting an Activity Duration (Procedure)

Splitting an Activity Duration

To allow an activity duration to be split during resource scheduling, complete the following steps:

  1. Take one of the following actions to display the Activity Details dialog box:

  • Double-click the appropriate activity.

  • Right-click the appropriate activity, and click Edit Activity on the shortcut menu.

  • Select the appropriate activity, and click Details in the Dialogs menu group of the Edit tab.

  2. On the Advanced tab, use the Min Duration field to enter the minimum number of time units for any piece of the activity duration.

  3. In the Max Splits field, enter the maximum number of pieces into which the activity duration may be split during resource scheduling, and click Apply.

Open Plan splits an activity duration only if doing so allows an activity to be scheduled that would otherwise be delayed due to insufficient resource availabilities.

Related Topics and Procedures

Related Topic

Advanced Tab of the Activity Details Dialog Box

Related Procedures

Splitting an Activity Duration

Stretching an Activity Duration

Reprofiling an Activity Duration

Assigning the Immediate Attribute to an Activity


Stretching an Activity Duration (Procedure)

Stretching an Activity Duration

To allow an activity duration to be stretched during resource scheduling, complete the following steps:

  1. Take one of the following actions to display the Activity Details dialog box:

  • Double-click the appropriate activity.

  • Right-click the appropriate activity, and click Edit Activity on the shortcut menu.

  • Select the appropriate activity, and click Details in the Dialogs menu group of the Edit tab.

  2. On the Advanced tab, use the Max Duration field to enter the maximum time period for the activity duration if it is stretched, and click Apply.

Open Plan stretches an activity duration only if doing so allows an activity to be scheduled that would otherwise be delayed due to insufficient resource availabilities.

Related Topics and Procedures

Related Topic

Advanced Tab of the Activity Details Dialog Box

Related Procedures

Splitting an Activity Duration

Stretching an Activity Duration

Reprofiling an Activity Duration

Assigning the Immediate Attribute to an Activity


Unlinking Activities

This procedure allows you to remove relationships between linked activities in Open Plan.

To unlink activities, complete the following steps:

  1. In Open Plan Explorer, display an activity spreadsheet, a barchart, or a network view.

  2. Select linked activities or tasks from which you want to remove relationships.

  3. Take one of the following actions to display the Link/Unlink Activities dialog box:

    • From the Edit tab of the Activity spreadsheet, resource or activity barchart, or network views, select Link/Unlink Activities. This option only becomes enabled when you select two or more activities.

    • From the context menu of an Activity spreadsheet, a resource or an activity barchart, or a network view, select Link/Unlink Activities.

  4. Select or enter necessary information.

  5. Click Unlink. Open Plan then removes the relationship between the selected activities.

Open Plan displays all errors that occur when unlinking activities on the Link/Unlink Activities Errors dialog box after the process completes.

Related Topics and Procedures

Related Topics

Understanding Chain Activities

Link/Unlink Activities Dialog Box

Related Procedures

Creating and Editing Activities

Linking Activities


Working with Calendars, Resources, and Codes

Although Open Plan allows you to plan your project as you go along, you will frequently find that by planning your project at the outset, you gain a clearer perspective of the project as a whole.

Open Plan allows you to create three types of ancillary files that you can assign to a project:

  • Calendar files — These files can contain any number of individual calendars that you can assign to activities, relationship lags, and resources. You can assign only one calendar file to a project at any one time.

  • Resource files — These files contain all the information about resources, their availabilities, and their costs. You can assign only one resource file to a project at any one time.

  • Code files — These files allow for the collecting and reporting of project information in a variety of formats ranging from high-level summaries to activity-level detail. With the appropriate coding system in place, even the largest networks can provide clear, concise pictures of vital project information. You can assign up to 90 code files to each project.

Setting Up of Ancillary Files

While you can wait to enter information on ancillary data files until after the project is set up, you may prefer to set up the ancillary files first. This allows Open Plan to verify whether resource codes and calendars are valid when you enter activity information. It is particularly useful to have your calendars set up at an early stage of project development since Open Plan refers to this information when performing time analysis and resource scheduling.

While not providing the extensive cost control and reporting features of Cobra (Deltek's sophisticated cost management software), Open Plan allows you to use your resource tracking system for capturing cost information about your project.

You can also attach notes to projects, activities, resources, and codes. These notes can be included in reports based on many of the standard project views.

Refreshing Contents of Ancillary Files

To refresh the contents of the ancillary files assigned to your project from the database, click [image] on the Open Plan Explorer.

The said Refresh button, however, does not refresh the activities of opened projects. If you want to refresh the projects opened in Shared mode, click the corresponding Refresh Project button on the Processes tab.

Moreover, you can refresh code data in code files opened in Shared or Read Only mode on a project opened in Shared mode.

  • When you open the code files in Shared mode and another user updates or adds code values, Open Plan allows all users who are working on a project simultaneously to see the updated code values. You can only view the updated values, however, when you refresh the project data.

  • When you open the code files in Read Only mode and another user makes changes to the code file, you can still refresh the project data. Open Plan refreshes the read only code data as well.

Related Topics and Procedures

Related Topics

Entering Project Properties

Creating and Editing Activities

Working with Hierarchical Projects

Using Resources in Open Plan

Using Calendars

Using Codes in Open Plan

Cost Control Features in Open Plan

Planning Costs

Related Procedures

Creating Activities in a Barchart

Creating Activities in a Network

Creating Activities in a Spreadsheet

Creating a Resource File

Creating a Calendar File

Creating a Code File


Deleting Ancillary Files

There are two ways to delete an ancillary file from O pen Plan Explorer:

  • Select the file and press the Delete key.

  • Use the Select File to Delete dialog box. (This dialog box is accessed by displaying Manage Files from either the File menu or the context menu, and clicking Delete.)

You cannot delete a file that is open, referenced by another file, or to which you do not have the appropriate rights.

Depending on where the file is located in the hierarchical view, Open Plan interprets the deletion as follows:

  • My Folder: If you delete an ancillary file from within this folder, Open Plan only deletes the links you created to these files. No data is deleted from the data source.

  • Open Plan Library: If you delete a calendar, resource definition, or code file from within this folder, the file is deleted from the data source, and any links to the file are also deleted.

Related Topics and Procedures

Related Topic

Working with Calendars, Resources, and Codes


Calendars

By defining the days and hours during which work can be scheduled, calendars allow you to create a realistic project plan. Typically, calendars are standardized across an entire organization and define a standard working day (for example, 8:00 A.M. to 4:00 P.M.), a normal workweek (for example, Monday through Friday), and a set of observed holidays. In some cases, you may want to define more detailed calendars that contain information such as a specific activity work schedule or an employee vacation schedule.

Open Plan has a flexible calendar function that allows you either to define calendar files on a project-by-project basis or to create a single calendar file that can be used with multiple projects. Calendars can also be defined for resource files. Within each calendar file you can define a default calendar, which can then serve as the model for subsequent calendars. You can also define a standard workweek for a calendar and then define any holidays or extra days as exceptions. These features can help you create and maintain project and resource calendars that can be used for planning purposes throughout your organization.

When you first create a calendar file, Open Plan provides a default calendar that assumes Monday through Friday to be working days with an 8-hour work day. You then have the opportunity to modify these defaults and define non-working days as well as holidays and extra work days. For more information, see The Default Calendar.

You can create calendars either as a copy or as a child of any calendar. All calendars inherit the defaults of the calendar from which they were copied. New calendars that are not copied from another calendar inherit the settings of the default calendar. For example, assume that you enter all company holidays for 2007 on a company calendar. All calendars created either as a copy or a child of the company calendar will inherit the same set of holidays.

If you modify the default calendar after creating additional calendars, your changes affect only calendars created in the future. Changes to the default calendar have no effect on other calendars already created. In contrast, if you make a change to a parent calendar, the change is reflected in all its child calendars.

Related Topics and Procedures

Related Topics

Calendar Working Status

Working with Calendars, Resources, and Codes

Using the Add Child Calendar Dialog Box

Related Procedures

Creating a Calendar File

Copying a Calendar File

Deleting a Calendar File

Using the Open Plan Explorer to Assign a Calendar File

Using Project Properties to Assign a Calendar File

Adding a Child Calendar


Calendar Working Status

The calendar display provides an overview of an entire year at a glance. By default, Open Plan identifies four types of working status for any day on a calendar.

  • Working Day: The standard working day on the calendar. For example, assume that a calendar defines Monday through Friday as days on which work is normally performed. In this case, a Monday that has not been identified as a holiday would be a working day.

  • Non-Working Day: The standard non-working day on the calendar. For example, assume that a calendar defines Monday through Friday as days on which work is normally performed. In this case, a Saturday that has not been identified as an extra work day would be a non-working day.

  • Holiday: An exception to the standard working day. For example, assume that a calendar defines Monday through Friday as days on which work is normally performed. In this case, a specific Monday (such as the Monday observed as Memorial Day) might be identified as a holiday if the office would be closed on that day.

  • Extra Work Day: An exception to the standard non-working day. For example, assume that a calendar defines Monday through Friday as days on which work is normally performed. In this case, a specific Saturday might be identified as an extra work day if work is to be performed on that day.

For each working or extra work day, it is possible to define up to 10 spans of valid working times. For example, to describe your standard office hours as 8:00 A.M. to 4:30 P.M. with a 30-minute lunch break, you could define two working periods: 8:00 A.M. to 12:00 P.M., and 12:30 P.M. to 4:30 P.M.

How you set up your calendars for a particular calendar file largely depends on your scheduling requirements. In some cases, you may want to set up a simple calendar file containing only a handful of calendars: one calendar for activities that must be performed Monday through Friday and another calendar for activities that can be scheduled over weekends. In other cases, you may need to set up individual calendars for each resource. This approach allows resource scheduling calculations to take into account such varied factors as part-time status, availability for overtime, and personal vacation schedules.

You can change the working status of any day by selecting it and pressing the spacebar. Or, you can double-click the day and change both the work status and the working hours in the Define Work Hours dialog box. Changing the work status of a working day changes it to a holiday. Changing the work status of a non-working day changes it to an extra work day.

You can make these different types of working status easy to identify by defining a display color and a fill type for each. In addition, you can customize a calendar to start a year with any month you choose and a week with any day of the week.

Open Plan displays a legend beneath each calendar that identifies the name of the calendar, the calendar file of which it is a part, and the current settings for each of the four types of working status.

Any holidays entered in the Holidays dialog box are automatically reflected in the calendar.

You can move the selected date on the calendar using the arrow keys. In addition, the Ctrl+Left arrow key moves the selection to the same day of the previous month; and the Ctrl+Right arrow key moves the selection to the same day of the following month.

You can display the year previous to the one displayed in any of the following ways:

  • By clicking the left arrow [image] on the View group of the Edit tab.

  • By pressing the PgUp key.

  • By right-clicking the calendar and clicking Previous Year on the shortcut menu

You can display the year following the one displayed in any of the following ways:

  • By clicking the right arrow [image] on the View group of the Edit tab.

  • By pressing the PgDn key.

  • By right-clicking the calendar and clicking Next Year on the shortcut menu.

Related Topics and Procedures

Related Topics

Using the Define Work Week Dialog Box

Using the Define Work Hours Dialog Box

Using the Calendar Preferences Dialog Box

Using the Calendars Dialog Box

Using the Holidays Dialog Box

Related Procedures

Creating a New Calendar

Changing the Displayed Year

Entering a Holiday

Entering an Extra Work Day

Changing the Work Status of a Day


Multiple Calendars

Open Plan contains a powerful calendar function that allows you to use any number of calendars to control when work can be performed. In addition to the default project calendar, you can also have specific calendars for activities, relationships, and resources that require exceptions to the default calendar.

For example, while the default calendar for a project may specify a 5-day work week, a part-time resource on the project may work only 3 days a week. This resource would need a specific calendar to reflect that schedule.


Hierarchical Calendars

Open Plan supports hierarchical calendars. This means that calendars can have both a parent and any number of children.

Child calendars inherit from their parents. This means that if a given date is defined as a non-working day or a holiday in a parent calendar, it will have the same status in all its child calendars unless overridden in the child calendar.

While you can change the status of any day on a calendar, be aware that if you change the status of a day on a parent calendar, the status of that day is also changed on all of its child calendars.

Related Topics and Procedures

Related Topics

Calendar Files

The Default Calendar

Activity and Relationship Calendars

Resource Calendars

Add Additional Calendars

Related Procedures

Add a Calendar

Add a Child Calendar

Display Different Calendars in a Calendar File


Calendar Files

Open Plan stores information about working and non-working times in calendar files. Each time you perform a scheduling operation that calculates dates (for example, time analysis), Open Plan refers to the calendar file assigned to the project. In this way, work is scheduled to take place only during valid working times.

Because activities and resources within the same project can have different work schedules, calendar files can include multiple calendars, each defining a specific set of working and non-working times. Think of a calendar file as a container storing all the possible calendars that activities, resources, and relationships in a project might use. For example, a single calendar file might contain calendars that define different shift patterns, workweeks, or sets of holidays. This design allows the same project to use different definitions of working hours, working days, and holidays. There are no limits to the number of calendars you can define in a single calendar file.

Calendar files can be project-specific, or they can be shared by multiple projects. If you make changes to the information in a calendar file, the changes will affect all of the projects to which the calendar file is assigned. To make changes in a calendar file to affect only a single project, make sure that the calendar file is not assigned to other projects.

If you do not assign a calendar file to a project, Open Plan assumes that work can be scheduled using a 40-hour workweek (8 hours per day, 5 days per week, and no holidays).

Open Plan offers a number of ways to manage the calendars in a calendar file:

  • Add a new calendar that is based on the default calendar for the calendar file.

  • Add a calendar as a child of an existing calendar.

  • Create a new calendar by copying an existing calendar.

  • Rename an existing calendar.

  • Delete a calendar from the file.

To perform these functions, use the Calendars dialog box.

In the Open Plan Explorer, calendar files are stored in the Calendar folder of the Open Plan Library.

You can open calendar files from within either the Open Plan Library or a specific project or resource folder. You can assign a calendar file to projects and resource files using either of the following methods:

  • Use the Files tab of the appropriate Properties dialog box.

  • Drag the calendar file from the Open Plan Library to the project or resource folder.

User-defined dates such as target dates or actual dates are not restricted to valid working days. Adding a Child Calendar

Related Topics and Procedures

Related Topic

Working with Calendars

Related Procedures

Creating a Calendar File

Copying a Calendar File

Deleting a Calendar File

Assign a Calendar File Using Drag and Drop

Assign a Calendar File Using Project Properties

Assign a Calendar File Using the Open Plan Explorer


The Default Calendar

Each time you create a new calendar file, Open Plan automatically creates a default calendar that defines a Monday-through-Friday workweek with no holidays. Each work day has 8 working hours — 8:00 A.M. to 4:00 P.M.. This default calendar serves as the model for all new calendars added to the file.

In addition to using the default calendar as a model for subsequent calendars, Open Plan applies the default calendar to all activities and to resources that have not been assigned specific calendars.

You can modify the contents of a default calendar at any time. Although changing a default calendar has no effect on existing calendars in the file, any calendars you add thereafter will be based on the new defaults. Thus, you can customize a default calendar using the most commonly used work calendar (which might include, for example, a list of standard corporate holidays) and then set up subsequent calendars on an exception basis.

If all of the activities and resources in a project use the same calendar, you can, in effect, define a project calendar by customizing the default calendar of the calendar file assigned to the project.


Activity and Relationship Calendars

You can specify both a default activity calendar and a default relationship calendar on the Preferences tab of the Project Properties dialog box.

  • The Def. Activity Calendar field is used to specify that an existing calendar is to be used as the default calendar for new activities.

  • The Def. Relationship Calendar field is used to specify that an existing calendar is to be used as the default calendar for new relationships.


Resource Calendars

You can assign a calendar file to a resource file either by dragging it from the Open Plan Library to the resource folder or by using the Files tab of the resource file’s Properties dialog box.

Clicking the ellipsis button to the right of the Calendar field displays the Select dialog box from which you can select the appropriate calendar file.

The calendar file you assign to the resource file helps to define the availability of resources. Since the calendars you assign to resources are defined in the resource calendar file, resource availabilities are consistent when viewed by different projects.


Reporting Calendars

Reporting calendars allow you to view time-scaled data in a barchart or histogram view using a non-linear date scale. Using reporting calendars you can, for example, display a histogram that shows resource usage on a monthly basis for the next three months, on a quarterly basis for the four quarters following that, and on a yearly basis for the remaining years of the project.

Reporting calendars are a useful reporting tool since planners and project managers tend to be more interested in detailed information for events happening relatively soon. For events happening in the more distant future, on the other hand, information summarized to a higher level is often perfectly adequate and may be more understandable.

For example, you could use a date scale based on reporting calendars to view a histogram or barchart report that shows data in weeks for the current month, in months for the remainder of the quarter, and then in quarters for the rest of the year. You might then only want to look at reports that show data in years for the remainder of the project.

You can define multiple reporting calendars that can be used with any project. This makes it easy to create views and reports that show the same data summarized against different sets of reporting periods. Using this feature you can, for example, set up one view that shows the project cost estimates against your standard fiscal reporting periods and another view that shows the same data using the client’s reporting periods.

This feature is also frequently used to create fiscal calendars. Many companies define their fiscal calendars in such a way that the month ends on a Friday. Using the Reporting Calendar feature, you can define calendars that end on a specific date. You can then create a histogram that displays the budget per fiscal period.

Once created, you can use the Date Scale Preferences dialog box Reporting Calendar tab to select a different reporting calendar to use on the date scale of each barchart or histogram. This feature allows you to create reports that provide different views of the same data. For example, you might want to create a barchart based on your fiscal year and another barchart based on the client's fiscal year.

To see the list of available reporting calendars, click Reporting Calendars on the Tools tab to display the Reporting Calendars dialog box. To define a reporting calendar, you can enter a set of cut-off dates and labels using the Edit Reporting Calendar dialog box.

For data prior to the first date, Open Plan uses the first reporting periods to extrapolate the period interval in order to report the data. For data after the last date, Open Plan extrapolates the period interval using the last two reporting periods. For example, assume you have defined the reporting calendar to report data in weeks for 4 weeks and then in months for 11 months. For data prior to the first date in the reporting calendar, Open Plan will use the first two reporting periods to determine the period interval is weeks and report the data accordingly. Data following the last date in the reporting calendar is displayed in months.

Default Reporting Calendar

You can specify a default reporting calendar on the Cost tab of the Project Properties dialog box. The Reporting Calendar field is used as a default reporting calendar for the date scale if the reporting calendar option is chosen. When creating or updating a baseline, Open Plan uses the data in this file to break any usage records that span more than one calendar period into additional records.

While this feature may be used with any Open Plan project, it is particularly useful to Cobra users as it improves the ability of Cobra to display Open Plan baseline information accurately.

Related Topics and Procedures

Related Topics

Date Scale Preferences Report Calendar Tab

Using the Reporting Calendars Dialog Box

Using the Add Reporting Calendar Dialog Box

Using the Copy Reporting Calendar Dialog Box

Using the Edit Reporting Calendar Dialog Box

Related Procedures

Customizing a Date Scale

Creating a New Reporting Calendar

Editing a Reporting Calendar

Copying a Reporting Calendar

Deleting a Reporting Calendar


Add Additional Calendars

If you want to define more patterns of work than can be described using the default calendar, you can add additional calendars to a calendar file. Any new calendar you add inherits all of the information stored for the default calendar.

When adding a new calendar as a child, the child calendar inherits its settings from the parent. For example, a parent calendar can be defined to show company and public holidays while child calendars can be defined to show additional personal holidays for individual employees. Using this feature, the individual employee calendars will also include both the company and public holidays that have been defined in the parent calendar.

There is no limit to the number of calendars that you can define for a single calendar file.

Related Topics and Procedures

Related Topics

Hierarchical Calendars

Calendar Files

The Default Calendar

Activity and Relationship Calendars

Resource Calendars

Related Procedures

Add a Calendar

Add a Child Calendar

Display Different Calendars in a Calendar File


Defining a Standard Workweek

For each calendar in a calendar file, you can define a standard workweek, that is, the normal working hours and days for the calendar. Typically, you would want to do this immediately after creating a new calendar.

Once you have defined a standard workweek for a calendar, you need specify only those working times or days that deviate from the standard.

Use the Define Work Week dialog box to define the standard workweek for a calendar.

Related Topics and Procedures

Related Topics

The Default Calendar

Activity and Relationship Calendars

Resource Calendars

Related Procedure

Define the Standard Work Week


Entering Calendar Information

When you open a calendar file, Open Plan displays the information for the first calendar in the file. This display allows you to view an entire year at one time.

You can use the keyboard to move through the calendar dates as follows:

Key | Action
Left Arrow | Go to previous day
Right arrow | Go to next day
Ctrl+Left arrow | Go to same day in previous month
Ctrl+Right arrow | Go to same day in next month
Up arrow | Go to same day in previous week
Down arrow | Go to same day in next week
Page Up | Go to previous year
Page Down | Go to next year
Home | Go to first day of year
End | Go to last day of year

To change the work status of a day, select the day and press the Spacebar. You can also double-click a date or press CTRL+Spacebar to display the working hours for a date.

Unless you specify otherwise, the working times for a day default to the definition for that day in the standard workweek. If standard working times have not been defined for the day, Open Plan defaults to an 8-hour workday — 8:00 A.M. to 4:00 P.M.

Related Topics and Procedures

Related Procedures

Define the Standard Work Week

Change the Work Status of a Day

Define the Work Hours for a Day

Go to a Specific Date on a Calendar

Go to the Previous Year on a Calendar


Setting up a Holiday List

In Open Plan, holidays are standard or extra working days that have been designated as non-working. You can define each holiday individually, or if you prefer, you can enter and maintain the holidays for a calendar as a list using the Holidays dialog box.

You can define holidays that repeat each year. For example, you might define January 1 as a repeating holiday.

You can enter a holiday on a non-working day only if the holiday is repeated yearly. If it is not repeated yearly, Open Plan continues to display the day as non-working.

If a given date is defined as a holiday in a parent calendar, it is marked with the holiday color in all its child calendars. However, the date is not identified as a holiday on the Holidays dialog box displayed from the child calendar. The dialog box shows only those holidays defined for that child calendar from which it is accessed.

Related Topics and Procedures

Related Topic

Holidays Dialog Box

Related Procedures

Enter a Holiday

Enter Company Holidays

Enter Multiple Holidays


Controlling the Display of Calendars

Open Plan offers a number of settings that allow you to control how calendar information is displayed.

The Layout tab of the Calendar Preferences dialog box controls how Open Plan arranges dates in a calendar.

Use the Color tab of the Calendar Preferences dialog box to define a color and a fill pattern for the different types of days in a calendar.

Related Topics and Procedures

Related Topic

Calendar Preferences Dialog Box

Related Procedures

Set Calendar Color Preferences

Change the Font on a Calendar

Set Calendar Options


Add Calendar Dialog Box

This dialog box contains a single text box where you can enter a name for the calendar.

Location

To display the Add Calendar dialog box, complete the following steps:

  1. In Open Plan Explorer, select a project or project view.

  2. From the main toolbar, click Calendar in the Ancillary Data menu group of the Processes tab.

  3. With the Calendar View tab displayed, click Calendars in the Calendar Data menu group of the Edit tab.

  4. Click New in the Calendars dialog box.

Related Topics and Procedures

Related Topic

Using the Calendars Dialog Box

Related Procedures

Creating a New Calendar

Adding a Child Calendar

Copying a Calendar

Renaming a Calendar


Add Child Calendar Dialog Box

This dialog box allows you to add a new calendar as a child of the calendar you selected in the Calendars dialog box. The Calendar text box displays the selected calendar followed by a period. To create the child calendar, add the local part of the name after the period.

The calendar you create with this dialog box inherits the work days and holidays from its parent. This means that if a given date is defined as a non-working day in its parent calendar, this date will also be a non-working day on the new calendar you create unless overridden in the child calendar.

Location

To display the Add Child Calendar dialog box, complete the following steps:

  1. In Open Plan Explorer, select a project or project view.

  2. From the main toolbar, click Calendar in the Ancillary Data menu group of the Processes tab.

  3. With the Calendar View tab displayed, click Calendars in the Calendar Data menu group of the Edit tab.

  4. In the Calendars dialog box, select a calendar, and click Add Child.

Related Topics and Procedures

Related Topic

Working with Calendars

Related Procedure

Adding a Child Calendar


Calendar Preferences Dialog Box

You can customize how a calendar displays information by setting your preferences using the Calendar Preferences dialog box. This dialog box contains two tabs:

  • The Layout tab allows you to set the start day of the week and the start month of the year.

  • The Color tab allows you to set the color and fill pattern used to identify working days, non-working days, extra work days, and holidays on the selected calendar.

Any options you set using the Calendar Preferences dialog box affect the display of all calendars in your installation of Open Plan.

Location

To display the Calendar Preferences dialog box, complete the following steps:

  1. In Open Plan Explorer, select a project or project view.

  2. From the main toolbar, click Calendar in the Ancillary Data menu group of the Processes tab.

  3. With the Calendar View tab displayed, click Preferences in the View menu group of the Edit tab.

Related Topics and Procedures

Related Topics

Calendar Preferences Color Tab

Calendar Preferences Layout Tab

Related Procedures

Setting Calendar Color Preferences

Setting Calendar Options


Calendar Preferences Layout Tab

This tab allows you to specify both a starting day of the week and a starting month of the year.

  • The Start Day of Week option is frequently used in parts of the world where the work week is not normally Monday through Friday.

  • The Start Month of Year option is frequently used to define a fiscal calendar.

The settings that you make on this tab apply to the Calendar View and are reflected on all the calendars.

Location

To display the Calendar Preferences dialog box, complete the following steps:

  1. In Open Plan Explorer, select a project or project view.

  2. From the main toolbar, click Calendar in the Ancillary Data menu group of the Processes tab.

  3. With the Calendar View tab displayed, click Preferences in the View menu group of the Edit tab.

Related Topics and Procedures

Related Topics

Using the Define Work Week Dialog Box

Using the Calendar Preferences Dialog Box

Calendar Preferences Color Tab

Related Procedure

Setting Calendar Options


Calendar Preferences Color Tab

This tab controls both the color and fill pattern for each of the following types of work status in a calendar:

  • Working day: The standard working day on the calendar. For example, assume that a calendar defines Monday through Friday as days on which work is normally performed. In this case, a Monday that has not been identified as a holiday would be a working day.

  • Non-working day: The standard non-working day on the calendar. For example, assume that a calendar defines Monday through Friday as days on which work is normally performed. In this case, a Saturday that has not been identified as an extra work day would be a non-working day.

  • Extra work day: An exception to the standard non-working day. For example, assume that a calendar defines Monday through Friday as days on which work is normally performed. In this case, a specific Saturday might be identified as an extra work day if work is to be performed on that day.

  • Holiday: An exception to the standard working day. For example, assume that a calendar defines Monday through Friday as days on which work is normally performed. In this case, a specific Monday (such as the Monday observed as Memorial Day) might be identified as a holiday if the office would be closed on that day.

For each work status, you can select the following options:

  • Color: Clicking the down arrow displays a Color dialog box that you can use to select a color. The Color dialog box offers a choice of 70 standard colors.

  • You can define custom colors using an enhanced version of the Color dialog box accessed from the Color tab of the Options dialog box.

  • Fill Pattern: Clicking the down arrow displays 6 fill patterns from which you can select. These fill patterns can be used to differentiate between the different types of work status on a monochrome monitor or printer.

The settings that you make on this tab apply to the Calendar View and are reflected on all the calendars.

Location

To display the Calendar Preferences dialog box, complete the following steps:

  1. In Open Plan Explorer, select a project or project view.

  2. From the main toolbar, click Calendar in the Ancillary Data menu group of the Processes tab.

  3. With the Calendar View tab displayed, click Preferences in the View menu group of the Edit tab.

Related Topics and Procedures

Related Topics

Using the Define Work Week Dialog Box

Using the Calendar Preferences Dialog Box

Calendar Preferences Layout Tab

Related Procedure

Setting Calendar Color Preferences


Calendars Dialog Box

The Calendars dialog box contains a list of calendars currently defined in the calendar file. The following buttons allow you to manage the calendars in the calendar file:

  • New: Allows you to add a new calendar to the file.

  • Add Child: Allows you to add a new calendar as a child of the selected calendar.

  • Copy: Creates a new calendar as a copy of the one you selected.

  • Rename: Renames a selected calendar to a new name.

  • Delete: Deletes the selected calendar from the calendar file.

Child calendars inherit properties from their parents. This means that if a given date is defined as a non-working day in a parent calendar, it will also be a non-working day for all of its children unless overridden by the child calendar.

You can, of course, change the status of any day on a calendar. If you change the status of a day on a parent calendar, the status of that day is changed not only on that calendar, but also on all of its child calendars.

Location

To display the Calendars dialog box, complete the following steps:

  1. In Open Plan Explorer, select a project or project view.

  2. From the main toolbar, click Calendar in the Ancillary Data menu group of the Processes tab.

  3. With the Calendar View tab displayed, click Calendars in the Calendar Data menu group of the Edit tab.

You can also right-click anywhere on the Calendar View tab and click Calendars on the context menu.

Related Topics and Procedures

Related Topics

Using the Add Calendar Dialog Box

Using the Add Child Calendar Dialog Box

Using the Copy Calendar Dialog Box

Using the Rename Calendar Dialog Box

Related Procedures

Creating a New Calendar

Adding a Child Calendar

Copying a Calendar

Renaming a Calendar

Deleting a Calendar


Copy Calendar Dialog Box

This dialog box allows you to create a new calendar as a copy of the one you selected. The name of the selected calendar is displayed in the box and highlighted. Any characters you type replace the name that is displayed.

You cannot have two calendars with the same name in the calendar file. Therefore, if you click OK without changing the name, Open Plan displays an error message.

If you are working with hierarchical calendars, notice that you can change only the local portion of the name.

Location

To display the Copy Calendar dialog box, complete the following steps:

  1. In Open Plan Explorer, select a project or project view.

  2. From the main toolbar, click Calendar in the Ancillary Data menu group of the Processes tab.

  3. With the Calendar View tab displayed, click Calendars in the Calendar Data menu group of the Edit tab.

  4. In the Calendars dialog box, select a calendar, and click Copy.

Related Topics and Procedures

Related Topic

Using the Calendars Dialog Box

Related Procedures

Creating a New Calendar

Adding a Child Calendar

Copying a Calendar

Renaming a Calendar


Define Work Hours Dialog Box

Use this dialog box to define whether a day is working or non-working and to specify the start and end hours.

Child calendars inherit properties from their parents. This means that if you change the work hours for a given day in a parent calendar, they will also be changed for all of its children.

Date

Open Plan displays the currently selected date.

Working

Select this option to specify that the selected day is a work day.

  • If you change a non-working day to a working day, Open Plan views it as an extra work day.

  • If you change a holiday to a working day, Open Plan views it as a working day.

Non-Working

Select this option to specify that the selected day is a non-working day.

  • If you change a working day to a non-working day, Open Plan views it as a holiday.

  • If you change an extra work day to a non-working day, Open Plan views it as a non-working day.

Start Time / Stop Time

The Start Time and Stop Time columns display the working hours for that day.

You can change the working hours of the selected date by editing the displayed hours. You can also add a work period by selecting an empty cell at the bottom of the list and entering both a start time and a stop time for the work period. While Open Plan recognizes a number of commonly used time formats, time is always displayed in military format. For example, you can enter time using any of the following time formats:

Date Illustration | Notes
18:30 | Military time uses a 24-hour clock. The number before the colon represents hours. The number after the colon represents minutes.
6:30 pm | The number after the colon represents minutes.
6:30 PM | You can also use uppercase letters for AM and PM. The number after the colon represents minutes.

Reset

The Reset button allows you to restore the working hours for the selected date to those defined in the standard work week for that calendar.

Location

To display the Copy Calendar dialog box, complete the following steps:

  1. In Open Plan Explorer, select a project or project view.

  2. On the toolbar, select the Processes tab and click Calendar in the Ancillary Data menu group.

  3. With the Calendar View tab displayed, take one of the following actions:

  • Select a date in the calendar and click Work Hours in the Calendar Data menu group of the Edit tab.

  • Right-click a date on the calendar and click Define Work Hours on the context menu.

  • Double-click a date in a calendar.

  • Select the date and press the Ctrl+Spacebar keys.

Related Topics and Procedures

Related Topics

Using the Define Work Week Dialog Box

Using the Calendar Preferences Dialog Box

Related Procedure

Defining the Work Hours for a Day


Define Work Week Dialog Box

When Open Plan displays this dialog box, days that have been defined as working days on the calendar are identified with an asterisk. For each selected working day, Open Plan displays the default working hours in the Start Time and Stop Time columns.

Open Plan does not display information in the Start Time and Stop Time columns when more than one day is selected.

You can change the working status of one or more days by selecting them and then clicking either the Working or Non-Working option.

You can change the working hours of any working day by editing the hours displayed in the Start Time and Stop Time boxes. You can also add a work period by selecting an empty cell at the bottom of the list and entering both a start time and a stop time for the work period. While Open Plan recognizes a number of commonly used time formats, time is always displayed in military format.

For example, you can enter time using any of the following time formats:

Date Illustration | Notes
18:30 | Military time uses a 24-hour clock. The number before the colon represents hours. The number after the colon represents minutes.
6:30 pm | The number after the colon represents minutes.
6:30 PM | You can also use uppercase letters for AM and PM. The number after the colon represents minutes.

You can have up to 10 work periods per day.

Open Plan displays any work day with changed work hours as an extra work day.

Child calendars inherit from their parents. This means that when you define the work week for a parent calendar, the settings you enter apply also to all the child calendars.

When entering start and stop times, the following conditions apply:

  • You must enter a start and stop time for each period. The start time of a period cannot be earlier than the stop time of the previous period.

  • You can define working times for more than one day at a time. Select multiple days by dragging in the list or by pressing the Shift key in combination with the Up or Down arrow key. Then enter the working times.

  • If you enter work times using a 24-hour format (where, for example, 22:00 represents 10:00 P.M.), you cannot define a work period that spans midnight by entering a time such as 26:00.

Location

To display the Copy Calendar dialog box, complete the following steps:

  1. In Open Plan Explorer, select a project or project view.

  2. From the main toolbar, click Calendar in the Ancillary Data menu group of the Processes tab.

  3. With the Calendar View tab displayed, click Work Week in the Calendar Data menu group of the Edit tab.

Related Topics and Procedures

Related Topics

Using the Define Work Hours Dialog Box

Using the Calendar Preferences Dialog Box

Calendar Preferences Color Tab

Calendar Preferences Layout Tab

Related Procedure

Defining the Standard Work Week


Go to Date Dialog Box (Calendar)

This dialog box allows you to select any date on the displayed calendar. Typically, you would use this dialog box to select a date on a year or month that is not currently displayed on the calendar.

This dialog box contains a single edit box where you can enter the date you want to select. An ellipsis is located at the right edge of this edit box. Clicking this ellipsis displays the Select Date pop-up calendar that you can use to select a date.

Location

To display the Copy Calendar dialog box, complete the following steps:

  1. In Open Plan Explorer, select a project or project view.

  2. From the main toolbar, click Calendar in the Ancillary Data menu group of the Processes tab.

  3. With the Calendar View tab displayed, take one of the following actions:

  • Right-click the calendar and click Go to Date on the context menu.

  • Display a calendar and click Go to Date in the View menu group of the Edit tab.

Related Topics and Procedures

Related Topic

Calendar Working Status

Related Procedures

Selecting Dates on a Calendar

Changing the Work Status of a Day

Changing the Displayed Year


Holidays Dialog Box

The calendar box displays a list of calendars for which you can define holidays.

You can enter any number of holidays for the selected calendar. You can also specify whether the holiday should be repeated every year. Open Plan recognizes a number of commonly used date formats. For example, you can use any of the following date formats:

Date Illustration | Notes
10/3/2007 or 10/3/07 | You can also use a space or any punctuation mark except the colon (:) as a separator. You can also abbreviate the year to the last 2 digits (07 in this example). Open Plan uses the date format set in Windows to determine whether the first number is the month or the date.
October 3 2007 or October 3 07 | You can also abbreviate the year to the last 2 digits (07 in this example). Open Plan recognizes the language set for your computer.
Oct 3 2007 or Oct 3 07 | You can use the 3-letter abbreviation for the month. You can also abbreviate the year to the last 2 digits (07 in this example).

Any entries you make in this dialog box are automatically displayed in the calendar when the dialog box is closed.

You can enter a holiday on a non-working day only if the holiday is repeated yearly. If the holiday is not repeated yearly, Open Plan continues to display the day as a non-working day.

If a given date is defined as a holiday in a parent calendar, it is marked with the holiday color in all its child calendars. However, the date is not identified as a holiday in the Holidays dialog box displayed from the child calendar since that dialog box shows only those holidays defined for the specific calendar from which it is accessed.

Location

To display the Copy Calendar dialog box, complete the following steps:

  1. In Open Plan Explorer, select a project or project view.

  2. From the main toolbar, click Calendar in the Ancillary Data menu group of the Processes tab.

  3. With the Calendar View tab displayed, take one of the following actions:

  • Select a date in the calendar and click Holidays in the Calendar Data menu group of the Edit tab.

  • Right-click a date on the calendar and click Holidays on the context menu.

Related Topics and Procedures

Related Topic

Setting up a Holiday List

Calendar Working Status

Related Procedures

Entering a Holiday

Entering Multiple Holidays

Entering Company Holidays


Rename Calendar Dialog Box

This dialog box contains a single text box where you can enter the new name for the calendar. The current name of the calendar is displayed in the box and highlighted. Any characters you type replace the name that is displayed.

When working with hierarchical calendars, be aware of the following ramifications of renaming a calendar:

  • If you change the name of a parent calendar, Open Plan automatically changes the name of its child calendars.

  • If you are working with a child calendar, notice that you can change only the local portion of the calendar name.

If you change your mind about renaming the calendar, click Cancel.

Location

To display the Add Child Calendar dialog box, complete the following steps:

  1. In Open Plan Explorer, select a project or project view.

  2. From the main toolbar, click Calendar in the Ancillary Data menu group of the Processes tab.

  3. With the Calendar View tab displayed, click Calendars in the Calendar Data menu group of the Edit tab.

  4. In the Calendars dialog box, select a calendar, and click Rename.

Related Topics and Procedures

Related Topic

Using the Calendars Dialog Box

Related Procedures

Creating a New Calendar

Adding a Child Calendar

Copying a Calendar

Renaming a Calendar


Print Calendar Dialog Box

This dialog box allows you to print calendars for any range of years you specify. You can also set the resolution for your print job.

The Copies field controls the number of copies of the calendar Open Plan should print, while the Collate option controls whether Open Plan should collate the calendars being printed.

The Setup button displays a dialog box where you can specify the printer you want to use as well as any options that are specific to your printer driver.

Location

To display the Print dialog box, complete the following steps:

  1. In Open Plan Explorer, select a project or project view.

  2. From the main toolbar, click Calendar in the Ancillary Data menu group of the Processes tab.

  3. With the Calendar View tab displayed, click File » Print » Print.

Related Topics and Procedures

Related Topic

Using the Print Setup Dialog Box

Related Procedure

Printing a Calendar


Assign a Calendar File Using Drag and Drop

To assign a calendar file to a resource file using drag and drop, complete the following steps:

  1. Locate the appropriate calendar file in the Open Plan Library.

  2. Drag it to the target file folder.

When you assign a resource calendar file, be sure to drag the calendar file to the resource file folder and not to the project folder. Dragging it to the project folder will replace the project calendar.


Using Project Properties to Assign a Calendar File (Procedure)

Using Project Properties to Assign a Calendar File

To assign a calendar file to a project using the Project Properties dialog box, complete the following steps:

  1. Open the project in Exclusive mode.

  2. Right-click the project folder, and click Properties on the shortcut menu.

  3. Click the Files tab.

  4. On the right of the Calendar File field, click the ellipsis button.

  5. In the Select dialog box, select the calendar file that you want to assign to the project, and click OK.

  6. In the Project Properties dialog box, click OK again.

Related Topics and Procedures

Related Topic

Working in the Exclusive Mode

Using the Project Properties: Files Tab

Related Tasks

Creating a Calendar File

Opening a Calendar File

Saving a Calendar File

Copying a Calendar File

Deleting a Calendar File

Using Project Properties to Assign a Calendar File


Using the Open Plan Explorer to Assign a Calendar File (Procedure)

Using the Open Plan Explorer to Assign a Calendar File

To assign a calendar file to a project using drag-and-drop, complete the following steps:

  1. Select a calendar file from the Calendars folder in the Open Plan Library.

  2. Drag the calendar file onto the target project folder.

If a calendar file is already assigned to the project, Open Plan asks whether or not you want to replace the currently assigned calendar file with the new one.

Related Topics and Procedures

Related Topics:

Using Calendars

Related Procedures:

Creating a Calendar File

Opening a Calendar File

Saving a Calendar File

Copying a Calendar File

Deleting a Calendar File

Creating a New Calendar

Defining the Standard Work Week

Setting Starting Month of the Year

Setting Starting Day of the Week

Setting Calendar Color Preferences

Changing the Font on a Calendar

Using Project Properties to Assign a Calendar File


Copying a Calendar File (Procedure)

Copying a Calendar File

To copy a calendar file, complete the following steps:

  1. From Open Plan Explorer, display the calendar file that you want to copy.

  2. On the File menu, click Save As.

  3. Enter a new name for the calendar file, and click OK.

You cannot perform a Save As operation on a file if there is another file open that refers to it. For example, if you open project CLEAN and then try to perform a Save As operation on the calendar file CLEANCAL, the Save As button is disabled.

Related Topics and Procedures

Related Topic

Using the Save As Dialog Box

Related Tasks

Creating a Calendar File

Opening a Calendar File

Saving a Calendar File

Deleting a Calendar File

Creating a New Calendar

Defining the Standard Work Week

Setting Starting Month of the Year

Setting Starting Day of the Week

Setting Calendar Color Preferences

Changing the Font on a Calendar

Using Project Properties to Assign a Calendar File

Using the Open Plan Explorer to Assign a Calendar File to a Project


Creating a Calendar File (Procedure)

Creating a Calendar File

To create a new calendar file, complete the following steps:

  1. Display the New File dialog box for creating calendars by clicking File » New » Calendar File.

  2. Enter a name and description for the calendar file.

  3. Take one of the following actions:

    • To create a basic calendar file using Open Plan default settings, click Finish.

    • To enter detailed information about the calendar file using the New File Wizard, click Next, and proceed to step 4.

    You can always enter this detailed information at a later time using the Calendar Properties dialog box.

  4. On the first page of the New File Wizard, set the following options:

    • From the list, select the default access mode for the calendar file.

    • Select whether to create an original new calendar file or create a calendar file as a copy of an existing one.

    If you are creating the new calendar file as a copy of an existing one, you must also select the calendar file that you want to use as a template.

  5. Click Next.

  6. On the Access Control page of the wizard, complete the information to specify the permissions that groups or users with a given role have to the calendar file.

  7. Click Finish.

Related Topics and Procedures

Related Topics

Using the New File Wizard

New File Dialog Box

Using Calendars

New File Wizard Create Page

Related Procedures

Opening a Calendar File

Saving a Calendar File

Copying a Calendar File

Deleting a Calendar File

Creating a New Calendar

Defining the Standard Work Week

Setting Starting Month of the Year

Setting Starting Day of the Week

Setting Calendar Color Preferences

Changing the Font on a Calendar

Using Project Properties to Assign a Calendar File

Using the Open Plan Explorer to Assign a Calendar File to a Project


Delete a Calendar File (Procedure)

Delete a Calendar File

To delete a calendar file, complete the following steps:

You cannot delete a calendar file that is referred to by another file. For example, you cannot delete a calendar file if any project still uses it.

  1. Click File » Manage Files » Delete.

  2. In the Select File to Delete dialog box, select the calendar file you want to delete.

  3. Click Delete.

Deleting a calendar file from a project folder removes any activity calendar assignments from the project.

If you delete a calendar file that has been assigned to a project and you do not assign a new calendar file, Open Plan will perform all future calculations based on the default calendar. Existing calculated dates are not affected until you perform time analysis, risk analysis, or resource scheduling.

You can select multiple files to delete at one time by Ctrl+clicking or Shift+clicking the desired files.

Related Topics and Procedures

Related Topic

Using the Delete File Dialog Box

Related Procedures

Creating a Calendar File

Opening a Calendar File

Saving a Calendar File

Copying a Calendar File

Creating a New Calendar

Defining the Standard Work Week

Setting Starting Month of the Year

Setting Starting Day of the Week

Setting Calendar Color Preferences

Changing the Font on a Calendar

Using Project Properties to Assign a Calendar File

Using the Open Plan Explorer to Assign a Calendar File to a Project


Opening a Calendar File (Procedure)

Opening a Calendar File

To open a calendar file, complete the following step:

  1. In Open Plan Explorer, take one of the following actions:

  2. Click File » Open and use the File Open dialog box to select the calendar file that you want to open in your preferred mode. In the List Files of Type field, select Calendar so that only calendar files are displayed.

  3. Right-click the calendar file, point to Open on the context menu, and select the mode in which to open the calendar.

  4. Double-click the calendar file that you want to open.

Related Topics and Procedures

Related Topic

Using Calendars

Related Procedures

Creating a Calendar File

Saving a Calendar File

Copying a Calendar File

Deleting a Calendar File

Creating a New Calendar

Defining the Standard Work Week

Setting Starting Month of the Year

Setting Starting Day of the Week

Setting Calendar Color Preferences

Changing the Font on a Calendar

Using Project Properties to Assign a Calendar File

Using the Open Plan Explorer to Assign a Calendar File to a Project


Saving a Calendar File (Procedure)

Saving a Calendar File

To save a calendar file, complete the following step:

  1. To save the changes you made in a calendar file, take one of the following actions:

    • On the File menu, click Save.

    • Press the Ctrl+S keys.

    • On the Quick Access Toolbar, click the Save [image] button.

The first time you save a calendar file, Open Plan places the file in the Calendars folder of the Open Plan Library. You can also save the calendar file with a different name by using the Save As command on the File menu.

Related Topics and Procedures

Related Procedures

Creating a Calendar File

Opening a Calendar File

Copying a Calendar File

Deleting a Calendar File

Creating a New Calendar

Defining the Standard Work Week

Setting Starting Month of the Year

Setting Starting Day of the Week

Setting Calendar Color Preferences

Changing the Font on a Calendar

Using Project Properties to Assign a Calendar File

Using the Open Plan Explorer to Assign a Calendar File to a Project


Add a Calendar

To add a calendar to a calendar file, complete the following steps:

  1. In Open Plan Explorer, display a calendar.

  2. In the Calendar View, take one of the following actions:

  3. Click Calendars in the Calendar Data menu group of the Edit tab.

  4. Right-click the Calendar View, and click Calendars on the context menu.

  3. In the Calendars dialog box, click New.

  4. Enter the name for the new calendar, and click OK.

    5. Open Plan creates the new calendar based on the default calendar in that calendar file.

  5. To display the new calendar, select the calendar in the Calendars dialog box, and click Select.

Related Topics and Procedures

Related Topics

Calendars Dialog Box

Using the Add Calendar Dialog Box

Related Procedures

Creating a New Calendar

Copying a Calendar

Renaming an Existing Calendar

Deleting a Calendar

Changing the Font on a Calendar


Adding a Child Calendar (Procedure)

Adding a Child Calendar

To add a child calendar, complete the following steps:

  1. In Open Plan Explorer, display a calendar.

  2. In the Calendar View, take one of the following actions:

  3. Click Calendars in the Calendar Data menu group of the Edit tab.

  4. Right-click the Calendar View, and click Calendars on the context menu.

  3. In the Calendars dialog box, select the calendar to which you want to add a child, and click Add Child.

  4. In the Add Child Calendar dialog box, add the local part of the calendar name to the name that is displayed in the text box.

  5. Click OK. Open Plan automatically enters the parent portion of the name of the child calendar.

Related Topics and Procedures

Related Topics

Calendars Dialog Box

Using the Add Calendar Dialog Box

Related Procedures

Creating a New Calendar

Copying a Calendar

Renaming an Existing Calendar

Deleting a Calendar

Changing the Font on a Calendar


Changing the Displayed Year (Procedure)

Changing the Displayed Year

To display the year previous to the one displayed, complete the following steps:

  1. In Open Plan Explorer, display a calendar.

  2. Take one of the following actions:

  • On the Edit tab, click the Previous Year [image] button.

  • Press the PgUp key.

  • Right-click the calendar, and click Previous Year on the context menu.

To display the year following the one displayed, complete the following steps:

  1. In Open Plan Explorer, display a calendar for a project.

  2. Take one of the following actions:

  • On the Edit tab, click the Next Year [image] button.

  • Press the PgDn key.

  • Right-click the calendar, and click Next Year on the context menu.

Related Topics and Procedures

Related Topic

Calendar Working Status

Related Tasks

Defining the Standard Work Week

Defining Work Hours for a Day

Setting the Starting Month of the Year

Setting the Starting Day of the Week

Setting Calendar Color Preferences

Changing the Font on a Calendar

Changing the Work Status of a Day

Changing the Displayed Year

Entering a Holiday

Entering an Extra Work Day

Selecting Dates on the Calendar

Using the Open Plan Explorer to Assign a Calendar File to a Project

Using the Project Properties Dialog Box to Assign a Calendar File to a Project


Change the Font on a Calendar (Procedure)

Change the Font on a Calendar

To change the font on a calendar, complete the following steps:

  1. In Open Plan Explorer, display a calendar.

  2. On the Edit tab, click Font.

  3. In the Font dialog box, select a font and its attributes.

  4. Click OK.

Related Topics and Procedures

Related Topic

Using the Font Dialog Box

Related Tasks

Printing a Calendar

Changing the Font on a Date Scale

Changing the Font on a Bar

Changing the Default Font on a Spreadsheet

Changing the Font on a Network View

Changing the Font on an Annotation

Changing the Font on a Resource View

Changing the Font on a Code View


Changing the Work Status of a Day (Procedure)

Changing the Work Status of a Day

To change the work status of a day, complete the following steps:

  1. In Open Plan Explorer, display a calendar.

  2. Take one of the following actions:

  • Select the day you want to change, and press the spacebar.

  • Right-click the day you want to change, and select either Working or Non-Working from the context menu.

If you change the work status of a day on a parent calendar, it will also change on all of its child calendars.

Changing the work status of a day has the following effects:

Status Before Change | Status After Change
Working day | Holiday
Non-Working day | Extra Work Day
Holiday | Working day
Extra Work Day | Non-Working day

Related Topics and Procedures

Related Topic

Calendar Working Status

Related Tasks

Defining the Standard Work Week

Defining Work Hours for a Day

Setting the Starting Month of the Year

Setting the Starting Day of the Week

Setting Calendar Color Preferences

Changing the Font on a Calendar

Changing the Displayed Year

Entering a Holiday

Entering an Extra Work Day

Selecting Dates on the Calendar


Copying a Calendar (Procedure)

Copying a Calendar

To copy a calendar, complete the following steps:

  1. In Open Plan Explorer, display a calendar.

  2. Take one of the following actions:

  • On the Edit tab, click Calendars.

  • Right-click an empty area of the calendar, and click Calendars on the shortcut menu.

  3. In the Calendars dialog box, select the calendar that you want to copy, and click Copy.

  4. In the Copy Calendar dialog box, enter a name for the new calendar, and click OK.

Related Topics and Procedures

Related Topic

Using the Calendars Dialog Box

Related Tasks

Creating a New Calendar

Adding a Child Calendar

Renaming an Existing Calendar

Deleting a Calendar

Changing the Font on a Calendar


Creating a New Calendar (Procedure)

Creating a New Calendar

To create a new calendar, complete the following steps:

  1. In Open Plan Explorer, display a calendar.

  2. Take one of the following actions:

  • On the Edit tab, click Calendars.

  • Right-click an empty area of the calendar, and click Calendars on the context menu.

  3. In the Calendars dialog box, click New.

  4. In the Add Calendar dialog box, enter a name for the new calendar, and click OK.

Related Topics and Procedures

Related Topic

Using the Calendars Dialog Box

Related Tasks

Copying a Calendar

Adding a Child Calendar

Renaming an Existing Calendar

Deleting a Calendar

Changing the Font on a Calendar


Deleting a Calendar (Procedure)

Deleting a Calendar

Deleting a parent calendar also deletes all of its child calendars automatically.

To delete a calendar, complete the following steps:

  1. In Open Plan Explorer, display a calendar.

  2. Take one of the following actions:

  • On the Edit tab, click Calendars.

  • Right-click an empty area of the calendar, and click Calendars on the shortcut menu.

  3. In the Calendars dialog box, select the calendar that you want to delete, and click Delete.

  4. When Open Plan asks you to confirm that you want to delete the calendar, click OK.

    5. Deleting a calendar from a calendar file removes any assignments for that calendar in a project.

Related Topics and Procedures

Related Topic

Using the Calendars Dialog Box

Related Tasks

Creating a New Calendar

Copying a Calendar

Adding a Child Calendar

Renaming an Existing Calendar

Changing the Font on a Calendar


Defining the Standard Work Week (Procedure)

Defining the Standard Work Week

When you define the standard workweek for a parent calendar, all of its child calendars inherit the same settings.

To set the default working days and hours, complete the following steps:

  1. In Open Plan Explorer, display a calendar.

  2. Take one of the following actions:

  • On the Edit tab, click Work Week.

  • Right-click the calendar, and click Define Work Week on the shortcut menu.

  3. From the list in the Define Work Week dialog box, select the calendar for which you want to define the workweek.

  4. Select one or more days of the week, and click Working or Non-Working, as appropriate.

  5. For each working day, enter up to 10 work periods in the Start Time and Stop Time fields using the standard time formats. Both start and stop times must be filled in for the row to be valid.

    6. When entering start and stop times, the following conditions apply:

  • You must enter a start and stop time for each period. The start time of a period cannot be earlier than the stop time of the previous period.

  • You can define working times for more than one day at a time. Select multiple days by dragging in the list or by pressing the Shift key in combination with the Up or Down arrow key. Then enter the working times.

  • If you enter work times using a 24-hour format (where, for example, 22:00 represents 10:00 P.M.), you cannot define a work period that spans midnight by entering a time such as 26:00.

  6. Click OK.

Related Topics and Procedures

Related Topic

Using the Define Work Week Dialog Box

Related Tasks

Defining Work Hours for a Day

Setting the Starting Month of the Year

Setting the Starting Day of the Week

Setting Calendar Color Preferences

Changing the Font on a Calendar

Changing the Displayed Year

Entering a Holiday

Entering an Extra Work Day

Selecting Dates on the Calendar

Using the Open Plan Explorer to Assign a Calendar File to a Project

Using the Project Properties Dialog Box to Assign a Calendar File to a Project


Defining the Work Hours for a Day (Procedure)

Defining the Work Hours for a Day

When you define the work hours for a day on a parent calendar, all of its child calendars inherit the same settings.

To define the work hours for a day, complete the following steps:

  1. In Open Plan Explorer, display a calendar.

  2. Do one of the following:

    • Double-click a date

    • Select a day, and click Work Hours on the Edit tab

    • Right-click a day, and click Define Work Hours on the context menu

  3. In the Define Work Hours dialog box, enter up to 10 work periods in the Start Time and Stop Time fields using the standard time formats. Both start and stop times must be filled in for the row to be valid. The start time of each row cannot be earlier than the stop time of the previous row.

    After changing the work hours for any day, you can always click Reset to return to the work hours defined in the standard workweek.

  4. Click OK.

Related Topics and Procedures

Related Topic

Using the Define Work Hours Dialog Box

Related Tasks

Defining the Standard Work Week

Setting the Starting Month of the Year

Setting the Starting Day of the Week

Setting Calendar Color Preferences

Changing the Font on a Calendar

Changing the Displayed Year

Entering a Holiday

Entering an Extra Work Day

Selecting Dates on the Calendar

Using the Open Plan Explorer to Assign a Calendar File to a Project

Using the Project Properties Dialog Box to Assign a Calendar File to a Project


Display Different Calendars in a Calendar File

To display different calendars in a calendar file, complete the following steps:

  1. In Open Plan Explorer, display a calendar.

  2. Take one of the following actions:

  • On the Edit tab, click Calendars.

  • Right-click the calendar display, and click Calendars on the context menu.

  3. In the Calendars dialog box, select the calendar you want to display, and click Select.


Entering a Holiday (Procedure)

Entering a Holiday

To enter a holiday, complete the following steps:

  1. In Open Plan Explorer, display a calendar for which you want to enter a holiday.

    If you enter a holiday on a parent calendar, it will also be entered on all of its child calendars.

  2. Take one of the following actions:

  • Select a workday, and press the spacebar.

  • Double-click a workday, and change the working status in the Define Work Hours dialog box.

  • Right-click a workday, and select Non-Working from the context menu.

Related Topics and Procedures

Related Topics

Using the Holidays Dialog Box

Setting up a Holiday List

Related Tasks

Enter Company Holidays

Enter Multiple Holidays


Entering an Extra Work Day (Procedure)

Entering an Extra Work Day

To enter an extra work day, complete the following steps:

  1. In Open Plan Explorer, display a calendar for which you want to enter an extra workday. If you enter an extra workday on a parent calendar, it will also be entered on all of its child calendars.

  2. Take one of the following actions:

  • Select a non-work day, and press the spacebar.

  • Double-click a non-work day, and change the working status in the Define Work Hours dialog box.

  • Right-click a non-work day, and select Working from the context menu.

To change an extra workday back to a non-working day, complete the following step:

  1. Take one of the following actions:

  • Select the extra workday, and press the spacebar.

  • Right-click the extra workday, and select Non-Working from the context menu.

Related Topics and Procedures

Related Topic

Calendar Working Status

Related Tasks

Defining the Standard Work Week

Defining Work Hours for a Day

Setting the Starting Month of the Year

Setting the Starting Day of the Week

Setting Calendar Color Preferences

Changing the Font on a Calendar

Changing the Work Status of a Day

Changing the Displayed Year

Entering a Holiday

Selecting Dates on the Calendar

Using the Open Plan Explorer to Assign a Calendar File to a Project

Using the Project Properties Dialog Box to Assign a Calendar File to a Project


Entering Company Holidays (Procedure)

Entering Company Holidays

To enter holidays on a company calendar, complete the following steps:

  1. In Open Plan Explorer, display a calendar.

  2. Take one of the following actions:

  • On the Edit tab, click Holidays.

  • Right-click the calendar, and click Holidays on the shortcut menu.

  3. Select a calendar to be used as the company calendar.

  4. Enter your company holidays for the current year and several years into the future.

  5. Create all remaining calendars as children of the company calendar.

Related Topics and Procedures

Related Topics

Using the Holidays Dialog Box

Setting up a Holiday List

Related Tasks

Enter a Holiday

Enter Multiple Holidays


Entering Multiple Holidays (Procedure)

Entering Multiple Holidays

To enter multiple holidays in a calendar, complete the following steps:

  1. In Open Plan Explorer, display a calendar.

  2. Take one of the following actions:

  • On the Edit tab, click Holidays.

  • Right-click the calendar, and click Holidays on the shortcut menu

  3. In the Holidays dialog box, Select a calendar from the Calendar list. If you enter holidays on a parent calendar, they will also be entered on all of its child calendars.

  4. Enter the date for the holiday, and specify whether you want the holiday to be repeated yearly.

  5. Continue entering as many holidays as you need.

  6. Click OK.

Related Topics and Procedures

Related Topics

Using the Holidays Dialog Box

Setting up a Holiday List

Related Tasks

Enter a Holiday

Enter Company Holidays


Go to a Specific Date on a Calendar

To go to a specific date, complete the following steps:

  1. In Open Plan Explorer, display a calendar.

  2. Take one of the following actions:

  3. On the Edit tab, click Go To Date.

  4. Right-click the calendar display, and click Go To Date on the context menu.

  3. In the Go To Date dialog box, enter the date you want to display, and click OK. Open Plan displays the appropriate year with the date selected. If you did not enter a year for the date, Open Plan assumes the current year.

Related Topics and Procedures

Related Topic

Entering Calendar Information


Go to the Next Year on a Calendar

To go to the next year, complete the following steps:

  1. In Open Plan Explorer, display a calendar.

  2. Take one of the following actions:

  3. Press Page Down.

  4. On the Edit tab, click Next Year [image] button.

  5. Right-click the calendar display, and click Next Year the context menu.

Related Topics and Procedures

Related Topic

Entering Calendar Information


Go to the Previous Year on a Calendar

To go to the previous year, complete the following steps:

  1. In Open Plan Explorer, display a calendar.

  2. Take one of the following actions:

  • Press Page Up.

  • On the Edit tab, click Previous Year [image] button.

  • Right-click the calendar display, and click Previous Year the context menu.

Related Topics and Procedures

Related Topic

Entering Calendar Information


Printing a Calendar (Procedure)

Print a Calendar

To print a calendar, complete the following steps:

  1. In Open Plan Explorer, display the calendar you want to print.

  2. Take one of the following actions:

  • On the File menu, click Print » Print.

  • On the Quick Access Toolbar, click the Print [image] button.

You can preview the calendar before printing it by clicking Print » Print Preview on the File menu or by clicking the Print Preview [image] button on the Quick Access Toolbar. You can also print the calendar by clicking Print on the Print Preview.

  3. In the Print dialog box, check that the appropriate printer is displayed at the top. (If the correct printer is not displayed, click Setup to access a dialog box where you can specify another printer driver.)

  4. Choose the appropriate print options.

  5. Click OK.

Related Topics and Procedures

Related Topic

Using the Print Calendar Dialog Box

Related Tasks

Previewing a Report Before Printing

Setting Up a Printer

Printing a Barchart

Printing a Report


Renaming a Calendar (Procedure)

Renaming a Calendar

To rename a calendar, complete the following steps:

  1. In Open Plan Explorer, display a calendar.

  2. Take one of the following actions:

  • On the Edit tab, click Calendars.

  • Right-click an empty area of the calendar, and click Calendars on the shortcut menu.

  3. In the Calendars dialog box, select the calendar that you want to rename, and click Rename.

  4. In the Rename Calendar dialog box, enter a new name for the calendar. When working with hierarchical calendars, be aware of the following ramifications of renaming a calendar:

  • If you change the name of a parent calendar, Open Plan automatically changes the name of its child calendars.

  • If you are working with a child calendar, notice that you can change only the local portion of the calendar name.

  5. Click OK.

Related Topics and Procedures

Related Topic

Using the Calendars Dialog Box

Related Tasks

Creating a New Calendar

Copying a Calendar

Adding a Child Calendar

Deleting a Calendar

Changing the Font on a Calendar


Setting Calendar Color Preferences (Procedure)

Setting Calendar Color Preferences

To set the colors and fill patterns for different types of work status days, complete the following steps:

  1. In Open Plan Explorer, display the calendar file for which you want to set color preferences.

  2. Take one of the following actions:

  • On the Edit tab, click Preferences.

  • Right-click the calendar, and click Preferences on the context menu.

  3. In the Calendar Preferences dialog box, click the Color tab.

  4. On the Color tab, select a color for each type of work status.

  5. Select a fill pattern for each type of work status.

  6. Click OK.

Related Topics and Procedures

Related Topic

Calendar Preferences: Color Tab

Related Tasks

Defining the Standard Work Week

Defining Work Hours for a Day

Setting the Starting Month of the Year

Setting the Starting Day of the Week

Changing the Font on a Calendar

Changing the Displayed Year

Entering a Holiday

Entering an Extra Work Day

Selecting Dates on the Calendar

Using the Open Plan Explorer to Assign a Calendar File to a Project

Using the Project Properties Dialog Box to Assign a Calendar File to a Project


Setting Calendar Options (Procedure)

Setting Calendar Options

To set the starting day of the week and starting month of the year, complete the following steps:

  1. In Open Plan Explorer, display the calendar file for which you want to set starting options.

  2. Take one of the following actions:

  • On the Edit tab, click Preferences.

  • Right-click the calendar, and click Preferences on the context menu.

  3. In the Calendar Preferences dialog box, click the Layout tab.

  4. From the Start Day of Week list, select a starting day of the week.

  5. From the Start Month of Year list, select a starting month of the year.

  6. Click OK.

Related Topics and Procedures

Related Topics

Calendar Preferences Dialog Box

Calendar Preferences: Options Tab

Related Tasks

Defining the Standard Work Week

Defining Work Hours for a Day

Setting Calendar Color Preferences

Changing the Font on a Calendar

Changing the Displayed Year

Entering a Holiday

Entering an Extra Work Day

Selecting Dates on the Calendar

Using the Open Plan Explorer to Assign a Calendar File to a Project

Using the Project Properties Dialog Box to Assign a Calendar File to a Project


Selecting Dates on the Calendar (Procedure)

Selecting Dates on the Calendar

To select a day using the Go To Date dialog box, complete the following steps:

  1. In Open Plan Explorer, display a calendar.

  2. Take one of the following actions:

  • On the Edit tab, click Go to Date.

  • Right-click the calendar, and click Go to Date on the shortcut menu.

  3. In the Go To Date dialog box, enter the date you want to select.

  4. Click OK.

You can also use the four arrow keys to move to any other date on the displayed calendar year.

Related Topics and Procedures

Related Topic

Using the Go to Date Dialog Box

Related Tasks

Defining the Standard Work Week

Defining Work Hours for a Day

Setting the Starting Month of the Year

Setting the Starting Day of the Week

Setting Calendar Color Preferences

Changing the Font on a Calendar

Changing the Work Status of a Day

Changing the Displayed Year

Entering a Holiday

Entering an Extra Work Day

Using the Open Plan Explorer to Assign a Calendar File to a Project

Using the Project Properties Dialog Box to Assign a Calendar File to a Project


Resources

Resources are people, facilities, or anything else that is needed to perform the work of a project. Although entering resources is not required in Open Plan, many project managers have found that successful planning, management, and control of project resources are crucial to the overall success of a project.

In Open Plan, features related to resource management fall into three broad categories:

  • Defining resource availabilities

  • Assigning resources to activities

  • Performing resource scheduling

Resources and the skills they may possess are stored in resource files that can be used with more than one project. Open Plan does not require you to define resources that are project-specific. Instead, you can define a resource file that is independent of any project and then associate it with projects as needed.

For information about assigning resources, see Resource Assignments. For information about resource scheduling, see Resource Scheduling.

Resource Files

You can assign a resource file to a project using the Files tab of the Project Properties dialog box.

At any one time, a project may have only one resource file assigned.

Once a resource file has been assigned to a project, you can assign individual resources to an activity using the Activity Details dialog box.

Resource Assignments

Resource assignments define which resources are required for the completion of one or more activities in a project. Open Plan provides a rich set of features for defining resource assignments. For example:

  • You can describe assignments that apply for the entire duration of an activity or for only a portion of the duration.

  • You can define assignments using profile curves that vary the amount of the resource required over the course of the assignment.

  • You can define alternate resources that can be used in the absence of the requested resource.

  • You can assign a resource pool or skill for an activity and have Open Plan select an available resource for you.

Resource assignments at the subproject level have no direct effect on the dates calculated by resource scheduling. However, these types of assignments may impact the availability of resources assigned to subsequent activities, thus resulting in delays.

Related Topics and Procedures

Related Topics

Resource Structures in Open Plan

Using Resource Files

How a Resource View Displays Information

Adding Resources to a Resource File

Adding Skills to a Resource File

Resource Details Dialog Box

Working with Calendars, Resources, and Codes

Using the Project Properties Files Tab

Activity Details Resources Tab

Related Procedures

Creating a Resource File

Opening a Resource File

Copying a Resource File

Deleting a Resource File

Using the Open Plan Explorer to Assign a Resource File to a Project

Using Project Properties to Assign a Resource File

Assigning Activity Resource Requirements

Assigning Resources in a Spreadsheet

Displaying Resource Assignments on a Barchart


Resource Structures in Open Plan

Resources in Open Plan use a self-defining coding structure in which periods within the resource codes are used to distinguish between different hierarchical levels. (This convention is sometimes referred to as a "punctuated significant coding system.") Resources at a higher level in the hierarchy are referred to as "resource pools" in Open Plan.

With resource pools, you can roll up resource availabilities, assignments, and usage for reporting purposes. However, information entered at the pool level (for example, unit costs) are not inherited by the members of that pool.

If the Show Full ID option is selected in Resource Display Preferences dialog box (launched by clicking Preferences from the View tab or from the context menu when you click the workspace), you can tell just by inspecting a resource where it should appear in the structure.

The following figure shows an example of part of a resource file. In this example, BCI.RSH.PEB is a child of BCI.RSH, which is a child of BCI.

In the Enterprise edition of Open Plan, you can view the multiple resource hierarchies by scrolling the resource view.

Related Topics and Procedures

Related Topics

Using Resources in Open Plan

Using Resource Files

How a Resource View Displays Information

Adding Resources to a Resource File

Adding Skills to a Resource File

Resource Details Dialog Box

Related Procedures

Adding Resources to a Resource File

Adding a Child Resource to a Resource File

Creating a Resource File

Opening a Resource File

Using the Open Plan Explorer to Assign a Resource File to a Project

Moving a Resource in the Hierarchy

Collapsing a Pool

Expanding a Pool

Expanding All Pools


How a Resource View Displays Information

Open Plan displays resources in a structural display in one of two orientations:

Orientation | Description
Sideways | The top resource pools are displayed at the left or a resource structure, with the child resources arranged to the right of them. You can display resources in a horizontal orientation as a ladder: And, you can display resources in a horizontal orientation as a spread:
Vertical | The top resource pools are displayed at the top of the structure, with the child resources arranged beneath them. You can display resources in a vertical orientation as a ladder: And, you can display resources in a vertical orientation as a spread:

For each of these orientations, Open Plan can also display the resources in one of two manners:

Orientation | Description
Centered | The resource pool is centered relative to its child resources. In a vertical orientation, the resource pool is centered above its child resources: In a sideways orientation, the resource pool is centered to the left of its child resources:
Offset | The resource pool is offset relative to its child resources. In a vertical orientation, the resource pool is displayed above its topmost child resource: In a sideways orientation, the resource pool is displayed to the left of its leftmost child resource:

You can customize the information detail that is displayed in resource boxes in many ways:

  • You can choose to show the full ID of the resource.

  • You can show skills that a resource may have.

  • You can choose both a style and a color for the resource box.

You can also customize the layout of information that is displayed within the resource box.

Open Plan makes it easy to work with resource hierarchies. For example, you can assign an entire group of resources to a different pool by dragging the resource boxes to a different position in the resource hierarchy. You can also expand and collapse individual resource pools in order to display the appropriate level of detail. When you collapse a resource pool, it is displayed as a stacked series of resource boxes.

In addition, you can display the resource hierarchy in a compressed mode in which individual resources belonging to one pool can be displayed beneath another pool.

The maximum number of levels that can be displayed in a resource hierarchy file is limited only by the total characters in a row, which is limited to 59.

A Zoom Out command allows you to view resource structures that cannot be displayed on a single screen. If you select Zoom Out from the normal display mode, Open Plan applies a reduced display mode to the window. In this display mode, the resource boxes are reduced so that all the resources in the structure are visible. You can continue to work with the resources just as though you were in the normal display mode.

If the entire resource structure can be displayed at once, the Zoom Out command is not available.

A Zoom In command reverses the action of the Zoom Out command.

Location

To display the resource view, complete the following step:

  1. Take one of the following actions:

  • In Open Plan Explorer, double-click the resource view file in the Resource Views folder of the project.

  • Click File » Open, and use the File Open dialog box to open the resource file.

Related Topics and Procedures

Related Topics

Customizing a Resource Window

Using Resources in Open Plan

Resource Structures in Open Plan

Using Resource Files

Adding Resources to a Resource File

Resource Display Preferences Options Tab

Resource Display Preferences Box Layout Tab

Related Procedures

Define Resource Display Options

Moving a Resource in the Hierarchy

Collapsing a Pool

Expanding a Pool

Expanding All Pools


Customizing a Resource Window

You can customize how a resource window displays information by using the Resource Display Preferences dialog box. You can display this dialog box by opening a resource file and clicking Preferences on the View tab.

The Options tab controls the box color and shape, hierarchy display options, whether or not the box contents should show the full resource ID, and whether or not any skills that the resource may have should also be displayed. The Box Layout tab controls the data fields displayed in the resource boxes.

Three buttons are located across the bottom of the dialog box. The OK button accepts your input and closes the dialog box. The Cancel button cancels your input and closes the dialog box. The Help button provides access to help information.

Related Topics and Procedures

Related Topics

How a Resource View Displays Information

Resource Display Preferences Options Tab

Resource Display Preferences Box Layout Tab

Related Procedures

Changing the Orientation of the Display

Changing the Center Setting for the Display

Changing the Display of Resource and Code IDs

Changing the Hierarchy Display Layout Settings

Using the Zoom Out Command

Displaying Full Resource IDs

Displaying Resource Descriptions


Resources in Spreadsheet and Barchart Views

Open Plan includes three standard views in which you can update resource description information:

  • Resource/Activity spreadsheets

  • Multi-Table barcharts: Multi-table barchart views allow you to display a time-scaled bar representing the assignments for a resource.

  • Single-table spreadsheets based on the Resource table

In each view, you can display the Resource Details dialog box by double-clicking the appropriate row in the view.

For information about displaying resource-related bars in a barchart view, see Customizing Barchart Views, in the Deltek Open Plan Developer’s Guide.

Related Topics and Procedures

Related Procedures

Use the Zoom Out Command

Use the Zoom In Command


Resource Files

In Open Plan, information about resources is stored in a resource file. Resource files can be project-specific, or they can be shared among multiple projects. However, you can assign only one resource file to a project at any given time.

If you make changes to the information in a resource file, the changes affect all of the projects to which the resource file is assigned. To make changes in a resource file that affect a single project only, make sure that the file is not assigned to other projects.

In Open Plan, resource files are represented with a distinctive icon:

You can open a resource file from within the resource’s Views folder. Assigning a resource file to a project can be as simple as dragging the resource file from the Open Plan Library to the project folder.

You can reserve resources for a specific project. This can be done at any level in the resource hierarchy. For example, you can reserve all the resources stored in the resource file to a project, or you can reserve a single department or individual resource to the project.

Related Topics and Procedures

Related Topics

Using Resources in Open Plan

Resource Structures in Open Plan

Reserving Resources for Use by a Specified Project

How a Resource View Displays Information

Adding Resources to a Resource File

Adding Skills to a Resource File

Resource Details Dialog Box

Related Procedures

Creating a Resource File

Opening a Resource File

Copying a Resource File

Deleting a Resource File

Using the Open Plan Explorer to Assign a Resource File to a Project

Changing the Resource File Assigned to a Project


Defining Resources

To define a resource in Open Plan, use the Resource Details dialog box. The Resource Details dialog box displays basic information about each resource. Open Plan automatically displays this tabbed dialog box each time you add or edit a resource.

Related Topics and Procedures

Related Topic

Resource Details Dialog Box


Defining Resource Profiles

The use of assignment offsets and periods, combined with the ability to specify more than one assignment for the same resource, allows you to define a resource profile for an activity.

Using offsets and periods, for example, you can construct the following profile by defining a resource assignment for an activity with a duration of 5 days:

Resource | Curve | Level | Offset | Period
TUBING | (blank) | 50 | 0 (or blank) | 5d (or blank)
TUBING | (blank) | 25 | 2d | 3d
TUBING | (blank) | 100 | 3d | 1d

This would result in the following resource profile:

Related Topics and Procedures

Related Topic

Activity Details Resources Tab

Related Procedure

Assigning Resource Requirements to an Activity


Reserving Resources for Use by a Specified Project

Resources can be reserved for use with particular projects. This can be done at any level in the resource hierarchy. For example, you can reserve a whole department or an individual resource for a project. When you reserve an individual resource, you have two options:

  • Reserving a resource completely.

  • Reserving a portion of a resource.

If you are reserving an individual resource, as opposed to a resource pool, the resource can be reserved for a particular period of time and/or at a partial level. Thus an individual might have 50% of his time reserved for a given project during a specific 6-month period.

Lower-level reservations override higher-level ones. For example, you can reserve a whole department for a particular project by assigning a project on the General tab for a resource pool. Then you can countermand this for individual members of that department (or pool) by one of two ways:

  • Assign a different project on the General tab for that particular resource.

  • Assign a different project in the Project column on the Availability tab.

Since a lower-level reservation takes precedence over the higher-level one, a child resource reservation is checked before the parent resource pool. Open Plan first checks for a reservation on the Availability tab. If a reservation is found then the search ends. If not, the General tab is checked. If no reservation is found in either spot, the parent reservation is used.

Effect of Reservations on the Select Resource Dialog Box

The availability levels shown on the Select Resource dialog box do not include any resource availability reserved for another project. When an activity belongs to an external subproject, the availability shown includes:

  • The availability reserved for that subproject.

  • The availability for any higher-level external subprojects to which it belongs.

  • The availability of the main project.

Related Topics and Procedures

Related Topics

Select Resource Dialog Box

Resource Details Dialog Box

Resource Details General Tab

Resource Details Availability Tab

Related Procedures

Reserve a Resource Pool for a Project

Reserve an Individual Resource for One or More Projects

Creating a Resource-Based Schedule

Performing Resource Scheduling

Changing the Attached Resource File

Using Resource Scheduling Information

Removing Summary Resource Usage Information for Projects


Adding Resources to a Resource File

When you create a new resource file, Open Plan displays a window containing an empty workspace. To add a resource to the file, click the Add Resource command on the Edit tab, or double-click an empty area in the workspace.

Although you can define a resource file as a "flat" structure in which all resources occupy the top hierarchical level, a more common practice is to develop a tree-like breakdown structure that can be used to summarize pools for reporting purposes.

Open Plan makes it easy to work with hierarchies of resources. For example, you can assign an entire group of resources to a different resource pool by dragging the resources to a different position in the resource hierarchy. You can also expand and collapse individual resource pools in order to display the appropriate level of detail.

Related Topics and Procedures

Related Topics

Using Resources in Open Plan

Resource Structures in Open Plan

Using Resource Files

Resource Skills

How a Resource View Displays Information

Resource Details Dialog Box

Related Procedures

Adding Resources to a Resource File

Adding a Child Resource to a Resource File

Editing a Resource

Finding a Resource

Deleting a Resource


Automatic Resource Numbering

Resource IDs can be generated automatically from within a resource view. If you leave the ID field blank on the Resource Details dialog box when creating a new resource, Open Plan generates an ID for the new item automatically according to the following rules:

  • If the previous resource ID at a given level is all alphabetic, the program increments alphabetically.

  • If the previous resource ID at a given level is a mixture of alphabetic and numeric characters, the numeric part is incremented numerically.

  • If there is no previous resource ID, the program uses a numeric ID. Therefore, the first ID in the file is numbered "1."

Open Plan attempts to find a pattern in the ID numbering scheme for IDs that are incremented numerically by looking at the last two IDs in the hierarchy. If a pattern can be established, Open Plan uses the pattern when automatically creating a new ID.

For example, assume that your resource file has the following hierarchy:

A11

A12

A13

A14

A15

A20

Open Plan looks at the last two IDs in the hierarchy and determines that there is a difference of 5 between the two. Therefore, if you use automatic numbering to create the next ID, Open Plan creates ID A25.

On the other hand, if there is only one resource ID in the hierarchy and you have Open Plan create the other IDs , it uses the ID’s value as the incremental pattern.

For example, if you enter 12 for the first ID in the hierarchy and then have Open Plan create the remaining IDs, it increments the IDs by 12 resulting in the following hierarchy:

12

24

36

48

60

For information on using automatic numbering when creating new resources in a spreadsheet view, see Automatic Numbering within a Spreadsheet.


Resource Skills

A skill is an attribute of an individual resource, which can have any number of skills. In general, the skills assigned to different individual resources will be different but overlapping. Furthermore, skill sets can cross hierarchical boundaries within an RBS. Thus, an individual resource may have a different set of skills than other resources in its pool while sharing skills with resources belonging to another pool.

Just as you can define resource assignments for an activity, Open Plan allows you to define skill assignments as well. These assignments can be satisfied by any individual resource that possesses the required skill.

For example: Assume that JANE is a drafter, MARY is a mechanical engineer who can also draft, and FRED is an electrical engineer who can also draft. If a certain activity requires a skill of drafting, either JANE, MARY, or FRED could be assigned to that activity.

Like the resources themselves, skills are also stored in a resource file. Before you can assign skills to a resource, these skills must first exist in the resource file.

To use resource skills in Open Plan, perform the following steps:

  • Step One: Define the skills in a resource file.

  • Step Two: Assign skills to individual resources.

  • Step Three: Define skill assignments for activities.

To define skills for a resource file, use the Skills command from the Edit tab. Open Plan displays any skills assigned to resources at the bottom level of the resource breakdown structure.

Related Topics and Procedures

Related Topic

Resource Details Skills Tab

Related Procedures

Adding Skills to a Resource File

Assigning Skills to a Resource


Planning Costs

For planners who want to use their resource tracking system for capturing budgeted and actual costs, Open Plan provides a number of features for working with cost information.

  • You can define base and escalated costs for resources, resource pools, and skills.

  • You can define the assignment using a profile spread curve. This allows you, for example, to enter budgets that are front- or back-loaded over the duration of the activity.

  • You can enter actual costs for unbudgeted resources.

  • You can have Open Plan generate actual costs from resource progress.

  • You can report on high-level summaries of resource costs based on the hierarchy of a resource breakdown structure.

Open Plan also allows you to set up special-purpose cost resources that you can define and assign to activities just as you can define and assign standard resources. Because you can specify profile curves for cost assignments (just as you can for resource assignments), cost resources provide a great deal of flexibility for entering activity costs.

Related Topics and Procedures

Related Topics

Cost Control Features in Open Plan

Cost Forecasting

Resource Details General Tab

Resource Details Escalation Tab

Related Procedures

Defining Cost Resources

Assigning Costs to an Activity

Calculating Project Costs

Calculating Actual Resource Costs


Interpreting Zero Availability

For any particular resource, there will be certain periods in which the availability is zero. The way in which you enter these periods on the Availability tab of the Resource Details dialog box has ramifications during resource scheduling.

Open Plan defines two types of zero availability:

  • Soft zeros: The availability can be exceeded when necessary during time-limited resource scheduling. Open Plan treats an availability that you specifically enter as zero for a period as a soft zero.

  • Hard zeros: A zero availability is treated as an absolute, indicating that the resource is not available during that period under any circumstances.

In Open Plan, a gap between specified availability dates can be treated as either a soft zero or a hard zero depending on whether the hard zero processing option is in effect during resource scheduling.

For further information about the hard zeros processing option, see Hard Zeros Processing Option.

Related Topics and Procedures

Related Topics

Resource Scheduling

Resource Scheduling Processing Options

Hard Zeros Processing Option

Resource Details Availability Tab

Related Procedures

Performing Resource Scheduling

Assigning Resources to an Activity

Adding Resources to a Resource File

Adding a Child Resource to a Resource File

Editing a Resource

Finding a Resource

Deleting a Resource


Zoom Out and Zoom In

Open Plan provides a Zoom Out and Zoom In command for showing resource structures that cannot be displayed on a single screen.

If you select Zoom Out from the normal display mode, Open Plan applies a reduced display mode to the window. In this display mode, the resource boxes are reduced so that all the resources in the structure are visible:

If the entire resource structure can be displayed at once, the Zoom Out command is not available.

In order to return to the normal display mode, Open Plan provides a Zoom In command. When the display mode has been reduced, the Zoom In command becomes enabled.

Related Topics and Procedures

Related Procedures

Use the Zoom Out Command

Use the Zoom In Command


Resource Assignments Overview

Resource assignments define which resources are required for the completion of one or more activities in a project. Open Plan provides a rich set of features for defining resource assignments. For example:

  • You can describe assignments that apply for the entire duration of an activity or for only a portion of the duration.

  • You can define assignments using profile curves that vary the amount of the resource required over the course of the assignment.

  • You can define alternate resources that can be used in the absence of the requested resource.

  • You can assign a resource pool or skill for an activity and have Open Plan select an available resource for you.

Resource assignments at the subproject level have no direct effect on the dates calculated by resource scheduling. However, these types of assignments may impact the availability of resources assigned to subsequent activities, thus resulting in delays.

For more information about resource-related issues and subprojects, see Hierarchical Projects and Subprojects.

Related Topics and Procedures

Related Topics

Entering Resource Assignments

Assigning Multiple Resources to Multiple Activities

Selecting Resources

Displaying Resource Assignments in Barchart Views

Resource Assignments and Effort-Driven Activities

Defining Assignment Profiles Manually

Related Procedures:

Enter a Resource Assignment Using the Activity Details Dialog Box

Assign Multiple Resources to Multiple Activities

Enter a Resource Assignment Using the Activity Details Dialog Box

Assign Resources in a Spreadsheet


Entering Resource Assignments

You can enter resource assignments in several ways.

The Resources tab of the Activity Details dialog box

To enter resource assignments using the Activity Details dialog box, display the dialog box, and click the Resources tab. Open Plan allows you to enter resource information in Normal or Time Phase mode.

Spreadsheet views

Open Plan allows you to display and, in some cases, update resource assignment information in a spreadsheet view. For more information, see Displaying Resource Assignments in Spreadsheet Views

Barchart Views

Open Plan includes two standard barchart views for displaying resource assignment information — activity/resource barcharts and resource/activity barcharts. Both of these types of views are designed primarily for reporting purposes and have limited data input features. For more information, see Displaying Resource Assignments in Barchart Views

Related Topics and Procedures

Related Topics

Resource Assignments Overview

Assigning Multiple Resources to Multiple Activities

Selecting Resources

Resource Assignments and Effort-Driven Activities

Defining Assignment Profiles Manually

Related Procedures:

Enter a Resource Assignment Using the Activity Details Dialog Box

Assign Multiple Resources to Multiple Activities

Enter a Resource Assignment Using the Activity Details Dialog Box

Assign Resources in a Spreadsheet


Displaying Resource Assignments in Spreadsheet Views

Open Plan allows you to display and, in some cases, update resource assignment information in a spreadsheet view.

The activity/resource spreadsheet view and the resource/activity spreadsheet view are found in the Open Plan Library Views folder. The names of the views are AVLSPDVW and RCSPDVW respectively.

Single-table spreadsheet based on the Resource Assignment table

In a single-table spreadsheet view based on the Resource Assignment table, the resource assignment information appears in a tabular format, with each assignment displayed in a single row.

In this type of view, you can add assignments in one of two ways. If the activity already has at least one assignment, you can edit the Resources tab of the Activity Details dialog box. You can also insert a new row in the spreadsheet and specify both the activity and the assigned resource. Activity/resource spreadsheets display multiple assignments for each activity using an outlining format.

Activity/Resource Spreadsheet

In an activity/resource spreadsheet view, Open Plan displays a plus (+) sign or a minus (-) sign on the outlining button to the left of the row to control the display of assignment information. If the outlining button displays a plus sign, you can expand the activity to see all of its assignments. If the outlining button displays a minus sign, the activity is already expanded, and clicking the outlining button will collapse the display of assignments. If the outlining button on an activity row is blank, the activity does not have any resource assignments.

In this type of view, you can display the Activity Details dialog box for an activity and edit the Resources tab.

Resource/activity spreadsheet

Resource/activity spreadsheets allow you to see multiple assignments for each resource. This type of view is used mainly for reporting purposes, but you can edit the Resources tab of the Activity Details dialog box for an activity.

Related Topics and Procedures

Related Topics

Displaying Resource Assignments in Barchart Views

Resource Assignments Overview

Assigning Multiple Resources to Multiple Activities

Selecting Resources

Resource Assignments and Effort-Driven Activities

Defining Assignment Profiles Manually

Related Procedures:

Enter a Resource Assignment Using the Activity Details Dialog Box

Assign Multiple Resources to Multiple Activities

Enter a Resource Assignment Using the Activity Details Dialog Box

Assign Resources in a Spreadsheet


Displaying Resource Assignments in Barchart Views

Open Plan includes two standard barchart views for displaying resource assignment information: activity/resource barcharts and resource/activity barcharts. Both of these types of views are designed primarily for reporting purposes and have limited data input features.

Activity/Resource Barchart

In an activity/resource barchart, resource assignments can appear as bars beneath an activity bar.

Resource/Activity Barchart

In a resource/activity barchart, you can display all of the assignments for a specific resource.

Related Topics and Procedures

Related Topics

Barchart View

Displaying Resource Assignments in Spreadsheet Views


Assigning Multiple Resources to Multiple Activities

It is possible to assign one or more resources to multiple activities using the Assign Multiple Resources to Multiple Activities dialog box. The fields on this dialog box are the same as those on the Resources tab of the Activity Details dialog box.

Related Topics and Procedures

Related Topic

Assign Multiple Resources to Multiple Activities Dialog Box

Related Procedure

Assign Multiple Resources to Multiple Activities


Selecting Resources

Use the Select Resource dialog box when you want to select a resource or resources to assign to an activity.


Resource Assignments and Effort-Driven Activities

With effort-driven activities, you can have Open Plan calculate the activity duration based on the activity's resource assignments. Typically, you might enter resource assignments at an early stage of the planning process and then use this feature to generate durations for activities automatically.

To calculate an effort-driven duration, Open Plan determines the longest span implied by any assignment for the activity by dividing the amount of the assignment by the resource effort factor. The result of the calculation is expressed in the default duration units used by the project.

The availability or non-availability of the resource does not affect the results of this calculation.

For example, assume the activity has a single resource assignment based on the following information:

  • Resource assignment: 10 units

  • Resource effort factor: 0.5

  • Default duration unit for project: days

Open Plan would calculate the effort-driven duration as 20 days (10/0.5).

To perform this calculation, Open Plan interprets any assignment level as a total requirement and ignores any assignment offsets and periods.

Defining an activity as effort-driven also affects the behavior of the activity during subsequent resource scheduling sessions as follows:

  • The activity is assigned the reprofilable attribute. (You can override this setting if you wish.)

  • Resource assignments defined as levels are treated as totals using a linear spread curve.

  • Assignment offsets and periods are ignored.

To change an effort-driven activity back to one with a fixed duration, you can change the activity type to ASAP, or you can overwrite the calculated duration manually. If you enter a fixed duration but keep the activity type set to Effort Driven, Open Plan automatically recalculates the duration the next time you enter or change resource assignment information.

Related Topics and Procedures

Related Topic

Changing an Activity Type to Effort Driven

Related Procedures

Defining an Activity as Effort-Driven

Changing an Effort-Driven Activity to One with a Fixed Duration


Defining Assignment Profiles Manually

Although it is possible to define a simple profile for each assignment using one of the standard curves, the use of assignment offsets and periods, combined with the ability to specify more than one assignment for the same resource, allows you to define much more complex resource profiles for an activity.

Using offsets and periods, for example, you can construct the following profile by defining 3 resource assignments for an activity with duration of 5 days:

Resource | Curve | Level | Offset | Period
TUBING | (blank) | 50 | 0 (or blank) | 5d (or blank)
TUBING | (blank) | 25 | 2d | 3d
TUBING | (blank) | 100 | 3d | 1d

This results in the following resource profile:

A potential disadvantage of this approach, however, is that subsequent changes in the planned duration of an activity may have unintended consequences for the definition of offsets and periods.

In cases where activity progress has been recorded and an activity is partially complete, Open Plan takes the offset duration relative to the original activity duration when calculating resource usage but bases this calculation on the end of an activity duration rather than its beginning.

For more information about the effect of progress information on resource scheduling, see The Effect of Progress Information, in the Deltek Open Plan Developer’s Guide.


Resource Scheduling

The purpose of resource scheduling is to calculate a project schedule that takes into account the limited availabilities of resources as well as the durations, logical relationships, and target dates of the activities. Open Plan provides sophisticated and comprehensive resource scheduling algorithms designed to produce resource solutions across a wide range of situations. Open Plan resource scheduling includes extensive modeling capabilities that allow planners to juggle schedules based on various combinations of time and resource constraints.

For more information about the calculations performed by resource scheduling, see Resource Scheduling Calculations in the Deltek Open Plan Developer's Guide.

Before you begin, review The Resource Scheduling Process.

Open Plan offers two types of resource scheduling algorithms:

  • Time-limited resource scheduling: Time-limited resource scheduling places a priority on maintaining the overall project completion date while attempting to minimize the extent to which any resource is over-utilized. In time-limited resource scheduling, constraints on resource availabilities are not allowed to delay the overall completion date of the project. As a result, resources may be overloaded if doing so prevents an activity from finishing after its late finish date.

    • In order to maintain the overall project completion date, time-limited resource scheduling may even use resource availabilities that have been reserved for another project. An exception occurs if the hard zero option is set, in which case reserved resources may not be used.

    Time-limited resource scheduling places all scheduled dates between the early and late dates of activities. Thus, only activities not on the project critical path can be delayed by resource constraints.

    By specifying a sufficiently low resource availability, you can use time-limited resource scheduling to level the overall resource requirements for a project.

  • Resource-limited resource scheduling: In contrast to time-limited scheduling, resource-limited resource scheduling places a priority on preventing the over utilization of resources, even if that means delaying the project finish beyond its early finish. In the absence of thresholds or immediate activities, resource-limited resource scheduling delays project completion if necessary to ensure that the resource requirements do not exceed availabilities. The use of resource availability thresholds, immediate activities, or resource assignments on subprojects may cause resource overloads even when performing resource-limited resource scheduling.

Using advanced resource management techniques such as splitting, stretching, and reprofiling activities, you can refine the ways in which an activity is scheduled. Using these and other techniques, you can maximize the use of resources that may be in short supply. During resource scheduling, Open Plan calculates the following for each activity:

  • Scheduled start: The proposed date on which an activity should start based upon both project logic and resource constraints. A scheduled start date for an activity can never be earlier than its early start date calculated by time analysis.

  • Scheduled finish: The proposed date on which an activity should finish based on both project logic and resource constraints. A scheduled finish date for an activity must be the same or later than its early finish date calculated by time analysis.

  • Earliest feasible date: The earliest date on which the activity could be scheduled to start based on the scheduled dates of all its predecessors but in the absence of any resource constraints on the activity itself.

  • Scheduled duration: The computed duration of the activity. The scheduled duration of an activity can never be shorter than its original duration. A scheduled duration can, however, be longer than the original duration in cases where the activity was split, stretched, or reprofiled during resource scheduling.

  • Scheduled float: Calculated during resource scheduling, the scheduled float of an activity is the difference between the late finish date and the scheduled finish date of the activity. In some circumstances, scheduled float may be shared with other activities in the logical flow of the project.

  • Scheduled Actions: The scheduled actions are calculated by resource scheduling and indicate if an activity has been split, stretched, or reprofiled.

  • Delaying resource: In resource scheduling, inadequate availability of one or more resources may require that the completion of an activity be delayed beyond the date on which it could otherwise be completed. The delaying resource is the first resource on an activity that causes the activity to be delayed.

To perform resource scheduling, the following conditions must be met:

  • The project must have an assigned resource definition file.

  • The resource definition file must contain at least one resource with availabilities entered.

  • The project must contain at least one activity with resource requirements.

Open Plan provides two ways to perform resource scheduling:

Option

Description

Resource Scheduling dialog box

When you select a project and click Resources » Options on the Processes tab, or you click Resources but you have not yet performed resource scheduling for the project, Open Plan displays the Resource Scheduling Dialog Box.

Perform Time Analysis button

To perform resource scheduling without first displaying the Resource Scheduling dialog box, click Resources on the Processes tab.

When you perform resource scheduling using this method, the settings that were last set on the Resource Scheduling dialog box control the operation. If you have not yet run resource scheduling for the project, Open Plan automatically displays the Resource Scheduling dialog box before allowing you to proceed.

Session Log

At the conclusion of each resource scheduling session, Open Plan creates and saves a session log that records any system or error messages issued during the operation. You can view the session log file (Opp_rs.log) once the processing is complete.

Related Topics and Procedures

Related Topics

The Resource Scheduling Process

Resource Scheduling Dialog Box

Types of Resource Scheduling

Resource Scheduling Rules

Resource Scheduling Processing Options

Reporting on Resource Scheduling

Using Resource Allocation

Interproject Calculations

Multiple-Project Resource Scheduling

Effect of Reservations on Resource Scheduling

Related Procedures

Creating a Resource-Based Schedule

Performing Resource Scheduling

Changing the Attached Resource File

Using Resource Scheduling Information


The Resource Scheduling Process

Although the procedures for performing resource scheduling in Open Plan are relatively straightforward, the use of resource scheduling information for planning purposes is usually an iterative process that must be repeated until acceptable results are obtained. The following procedure may provide some guidelines about the steps you should follow when integrating resource scheduling information into the overall planning process.

Step #

Details

Related Topics

Step 1

Perform time analysis and evaluate the schedule. By default, Open Plan uses the total float calculated by time analysis in resource scheduling. In addition, since the dates calculated by time analysis do not consider resources, resource scheduling never produces earlier dates than time analysis. Therefore, there is little point in proceeding with resource scheduling if the dates produced by time analysis are later than those acceptable to your organization.

For more information about time analysis, see Time Analysis.

Time Analysis

Step 2

If necessary, replan the project. It is important that you have a finish date that is acceptable before proceeding.

Step 3

Perform resource scheduling. There are two basic approaches to resource scheduling:

  • Time-limited resource scheduling asks the question, “When and where do I need extra resources in order to meet the dates?”

  • Resource-limited scheduling asks the question, “How much will the project be delayed because I do not have enough resources?”

Although you will certainly want to try both methods so that you can compare the results, your circumstances will dictate which method you should try first.

Time-limited and resource-limited scheduling

Step 4

To see the effect of resources on the project schedule, compare the scheduled dates calculated by resource scheduling to the early and late dates calculated by time analysis. In resource-limited scheduling, a large difference between an activity’s early start date and its earliest feasible date indicates that resource bottlenecks earlier in the project are producing delays in the schedule.

Step 5

To identify cases of resource over utilization, display a resource histogram view that compares resource requirements to availabilities.

Resource Histogram View

Step 6

If you are not satisfied with either the scheduled dates or the levels of resource utilization, you can make adjustments to the resource usage in a number of ways:

  • You can identify over-utilized resources and substitute under-utilized resources for them.

  • You can permit Open Plan to split, stretch, or reprofile activities whose durations do not have to be uninterrupted.

  • You can select a different processing option and rerun resource scheduling. Processing options include resource smoothing, giving in-progress activities higher priority, and using different fields for establishing project priorities.

Split, stretch, and reprofile activities

Resource scheduling processing options

Step 7

Recalculate the schedule using time analysis (if you have made any changes to the project logic) and resource scheduling.

Step 8

Repeat the entire procedure as needed to develop a workable schedule.


Types of Resource Scheduling

Open Plan provides for two basic approaches to resource scheduling:

  • Time-limited resource scheduling

  • Resource-limited resource scheduling

If a resource is required by an activity but no availability has been specified for that resource, Open Plan assumes that the resource is unconstrained and displays a warning during resource scheduling. (You can also specify individual resources as having unconstrained availability at run time.) In this way, you can determine the overall demand for a resource by a project without having constraints imposed by the resource's availability affect the calculation of scheduled dates.

Related Topics and Procedures

Related Topics

Resource Scheduling Rules

Resource Scheduling Processing Options

Using the Resource Scheduling Options Tab

Using the Resource Scheduling Advanced Tab

Resource Smoothing Processing Option

Hard Zeros Processing Option

Resource Scheduling Flexibility

Multiple-Project Resource Scheduling

Effect of Reservations on Resource Scheduling

Related Procedures

Creating a Resource-Based Schedule

Performing Resource Scheduling


Effect of Reservations on Resource Scheduling

Open Plan offers the ability to reserve resources for particular projects, either for all time or for specific periods. Resource Scheduling does not include resource availability reserved for another project. The effect of reservations on resource scheduling depends on the type of resource scheduling that is performed and the options that have been set.

  • Resource-Limited Resource Scheduling: In general, resource-limited resource scheduling restricts resource usage to availabilities that have not been reserved for another project. However, exceptions are made to this rule under the following circumstances:

  • In the case of external subprojects, Open Plan may use resources that have been reserved for the master project or any higher-level subprojects in the hierarchy.

  • If a threshold has been set on the resource record, Open Plan may use the reserved resource availability to the extent permitted by the threshold.

  • Time-Limited Resource Scheduling: When performing time-limited resource scheduling, Open Plan may use any resource availability even though it may have been totally reserved to another project. An exception to this rule applies when the hard zero option is set. Under this circumstance, Open Plan may not use the reserved resource availability.

External Subproject Activity

When an activity belongs to an external subproject, the availability considered for scheduling that particular activity includes:

  • The availability reserved for the subproject

  • Any higher-level subprojects to which it belongs

  • The main project

For more information, see Defining Resources. For information about resource scheduling calculations, see Resource Scheduling Calculations in the Deltek Open Plan Developer's Guide.

Related Topics and Procedures

Related Topics

Using Resource Scheduling

Types of Resource Scheduling

Resource Scheduling Rules

Multiple-Project Resource Scheduling

Related Procedures

Creating a Resource-Based Schedule

Performing Resource Scheduling

Changing the Attached Resource File

Using Resource Scheduling Information

Setting a Project Priority

Removing Summary Resource Usage Information for Projects


Results of Resource Scheduling Calculations

When you perform resource scheduling in Open Plan, the following data is calculated.

  • Scheduled dates: A set of activity start and finish dates as follows:

  • Scheduled start: The proposed date on which an activity should start based upon both project logic and resource constraints. A scheduled start date for an activity can never be earlier than its early start date calculated by time analysis.

  • Scheduled finish: The proposed date on which an activity should finish based on both project logic and resource constraints. A scheduled finish date for an activity must be the same or later than its early finish date calculated by time analysis.

  • Earliest feasible date: The earliest date on which the activity could be scheduled to start based on the scheduled dates of all its predecessors but in the absence of any resource constraints on the activity itself.

  • Scheduled duration: The computed duration of the activity. The scheduled duration of an activity can never be shorter than its original duration. A scheduled duration can, however, be longer than the original duration in cases where the activity was split, stretched, or reprofiled during resource scheduling.

For information about activity splitting, stretching, and reprofiling, see Resource Scheduling Attributes for Activities.


Resource Scheduling Rules

Open Plan follows a number of general rules when performing resource scheduling:

  • Open Plan uses a serial method of resource scheduling. This means that activities are scheduled one at a time. Once an activity is scheduled, it is not reconsidered based on the needs of subsequent activities. The order in which activities are scheduled is determined by the project logic and can be modified only in a limited way by defining the priority fields used by the calculation. For more information about defining priority fields, see Resource Scheduling Processing Options.

  • Open Plan uses the late dates to determine when an activity is being delayed enough to delay the project completion. Therefore, if you change Time Now, you should rerun time analysis before performing resource scheduling.

  • Resource scheduling does not violate project logic. Therefore, activities are available to be scheduled only after all their logical predecessors have been scheduled. While the order in which activities are scheduled is determined by the project logic, you can control the order to some extent by setting the activity priorities at run time.

  • Resource scheduling does not violate project logic. This means that activities are available to be scheduled only after all of their logical predecessors have been scheduled. This means that no activity will be scheduled before its early dates.

  • Open Plan does not schedule an activity before Time Now.

  • Open Plan does not schedule an activity before its early start date.

  • Activity durations are never shortened but may be lengthened due to stretching, splitting, or reprofiling. If lengthened in any of these ways, the new duration becomes the scheduled duration.

  • You can tell if an activity is split, stretched, or reprofiled by viewing the Scheduled Actions field in the activity table.

  • After resource-limited resource scheduling, an activity's resource requirements (on the scheduled dates) will not exceed availability except when using immediate activities, thresholds, or when scheduling is suppressed.

    • By assigning the Immediate attribute to an activity, you instruct Open Plan to start the activity on its earliest feasible date, even if that means overloading a resource. The earliest feasible date for an activity is a date calculated by resource scheduling and represents the earliest possible date an activity can start in the absence of any resource constraints on its schedule.

    By assigning the Immediate attribute to an activity, you instruct Open Plan to start the activity on its earliest feasible date, even if that means overloading a resource. The earliest feasible date for an activity is a date calculated by resource scheduling and represents the earliest possible date an activity can start in the absence of any resource constraints on its schedule.

    For information about immediate activities, see Resource Scheduling Attributes for Activities.

  • Time-limited resource scheduling schedules within the late finish date of the project if there is no negative float. If negative float is present, Open Plan schedules on the early finish date of activities with negative float.

  • If an activity is delayed, you can identify the first resource to delay this activity by viewing the Delaying Resource field in the activity table.

  • Time-limited resource scheduling schedules critical activities first, as they cannot be delayed.

Related Topics and Procedures

Related Topics

Types of Resource Scheduling

Resource Scheduling Processing Options

Using the Resource Scheduling Options Tab

Using the Resource Scheduling Advanced Tab

Multiple-Project Resource Scheduling

Effect of Reservations on Resource Scheduling

Related Procedures

Creating a Resource-Based Schedule

Performing Resource Scheduling

Using Resource Scheduling Information


Resource Scheduling Flexibility

By assigning scheduling attributes to an activity, you can increase or decrease the flexibility with which Open Plan performs resource scheduling.

Activity splitting, stretching, and reprofiling are three techniques that can be used to add flexibility to the treatment of an activity during resource scheduling. Each of these techniques can be regarded as a way to improve the performance of a project by relaxing the rules of resource scheduling in a particular way.

It is also possible to assign the Immediate attribute to an activity. The Immediate attribute removes flexibility from resource scheduling calculations by forcing Open Plan to schedule an activity at the earliest possible date.

You can assign scheduling attributes to an activity by using the Advanced tab of the Activity Details dialog box.

Related Topics and Procedures

Related Topics

Activity Details Advanced Tab

Resource Scheduling Processing Options

Using the Resource Scheduling Options Tab

Using the Resource Scheduling Advanced Tab

Related Procedures

Performing Resource Scheduling

Splitting an Activity Duration

Stretching an Activity Duration

Reprofiling an Activity Duration

Assigning the Immediate Attribute to an Activity


Resource Scheduling for Multiple Projects (Batch Mode)

You can also perform resource scheduling in Batch Mode. This allows you to run resource scheduling for multiple projects at one time. To run resource scheduling in Batch Mode, select more than one project from the Details pane of Open Plan Explorer, and click the Resource Scheduling button. The Resource Scheduling [Batch Mode] dialog box displays. Set your options and click OK.

If a project is closed, Open Plan will open it in Exclusive mode, perform the process, save the changes, and then close the project. If a project cannot be opened in Exclusive mode (because another user has it open in Exclusive or Shared mode) it will be skipped.

If you have a project open when the batch process is run, resource scheduling will be performed on the project, but the changes will not be saved and the project will remain open. You must manually save the changes yourself.

Open Plan creates one time analysis session log, listing the project results in the order in which the projects were processed in the batch.

Open Plan offers two methods of performing resource scheduling on multiple projects:

  • Using a shared resource pool with reserved resources. Using this method involves the following steps:

    • A priority is placed on each project sharing the resource pool.

    • Resource availabilities, or portions of resource availabilities, may be reserved for specific projects.

    • Resource scheduling is performed with the option to consider usage on other projects selected.

    Using this method, Open Plan schedules each project using resource availabilities that are neither reserved by other projects, nor in use by projects that have a higher priority. When determining resource availabilities that may not be used by the current project, Open Plan adheres to the following rules:

    • If a quantity is reserved for a project that has a higher priority than the current project and a different quantity is actually used by that same project, Open Plan identifies only the larger of the two quantities as unavailable. For example, if 3 units are reserved for a project with a higher priority and 4 units are actually used by that project, Open Plan identifies 4 units as unavailable.

    • If, on the other hand, a quantity is reserved for one project and another quantity is used by a different project that has a higher priority than the current project, Open Plan identifies the total of the two quantities as unavailable. For example, if Project A has 3 units reserved, and Project B (with a higher priority than the current project) uses 4 units, Open Plan identifies 7 units as unavailable.

  • Using a master project and external subprojects. Using this method, Open Plan schedules the activities using one of the following methods:

    • The order in which activities are scheduled is determined by the project logic regardless of the subproject to which it belongs. The resource is allocated to the first project that requires it.

    • The order in which activities are scheduled is determined by both the hierarchical priority field of the project and the priority field of the activity.

Related Topics and Procedures

Related Topics

Using Resource Scheduling

Types of Resource Scheduling

Resource Scheduling Rules

Effect of Reservations on Resource Scheduling

Related Procedures

Creating a Resource-Based Schedule

Performing Resource Scheduling

Changing the Attached Resource File

Using Resource Scheduling Information

Setting a Project Priority

Removing Summary Resource Usage Information for Projects


Resource Scheduling Attributes for Activities

Splitting, stretching, and reprofiling are three activity attributes that can be used to add flexibility to the treatment of an activity during resource scheduling. Each of these techniques can be regarded as a way to improve the performance of a project by relaxing the rules of resource scheduling in a particular way.

It is also possible to assign the Immediate attribute to an activity. The Immediate attribute removes flexibility from resource scheduling calculations by forcing Open Plan to schedule an activity on the earliest date possible.

For more information about activity attributes, see Resource Scheduling Calculations in the Deltek Open Plan Developer's Guide.

Activity Splitting

Activity splitting allows an activity duration to be split into two or more pieces. Use of this attribute may permit the activity to be scheduled earlier than would otherwise be possible due to gaps in the availability of a required resource. For example, suppose that 3 units of a resource are available on January 1 and January 2. On January 3, only 1 unit of the resource is available, and on January 4 and January 5, 3 units of the resource are again available. This is illustrated in the following profile:

Normally, a 4-day activity with a requirement of 3 units per day could not be scheduled during this period since there are not 4 consecutive days in which the necessary resources are available. As a result, either the activity must be delayed or the resource availability exceeded. If the activity can be split, however, it is possible to schedule the activity in two pieces with one 2-day piece starting on January 1 and the second 2-day piece starting on January 4.

Two parameters control the splitting of an activity during resource scheduling: the minimum duration of an activity piece and the maximum number of pieces.

Activity Stretching

A stretchable activity is an activity whose duration can be lengthened by Open Plan during resource scheduling in order to reduce the peak requirement for a constraining resource and thus obtain an earlier scheduled date. For example, assume that a 2-day activity with a requirement of 6 resource units per day is scheduled against a resource with an availability of only 4 units per day:

If the availability of the resource cannot be exceeded, Open Plan delays the activity. However, by stretching the duration of an activity to 3 days (reducing the requirement to 4 units per day), it is possible to reduce the peak requirement of the activity enough to permit the scheduling of the activity:

The total resource requirement of the activity remains unchanged.

To control the effects of stretching during resource scheduling, Open Plan allows you to enter a maximum duration for the activity.

Activity Reprofiling

Reprofiling provides Open Plan with the most flexibility in scheduling an activity. An activity with this attribute can be scheduled in any way consistent with available resources so long as the following criteria are met:

  • The duration of the reprofiled activity cannot be shorter than the specified duration.

  • The reprofiled requirements cannot exceed the original requirements profile (on a cumulative basis).

Thus a 10-day activity with a resource requirement of 3 units per day cannot be reprofiled so that it has a 1-day duration with a requirement of 30 units.

To see how reprofiling works, assume that a 3-day activity has a resource requirement of 5 units per day for a total of 15 units. Depending on the availability of the resources, the activity can be reprofiled in any number of ways, including the following examples:

  • 5 days at 3 units per day

  • 4 days at 2 units per day, followed by 1 day at 7 units per day

  • 5 days at 1 unit per day, followed by 1 day at zero units per day, followed by 1 day at 10 units per day

To control the effects of reprofiling during resource scheduling, Open Plan allows you to enter a maximum duration for the activity.

The Immediate Attribute

By assigning the Immediate attribute to an activity, you instruct Open Plan to start the activity on its earliest feasible date even if that means overloading a resource. The earliest feasible date for an activity is a date calculated by resource scheduling and represents the earliest possible date an activity can start, taking into account delays in preceding activities but in the absence of any constraints on its own resources.

For more information about the results of resource scheduling calculations, see Results of Resource Scheduling Calculations.


Reporting on Resource Scheduling

Although it is possible to display any data calculated by resource scheduling in a tabular format, Open Plan also provides a number of views that display resource scheduling results graphically.

For example, to show the potential effects of resource constraints on activity schedules, open the standard resource barchart view after you have performed resource scheduling.

In this view, Open Plan displays bars for both early and scheduled dates. If the scheduled start date is later than the earliest feasible start date for an activity (that is, if a resource assigned to the activity is causing it to be delayed beyond its earliest possible start), Open Plan changes the color of the bar, displays an arrow indicating the earliest feasible start date, and displays the name of the resource causing the delay.

By enlarging the histogram portion of the view, you can compare availability and assignment information for specific resources:

This type of view makes it easy to focus on the resource problems that have a direct impact on schedule performance.

Related Topics and Procedures

Related Topics

Using Resource Scheduling

Resource Scheduling Processing Options

Using the Resource Scheduling Options Tab

Using the Resource Scheduling Advanced Tab

Related Procedures

Performing Resource Scheduling

Using Resource Scheduling Information


Resource Scheduling Processing Options

Each time you perform resource scheduling, you can use the Resource Scheduling dialog box to specify the following processing options:

  • In-progress Priority Processing: This option allows you to specify that in-progress activities have priority access to limited resources.

  • Hard Zeros Processing: This option exempts any implied resource availability of zero from being incremented through the use of thresholds or during time-limited resource scheduling.

  • Resource Smoothing Processing: This option attempts to even out or "smooth" the way in which resources are assigned to activities.

  • Priority Fields: Open Plan allows you to specify up to three fields indicating priorities that are used as tie-breakers during resource scheduling.

  • Scheduling Interval: The scheduling interval is the time interval that Open Plan should use in performing resource scheduling.

  • Resource Selection: By clearing some resources, you instruct Open Plan to schedule the project as though an unlimited quantity of resources were available.

  • Force Overloaded Activities to Late Dates: This option controls whether or not Open Plan should force overloaded activities to their late dates rather than to their early dates.

  • Try Alternate Resource to Avoid Delay: This option controls the use of alternate resources in resource scheduling.

  • Limit Reprofiling to Original Level: This option controls whether or not Open Plan should limit the reprofiling of a resource assignment to a level that does not exceed the original profile for any given unit of duration.

After you have specified a set of resource scheduling options for a particular project, these options remain the defaults for that project each time it is scheduled.

For more information about each option, see the Resource Scheduling dialog box Advanced tab.

Related Topics and Procedures

Related Topics

Resource Scheduling

Resource Scheduling dialog box

Related Procedures

Performing Resource Scheduling

Using Resource Scheduling Information


Priority Fields

On the Resource Scheduling dialog box's Advanced tab, Open Plan allows you to specify up to three fields indicating priorities that are used as tie-breakers during resource scheduling. You may enter any numeric or date field. Lower numbers or earlier dates have a higher priority. Negative numbers are allowed.

If the In-Progress Priority option is on, activities in progress always have the highest priority in resource scheduling regardless of the values stored in their priority fields.

The default for the first priority tie breaker is set to Total Float. Since lower numbers have a higher priority than higher numbers, this tends to schedule the critical path first. In most cases, you should leave this priority because it tends to schedule in the shortest amount of time possible. (If critical activities are delayed, the project is automatically delayed by the same amount of time.)

If you are an experienced project manager, you may want to design your own priority system to control the scheduling of activities. Typically, you might define a numbering system based from 1 to 10 or, perhaps, 1 to 100. The numbering system and the range you use should be based on the size of the project and the degree of detail necessary. A field labeled Priority on the Advanced tab of the Activity Details dialog box is available for this purpose, but it would also be possible to specify a calculated field as a priority field.

If the in-progress priority option is selected, activities in progress always have the highest priority.

For more information about the effect of priority fields, see Resource Scheduling Calculations in the Deltek Open Plan Developer's Guide.

Special Purpose Priority Fields

Open Plan also provides two special-purpose priority fields that you can use for resource scheduling purposes: <Hierarchical Priority Field> and <Remaining Float>. You can see these in the Priorities fields lists on the Resource Scheduling dialog box Advanced tab.

Hierarchical Priority Field

With this option selected, resource scheduling schedules subprojects based on their priority levels within the hierarchy. On the other hand, if the regular priority field is selected, Open Plan ignores the priority of the parent subproject when scheduling the activity.

Consider the following examples:

Example 1

With the Hierarchical Priority Field selected, Open Plan first considers the priority of the parent subproject when scheduling the activity, resulting in the following scheduling order:

Activity ID | Priority | Schedule Order
A | 0 |
A.1 | 10 | 1
A.2 | 12 | 2
B | 1 |
B.1 | 11 | 3
B.2 | 13 | 4

Example 2

With the regular priority field selected, Open Plan ignores the priority of the parent subproject when scheduling the activity, resulting in the following scheduling order:

Activity ID | Priority | Schedule Order
A | 0 |
A.1 | 10 | 1
A.2 | 12 | 3
B | 1 |
B.1 | 11 | 2
B.2 | 13 | 4

Remaining Float

With this option selected, Open Plan calculates the remaining float of each activity during resource scheduling as the difference between the earliest feasible date and the latest start date. This remaining float is then used to assign a priority to the subproject or activity.

For more information about the effect of priority fields, see Resource Scheduling Calculations in the Deltek Open Plan Developer's Guide.

Related Topics and Procedures

Related Topics

Resource Scheduling Processing Options

Resource Scheduling dialog box

Related Procedures

Performing Resource Scheduling

Using Resource Scheduling Information


Resource Allocation

During resource scheduling, Open Plan suggests a resource for each activity assignment. If you defined the resource assignment for an activity using an alternate resource, this suggested resource may be the requested resource, or it may be the alternate resource you specified. If you defined the resource assignment as either a pool or a resource with a certain skill, Open Plan selects an individual resource that meets the requirement.

After performing resource scheduling, you have the opportunity to review these suggested resources and take an appropriate action. In Open Plan, this process is referred to as “resource allocation,” and the results of this process appear in the Activity Resource Allocation dialog box.

This dialog box is modeless; in other words, you can leave the dialog box open when performing other operations. Four navigation arrows in the lower-right corner of the dialog box allow you to scroll through the records in the file.

If Open Plan suggested the requested specific resource, you do not need to take any action. However, if Open Plan suggests an alternate resource, a resource from a pool, or a resource with a specified skill, you need to decide whether you want to act on the suggestion at this time.

There are two types of actions you can take when using resource allocation:

  • Accept: Replace the requested resource with the one suggested by Open Plan.

  • Lock: Lock the requested resource, which has the effect of removing the alternative resource from future consideration for the assignment.

These actions take effect the next time you perform resource scheduling on the project. Your role in resource allocation is to review the resources Open Plan suggests for each activity. You can either accept the suggestion by replacing the requested resource with the suggested resource or ignore the suggestion for the time being.

If you do not take any action, the requested and alternate resources are not modified, and the next time you run resource scheduling, Open Plan may suggest a different resource.

Resource Allocation Guidelines

In general, you should use the following steps when calculating a schedule using pools, skills, or alternate resources:

  • Step 1: After making your initial resource assignments and performing time analysis on the project, perform resource scheduling.

  • Step 2: Use the Activity Resource Allocation dialog box to review the suggested resources for each activity and make any necessary changes. (Note that you cannot display this dialog box for activities without resource assignments.)

  • Step 3: Perform resource scheduling again.

  • Step 4: To see the effect of your choices in resource allocation on the schedule and resource utilization, display a histogram view showing the resources you are most interested in.

Typically, you would repeat this procedure several times until you are satisfied with the resource assignments for each activity.

Related Topics and Procedures

Related Procedure

Replace a Requested Resource with a Suggested Resource


Resource Scheduling Session Log

Each time you perform resource scheduling, Open Plan records any system or error messages issued during the operation.

Use the Open Log on the Processes tab to view the log.

Related Topics and Procedures

Related Topics

Using Time Analysis

Types of Resource Scheduling

Resource Scheduling Rules

Related Procedure

Viewing a Resource Scheduling Session Log


Replacing Requested Resources for an Activity

During resource scheduling, if Open Plan suggests that you use the alternate resource for an activity, you have the option of acting on the suggestion. This instructs Open Plan to replace the assignment for your requested resource with the alternate suggested by Open Plan.

For example, assume that you have specified RES.LAB.ENG.MECH.IKE for an activity, but will accept RES.LAB.ENG.MECH.KELLEY as an alternate if the requested resource is not available. As the result of resource scheduling, Open Plan suggests that RES.LAB.ENG.MECH.KELLEY be used.

In the Activity Resource Allocation dialog box, Open Plan identifies the requested, alternate, and suggested resources. If you choose to accept the suggestion, Open Plan makes the alternate resource the requested one.

Note, however, that this action may not have a permanent effect. Unless you lock the resource requirement, Open Plan may suggest either your requested resource or an alternate resource the next time you run resource scheduling. Therefore, it is possible for you to replace the requested resource with the suggested resource during one resource scheduling session and have Open Plan suggest your originally requested resource during a subsequent resource scheduling session.

Once you have replaced the originally requested resource, future resource scheduling sessions may not allow you to undo the replacement. In the above example, for instance, restrictions on the availability of RES.LAB.ENG.MECH.IKE may result in Open Plan never suggesting that resource as an alternative to RES.LAB.ENG.MECH.KELLEY. You can, of course, always restore the original assignment by re-entering the information for the assignment in the Activity Details dialog box. However, to maintain flexibility in your resource assignments for as long as possible, consider replacing requested resources only for activities planned in the near future.

Related Topics and Procedures

Related Topic

Resource Locking

Related Procedure

Replace a Requested Resource with a Suggested Resource


Resource Locking

The objective of resource locking is to inhibit future alternate resource scheduling. If you lock a selection, you are telling Open Plan that you do not want to consider any other resource for the specified activity. You may want to lock a resource selection in any number of situations. For example:

  • As Time Now approaches the date on which an activity is scheduled to start, you should consider locking resources for that activity.

  • It may be important that you use the same resource for a series of activities.

  • You may feel particularly comfortable using the suggested resource for the activity.

For example, assume that Open Plan suggests that RES.LAB.ENG.MECH.IKE be used for an activity, and you do not want to consider any other resource for the activity. When you lock the resource for the activity, Open Plan deletes the alternate resource specification and makes the requested resource the required resource.

You can lock a resource assignment regardless of whether Open Plan suggests your requested resource or an alternate resource.

After you have locked a resource for an activity, the only way to re-assign an alternate resource requirement is to return to the Activity Details dialog box. For this reason, consider locking resources only for activities planned in the near future.

Related Topics and Procedures

Related Procedure

Lock a Requested Resource


Using Spread Curves to Define Resource Assignments

Spread curves allow you to define the manner in which a resource assignment is distributed over the duration of an activity. When assigning a resource to an activity, you can use the Red Curve field on the Resources tab of the Activity Details dialog box to select a predefined spread curve.

As shipped from Deltek, Open Plan provides the following standard spread curves:

B - Back Load

Most of the resource effort is allocated toward the end of the duration.

D - Double Peak

Most of the resource effort is allocated to two peaks - one near the beginning of the duration and one near the end.

E - Early Peak

Most of the resource effort is allocated near the beginning of the duration.

F - Front Load

Most of the resource effort is allocated at the beginning of the duration.

L - Late Peak

Most of the resource effort is allocated near the end of the duration.

N - Normal (Bell)

The resource effort starts with a minimal effort, gradually increases to the middle of the duration, and then tapers off.

T - Linear

Through the use of the Spread Curves dialog box, you can customize this list by adding new spread curves and modifying or deleting those that have already been defined. Clicking New on the Spread Curves dialog box displays the New Spread Curve dialog box.

When you select an existing spread curve from the Spread Curves dialog box and click Edit, Open Plan displays the Edit Spread Curve dialog box. This dialog box is similar to the New Spread Curve dialog box except that the Name field is disabled. You can edit only the description and percentage values in the Cumulative and Incremental rows. Select the Access Control option to grant rights to other users in the data source to use the curve.

Be aware that modifying or deleting a spread curve that is in use by another project will affect the project the next time resource scheduling is performed or a baseline is updated.

Related Topics and Procedures

Related Procedures

Creating a New Spread Curve

Modifying a Spread Curve

Deleting a Spread Curve


Edit Spread Curve Dialog Box

Use this dialog to edit the spread curve details.

The Cumulative and Incremental rows work together, and you can enter percentage values in either or both rows. The total in the Cumulative row is displayed in column 10. This value must equal 100%.

Name

Open Plan uses the (single) character entered in this field to identify the spread curve.

If you enter a character that is already in use for another spread curve, Open Plan issues a warning when you click OK.

Description

This field allows you to specify a more descriptive name for the spread curve. Once defined, the spread curve is identified by both its Name and its Description.

You cannot leave this field blank. You must enter a description for the spread curve.

Cumulative

As you enter values in the grid, Open Plan recalculates the values and displays the current total in column 10 of the Cumulative row.

Incremental

The values in the Incremental row allow you to define the percentage to be applied to each specific period.

Reconcile

If you click the Reconcile button, Open Plan ensures that the value in column 10 of the Cumulative row equals 100%. If necessary, Open Plan redistributes the values in the remaining cells in such a manner as to honor your inputs to the extent that it is possible.

Access Control

Clicking the Access Control button displays the Access Control dialog box, which lets you share this item with other users as needed.

Location

To display the Edit Spread Curve dialog box, complete the following steps:

  1. On the Tools tab, click Spread Curves.

  2. In the Spread Curves dialog box, select the spread curve that you want to modify and click Edit.

Related Topics and Procedures

Related Topics

Using Spread Curves to Define Resource Assignments

Using the Spread Curves Dialog Box

Using the New Spread Curve Dialog Box

Activity Details Resources Tab

Related Procedures

Creating a New Spread Curve

Modifying a Spread Curve

Deleting a Spread Curve


New Spread Curve Dialog Box

Use this dialog box to create a new spread curve.

Name

Open Plan uses the (single) character entered in this field to identify the spread curve.

If you enter a character that is already in use for another spread curve, Open Plan issues a warning when you click OK.

Description

This field allows you to specify a more descriptive name for the spread curve. Once defined, the spread curve is identified by both its Name and its Description.

You cannot leave this field blank. You must enter a description for the spread curve.

Grid

At the bottom of the dialog box, Open Plan features a grid that allows you to define the percentage of the resource to be specified for each of 10 periods. This grid contains two rows. These two rows work together, and you can enter percentage values in either or both rows. The total in the Cumulative row is displayed in column 10. This value must equal 100%.

Cumulative

As you enter values in the grid, Open Plan recalculates the values and displays the current total in column 10 of the Cumulative row.

Incremental

The values in the Incremental row allow you to define the percentage to be applied to each specific period.

Buttons

Reconcile

If you click Reconcile, Open Plan ensures that the value in column 10 of the Cumulative row equals 100%. If necessary, Open Plan redistributes the values in the remaining cells in such a manner as to honor your inputs to the extent that it is possible.

Location

To display the New Spread Curve dialog, complete the following steps:

  1. On the Tools tab, click Spread Curves.

  2. In the Spread Curves dialog box, click New.

Related Topics and Procedures

Related Topics

Using Spread Curves to Define Resource Assignments

Using the Spread Curve Dialog Box

Using the Edit Spread Curve Dialog Box

Activity Details Resources Tab

Related Procedures

Creating a New Spread Curve

Modifying a Spread Curve

Deleting a Spread Curve


Spread Curves Dialog Box

This dialog box displays a list of spread curves that you can use when assigning resources to an activity.

B - Back Load

Most of the resource effort is allocated toward the end of the duration.

D - Double Peak

Most of the resource effort is allocated to two peaks — one near the beginning of the duration and one near the end.

E - Early Peak

Most of the resource effort is allocated near the beginning of the duration.

F - Front Load

Most of the resource effort is allocated at the beginning of the duration.

L - Late Peak

Most of the resource effort is allocated near the end of the duration.

N - Normal (Bell)

The resource effort starts with a minimal effort, gradually increases to the middle of the duration, and then tapers off.

T - Linear

The requirement is interpreted as a total quantity allocated as evenly as possible throughout the duration.

Buttons

New

Click this button, or press Insert on your keyboard, to display the New Spread Curve dialog box which you use to create a new custom spread curve.

Edit

Select an existing spread curve and click this button to display the Edit Spread Curve dialog box which you can use to edit the name and/or selected spread curve details.

Delete

Click this button, or press Delete on your keyboard, to delete the selected spread curve. A dialog box displays, asking you to confirm the deletion.

Location

To display the Spread Curves dialog box, complete the following step:

  1. Click Spread Curves on the Tools tab.

Related Topics and Procedures

Related Topics

Using Spread Curves to Define Resource Assignments

Using the New Spread Curves Dialog Box

Using the Edit Spread Curve Dialog Box

Activity Details Resources Tab

Related Procedures

Creating a New Spread Curve

Modifying a Spread Curve

Deleting a Spread Curve


Creating a New Spread Curve (Procedure)

Creating a New Spread Curve

To create a new spread curve, complete the following steps:

  1. On the Tools tab, click Spread Curves.

  2. In the Spread Curves dialog box, click New.

  3. In the Name field of the New Spread Curve dialog box, enter a single character to serve as the name.

  4. In the Description field, enter a longer description for the spread curve.

  5. In the grid at the bottom of the dialog box, enter the appropriate values in any combination of cells in the Cumulative and Incremental rows.

    The total in the Cumulative row is displayed in column 10. This value must equal 100%.

  6. Click Reconcile to ensure that the values in each column of the Cumulative row are correct.

  7. Click Apply.

Related Topics and Procedures

Related Topics

Using Spread Curves to Define Resource Assignments

Using the Spread Curves Dialog Box

Using the New Spread Curve Dialog Box

Using the Edit Spread Curve Dialog Box

Related Procedures

Modifying a Spread Curve

Deleting a Spread Curve


Deleting a Spread Curve (Procedure)

Deleting a Spread Curve

To delete a spread curve, complete the following steps:

  1. On the Tools tab, click Spread Curves.

  2. In the Spread Curves dialog box, select the spread curve that you want to delete.

  3. Click Delete.

  4. When Open Plan asks that you confirm the deletion, click Yes.

Be aware that deleting a spread curve used by another project will affect the project the next time resource scheduling is performed or a baseline is updated.

Related Topics and Procedures

Related Topics

Using Spread Curves to Define Resource Assignments

Using the Spread Curves Dialog Box

Using the New Spread Curve Dialog Box

Using the Edit Spread Curve Dialog Box

Related Procedures

Creating a New Spread Curve

Modifying a Spread Curve


Modifying a Spread Curve (Procedure)

Modifying a Spread Curve

To modify a spread curve, complete the following steps:

  1. On the Tools tab, click Spread Curves.

  2. In the Spread Curves dialog box, select the spread curve that you want to modify and click Edit.

  3. Verify that the Name field of the Edit Spread Curve dialog box displays the correct name.

  4. If you want to modify the description of the spread curve, enter new information in the Description field.

  5. In the grid at the bottom of the dialog box, enter the appropriate values in any combination of cells in the Cumulative and Incremental rows.

    The total in the Cumulative row is displayed in column 10. This value must equal 100%.

  6. Click Reconcile to ensure that the values in each column of the Cumulative row are correct.

  7. Click Apply.

Be aware that modifying a spread curve used by another project will affect the project the next time resource scheduling is performed or a baseline is updated.

Related Topics and Procedures

Related Topics

Using Spread Curves to Define Resource Assignments

Using the Spread Curves Dialog Box

Using the New Spread Curve Dialog Box

Using the Edit Spread Curve Dialog Box

Related Procedures

Creating a New Spread Curve

Deleting a Spread Curve


Activity Resource Allocation Dialog Box

This dialog box is comprised of two sections. The upper section displays the following information about the selected activity:

ID

A unique code identifying each activity in a project.

Total Float

The maximum number of work periods by which an activity can be delayed without delaying project completion or violating a target finish date.

Free Float

The maximum amount by which an activity can be delayed beyond its early dates without delaying any successor activity beyond its early dates. In the absence of finish targets, free float is always less than or equal to total float.

Scheduled Duration

The scheduled duration of an activity is calculated by resource scheduling and takes into account such advanced activity management techniques as activity splitting, stretching, or reprofiling.

Description

Original Duration

The duration originally entered for this activity.

Earliest Feasible Date

The earliest date on which the activity could be scheduled to start based on the scheduled dates of all its predecessors but in the absence of any resource constraints on the activity itself. This date is calculated by resource scheduling.

Delaying Resource

Grid

Skill ID

This column displays the ID for the skill assigned to the resource.

Requested

This column displays the ID of the currently requested resource for the activity.

If you hover your mouse cursor over the ID, Open Plan displays the description of the resource as a tool tip.

If this is the first time you are performing resource allocation on the activity, the requested resource is the resource originally requested.

If you have previously performed resource allocation on the activity, the requested resource may be a suggested resource that you accepted at that time. (It is very possible for a requested resource to have originally been identified as an alternate resource.)

Level

This column displays the original resource requirement for the requested resource. This numeric value is interpreted by Open Plan as either a quantity per activity time unit or as a total requirement, depending on the Curve setting on resource assignment in the Activity Details dialog box.

Alternate

This column displays the ID of the resource currently defined as the alternate resource for the activity.

If you hover your mouse cursor over the ID, Open Plan displays the description of the resource as a tool tip.

If this is the first time you are performing resource allocation on the activity, the alternate resource is the resource originally identified as an acceptable alternate if the requested resource is unavailable.

If you have previously performed resource allocation on the activity, the alternate resource may be so identified as a result of your action at that time. (It is very possible for an alternate resource to have originally been identified as a requested resource.)

Suggested

This column displays the resource chosen by Open Plan in order to schedule the activity.

Used

This column displays the quantity of the suggested resource used to schedule the activity. This numeric value is interpreted by Open Plan as either a quantity per activity time unit or as a total requirement, depending on the Curve setting on resource assignment in the Activity Details dialog box.

Buttons

Two buttons, located at the right edge of the lower portion of the dialog box, apply to the resource allocation items you select. You can select as many resource allocation items at one time as you wish and accept or lock them at one time.

Accept

You can accept the resource suggested by Open Plan.

If Open Plan suggests the alternate resource, Accept has the effect of exchanging the requested resource and the suggested resource. The suggested resource replaces the requested resource, and the originally requested resource becomes the alternate resource.

Unless you choose to lock the requested resource, Open Plan may suggest either the requested resource or the alternate resource the next time you perform resource scheduling.

Lock

You can lock the requested resource.

Locking a resource has the effect of deleting the alternative resource for the activity. If you lock the requested resource, Open Plan no longer may attempt to schedule the alternate resource for the activity.

Navigation Controls

A set of navigation controls allows you to select another activity.

Button | Operation
 | Displays the first record
 | Displays the previous record
 | Displays the next record
 | Displays the last record

You can also use the following keys on your keyboard to navigate to another activity.

  • Ctrl+Home: Displays the first activity.

  • Page Up: Displays the previous activity.

  • Page Down: Displays the next activity.

  • Ctrl+End: Displays the last activity.

Location

Take one of the following actions:

  • Select the activity for which you want to review the resource allocations, and click Allocate on the Edit tab.

  • Right-click the activity, and click Allocation on the context menu.

Related Topics and Procedures

Related Topics

Using Resource Allocation

Using Resource Scheduling

Activity Details General Tab

Activity Details Resources Tab

Related Procedures

Performing Resource Scheduling

Performing Resource Allocation


Choose a Resource Pool Dialog Box

This dialog box features the following controls that allow you to choose a code file for which the view should display information:

  • Open Resource Pools: The list box displays a list of resource pools that you have open. Selecting a resource pool from this list and clicking OK displays information from that resource pool in the view.

  • Make a Permanent Link to Resource Pool: Selecting this option creates a permanent link to the selected resource pool.

Related Topics and Procedures

Related Topic

Using the Choose a Code File Dialog Box

Related Procedure

Assigning a View to a Resource Pool


Summary Usage Dialog Box

This dialog box allows you to delete project summary usage data from the PSU table.

The Summary Usage dialog box displays a list of all the projects that have stored resource usage data for the open resource file. When you select a project from the list and click Delete, Open Plan frees the resources used by that project so that they can be made available to other projects.

You can select multiple projects by holding down the Ctrl or Shift key while making a selection.

Location

You can display the Summary Usage dialog box by opening a resource file and following these steps:

  1. Ensure that summary usage data has been created for at least one project that uses the resource file.

    The summary usage data is updated when you save a project for which the option to Create Summary Usage Upon Saving Project is selected on the Scheduling tab of the Project Properties dialog box.

  2. On the Edit tab, click Summary Usage.

Related Topics and Procedures

Related Topics

Using the Project Properties Scheduling Tab

Multiple Project Resource Scheduling

Effect of Reservations on Resource Scheduling

Related Procedure

Removing Summary Resource Usage Information for Projects


Skills Dialog Box

Use this dialog box to add, edit, or delete a resource skill.

Skills Grid

This grid lists the resource skill IDs and descriptions.

New

Click this button to display the Add Skill dialog box where you can add a new skill.

Edit

Select a skill from the Skills grid and click this button to display the Edit Skill dialog box where you can edit the selected skill.

Delete

Select a skill from the Skills grid and click this button to delete the skill.

Location

To display the Skills dialog box, complete the following steps:

  1. In Open Plan Explorer, display the Resource View for a project from the Resource Views folder.

  2. From the Edit tab of the Resource View, click Skills in the Manage menu group.

Related Topics and Procedures

Related Procedures

Adding Skills to a Resource File

Editing Skills in a Resource File

Deleting Skills From a Resource File

Assigning Skills to a Resource


Add Skill Dialog Box

Use this dialog box to add a resource skill.

Skill ID

A skill ID is an alphanumeric code unique to the skill and cannot exceed 10 characters.

Open Plan does not distinguish between upper and lower case characters in an ID and will flag skill "VBasic" as a duplicate of skill "vbasic."

IDs containing the following four symbols " , | ; are used as delimiters in Open Plan and may cause problems when importing or exporting data.

Description

A description can contain up to 60 characters. You may use both upper and lower case characters.

Unit Cost

A base cost for the skill. Typically, this is the average cost of all the resources that possess the skill.

By defining costs for skills, you can calculate resource budgets in cases where you request a skill rather than an individual resource for an activity.

Location

To display the Add Skill dialog box, complete the following steps:

  1. In Open Plan Explorer, display the Resource View for a project from the Resource Views folder.

  2. From the Edit tab of the Resource View, click Skills in the Manage menu group.

  3. In the Skills dialog box, click New.

Related Topics and Procedures

Related Procedures

Adding Skills to a Resource File

Editing Skills in a Resource File

Deleting Skills From a Resource File

Assigning Skills to a Resource


Edit Skill Dialog Box

Use this dialog box to edit a resource skill.

Skill ID

A skill ID is an alphanumeric code unique to the skill and cannot exceed 10 characters.

Open Plan does not distinguish between upper and lower case characters in an ID and will flag skill "VBasic" as a duplicate of skill "vbasic."

IDs containing the following four symbols " , | ; are used as delimiters in Open Plan and may cause problems when importing or exporting data.

Description

A description can contain up to 60 characters. You may use both upper and lower case characters.

Unit Cost

A base cost for the skill. Typically, this is the average cost of all the resources that possess the skill.

By defining costs for skills, you can calculate resource budgets in cases where you request a skill rather than an individual resource for an activity.

Location

To display the Edit Skill dialog box, complete the following steps:

  1. In Open Plan Explorer, display the Resource View for a project from the Resource Views folder.

  2. From the Edit tab of the Resource View, click Skills in the Manage menu group.

  3. In the Skills dialog box, select a skill and click Edit.

Related Topics and Procedures

Related Procedures

Adding Skills to a Resource File

Editing Skills in a Resource File

Deleting Skills From a Resource File

Assigning Skills to a Resource


Resource Details Dialog Box

To define a resource in Open Plan, use the Resource Details dialog box. The Resource Details dialog box displays basic information about each resource. Open Plan automatically displays this tabbed dialog box each time you add or edit a resource. The information you enter using these tabs combine to form a resource definition.

The Resource Details dialog box contains the following tabs for the various types of information associated with the resource:

  • General tab

  • Code tab

  • Availability tab

  • Escalation tab

  • Skills tab

  • User Fields tab

  • Notes tab

Because you can update multiple resources without having to close the Resource Details dialog box each time, Open Plan automatically saves any changes you make to a resource before displaying the next record. Notice also that OK and Cancel usually found on dialog boxes have been replaced with the following buttons:

  • Close: This button closes the dialog box and returns to the display of resources. If you have not saved the information currently displayed, Open Plan saves the changes before returning to the display.

  • Undo: Provided that you have not clicked Apply, this button returns the dialog box to its previous state.

  • Apply: This button saves the changes you have made to the current record.

You must enter information for a resource before the Undo and Apply buttons become active.

You can also use the New command to create a new resource while the Resource Details dialog box is open. This command functions identically to the Add Resource command available from the Edit tab.

The Resource Details dialog box is modeless. This means that you can leave this dialog box open when performing other operations. In addition, a set of navigation controls allows you to select another resource.

Button | Operation
 | Displays the first record
 | Displays the previous record
 | Displays the next record
 | Displays the last record

You can also use the following keys on your keyboard to navigate to another activity.

  • Ctrl+Home: Displays the first activity.

  • Page Up: Displays the previous activity.

  • Page Down: Displays the next activity.

  • Ctrl+End: Displays the last activity.

Location

To display the Resource Details dialog box, complete the following steps:

  1. In Open Plan Explorer, display the Resource View for a project from the Resource Views folder.

  2. Take one of the following steps:

  • Double-click a resource.

  • Select the resource and click Details in the Dialogs menu group of the Edit tab.

  • Right-click the resource and click Edit on the context menu.

The Resource Details dialog box also displays when you create a new resource.

Related Topics and Procedures

Related Topics

Resource Structures in Open Plan

Using Resource Files

How a Resource View Displays Information

Adding Resources to a Resource File

Adding Skills to a Resource File

Working with Calendars, Resources, and Codes

Using the Project Properties Files Tab

Activity Details Resources Tab

Related Procedures

Creating a Resource File

Opening a Resource File

Copying a Resource File

Deleting a Resource File

Using the Open Plan Explorer to Assign a Resource File to a Project

Using Project Properties to Assign a Resource File

Assigning Activity Resource Requirements

Assigning Resources in a Spreadsheet

Displaying Resource Assignments on a Barchart


Resource Details General Tab

This tab defines the basic information about the resource.

ID

A resource ID is an alphanumeric code unique to the resource and consists of from 1 to 59 characters, including periods that are used to indicate hierarchical levels.

By default, Open Plan defines a maximum field length of 59 characters for resource IDs and 60 characters for resource descriptions. It is possible, however, to modify the standard data structure and data dictionary so that these field lengths can be as long as 255 characters for new files.

When you enter a resource ID on the Resource Details dialog box, enter only the local portion of the resource ID. Open Plan automatically enters the parent portion of the ID.

Open Plan does not distinguish between upper and lower case characters in an ID and will flag resource R0001 as a duplicate of resource r0001.

IDs containing the following four symbols " , | ; are used as delimiters in Open Plan and may cause problems when importing or exporting data.

When you enter a resource ID in the Resource Details dialog box, enter only the local portion of the resource ID. Open Plan automatically enters the parent portion of the ID.

Open Plan does not distinguish between upper and lower case characters in an ID and will flag resource R0001 as a duplicate of resource r0001.

Description

A description can contain up to 60 characters. You may use both upper and lower case characters.

Type

The type of a resource can be one of the following:

  • Normal: An individual resource that does not get "used up." For example, a person or a facility.

  • Consumable: A resource that is consumed or "used up," such as the bricks in a construction project. The available quantity of a consumable resource is reduced as it is used up. Units that are not required during one period of availability are carried forward to the next period.

  • Open Plan assumes that the total quantity of a consumable resource is available on the date specified in the From Date field on the Availability tab, and that some quantity of the resource is available until it has been totally consumed or used up.

  • Perishable: A consumable resource with an expiration date. This type of resource is sometimes called "use it or lose it" and is frequently used in instances where budgets cannot be carried forward into the following fiscal year.

  • Open Plan assumes that the total quantity of a perishable resource is available on the date specified in the From Date field on the Availability tab. Like the consumable resource, the available quantity is reduced as it is consumed. In contrast to the consumable resource, however, any quantity of a perishable resource remaining is no longer available after the date specified in the To Date field on the Availability tab.

  • Resource Pool: Open Plan uses this resource to represent a group of resources at a lower level of the same pool. It is important to be aware of which resources serve as pools because of the following ramifications:

    • Information defined at the pool level is ignored by the child resources belonging to the pool.

    • If you delete a pool, you delete all child resources as well.

Category

Open Plan supports the following types of resource category:

  • Other Direct Costs (ODC)

  • Labor

  • Material

  • Subcontract

Open Plan uses Other Direct Costs to monitor costs that are directly attributable to the activity as opposed to the resources.

For a complete description of each of the Category options, see the Activity Information Cost Tab.

Unit

For each resource, you can enter a description of how you measure the resource (for example, hours, tons, and so on).

Effort Factor

The effort factor setting is used for the calculation of durations for effort-driven activities. The effort factor indicates to what extent the resource is available for any one activity. For example, assume that a resource, while available for 8 hours per day, cannot devote more than 4 hours of his or her time to any one activity. Enter an effort factor of 4 to reflect this situation.

This setting does not indicate efficiency and has no effect on resource scheduling calculations.

For a description of effort-driven activities, see Effort-Driven Activities.

Unit Cost

A cost for each unit of the resource.

Employee ID

You can enter the Employee ID used by the Human Resources Department in this field.

Threshold

Thresholds specify an additional number of units of availability for a resource that can be used to avoid project delays if necessary. The value of a resource threshold represents an incremental amount on top of all existing availabilities for that resource. Open Plan ignores thresholds for consumable resources.

Open Plan interprets a threshold value based on the default duration unit and the conversion settings for a project. For example, assume that you enter a threshold of 2 for a labor resource used in a project in which the default duration unit is defined as days and in which one day converts to 8 hours. Open Plan interprets the threshold for that resource as 16 labor-hours. Note that one implication of this approach is that the interpretation of a threshold value may vary since it depends on the settings stored on the Preferences tab of the Project Properties dialog box for the project.

Project

This field contains a list of projects to which the resource file containing the selected resource is assigned. If you select a project from the list, Open Plan reserves 100 percent of the resource's availability to the project.

Lower level reservations can override higher level ones. This allows you to reserve an entire resource pool for one project and then override this for resources at a lower level in the resource hierarchy.

If the selected resource is an individual resource (as contrasted with a pool) you can use the Availability tab to apportion the availability to multiple projects.

For information about reserving resources, see Reserve Resources for Use by a Specified Project.

Email Address

You can use this field to store an email address for the resource. This information can be used as an Address field in the Email Advisor.

Suppress in Lists

If selected, this option suppresses the inclusion of this resource in all lists. While the resource is not deleted from the file (and, thus, does not affect cost calculations), the resource cannot be used in resource assignments, nor is it included in any list of resources.

Suppress for Scheduling

You can have Open Plan ignore a resource during resource scheduling. This is useful in cases where you want to track requirements for a particular resource but ignore any potential impact it may have on the project schedule. During resource scheduling, Open Plan treats suppressed resources as though they have unconstrained availabilities.

Roll Up for Scheduling

Roll-up resource scheduling allows you to look at resources and schedule the activities from a summary perspective by specifying the hierarchical level for resource availabilities and assignments. When you indicate that the resource is to be rolled up for scheduling purposes, you specify that all references to that resource should be treated as a reference to the first parent of the resource in the hierarchy that is not rolled up to a higher level. (Thus, every rolled-up resource must have at least one hierarchical parent that is not rolled up.) The only restriction to this technique is that you cannot roll up both consumable and non-consumable resources to the same pool.

Using this feature, you can produce a more general resource schedule without a detailed consideration of individual resources. This effectively reduces the number of calculations required to produce a resource-based schedule, thereby improving processing times for larger projects.

For example, assume that MARY and JANE are resources in the following hierarchy:

Resource | Availability | Roll-up Option Selected
PEB |  |
PEB.MENG |  |
PEB.MENG.MARY | 3 hours/day | Y
PEB.MENG.JANE | 5 hours/day | Y

PEB.MENG is the first parent of MARY and JANE that does not have the roll-up option selected. Therefore, Open Plan considers that PEB.MENG has an availability of 8 hours per day since it combines the availabilities of both MARY and JANE.

This roll-up feature is incompatible with the use of alternate resource assignments involving pools and skills.

For information about alternate resource assignments, see Resource Allocation.

Progress Based on Activity Progress

Use this option to automatically progress the resource based on the schedule status of the activity. For example, if you have statused the activity as 50% complete, Open Plan assumes that the resource assignment corresponding to the first half of the activity duration has occurred as planned.

This option is selected or is turned ON, by default.

For information about entering resource progress, see Resource and Cost Progress.

Actual Cost Based on Progressed Quantity

Use this option if you want Open Plan to automatically calculate actual costs from the number of resource units used. For example, if you define the unit cost for a resource as $10.00, and you indicate that 5 units of the resource have been used, then Open Plan calculates the actual cost for the resource as $50.00.

For information about calculating actual costs automatically, see Calculating Earned Value Progress Automatically.

Consider in Cost Calculations

If this option is selected, Open Plan includes the resource in cost calculations.

Location

To display the Resource Details dialog box, complete the following steps:

  1. In Open Plan Explorer, display the Resource View for a project from the Resource Views folder.

  2. Take one of the following steps:

  • Double-click a resource.

  • Select the resource and click Details in the Dialogs menu group of the Edit tab.

  • Right-click the resource and click Edit on the context menu.

The Resource Details dialog box also displays when you create a new resource.

Related Topics and Procedures

Related Topics:

Using Resource Files

Resource Details Code Tab

Resource Details Availability Tab

Resource Details Escalation Tab

Resource Details Skills Tab

Resource Details User Fields Tab

Resource Details Notes Tab

Related Procedures:

Adding Resources to a Resource File

Adding a Child Resource to a Resource File

Assigning Resources to an Activity

Editing a Resource

Finding a Resource

Deleting a Resource

Calculating Resource Progress Based on Activity Progress

Calculating Resource Cost Based on Progressed Quantity


Resource Details Code Tab

This tab controls the codes assigned to the resource. Resource codes are designed to summarize or manage an entire group of resources. Codes can be predefined, then assigned to resources within the resource file. The ability to create custom reports based on user-defined coding structures provides virtually unlimited reporting possibilities.

The selected resource is identified in the following two fields:

  • ID: The identifier of the selected resource.

  • Description: A label associated with the selected resource ID.

Open Plan controls code assignments for the selected resource using the following settings.

  • Code: The code field in the resource table to which a code file is assigned. For example, many organizations use WBS and OBS code files.

  • Value: The specific code within the code file. Clicking the ellipsis at the right edge of the input field displays the Select Code dialog box that you can use to select a code from a hierarchical code structure.

Location

To display the Resource Details dialog box, complete the following steps:

  1. In Open Plan Explorer, display the Resource View for a project from the Resource Views folder.

  2. Take one of the following steps:

  • Double-click a resource.

  • Select the resource and click Details in the Dialogs menu group of the Edit tab.

  • Right-click the resource and click Edit on the context menu.

The Resource Details dialog box also displays when you create a new resource.

Related Topics and Procedures

Related Topics

Using Resource Files

Resource Details General Tab

Resource Details Availability Tab

Resource Details Escalation Tab

Resource Details Skills Tab

Resource Details User Fields Tab

Resource Details Notes Tab

Using the Select Code Dialog Box


Resource Details Availability Tab

Availability information defines periods during which a resource is available and in what quantity. To represent more complex resource availabilities, you can define multiple availability levels for a single resource. This allows you, for example, to model how seasonal changes in your staffing levels can affect the project schedule.

You can define multiple availabilities for a single resource. This allows you to create a detailed profile of availability that defines times when the resource is available, as well as periods of zero availability.

When you create a new availability for a resource, Open Plan automatically sorts the records in From Date order. This new order is displayed the next time the Availability tab is displayed for the resource.

Open Plan does not consider the To Date when sorting availability records. This is true even if multiple availability records have the same From Date.

The way in which Open Plan treats availability information depends on the resource type:

  • Normal: Open Plan considers the quantity in the Availability column to be available for each default duration unit. Both the From Date and the To Date are required.

  • Consumable and Perishable: If you are defining the availability of a consumable or a perishable resource, Open Plan treats information in the Availability, From Date, and To Date fields slightly differently than for normal resources.

  • For normal resources, Open Plan considers the Availability quantity to be available in the period defined by the From Date and the To Date, both of which are required.

  • For consumable resources, Open Plan considers the total Availability quantity to be delivered on the From Date and to be available until used up.

  • For perishable resources, Open Plan considers the total Availability quantity to be delivered on the From Date and any quantity remaining to be no longer available after the To Date.

  • Resource Pool: Open Plan ignores availability for a pool.

Interpreting Zero Availabilities

For any particular resource, there will be certain periods in which the availability is zero. The way in which these periods are entered in the resource definition has ramifications during resource scheduling.

Open Plan defines two types of zero availability: hard zeros and soft zeros. In the case of hard zeros, a zero availability is treated as an absolute, indicating that the resource is not available during that period under any circumstances. In the case of soft zeros, the availability can be exceeded when necessary during time-limited resource scheduling.

  • In Open Plan, the gaps between specified availability dates can be treated as either hard zeros or soft zeros depending on whether the hard zeros processing option is in effect during resource scheduling.

  • Open Plan treats a specific availability of zero as a soft zero, allowing the resource to be scheduled during that period if necessary.

This tab displays information about the availability of each resource. The selected resource is identified in the following two fields:

  • ID: The identifier of the selected resource.

  • Description: A label associated with the selected resource ID.

Since pools derive their availability information from the availabilities of their members, you can enter availability information only for individual resources.

Grid

Open Plan uses the following settings to define resource availabilities:

Availability

The availability of each resource is defined as the number of resource units available each period for a specified span of time. Open Plan interprets the availability by examining the calendar assigned to the resource. For example, if you define the availability of a labor resource as 1 unit and the availability calendar defines each working day as comprising 8 hours, then 8 labor-hours (or 480 labor-minutes) of the resource are available each working day. Note, however, that the interpretation of the calendar depends on the calendar file that is assigned to the resource file.

From Date

The first date on which the resource is available.

To Date

The last date on which the resource is available.

Calendar

A calendar specifies that the resource is available only for valid working times in that calendar. The list of calendar names displayed comes from the calendar file associated with the resource file. If no calendar is specified for the availability, the resource is assumed to be available according to the definition of the default calendar for the resource file. The resource calendar is ignored for consumable resources.

In certain cases, it may be impossible to schedule an activity if its calendar differs from that of one or more required resources.

For more information about how calendars affect resources, see Resource Scheduling Calculations, in the Deltek Open Plan Developer’s Guide.

Project

Selecting a field in this column displays a list of projects stored in the same data source for which the resource can be reserved for the date range.

If you do not specify a project for a particular period, Open Plan reserves the resource for that period to the project specified on the General tab of the Resource Details dialog box.

Location

To display the Resource Details dialog box, complete the following steps:

  1. In Open Plan Explorer, display the Resource View for a project from the Resource Views folder.

  2. Take one of the following steps:

  • Double-click a resource.

  • Select the resource and click Details in the Dialogs menu group of the Edit tab.

  • Right-click the resource and click Edit on the context menu.

The Resource Details dialog box also displays when you create a new resource.

Related Topics and Procedures

Related Topics

Resource Details Dialog Box

Ramifications of Zero Availability

Using Resource Files

Related Procedures

Assigning Resources to an Activity

Adding Resources to a Resource File

Adding a Child Resource to a Resource File

Editing a Resource

Finding a Resource

Deleting a Resource


Resource Details Escalation Tab

The cost escalations feature in Open Plan allows you to model the effects of changes in the unit cost of a resource over time. With this feature, you use the Escalation tab of the Resource Details dialog box to specify multiple unit costs for a resource and when each new cost takes effect.

For example, assume that a resource costs $25.00 per unit as of 01Jan04, and the cost escalates by $.50 every three months. Enter $25.00 as the current unit cost and describe the cost escalation with the following information:

Date | Cost
01Apr15 | 25.50
01Jul15 | 26.00
01Oct15 | 26.50
01Jan16 | 27.00

The selected resource is identified in the following two fields:

  • ID: The identifier of the selected resource.

  • Description: A label associated with the selected resource ID.

The Escalation tab controls escalations using the following settings:

  • Date: The date on which the cost escalation is to take effect.

  • Cost: The new unit cost.

Location

To display the Resource Details dialog box, complete the following steps:

  1. In Open Plan Explorer, display the Resource View for a project from the Resource Views folder.

  2. Take one of the following steps:

  • Double-click a resource.

  • Select the resource and click Details in the Dialogs menu group of the Edit tab.

  • Right-click the resource and click Edit on the context menu.

The Resource Details dialog box also displays when you create a new resource.

Related Topics and Procedures

Related Topic

Resource Details Dialog Box

Related Procedures

Assigning Resources to an Activity

Adding Resources to a Resource File

Adding a Child Resource to a Resource File

Editing a Resource

Finding a Resource

Deleting a Resource


Resource Details Skills Tab

This tab controls the skills assigned to a resource. Once a skill has been assigned to a resource, resource scheduling may suggest that resource for activities requiring that skill.

You can assign skills only to an individual resource. Resource pools cannot have assigned skills.

The selected resource is identified in the following two fields:

  • ID: The identifier of the selected resource.

  • Description: A label associated with the selected resource ID.

The Skills tab controls the assigned skills using the following settings:

  • Skill: The skill assigned to the resource. Before you can assign a skill to a resource, that skill must first exist on the resource file.

  • Proficiency: Enter a user-defined proficiency rating for the listed skill. The scale of the rating is determined by the end-user organization, and is used in no calculations in Open Plan.

Location

To display the Resource Details dialog box, complete the following steps:

  1. In Open Plan Explorer, display the Resource View for a project from the Resource Views folder.

  2. Take one of the following steps:

  • Double-click a resource.

  • Select the resource and click Details in the Dialogs menu group of the Edit tab.

  • Right-click the resource and click Edit on the context menu.

The Resource Details dialog box also displays when you create a new resource.

Related Topics and Procedures

Related Topics

Adding Skills to a Resource File

Resource Details Dialog Box

Related Procedures

Assigning Resources to an Activity

Adding Skills to a Resource File

Assigning Skills to a Resource


Resource Details User Fields Tab

The User Fields tab allows you to specify the values that Open Plan should include for user-defined fields on the project table.

User-defined fields are created on the project table outside of an open project and may be used by any project stored in the database. In order to use a user-defined field in your project, you must specify a value for it on this tab.

The selected resource is identified in the following two fields:

  • ID: The identifier of the selected resource.

  • Description: A label associated with the selected resource ID.

The User Fields tab features a grid containing two columns:

  • Field: This column displays a list of all the user-defined fields that have been defined.

  • Value: For each user-defined field that you want to use, you should enter an appropriate value.

For information about creating user-defined fields, see User Defined Fields.

Location

To display the Resource Details dialog box, complete the following steps:

  1. In Open Plan Explorer, display the Resource View for a project from the Resource Views folder.

  2. Take one of the following steps:

  • Double-click a resource.

  • Select the resource and click Details in the Dialogs menu group of the Edit tab.

  • Right-click the resource and click Edit on the context menu.

The Resource Details dialog box also displays when you create a new resource.

Related Topics and Procedures

Related Topic

Resource Details Dialog Box


Resource Details Notes Tab

This tab allows you to create, edit, or delete a note attached to a resource.

  • ID: The identifier of the selected resource.

  • Description: A label associated with the selected resource ID.

  • Note: Use this text box to enter your note. The text box can contain up to 29 KB of text about the selected resource. You can enter the text by typing directly in this field, or by using the Cut, Copy, and Paste commands to insert text entered in another Windows application such as a word processor or spreadsheet. The spell check button [image] allows you to check the spelling in the note.

You can enter links to files, web pages and email addresses by entering the information in one of the following formats:

  • File links must be entered in the format of: file://c:\document.doc

  • If the file link you enter contains spaces, you must enclose the link with angle brackets ( < > ) in order for the link to work properly:
    <    file://C:\Documents and Settings\All Users\Desktop\test.txt>

  • Universal Resource Locators (URLs) must be entered in the format of: http://www.deltek.com

  • Email addresses must be entered in the format of: mailto:contactus@deltek.com

  • Category: This field controls the category of the note. If you are creating a new note, you can select a category from the list of categories set up in the database. Although you can attach multiple notes to a resource, you can attach only one note per category.

When you click OK, the note is saved with the resource, and a triangle symbol is added to the resource in all resource file views.

Location

To display the Resource Details dialog box, complete the following steps:

  1. In Open Plan Explorer, display the Resource View for a project from the Resource Views folder.

  2. Take one of the following steps:

  • Double-click a resource.

  • Select the resource and click Details in the Dialogs menu group of the Edit tab.

  • Right-click the resource and click Edit on the context menu.

The Resource Details dialog box also displays when you create a new resource.

Related Topics and Procedures

Related Topics

Note Categories Dialog Box

Resource Details Dialog Box

Related Procedures

Attaching a Note to a Resource

Editing a Resource Note

Deleting a Resource Note

Creating a Note Category

Editing a Note Category

Deleting a Note Category


Resource Display Preferences Dialog Box

Use this dialog box to customize how a resource window displays information. It includes the following tabs:

  • Options Tab: This tab specifies how a resource view displays information.

  • Box Layout Tab: This tab controls both the selection and the display of data fields within a resource box.

Location

To display the Resource Display Preferences dialog box, complete the following steps:

  1. In Open Plan Explorer, display the Resource View for a project from the Resource Views folder.

  2. Take one of the following actions:

  • Right-click an empty part of the Resource View, and Preferences on the shortcut menu.

  • Click Preferences in the Hierarchy menu group of the View tab.

Related Topics and Procedures

Related Topics

Resource Display Preferences Dialog Box

How a Resource View Displays Information

Customizing a Resource Window

Resource Display Preferences Box Layout Tab

Resource Display Preferences Options Tab

Related Procedures

Changing the Orientation of the Display

Changing the Center Setting for the Display

Changing the Display of Resource and Code IDs

Changing the Hierarchy Display Layout Settings

Using the Zoom Out Command

Displaying Full Resource IDs


Resource Display Preferences Options Tab

This tab specifies how a resource view displays information using the following settings:

Box Color

You can define the color that Open Plan should use for the resource box lines as well as for any text that is displayed within the box by selecting from the following options:

  • Default: Selecting this option instructs Open Plan to use the default color.

  • Select Color: Selecting this option displays a dialog box that you can use to select a color. You can define custom colors using the Colors dialog box by clicking Others. If a color has already been defined for the box color but is not currently used, you can also select that color from the list.

Box Style

You can select a style for the resource boxes from the list.

Notice that one of the styles has a triangle at the lower-right corner. This triangle is displayed in the selected box color. If you add a note to a resource, the resource box for that resource displays a second triangle that is always black.

Box Contents

Show Full ID

Unless this option is selected, only the local portion of the resource ID is displayed in the resource box.

Show Skills

If this option is selected, any skills that a resource may possess are shown in boxes immediately below the resource.

Box Size

Minimum Height

This option controls the minimum height of the resource boxes in pixels. You can enter any value between 8 and 100. The default value is 30.

Minimum Width

This option controls the minimum width of the resource boxes in pixels. You can enter any value between 20 and 200. The default value is 80.

Hierarchy Display Options

Layout

You can choose between the following two layout options:

  • Spread: The way in which the spread layout option displays depends on whether or not the Sideways option is also selected.

  • Ladder: The way in which the ladder layout option displays depends on whether or not the Sideways option is also selected.

Compression

You can choose whether to enable compression:

  • When compression is not selected, the structure may be easier to visualize but will take up more space.

  • When compression is selected, space on the screen is conserved by placing individual resources belonging to one pool in empty space under another pool.

General

You can enable either or both of the following general orientation options:

  • Sideways: If enabled, the structure is displayed in a sideways orientation. Otherwise, the structure is displayed in a vertical orientation.

  • Centered: If enabled, a parent resource is centered above its children in a vertical orientation and to the left of its children in a sideways orientation. If this option is not enabled, the structure is displayed as offset.

Location

To display the Resource Display Preferences dialog box, complete the following steps:

  1. In Open Plan Explorer, display the Resource View for a project from the Resource Views folder.

  2. Take one of the following actions:

  • Right-click an empty part of the Resource View, and Preferences on the shortcut menu.

  • Click Preferences in the Hierarchy menu group of the View tab.

Related Topics and Procedures

Related Topics

Resource Display Preferences Dialog Box

How a Resource View Displays Information

Customizing a Resource Window

Resource Display Preferences Box Layout Tab

Resource Display Preferences Options Tab

Related Procedures

Changing the Orientation of the Display

Changing the Center Setting for the Display

Changing the Display of Resource and Code IDs

Changing the Hierarchy Display Layout Settings

Using the Zoom Out Command

Displaying Full Resource IDs


Resource Display Preferences Box Layout Tab

You can define which resource fields are displayed when you view a resource hierarchy. Boxes can contain as many as 50 different data items, displayed on a maximum of 20 lines. You can also display blank lines in a box.

To delete a row, select the field to be deleted and press the Delete key.

You can also choose to suppress the lines within a resource box. This option has no effect on the outer lines of the resource box that comprise its style.

Notice that Open Plan displays data items in the dialog box in order of line number. When you add, delete, or change data items, you must exit and return to the dialog box to display the items in the correct line sequence.

This tab controls both the selection and the display of data fields within a resource box.

Field

You can select any resource field for display.

Line

For each field appearing in the resource box, you must assign a line number. Resource boxes can contain up to 20 lines, and each line can display one or more fields. If you assign multiple fields to a single line, the order in which the fields are listed in the dialog box determines how Open Plan displays the fields in the box. To display a blank line in the resource box, do not enter settings for those lines. For example, you might specify fields for lines 1 and 8. This would leave space in the resource box that could be used for handwritten notes in a turn-around report.

Format

The Format column specifies the number of lines that the field may use to display data. You can allow the field to wrap up to four lines. Open Plan sets the line depth to accommodate the highest wrap value given to fields on the line. For example, if two fields on a line are given wrap values of 2 and 4, Open Plan sets the line depth to accommodate a wrap value of 4.

Change Order

Open Plan displays items sharing the same line from left to right based on the order in which the items appear in the list. These buttons allow you to change the order of fields displayed on the same line.

Suppress Box Lines

Selecting this option hides the display of lines within the resource boxes.

Preview

A Preview pane allows you to see an approximate representation of the layout of the resource box. (Note that this representation may differ slightly in size and aspect ratio from the actual display of boxes in the view.)

Location

To display the Resource Display Preferences dialog box, complete the following steps:

  1. In Open Plan Explorer, display the Resource View for a project from the Resource Views folder.

  2. Take one of the following actions:

  • Right-click an empty part of the Resource View, and Preferences on the shortcut menu.

  • Click Preferences in the Hierarchy menu group of the View tab.

Related Topics and Procedures

Related Topics

Resource Display Preferences Dialog Box

How a Resource View Displays Information

Customizing a Resource Window

Resource Display Preferences Options Tab

Related Procedures

Displaying Resource Descriptions

Setting Resource Box Layout Options


Resource Scheduling Dialog Box

The purpose of resource scheduling is to calculate a project schedule that takes into account the limited availabilities of resources. You can use this dialog box to control the way in which Open Plan calculates resource scheduling and to set processing and other options.

Tabs

This dialog box includes the following tabs:

  • Options Tab

  • Advanced Tab

Location

To display the Resource Scheduling dialog box for a project that contains resource assignments, complete the following steps:

  1. In Open Plan Explorer, select a project.

  2. Take one of the following actions:

  • Right-click the selected project, and click Resource Scheduling from the context menu.

  • Click the arrow under Resources in the Schedule menu group of the Processes tab, and click Options.

It is not necessary for the project to be open.

Related Topics and Procedures

Related Topics

Using the Resource Scheduling Options Tab

Hard Zeros Processing Option

Resource Smoothing Processing Option

Using the Resource Selection for Scheduling Dialog Box

Multiple Project Resource Scheduling

Related Procedures

Performing Resource Scheduling

Using Resource Scheduling Information

Viewing a Resource Scheduling Session Log


Resource Scheduling Options Tab

This tab of the Resource Scheduling dialog box controls the way in which Open Plan calculates resource scheduling.

You can also perform resource scheduling in Batch Mode. This allows you to run resource scheduling for multiple projects at one time. To run resource scheduling in Batch Mode, select more than one project from the Details pane of the Open Plan Explorer, and click the Resource Scheduling button. The Resource Scheduling [Batch Mode] dialog box will be displayed. Set your options, and click OK.

If a project is closed, Open Plan will open it in Exclusive mode, perform the process, save the changes, and then close the project. If a project cannot be opened in Exclusive mode (because another user has it open in Exclusive or Shared mode), it will be skipped.

If you have a project open when the batch process is run, resource scheduling will be performed on the project, but the changes will not be saved and the project will remain open. You must manually save the changes yourself.

Open Plan creates one resource scheduling session log, listing the project results in the order in which the projects were processed in the batch.

Scheduling Method

Time Limited

Time-limited resource scheduling places a priority on maintaining the overall project completion date while attempting to minimize the extent to which any resource is over-utilized. In time-limited resource scheduling, constraints on resource availabilities are not allowed to delay the overall completion date of the project. As a result, resources may be overloaded if doing so prevents an activity from finishing after its late finish date.

In order to maintain the overall project completion date, time-limited resource scheduling may even use resource availabilities that have been reserved for another project. An exception occurs if the hard zero option is set, in which case reserved resources may not be used.

Time-limited resource scheduling places all scheduled dates between the early and late dates of activities. Thus, only activities not on the project critical path can be delayed by resource constraints.

By specifying a sufficiently low resource availability, you can use time-limited resource scheduling to level the overall resource requirements for a project.

Resource Limited

Resource-limited resource scheduling places a priority on preventing the over-utilization of resources, even if that means putting the project behind schedule.

In the absence of thresholds, immediate activities, or subproject requirements, resource-limited resource scheduling uses only those resource availabilities that have not been reserved for another project and delays project completion to ensure that the resource requirements do not exceed availabilities.

The use of resource availability thresholds, immediate activities, or resource assignments on subprojects may cause resource overloads even when performing resource-limited resource scheduling.

Time Analysis

Time Analyze before Scheduling

If you wish, you can have Open Plan time analyze the project before the resource scheduling operation. To perform time analysis before resource scheduling, select the Time Analyze before Scheduling option.

If you have not previously performed time analysis on the project, Open Plan chooses this option automatically.

For more information about time analysis processing options, see Time Analysis.

When you choose to perform time analysis before scheduling, you can change Time Now and click Options to set the time analysis options.

Consider Usage on Higher Priority Projects

If this option is selected, Open Plan will not use resources that are currently scheduled to be used by other projects that have a higher priority. (Project priority is defined on the Scheduling tab of the Project Properties dialog box where lower numbers represent higher priorities.)

If another project has reserved a portion of a resource's availability, the reserved portion is not available to your project regardless of whether you select this option or of the relative priorities of the projects.

resource is not double-counted if it is used by the project to which it was reserved and is not available to the current project.

For example, 75% of a resource is reserved for a particular project, leaving 25% not reserved available for the current project.

  • If the project uses only 60% of the resource instead of 75%, there is still only 25% available for the current project. (Open Plan does not recognize the difference between what was used and what was reserved if the usage is lower than quantity reserved.)

  • If, on the other hand, the project uses 80% of the resource, the difference between what is used and what is reserved is subtracted from the 25% not reserved. This leaves only 20% available for the current project.

When scheduling a number of projects together (using external subprojects), the scheduling priority is that for the master project. (Of course, this does not prevent you from using the individual project priorities as one of the priority fields used to break ties between individual activities.) To do this, you need to create a calculated field with the Project Priority field (_PRJ.RS_PRIORTY) as the expression.

For more information about how to create a calculated field, see Calculated Fields.

Ignore Actual Dates

This option controls whether Open Plan should ignore actual dates when performing resource scheduling:

  • If this option is selected, Open Plan ignores actual dates when performing resource scheduling and performs the calculations based on early dates.

  • If this option is cleared, Open Plan uses the actual dates when performing resource scheduling. This is the default setting.

Location

To display the Resource Scheduling dialog box for a project that contains resource assignments, complete the following steps:

  1. In Open Plan Explorer, select a project.

  2. Take one of the following actions:

  • Right-click the selected project, and click Resource Scheduling from the context menu.

  • Click the arrow under Resources in the Schedule menu group of the Processes tab, and click Options.

It is not necessary for the project to be open.

Related Topics and Procedures

Related Topics

Using the Resource Scheduling Advanced Tab

Using Resource Scheduling

Types of Resource Scheduling

Resource Scheduling Rules

Resource Scheduling Session Log

Using Time Analysis

Project Analysis

Related Procedures

Performing Resource Scheduling

Using Resource Scheduling Information

Viewing a Resource Scheduling Session Log


Resource Scheduling Advanced Tab

This tab of the Resource Scheduling dialog box allows you to set advanced controls. You can also perform resource scheduling without displaying this dialog box by clicking Resources in the Schedule menu group of the Processes tab.

You can perform resource scheduling in Batch Mode. This allows you to run resource scheduling for multiple projects at one time. To run resource scheduling in Batch Mode, select more than one project from the Details pane of the Open Plan Explorer, and click the Resource Scheduling button. The Resource Scheduling [Batch Mode] dialog box will be displayed. Set your options, and click OK.

If a project is closed, Open Plan will open it in Exclusive mode, perform the process, save the changes, and then close the project. If a project cannot be opened in Exclusive mode (because another user has it open in Exclusive or Shared mode), it will be skipped.

If you have a project open when the batch process is run, resource scheduling will be performed on the project, but the changes will not be saved and the project will remain open. You must manually save the changes yourself.

Open Plan creates one resource scheduling session log, listing the project results in the order in which the projects were processed in the batch.

Processing Options

In-Progress Priority

The in-progress priority option allows you to specify that in-progress activities have priority access to limited resources. This tends to prevent the splitting (and, thus, the delay) of activities that have already started.

Hard Zeros

This option exempts any resource availability of zero from being incremented through the use of thresholds or during time-limited resource scheduling. For example, assume that a resource availability has been defined as the following:

Availability | From Date | To Date
5 | 01/Jan/18 | 10/Jan/18
5 | 20/Jan/18 | 31/Jan/18

Since there is no entry for the dates between 11/Jan/18 and 19/Jan/18, there is an implied availability of zero for this resource during that period. In normal time-limited scheduling (or in resource-limited scheduling when thresholds are used), the availability of the resource between those dates could be increased from its implied level of zero, if necessary, to prevent a delay in the project. Open Plan would issue a message and continue to perform resource scheduling.

By contrast, with hard zeros option in effect, the availability of the resource during that period would never be increased under any circumstances.

For information about interpreting zero availabilities, see Interpreting Zero Availability. For information about the hard zeros procession option, see Resource Scheduling Calculations in the Deltek Open Plan Developer's Guide.

Smoothing

During time-limited resource scheduling, the Smoothing option attempts to even out or “smooth” the way in which resources are assigned to activities. Without this option set, Open Plan assumes that if the availability of a resource has been exceeded once, the amount of the overload should be used again in preference to using float. With this option set, Open Plan assumes that even though an availability has been exceeded, available float should be used in preference to overloading the resource again.

For example, assume that four independent activities require a resource whose availability is 1 unit per day. Three of the activities have 1-day durations and 3 days of total float each. They require 1 unit of the resource per day. The fourth activity has a duration of 4 days and zero total float. This activity requires 3 units of the resource but only on the fourth day of its duration. Because it has zero float, the fourth activity assumes the default settings and is scheduled first. With normal time-limited scheduling, Open Plan assumes that since it is necessary to exceed the resource availability once by 2 units to schedule the fourth activity, it is permissible to exceed that availability by 2 units at any time. As a result, it proceeds to schedule the first three activities on their early dates:

With the Smoothing option in effect, however, no resource availability is exceeded unless it is strictly necessary to schedule the activity:

Scheduling Interval

You can enter the scheduling interval that Open Plan should use in its calculations.

The Scheduling Interval setting defines the granularity with which Open Plan matches up resource assignments and availabilities. Thus, if you define the scheduling interval for resource scheduling as hours, Open Plan schedules an activity only when the required resources are available for each hour of the activity duration. By increasing the scheduling interval to days, you allow Open Plan to schedule the activity on any day for which sufficient resource availability exists, even if the hours of the assignment and the hours of the availability do not exactly match.

By reducing the scheduling interval, you increase the precision of the resource scheduling results. On the other hand, you also increase the processing time required to yield these results. Increasing the scheduling interval should speed up resource scheduling calculations at the cost of slightly less precise results.

To specify the largest scheduling interval that still maintains maximum accuracy, select an interval that matches the lowest common denominator of all durations. For example, if you know that all activity durations are defined as multiples of 2 hours, then select 2 hours as the scheduling interval.

For most projects, a daily interval is appropriate.

As a general rule, never define a scheduling interval that is smaller than necessary. For example, if you have defined all activity durations in days, changing the scheduling interval to minutes or hours will not result in more accurate resource calculations and will result in significantly increased processing times.

Open Plan may change the smallest duration units defined for the project when you enter progress information. For example, while you may have defined all activity durations in days, calculations performed by Open Plan may result in a remaining duration that is measured in hours.

For more information about the scheduling intervals, see Resource Scheduling Calculations in the Deltek Open Plan Developer's Guide.

Resource Selection for Scheduling

You can click Change to change the resources selected for the resource scheduling operation.

By default, all resources in the resource definition file that are required by project activities represent a potential constraint on when activities are scheduled. By clearing some resources, you instruct Open Plan to schedule the project as though an unlimited quantity of those resources were available.

The first time you run resource scheduling, you typically want to have all resources selected. However, if you determine that the availability of a particular resource is causing the schedule to be delayed, you may want to run resource scheduling again with that resource cleared. You might also want to see how selecting or clearing various resources would affect the schedule.

Force Overloaded Activities to Late Dates

This option controls whether or not Open Plan should force overloaded activities to their late dates rather than to their early dates:

  • If selected, this option forces overloaded activities to their late dates.

  • If cleared, this option forces overloaded activities to their early dates.

Try Alternate Resource to Avoid Delay

This option controls the use of alternate resources in resource scheduling:

  • If selected, this option instructs Open Plan to try using the alternate resource if using the original resource would cause the activity to be delayed beyond its earliest feasible date.

  • If cleared, this option instructs Open Plan to use the alternate resource only to avoid overloading (time-limited resource scheduling) or exceeding the late dates (resource-limited resource scheduling).

Limit Reprofiling to Original Level

This option controls whether or not Open Plan should limit the reprofiling of a resource assignment to a level that does not exceed the original profile for any given unit of duration:

  • If selected, this option instructs Open Plan to limit reprofiling to the original profile.

  • If cleared, this option instructs Open Plan to not limit reprofiling to the original profile.

Priorities

You can set up to three priority levels that Open Plan can use as tie-breakers during resource scheduling. While most of these tie-breakers are based on fields, Open Plan also provides two special-purpose priority level options: <Hierarchical Priority Field> and <Remaining Float>.

For more information about the effect of priority fields, see Resource Scheduling Calculations in the Deltek Open Plan Developer's Guide.

Priority Fields

Open Plan allows you to specify up to three fields indicating priorities that are used as tie-breakers during resource scheduling. You may enter any numeric or date field. Lower numbers or earlier dates have a higher priority. Negative numbers are allowed. For more information, see Priority Fields.

Location

To display the Resource Scheduling dialog box for a project that contains resource assignments, complete the following steps:

  1. In Open Plan Explorer, select a project.

  2. Take one of the following actions:

  • Right-click the selected project, and click Resource Scheduling from the context menu.

  • Click the arrow under Resources in the Schedule menu group of the Processes tab, and click Options.

It is not necessary for the project to be open.

Related Topics and Procedures

Related Topics

Using the Resource Scheduling Options Tab

Hard Zeros Processing Option

Resource Smoothing Processing Option

Using the Resource Selection for Scheduling Dialog Box

Multiple Project Resource Scheduling

Related Procedures

Performing Resource Scheduling

Using Resource Scheduling Information

Viewing a Resource Scheduling Session Log


Resource Selection Dialog Box

This dialog box controls the resources that can be assigned on the Activity Spreadsheet view. A resource categories list allows you to specify the category of resources to be displayed.

All Resource categories

If you select this option, Open Plan does not limit the display of available resources to those with a specific resource category. All resource categories are displayed.

Labor

This option limits the list of resources to those defined as Labor in the Class field on the General tab of the Resource Details dialog box.

Material

This option limits the list of resources to those defined as Material in the Class field on the General tab of the Resource Details dialog box.

Other Direct Costs

This option limits the list of resources to those defined as Other Direct Costs in the Category field on the General tab of the Resource Details dialog box.

Subcontract

This option limits the list of resources to those defined as Subcontract in the Category field on the General tab of the Resource Details dialog box.

Skills

This option limits the list to those skills defined for the resource file in the Skills dialog box.

Buttons

OK

Clicking this button marks the selected resource(s) for inclusion.

Cancel

Clicking this button (before clicking OK) closes the dialog box without selecting any resources.

Find

Clicking this button displays the Find dialog box that you can use to find a resource with a specified ID or description.

Find Next

Once you have located a resource using the Find button, clicking the Find Next button locates the next resource that meets the same search criteria.

Expand All

Clicking this button fully expands the resource hierarchy. You can selectively expand portions of the hierarchy by clicking the appropriate [image] icon.

Help

Clicking this button displays this Help topic.

Location

To display the Resource Selection dialog box, complete the following steps:

  1. In Open Plan Explorer, display a project in any single-table spreadsheet view.

  2. Right-click anywhere in the spreadsheet view, and select Preferences from the context menu.

  3. In the Spreadsheet Preferences dialog box, select a resource-related or skill-related entry in the Table Name field, and click OK.

  4. In the spreadsheet view, select a resource-related column, such as Resource ID, to display an ellipsis at right of the data entry box.

  5. Click the ellipsis to display the Resource Selection dialog box.

Related Topics and Procedures

Related Topics

Using the Spreadsheet Preferences Dialog Box

Resource Scheduling Flexibility


Resource Selection for Scheduling Dialog Box

This dialog box controls the resources that are used by resource scheduling. A resource categories list allows you to specify the category of resources to be displayed.

By default, all resources in the resource definition file that are required by project activities represent a potential constraint on when activities are scheduled. By clearing some resources, you instruct Open Plan to schedule the project as though an unlimited quantity of those resources were available.

The selections you make on this dialog box are reflected on the resource records. Therefore, if you clear a resource on this dialog box, Open Plan sets a flag for the resource that suppresses it for future resource scheduling sessions. You can, however, always reverse this setting either in the Resource Details dialog box or in a future resource selection session.

The first time you run resource scheduling, you typically want to have all resources selected. However, if you determine that the availability of a particular resource is causing the schedule to be delayed, you may want to run resource scheduling again with that resource deselected. You might also want to see how selecting or clearing various resources would affect the schedule.

All Resource categories

If you select this option, Open Plan does not limit the display of available resources to those with a specific resource category. All resource categories are displayed.

Labor

This option limits the list of resources to those defined as Labor in the Class field on the General tab of the Resource Details dialog box.

Material

This option limits the list of resources to those defined as Material in the Class field on the General tab of the Resource Details dialog box.

Other Direct Costs

This option limits the list of resources to those defined as Other Direct Costs in the Category field on the General tab of the Resource Details dialog box.

Subcontract

This option limits the list of resources to those defined as Subcontract in the Category field on the General tab of the Resource Details dialog box.

Skills

This option limits the list to those skills defined for the resource file in the Skills dialog box.

Buttons

OK

Clicking this button marks the selected resource(s) for inclusion.

Cancel

Clicking this button (before clicking OK) closes the dialog box without selecting any resources.

Find

Clicking this button displays the Find dialog box that you can use to find a resource with a specified ID or description.

Find Next

Once you have located a resource using the Find button, clicking the Find Next button locates the next resource that meets the same search criteria.

Expand All

Clicking this button fully expands the resource hierarchy. You can selectively expand portions of the hierarchy by clicking the appropriate [image] icon.

Select All

Clicking this button selects all resources in the hierarchy.

Clear All

Clicking this button clears the selection for all resources in the hierarchy.

Help

Clicking this button displays this Help topic.

Location

To display the Resource Selection for Scheduling dialog box, complete the following steps:

  1. In Open Plan Explorer, select a project.

  2. Take one of the following actions:

  • Right-click the selected project, and click Resource Scheduling from the context menu.

  • Click the arrow under Resources in the Schedule menu group of the Processes tab, and click Options.

  3. In the Resource Scheduling dialog box, click the Advanced tab.

  4. On the Advanced tab, click Change.

Related Topics and Procedures

Related Topics

Using the Resource Scheduling Options Tab

Using the Resource Scheduling Advanced Tab

Resource Scheduling Flexibility

Related Procedure

Performing Resource Scheduling


Select Resource Dialog Box

The availability levels shown in this dialog box do not include any resource availability reserved for another project. When an activity belongs to an external subproject, the availability shown includes:

  • The availability reserved for that subproject

  • The availability for any higher-level external subprojects to which it belongs

  • The availability of the main project.

This dialog box features controls that allow you to select a resource to assign to the activity. Once you have chosen the filter(s) to use for the resource display, click Apply to put them into effect. Clicking Clear removes all the filter choices you made.

Open Plan also displays the Early Start and Early Finish dates of the activity. This information is useful in the event that no suitable resource is available during the specified date range.

For example, assume that the early dates for the activity are as follows:

Early Start: 02Feb02

Early Finish: 15Feb02

Assume, too, that a resource with the required skills is not available until February 23. Under these circumstances, you might want to change either the skills required for the activity or the logic of the project so that the early start date for the activity coincides with the dates when the resource is available.

Resizing

In addition to using the grabber pad in the bottom right corner to resize the dialog box, you can also resize the Skill Filter and Code Filter boxes. When you hover your cursor above "Resource Category Filter," your cursor changes to a slider bar. Click and hold your mouse button and drag left or right to resize the boxes.

Resources

This area displays a hierarchical representation of the resources in the currently assigned resource file. The resources that are displayed here change as you apply or remove a filter.

Resources that have had skills assigned to them can display in this list followed by two numbers in parentheses. For example, a resource appearing as "Bob Johnson (10) (3)" indicates that Bob Johnson has an availability of 10 units (days, hours, or whatever unit is defined on the Preferences tab of the Project Properties dialog box). It further indicates that this resource has a proficiency rating of "3." Proficiencies are assigned to resources on the Skills tab of the Resource Details dialog box.

In general, resource availabilities that are reserved for another project are not displayed in this field. However, when an activity is part of an external subproject, Open Plan includes resources that have been reserved for the following elements of the hierarchical project:

  • The subproject to which the activity belongs

  • Any higher-level external subprojects

  • The master project

Selection Criteria

Apply

Click to filter the resource hierarchy.

Clear

Click to clear the filter.

Skill Filter

This field contains a list of skills that you can use to filter the hierarchy of available resources that is displayed:

  • < All Skills >: When selected, all resources are displayed in the Resources list, and are available for selection on the activity.

  • Specific Skills: The remaining entries in the list are the skills that have been defined for resources in your company. When you select a skill in the list, the list of available resources is updated to display only those resources possessing the selected skill.

You can select multiple skills by holding down the Ctrl or Shift keys while making a selection, in which case, the Resources list displays only those resources who possess all the selected skills.

When a skill is specified on the Resources tab of the Activity Details dialog box, that skill is selected by default on this dialog box to display only those resources who possess the selected skills.

Once you have selected a skill, click Apply to filter the resource hierarchy.

Resource Category Filter

This field contains a list of resource classes that you can use to filter the hierarchy of available resources that is displayed:

  • All Resource Categories: If you select this value, Open Plan does not limit the display of available resources to those with a specific resource category. All resource categories are displayed. This is the default selection.

  • Labor: If you select this value, Open Plan displays only labor resources in the hierarchy of available resources.

  • Material: If you select this value, Open Plan displays only material resources in the hierarchy of available resources.

  • Other Direct Costs: If you select this value, Open Plan displays only other direct cost resources in the hierarchy of available resources.

  • Subcontract: If you select this value, Open Plan displays only subcontract resources in the hierarchy of available resources.

  • Skills: If you select this value, Open Plan displays those skills defined for the resource file in the Skills dialog box.

Once you have selected a resource class, click Apply to filter the resource hierarchy.

Hide Unreferenced Resources

Selecting this option and clicking Apply allows you to hide resources that are not used in your project. This feature is useful if you always use the same group of resources for the project.

Display Only Available Resources

When you select this option and click Apply, Open Plan provides the following information about available resources that meet the selection filters:

  • Resources that are 100% available for the specified date range are listed with no additional information.

  • Resources that are available but who have less than 100% availability are listed with the minimum and maximum availability during the required period.

If no resources are available to meet the resource requirements of the activity, Open Plan displays the earliest date on which each resource meeting the selection filters is available.

When determining a resource's availability, Open Plan considers not only the current project, but also any other projects with equal or higher priority that share the same resource pool and for which Open Plan saves summary resource information.

In general, resource availabilities that are reserved for another project are not displayed when this option is selected. However, when an activity is part of an external subproject, Open Plan displays resources that have been reserved for the following elements of the hierarchical project:

  • The subproject to which the activity belongs

  • Any higher-level external subprojects

  • The master project

Open Plan also displays the Early Start and Early Finish dates of the activity. This information is useful in the event that no suitable resource is available during the specified date range.

For example, assume that the early dates for the activity are as follows:

  • Early Start: 02Feb02

  • Early Finish: 15Feb02

Assume, too, that a resource with the required skills is not available until February 23. Under these circumstances, you might want to change either the skills required for the activity or the logic of the project so that the early start date for the activity coincides with the dates when the resource is available.

When performing multiple assignments, this option is disabled.

Code

If one or more code files have been assigned to the resource file, you can filter the display of available resources using a selected code. When you select a code file in this field, the Code Filter field is populated with the codes that you can use to filter the view.

Clicking the ellipsis button displays the Select Code dialog box that allows you to filter the displayed codes in the Code Filter list. (This is useful if you are dealing with a very large, hierarchical code file.)

Code Filter

When you select a code file from the Code field, the Code Filter list displays the codes available in the code file. Selecting a code from the list and clicking Apply filters the display of resources by that code.

Buttons

OK

Clicking this button puts your settings into effect and displays the resources that meet the selected filter on the Resources tab of the Activity Details dialog box.

Cancel

Clicking this button (before clicking OK) closes the dialog box without putting your settings into effect.

Find

Clicking this button displays the Find dialog box that you can use to find a resource with a specified ID, description, or skill.

Find Next

Once you have located a resource using Find, clicking Find Next locates the next resource that meets the same search criteria.

Expand All

Clicking this button fully expands the hierarchy of available resources.

You can selectively expand portions of the hierarchy by clicking the appropriate [image] icon.

Select All

Clicking this button selects all the resources in the hierarchy of available resources regardless of whether the hierarchy is expanded.

Clear All

Clicking this button clears the selections for all the resources in the hierarchy of available resources regardless of whether the hierarchy is expanded.

Help

Clicking this button displays this help topic.

Location

To display the Select Resource dialog box, complete the following steps:

  1. In Open Plan Explorer, display a project in any view except Histogram View.

  2. Take one of the following actions:

  • Click Details in the Dialogs menu group of the Edit tab.

  • Double-lick anywhere on the view.

  3. In the Activity Details dialog box, click the Resources tab.

  4. On the Resources tab, select the Resource ID column to display an ellipsis at the right of the input field (below the Description field).

  5. Click the ellipsis.

Related Topics and Procedures

Related Topics

Activity Details Resources Tab

Using the Assign Multiple Resources to Multiple Activities Dialog Box

Related Procedures

Assigning Resource Requirements to an Activity

Assigning Resources in a Spreadsheet

Creating a Resource-Based Schedule


Adding Resources to a Resource File (Procedure)

Adding Resources to a Resource File

To add resources to a resource file, complete the following steps:

  1. In Open Plan Explorer, display a Resource View.

  2. Take one of the following actions:

  • In the Data menu group of the Edit tab, click Add Resource.

  • Double-click an empty area of the workspace.

  • Right-click an empty area of the workspace, and click Add Resource on the shortcut menu.

  3. In the Resource Details dialog box, enter the information about the resource.

  4. When the information is complete, click Close.

You can rearrange the order in which Open Plan displays resources from left to right on the same hierarchical level by dragging a resource to the desired location.

Related Topics and Procedures

Related Topic

Resource Details: General Tab

Related Procedures

Using the Open Plan Explorer to Assign a resource file to a project

Assigning resource requirements to an activity

Assigning Skills to a Resource

Adding a child resource to a pool

Editing a resource

Finding a resource

Deleting a resource


Adding a Child Resource (Procedure)

Adding a Child Resource

To add a child resource, complete the following steps:

  1. In Open Plan Explorer, display a Resource View.

  2. In the resource view, right-click the resource pool to which you want to add a child, and click Add Child on the shortcut menu. If you add a child to a normal resource, Open Plan automatically converts the resource to a resource pool.

  3. In the Resource Details dialog box, enter the information for the resource.

  4. When the information is complete, click Close.

Related Topics and Procedures

Related Topic

Resource Details: General Tab

Related Procedures

Using the Open Plan Explorer to Assign a Resource File to a Project

Using Project Properties to Assign a Resource File to a Project

Changing the Resource File Assigned to a Project

Assigning Resource Requirements to an Activity

Adding Resources to a File

Editing a Resource

Finding a Resource

Deleting a Resource


Adding Skills to a Resource File (Procedure)

Adding Skills to a Resource File

To add skills to a resource file, complete the following steps:

  1. In Open Plan Explorer, display a Resource View.

  2. In the Manage menu group of the Edit tab, click Skills.

  3. In the Skills dialog box, click New.

  4. In the Add Skill dialog box, enter an ID, description, and cost for the skill. By defining costs for skills, you can calculate resource budgets in cases where you request a skill rather than an individual resource for an activity.

  5. Click OK.

Related Topics and Procedures

Related Topic

Using the Skills Dialog Box

Related Procedures

Editing Skills in a Resource File

Deleting Skills from a Resource File

Assigning Skills to a Resource


Assign a Resource File to a Project

To assign a resource file to a project, complete the following step:

  1. Take one of the following actions:

  2. Drag the resource file from the Open Plan Library to the project folder.

  3. Specify the name of the resource file on the Files tab of the Project Properties dialog box.


Using the Open Plan Explorer to Assign a Resource File to a Project (Procedure)

Using the Open Plan Explorer to Assign a Resource File to a Project

To assign a resource file to a project using drag-and-drop, complete the following step, complete the following steps:

  1. From the Resources folder in the Open Plan Library, drag the resource file you want to use onto a project folder.

  2. If Open Plan asks if you want to replace the existing resource file for the selected project, click Yes.

To assign a resource file to a project using copy-and-paste, complete the following steps:

  1. In the Resources folder in the Open Plan Library, copy the resource file that you want to assign to a project by right-clicking that resource file and clicking Copy on the shortcut menu.

  2. Right-click a project folder, and select Paste from the context menu.

  3. If Open Plan asks if you want to replace the existing resource file for the selected project, click Yes.

If a resource definition file is already assigned to the project, Open Plan asks whether you want to replace the currently assigned resource definition file with the new one.

Related Topics and Procedures

Related Topic

Using the Open Plan Explorer

Related Procedures

Creating a Resource File

Opening a Resource File

Copying a Resource File

Saving a Resource File

Deleting a Resource File

Using Project Properties to Assign a Resource File to a Project

Changing the Resource File Assigned to a Project

Adding Resources to a File

Assigning Resource Requirements to an Activity


Using Project Properties to Assign a Resource File (Procedure)

Using Project Properties to Assign a Resource File

To assign a resource file to a project using the Project Properties dialog box, complete the following steps:

  1. In Open Plan Explorer, right-click a project folder, and click Manage Files » Check Out on the shortcut menu.

  2. In the Check Out dialog box, select a project and click Check Out.

  3. In Open Plan Explorer, right-click the project folder again, and click Properties on the shortcut menu.

  4. In the Project Properties dialog box, click the Files tab.

  5. At the right edge of the Resource Definition File field, click the ellipsis button.

  6. In the Select dialog box, select the resource definition file that you want to assign to the project, and click OK.

  7. If Open Plan asks you to confirm the resource definition file association, click Yes.

  8. In the Project Properties dialog box, click OK.

Related Topics and Procedures

Related Topic

Using the Project Properties Files Tab

Related Procedures

Creating a Resource File

Opening a Resource File

Copying a Resource File

Saving a Resource File

Deleting a Resource File

Using the Open Plan Explorer to Assign a Resource File to a Project

Changing the Resource File Assigned to a Project

Adding Resources to a File

Assigning Resource Requirements to an Activity


Assigning a View to a Resource Pool (Procedure)

Assigning a View to a Resource Pool

To assign a view to a resource pool using drag-and-drop, complete the following step:

  1. From the Views folder in the Open Plan Library, drag the view you want to use onto the resource file.

To assign a view to a resource pool using copy-and-paste, complete the following steps:

  1. In the Views folder in the Open Plan Library, copy the view that you want to assign to a resource pool.

  2. Paste the view onto the resource pool. Do one of the following:

    • Position your cursor on the icon representing the resource file, and do one of the following:

    • Press the Ctrl+V keys.

    • From the Edit tab, click Paste.

    • Right-click the icon representing the resource file, and click Paste on the context menu.

To assign a view to a resource pool using the Choose a Resource Pool dialog box:

Open Plan displays the Choose a Resource Pool dialog box only when multiple resource pools are open.

  1. In the Open Plan Library, double-click click the view that you want to assign to a resource pool.

  2. From the list of open resource pools, select the one to which you want to assign the view.

  3. Select the Make Permanent Link to Resource Pool option.

  4. Click OK.

Assigning the view to a resource pool in the Open Plan Library also assigns it in all projects where the resource pool is used. Similarly, assigning a view to a resource pool in a project folder also assigns it to that resource pool in the Open Plan Library.

Related Topics and Procedures

Related Topic:

Using the Open Plan Explorer

Related Procedures:

Opening a view

Deleting a view


Assigning Skills to a Resource (Procedure)

Assigning Skills to a Resource

To assign skills to a resource, complete the following steps:

  1. In Open Plan Explorer, display a Resource View.

  2. Take one of the following actions:

  • Click Details in the Dialogs menu group of the Edit tab.

  • Double-lick anywhere on the view.

  3. In the Resource Details dialog box, click the Skills tab.

  4. With the Resource Details dialog box displayed, select a resource pool in the Resource View.

  5. From the drop-down list under the Desc field, select the first skill you want to assign to the resource. The list contains only those skills already added to the resource file. You can add multiple skills to a resource by selecting multiple rows.

  6. When you have finished assigning skills to the resource, click Close.

Related Topics and Procedures

Related Topic

Resource Details: Skills Tab

Related Procedures

Using the Open Plan Explorer to Assign a Resource File to a Project

Assigning resource requirements to an activity

Adding Skills to a Resource File

Editing Skills in a Resource File

Adding Resources to a Resource File

Adding a child resource to a pool

Editing a resource

Finding a resource

Deleting a resource


Attaching a Note to a Resource (Procedure)

Attaching a Note to a Resource

To attach a note to a resource, complete the following steps:

  1. In Open Plan Explorer, display a Resource View.

  2. Take one of the following actions:

  • Click Details in the Dialogs menu group of the Edit tab.

  • Double-lick anywhere on the view.

  3. In the Resource Details dialog box, click the Notes tab.

  4. From the Category list, select a category for the note that you want to attach. Although you can attach multiple notes to a resource, you can attach only one note per category.

  5. In the text box, enter your note about the resource.

  6. Click Close.

Related Topics and Procedures

Related Topics

Note Categories Dialog Box

Resource Details: Notes Tab

Related Procedures

Editing a Resource Note

Deleting a Resource Note

Creating a Note Category

Editing a Note Category

Deleting a Note Category


Calculate Resource Progress Automatically

To calculate resource progress automatically, complete the following steps:

  1. In Open Plan Explorer, display a project in any view.

  2. In the Calculate menu group of the Processes tab, click Progress.

  3. In the Progress Calculations dialog box, select the options under Resource Progress.

  4. Enter a start date and a finish date for the period covered by the actuals, and click OK.

Open Plan informs you if an error condition is detected during the session. You can use the Log Viewer to examine the error in the session log.

Related Topics and Procedures

Related Topics

Progress Calculations Dialog Box

Resource Details General Tab

Related Procedures

Calculating Resource Cost Based on Progressed Quantity

Calculating Resource Progress Automatically

Performing Time Analysis

Enter Activity Progress

Performing Progress Calculations

Viewing a Progress Calculations Session Log


Changing the Attached Resource File (Procedure)

Changing the Attached Resource File

To change the resource definition file using drag and drop, complete the following steps:

  1. Drag the new resource file from the Resources folder in the Open Plan Library onto the appropriate project. If the target project is not already open, Open Plan automatically opens it.

  2. When Open Plan asks you to confirm that you want to replace the existing resource file for this project, click Yes.

To change the resource definition file using the Project Properties dialog box, complete the following steps:

  1. In Open Plan Explorer, right-click the project for which you want to change the resource definition file.

  2. On the shortcut menu, click Properties.

  3. In the Project Properties dialog box, click the Files tab.

  4. At the right edge of the Resource Definition File field, click the ellipsis button.

  5. From the drop-down list, select the new resource definition file that you want to assign to the project.

  6. Click OK.

WARNING: It is strongly recommended that you do not change the resource file for projects with baselines.

Related Topics and Procedures

Related Topic

Using the Project Properties Files Tab

Related Procedures

Creating a Resource-Based Schedule

Performing Resource Scheduling


Change the Font in a Resource View (Procedure)

Change the Font in a Resource View

To change the font on a resource view, complete the following steps:

  1. In Open Plan Explorer, display a Resource View.

  2. On the View tab, click Default.

  3. In the Font dialog box, select a font and its attributes.

  4. Click OK.

Related Topics and Procedures

Related Topic

Using the Font Dialog Box

Related Procedures

Changing the Font on a Date Scale

Changing the Font on a Bar

Changing the Default Font on a Spreadsheet

Changing the Font on a Network View

Changing the Font on an Annotation

Changing the Font on a Calendar

Changing the Font on a Code View


Collapsing a Pool (Procedure)

Collapsing a Pool

To collapse a pool, complete the following steps:

  1. In Open Plan Explorer, display a Resource View.

  2. Select the pool that you want to collapse.

  3. Take one of the following actions:

  • In the Data menu group of the Edit tab, click Collapse [image] or Collapse All [image].

  • Right-click the pool, and click Collapse on the shortcut menu.

Related Topics and Procedures

Related Topic

How a Resource View Displays Information

Related Procedures

Moving a Resource in the Hierarchy

Expanding a Pool

Expanding All Pools

Displaying Full Resource IDs

Displaying Resource Descriptions


Copying a Resource File (Procedure)

Copying a Resource File

To copy a resource file, complete the following steps:

  1. In Open Plan Explorer, display resource file that you want to copy.

  2. On the File menu, click Save As » Save As New File.

  3. In the Save As dialog box, enter the name and description for the copy of the file.

  4. Click OK.

Related Topics and Procedures

Related Procedures

Creating a Resource File

Opening a Resource File

Saving a Resource File

Deleting a Resource File

Using the Open Plan Explorer to Assign a Resource File to a Project

Using Project Properties to Assign a Resource File to a Project

Changing the Resource File Assigned to a Project

Adding Resources to a File

Assigning Resource Requirements to an Activity


Creating a Resource File (Procedure)

Creating a Resource File

To create a new resource file, complete the following steps:

  1. Display the New File dialog box by taking one of the following actions.

  • Double-click an empty area in either pane of the Open Plan Explorer.

  • On the File menu, click New.

  • Press the Ctrl+N keys.

  • Click the New button in the Select dialog box (when you create a project using the New File Wizard, this dialog box appears on the Files page).

  • Click the New [image] button on the Quick Access Toolbar.

  2. From the File Type drop-down list, select Resource.

  3. Enter a name and description for the resource file.

  4. Take one of the following actions:

  • To create a basic resource file using Open Plan default settings, click Finish.

  • To enter detailed information about the resource file using the New File Wizard, click Next, and complete the remaining pages of the wizard.

You can always enter this detailed information at a later time using the Resource File Properties dialog box.

Context-sensitive information is available for each page of the wizard. Press F1 or click the Help button on each page.

Related Topics and Procedures

Related Topics

Using the New File Wizard

Using the New File Dialog Box

Related Procedures:

Opening a Resource File

Copying a Resource File

Saving a Resource File

Deleting a Resource File

Using the Open Plan Explorer to Assign a Resource File to a Project

Using Project Properties to Assign a Resource File to a Project

Changing the Resource File Assigned to a Project

Adding Resources to a File

Assigning Resource Requirements to an Activity


Creating a Resource-Based Schedule (Procedure)

Creating a Resource- Based Schedule

To create a resource-based schedule, complete the following steps:

  1. Perform time analysis, and evaluate the schedule.

  2. If necessary, replan the project.

  3. Perform time-limited or resource-limited resource scheduling, as required.

  4. Display a histogram view of each resource assigned to the project to see where resources are over- or under-utilized.

  5. Make adjustments to the resource usage. You can adjust resource usage in a number of ways:

  • You can select a different scheduling option.

  • You can select another resource for a given activity.

  • You can change the resource requirements for the activity.

  • You can permit Open Plan to split, stretch, or reprofile the activity.

  6. Recalculate the schedule.

  7. Repeat the entire procedure as needed to develop a workable schedule.

Related Topics and Procedures

Related Topic

Using Resource Scheduling

Related Procedures

Setting Time Now

Performing Time Analysis

Performing Resource Scheduling

Changing the Attached Resource File


Creating Resources in a Resource File (Quick Start)

Creating Resources in a Resource File

To create resources in the resource window, complete the following steps:

  1. In Open Plan Explorer, display a Resource View.

  2. Double-click an empty area of the Resource View.

  3. In the Resource Details dialog box, enter the necessary information about the resource.

  4. Click OK.

To convert a resource into a resource pool and enter child resources, complete the following steps:

  1. Right-click the resource to which you want to add a child.

  2. On the shortcut menu, click Add Child.

  3. In the Resource Details dialog box, enter the necessary information about the resource.

  4. Click OK.


Defining Cost Resources (Procedure)

Defining Cost Resources

To define a cost resource, complete the following steps:

  1. In Open Plan Explorer, display a Resource View.

  2. Create a resource.

  3. On the General tab of the Resource Details dialog box, change the setting for the resource class to Cost.

  4. In the Unit field, enter a measurement unit. (For some types of projects, you might set up all your costs using dollar units; for other projects, it may be more appropriate to use larger units such as millions of dollars.)

  5. In the Unit Cost field, enter the base cost per unit of the resource.

  6. On the Escalation tab, enter a set of escalations for the cost resource, if needed.

  7. Click Close.

Related Topics and Procedures

Related Topic

Resource Details: General Tab

Related Procedure

Assigning Costs to an Activity


Define Resource Display Options

To define resource display options, complete the following steps:

  1. In Open Plan Explorer, display a Resource View.

  2. Take one of the following actions:

  • On the View tab, click Preferences.

  • Right-click an empty area of the workspace, and click Preferences on the shortcut menu.

  3. On the Options tab of the Resource Display Preferences dialog box, enter the information for the display options.

  4. When the information is complete, click OK to return to the display.

  • Related Topics and Procedures

    Related Topics

    Resource Display Preferences Dialog Box

    Options Tab

    Box Layout Tab


Deleting a Resource (Procedure)

Deleting a Resource

If you are deleting a pool, Open Plan warns you that all child resources in the pool will be deleted along with the pool.

To delete a resource, follow one of these procedures, complete the following steps:

  1. In Open Plan Explorer, display a Resource View.

  2. Select the resource that you want to delete.

  3. Take one of the following actions:

  • Press the Delete key on your keyboard.

  • In the Data menu group of the Edit tab, click Delete Resource [image].

  • Right-click the resource that you want to delete, and click Delete on the shortcut menu.

If you delete a resource that has been assigned to an activity in a project, the assignment is deleted as well.

Related Topics and Procedures

Related Topic

Resource Details: General Tab

Related Procedures

Adding a Child Resource to a Pool

Using the Open Plan Explorer to Assign a Resource File to a Project

Using Project Properties to Assign a Resource File to a Project

Changing the Resource File Assigned to a Project

Assigning Resource Requirements to an Activity

Adding Resources to a File

Editing a Resource

Finding a Resource


Delete a Resource File (Procedure)

Delete a Resource File

You cannot delete a resource file currently used by any project.

To delete a resource file, complete the following step:

  1. Take one of the following actions:

  • In Open Plan Explorer, right-click the resource file, and click Manage Files » Delete.

  • From the File menu, click Manage Files » Delete, and use the Select File to Delete dialog box to delete resource files.

Related Topics and Procedures

Related Topic

Using the Delete File Dialog Box

Related Procedures

Creating a Resource File

Opening a Resource File

Copying a Resource File

Saving a Resource File

Using the Open Plan Explorer to Assign a Resource File to a Project

Using Project Properties to Assign a Resource File to a Project

Changing the Resource File Assigned to a Project

Adding Resources to a File

Assigning Resource Requirements to an Activity


Deleting a Resource Note (Procedure)

Deleting a Resource Note

To delete a resource note, complete the following steps:

  1. In Open Plan Explorer, display the Resource View that contains the note you want to delete.

  2. Take one of the following actions:

  • Double-click the resource that contains the note you want to delete.

  • Select the resource and click Details in the Dialogs menu group of the Edit tab.

  • Right-click the resource and click Edit on the context menu.

  3. In the Resource Details dialog box, click the Notes tab.

  4. In the text box, delete all the information that is displayed.

  5. Click Close.

Related Topics and Procedures

Related Topic

Resource Details: Notes Tab

Related Procedures

Attaching a Note to a Resource

Editing a Resource Note

Creating a Note Category

Editing a Note Category

Deleting a Note Category


Deleting Skills From a Resource File (Procedure)

Deleting Skills From a Resource File

To delete skills from a resource file, complete the following steps:

  1. In Open Plan Explorer, display the Resource View that contains the skill you want to delete.

  2. In the Manage menu group of the Edit tab, click Skills.

  3. In the Skills dialog box, select the skill that you want to delete, and click Delete.

  4. When Open Plan asks you to confirm the deletion, click Yes.

Related Topics and Procedures

Related Topic

Using the Skills Dialog Box

Related Procedures

Adding Skills to a Resource File

Assigning Skills to a Resource


Displaying Full Resource IDs (Procedure)

Displaying Full Resource IDs

To display full resource IDs in the resource boxes, complete the following steps:

  1. In Open Plan Explorer, display a Resource View.

  2. Take any of the following actions:

  • On the View tab, click Preferences.

  • Right-click an empty area of the workspace, and click Preferences on the shortcut menu.

  3. On the Options tab of the Resource Display Preferences dialog box, click Show Full ID under Box Contents.

Related Topics and Procedures

Related Topic

How a Resource View Displays Information

Related Procedures

Moving a Resource in the Hierarchy

Collapsing a Pool

Expanding a Pool

Expanding All Pools

Displaying Resource Descriptions


Displaying Resource Descriptions (Procedure)

Displaying Resource Descriptions

To display resource descriptions in the resource boxes, complete the following steps:

  1. In Open Plan Explorer, display a Resource View.

  2. Take one of the following actions:

  • On the View tab, click Preferences.

  • Right-click an empty area of the workspace, and click Preferences on the shortcut menu.

  3. On the Box Layout tab of the Preferences dialog box, make sure that one of the rows in the Field column displays Res. Desc.

Related Topics and Procedures

Related Topic

Resource Display Preferences: Box Layout Tab

Related Procedures

Moving a Resource in the Hierarchy

Collapsing a Pool

Expanding a Pool

Expanding All Pools

Displaying Full Resource IDs

Setting Resource Box Layout Options


Displaying Resources in a Histogram (Quick Start)

Displaying Resources in a Histogram

To display resources in a histogram view, complete the following steps:

  1. In Open Plan Explorer, display a project in Resource Histogram View.

  2. In the General menu group of the View tab, click Select Resource.

  3. In the Resource Selection dialog box, select the resources that you want to display on the histogram.

  4. If you select multiple resources, choose how to display the resource data using the following options:

  • Total

  • Stacked

  • Category

  5. Click OK.

Related Topics and Procedures

Related Topics

Resource Selection Dialog Box

Histogram View Overview


Editing a Resource (Procedure)

Editing a Resource

To edit a resource, complete the following steps:

  1. In Open Plan Explorer, display a Resource View.

  2. Take one of the following actions:

  • Select the resource you want to edit, and click Details in the Dialogs menu group of the Edit tab.

  • Double-click the resource you want to edit.

  • Right-click the resource you want to edit, and click Edit on the shortcut menu.

  3. In the Resource Details dialog box, update the information for the resource.

  4. When the information is complete, click Close.

Related Topics and Procedures

Related Topic

Resource Details: General Tab

Related Procedures

Adding a Child Resource to a Pool

Using the Open Plan Explorer to Assign a Resource File to a Project

Using Project Properties to Assign a Resource File to a Project

Changing the Resource File Assigned to a Project

Assigning Resource Requirements to an Activity

Adding Resources to a File

Finding a Resource

Deleting a Resource


Editing a Resource Note (Procedure)

Editing a Resource Note

To edit a resource note, complete the following steps:

  1. In Open Plan Explorer, display a Resource View.

  2. Take one of the following actions:

  • Select the resource you want to edit, and click Details in the Dialogs menu group of the Edit tab.

  • Double-click the resource you want to edit.

  • Right-click the resource you want to edit, and click Edit on the shortcut menu.

  3. In the Resource Details dialog box, click the Notes tab.

  4. Update the information in the Note field.

  5. Click Close.

Related Topics and Procedures

Related Topic

Resource Details: Notes Tab

Related Procedures

Attaching a Note to a Resource

Deleting a Resource Note

Creating a Note Category

Editing a Note Category

Deleting a Note Category


Editing Skills in a Resource File (Procedure)

Editing Skills in a Resource File

To edit skills in a resource file, complete the following steps:

  1. In Open Plan Explorer, display a Resource View.

  2. In the Manage menu group of the Edit tab, click Skills.

  3. In the Skills dialog box, select the skill that you want to edit, and click Edit. You can also double-click the skill to display the Edit Skill dialog box.

  4. Update the skill information in the Edit Skill dialog box.

  5. Click OK.

Related Topics and Procedures

Related Topic

Using the Skills Dialog Box

Related Procedures

Adding Skills to a Resource File

Deleting Skills from a Resource File

Assigning Skills to a Resource


Enter a Resource Assignment Using the Activity Details Dialog Box

To enter a resource assignment using the Activity Details dialog box, complete the following steps:

  1. In Open Plan Explorer, display a project in any view except Histogram View and Risk View.

  2. Select the activity for which you want to enter an assignment.

  3. Take one of the following actions:

  • In the Resources menu group of the Edit tab, click Assign.

  • Double-click an activity.

  4. In the Activity Details dialog box, click the Resources tab.

  5. Select a row in the grid, and click the ellipsis button at the right edge of resources drop-down list (under the Desc. field).

  6. In the Select Resource dialog box, select the resources that you want to assign to the activity.

  7. Click OK.

If you assign a resource to an activity that already has one assigned to it, the new resource will be an addition to, not a replacement of, the existing resource.

Related Topics and Procedures

Related Topics

Select Resource Dialog Box

Activity Details Dialog Box

Entering Resource Assignments


Enter Code Assignments for a Resource

To enter code assignments for a resource, complete the following steps:

  1. In Open Plan Explorer, display a Resource View.

  2. Take one of the following actions:

  • Select a resource, and click Details in the Dialogs menu group of the Edit tab.

  • Double-click a resource.

  • Right-click a resource, and click Edit on the shortcut menu.

  3. On the Code tab, enter the information for the code assignment.

  4. Click Apply.

Related Topics and Procedures

Related Topic

Working with Codes

Related Procedures

Using the Open Plan Explorer to Assign a Code File

Using Project Properties to Assign a Code File

Assign Codes to an Activity


Expanding a Pool (Procedure)

Expanding a Pool

To expand a pool, complete the following steps:

  1. In Open Plan Explorer, display a Resource View.

  2. Select the pool that you want to expand.

  3. In the Data menu group of the Edit tab, click Expand [image] . This button is available only if the selected resource pool is in a collapsed state.

Related Topics and Procedures

Related Topic

How a Resource View Displays Information

Related Procedures

Moving a Resource in the Hierarchy

Collapsing a Pool

Expanding All Pools

Displaying Full Resource IDs

Displaying Resource Descriptions


Expanding All Pools (Procedure)

Expanding All Pools

To expand all pools, complete the following steps:

  1. In Open Plan Explorer, display a Resource View.

  2. In the Data menu group of the Edit tab, click Expand All [image]. This button is available only if all the resource pools are in a collapsed state.

Related Topics and Procedures

Related Topic

How a Resource View Displays Information

Related Procedures

Moving a Resource in the Hierarchy

Collapsing a Pool

Expanding a Pool

Displaying Full Resource IDs

Displaying Resource Descriptions


Finding a Resource (Procedure)

Finding a Resource

To find a resource, complete the following steps:

  1. In Open Plan Explorer, display a Resource View.

  2. Take one of the following actions:

  • In the Data menu group of the Edit tab, click Find And Replace [image].

  • Press the Ctrl+F keys.

  • Right-click an empty area of the workspace, and click Find on the shortcut menu.

  3. In the Find Node dialog box, enter the ID of the resource you want to find, and click OK.

Related Topics and Procedures

Related Topic

Using the Find Node Dialog Box

Related Procedures

Adding a Child Resource to a Pool

Using the Open Plan Explorer to Assign a Resource File to a Project

Using Project Properties to Assign a Resource File to a Project

Changing the Resource File Assigned to a Project

Assigning Resource Requirements to an Activity

Adding Resources to a File

Editing a Resource

Deleting a Resource


Lock a Requested Resource

To lock a requested resource, complete the following steps:

  1. In Open Plan Explorer, display a project in any view except Histogram View and Risk View.

  2. Take one of the following actions:

  • Select the activity for which you want to lock resources, and click Allocate in the Resources menu group of the Edit tab.

  • Right-click the activity, and click Allocation on the shortcut menu.

  3. In the Activity Resource Allocation dialog box, select the assignment, and click Lock.

  4. To return to the view, click OK.

Related Topics and Procedures

Related Topics

Resource Locking

Activity Resource Allocation Dialog Box


Moving a Resource in the Hierarchy

When you move a resource (or group of resources) to a different position in the resource hierarchy, Open Plan automatically renumbers the resource IDs of the moved resources. If this renumbering duplicates existing resource IDs, Open Plan allows you to renumber the resources yourself. In addition, Open Plan also updates the assignments for renumbered resources in any projects that are open at the time of the move. (Assignments in closed projects are not affected.)

To move a resource in the hierarchy, complete the following steps:

  1. In Open Plan Explorer, display a Resource View.

  2. Drag the resource box to the desired position in the resource hierarchy.

When you move a resource, Open Plan also moves assignments for projects that are open. However, projects that are closed when you move a resource are not affected.

To move a resource to the top level of the hierarchy, complete the following steps:

  1. In Open Plan Explorer, display a Resource View.

  2. Drag the resource box to the top of the workspace.

If you move a pool, all child resources of the pool are moved as well. When you move a resource (or group of resources) to a different position in the resource hierarchy, Open Plan automatically renumbers the resource IDs of the moved resources. If this renumbering potentially duplicates existing resource IDs, Open Plan allows you to renumber the resources yourself.

To move a skill in the hierarchy, complete the following steps:

  1. In Open Plan Explorer, display a Resource View.

  2. Drag the skill box to another resource in the hierarchy.

You can move a skill only to another individual resource. You cannot move a skill to a pool or to the top level of the hierarchy.

Related Topics and Procedures

Related Topic

How a Resource View Displays Information

Related Procedures

Collapsing a Pool

Expanding a Pool

Expanding All Pools

Displaying Full Resource IDs

Displaying Resource Descriptions


Opening a Resource File (Procedure)

Opening a Resource File

To open a resource file, complete the following step:

  1. In Open Plan Explorer, take one of the following actions:

  • Locate and right-click the resource file, point to Open on the context menu, and select the mode in which to open the file.

  • On the File menu, click Open, and select the file you want to open in the File Open dialog box.

  • On the Quick Access Toolbar, click Open [image], and select the file you want to open in the File Open dialog box.

Related Topics and Procedures

Related Topic

Resource Details Dialog Box

Related Procedures

Creating a Resource File

Copying a Resource File

Saving a Resource File

Deleting a Resource File

Using the Open Plan Explorer to Assign a Resource File to a Project

Using Project Properties to Assign a Resource File to a Project

Changing the Resource File Assigned to a Project

Adding Resources to a File

Assigning Resource Requirements to an Activity


Performing Resource Allocation (Procedure)

Performing Resource Allocation

To perform resource allocation, complete the following steps:

  1. In Open Plan Explorer, display a project in any view except Histogram View and Risk View, and perform resource scheduling. For more information, see Perform Resource Scheduling.

  2. Keep the project open.

  3. Take one of the following actions:

  • Select the activity for which you want to lock resources, and click Allocate in the Resources menu group of the Edit tab.

  • Right-click the activity, and click Allocation on the shortcut menu.

  4. In the Suggested column of the Resource Allocation dialog box, review the resources suggested by Open Plan for the activity.

  5. Select each item for which you want to accept the suggested resource, and click Accept.

  6. Select each item for which you want to lock the requested resource, and click Lock.

  7. Each time you select Accept or Lock, Open Plan displays the results of the action. If you want to leave the dialog box without actually performing the resource allocation, click Cancel.

  8. When the information is correct, click Close.

Related Topics and Procedures

Related Topic

Resource Allocation dialog box

Using the Activity Resource Allocation Dialog Box

Related Procedures

Performing Time Analysis

Creating a Resource-Based Schedule


Perform Resource Scheduling (Procedure)

Perform Resource Scheduling

Before performing resource scheduling, ensure that a resource definition file containing resource availabilities is assigned to the project and that at least one activity in the project has resource requirements.

To perform resource scheduling, complete the following steps:

  1. In Open Plan Explorer, display a project in any view.

  2. In the Schedule menu group of the Processes tab, click the bottom part of the Perform Resource Scheduling [image] button, then click Options.

  3. In the Resource Scheduling dialog box, select the applicable resource scheduling options.

  4. Click OK.

You can also perform resource scheduling without displaying the Resource Scheduling dialog box by clicking the top part of the Perform Resource Scheduling [image] button. If an error occurs during resource scheduling, Open Plan displays a message when the calculation ends. Use the Open Plan Log Viewer to display the Resource Scheduling log file.

You can access the Open Plan Log Viewer from the Processes menu.

Related Topics and Procedures

Related Topics

Resource Scheduling dialog box

Using the Resource Scheduling Options Tab

Related Procedures

Setting Time Now

Performing Time Analysis

Creating a Resource-Based Schedule

Using Resource Scheduling Information

Changing the Attached Resource Definition File

Performing resource allocation


Replace a Requested Resource with a Suggested Resource

To replace a requested resource with a suggested resource, complete the following steps:

  1. In Open Plan Explorer, display a project in any view except Histogram View and Risk View.

  2. Take one of the following actions:

  • Select the activity for which you want to replace resources, and click Allocate in the Resources menu group of the Edit tab.

  • Right-click the activity, and click Allocation on the shortcut menu.

  3. In the Activity Resource Allocation dialog box, select the assignment, and click Accept.

  4. To return to the view, click OK.

Related Topics and Procedures

Related Topic

Replacing Requested Resources for an Activity


Reserving a Resource Pool for a Project (Procedure)

Reserving a Resource Pool for a Project

To reserve a resource pool for a project, complete the following steps:

  1. In Open Plan Explorer, display the resource file assigned to the project for which you want to reserve a resource.

  2. Double-click the resource pool that you want to reserve.

    Lower-level reservations override those that are made at a higher level in the resource hierarchy. Thus, it is possible to reserve an entire resource file for one project and reserve a specific department or an individual resource within the file for a different project.

  3. In the Project field on the General tab of the Resource Details dialog box, select the project for which you want to reserve the resource pool.

  4. Click Apply, and click Close.

Related Topics and Procedures

Related Topic

Reserve Resources for Use by a Specified Project

Related Procedures

Reserving an Individual Resource for One or More Projects

Removing Summary Resource Usage Information for Projects


Reserving an Individual Resource for One or More Projects (Procedure)

Reserving an Individual Resource for One or More Projects

To reserve an individual resource for one or more projects, complete the following steps:

  1. In Open Plan Explorer, display the resource file containing the resource that you want to reserve for a project.

  2. Double-click the resource that you want to reserve.

  3. Take one of the following actions:

    • From the Project field of the General tab of the Resource Details dialog box, select the project for which you want to reserve the resource.

    • On the Availability tab of the Resource Details dialog box, use the scroll bar to display the Project column, and specify the project for each availability period. (If you do not specify a project for a particular period on this tab, Open Plan reserves the resource for that period to the project specified on the General tab.)

  4. Click Apply, and click Close.

Related Topics and Procedures

Related Topic

Reserve Resources for Use by a Specified Project

Related Procedures

Reserving a Resource Pool for a Project

Reserving an Individual Resource for One or More Projects

Removing Summary Resource Usage Information for Projects


Removing Summary Resource Usage Information for Projects (Procedure)

Removing Summary Resource Usage Information for Projects

To release PSU information for a single project, complete the following steps:

  1. In Open Plan Explorer, display a project in any view

  2. In the Dialog menu group of the Edit tab, click Properties.

  3. On the Scheduling tab of the Project Properties dialog box, click Delete.

To release PSU information from multiple projects, complete the following steps:

  1. In Open Plan Explorer, display the resource file for which summary usage data has been stored.

  2. In the Manage menu group of the Edit tab, click Summary Usage.

  3. In the Summary Usage dialog box, select the projects for which you want to remove summary resource usage information, and click Delete.

While this procedure can be used to release PSU information for a single project, it is most useful for releasing PSU information for multiple projects.

Related Topics and Procedures

Related Topic

Using the Project Properties: Scheduling Tab

Related Procedures

Reserving a Resource Pool for a Project

Reserving an Individual Resource for One or More Projects


Saving a Resource File (Procedure)

Saving a Resource File

To save a resource file, complete the following steps:

  1. In Open Plan Explorer, display the resource file you want to save.

  2. Take one of the following actions:

    • On the File menu, click Save.

    • Press the Ctrl+S keys.

    • On the Quick Access Toolbar, click the Save [image] button.

The first time you save a resource file, Open Plan places the data icon for the file in the Resources folder of the Open Plan Library.

You can also save the resource file with a different name by clicking Save As on the File menu.

Related Topics and Procedures

Related Procedures

Creating a Resource File

Opening a Resource File

Copying a Resource File

Deleting a Resource File

Using the Open Plan Explorer to Assign a Resource File to a Project

Using Project Properties to Assign a Resource File to a Project

Changing the Resource File Assigned to a Project

Adding Resources to a File

Assigning Resource Requirements to an Activity


Setting Resource Box Layout Options (Procedure)

Setting Resource Box Layout Options

To set your options for the resource box layout, complete the following steps:

  1. In Open Plan Explorer, display a resource file.

  2. Take one of the following actions:

  • In the Hierarchy menu group of the View tab, click Preferences.

  • Right-click an empty area of the workspace, and click Preferences on the shortcut menu.

  3. In the Resource Display Preferences dialog box, click the Box Layout tab.

  4. In the Field column, click a blank line, and select a field from the drop-down list above the grid.

  5. In the Line column, enter a line number to indicate where the field should display within the resource box. If you enter the same line number for more than one field, Open Plan displays the fields in the order shown in the list on the dialog box. You can use the change order buttons to move a data field to a higher or lower position in the list.

  6. In the Format column, select the number of lines that the field may wrap from the drop-down list above the grid.

  7. Continue entering fields until you have fully defined the contents of the resource box.

  8. Click OK.

Related Topics and Procedures

Related Topic

Resource Display Preferences: Box Layout Tab

Related Procedures

Moving a Resource in the Hierarchy

Collapsing a Pool

Expanding a Pool

Expanding All Pools

Displaying Full Resource IDs

Displaying Resource Descriptions


Using Resource Scheduling Information (Procedure)

Using Resource Scheduling Information

To use resource scheduling information, complete the following steps:

  1. Perform time analysis, and evaluate the schedule. For information, see Perform Time Analysis and Perform Time Analysis with Current Settings.

  2. If the dates produced by time analysis are later than those acceptable to your organization, replan the project.

    If you make any changes to the project at this stage, run time analysis again before proceeding.

  3. Perform Time Limited or Resource Limited resource scheduling, as required, and compare the scheduled dates with the early and late dates calculated by time analysis. For information, see The Resource Scheduling Process and Overview.

    In resource-limited scheduling, a difference between an activity's early start date and its earliest feasible date indicates that resource bottlenecks earlier in the project are producing delays in the schedule.

  4. Display a resource histogram view to identify cases of resource over utilization. (A histogram view compares resource requirements to availabilities.)

  5. Make any needed adjustments to the resource usage in any of the following ways:

    • By substituting under-utilized resources for those that are over-utilized.

    • By permitting Open Plan to split, stretch, or reprofile activities whose durations can be interrupted.

    • By selecting a different processing option and rerunning resource scheduling.

    • Recalculate the schedule.

  6. Repeat the entire procedure as needed to develop a workable schedule.

Related Topics and Procedures

Related Topic

Using the Resource Scheduling Options Tab

Related Procedures

Setting Time Now

Performing Time Analysis

Creating a Resource-Based Schedule

Changing the Attached Resource Definition File


Viewing a Resource Scheduling Session Log (Procedure)

Viewing a Resource Scheduling Session Log

To view the resource scheduling session log:

  1. On the Processes tab, click Open Log.

  2. On the Open Plan Log Viewer, click the Resource Scheduling tab.

Related Topics and Procedures

Related Topic

Resource Scheduling Session Log

Related Procedures

Creating a Resource-Based Schedule

Performing Resource Scheduling


Codes

By setting up a coding system and assigning codes to activities, projects, and resources, you can facilitate the communication of project information in formats ranging from high-level summaries to activity-level detail. With the appropriate coding system in place, even the largest networks can provide clear, concise pictures of vital project information.

Codes allow you to collect and report project and resource information in a variety of formats ranging from high-level summaries to activity- or resource-level detail. With the appropriate coding system in place, even the largest networks can provide clear, concise pictures of vital information. Open Plan allows you to assign up to 90 codes files to a project or resource file.

While Open Plan does not require the code files to be hierarchical, they typically are. The type of hierarchies that can be represented by coding structures can be work breakdown structures or any other classification that can be represented by a hierarchy. By assigning codes based on breakdown structures to activities, you can summarize project data to appropriate levels for specific reporting requirements. Similarly, by assigning codes on breakdown structures to resources, you can summarize resource data to appropriate levels as well.

A particular breakdown structure can be used with more than one project or resource file. As a result, Open Plan does not force you to define coding systems that are specific to a particular project or resource file. Instead, you can define a code file that is independent of any project or resource file and then associate it as necessary at a later time.

Related Topics and Procedures

Related Topics

Coding Structures in Open Plan

Using Code Files

Using the New Code Structure Dialog Box

How a Code Window Displays Information

Adding Codes to a Code File

Code Details Dialog Box

Working with Calendars, Resources, and Codes

Rotated and Un-Rotated User Defined Fields And Codes

Related Procedures

Creating a Code File

Opening a Code File

Copying a Code File

Deleting a Code File

Using the Open Plan Explorer to Assign a Code File to a Project


Coding Structures in Open Plan

Coding systems typically describe some type of hierarchy of project information. The types of hierarchies that can be represented by coding structures can be work breakdown structures, organizational breakdown structures, or any other classification that can be represented by a hierarchy. By assigning codes based on breakdown structures to various project elements, you can summarize project and resource data to appropriate levels for specific reporting requirements.

A particular breakdown structure can be used with more than one project. This might be the case, for example, if a number of projects were being performed by the same organization and therefore could share the same organizational breakdown structure. As a result, Open Plan does not force you to define coding systems that are project- or resource file-specific. Instead, you can define a code file that is independent of a particular project or resource file and associate it with subsequent projects or resource files as needed.

Codes in Open Plan can use one of two types of self-defining coding systems: punctuated significant codes and fixed-form significant codes. The term “self-defining” refers to the ability to determine where an individual element appears in the hierarchical structure by inspecting the element’s code.

  • Punctuated Significant: In punctuated significant codes, a period is used to separate the part of the code that corresponds to the different levels in the structure. Apart from the top-level code, each code is based on the name of its parent. The maximum number of levels for a punctuated significant code file is limited only by the total characters in a row, which is limited to 59.

    • The following figure shows an example of part of a punctuated significant coding system. In this example, 1.1.2 is a child of 1.1, which is a child of 1.

  • Fixed Format Significant: In fixed-format significant codes, the length of the code represents the structure level. Apart from the top-level code, each code is based on the name of its parent. The maximum number of levels for a Fix Format code file is 10.

    • The following figure shows an example of part of a fixed-format significant coding system. In this example, 010102 is a child of 0101, which is a child of 01 and higher-level codes use spaces as “pad characters” that fill out each code in the system to the same length.

In both types of coding systems, higher-level codes are referred to as "parent" codes. All lower-level codes that are directly or indirectly connected to a particular parent may be called descendants or "children" of that code. When a report is produced at a particular level, all data associated with that code itself or with any of its descendants are summarized, or "rolled up," into a single set of data.

If the Full ID option is selected on the Options tab of the Code Display Preferences dialog box, you can tell just by inspecting a code where it should appear in the structure.

Related Topics and Procedures

Related Topics

Using Codes in Open Plan

Using Code Files

Using the New Code Structure Dialog Box

How a Code Window Displays Information

Adding Codes to a Code File

Code Details Dialog Box

Rotated and Un-Rotated User Defined Fields And Codes

Related Procedures

Adding a Child Code to a Code File

Creating a Code File

Opening a Code File

Copying a Code File

Deleting a Code File

Using the Open Plan Explorer to Assign a Code File to a Project


Code Files

In Open Plan, information about a coding structure is stored in a code file. Code files can be project- or resource file-specific, or they can be shared by multiple projects or resource files. You can assign up to 90 code files to the same project.

If you make changes to the information in a code file, the changes will affect all of the projects or resource files to which the code file is assigned. To make changes in a code file that only affect a single project or resource file, make sure that the code file is not assigned to other projects or resource files.

In the Open Plan Explorer, code files are located in the Open Plan Library.

You can open code files from within either the Open Plan Library or a specific project or resource folder. You can assign a code file to a project using the Files tab of the Project Properties dialog box or by dragging the code file from the Open Plan Library onto the project. When you assign a code file to a project or resource file, Open Plan asks you to assign the file to a specific activity code field. If you replace an existing assignment for a code field, Open Plan prompts you for confirmation.

Related Topics and Procedures

Related Topics

Using Codes in Open Plan

Coding Structures in Open Plan

Project Properties Dialog Box

Using the New Code Structure Dialog Box

How a Code Window Displays Information

Adding Codes to a Code File

Code Details Dialog Box

Rotated and Un-Rotated User Defined Fields And Codes

Related Procedures

Creating a Code File

Opening a Code File

Copying a Code File

Deleting a Code File

Using the Open Plan Explorer to Assign a Code File to a Project

Moving a Code in the Hierarchy

Collapsing a Parent Code

Expanding a Parent Code

Expanding All Parent Codes


Creating Code Files

When you create a new code file using Open Plan default settings, Open Plan displays the New Code Structure dialog box.

When you create a new code using the New File Wizard, the Code Structure page of the wizard contains the same fields as the New Code Structure dialog box.

Related Topics and Procedures

Related Topics

Using the New File Wizard

Working with Codes

Coding Structures in Open Plan

Related Procedures

Create a New File Using Default Settings

Create a New File with Custom Settings


Adding Codes to a Code File

Once you have defined the structure of a code file using the New Code Structure dialog box, Open Plan displays a window containing an empty workspace. To add a code to the file, click Add Code on the Edit tab or double-click an empty area in the workspace.

Although you can define a code file as a "flat" structure in which all codes occupy the top hierarchical level, a more common practice is to develop a tree-like breakdown structure that can be used to summarize groups of related codes for reporting purposes:

Open Plan makes it easy to work with code hierarchies. For example, you can assign an entire group of codes to a different parent by dragging the codes to a different position in the code hierarchy. You also have the ability to expand and collapse individual codes in order to display the appropriate level of detail.

Related Topics and Procedures

Related Topics

Code Details Dialog Box

Coding Structures in Open Plan

Using Code Files

Rotated and Un-Rotated User Defined Fields And Codes

Related Procedures

Adding Codes to a Code File

Adding a Child Code to a Code File

Editing a Code

Finding a Code

Deleting a Code


Entering Code Assignments

Depending on the number of code files you have assigned to the project or resource file, Open Plan allows you to enter one or more code assignments for the project, activities, or resources.

Project Code Assignments

To enter code assignments for a project, display the Project Properties dialog box for the project, and click the Codes tab.

  • Assign Code Files to the Project Directory or the Activity/Resource Tables

  • Using the Open Plan Explorer to Assign a Code File

  • Using Project Properties to Assign a Code File

Activity Code Assignments

To enter code assignments for an activity, display the Activity Details dialog box for the selected activity, and click the Codes tab.

  • Assign Codes to an Activity

Resource Code Assignments

To enter code assignments for a resource, display the Resource Details dialog box for the selected resource, and click the Code tab.

  • Enter Code Assignments for a Resource

Using an Activity Spreadsheet View

You can also enter information about code assignments using an activity spreadsheet view. In this type of view, code assignment information is displayed in a tabular format. You can use an activity spreadsheet view to add or update any information about code assignments.


Customizing a Code Window

You can customize how a code window displays information by using the Code Display Preferences dialog box. You can display this dialog box in either of the following ways:

  • By opening a code file and clicking Preferences on the View tab.

  • By right-clicking an open code view and clicking Preferences on the context menu.

The Options tab of the Code Display Preferences dialog box controls the box color, box shape, hierarchy display options, and whether the box contents should show the full code ID.

The window also features a Box Layout tab that controls the data fields displayed in the code boxes.

Related Topics and Procedures

Related Topics

How a Code Window Displays Information

Code Display Preferences Options Tab

Code Display Preferences Box Layout Tab

Related Procedures

Changing the Orientation of the Display

Changing the Center Setting for the Display

Changing the Display of Resource and Code IDs

Changing the Hierarchy Display Layout Settings

Displaying Full Code IDs

Displaying Code Descriptions


How a Code Window Displays Information

A code view is graphic representation of the hierarchy of project codes.

Open Plan permits two types of coding systems that distinguish between different hierarchical levels:

  • Punctuated Significant

  • Fixed Format Significant

Open Plan displays codes in a structural display in one of two orientations:

Orientation | Description
Vertical | The top parent codes are displayed at the top of the structure, with the child codes arranged beneath them. You can display codes in a vertical orientation as a ladder: And, you can display codes in a vertical orientation as a spread:
Sideways | The top parent codes are displayed at the left of a code structure, with the child codes arranged to the right of them. You can display codes in a sideways orientation as a ladder: And, you can display codes in a sideways orientation as a spread:

For each of these orientations, Open Plan can also display the codes in one of two manners:

Orientation | Description
Centered | The parent code is centered relative to its children. In a vertical orientation, the parent code is centered above its children: In a sideways orientation, the parent code is centered to the left of its children:
Offset | The parent code is offset relative to its children. In a vertical orientation, the parent code is displayed above its topmost child: In a sideways orientation, the parent code is displayed to the left of its leftmost child:

You can customize the information detail that is displayed in code boxes in many ways:

  • You can choose to show the full ID of the code.

  • You can choose both a style and a color for the code box.

You can also customize the layout of information that is displayed within the code box.

Open Plan makes it easy to work with code hierarchies. For example, you can assign an entire group of codes to a different parent code by dragging the code boxes to a different position in the code hierarchy. You can also expand and collapse individual parent codes in order to display the appropriate level of detail. When you collapse a parent code, it is displayed as a stacked series of code boxes.

In addition, you can display the code hierarchy in a compressed mode in which individual codes belonging to one parent code can be displayed beneath another parent code.

Related Topics and Procedures

Related Topics

Customizing a Code Window

Using the Zoom In and Zoom Out Commands

Related Procedures

Moving a Code in the Hierarchy

Collapsing a Parent Code

Expanding a Parent Code

Expanding All Parent Codes

Using the Zoom Out Command


Zoom In and Zoom Out Commands for Codes

Open Plan provides a Zoom Out and Zoom In command for showing code structures that cannot be displayed on a single screen.

If you select Zoom Out from the normal display mode, Open Plan applies a reduced display mode to the window where the code boxes are reduced so that all the codes in the structure are visible. In this mode you can continue to work with the codes as though you were in the normal display mode.

If the entire code structure can be displayed at once, the Zoom Out command is not available.

In order to return to the normal display mode, Open Plan provides a Zoom In command. When the display mode has been reduced, the Zoom In command becomes enabled.

Related Topics and Procedures

Related Topics

Customizing a Code Window

How a Code Window Displays Information

Related Procedures

Using the Zoom Out Command

Use the Zoom In Command


Assign Code Dialog Box

This dialog box allows you to assign a code file to one of 90 code fields in the project or resource file.

Once you have assigned a code file to a project code field, you can assign an individual code to a project using the Codes tab of the Project Properties dialog box, and you can assign a code to an activity using the Codes tab of the Activity Details dialog box.

Once you have assigned a code file to a code field in a resource file, you can assign an individual code to an resource using the Codes tab of the Resource Details dialog box.

If you assign a code file to a code field that already has a code file assigned, Open Plan asks whether you want to replace the currently assigned code.

The Prompt button allows you to change the prompt text for a code file that has already been assigned to a code field.

Resizing

In addition to using the grabber pad in the bottom right corner to resize the dialog box, you can also resize the "Code Files" and "Code field to assign code file to" boxes. When you hover your cursor between the two boxes, your cursor changes to a slider bar. Click and hold your mouse button and drag left or right to resize the boxes.

Location

The Assign Code dialog box displays automatically when you assign a code file to a project or resource file.

Related Topics and Procedures

Related Topics

Using the Code File Prompt Dialog Box

Using Codes in Open Plan

Coding Structures in Open Plan

Using Code Files

Adding Codes to a Code File

Code Details Dialog Box

How a Code Window Displays Information

Using the Open Plan DBA Login Dialog Box

Related Procedures

Using the Open Plan Explorer to Assign a Code File to a Project

Using Project Properties to Assign a Code File


Code Details Dialog Box

Open Plan automatically displays the Code Details dialog box each time you add or edit a code in a code file.

Because you can update multiple codes without having to close the Code Details dialog box each time, Open Plan automatically saves any changes you make to a code before displaying the next record.

Code Details Buttons

  • Close: Closes the dialog box and returns to the code view. If you have not saved the information currently displayed, Open Plan saves the changes before returning to the display.

  • Undo: Returns the dialog box to its previous state.

  • Apply: Saves the changes you have made to the current record.

  • New: Creates a new code element while the Code Details dialog box is open. This command functions identically to the Add Code command available from the Edit tab.

The Undo and Apply buttons become active when you update code details.

Code Details Dialog Box Tabs

  • Code Tab

  • User Fields Tab

  • Notes Tab

The Code Details dialog box is modeless. This means that you can leave this dialog box open when performing other operations.

A set of navigation controls allows you to select another activity.

Button | Operation
 | Displays the first record
 | Displays the previous record
 | Displays the next record
 | Displays the last record

If you displayed the code file in spreadsheet view, you can also use the following keys on your keyboard to navigate to another activity .

  • Ctrl+Home: Displays the first activity.

  • Page Up: Displays the previous activity.

  • Page Down: Displays the next activity.

  • Ctrl+End: Displays the last activity.

Location

To display the Code Details dialog box, complete the following steps:

  1. In Open Plan Explorer, display a code file in Code View or Spreadsheet View.

  2. Take one of the following actions:

  • Double-click the code (for Code View).

  • Select the code and click Details on the Edit tab (for Code View and Spreadsheet View).

  • Right-click the code and click Edit on the shortcut menu (for Code View).

Related Topics and Procedures

Related Topics

Using Codes in Open Plan

Coding Structures in Open Plan

Using Code Files

Adding Codes to a Code File

Code Details User Fields Tab

Code Details Notes Tab

How a Code Window Displays Information

Using the Assign Code Dialog Box

Related Procedures

Adding Codes to a Code File

Adding a Child Code to a Code File

Editing a Code

Finding a Code

Deleting a Code


Code Details Code Tab

This dialog box allows you to create or edit a code on the code file.

Code

A code is an alphanumeric identifier unique to the code and can consist of from 1 to 20 characters, including periods that are used to indicate hierarchical levels. At each hierarchical level, this identifier can consist of a maximum of 10 characters. However, the total length of the code, including periods, cannot exceed 59 characters.

Codes containing the following four symbols " , | ; are used as delimiters in Open Plan and may cause problems when importing or exporting data.

When you enter a code in the Code Details dialog box, enter only the local portion of the code. Open Plan automatically enters the parent portion of the code.

Open Plan does not distinguish between upper- and lower-case characters in a code and will flag code "WBS01" as a duplicate of code "wbs01."

Description

An extended description of up to 60 characters can be stored for each code.

Location

To display the Code Details dialog box, complete the following steps:

  1. In Open Plan Explorer, display a code file in Code View or Spreadsheet View.

  2. Take one of the following actions:

  • Double-click the code (for Code View).

  • Select the code and click Details on the Edit tab (for Code View and Spreadsheet View).

  • Right-click the code and click Edit on the shortcut menu (for Code View).

Related Topics and Procedures

Related Topic

Code Details Dialog Box


Code Details User Fields Tab

This tab allows you to specify the values that Open Plan should include for user-defined fields on the code.

User-defined fields are created outside of an open code and may be used by any code file stored in the database. In order to use a user-defined field for your code, you must specify a value for it on this tab.

Code

A code is an alphanumeric identifier unique to the code and can consist of from 1 to 20 characters, including periods that are used to indicate hierarchical levels. At each hierarchical level, this identifier can consist of a maximum of 10 characters. However, the total length of the code, including periods, cannot exceed 59 characters.

Codes containing the following four symbols " , | ; are used as delimiters in Open Plan and may cause problems when importing or exporting data.

When you enter a code in the Code Details dialog box, enter only the local portion of the code. Open Plan automatically enters the parent portion of the code.

Open Plan does not distinguish between upper- and lower-case characters in a code and will flag code "WBS01" as a duplicate of code "wbs01."

Description

An extended description of up to 60 characters can be stored for each code.

Grid

This tab features a grid containing two columns:

  • Field: This column displays a list of all the user-defined fields that have been defined.

  • Value: For each user-defined field that you want to use, you should enter an appropriate value.

User-defined fields are created outside of an open code and may be used by any code file stored in the database. In order to use a user-defined field for your code, you must specify a value for it on this tab.

Location

To display the Code Details dialog box, complete the following steps:

  1. In Open Plan Explorer, display a code file in Code View or Spreadsheet View.

  2. Take one of the following actions:

  • Double-click the code (for Code View).

  • Select the code and click Details on the Edit tab (for Code View and Spreadsheet View).

  • Right-click the code and click Edit on the shortcut menu (for Code View).

Related Topics and Procedures

Related Topic

Code Details Dialog Box


Code Details Notes Tab

This tab allows you to create, edit, or delete a note attached to the code.

When you add a note and click Apply, the note is saved with the code, and a triangle symbol is added to the code in all resource file views.

Code

A code is an alphanumeric identifier unique to the code and can consist of from 1 to 20 characters, including periods that are used to indicate hierarchical levels. At each hierarchical level, this identifier can consist of a maximum of 10 characters. However, the total length of the code, including periods, cannot exceed 59 characters.

Codes containing the following four symbols " , | ; are used as delimiters in Open Plan and may cause problems when importing or exporting data.

When you enter a code in the Code Details dialog box, enter only the local portion of the code. Open Plan automatically enters the parent portion of the code.

Open Plan does not distinguish between upper- and lower-case characters in a code and will flag code "WBS01" as a duplicate of code "wbs01."

Description

An extended description of up to 60 characters can be stored for each code.

Note

The text box can contain up to 29 KB of text about the selected resource. You can enter the text by typing directly in this field, or by using the Cut, Copy, and Paste commands to insert text entered in another Windows application such as a word processor or spreadsheet.

You can enter links to files, web pages and email addresses by entering the information in one of the following formats:

  • File links must be entered in the format of: file://c:\document.doc

  • If the file link you enter contains spaces, you must enclose the link with angle brackets ( < > ) in order for the link to work properly:
    <    file://C:\Documents and Settings\All Users\Desktop\test.txt>

  • Universal Resource Locators (URLs) must be entered in the format of: http://www.deltek.com

  • Email addresses must be entered in the format of: mailto:contactus@deltek.com

Spell Check

The spell check button [image] allows you to check the spelling in the note.

Category

The Category field controls the category of the note. If you are creating a new note, you can select a category from the list of categories set up in the database.

Although you can attach multiple notes to a resource, you can attach only one note per category.

Location

To display the Code Details dialog box, complete the following steps:

  1. In Open Plan Explorer, display a code file in Code View or Spreadsheet View.

  2. Take one of the following actions:

  • Double-click the code (for Code View).

  • Select the code and click Details on the Edit tab (for Code View and Spreadsheet View).

  • Right-click the code and click Edit on the shortcut menu (for Code View).

Related Topics and Procedures

Related Topic

Code Details Dialog Box


Code Display Preferences Dialog Box

You can use this dialog box to customize how a code window displays information. This dialog box includes the following tabs:

  • Options Tab

  • Box Layout Tab

Location

To display the Code Display Preferences dialog box, complete the following steps:

  1. In Open Plan Explorer, display a code file in Code View.

  2. Take one of the following actions:

  • In the Hierarchy menu group of the View tab, click Preferences.

  • Right-click an empty area of the workspace, and click Preferences on the shortcut menu.

Related Topics and Procedures

Related Topic

Customizing a Code Window


Code Display Preferences Options Tab

This tab specifies how a code window displays information.

Box Color

You can define the color that Open Plan should use for the code box lines as well as for any text that is displayed within the box by selecting from the following options:

  • Default: Selecting this option instructs Open Plan to use the default color.

  • Select Color: Selecting this option displays a Color dialog box that you can use to select a color. The Color dialog box offers a choice of 70 standard colors.

  • You can define custom colors using an enhanced version of the Color dialog box accessed from the Color tab of the Options dialog box.

  • If a color has already been defined for the box color but is not currently used, you can also select that color from the list.

Box Style

You can select a style for the code boxes from a list. Notice that one of the styles has a triangle at the lower-right corner. This triangle is displayed in the selected box color. If you add a note to a code, the code box for that code displays a second triangle that is always black.

Box Contents

You can display the entire code ID or just the local portion of each ID.

Box Size

The following options control the size of the code boxes:

  • Minimum Height: This option controls the minimum height of the code boxes in pixels. You can enter any value between 8 and 100. The default value is 30.

  • Minimum Width: This option controls the minimum width of the code boxes in pixels. You can enter any value between 20 and 200. The default value is 80.

Layout

You can choose between the following two layout options:

  • Spread: The way in which the spread layout option displays the code hierarchy depends on the General options you have selected.

  • Ladder: The way in which the ladder layout option displays the code hierarchy depends on the General options you have selected.

Compression

You can choose whether or not to enable compression.

  • Uncompressed: When this option is selected, the structure may be easier to visualize but will take up more space.

  • Compressed: When this option is selected, space on the screen is conserved by placing individual codes belonging to one parent code in empty space under another parent code.

General

Depending on your layout choice, enabling one, none, or both of the general options gives you the following code hierarchy orientations:

  • Sideways: If selected, the hierarchy is displayed as illustrated.

  • Centered: If selected, the hierarchy is displayed as illustrated. This option also centers the display of the code hierarchy in relation to the display window.

Selecting both of the options displays the hierarchy using a combination of the rules. The display is centered in relation to the display window.)

Location

To display the Code Display Preferences dialog box, complete the following steps:

  1. In Open Plan Explorer, display a code file in Code View.

  2. Take one of the following actions:

  • In the Hierarchy menu group of the View tab, click Preferences.

  • Right-click an empty area of the workspace, and click Preferences on the shortcut menu.

Related Topics and Procedures

Related Topics

How a Code Window Displays Information

Customizing a Code Window

Code Display Preferences Box Layout Tab

Related Procedures

Changing the Orientation of the Display

Changing the Center Setting for the Display

Changing the Display of Resource and Code IDs

Changing the Hierarchy Display Layout Settings

Using the Zoom Out Command

Displaying Full Code IDs

Displaying Code Descriptions


Code Display Preferences Box Layout Tab

You can define which code fields are displayed when you view a code hierarchy. Boxes can contain as many as 50 different data items. You can also display blank lines in a box.

This tab controls both the selection and the display of data fields within a code box:

  • Field: This column specifies the field in the code file to be displayed.

  • Line column: For each field appearing in the code box, you must assign a line number. Code boxes can contain up to 20 lines and each line can display one or more fields. If you assign multiple fields to a single line, the order in which the fields are listed in the dialog box determines how Open Plan displays the fields in the box. To display a blank line in the code box, do not enter settings for those lines. For example, you might specify fields for lines 1 and 8. This would leave space in the code box that could be used for handwritten notes in a turn-around report.

  • Buttons located at the bottom of the tab allow you to change the order of fields displayed on the same line.

  • Format: This column specifies the number of lines that the field may use to display data. You can allow the field to wrap up to four lines. Open Plan sets the line depth to accommodate the highest wrap value given to fields on the line. For example, if two fields on a line are given wrap values of 2 and 4, Open Plan sets the line depth to accommodate a wrap value of 4.

  • Suppress Box Lines: Select this option to hide the display of lines within the code boxes.

To delete a row, select the field to be deleted, and press Delete on your keyboard.

You can also choose to suppress the lines within a code box. This option has no effect on the outer lines of the code box that comprise its style.

A preview window allows you to see an approximate representation of the layout of the code box. (Note that this representation may differ slightly in size and aspect ratio from the actual display of boxes in the view.)

Open Plan displays data items in the dialog box in order of line number. When you add, delete, or change data items, you must exit and return to the dialog box to display the items in the correct line sequence.

Open Plan displays items sharing the same line from left to right based on the order in which the items appear in the list. To move an item to a different position in the list, use the Change Order buttons.

Example

To display code boxes with a double-high blank line, use the following settings:

Field | Line | Format
Code | 1 | 1 line
Code Description | 3 | 1 line

The above results in the following code box:

Location

To display the Code Display Preferences dialog box, complete the following steps:

  1. In Open Plan Explorer, display a code file in Code View.

  2. Take one of the following actions:

  • In the Hierarchy menu group of the View tab, click Preferences.

  • Right-click an empty area of the workspace, and click Preferences on the shortcut menu.

Related Topics and Procedures

Related Topics

How a Code Window Displays Information

Customizing a Code Window

Code Display Preferences Options Tab

Related Procedures

Display Code Descriptions

Set Code Box Layout Options


Choose a Code File Dialog Box

This dialog box features the following controls that allow you to choose a code file for which the view should display information:

  • Open Code Files: The list box displays a list of code files that you have open. Selecting a code file from this list and clicking OK displays information from that code file in the view.

  • Make a Permanent Link to Code File: Selecting this option creates a permanent link to the selected code file.

Related Topics and Procedures

Related Topic

Using the Choose a Resource Pool Dialog Box

Related Procedure

Assigning a View to a Code File


Code File Prompt Dialog Box

This dialog box allows you to specify the prompt that Open Plan should display for the code file in lists and reports.

For example, if you assign a code file to the Code 1 field and define the prompt as WBS, Open Plan will display WBS instead of Code 1 in all lists and reports.

Related Topics and Procedures

Related Topics

Using Codes in Open Plan

Coding Structures in Open Plan

Using Code Files

Using the Assign Code Dialog Box

Adding Codes to a Code File

Code Details Dialog Box

How a Code Window Displays Information

Related Procedures

Using the Open Plan Explorer to Assign a Code File to a Project

Using Project Properties to Assign a Code File


New Code Structure Dialog Box

The New Code Structure dialog box displays automatically when you create a new code file using default settings.

This dialog box controls the format of the new code file using the following settings:

Code Type

This field indicates whether the code file uses punctuated significant or fixed format significant codes.

  • Punctuated Significant: Open Plan uses a punctuation character to separate the part of the code that corresponds to the different levels in the structure.

  • Fixed Format Significant: The length of the code represents the structure level. Apart from the top-level code, each code is based on the name of its parent.

If you attempt to replace one code type with the other code type you will receive an error message: "You cannot replace a code file of one structure with a code file of another structure."

Fixed Level Length

If you select the Fixed Format Significant code type, you must define the number of levels in the coding structure and the number of characters representing each level. The number of characters you assign to each level is cumulative: that is, it must be greater than the number of characters assigned to the previous level. For example, to use a 7-character code that represents three different hierarchical levels, you might enter the following information:

  • Level 1: 2

  • Level 2: 4

  • Level 3: 7

Level | Code Length | Example
Level 1 | 2 | DV
Level 2 | 4 | DV21
Level 3 | 7 | DV21535

Note that the code at Level 2 includes the code of its parent. Although the code length is defined as 4, only 2 new characters are added to the code. Similarly, the code at Level 3 includes the code of its parent. Although the code length is defined as 7, only 3 new characters are added to the code.

You can add levels later using the Structure tab of the Properties dialog box for the code file, but you cannot change existing levels.

While Open Plan allows you to define up to 10 levels for the fixed level length, most planners find that 3 or 4 levels are all that they need.

Pad Character

If you select the Fixed Format Significant code type, you can assign a pad character to be appended as a suffix to codes less than the specified length. Common pad characters are blanks (the default) and zeros.

The following example assumes that three levels have been defined in the code file and that the pad character is "0":

Level | Code Length | Local Portion of Code | Code Example
Level 1 | 2 | DV | DV
Level 2 | 5 | 9 | DV900
Level 3 | 6 | A | DV900A

Note that only a single character is entered in the local portion of the code at Level 2 but that the cumulative code length is defined as 5. Open Plan pads the code out to the required length by adding two 0s as a suffix to the local portion of the code.

You can use any character (including a space) as a pad character.

Location

To display the New Code Structure dialog box, complete the following steps:

  1. On the File menu, click New » Code File.

  2. In the File Type field of the New File dialog box, select Code.

  3. Enter a name and description for the code.

  4. Click Finish.

Related Topics and Procedures

Related Topics

Using Codes in Open Plan

Coding Structures in Open Plan

Using Code Files

How a Code Window Displays Information

Adding Codes to a Code File

Code Details Dialog Box

Working with Calendars, Resources, and Codes

Related Procedure

Creating a Code File


Open Plan DBA Login Dialog Box

If you are attempting to assign a code file to a code index where no rotated column currently exists, you have the option to create the new column as a traditional rotated column, or make structural changes to the database such that the new column becomes a permanent part of the associated table.

This is not a casual operation, so when you opt for the structural changes, the Open Plan DBA Login dialog box appears. Enter your DBA User ID and Password to login. Once you have access, the code assignment may be accepted.

This dialog box appears only if you are running Open Plan in connection with a SQL Server or Oracle database. Access users are assumed to have DBA privileges and can authorize the change without having to log in.

Related Topics and Procedures

Related Topics

Using the Assign Code Dialog Box

Using the Code File Prompt Dialog Box

Using Codes in Open Plan

Coding Structures in Open Plan

Using Code Files

Adding Codes to a Code File

Code Details Dialog Box

How a Code Window Displays Information

Related Procedures

Using the Open Plan Explorer to Assign a Code File to a Project

Using Project Properties to Assign a Code File


Select Code Dialog Box

This dialog box works with the values on the Code tab of the Resource Details dialog box.

When you select a code from the grid on the Code tab and click the ellipsis, the Select Code dialog box displays the codes stored in the relevant code field in a hierarchical structure.

When you select a code from the displayed hierarchy in the Select Code dialog box and click OK, the code is displayed as a value for the appropriate code on the Codes tab.

Location

To display the Select Code dialog box, complete the following steps:

  1. In Open Plan Explorer, display a resource file to which a code file is assigned in Resource View or Spreadsheet View.

  2. Display the Resource Details dialog box for a resource by taking one of the following actions.

  • Double-click a resource (for resource view).

  • Select a resource, and click Details in the Dialogs menu group of the Edit tab (for resource view or spreadsheet view).

  3. On the Code tab, click the ellipsis at the right of the code field (below the Desc field).

Related Topics

Related Topics

Using Resource Files

Resource Details General Tab

Resource Details Code Tab

Resource Details Availability Tab

Resource Details Escalation Tab

Resource Details Skills Tab

Resource Details User Fields Tab

Resource Details Notes Tab


Add a Child Code (Procedure)

Adding a Child Code

To add a child code to a code file, complete the following steps:

  1. In Open Plan Explorer, display a code file in Code View.

  2. Right-click the code to which you want to add a child, and click Add Child on the shortcut menu.

  3. In the Code Details dialog box, enter the information for the code.

You can also double-click the code while holding down the Shift key to display the Code Details dialog box.

Related Topics and Procedures

Related Topic

Using the Code Details Dialog Box

Related Procedures

Adding Codes to a Code File

Editing a Code

Finding a Code

Deleting a Code


Add Codes to a Code File (Procedure)

Adding Codes to a Code File

To add a code to a code file, complete the following steps:

  1. In Open Plan Explorer, display a code file in Code View.

  2. Take one of the following actions:

  • In the Data menu group of the Edit tab, click Add Code.

  • Double-click an empty area of the workspace.

  • Right-click an empty area of the workspace, and click Add Code on the shortcut menu.

  3. In the Code Details dialog box, enter the information for the code.

  4. When the information is complete, click Close or Apply.

You can rearrange the order in which Open Plan displays codes from left to right on the same hierarchical level by dragging a code to the desired location.

Related Topics and Procedures

Related Topic

Using the Code Details Dialog Box

Related Procedures

Adding a Child Code

Editing a Code

Finding a Code

Deleting a Code


Using Project Properties to Assign a Code File (Procedure)

Using Project Properties to Assign a Code File

To assign a code file to a project using the Project Properties dialog box, complete the following steps:

  1. Open the project to which you want to assign a code file in Exclusive mode.

  2. Take one of the following actions:

    • Right-click the project folder, and click Properties on the shortcut menu.

    • In the Dialogs menu group of the Processes tab, click Properties.

  3. On the Files tab of the Project Properties dialog box, click the ellipsis button at the right edge of the Code Files text box.

  4. From the Code Files column, select the code file that you want to assign to the project.

  5. From the Code field to assign code file to column, select the code field to which you want to assign the code file.

  6. Click Assign.

  7. In the Code File Prompt dialog box, enter a label for the code file, and click OK. If adding a particular code file would replace one currently assigned to the specified code field, Open Plan asks you to confirm your action.

  8. In the Assign Code dialog box displays again, click OK.

Related Topics and Procedures

Related Topic

Using the Project Properties Files Tab

Related Procedures

Using the Open Plan Explorer to Assign a Code File

Creating a Code File

Opening a Code File

Copying a Code File

Deleting a Code File

Adding a Code to a Code File


Using the Open Plan Explorer to Assign a Code File (Procedure)

Using the Open Plan Explorer to Assign a Code File

If the project or resource file is not open when you assign a code file, Open Plans opens it automatically in Exclusive mode.

To assign a code file to a project or resource file using drag-and-drop, complete the following steps:

  1. In the Open Plan Library, select a code file from the Codes folder .

  2. Drag the code file onto the target project or resource file (in the Resources folder).

  3. In the Assign Code dialog box, select the code file that you want to assign to the project from the Code Files column.

  4. From the Code field to assign code file to column, select the code field to which you want to assign the code file.

  5. Click Assign.

  6. In the Code File Prompt dialog box, enter a label for the code file, and click OK. If adding a particular code file would replace one currently assigned to the specified code field, Open Plan asks you to confirm your action.

  7. In he Assign Code dialog box, click OK.

Related Topics and Procedures

Related Topic

Using the Assign Code to Project Dialog Box

Related Procedures

Using the Project Properties Dialog Box to Assign a Code File to a Project

Creating a Code File

Opening a Code File

Saving a Code File

Copying a Code File

Deleting a Code File

Adding a Code to a Code File


Assigning a View to a Code File (Procedure)

Assigning a View to a Code File

To assign a code view to a code file using drag-and-drop, complete the following step:

  1. From the Views folder in the Open Plan Library, drag the code view you want to use onto the code file.

To assign a view to a code file using copy-and-paste, complete the following steps:

  1. In the Views folder in the Open Plan Library, copy the view that you want to assign to a code file by right-clicking the view and clicking Copy on the shortcut menu.

  2. Right-click the code file, and click Paste on the shortcut menu.

To assign a view to a code file using the Choose a Code File dialog box, complete the following steps:

  1. In the Open Plan Library, double-click click the view that you want to assign to a code file.

  2. From the list of open code files, select the one to which you want to assign the view.

  3. Select the Make Permanent Link to Code File option.

  4. Click OK.

Open Plan displays the Choose a Code File dialog box only when multiple code files are open.

Assigning the view to a code file in the Open Plan Library also assigns it in all projects and resource files where the code file is used. Similarly, assigning a view to a code file in a project or resource file also assigns it to that code file in the Open Plan Library.

Related Topics and Procedures

Related Topic

Using the Open Plan Explorer

Related Procedures

Opening a view

Deleting a view


Assign Code Files to the Project Directory or the Activity/Resource Tables

You can assign code files to the Project Directory or to the Activity or Resource tables when creating a new project.

To assign code files to the Project Directory or the Activity or Resource tables, complete the following steps:

  1. From the File menu, click New » Project.

  2. Enter the project information using the New File wizard pages until you reach the New File Wizard - Files page.

  3. On the New File Wizard - Files page, click the ellipses button next to the Code Files field.

  4. In the Assign Code dialog box, select a code file from the Code Files column.

  5. From the Code field to assign code file to column, select the code field to which you want to assign the code file.

  6. Click Assign.

  7. Repeat steps 4 to 6 as many times as necessary. You can assign code files for up to 90 code fields.

  8. When you are done assigning codes, click OK.

If you have assigned a code to a code field (for example, Index 90) that has not been previously used, when you click Finish, Open Plan asks if you want to modify the table structure. If you select No (the default button), the code field is created as a rotated column. If you select Yes, the code field is created as a non-rotated column. If you select Yes, you will be prompted to log in as a system administrator.)

Related Topics and Procedures

Related Topic

New File Wizard Files Page


Attach a Note to a Code (Procedure)

Attach a Note to a Code

To attach a note to a code, complete the following steps:

  1. In Open Plan Explorer, display a code file in Code View.

  2. Take one of the following actions:

  • Double-click a code.

  • Select the code to which you want to attach a note, and click Details in the Dialogs menu group of the Edit tab.

  • Right-click a code, and click Edit on the shortcut menu.

  3. In the Code Details dialog box, click the Notes tab.

  4. From the Category list, select a category for your note. You can attach multiple notes to a code, but you can attach only one note per category.

  5. Enter your note in the Note text box,

  6. Click the spell check button [image] to check the spelling in the note.

  7. Click Close or Apply.

Related Topics and Procedures

Related Topic

Using the Code Details Dialog Box

Related Procedures

Editing a Code Note

Deleting a Code Note

Editing a Code

Finding a Code

Creating a Note Category

Editing a Note Category

Deleting a Note Category


Change the Code File Prompt for an Assigned Code File

To change the code file prompt for an assigned code file, complete the following steps:

  1. From the File menu, click New » Project.

  2. Enter the project information using the New File wizard pages until you reach the New File Wizard - Files page.

  3. On the New File Wizard - Files page, click the ellipses button next to the Code Files field.

  4. From the Code field to assign code file to column of the Assign Code dialog box, select a code field to which a code file was previously assigned.

  5. Click Prompt.

  6. In the Code File Prompt dialog box, enter a new prompt for the code file, and click OK.

  7. Click OK in the Assign Code dialog box to return to the New File Wizard - Files page.

Related Topics and Procedures

Related Topic

New File Wizard Files Page


Change the Font in a Code View (Procedure)

Change the Font in a Code View

To change the font on a code view, complete the following steps:

  1. In Open Plan Explorer, display a code file in Code View.

  2. In the Font menu group of the of the View tab, click Default.

  3. In the Font dialog box, select a font and its attributes.

  4. Click OK.

Related Topics and Procedures

Related Topic

Using the Font Dialog Box

Related Procedures

Changing the Font on a Date Scale

Changing the Font on a Bar

Changing the Default Font on a Spreadsheet

Changing the Font on a Network view

Changing the Font on an Annotation

Changing the Font on a Calendar

Changing the Font on a Resource View


Collapsing a Parent Code (Procedure)

Collapsing a Parent Code

To collapse a parent code, complete the following steps:

  1. In Open Plan Explorer, display a code file in Code View, and select the parent code that you want to collapse.

  2. In the Data menu group of the Edit tab, click Collapse [image].

To collapse all parent codes, complete the following steps:

  1. In Open Plan Explorer, display a code file in Code View, and select the parent code that you want to collapse.

  2. In the Data menu group of the Edit tab, click Collapse All [image].

Related Topics and Procedures

Related Topic

How a Code Window Displays Information

Related Procedures

Moving a Code in the Hierarchy

Expanding a Parent Code

Expanding All Parent Codes

Displaying Full Code IDs

Displaying Code Descriptions


Copying a Code File (Procedure)

Copying a Code File

To copy a code file, complete the following steps:

  1. In Open Plan Explorer, display a code file in any view.

  2. On the File menu, click Save As » Save as New File.

  3. In the Save As dialog box, enter the name for the copy of the file.

  4. Click OK.

Related Topics and Procedures

Related Procedure

Open a Code File


Creating a Code File (Procedure)

Creating a Code File

To create a code file, complete the following steps:

  1. Display the New File dialog box by taking one of the following actions.

  • Double-click an empty area in either pane of the Open Plan Explorer.

  • On the File menu, click New » Code File.

  • Press the Ctrl+N keys.

  • Click the New [image] button on the Quick Access Toolbar, and select Code File from the drop-down list.

  • If you are creating a project using the New File Wizard, click the New button in the Select dialog box of the Files page.

  2. From the File Type field, select Code.

  3. Enter a name and description for the code file.

  4. Take one of the following actions:

  • To create a basic code file using Open Plan default settings, click Finish.

  • To enter detailed information about the code file using the New File Wizard, click Next, and proceed to the next step.

You can always enter this detailed information at a later time using the Code File Properties dialog box.

  5. On the first page of the New File wizard, set the following options:

  • From the list, select the default access mode for the code file.

  • Select whether to create an original new code file or create a code file as a copy of an existing one. If you are creating the new code file as a copy of an existing one, you must also select the code file that you want to use as a template.

  • Select a startup view.

  • Enter the default prompt text that is automatically used in the Code File Prompt dialog box that displays when you attach a code file to a project or resource file.

  5. Click Next.

  6. Complete the remaining pages of the wizard.

Context-sensitive information is available for each page of the wizard. Press F1 on your keyboard or click the Help button on each page.

Related Topics and Procedures

Related Topic

Using the New File Wizard

Using the New Code Structure Dialog Box

Related Procedures

Opening a Code File

Saving a Code File

Copying a Code File

Deleting a Code File

Using the Open Plan Explorer to Assign a Code File to a Project

Adding a Code to a Code File


Creating Codes in a Code File (Quick Start)

Creating Codes in a Code File

To create codes in the code window, complete the following steps:

  1. Double-click an empty area of the workspace.

  2. In the Code Information dialog box, enter a code ID and a description.

  3. When the information is complete, click OK.

To convert a code into a pool and enter child codes, complete the following steps:

  1. Right-click the code to which you want to add a child.

  2. From the context menu, click Add Child.

  3. In the Code Information dialog box, enter a code ID and a description.

  4. When the information is complete, click OK.


Define Code Display Options

To define code display options, complete the following steps:

  1. In Open Plan Explorer, display a code file in Code View.

  2. Take one of the following actions:

  • In the Hierarchy menu group of the View tab, click Preferences.

  • Right-click an empty area of the workspace, and click Preferences on the context menu.

  3. In the Options tab of the Code Display Preferences dialog box, enter the information for the display options.

  4. When the information is complete, click OK to return to the Code View.

Related Topics and Procedures

Related Topics

Code Display Preferences Dialog Box

How a Code Window Displays Information

Code Display Preferences Options Tab

Code Display Preferences Box Layout Tab

Related Procedures

Changing the Orientation of the Display

Changing the Center Setting for the Display

Changing the Display of Resource and Code IDs

Changing the Hierarchy Display Layout Settings

Displaying Full Code IDs

Displaying Code Descriptions


Delete a Code (Procedure)

Delete a Code

If you are deleting a parent code, Open Plan warns you that all child codes will be deleted along with the parent. If you delete a code that has been assigned to an activity in a project, that assignment is deleted as well.

To delete a code, complete the following steps:

  1. In Open Plan Explorer, display a code file in Code View.

  2. Select the code that you want to delete.

  3. Take one of the following actions:

  • On your keyboard, press the Delete key.

  • Right-click the code, and click Delete on the shortcut menu.

  • On the Edit tab, click Delete Code [image].

  4. When Open Plan asks if you want to delete the selected code and its children, click OK.

Related Topics and Procedures

Related Procedures

How a Code Window Displays Information

Adding a Child Code

Adding Codes to a Code File

Editing a Code

Finding a Code


Delete a Code File (Procedure)

Delete a Code File

You can only delete a code file from the database if the file is not open, if it is not being used by another project or resource file, and if you have the appropriate rights to the file.

To delete a code file, complete the following steps:

  1. Click File » Manage Files » Delete.

  2. In the File Type field of the Select File to Delete dialog box, select Code to display all code files.

  3. Select the code file you want to delete, and click OK.

  4. When Open Plan asks you to confirm the deletion, click Yes.

Related Topics and Procedures

Related Topic

Using the Select File to Delete Dialog Box

Related Procedures

Creating a Code File

Opening a Code File

Saving a Code File

Copying a Code File

Using the Open Plan Explorer to Assign a Code File to a Project

Adding a Code to a Code File


Delete a Code Note (Procedure)

Delete a Code Note

To delete a code note, complete the following steps:

  1. In Open Plan Explorer, display a code file in Code View.

  2. Take one of the following actions:

  • Double-click the code.

  • Select the code from which you want to delete a note, and click Details in the Dialogs menu group of the Edit tab.

  • Right-click the code, and click Edit on the context menu.

  3. In the Code Details dialog box, click the Notes tab.

  4. Delete the information in the Note text box, and click Close or Apply.

Related Topics and Procedures

Related Topic

Using the Code Details Dialog Box

Related Procedures

Attaching a Note to a Code

Editing a Code Note

Editing a Code

Finding a Code

Creating a Note Category

Editing a Note Category

Deleting a Note Category


Displaying Code Descriptions (Procedure)

Displaying Code Descriptions

To display code descriptions in the code boxes, complete the following steps:

  1. In Open Plan Explorer, display a code file in Code View.

  2. Take one of the following actions:

  • In the Hierarchy menu group of the View tab, click Preferences.

  • Right-click an empty area of the workspace, and click Preferences on the shortcut menu.

  3. On the Box Layout tab of the Code Display Preferences dialog box, ensure that one of the lines in the Field column displays Code Description.

Related Topics and Procedures

Related Topic

Code Display Preferences Box Layout Tab

Related Procedures

Moving a Code in the Hierarchy

Collapsing a Parent Code

Expanding a Parent Code

Expanding All Parent Codes

Displaying Full Code IDs

Setting Code Box Layout Options


Displaying Full Code IDs (Procedure)

Displaying Full Code IDs

To display full code IDs in the code boxes, complete the following steps:

  1. In Open Plan Explorer, display a code file in Code View.

  2. Take one of the following actions:

  • In the Hierarchy menu group of the View tab, click Preferences.

  • Right-click an empty area of the workspace, and click Preferences on the shortcut menu.

  3. In the Box Contents field of the Options tab of the Code Display Preferences dialog box, select Show Full ID.

Related Topics and Procedures

Related Topic

Code Display Preferences Options Tab

Related Procedures

Moving a Code in the Hierarchy

Collapsing a Parent Code

Expanding a Parent Code

Expanding All Parent Codes

Displaying Code Descriptions

Setting Code Box Layout Options


Edit a Code (Procedure)

Editing a Code

To edit a code, complete the following steps:

  1. In Open Plan Explorer, display a code file in Code View.

  2. Take one of the following actions:

  • Double-click the code.

  • Select the code you want to update, and click Details in the Dialogs menu group of the Edit tab.

  • Right-click the code, and click Edit from the shortcut menu.

  3. In the Code Details dialog box, enter the information for the code.

  4. When the information is complete, click Close or Apply.

Related Topics and Procedures

Related Topic

Using the Code Details Dialog Box

Code Details dialog box

Related Procedures:

Adding a Child Code

Adding Codes to a Code File

Finding a Code

Deleting a Code


Edit a Code Note (Procedure)

Edit a Code Note

To edit a code note, complete the following steps:

  1. In Open Plan Explorer, display a code file in Code View.

  2. Take one of the following actions:

  • Double-click the code.

  • Select the code from which you want to delete a note, and click Details in the Dialogs menu group of the Edit tab.

  • Right-click the code, and click Edit on the context menu.

  3. In the Code Details dialog box, click the Notes tab.

  4. Update the information in the Note text box, and click Close or Apply.

Related Topics and Procedures

Related Topic

Using the Code Details Dialog Box

Related Procedures

Attaching a Note to a Code

Deleting a Code Note

Editing a Code

Finding a Code

Creating a Note Category

Editing a Note Category

Deleting a Note Category


Expanding a Parent Code (Procedure)

Expanding a Parent Code

To expand a parent code, complete the following steps:

  1. In Open Plan Explorer, display a code file in Code View.

  2. Select the code that you want to expand.

  3. In the Data menu group of the Edit tab, click Expand [image].

Related Topics and Procedures

Related Topic

How a Code Window Displays Information

Related Procedures

Moving a Code in the Hierarchy

Collapsing a Parent Code

Expanding All Parent Codes

Displaying Full Code IDs

Displaying Code Descriptions


Expanding All Parent Codes (Procedure)

Expanding All Parent Codes

To expand all parent codes, complete the following steps:

  1. In Open Plan Explorer, display a code file in Code View.

  2. In the Data menu group of the Edit tab, click Expand All [image] .

Related Topics and Procedures

Related Topic

How a Code Window Displays Information

Related Procedures

Moving a Code in the Hierarchy

Collapsing a Parent Code

Expanding a Parent Code

Displaying Full Code IDs

Displaying Code Descriptions


Find a Code (Procedure)

Find a Code

To find a code, complete the following steps:

  1. In Open Plan Explorer, display a code file in Code View.

  2. Take one of the following actions:

  • In the Data menu group of the Edit tab, click Find And Replace [image].

  • Right-click an empty area of the workspace, and click Find on the shortcut menu.

  3. In the Find Node dialog box, enter the ID of the code you want to find.

  4. Click OK.

Related Topics and Procedures

Related Topic

Using the Find Node Dialog Box

Related Procedures

Adding a Child Code

Adding Codes to a Code File

Editing a Code

Deleting a Code


Moving a Code in the Hierarchy (Procedure)

Moving a Code in the Hierarchy

When you move a code (or group of codes) to a different position in the code hierarchy, Open Plan automatically renumbers the code IDs of the moved codes. If this renumbering potentially duplicates existing code IDs, Open Plan allows you to renumber the codes yourself. In addition, Open Plan also updates the assignments for renumbered codes in any projects that are open at the time of the move. (Assignments in closed projects are not affected.)

When you move a code, Open Plan also moves assignments for projects that are open. However, projects that are closed when you move a code are not affected.

If you move a parent, all child codes of the parent are moved as well.

  • To move a code in the hierarchy, drag the code to the desired position in the code hierarchy.

  • To move a code to the top level of the hierarchy, drag the code to the top of the workspace.

Related Topics and Procedures

Related Topic

How a Code Window Displays Information

Related Procedures

Collapsing a Parent Code

Expanding a Parent Code

Expanding All Parent Codes

Displaying Full Code IDs

Displaying Code Descriptions


Opening a Code File (Procedure)

Opening a Code File

To open a code file using the File Open dialog box, complete the following steps:

  1. In Open Plan Explorer, take one of the following actions:

  • Click File » Open.

  • Press Ctrl+O.

  • On the Quick Access Toolbar, click Open.

  2. Select Code in the List Files of Type field.

  3. Select the code file you want to open, and click OK.

To open a code file using the Open Plan Library, complete the following steps:

  1. In Open Plan Explorer, expand the Open Plan Library » Codes folder.

  2. Take one of the following actions:

  • Expand the Codes folder, double-click the Code Views folder, and double-click the Code View for the selected code file in the right pane.

  • Right-click the file, point to Open, and click the desired mode in which to open the code file.

  • Select the code file, click Open on the File menu, and use the File Open dialog box to open the code file.

Related Topics and Procedures

Related Topic

Working with Open Plan Data

Related Procedures

Creating a Code File

Saving a Code File

Copying a Code File

Deleting a Code File

Using the Open Plan Explorer to Assign a Code File to a Project

Adding a Code to a Code File


Remove a Code File from a Project

Deleting a code file from a project folder removes any activity code assignments based on that code file.

To remove a code file from a project, complete the following steps:

  1. In Open Plan Explorer, take one of the following actions:

  • Right-click a project folder, and click Properties on shortcut menu.

  • Select a project folder, and click Properties in the Dialogs menu group of the Processes tab.

  2. On the Files tab of the Project Properties dialog box, click the ellipsis button next to the Code Files field.

  3. In the right pane of the Assign Code dialog box, select the code to remove, and click Remove. Repeat this step if you want to remove more than one code.

  4. Click OK.

  5. In the Project Properties dialog box, click OK.

Related Topics and Procedures

Related Topics

Project Properties Dialog Box

Assign Code Dialog Box

Related Procedure

Remove a Code from a Resource File


Remove a Code from a Resource File

To remove a code file from a resource file, complete the following steps:

  1. Open the appropriate project.

  2. Right-click the resource file folder and click Properties on the context menu.

  3. On the Resource file Properties dialog box Files tab, click the ellipsis button next to the Code Files field.

  4. In the right pane of the Assign Code dialog box, select the code to remove, and click Remove.

    5. Repeat the above step if you want to remove more than one code.

  5. Click OK.

  6. On the Project Properties dialog box, click OK.

Related Topics and Procedures

Related Topic:

Project Properties Dialog Box

Assign Code Dialog Box

Related Procedures:

Remove a Code File from a Project


Saving a Code File (Procedure)

Saving a Code File

To save a code file, complete the following steps:

  1. In Open Plan Explorer, display a code file in any view.

  2. Make the necessary changes to the code file,

  3. Take one of the following actions:

  • On the File menu, click Save.

  • On your keyboard, press the Ctrl+S.

  • On the Quick Access Toolbar, click the Save [image] button.

The first time you save a code file, Open Plan places it in the Codes folder of the Open Plan Library.

You can also save the code file with a different name by using the Save As command on the File menu.

Related Topics and Procedures

Related Procedures:

Creating a Code File

Opening a Code File

Copying a Code File

Deleting a Code File

Using the Open Plan Explorer to Assign a Code File to a Project

Adding a Code to a Code File


Setting Code Box Layout Options (Procedure)

Setting Code Box Layout Options

To set your options for the code box layout, complete the following steps:

  1. In Open Plan Explorer, display a code file in Code View.

  2. Take one of the following actions:

  • In the Hierarchy menu group of the View tab, click Preferences.

  • Right-click an empty area of the workspace, and click Preferences on the context menu.

  3. In the Code Display Preferences dialog box, click the Box Layout tab.

  4. In the Field column, select a blank line, and select a field from the list box at the top of the tab.

  5. In the Line column, enter a line number to indicate where the field should display within the activity box. If you enter the same line number for more than one field, Open Plan displays the fields in the order shown in the grid in the dialog box. You can use the change order buttons to move a data field to a higher or lower position in the grid.

  6. In the Format column, select the number of lines that the field may wrap.

  7. Continue entering fields until you have fully defined the contents of the code box.

  8. Click OK.

Related Topics and Procedures

Related Topic

Code Display Preferences Box Layout Tab

Related Procedures

Moving a Code in the Hierarchy

Collapsing a Parent Code

Expanding a Parent Code

Expanding All Parent Codes

Displaying Full Code IDs

Displaying Code Descriptions


Using Resource File Properties to Assign a Code File (Procedure)

Using Resource File Properties to Assign a Code File

To assign a code file to a resource file using the Properties dialog box, complete the following steps:

  1. In Open Plan Explorer, display a resource file in any view.

  2. In the Dialogs menu group of the Edit tab, click Properties.

If you display the resource file in Resource View, you can right-click an empty area on the file and click Properties from the shortcut menu.

  3. On the Files tab of the Properties dialog box, click the ellipsis button at the right edge of the Code Files text box.

  4. From the Code Files column of the Assign Code dialog box, select the code file that you want to assign to the project.

  5. From the Code field to assign code file to column, select the code field to which you want to assign the code file.

  6. Click Assign.

  7. In the Code File Prompt dialog box, enter a label for the code file, and click OK.

    8. If adding a particular code file would replace the one currently assigned to the specified code field, Open Plan asks you to confirm your action.

  8. In the Assign Code dialog box, click OK.

Related Topics and Procedures

Related Topic

Using the Properties Dialog Box Files Tab

Related Procedures

Using the Open Plan Explorer to Assign a Code File

Creating a Code File

Opening a Code File

Copying a Code File

Deleting a Code File

Adding a Code to a Code File


Properties Dialog Box

This dialog box controls the properties associated with an ancillary file. The name of the dialog box includes the name of the selected file (Properties – <Filename> dialog box, where <Filename> is the name of the selected file).

When accessed from a project that is either unopened or opened in either Exclusive or Shared mode, you can use this dialog box to modify the information it displays. If the project is open in Read Only mode, you can only view the information on this dialog box.

To add or edit project-level properties, use the Project Properties dialog box.

Editing Considerations

When editing the properties for a file, the following guidelines should be taken into consideration:

  • Provided you have the proper access control rights to the file, you do not have to first open a file to edit its properties.

  • The Files tab for a resource file is only enabled when the file is opened in Exclusive mode.

  • A view does not have to be open to edit its properties.

  • Opening a resource, code, or calendar file in Read Only mode disables all the fields in the Properties dialog box.

Tabs

  • General: In addition to information about the name, owner, and description of the object, the General tab provides the following information about the ancillary file or view:

    • The date on which the file was last updated.

    • The user who updated the file.

    • The default access mode of the ancillary file.

    • The current access mode of the ancillary file.

  • Command-Line Info: This tab only displays for browser views. In addition to information about the name, owner, and description of the object, the Command-Line Info tab provides the following information about the browser view:

    • The command used to execute the view.

    • The argument specified to be used by the command.

  • Structure: This tab only displays for code files. In addition to information about the name, owner, and description of the code file, the Structure tab controls the structure of the code file.

  • Preferences: This tab only displays for views. In addition to information about the name, owner, and description of the view, the Preferences tab controls the filter, sort, and title block of the view. In the case of Barchart and multi-table barchart views, you can also specify the bar set to be displayed in the view.

  • Statistics: This tab only displays for resource files. In addition to information about the name, owner, and description of the object, the Statistics tab provides the following information about the resource file:

    • The number of pools the file contains.

    • The number of skills the file contains.

    • The number of individual resources the file contains.

  • Files: This tab only displays for resource files. In addition to information about the name, owner, and description of the resource file, the Files tab controls the calendar and code files that are attached.

  • Access Control: This tab displays for all ancillary files and views. In addition to information about the name, owner, and description of the object, the Access Control tab provides information about the access rights that users with a given group and role assignment have to the object.

  • Open Status: This tab displays for all ancillary files. In addition to information about the name, owner, and description of the ancillary file, the Open Status tab provides the following information about the open status of the object:

    • The ID of each person who has the file open.

    • The computers on which the file is open.

    • The mode in which each user has the file open.

    • The date and time when the file was last updated

  • References: This tab is displayed for all ancillary files. In addition to information about the file type, name, description, and owner of the file, the References tab provides a list of projects that reference the file. In the case of calendar and code files, the References tab also lists the resource files that reference the file.

  • Notes: This tab only displays for code and resource files. In addition to displaying information about the name and owner of the code or resource file, this tab allows you to modify its description and to create, edit, or delete notes attached to the file. Each file can have a single note for each defined note category.

  • User Fields: This tab only displays for code and resource files. In addition to displaying information about the name and owner of the code or resource file, this tab allows you to modify its description and to specify the values that Open Plan should include for user-defined fields on the code or resource table.

The tabs that display depend on the type of file that is selected:

Tab | Calendar File | Code File | Resource File | View | Browser View
General | X | X | X | X | X
Command-Line Info |  |  |  |  | X
Structure |  | X |  |  |
Preferences |  |  |  | X |
Statistics |  |  | X |  |
Files |  |  | X |  |
Access Control | X | X | X | X | X
Open Status | X | X | X |  |
References | X | X | X |  |
Notes |  | X | X |  |
User Fields |  | X | X |  |

Location

To display the Properties dialog box, complete the following step:

  1. In Open Plan Explorer, take one of the following actions:

  • Right-click an ancillary file, and click Properties on the shortcut menu.

  • In an open ancillary file, click Properties in the Dialogs menu group of the Edit tab.

Related Topics and Procedures

Related Procedures

Changing the Properties of a View

Changing the Properties of an Ancillary File


Properties Dialog Box General Tab

The General tab of the Properties dialog box is available for resource, code, calendar, and view files.

Name

This is the name of the ancillary file.

Owner

The is the name of the ancillary file owner.

Description

This is a description of the ancillary file.

File Type

This field indicates whether the file is a code file, resource file, calendar file, or view template.

Last Updated On

This field displays the date on which the file or view was last updated.

Updated By

This field displays the userid of the person who last updated the file or view.

Data Access Mode

This field is available only for ancillary files. It displays the current data access mode.

  • Not open

  • Exclusive

  • Shared

  • Read-only

Default Access Mode

This field controls the default access mode (Exclusive, Shared, or Read Only) of the file or view.

If the object is an ancillary file, you must have it open in Exclusive or Shared mode in order to modify the contents of this field. If the file is not open, or is opened in Read Only mode, you cannot change the information in this field.

It does not display for a view.

For more information about access modes, see Working in a Multi-User Environment.

Ancillary Files

This field is available only for resource files.

This field controls the default access mode (Exclusive, Shared, or Read Only) of the ancillary files attached to the resource file.

Startup View

This field controls the view that Open Plan should display by default for the ancillary file.

Default Prompt Text

This field is available only for code files.

This field controls the default prompt text that is automatically entered in the Code File Prompt dialog box that displays when you attach a code file to a project or resource file. Although this text is entered by default, you can change it before clicking OK in the Code File Prompt dialog box.

Location

To display the Properties dialog box, complete the following step:

  1. In Open Plan Explorer, take one of the following actions:

  • Right-click an ancillary file, and click Properties on the shortcut menu.

  • In an open ancillary file, click Properties in the Dialogs menu group of the Edit tab.

Related Topics and Procedures

Related Procedures

Changing the Properties of a View

Changing the Properties of an Ancillary File


Properties Dialog Box Command-Line Info Tab

This tab displays only for browser views. It controls browser view settings.

Name

This is the name of the ancillary file.

Owner

The is the name of the ancillary file owner.

Description

This is a description of the ancillary file.

Command

This field displays the command line to be executed when the browser view is run. For example, the command line could be the path to an executable file or a Visual Basic application. It may also be a URL to a specific Webpage.

Arguments

You can specify any number of the following parameters to be passed automatically to the application on the command line. Open Plan supplies these parameters on the command line when launching the browser view.

Parameter

Description

%P

The currently selected project (View or Open Plan Explorer)

%S

The currently selected project in Open Plan Explorer

%A

The currently selected Activity ID

%R

The currently selected Resource file (View or Open Plan Explorer)

%r

The currently selected resource

%b

The currently selected code

%B#

Passes the name of the code file in position # in the active open project

%C

The currently selected calendar name (View or Open Plan Explorer)

%c

The currently selected calendar

%M

Allow multiple instances of the selected tool

%U

The currently logged in user’s ID

%W

The encrypted password for the current user

%V

The current view

%E

Launch the file/link in an external Internet browser window

%I

Allows Internet browser to open within an Open Plan window. If the %I is specified, Open Plan formats the other parameters as a URL query string (for example, %P and %A will be passed as ?P=ProjectName&A=ActivityId)

If data-specific parameters are used, Open Plan reloads the page that was initially loaded in the internal window with an updated query string each time the selected value (project, activity ID, resource, and so on) changes.

%T

When %I is used, tiles the internal browser window

%D

Launches the file/link in a dockable internal browser

%X

Maximizes an internal browser window

If the %I, %D, or %E argument is used, Open Plan attempts to execute the command line using a browser object or application, respectively. In this situation, you may specify a data file to be launched (in conjunction with an application) or a URL. If the executable must be specified in the command line, omit the %I (for example, Wordpad.exe MyNotes.txt). In this case, the executable is launched within its own (external) window. If the document type is associated on your computer with an application, an internal browser view may be created using the syntax <Document_Name> %I (for example, MyNotes.txt). Remember, if you use either the %I or %E parameters, you need to specify the document to be launched, rather than the application that will launch it. In addition, if a Visual Basic application is launched, you should not use any of the Internet-specific parameters because Open Plan will "canonicalize" the command-line (that is, question marks will be inserted before the arguments). Since VB applications do not understand "canonicalized" arguments, they will fail.

Windows-type shortcuts must be brought up externally if the command line references an application. The shortcuts may be brought up internally if they reference a document whose associated launch application is known to the system.

Internet links may be brought up as either internal (the Internet browser is contained within an Open Plan window) or external (the browser itself is launched as a separate application) browser views.

The custom WebWindows that are shipped with Open Plan as part of the Add-Ins tab can easily be added as browser views. See The Open Plan Configuration Files, in the Deltek Open Plan Developer's Guide for command line and argument parameter information for each WebWindow.

Location

To display the Properties dialog box, complete the following step:

  1. In Open Plan Explorer, take one of the following actions:

  • Right-click an ancillary file, and click Properties on the shortcut menu.

  • In an open ancillary file, click Properties in the Dialogs menu group of the Edit tab.

Related Topics and Procedures

Related Procedures

Changing the Properties of a View

Changing the Properties of an Ancillary File


Properties Dialog Box Structure Tab

Using the Properties Dialog Box Structure Tab

This tab displays only for code files. It controls code file settings. After a code file has been created, its structure cannot be modified.

For more information about working with codes, see Codes.

Name

This is the name of the ancillary file.

Owner

The is the name of the ancillary file owner.

Description

This is a description of the ancillary file.

Code Type

Punctuated Significant

Open Plan uses a punctuation character to separate the part of the code that corresponds to the different levels in the structure.

Fixed Format Significant

The length of the code represents the structure level. Apart from the top-level code, each code is based on the name of its parent.

Fixed Level Length

These fields contain data only when the selected code type is Fixed Format Significant. While Open Plan allows up to 10 levels for the fixed level length, in most cases, only 3 or 4 levels are used.

For each level that is used, Open Plan displays the number of characters that are specified. This number is cumulative.

The following example assumes that three levels have been defined in the code file:

Level | Code Length | Example
Level 1 | 2 | DV
Level 2 | 5 | DV215
Level 3 | 7 | DV21535

Note that the code at Level 2 includes the code of its parent, and that although the code length is defined as 5, only 3 new characters are added to the code.

Similarly, the code at Level 3 includes the code of its parent, and although the code length is defined as 7, only 2 new characters are added to the code.

Pad Character

The character specified as the pad character is used as a suffix to codes that do not use the defined length at a given level.

The following example assumes that three levels have been defined in the code file and that the pad character is "0":

Level | Code Length | Local Portion of Code | Code Example
Level 1 | 2 | DV | DV
Level 2 | 5 | 9 | DV900
Level 3 | 6 | A | DV900A

Note that only a single character is entered in the local portion of the code at Level 2 but that the cumulative code length is defined as 5. Open Plan pads the code out to the required length by adding two 0s as a suffix to the local portion of the code.

Any character (including a space) can be used as a pad character.

Location

To display the Properties dialog box, complete the following step:

  1. In Open Plan Explorer, take one of the following actions:

  • Right-click an ancillary file, and click Properties on the shortcut menu.

  • In an open ancillary file, click Properties in the Dialogs menu group of the Edit tab.

Related Topics and Procedures

Related Procedures

Changing the Properties of a View

Changing the Properties of an Ancillary File


Properties Dialog Box Preferences Tab

This tab displays only for views. It controls the settings of the view.

Depending on the type of view selected, one or more of the fields may be enabled. When a field is enabled, an ellipsis button is displayed at the right edge of the field.

Name

This is the name of the ancillary file.

Owner

The is the name of the ancillary file owner.

Description

This is a description of the ancillary file.

Filter

This field allows you to apply a filter to the view. If you click the ellipsis at the right edge of the field, Open Plan displays the Filters dialog box that you can use to select a filter. You can also use that dialog box to create, edit, or modify filters.

Sort

This field allows you to sort the data in the view. If you click the ellipsis at the right edge of the field, Open Plan displays the Sorts dialog box that you can use to select a sort. You can also use that dialog box to create, edit, or modify sorts.

Title Block

This field allows you to apply a title block to the view. If you click the ellipsis at the right edge of the field, Open Plan displays the Title Blocks dialog box that you can use to select a title block. You can also use that dialog box to create, edit, or modify title blocks.

Bar Set

This field is enabled only for Barchart and MultiSplit SpreadSheet views This field allows you to select a bar set to be displayed on the view. If you click the ellipsis at the right edge of the field, Open Plan displays the Bar Sets dialog box that you can use to select the bar set. You can also use that dialog box to create, edit, or modify bar sets.

Location

To display the Properties dialog box, complete the following step:

  1. In Open Plan Explorer, take one of the following actions:

  • Right-click an ancillary file, and click Properties on the shortcut menu.

  • In an open ancillary file, click Properties in the Dialogs menu group of the Edit tab.

Related Topics and Procedures

Related Procedures

Changing the Properties of a View

Changing the Properties of an Ancillary File


Properties Dialog Box Statistics Tab

This tab displays only for resource files. It controls the resource file settings.

Name

This is the name of the ancillary file.

Owner

The is the name of the ancillary file owner.

Description

This is a description of the ancillary file.

Pools

This field displays the total number of pools in the resource file.

Skills

This field displays the total number of skills in the resource file.

Resources

This field displays the total number of individual resources in the resource file.

Resources with the type Pool are not included in this total.

Location

To display the Properties dialog box, complete the following step:

  1. In Open Plan Explorer, take one of the following actions:

  • Right-click an ancillary file, and click Properties on the shortcut menu.

  • In an open ancillary file, click Properties in the Dialogs menu group of the Edit tab.

Related Topics and Procedures

Related Procedures

Changing the Properties of a View

Changing the Properties of an Ancillary File


Properties Dialog Box Files Tab

This tab displays only for resource files. It controls the resource file settings.

Name

This is the name of the ancillary file.

Owner

The is the name of the ancillary file owner.

Description

This is a description of the ancillary file.

Calendar

This field controls the calendar file attached to the resource file.

In order to modify the contents of this field, you must have the resource file open in Exclusive mode. If the resource file is not open in Exclusive mode, you cannot change the information in this field.

When you click the ellipsis at the right edge of this field, Open Plan displays the Select dialog box that you can use to assign a calendar file to the resource file.

Codes

This field controls the code files attached to the resource file.

In order to modify the contents of this field, you must have the resource file open in Exclusive mode. If the resource file is not open in Exclusive mode, you cannot change the information in this field.

When you click the ellipsis at the right edge of this field, Open Plan displays the Assign Code dialog box that you can use to assign codes to up to 90 code fields on the resource file.

Location

To display the Properties dialog box, complete the following step:

  1. In Open Plan Explorer, take one of the following actions:

  • Right-click an ancillary file, and click Properties on the shortcut menu.

  • In an open ancillary file, click Properties in the Dialogs menu group of the Edit tab.

Related Topics and Procedures

Related Procedures

Changing the Properties of a View

Changing the Properties of an Ancillary File

Select Dialog Box

Assign Code Dialog Box


Properties Dialog Box Access Control Tab

This tab controls the following settings for the ancillary file or view. In order to see changes made by other users who may have the file open in Exclusive or Shared mode, you have to close and reopen the file.

Name

This is the name of the ancillary file.

Owner

The is the name of the ancillary file owner.

Description

This is a description of the ancillary file.

Grid

The fields in the grid allow you to define the access rights that users who are members of a group with a specified role have to the ancillary file or view. For each group that you want to provide with access rights to the ancillary file or view, you must also specify a role. It is the combination of group and role that is given access to the object. To modify the access rights displayed on this tab, you must be either the owner of the ancillary file or view, or you must be a member of the System Administrator group. In addition, for ancillary files, you must have the object open in Exclusive mode.

Group

This column specifies the groups that have access to the ancillary file or view.

By selecting a field in this column and choosing a group from the list you can specify the groups that can have access to the file

Role

For each group or user that you want to provide with access to the ancillary file or view, you must specify a role by selecting a role from the list.

It is possible to use the Role setting to override the default role of a group or user ID. For example, if you want to grant limited access to a user who has sysadmin (complete) access to all files, you can specify a limited-access role for the user.

User ID

By selecting a field in this column and selecting a user ID from the list, you can specify a specific user who can have access to the file or view.

You can specify a Group or a User ID, but not both.

Read Only

The Read Only field acts as a limitation to the rights that might otherwise be permitted:

  • By selecting Yes for this field, you limit the group or user to opening the ancillary file or view in Read Only mode.

  • By selecting No for this field, you place no limitations on the mode in which the ancillary file or view may be opened. Provided that no other user has it open in exclusive mode, the group or user may open the ancillary file or view in any mode they choose.

Location

To display the Properties dialog box, complete the following step:

  1. In Open Plan Explorer, take one of the following actions:

  • Right-click an ancillary file, and click Properties on the shortcut menu.

  • In an open ancillary file, click Properties in the Dialogs menu group of the Edit tab.

Related Topics and Procedures

Related Procedures

Changing the Properties of a View

Changing the Properties of an Ancillary File


Properties Dialog Box Open Status Tab

This tab displays the open status of the ancillary file.

Name

This is the name of the ancillary file.

Owner

The is the name of the ancillary file owner.

Description

This is a description of the ancillary file.

Grid

Open Plan displays a list of users who have the ancillary file or view open.

User ID

This column displays the user ID of each person who has the ancillary file or view open.

Machine ID

This column displays the ID of each computer where the ancillary file or view is open. While the value in this column frequently is the same as the value in the User ID column, this is not necessarily the case. A user may have more than one computer, and each computer would have its own machine ID.

Open Mode

This column displays the mode in which the ancillary file is open. This mode can be any of the following:

  • Exclusive: Only the person who has the ancillary file open in this mode may save changes to the data. If one person has the ancillary file or project open in this mode, other users may open it only in read only mode.

  • Shared: More than one person may make changes to the ancillary file.

  • Read Only: Changes to the ancillary file cannot be saved by anyone who has it open in this mode.

For more information about modes, see Working in a Multi-User Environment.

Opened On

This column displays the date and time that the ancillary file was opened.

Location

To display the Properties dialog box, complete the following step:

  1. In Open Plan Explorer, take one of the following actions:

  • Right-click an ancillary file, and click Properties on the shortcut menu.

  • In an open ancillary file, click Properties in the Dialogs menu group of the Edit tab.

Related Topics and Procedures

Related Procedures

Changing the Properties of a View

Changing the Properties of an Ancillary File


References Tab

Properties Dialog Box: References Tab

This tab is available for resource, code, and calendar files.

Project Name

This is the name of the ancillary file.

Description

This is a description of the ancillary file.

Owner

The is the name of the ancillary file owner.

Products and/or Ancillary Files that Include this File

Every file that references the selected ancillary file is listed on this dialog box.

Location

To display the Properties dialog box, complete the following step:

  1. In Open Plan Explorer, take one of the following actions:

  • Right-click an ancillary file, and click Properties on the shortcut menu.

  • In an open ancillary file, click Properties in the Dialogs menu group of the Edit tab.

Related Topics and Procedures

Related Procedures

Changing the Properties of a View

Changing the Properties of an Ancillary File


Properties Dialog Box Notes Tab

This tab displays only for code and resource files. It includes settings for the code or resource file.

Name

This is the name of the ancillary file.

Owner

The is the name of the ancillary file owner.

Description

This is a description of the ancillary file.

Note

Enter the note in this text box.

abc

Clicking the [image] spell check button displays a full-featured spell checking application that you can use to check the spelling. This spell checker allows you to specify the dictionaries that you want to use. You can use up to 32 dictionaries. This means that if you have defined special terms in the dictionary you use with your word processor, you can assign that dictionary to the spell checker to have Open Plan recognize these terms. Open Plan also allows you to assign many different language dictionaries so that you can check the spelling of words in other languages.

You can also customize the way the spell checker works using the Spelling Options dialog box by selecting as many of the following options as you wish. For more information, see Check Spelling: Options Dialog Box.

Category

In addition to allowing you to modify the description, this tab allows you to enter, modify, or delete a note attached to the file. The Category field controls the category of the note. If you are creating a new note, you can select a category from the list of categories set up in the database.

Although you can attach multiple notes to a code or resource file, you can attach only one note per category.

The text box can contain up to 29 KB of text about the project. You can enter the text by typing directly in this field or by using the Cut, Copy, and Paste commands to insert text entered in another Windows application such as a word processor or spreadsheet.

You can enter links to files, web pages, and email addresses by entering the information in one of the following formats:

  • File links must be entered in the format of: file://c:\document.doc

    • If the file link you enter contains spaces, you must enclose the link with angle brackets ( < > ) in order for the link to work properly:
    <    file://C:\Documents and Settings\All Users\Desktop\test.txt>

  • Universal Resource Locators (URLs) must be entered in the format of: http://www.deltek.com

  • Email addresses must be entered in the format of: mailto:contactus@deltek.com

While you can use drag and drop functionality to create links in the Note field, the Cut (Ctrl+X), Copy (Ctrl+C), and Paste (Ctrl+V) commands are not available for links.

OK

When you click OK, the note is attached to the code or resource file. However, it is not saved until you save the file.

Location

To display the Properties dialog box, complete the following step:

  1. In Open Plan Explorer, take one of the following actions:

  • Right-click an ancillary file, and click Properties on the shortcut menu.

  • In an open ancillary file, click Properties in the Dialogs menu group of the Edit tab.

Related Topics and Procedures

Related Procedures

Changing the Properties of a View

Changing the Properties of an Ancillary File


Properties Dialog Box User Fields Tab

This tab displays only for code and resource files. It includes settings for the code or resource file.

Name

This is the name of the ancillary file.

Owner

The is the name of the ancillary file owner.

Description

This is a description of the ancillary file.

Grid

In addition to allowing you to modify the description, this tab allows you to specify the values that Open Plan should include for user-defined fields on the associated code or resource table.

User-defined fields are created outside of an open code or resource file and may be used by code or resource file stored in the database. In order to use a user-defined field in the code or resource file, you must specify a value for it on this tab. For example, if the Field Name for a code file is Location, you might enter the name of the company division as the value for the field. For more information about creating user-defined fields, see User Defined Fields.

Field

This column displays a list of all the user-defined fields that have been defined for the code or resource table.

Value

For each user-defined field that you want to use, you should enter an appropriate value.

Location

To display the Properties dialog box, complete the following step:

  1. In Open Plan Explorer, take one of the following actions:

  • Right-click an ancillary file, and click Properties on the shortcut menu.

  • In an open ancillary file, click Properties in the Dialogs menu group of the Edit tab.

Related Topics and Procedures

Related Procedures

Changing the Properties of a View

Changing the Properties of an Ancillary File


Changing the Properties of an Auxiliary File (Procedure)

Changing the Properties of an Ancillary File

To change ancillary file properties, complete the following steps:

  1. To display the Properties dialog box, right-click the appropriate ancillary file, and click Properties on the shortcut menu.

  2. In the Properties dialog box, make the appropriate changes.

  3. Click OK.

Related Topics and Procedures

Related Topic

Using the Properties Dialog Box

Related Procedures

Changing the Properties of a View

Changing the Properties of a Shortcut


Select Ancillary File Dialog Box

Use this dialog box to select an ancillary (for example, calendar or resource) file.

Name

The name of the file.

Description

A description of the file.

Owner

The file owner.

Last Update

The date the file was last updated.

Location

To display the Select Ancillary File dialog box, complete the following steps:

  1. Select the Integration tab.

  2. On the Import menu group, click Oracle Primavera » P6 Import or MS Project to launch the Import wizard.

  3. On the Import Wizard - Options page, click Share Calendar File or Share Resource File.

Related Topics and Procedures

Related Topics

Oracle Primavera P6 Integration


Views and Reports

Views and Reports Overview

Views are the means through which you can add, update, and display information about a project in Open Plan. Although you can create as many custom views as you wish, all Open Plan views fall into one of the following types:

  • Barchart: A composite view displaying a barchart, a spreadsheet, and a resource/cost histogram

  • Code: A logic diagram of the project codes

  • Network: A logic diagram of the project activities and relationships

  • Resource: A display of the resource breakdown structure

  • Spreadsheet: A display of project information in a tabular format. Spreadsheet views can be based on a single table like activities or on multi-tables like resource and activities.

  • Histogram (Resource Histogram and Risk Histogram): A display of resource/cost or risk analysis information in a graphical format

  • Time-Phased: Time-phased schedule progress charts that you can use to report by activity count or values. You can use these charts to view, for example, early/late activity completion curves with actuals as well as time-phased task completions vs baseline plan.

  • Tornado: A display of risk information as a numerical barchart

  • Browser: A browser view allows a Windows shortcut, Internet shortcut, or Open Plan Add-In to be stored as a view in the Views folder of the Open Plan Library.

All views to which you have access are listed in the Views folder of the Open Plan Library. Here the views store all the information about how Open Plan should display a particular view. You can customize an existing view and then share the new view with multiple projects.

In most cases, you can access your data through a number of different views. For example, you can display information about project activities in both a network view, and in a barchart view. On the other hand, some views display a certain type of information in a way that no other view can. For example, a histogram is particularly well-suited for displaying resource usage over time.

Since a view in the Library is not associated with a specific project, it cannot display data. As a result, before you can open or change its definition, you must first assign it to a project. When you assign a view to a project, you create a link from the project to the view in the Open Plan Library. If you modify the appearance of the view and save the view, your changes may affect other projects that use that view.

There are a number of actions that you can perform on a view. You can create, copy, combine, and delete views. While these actions certainly affect the way the project is displayed, they do not affect the project itself. For example, deleting a view does not delete the project itself.

In addition, you can customize any view to display information in a way that is meaningful to your organization. And, you can determine the information that is displayed in a view by using sorts, filters, and calculated fields. After customizing a view, you can save it with a new name so that it can be made available to other users.

You can also designate predefined or custom views as favorites. You can do this by clicking the Add to Favorites button or by using the Organize Favorites dialog box.

Printing Reports and Views

Any view in Open Plan can also be printed as a report. For more information see Printing Reports and Views.

Related Topics and Procedures

Related Topics

Open Plan Library

Barchart View

Network View

Resource Histogram View

Risk Analysis Histogram View

Spreadsheet View

Using the Select View

Using the Sorts Dialog Box

Using the Filters Dialog Box

Using the Print Dialog Box

Using the Organize Favorites Dialog Box

Related Procedures

Assigning a View to a Project

Deleting a View

Previewing a Report Before Printing

Printing a Report

Designating a View as a Favorite

Remove a View from a Project

Remove a View from the Database


Getting Started with Views and Reports

Use the links below to learn more about working with views and reports.

  • Assigning a View to a Project

  • Favorite Views

  • Deleting Views

  • Custom Symbols

  • Customizing the Date Scale

  • Explanatory Text Captions

  • Using the Select View

Related Topics and Procedures

Related Topics

Views and Reports Overview


Assigning a View to a Project

You can assign a view to a project by using one of the following techniques:

  • Drag the view from the Open Plan Library to the appropriate project folder.

  • Double-click a view in the Open Plan Library to display a list of the projects that are currently open. Then select one of the projects from the list for the assignment.

  • With a project open, click the Select icon on the Edit tab and choose Other Views. Chose from the list of views in the Library and you will be asked it you would like to link the selected view to the project.

Provided that the project to which you want to assign the view is open, Open Plan displays the Choose a Project dialog box when you double-click a view in the Open Plan Library. If there are no projects open when you double-click the view, Open Plan informs you that the view is not associated with a project and advises you to drag the view from the library to the project folder to create a link.

A project does not need to be open if you use drag and drop to assign a view.

If you double-click a code view to attach to a code file or a resource view to attach to a resource file, the dialog box displayed is titled Choose a Code File or Choose a Resource Pool respectively and the appropriate open files are displayed. The functionality of the dialog boxes remains the same.

This dialog box allows you to do two things:

  • You can open a view without creating a permanent link to the project. This allows you, for example, to sample the various views available in the Open Plan Library without filling the project’s Views folder with view links that you do not need.

  • You can create a permanent link to the project for a view. Selecting the Make a Permanent Link to Project setting instructs Open Plan to create a link to the view for the selected project. The linked is placed in the selected project’s Views folder when you click OK.

Open Plan remembers your selection for the next time you display this dialog box. In other words, if you select the Make a Permanent Link to Project setting, the next time you display the dialog box, this setting will automatically be selected.

If you make changes to a view, you can use the Save View command on the File menu to save your changes or use the Copy View to display the Save Current View As dialog box. You can use this dialog box to give the view a new name and description.

Open Plan also asks if you want to save your changes when you exit the view.

If you indicate that you want to save your changes, Open Plan displays a dialog box and allows you to perform the following actions:

  • To update the original view with your changes, save the view under its current name.

  • To create a new view and leave the original one unmodified, save the view with a new name. Open Plan automatically adds this new view to the Open Plan Library and creates a link to it in the project folder.


Favorite Views

After assigning a predefined or a custom view to a project, you can use the Add to Favorites button to designate the view as your favorite.

The feature allows you to easily access a favorite view. You can also use the Organize Favorites dialog box to manage your favorite views.

Related Topics and Procedures

Related Topics

Organize Favorites Dialog Box

Views and Reports

Related Procedure

Designating a View as a Favorite


Deleting Views

Delete Views

There are two ways to delete a view:

  • Select the view and press the Delete key.

  • Right-click the view and click Delete on the context menu.

You cannot delete a file that is open, referenced by another file, or to which you do not have the appropriate rights.

Depending on where the file is located in the hierarchical view, Open Plan interprets the deletion as follows:

  • My Folder: If you delete a view from within this folder, Open Plan only deletes the links you created to these files. No actual data is deleted from the data source.

  • Open Plan Library: If you delete a view file from within this folder, the file is deleted from the data source, and any links to the file are also deleted.

Related Topics and Procedures

Related Topic

Views and Reports


Custom Symbols

You can include custom symbols in many Open Plan Views. For example, you can use a custom symbol for the left and right end of a bar type in a barchart view, or you can include a custom logo in the title block of a printed report.

The Symbols dialog box allows you to manage the custom symbols that can be used in many Open Plan views.

The Add Symbol dialog box allows you to add custom symbols to Open plan for use in the views.

Related Topics and Procedures

Related Topics

Symbols dialog box

Add Symbol Dialog Box

Edit Symbol Dialog box

Related Procedures

Adding a Custom Symbol

Editing a Custom Symbol

Setting System Preferences


Customizing the Date Scale

Because reporting standards vary widely between organizations, Open Plan allows you to define the components of the date scale on the barchart and histogram views. This date scale controls both the display of bars and the aggregation of resources in the histogram portion of the view. (The histogram bars correspond to the smallest date unit defined for the date scale.)

You can define the settings for the date scale using any of the following methods:

  • Using autoscaling.

  • Defining the settings manually.

  • Creating a date scale based on one or more custom reporting calendars.

To select a method for defining the date scale, display the Options tab of the Date Scale Preferences dialog box. You can use this dialog box to control the text and background color for the date scale. You can also manually adjust the spacing of any date scale by dragging within the date scale area.

Defining a Date Scale Manually

To define the appearance of a date scale manually, click the Manual option on the Options tab of the Date Scale Preferences dialog box to display the Manual tab. Use the # of Axes setting to specify how many lines you want to appear in the date scale. If you are displaying relative dates in one or more lines in the date scale, you can define a starting (reference) date for these labels.

Defining a Date Scale Using Autoscaling

The autoscaling feature in the Date Scale Preferences dialog box Manual tab allows you to automatically define the range of dates Open Plan should display on a single screen based on any of the following intervals:

  • One week

  • Two weeks

  • One month

  • Three months

  • Entire project

You can also specify a custom interval to use with this feature.

After you have indicated which interval to use, Open Plan automatically generates a date scale based on the width of the barchart pane and appropriate to the interval you specified. You can then further modify the date scale using by Defining a Date Scale Manually.

Using Reporting Calendars

If you have set up one or more reporting calendars in order to display data using a non-linear time scale, you can base a date scale on this type of calendar. This allows you, for example, to create a “rolling wave” barchart report in which the units on the date scale can refer to different spans of time.

It is also possible to use multiple reporting calendars in a single date scale by assigning a different reporting calendar to each axis.

With multiple reporting calendars, however, you must designate one of the axes as the “controlling” axis that determines how Open Plan scales the other axes. Typically, the controlling axis displays the smallest intervals to be displayed in the date scale.

To use a reporting calendar to define the appearance of a date scale, you must have already defined the calendar using the Reporting Calendars command from the Tools tab.

After you have created a reporting calendar, click the Report Calendar option on the Options tab of the Date Scale Preferences dialog box. You can then display the Report Calendar tab.

Use this tab to indicate the number of axes you want to appear in the date scale. If you are displaying relative dates in one or more lines in the date scale, you can define a starting (reference) date for these labels. If you want to use multiple axes in the date scale, you must specify which axis will control the scaling of the other axes.

For each axis you can define the name of the reporting calendar. You can also define how the labels from the reporting calendar appear.

For more information, see Reporting Calendars.

Adjust the Date Scale with a Mouse

Open Plan allows you to expand or compress the spacing of any date scale by dragging within the date scale area of the view. With this feature, it is possible to make small adjustments to the date scale without having to redefine one or more of the elements making up the scale.

This feature also works on the Manual tab and Reporting Calendar tab of the Date Scale Preferences dialog box.

Related Topics and Procedures

Related Topics

Customizing a Barchart View

Date Scale Preferences Dialog Box

Related Procedures

Customizing a Date Scale

Adjust a Date Scale Manually (using the mouse)

Define a Date Scale using Autoscaling

Define a Date Scale with a Reporting Calendar

Change the Font on a Date Scale


Explanatory Text Captions

You can create explanatory text captions for spreadsheets, barcharts, and network views explaining why formatting was applied to a particular row or cell. The text is displayed when you hover your cursor over the row or cell.

You can enter the explanatory text captions in either the Bar Set Preferences or Conditional Formatting dialog box, under the Show This Explanation column.

Here is an example of explanatory text in the Conditional Formatting dialog box:

This is what it looks like in the spreadsheet.

Related Topics and Procedures

Related Procedure

Create Explanatory Text Captions


The Select View

There is a special command that allows you to switch from view to view without having to return to the Open Plan Explorer each time you want to change. This command contains all the View files associated with a selected project, resource, or code file. Since each project can have as many or as few View files as you want, the contents of the Select View command changes from project to project.

If the project is closed when you select a view from the list, the project is automatically opened in its Default mode. If another user already has it open, the project will open in the highest available mode.


Barchart View

Since they provide an easy-to-understand graphical representation of important project dates, barcharts are widely used by many organizations to communicate information about the project schedule. The interactive barchart views supplied with Open Plan are designed to facilitate the entry and display of scheduling information appropriate for many conventional types of projects. However, Open Plan also includes some powerful customizing features that allow you to prepare barcharts that meet any special requirements your organization might have.

For information about more extensive customization of a barchart view, including the appearance of bars and the display of time-phased cost data, se Customizing Barchart Views in the Deltek Open Plan Developer’s Guide.

A barchart view displays activities in rows that appear in two panes. The pane on the left is a spreadsheet that displays information in a tabular format. The pane on the right displays information as bars against a time scale. Information about each activity is displayed on a single row. However, you can have any number of bars on a single row. For example, an activity row might contain one bar that shows early dates, another bar that shows scheduled dates, and still another bar that shows baseline dates.

The barchart spreadsheet includes many of the same dialog boxes and features as the Spreadsheet View. See the Spreadsheet View topics in the online help for steps and information about using the spreadsheet area.

Open Plan includes two types of barcharts; each of which is identified with a special icon:

Single-table barcharts:Single-table barcharts display information from a single data table against a time scale.

Multi-table barcharts: Multi-table barcharts can display information from more than one data table against a time scale. They allow you to display both activity and resource bars and multiple baselines. For example, you can show information about either the resources or the earned value of an activity as a bar that displays in addition to an activity bar. Provided that you have assigned resources to the project, multi-table barcharts can display resource usage and earned value in a third pane at the bottom of the barchart view. In addition, you can display resource assignment bars on the same row with activity bars.

Open Plan includes two standard multi-table barchart views:

  • An activity/resource barchart, which groups resource assignments by activity

  • A resource/activity barchart, which groups activity bars by resource assignment.

Both types of views allow you to display time-phased cost data aggregated by the barchart date scale

Resource bars based on early and late dates take into account assignment information such as offsets and periods. Bars based on scheduled dates display a single segment for each record of usage.

You can control the display of resource and activity bars using the Bar Attributes tab of the Bar Set Preferences dialog box. To control the display of time-phased cost data, use the Crosstable tab of the Bar Set Preferences dialog box.

For information about customizing the appearance of resource bars and time-phased data in a multi-table barchart, see Customizing Barchart Views in the Deltek Open Plan Developer’s Guide.

You can define bars for any number of different criteria. Barcharts that use these bars can then be displayed on either edition of Open Plan.

Because bar styles can represent a wide variety of criteria, a barchart view can provide a great deal of information about your project at a glance.

A barchart is sometimes called a Gantt chart.

Location

To display a project in barchart view, complete the following step:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in barchart view.

Related Topics and Procedures

Related Topics

How a Barchart Displays Information

Customizing a Barchart View

Customizing the Date Scale

Working with Activities in a Barchart View

Bar Data Mode and Relationship Mode

The Spreadsheet Pane

Reporting Calendars in the Barchart View

Related Procedures

Creating an Activity in a Barchart View

Editing an Activity

Creating a Relationship in a Barchart View with a Mouse

Creating a Relationship in a Barchart View with the Keyboard


Getting Started with Barcharts

Use the links below to learn more about working with barcharts.

  • Customize a Barchart View

  • Customize the Date Scale in the Barchart View

  • How a Barchart Displays Information

  • Working with Activities

  • Bar Data Mode and Relationship Mode

  • The Spreadsheet Pane

  • Grouping

  • Outlining

  • Reporting Calendars in the Barchart View

Related Topics and Procedures

Related Topics

Barchart View Overview

Project Analysis Barchart View


Customizing a Barchart View

You can customize a barchart view by controlling the display of relationships, the Time Now marker, and non-work periods. You can access these controls from the Barchart Preferences dialog box.

You can also use the Bar Sets Preferences dialog box to specify a bar set to be applied to the barchart view and to change the appearance of any bar.

For information about customizing the appearance of resource bars and time-phased data in a multi-table barchart, see Customizing Barchart Views in the Deltek Open Plan Developer’s Guide.

Using the Fill Column Down Command

This command is available in both spreadsheet views and in the spreadsheet pane of a barchart view.

The Fill Column Down command allows you to fill a spreadsheet column (or a selected range of cells in a column) with a single operation. To use this command, enter the value you want to apply to other cells in a spreadsheet column. Select a range of cells that includes the target cell as the topmost cell. Select Fill Column Down and Open Plan responds by filling all the selected cells with the value contained in the top cell of the range.

If you want to fill an entire column with the information in its first cell, right-click the column heading, and click Fill Column Down on the context menu.

Control the Display of Resource and Activity Bars

You can control the display of resource and activity bars using the Bar Attributes tab of the Bar Set Preferences dialog box. To control the display of time-phased cost data, use the Crosstable tab of the Bar Set Preferences dialog box.

Related Topics and Procedures

Related Topics

Customizing the Date Scale

Using the Barchart Preferences Dialog Box

Bar Set Preferences Bar Attributes Tab

Bar Set Preferences Crosstable Tab

Related Procedures

Customize Barchart Display Options

Displaying Relationships on a Barchart View

Highlighting Controlling Relationships in a Barchart View

Defining Activity Bar Attributes

Creating a New Bar Type


Customizing the Date Scale in the Barchart View

Because reporting standards vary widely between organizations, Open Plan allows you to define the components of the date scale on the barchart and histogram views. This date scale controls both the display of bars and the aggregation of resources in the histogram portion of the view. (The histogram bars correspond to the smallest date unit defined for the date scale.)

For more information, see Customizing the Date Scale.


How a Barchart Displays Information

A barchart view displays information about a project in rows drawn across two panes. Each row in an activity or multi-table barchart conveys information about a single activity. In the case of a resource barchart, each row conveys information about a single resource assignment.

The pane on the left provides information in a spreadsheet with two buttons at the left edge of each row. The first button is used to select the row. One of three buttons may appear in the second position:

On an activity or multi-project barchart, this button indicates that the activity is an unexpanded subproject.

On a resource barchart, this button indicates that the resource is an unexpanded resource pool.

On an activity or multi-project barchart, this button indicates that the activity is an expanded subproject.

On a resource barchart, this button indicates that the resource is an expanded resource pool.

On an activity or multi-project barchart, this button indicates that the activity is not a subproject.

On a resource barchart, this button indicates that the resource is not a resource pool.

The pane on the right displays information about each activity as a series of bars drawn against a time scale. Several bars may be used to convey different types of information about the activity For example, one bar on an activity barchart may represent early dates, another may represent late dates, and still another may represent baseline dates. Open Plan organizes these bars into bar sets, any one of which may be applied to the barchart view.

Open Plan displays all the bars that represent a single activity in a single row. In addition, a bar may represent a single activity or a subproject.

Activity bars may be defined so that they roll up (or are displayed) at the subproject level when the subproject is collapsed.

Open Plan displays a milestone on the barchart view as a bar on which the start and finish dates are typically the same (although, they do not have to be the same), using the symbol defined for the right edge of the bar. A barchart legend provides additional information about the data displayed. Use the Print Preview command to display the barchart legend.

If you have assigned resources to the project, a third pane at the bottom of an activity or multi-table barchart may display information about resource usage in a histogram.

Activity Relationships

You can display the relationships between activities as lines that connect activity bars on different rows. The type of relationship is indicated by where the lines start and end. The left edge of an activity bar represents the start of an activity; the right edge represents the finish. These relationships can all be shown in a barchart view.

  • Finish-to-Start: This is the default relationship type. It specifies that the start of the successor activity depends on the completion of the predecessor activity. In most cases, this means that the successor activity cannot start until the predecessor activity is completed. In the finish-to-start relationship, the arrow starts at the right edge of the predecessor activity and ends at the left edge of the successor.

  • Start-to-Start: This relationship specifies that the start of the successor activity depends on the start of the predecessor activity. In most cases, this means that the successor activity cannot be started before the start of the predecessor activity. In the start-to-start relationship, the arrow starts at the left edge of the predecessor activity and ends at the left edge of the successor.

  • Finish-to-Finish: This relationship specifies that the finish of the successor activity depends on the completion of the predecessor activity. In most cases, this means that the successor activity cannot be completed before the completion of the predecessor activity. In the finish-to-finish relationship, the arrow starts at the right edge of the predecessor activity and ends at the right edge of the successor.

  • Start-to-Finish: This relationship specifies that the finish of the successor activity depends on the start of the predecessor activity. In most cases, this means that the successor activity cannot be completed before the start of the predecessor activity. In the start-to-finish relationship, the arrow starts at the left edge of the predecessor activity and ends at the right edge of the successor.

Related Topics and Procedures

Related Topics

Customizing a Barchart View

Working with Activities in a Barchart View

Related Procedures

Creating an Activity in a Barchart View

Editing an Activity

Creating a Relationship in a Barchart View with a Mouse

Creating a Relationship in a Barchart View with the Keyboard

Changing Splitter Panes


Working with Activities in a Barchart View

Open Plan allows you to perform many editing functions directly from a barchart view. For example, you can:

  • Create, edit, and delete relationships between activities

  • Set target start dates

  • Change durations

  • Enter progress information

You can also delete individual activities or groups of activities. And, you can perform move, cut, copy, and paste operations on either a single activity or groups of activities.

When applied to a group of activities, the copy and paste functions allow you to build the structure of a project very quickly.

Related Topics and Procedures

Related Topics

How a Barchart Displays Information

Using the Find and Replace Dialog Box

Using the Go To Date Dialog Box

Using the Sorts Dialog Box

Using the Filters Dialog Box

Related Procedures

Displaying Relationships in a Barchart

Creating a Relationship in a Barchart View with a Mouse

Creating a Relationship in a Barchart View with the Keyboard

Setting a Target Start Date

Changing the Duration of an Activity

Entering Activity Progress in a Barchart


Bar Data Mode and Relationship Mode

The barchart pane provides two modes for entering activity-related information:

  • The Bar Data mode for entering activity durations and target dates

  • The Relationships mode for entering activity relationships.

To use the Bar Data mode, click Bar Data button on the View tab in the Show group.

To use a barchart pane for entering relationship information, click the Relationships button on the View tab in the Show group.

Bar Data Mode

The Bar Data mode offers a convenient way to enter and schedule groups of activities.

It is possible to change the target start date of an activity by repositioning the bar along the time line or to change the activity duration by stretching or shrinking the bar. If you have automatic time analysis turned on, the length or position of the bar changes immediately. If you do not have automatic time analysis turned on, the bar does not reflect your changes until the next time you perform time analysis.

The granularity of the date scale can also affect the manipulation of bars. For example, if the smallest units displayed on the date scale are months, you may not be able to set the target start of an activity to a specific day.

For information about customizing the date scale in a barchart view, see Customizing the Date Scale in the Barchart View.

For bars to be eligible for manipulation in the bar chart view, the bar type must display early dates and must have the Drag option set to Yes. For information about changing the activity duration, see Change an Activity Duration in Bar Data Mode.

Relationship Mode

Barchart panes also allow you to display and enter relationships between activities. In the Relationships mode, you can use the mouse to draw relationships between activities by linking the start or finish of one bar to the start or finish of another bar. All four types of relationships can be created using this technique. For more information, see How a Barchart Displays Information.

Related Topics and Procedures

Related Procedures

Change an Activity Target Start Date in Bar Data Mode

Change an Activity Duration in Bar Data Mode

Enter a Relationship in Relationship Mode

Edit a Relationship in Relationship Mode

Create an Activity in Relationship Mode

Create a Relationship in a Barchart View with a Mouse

Create a Relationship in a Barchart View with the Keyboard


The Spreadsheet Pane

The spreadsheet pane of a barchart view uses a tabular format to display activity information in rows and columns. You can enter, display, and edit any activity-related information in the spreadsheet pane of a barchart view, including information stored in user-defined fields.

For fields with a limited number of valid entries (for example, an activity type), Open Plan displays a list of valid choices in the edit box.

Because data entry in the spreadsheet pane tends to be keyboard-oriented, Open Plan provides a number of keyboard shortcuts for navigating and updating information in this type of display. Three of the most common navigation shortcuts are as follows:

  • To move down one cell, press Enter.

  • To move right one cell, press Tab.

  • To move left one cell, press Shift+Tab.

Many of the features and steps in the barchart spreadsheet view are the same as those for the Spreadsheet view. For more general information, see Speadsheet View. For information about changing the arrangement and display of columns in the spreadsheet pane, see Customizing a Spreadsheet View.

Navigation or Edit Mode

Open Plan allows you to use the arrows keys for navigating between cells of a spreadsheet by setting the AllowKeyNavigation system preference or user preference to 1.

The user preference setting overrides the system preference setting. For example, if the system preference is set to 1 and the user preference is set to 0, Open Plan does not use the arrow keys for navigation. If the user preference is not set, however, Open Plan follows the system preference setting.

  • When set to 1, pressing the arrow keys moves the cursor left, right, up, or down between cells. When you want to edit a cell, you press F2.

  • To edit a cell, press F2 or click in the cell. Once in edit mode, the left or right arrow key moves the cursor from one character to another within the selected cell.

When you select multiple cells, pressing F2 clears the selection except for the first editable cell in that selection and puts that cell in edit mode.

  • To apply any changes to the selected cell, you can click another cell or press any of the following keys:

    • Up or down arrow

    • TAB (apply the change then navigate to the next cell on the same row)

    • SHIFT+TAB (apply the change then navigate to the previous cell on the same row)

  • When in edit mode, pressing ESC cancels any changes to the selected cell and enables the navigation mode again.

When AllowKeyNavigation is set to 0, Open Plan defaults to edit mode.

For information on available keyboard shortcuts, see the Spreadsheet Keyboard Shortcuts section.

Spreadsheet Keyboard Shortcuts

The effect of using keyboard shortcuts depends on the type of field (editable, non-editable, or enumerated) that has focus and on the AllowKeyNavigation setting (for the arrow keys).

Editable Fields

Other keyboard functions depend on the type of cell that has focus when you press a key. For example, if you have selected a data entry cell (that is, a cell in which you can enter text, numeric, or date information), the following keyboard shortcuts are available:

Key

Action

Down Arrow

  • Move focus down one cell.

  • Saves changes in the selected cell if you are editing.

Up arrow

  • Move focus up one cell.

  • Saves changes in the selected cell if you are editing.

Left arrow

  • Move left one character (If AllowKeyNavigation is set to 0 or if you are editing)

  • Move focus left one cell (if AllowKeyNavigation is set to 1)

Right arrow

  • Move right one character (If AllowKeyNavigation is set to 0 or if you are editing)

  • Move focus right one cell (if AllowKeyNavigation is set to 1)

Shift+Left arrow

  • Select previous character when editing a cell

  • Selects the current and previous cell when in navigation mode

Shift+Right arrow

  • Select next character when editing a cell

  • Selects the current and next cell when in navigation mode

Ctrl+Up arrow

Move to top row in view

Ctrl+Down arrow

Move to bottom row in view

Ctrl+Left arrow

Move to first cell in row

Ctrl+Right arrow

Move to last displayed cell in row

Ctrl+Home

Move to top left cell

Ctrl+End

Move to bottom right cell

Page Up

Move up one screen

Page Down

Move down one screen

Home

Move to first character in cell

End

Move to last character in cell

Non-Editable Fields

If you have selected a cell displaying data generated by Open Plan (for example, an early start date), the following keyboard shortcuts are available:

Key | Action
Down arrow | Move one cell down
Up arrow | Move up one cell
Left arrow | Move left one cell
Right arrow | Move right one cell
Ctrl+Up arrow | Move to top row in view
Ctrl+Down arrow | Move to bottom row in view
Ctrl+Left arrow | Move to first cell in row
Ctrl+Right arrow | Move to last displayed cell in row
Ctrl+Home | Move to top left cell
Ctrl+End | Move to bottom right cell
Page Up | Move up one screen
Page Down | Move down one screen
Home | Move to first cell in row
End | Move to last cell in row

Enumerated Field

If you have selected a cell with a fixed number of valid values (for example, activity type), the following keyboard shortcuts are available:

Key

Action

Down arrow

  • Choose next value (If AllowKeyNavigation is set to 0 or you are editing)

  • Move focus down one cell (If AllowKeyNavigation is set to 1)

Up or Left arrow

  • Choose previous value (If AllowKeyNavigation is set to 0 or you are editing)

  • Move focus up one cell (If AllowKeyNavigation is set to 1)

Home

Choose first value (If AllowKeyNavigation is set to 0 or you are editing)

End

Choose last value (If AllowKeyNavigation is set to 0 or you are editing)

Related Topics and Procedures

Related Procedures

Add an Activity in the Spreadsheet Pane

Display the Activity Details Dialog Box from the Spreadsheet Pane


Grouping in the Barchart View

You can define groups for the spreadsheet portion of a barchart view as well as for stand-alone spreadsheet views.

A group consists of a block of data that begins with a subheading. You can group related data for presentation in a single-table spreadsheet view based on the contents of an activity field.

You can display summaries for groups at either the top or the bottom of the group. The type of summarization Open Plan performs for a column depends on the data displayed in the column. For example, if the column displays a numeric value, then the summary represents the total of all the values for that group. On the other hand, a column displaying finish dates will summarize as the latest date in that group. Some columns (for example, activity IDs or descriptions) do not summarize at all.

You can control how calculated fields are summarized by Open Plan in groups. For more information on calculated fields, see Calculated Fields.

If you display groups for a view that has a sort order in effect, Open Plan sorts the activities within the defined groups.

You can also display a row showing grand totals for the entire project at the bottom of the view.

You can specify the font, text color, and background color for group headings and summary lines. In addition, you can indicate a field to display for each heading. This allows you, for example, to base your group on a particular activity code and then display the description field for that code in the group heading. You also have the option of forcing a page break each time a new group displays in the view.

You can define groups for the spreadsheet portion of a barchart view as well as for stand-alone spreadsheet views.

If you use groups for a view that has a sort order in effect, Open Plan sorts the rows within the defined groups.

To enable the Grouping tab, select Enable Grouping on the Spreadsheet Preferences dialog box Options tab.

Defining Groups

You can control the groups in a barchart view and define the settings for the groups using the Spreadsheet Preferences dialog box Grouping tab. Click Enable Grouping on the Options tab to enable the Grouping tab.

You define groups using the Break On column in the Grouping tab grid. Each row you enter in the Break On column creates an additional sublevel group.

Wherever you add a “break,” Open Plan adds a heading row in the barchart view to indicate a group. You can add a heading label for the row or leave it blank.

When you assign a hierarchy code file with Break Level = 0 in the Grouping tab grid, Open Plan automatically indents the hierarchy structure in the spreadsheet (up to 40 levels) and color codes the levels as follows:

  • Levels 1 through 5 = Blue

  • Levels 6 through 10 = Green

  • Levels 11 through 15 = Gold

  • Levels 16 through 20 = Purple

The colors repeat after level 20.

The advantage of doing it this way is that you don’t have to manually enter each level of the hierarchy into the Grouping tab grid. When you use Break Level = 0, Open Plan automatically aligns and colors each level in the view.

Although you cannot select colors when you use Break Level = 0, you can still manually select colors when you use any other Break Level.

Related Topics and Procedures

Related Procedures

Enable Grouping

Define Grouping


Outlining in the Barchart View

Outlining is a feature available in spreadsheet views, including the spreadsheet portion of the barchart view. With outlining, you can use the hierarchical information implicit in the activity ID to expand or collapse the display of detail information.

With the outlining feature, you can display higher-level elements using a different font and background color to distinguish them from detail rows. You can also indicate the default level for collapsing information.

If you use outlining for a view with a filter in effect, the display of child items is determined by the status of the parent. If you use outlining for a view that has a sort order in effect, Open Plan sorts the rows within the defined outlining structure.

To enable outlining for a spreadsheet view, use the Options tab of the Spreadsheet Preferences dialog box. This feature is not available in the Project Analysis Barchart view.

Defining Outlining

You can control the outlining feature for a spreadsheet view. To define outlining, you must first enable the feature by clicking Enable Outlining on the Options tab of the Spreadsheet Preferences dialog box. You can then define the settings for outlining by displaying the Outlining tab.

Related Topics and Procedures

Related Topic

Spreadsheet Overview

Related Procedures

Enabling Outlining

Defining Outlining


Reporting Calendars in the Barchart View

Reporting calendars allow you to view time-scaled data in a barchart or histogram view using a non-linear date scale. Using reporting calendars you can, for example, display a histogram that shows resource usage on a monthly basis for the next three months, on a quarterly basis for the four quarters following that, and on a yearly basis for the remaining years of the project.

If you have set up one or more reporting calendars in order to display data using a non-linear time scale, you can base a date scale on this type of calendar. This allows you, for example, to create a “rolling wave” barchart report in which the units on the date scale can refer to different spans of time.

It is also possible to use multiple reporting calendars in a single date scale by assigning a different reporting calendar to each axis.

With multiple reporting calendars, however, you must designate one of the axes as the “controlling” axis that determines how Open Plan scales the other axes. Typically, the controlling axis displays the smallest intervals to be displayed in the date scale.

To use a reporting calendar to define the appearance of a date scale, you must have already defined the calendar using the Reporting Calendars command from the Tools tab.

Once created, you can use the Date Scale Preferences dialog box Reporting Calendar tab to select a different reporting calendar to use on the date scale of each barchart or histogram. This feature allows you to create reports that provide different views of the same data. For example, you might want to create a barchart based on your fiscal year and another barchart based on the client's fiscal year.

For more information about reporting calendars, see Reporting Calendars.

Related Topics and Procedures

Related Topics

Date Scale Preferences Report Calendar Tab

Using the Reporting Calendars Dialog Box

Using the Add Reporting Calendar Dialog Box

Using the Copy Reporting Calendar Dialog Box

Using the Edit Reporting Calendar Dialog Box

Related Procedures

Customizing a Date Scale

Creating a New Reporting Calendar

Editing a Reporting Calendar

Copying a Reporting Calendar

Deleting a Reporting Calendar


Project Analysis Barchart View

The Project Analysis Barchart view is a hierarchical arrangement of projects with spreadsheet and barchart components.

For more information about working with barchart and spreadsheet views, see Getting Started with Barcharts and Spreadsheet Views Overview.

Date Scale

Right-click in the date area of the barchart (at the top of the barchart) and select Edit Date Scale to display the Date Scale Preferences dialog box where you can select date scale and color options.

Go To Date

Right-click in the barchart and select Go To Date to display the Go To Date dialog box. You can use the options on the dialog box to quickly move to the project start, project finish, or Time Now date in the barchart for the project that you currently have selected in the spreadsheet portion of the view. You can also specify a specific date to which you want to move.

If you select more than one project in the spreadsheet, Open Plan disabled the options on this dialog box.

Barchart Options

You can include Time Now on the barchart as a solid line for each project. You can also add a line to indicate the System Date. Use the Project Barchart Preferences dialog box to specify the Time Now and System Date display preferences (right-click on the barchart and click Preferences).

Project Bar Sets

A bar set is a group of project bars that you can assign to a barchart view. For example, you might have a particular stype of bar to show a project baseline and another bar to show the forecast dates.

Right-click on the barchart and select Bar Sets or click Bar Sets on the View tab to display the Bar Sets dialog box. The drop-down list includes a Project Bar Sets bar set type. You can edit it, copy it, or create a new bar set.

Spreadsheet Options

Right-click on the spreadsheet and select Preferences to display the Spreadsheet Preferences dialog box where you can select grouping and color options. The Outlining and Define Link tabs are not available in this view.

Printing

Use Print and Print Preview in the File menu or from the Quick Access toolbar to view and print your project data. The Print Options dialog box allows you to set the margins and orientation, and include project notes, among other things.

Related Topics and Procedures

Related Topics

Barchart Overview

Project Analysis Barchart View Overview


Project Barchart Preferences Dialog Box

Use this dialog box to specify the Time Now and System Date display preferences in the barchart portion of the Project Analysis Barchart view.

Time Now

Show Time Now

Select this option to display Time Now on the barchart as a solid line for each project. Use the color palette to specify the line color.

Line Thickness

Enter a number to specify the thickness of the Time Now line measured in pixels. Because pixel size is dependent on monitor resolution, the apparent width of the Time Now line that is displayed on your monitor depends on your resolution settings.

Label

Use this field to specify the text that Open Plan displays next to the Time Now line. In addition to regular text, you can also enter a calculated field, for example, 'Time Now: ' + STATDATE displays a Time Now label plus the time now date. If you don't want any label to display, enter a pair of double quotes.

System Date

Show System Date

When you select this option, Open Plan adds a line on the barchart to indicate the System Date. Use the color palette to specify the line color.

Line Thickness

Enter a number to specify the thickness of the System Date line measured in pixels. Because pixel size is dependent on monitor resolution, the apparent width of the line that is displayed on your monitor depends on your resolution settings.

Label

Use this field to specify the text that Open Plan displays next to the System Date line. In addition to regular text, you can also enter a calculated field, for example, 'System Date: ' + STATDATE displays a System Date label plus the system date. If you don't want any label to display, enter a pair of double quotes.

Buttons

OK

Click to save the selections and close the dialog box.

Cancel

Click to close the dialog box without saving the entries.

Help

Click to access the related help topic.

Location

To display the Project Barchart Preferences dialog box:

  1. In the Project Views folder of Open Plan Explorer, open a project.

  2. Select the Project Analysis view.

  3. Right-click on the barchart and select Preferences.

Related Topics and Procedures

Related Topics

Project Analysis View Overview


Barchart Preferences Dialog Box

This dialog box sets options relating to relationship information.

Do Not Show Relationships

Do not display any relationships

Show Relationships

If a bar represents a summary of activities, Open Plan displays only those relationships external to the bar.

Show Whole Relationships Only

Show relationships only if both the successor and predecessor are currently displayed in the view.

Options

If you select either Show Relationships or Show Whole Relationships Only, Open Plan offers the following additional options:

  • Show Controlling Relationships Only: Whether the barchart should display only controlling relationships.

  • Highlight Controlling Relationships: Whether a barchart view should highlight controlling relationships (that is, relationships with zero free float). If enabled, controlling relationships are displayed based on the color of the first instance of the key bar.

For more information about controlling relationships, see Time Analysis Calculations in the Deltek Open Plan Developer's Guide.

In addition, you can specify the style of the relationship lines:

  • Direct: Open Plan draws the relationship lines as straight lines between the predecessor and successor activities.

  • Routed: Open Plan draws the relationship lines in a series of horizontal and vertical segments.

To print the relationship lines on a barchart, you must select either Show Relationships or Show Whole Relationships Only. While you can still display relationship lines with the Do Not Show Relationships option selected (by clicking the Relationships button on the View tab), doing so will not print the relationship lines.

Time Now

If you select Show Time Now, Open Plan allows you to enter information about the following two options:

  • Color: The color with which to display the Time Now line and any label text.

  • Line Thickness: The thickness of the Time Now line measured in pixels. Because pixel size is dependent on monitor resolution, the apparent width of the Time Now line that is displayed on your monitor depends on your resolution settings.

  • Label: The text to be printed next to the Time Now line. You can include both literal text and any project-level field. For example, assuming that your Time Now date is April 19, 2002, you can enter the following:

  • "Time Now- " + str(Statdate)

    to have the Time Now label read Time Now 19 April 2002.

    Literal text must always be entered within quotation marks (""). Statdate is the field name for Time Now.

  • The date is displayed using the Default Date Format setting on the Preferences tab of the Project Properties dialog box. Also, literal text must always be entered within quotation marks (""). Statdate is the field name for Time Now.

Non-Work Periods

If you select Shade Non-work, Open Plan enables the following two controls:

  • Color: The color with which to shade non-work periods.

  • Using Calendar: This field allows you to specify the calendar that Open Plan should use when determining whether a particular time period should be shaded. If you do not select a calendar in this field, Open Plan uses the project default activity calendar.

    • You may need to change your date scale to show the appropriate work periods. For example, in order for a non-work week to be identified, the smallest level on the date scale must be no greater than weeks. Similarly, in order for non-work days, such as weekends, to be identified, the smallest level on the date scale must be no greater than days.

Clicking the down arrow at the right edge of the Color fields displays a Color dialog box that you can use to select a color. The Color dialog box offers a choice of 70 standard colors. You can define custom colors using an enhanced version of the Color dialog box accessed from the Color tab of the Options dialog box.

Location

To display the Barchart Preferences dialog box, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in barchart view.

  2. From the barchart view, take one of the following actions:

  • Click Preferences on the View tab.

  • Right-click an empty area and click Preferences on the context menu.

Related Topics and Procedures

Related Topics

Bar Set Preferences Bar Attributes Tab

Bar Set Preferences Crosstable Tab

Customizing a Spreadsheet View

Customizing a Resource Histogram View

Related Procedures

Displaying Relationships on a Barchart View

Highlighting Controlling Relationships in a Barchart View

Defining Activity Bar Attributes

Creating a New Bar Type


Bar Set Preferences Dialog Box

The Bar Set Preferences dialog box allows you to customize the bars that are displayed on a barchart view.

This dialog box has two tabs:

  • The Bar Attributes tab controls the appearance of activity bars based on criteria that you define. This tab also allows you to specify whether or not the bar should be displayed.

  • The Crosstable tab is available only on multi-table barcharts. This tab controls both the type of time-phased data to be displayed on the view and the attributes of the bars used for the display.

Three buttons are located across the bottom of the dialog box. The OK button accepts your input and closes the dialog box. The Cancel button cancels your input and closes the dialog box. The Help button provides access to help about the specific tab that is displayed.

Location

To display the Bar Set Preferences dialog box, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in barchart view.

  2. From the barchart view, take one of the following actions:

  • In the Barchart menu group of the View tab, click Bar Sets.

  • Right-click an empty area and click Bar Sets on the context menu.

  3. In the Bar Sets dialog box, take one of the following actions:

  • Click New.

  • Select a bar set from the list and click Edit.

Related Topics and Procedures

Related Topics

Bar Set Preferences Bar Attributes Tab

Bar Set Preferences Crosstable Tab

Related Procedures

Defining Activity Bar Attributes

Creating a New Bar Type

Creating Explanatory Text Captions


Bar Set Preferences Bar Attributes Tab

This tab controls the appearance of activity bars based on criteria that you define, allowing you to use attributes such as pattern and color to represent data.

In the case of multi-table barcharts, you can also use the Bar Set Preferences Bar Attributes tab to define resource assignment bars and baseline bars.

The Bar Attributes tab defines the attributes of an activity bar using the following settings:

Applies to

In most cases, the Bar Attributes tab is used to define activity bars. However, it can also be used to define baseline bars and in the case of multi-table barcharts, resource assignment and baseline bars as well.

Bar Set

This field controls the bar set to which the bars belong:

  • If you have displayed the Bar Attributes tab by clicking New in the Bar Sets dialog box, this field is blank, allowing you to enter a name for the bar set.

  • If you have displayed the Bar Attributes tab by selecting a bar set in the Bar Sets dialog box and clicking Copy, this field displays the name of the currently selected bar set as Copy_<bar set name>, where <bar set name> is the name of the bar set you are copying. You can, however, type over this information to provide a new name for the bar set that you are creating.

  • If you have displayed the Bar Attributes tab by selecting a bar set in the Bar Sets dialog box and clicking Copy, this field displays the name of the currently selected bar set. Under this circumstance, you cannot modify the name that is displayed.

Criterion

The criterion of a bar refers to a predefined expression that determines whether the attributes you are defining are displayed. You can set the criterion to any filter. This allows you to use the bar attributes to display very different types of information. The bar type, pattern, outline, fill, and bar end symbols can each be set to display a different type of information. You select the criterion from a list containing:

  • Filter expressions supplied with Open Plan

  • Custom filters

If the criterion field is left blank, Open Plan always displays the bar. You can select the filter from the list, or you can click the ellipsis button to display the Filters dialog box. You can use the Filters dialog box to modify an existing filter or create a new one.

Bar Type

You can select a bar type from a list of those provided by Open Plan as well as from those defined using the Bar Types dialog box. To edit a currently defined bar type or to create a new bar type, click the Bar Types button. Open Plan displays any new bar that you create on the Bar Type list. You must, then, select the new bar in this column in order to have Open Plan display it in the barchart view.

Pattern

You can select a fill pattern for the bar from the list. However, Open Plan displays the pattern you choose only when the bar height is sufficiently large.

Outline

You can select a color to be used for the bar border from a standard palette of 70 colors. Open Plan also uses the color you select for the lines that form your selected fill pattern.

Fill

For each bar, you can select a fill color from a standard palette of 70 colors.

Visibility

You can specify the conditions under which the bar appears in the bar display area of the view. This setting can have one of six values:

  • All levels of rollup and detail: The bar is visible for all activities, both detail and summarized.

  • Detail and immediate rollup level: The bar is visible for both detail activities and for activities summarized to the level immediately above the detail level.

  • Detail level only: The bar is visible only for activities at the lowest level in the project hierarchy.

  • Immediate rollup level only: The bar is visible only for activities summarized to the level immediately above the detail level.

  • Not visible: The bar is not displayed.

  • Group summary only: Visible only for the summary lines of a group. If outlining is turned on, this setting has no effect.

Label

You can enter a label to describe the criteria that must be met in order for the bar to display. For example, you might label a particular set of bar attributes as "Critical in-progress." These labels are used in the legend.

Show This Explanation

You can enter the explanatory text captions in either the Bar Set Preferences dialog box or Conditional Formatting dialog box.

Dialog Boxes

In addition, the Bar Attributes tab provides access to the following dialog boxes where you can further define the bars:

  • Bar Types: Click this button to display the Bar Types dialog box, which allows the owner of a bar set to maintain a list of bar types that can be displayed in barchart views.

  • Text Layout: This allows you to specify the text that can be displayed in 15 positions in and around a bar.

  • Access Control: Click this button to display the Access Control dialog box, which allows the owner of a bar set to define the groups and users that have access to the bar set.

  • References: Click this button to display the References dialog box, which has a list of items that use the bar set. This list of items includes the file type, name of the project or file, description, and owner.

To display a bar definition in the Preview window, select it anywhere in the grid. If you wish to preview multiple bar definitions, Shift+click or Ctrl+click the selection buttons to the left of the bar definitions.

The Print button allows you to print out the grid so that you may keep a hard copy of the activity bar attributes you defined.

The Change Order buttons allow you to change the position that a bar has in the grid.

Select multiple bars to determine whether the bars you are defining are different enough to convey the required information.

Location

To display the Bar Set Preferences Bar Attributes tab, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in barchart view.

  2. From the barchart view, take one of the following actions:

  • In the Barchart menu group of the View tab, click Bar Sets.

  • Right-click an empty area and click Bar Sets on the context menu.

  3. In the Bar Sets dialog box, take one of the following actions:

  • Click New.

  • Select a bar set from the list and click Edit.

The Bar Set Preferences dialog box displays the Bar Attributes tab by default.

Related Topics and Procedures

Related Topics

Barchart Preferences Dialog Box

Bar Set Preferences Crosstable Tab

Customizing a Barchart View

Using the Bar Types Dialog Box

Using the Text Layout Dialog Box

Related Procedures

Defining Activity Bar Attributes

Creating a New Bar Type

Changing the Row Height on a Barchart

Creating Explanatory Text Captions


Bar Set Preferences Crosstable Tab

This tab controls the following aspects of how Open Plan should display time-phased crosstable data on the barchart and histogram panes of a barchart view:

  • You can specify whether Open Plan should display resource data, earned value data, or none

  • You can specify the appearance of the crosstable bars based on criteria that you define. In this way, you can use attributes such as pattern and color to represent data.

The Bar Set Preferences Crosstable tab defines the following attributes of a crosstable bar:

Criterion

The criterion of a bar refers to a predefined expression that determines whether the attributes you are defining are displayed. You can set the criterion to any filter. This allows you to use the bar attributes to display very different types of information. The bar type, pattern, outline, fill, and bar end symbols can each be set to display a different type of information. You select the criterion from a list containing:

  • Filter expressions supplied with Open Plan

  • Custom filters

If the criterion field is left blank, Open Plan always displays the bar. You can select the filter from the list, or you can click the ellipsis button to display the Filters dialog box. You can use the Filters dialog box to modify an existing filter or create a new one.

Crosstable Type

You can choose a bar type from a list of those provided by Open Plan as well as from those defined using the Crosstable Types dialog box. To edit a currently defined bar type or to create a new bar type, click the Crosstables button. Open Plan displays any new bar that you create on the Crosstable Type list. You must, then, select the new bar in this column in order to have Open Plan display it in the multi-table barchart view.

Outline

You can select a color to be used for the text displayed on the bar from a standard palette of 70 standard colors.

Fill

For each bar, you can select a fill color from a standard palette of 70 colors.

Visibility

You can specify the conditions under which the bar appears in the bar display area of the view. This setting can have one of five values:

  • All levels of rollup and detail: The bar is visible for all activities, both detail and summarized.

  • Detail and immediate rollup level: The bar is visible for both detail activities and for activities summarized to the level immediately above the detail level.

  • Detail level only: The bar is visible only for activities at the lowest level in the project hierarchy.

  • Immediate rollup level only: The bar is visible only for activities summarized to the level immediately above the detail level.

  • Not visible: The bar is not displayed.

Label

You can enter a label that is displayed in the legend to describe the criteria you are defining. For example, you might label a particular set of bar attributes as "Average Resource Cost."

Show This Explanation

You can enter the explanatory text captions in either the Bar Set Preferences dialog box or Conditional Formatting dialog box.

Dialog Boxes

In addition, the Crosstable tab provides access to the following dialog boxes where you can further define the appearance of the bars:

  • Crosstable Types: This dialog box allows you to maintain a list of bar types that can be displayed in multi-table barchart views.

  • Resource/Cost Details: This dialog box allows you to specify whether Open Plan should display average values, total values, or values that are calculated for a period. In addition, you can select to have Open Plan calculate values for quantity, cost, or escalated cost. You can also specify the scale factor that Open Plan should use when displaying the data.

  • Earned Value Details: This dialog box allows you to specify whether Open Plan should display total values or values that are calculated for a period. In addition, you can choose to have Open Plan calculate values for quantity, cost, or escalated cost based on early dates, late dates, or scheduled dates. You can also specify the scale factor that Open Plan should use when displaying the data.

To display a bar definition in the Preview window, select it anywhere in the grid. If you wish to preview multiple bar definitions, Shift+click or Ctrl+click the selection buttons to the left of the bar definitions.

The Print button allows you to print out the grid so that you may keep a hard copy of the crosstable bar attributes you defined.

The Change Order buttons allow you to change the position that a bar has in the grid.

Selecting the Roll Up Similar Assignments checkbox instructs Open Plan to roll up similar assignments.

Select multiple bars to determine whether the bars you are defining are different enough to convey the required information.

Location

To display the Bar Set Preferences Crosstable tab, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in barchart view.

  2. In the Barchart menu group of the View tab, click Bar Sets.

  3. From the list in the Bar Sets dialog box, select Multi-table Bar Sets.

  4. Click one of the following buttons:

  • New

  • Copy

  • Edit

  5. In the Bar Set Preferences dialog box, click the Crosstable tab.

Related Topics and Procedures

Related Topics

Customizing a Barchart View

Barchart Preferences Dialog Box

Bar Set Preferences Bar Attributes Tab

Related Procedures

Defining Crosstable Bars

Displaying Resource Assignments on a Barchart

Creating Explanatory Text Captions


Bar Sets Dialog Box

A bar set is a group of activity or resource assignment bars that you can assign to a barchart view. For example, you might have a particular style of bar to show a critical activity and another bar to show an activity that is not critical.

The Bar Sets dialog box allows you to perform the following functions:

  • If a barchart view is open, you can assign a bar set to the view by selecting it from the list and clicking either Select or OK. If more than one barchart view is open, Open Plan applies the bar set to the view that is active. Normally, this is the view that appears on top of the other views.

  • You can create, copy, edit, or delete a bar set.

The following buttons are located across the bottom of the dialog box:

New

Clicking this button displays the Bar Attributes tab of the Bar Set Preferences dialog box. You can use this tab to define a new bar set.

Copy

When you click this button, the Bar Attributes tab of the Bar Set Preferences dialog box that is currently displayed displays the information for the selected bar set. To copy this bar set, you need only to enter a new name in the Bar Set field of this tab. In addition to providing a new name to the bar set you are copying, you can also make modifications to the bars in the set.

Edit

When you click this button, the Bar Attributes tab of the Bar Set Preferences dialog box that is displayed contains the information for the selected bar set. The name of the bar set is the only information on this tab that you cannot change.

Delete

Clicking this button deletes the selected bar set. Before actually performing the action, however, Open Plan asks that you confirm the deletion.

Location

To display the Bar Sets dialog box. complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in barchart view.

  2. From the barchart view, take one of the following actions:

  • In the Barchart menu group of the View tab, click Bar Sets.

  • Right-click an empty area and click Bar Sets on the context menu.

Related Topics and Procedures

Related Topics

Bar Set Preferences Dialog Box

Bar Set Preferences Bar Attributes Tab

Bar Set Preferences Crosstable Tab

Related Procedures

Displaying Relationships on a Barchart View

Highlighting Controlling Relationships in a Barchart View

Defining Activity Bar Attributes

Creating a New Bar Type


Bar Types Dialog Box

The Bar Types dialog box defines a list of activity bar styles. After you have defined an activity bar type in this dialog box, you must then select the activity bar and define its attributes in the Bar Attributes tab of the Bar Set Preferences dialog box.

On multi-table barcharts, you can use the Bar Types dialog box to create bars for resource assignments and baseline bars.

Bar Type

The name of the bar type typically reflects the dates represented by the bar. For example, a standard set of bar types might include early, scheduled, baseline, and late bars. A special-purpose bar type is Text_Place, which allows you to position text at either the early or actual start date of the activity through the use of a custom calculated field (Text_Start).

Open Plan displays this information as the Bar Type on the Bar Attributes tab.

Start/Finish

You can select any date field to control the starting/ending position of the bar. While Start/Finish is usually represented by a date field, you can also use it to represent a calculated field that evaluates to a date value. The default entry for Start is Early Start and for Finish is Early Finish.

Left/Right

You can select any symbol to be used on the left/right edge of the bar from a list of predefined and custom symbols. These symbols are standard Windows metafiles that can be generated in many Windows graphics packages and imported using the Symbols dialog box.

You can add custom symbols to the list of available symbols by creating the symbol in the Windows metafile (.wmf) or enhanced metafile format. Add it to the list of symbols using the Manage Symbols dialog box accessed from the General tab of the Options dialog box.

Open Plan uses the right edge symbol for milestone activities.

Bar

Bars can be represented by three different forms:

The open bar is the default bar form. This option is most commonly used to display the entire duration regardless of the work status of any period.

The segmented bar shows non-work days as gaps between the work periods.

The necked bar shows non-work periods as necks between work segments.

You can also select <NONE> as a bar form. This option is most commonly used to define a bar that will be used for milestone activities.

In order for the segmented bar and the necked bar to display non-work periods, the date scale must be set to an appropriate level of granularity. For example, in order for a non-work week to be identified, the smallest level on the date scale must be no greater than weeks. Similarly, in order for a non-work day to be identified, the smallest level on the date scale must be no greater than days.

Drag

If enabled, this option allows you to quickly change the target start, duration, or percent complete information by using the mouse to modify bars in a barchart view while in bar data mode. When you set this field to Yes for one bar type, Open Plan automatically sets the field to No for each of the other bar types. The default for this column is No.

User-controlled bars support the following operations from within the view:

  • When the cursor changes to a double-headed arrow, you can set an activity target start date by moving the entire bar.

  • When the cursor changes to single-headed arrow, you can change the activity duration by shrinking or stretching the bar.

  • When the cursor changes to a percent arrow, you can enter progress information for the activity.

Height

This option specifies the height of the bar. The value that you enter is measured in hundredths of an inch for printed reports. The default value for this column is the height of the bar above it on the list. The row height you set for the barchart portion of the view also controls the row height in the spreadsheet portion of the view.

Offset

This option specifies the position of the bar as measured from the top of a row. The value that you enter is measured in hundredths of an inch for printed reports. The default value for this column is the offset of the bar above it on the list.

Key

An activity on the barchart may be represented by any number of activity bars. However, Open Plan draws relationship lines from only a single bar. This column controls the bar type from which relationship lines should be drawn. When you set this field to Yes for one bar type, Open Plan automatically sets the field to No for each of the other bar types.

Preview

Select a bar type to view it in the preview window.

Print

The Print button allows you to print out the grid so that you may keep a hard copy of the bar type definitions you created.

In addition, a Row Height text box specifies the height of an activity row.

Location

To display the Bar Types dialog box, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in barchart view.

  2. From the barchart view, take one of the following actions:

  • In the Barchart menu group of the View tab, click Bar Sets.

  • Right-click an empty area and click Bar Sets on the context menu.

  3. In the Bar Sets dialog box, take one of the following actions:

  • Click New.

  • Select a bar set from the list and click Edit.

The Bar Set Preferences dialog box displays the Bar Attributes tab by default.

  4. Click Bar Types.

Related Topics and Procedures

Related Topics

Barchart Preferences Dialog Box

Customizing a Barchart View

Text Layout Dialog Box

Bar Set Preferences Bar Attributes Tab

Related Procedures

Creating a New Bar Type

Changing the Row Height on a Barchart

Changing a Milestone Symbol

Adding Custom Symbols


Crosstable Types Dialog Box

This dialog box defines a list of crosstable type styles for multi-table barchart views.

Buttons to the left of the crosstable type definitions allow you to select a crosstable type to be displayed in the preview window. You can also select multiple crosstable type definitions to see all the corresponding bar types in the preview window.

In addition, a Row Height text box specifies the height of the barchart row.

After you have defined a bar type in this dialog box, you must then select the bar and define its attributes in the Crosstables tab of the Bar Set Preferences dialog box.

Crosstable Type

You can enter any text to describe what the crosstable bar represents. Open Plan displays this information as the Crosstable Type on the Crosstable tab.

Dates

This field controls the type of data that Open Plan should display. The choices from which you can select depend on the type of bar being defined:

  • Resource

    For resource bars, you can select from the following types of dates:

    • Early dates: Displays assignments of the resource based on the early dates calculated by time analysis.

    • Late dates: Displays assignments of the resource based on the late dates calculated by time analysis.

    • Schedule dates: Displays assignments of the resource based on the scheduled dates calculated by resource scheduling.

    • Baseline 1, 2, and/or 3 dates: Displays assignments of the resource using the dates (early, late, or scheduled) selected at the time you created the baseline(s) currently attached to the project.

    • Actual dates: Displays actual resource usage based on resource progress information.

    • Availability: Displays the availability of the resource.

    Earned Value

    For earned value bars, you can select from the following types of values:

    • Forecast: Displays the forecast cost calculated by adding any actual costs prior to Time Now to any planned costs subsequent to Time Now.

    • BCWS: Displays the budgeted cost of work scheduled derived from the planned resource budget stored in the current baseline for the project. This budget may be based on early, late, or scheduled dates, depending on the dates used to create the baseline.

    • ACWP: Displays the actual cost of work performed based on the actual costs recorded for the resource.

    • BCWP: Displays the budgeted cost of work performed calculated by applying the value for the physical completion of the activity to the corresponding portion of the planned resource budget.

    • Font

    This field controls the font that is used for text on the bar. An ellipsis button at the right edge of the text box provides access to the Font dialog box that you can use to select both a font and its attributes.

    Offset

    This option specifies the position of the bar as measured from the top of a row. The value that you enter is measured in hundredths of an inch for printed reports. The default value for this column is the offset of the bar above it on the list.

    Zeros

    This field uses the following settings to control how Open Plan should treat zero values:

    • Ignore: If you select this option, Open Plan ignores all zero values.

    • Restricted: If you select this option, Open Plan displays zero values for only the time period represented by the bar.

    • Always: If you select this option, Open Plan displays zero values for all time periods in which they occur.

    Decimals

    This field controls the number of decimal places that Open Plan should display on the bar.

    Location

    To display the Crosstable Types dialog box, complete the following steps:

    1. In the Project Views folder of Open Plan Explorer, select a project to display in barchart view.

    2. In the Barchart menu group of the View tab, click Bar Sets.

    3. From the drop-down list in the Bar Sets dialog box, select Multitable Bar Sets.

    4. From the bar set list, select BARMULT_BRS.

    5. Click one of the following buttons:

    • New

    • Copy

    • Edit

    6. In the Bar Set Preferences dialog box, click the Crosstable tab.

    7. On the Crosstable tab, click Crosstable.

    Related Topics and Procedures

    Related Topics

    Bar Set Preferences Crosstable Tab

    Using the Resource Cost Details Dialog Box

    Using the Earned Value Details Dialog Box

    Related Procedures

    Defining Crosstable Bars

    Displaying Resource Assignments on a Barchart


Earned Value Details Dialog Box

This dialog box defines the details about the earned values that Open Plan should display on the barchart. In addition, you can specify whether Open Plan should display values based on early dates, late dates, or schedule dates.

You can also use the Scale Factor text box to specify the amount by which Open Plan should scale the results.

Values For

Total

When this option is selected each bar represents the cumulative value. Depending on the Calculate option selected, the value may represent a quantity, unescalated cost, or escalated cost.

Period

When this option is selected, each bar represents the incremental value for the smallest unit displayed on the date scale. Depending on the Calculate option selected, the value may represent a quantity, unescalated cost, or escalated cost.

Calculate

Quantity

When this option is selected, Open Plan displays value information in terms of resource units. Depending on the Values For option selected, the values may represent an average, a cumulative total, or an incremental value for the period defined by the date unit.

Cost

When this option is selected, Open Plan displays value information in terms of base unit costs. Depending on the Values For option selected, the values may represent an average, a cumulative total, or an incremental value for the period defined by the date unit.

Escalated Cost

When this option is selected, Open Plan displays value information in terms of escalated costs. Depending on the Values For option selected, the values may represent an average, a cumulative total, or an incremental value for the period defined by the date unit.

Location

To display the Earned Value Details dialog box, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in barchart view.

  2. From the barchart view, take one of the following actions:

  • In the Barchart menu group of the View tab, click Bar Sets.

  • Right-click an empty area and click Bar Sets on the context menu.

  3. In the Bar Sets dialog box, take one of the following actions:

  • Click New.

  • Select a bar set from the list and click Edit.

The Bar Set Preferences dialog box displays the Bar Attributes tab by default.

  4. Click the Crosstable tab. This tab is available only on multi-table barcharts. This tab controls both the type of time-phased data to be displayed on the view and the attributes of the bars used for the display.

  5. Select the option to show Earned Value.

  6. Click Details.

Related Topics and Procedures

Related Topics

Bar Set Preferences Crosstable Tab

Crosstable Types Dialog Box

Resource Cost Details Dialog Box

Related Procedure

Defining Crosstable Bars


Resource/Cost Details Dialog Box

This dialog box defines the details about the resource/cost that Open Plan should display on the barchart. You can specify the following settings for either Resources or Skills:

Calculate

  • Quantity: When this option is selected, each bar displays the quantity of resource units assigned or used. Depending on the Values For option selected, the values may represent an average, a cumulative total, or an incremental value for the period defined by the date unit.

  • Cost: When this option is selected, calculations for the resource bars are based on unescalated costs. Depending on the Values For option selected, the values may represent an average, a cumulative total, or an incremental value for the period defined by the date unit.

  • Escalated Cost: When this option is selected, calculations for the resource bars are based on escalated costs. Depending on the Values For option selected, the values may represent an average, a cumulative total, or an incremental value for the period defined by the date unit.

Values For

  • Average: When this option is selected, each bar represents the average value for the default duration unit used by the project. Open Plan calculates this average over the smallest time unit displayed on the date scale and uses the resource calendar of the first available record to determine valid working periods. If no resource calendar is available, then the default project calendar is used. (If you have not assigned a calendar to the project, Open Plan assumes a 5-day, 40-hour work week.) Depending on the Calculate option selected, the displayed value may represent a quantity, unescalated cost, or escalated cost.

  • Total: When this option is selected each bar represents a cumulative resource value. Depending on the Calculate option selected, the displayed value may represent a quantity, unescalated cost, or escalated cost.

  • Period: When this option is selected, each bar represents the value for the smallest time unit displayed on the date scale. Depending on the Calculate option selected, the displayed value may represent a quantity, unescalated cost, or escalated cost.

Scale Factor

Use this text box allows you to specify the amount by which Open Plan should scale the results.

Location

To display the Resource/Cost Details dialog box, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in barchart view.

  2. From the barchart view, take one of the following actions:

  • In the Barchart menu group of the View tab, click Bar Sets.

  • Right-click an empty area and click Bar Sets on the context menu.

  3. In the Bar Sets dialog box, take one of the following actions:

  • Click New.

  • Select a bar set from the list and click Edit.

The Bar Set Preferences dialog box displays the Bar Attributes tab by default.

  4. Click the Crosstable tab. This tab is available only on multi-table barcharts. This tab controls both the type of time-phased data to be displayed on the view and the attributes of the bars used for the display.

  5. Select the option to show Resource.

  6. Click Details.

Related Topics and Procedures

Related Topics

Bar Set Preferences Crosstable Tab

Crosstable Types Dialog Box

Earned Value Details Dialog Box

Related Procedure

Defining Crosstable Bars


Text Layout Dialog Box

A Bar Type list displays a list of bar types that have been set up. For each bar type, Open Plan uses the following settings to define the text to be displayed in and around the activity bar:

Field

This column controls the text that Open Plan displays with a bar. You can select a field to be displayed from a list.

Position

This column controls where Open Plan displays the text associated with a bar. The following diagram illustrates where these positions are located. (The numbers in the diagram are for identification purposes only. They do not appear in the Text Layout dialog box.)

1 – Left top

2 – Left middle

3 – Left bottom

4 – Center left top

5 – Center left middle

6 – Center left bottom

7 – Center top

8 – Center middle

9 – Center bottom

10 – Center right top

11 – Center right middle

12 – Center right bottom

13 – Right top

14 – Right middle

15 – Right bottom

Bar Type

This column displays the name of the bar to which this text belongs.

Font

This column controls the typeface and size of the font of the text displayed in and around the bar. The ellipsis button to the right of the font edit box displays the Font dialog box where you can make your font selection.

Text

This column controls the color of the text displayed in and around the bar. The down arrow at the right edge of the text edit box displays a color selector containing 70 colors from which you can choose.

If you want a displayed field to include literal text (for example, “Total Float =”) as a label for activity data, define a calculated field for the project using a text string and the appropriate data. For information about defining calculated fields, see Defining Calculated Fields in the Open Plan Developers Guide.

Opaque Text

This option controls whether the area surrounding the text should hide any other text or line on the barchart view.

  • If you select this option, Open Plan places a white box behind the text that hides any other data in that area.

  • If you do not select this option, the box beneath the text is transparent, and any other data in that area is displayed.

To suppress the display of text in and around the bar, select a row that defines text layout, and press Delete.

Location

To display the Text Layout dialog box, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in barchart view.

  2. From the barchart view, take one of the following actions:

  • In the Barchart menu group of the View tab, click Bar Sets.

  • Right-click an empty area and click Bar Sets on the context menu.

  3. In the Bar Sets dialog box, take one of the following actions:

  • Click New.

  • Select a bar set from the list and click Edit. The Bar Set Preferences dialog box displays the Bar Attributes tab by default.

  4. Click Text Layout.

Related Topics and Procedures

Related Topics

Bar Types Dialog Box

Bar Set Preferences Bar Attributes Tab

Bar Set Preferences Crosstable Tab

Barchart Preferences Dialog Box

Customizing a Barchart View

Related Procedures

Defining Crosstable Bars

Displaying Resource Assignments on a Barchart

Defining Activity Bar Text Layout


Add an Activity in the Spreadsheet Pane

To add an activity in the Barchart view Spreadsheet pane, complete the following step:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in barchart view.

  2. Take one of the following actions:

  3. On an empty row, select the Activity ID field and enter an ID for the new activity.

  4. On the Edit tab, click Add Activity from the Data menu group.

  5. Double-click an empty row.

Related Topics and Procedures

Related Topic

The Spreadsheet Pane


Change an Activity Target Start Date in Bar Data Mode

To change an activity target start date in Bar Data mode, complete the following steps:

  2. Using the mouse, position the cursor in the middle of the activity bar.

  3. When the cursor changes to a double-headed arrow, drag the bar to the desired position.

Related Topics and Procedures

Related Topic

Bar Data Mode and Relationship Mode


Change an Activity Duration in Bar Data Mode

To change an activity duration in Bar Data mode, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in barchart view.

  2. Using the mouse, position the cursor on the right edge of the activity bar.

  3. When the cursor changes to a single-headed arrow, stretch or shrink the bar to the desired length.

Related Topics and Procedures

Related Topic

Bar Data Mode and Relationship Mode


Creating an Activity in a Barchart View (Procedure)

Creating an Activity (Barchart)

To create an activity in a barchart view, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in barchart view.

  2. Take one of the following actions:

  • On the Edit tab, click Add Activity.

  • Double-click the selection button at the left edge of a blank row in the spreadsheet pane

  2. In the Activity Details dialog box, enter the information about the activity. Although you do not need to enter all the information at this time, each activity must have a unique ID.

  3. When you have entered as much information as you want, click Close.

Related Topics and Procedures

Related Topics

Creating and Editing Activities

Link/Unlink Activities Dialog Box

Related Procedures

Entering Activity Progress in a Barchart

Setting a Target Start Date

Changing the Duration of an Activity

Editing an Activity

Deleting an Activity

Cutting an Activity

Copying an Activity

Pasting an activity From the Clipboard

Creating a Link Between Activities

Removing a Link Between Activities


Create an Activity in Relationship Mode

To create an activity by drawing a relationship in Relationship Mode, complete the following step:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in barchart view.

  2. Draw a relationship from an existing activity to an empty row in the barchart.

Related Topics and Procedures

Related Procedures

Change an Activity Target Start Date in Bar Data Mode

Change an Activity Duration in Bar Data Mode

Enter a Relationship in Relationship Mode

Edit a Relationship in Relationship Mode

Create a Relationship in a Barchart View with a Mouse

Create a Relationship in a Barchart View with the Keyboard


Defining Activity Bar Attributes (Procedure)

Defining Activity Bar Attributes

To define the attributes of an activity bar, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in barchart view.

  2. In the Barchart menu group of the View tab, click Bar Sets.

  3. In the Bar Sets dialog box, select a bar set that will contain the bar that you want to create, and click Edit.

  4. From the Bar Attributes tab of the Bar Set Preferences dialog box, select a new row.

  5. In the Criterion column, select the filter that will be used to determine whether Open Plan should use this bar to represent an activity.

  6. Define the appearance of the activity bar by selecting the appropriate elements in the Bar Type, Pattern, Outline, Fill, and Visibility columns.

  7. In the Label column, enter a name for the bar.

  8. Click OK.

Related Topics and Procedures

Related Topic

Bar Set Preferences Bar Attributes Tab

Related Procedures

Creating a New Bar Type

Changing a Milestone Symbol

Defining the Activity Bar Text Layout


Defining Activity Bar Text Layout (Procedure)

Defining Activity Bar Text Layout

To define the layout of text to be displayed in and around an activity bar, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in barchart view.

  2. In the Barchart menu group of the View tab, click Bar Sets.

  3. In the Bar Sets dialog box, select a bar set that contains the bar for which you want to define the text layout, and click Edit.

  4. On the Bar Attributes tab of the Barset Preferences dialog box, select the appropriate bar, and click Text Layout.

  5. From the Bar Type list in the Text Layout dialog box, select a bar type for which to define text layout.

  6. From the Field column, select a field to display.

  7. From the Position column, select a position in which to display the selected field.

    The Bar Type column displays your selected bar type. You can, however, change it by selecting a new bar type from the list while the cursor is in this column.

  8. From the Font column, click the ellipsis button to the right of the text box to select a font and its attributes.

  9. Using Shift+click or Ctrl+click, select other bar types to check that the text layout you are defining does not interfere with the readability of text around other activity bars.

  10. Continue defining text for other positions in and around the activity bar.

  11. If you want the text around the activity bars to hide other objects in the same area of the barchart, select Opaque Text.

  12. When you have finished defining the text layout, click OK.

Related Topics and Procedures

Related Topic

Text Layout Dialog Box

Related Procedures

Creating a New Bar Type

Changing a Milestone Symbol

Defining Activity Bar Attributes

Adding Custom Symbols


Display the Activity Details Dialog Box from the Spreadsheet Pane

To display the Activity Details dialog box for an activity, complete the following step:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in barchart view.

  2. Take one of the following actions:

  • Double-click the selection button to the left of the row.

  • Right-click the selection button, and click Edit Activity on the context menu.

Related Topics and Procedures

Related Topic

The Spreadsheet Pane


Create a Relationship in a Barchart View with a Mouse (Procedure)

Create a Relationship in a Barchart (Mouse)

To create a relationship between activities using a mouse:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in barchart view.

  2. In the Data menu group of the Edit tab, click Add Relationship [image].

  3. Place the cursor at the appropriate edge of the predecessor activity until it changes to a [image] shape. The left edge is used to create start-to-start and start-to-finish relationships. The right edge is used to create finish-to-start and finish-to-finish relationships.

  4. You can also create relationships between activities in different external subprojects of a hierarchical project provided that both external subprojects are open.

  5. Drag the cursor to create one of the following relationships:

  6. Finish-to-start: Drag the relationship line from the right edge of the predecessor activity to the left edge of the successor.

  • Start-to-start: Drag the relationship line from the left edge of the predecessor activity to the left edge of the successor.

  • Finish-to-finish: Drag the relationship line from the right edge of the predecessor activity to the right edge of the successor.

  • Start-to-finish: Drag the relationship line from the left edge of the predecessor activity to the right edge of the successor.

By default, Open Plan creates a relationship with zero lag. Open Plan uses the calendar of the successor activity to calculate any lag in the relationship. To change any of these settings, right-click the relationship line and click Edit Relationship to display the Edit Relationship dialog box where you can edit the relationship information.

You can also create relationships between activities by selecting Add Relationships or Link/Unlink Activities on the Edit tab. To shorten the overall duration of a project, identify activities that can be overlapped and define their relationships with lag or lead times.

You can also add, edit, and delete data for predecessors and successors directly in a cell of any activity-based spreadsheets. The Task Predecessors and Task Successors columns may display the predecessor/successor ID, relationship type, and lag of the relationship (which is optional and may be negative) in each cell using the format <Predecessor/Successor ID><space><relationship type><+/-Lag>. For example, 1.02 SF+3d.

Related Topics and Procedures

Related Topic

Activity Details Relationships Tab

Related Procedures

Displaying Relationships in a Barchart View

Creating a Relationship Using the Keyboard

Editing a Relationship in a Barchart View


Create a Relationship in a Barchart View with the Keyboard (Procedure)

Create a Relationship in a Barchart (Keyboard)

To create a relationship from a barchart view using the keyboard:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in barchart view.

  2. In the Data menu group of the Edit tab, click Add Relationship [image].

  3. In the Predecessor field of the Add Relationship dialog box, enter the ID of the activity to be the predecessor by either typing it in the field or selecting it from the list.

  4. In the Successor field, enter the ID of the activity to be the successor by either typing it in the field or selecting it from the list. You can also create relationships between activities in different external subprojects of a hierarchical project provided that both external subprojects are open.

  5. From the Type list, select a relationship type. The options in this field are:

  6. Finish-to-start: The relationship between activities that specifies that the start of the successor activity depends on the completion of the predecessor activity. In most cases, this means that the successor activity cannot start until the predecessor activity is completed. This is the default relationship.

  7. Finish-to-finish: The relationship between activities that specifies that the finish of the successor activity depends on the completion of the predecessor activity. In most cases, this means that the successor activity cannot be completed before the predecessor activity is completed.

  8. Start-to-start: The relationship between activities that specifies that the start of the successor activity depends on the start of the predecessor activity. In most cases, this means that the successor activity cannot be started before the start of the predecessor activity.

  9. Start-to-finish: The relationship between activities that specifies that the finish of the successor activity depends on the start of the predecessor activity. In most cases, this means that the successor activity cannot be completed before the start of the predecessor activity.

  6. In the Lag field, enter the relationship lag. To shorten the overall duration of a project, identify activities that can be overlapped, and define their relationships with lag or lead times.

  7. From the Calendar list, select the name of the calendar to be used for calculating the lag in this relationship.

  8. Click OK.

You can also add, edit, and delete data for predecessors and successors directly in a cell of any activity-based spreadsheets. The Activity Predecessors and Activity Successors columns display the predecessor/successor ID, relationship type, and lag of the relationship (which is optional and may be negative) in each cell using the format <Predecessor/Successor ID><space><relationship type><+/-Lag>. For example, 1.02 SF+3d.

Related Topics and Procedures

Related Topic

Activity Details Relationships Tab

Related Procedures

Displaying Relationships in a Barchart View

Creating a Relationship in a Barchart View Using the Mouse

Editing a Relationship in a Barchart View

Deleting a Relationship in a Barchart View

Creating a Relationship in a Network View Using a Mouse

Creating a Relationship in a Spreadsheet View


Editing a Relationship in a Barchart View (Procedure)

Edit a Relationship (Barchart)

To edit a relationship from a barchart view:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in barchart view.

  2. Ensure that you are in relationship mode.

  3. Position the cursor over the relationship line at either end of the line.

  4. When the cursor changes to a cross-hair, right-click the relationship line.

  5. On the shortcut menu, click Edit Relationship.

  6. On the Edit Relationship dialog box, enter the new information about the relationship.

  7. Click OK.

You can also add, edit, and delete data for predecessors and successors directly in a cell of any activity-based spreadsheets. The Activity Predecessors and Activity Successors columns display the predecessor/successor ID, relationship type, and lag of the relationship (which is optional and may be negative) in each cell using the format <Predecessor/Successor ID><space><relationship type><+/-Lag>. For example, 1.02 SF+3d.

Related Topics and Procedures

Related Topic

Activity Details Relationships Tab

Related Procedures

Displaying Relationships in a Barchart View

Creating a Relationship in a Barchart View Using the Mouse

Creating a Relationship Using the Keyboard

Deleting a Relationship in a Barchart View

Creating a Relationship in a Network View Using a Mouse

Creating a Relationship in a Spreadsheet View


Edit a Relationship in Relationship Mode

To edit a relationship in Relationship Mode:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in barchart view.

  2. Take one of the following actions:

  • Position the cursor at the beginning or end of a relationship line, and when it changes shape to a cross-hair, right-click, and click Edit Relationship on the context menu. Use the Edit Relationship dialog box to make changes.

  • Double-click the predecessor or successor activity, and click the Relationship tab in the Activity Details dialog box. use the Relationships tab to make changes.

You can also add, edit, and delete data for predecessors and successors directly in a cell of any activity-based spreadsheets. The Activity Predecessors and Activity Successors columns display the predecessor/successor ID, relationship type, and lag of the relationship (which is optional and may be negative) in each cell using the format <Predecessor/Successor ID><space><relationship type><+/-Lag>. For example, 1.02 SF+3d.

Related Topics and Procedures

Related Topic

Activity Details Dialog Box

Bar Data Mode and Relationship Mode


Enter a Relationship in Relationship Mode

To enter a relationship in Relationships mode, complete the following step:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in barchart view.

  2. Take one of the following actions:

  3. Place the cursor at the start or finish of the activity until it changes to a [image] shape, and then drag it to the start or finish of its successor.

  4. Right-click an activity and select Edit Activity. Use the Relationships tab of the Activity Details dialog box to enter the necessary information.

Related Topics and Procedures

Related Topic

Bar Data Mode and Relationship Mode


Highlighting Controlling Relationships in a Barchart View (Procedure)

Highlighting Controlling Relationships (Barchart)

To highlight controlling relationships, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in barchart view.

  2. Take one of the following actions:

  • Right-click the barchart portion of the display, and click Preferences on the shortcut menu.

  • In the Barchart menu group of the View tab, click Preferences.

  2. In the Barchart Preferences dialog box, select the Highlight Controlling Relationships option. This option is enabled when you click Show Relationships or Show Whole Relationships Only.

The color of the relationship line will be that of the first bar attribute that uses the key bar type.

  3. Click OK.

Related Topics and Procedures

Related Topic

Using the Barchart Preferences Dialog Box

Related Procedures

Displaying Relationships in a Barchart View

Creating a Relationship in a Barchart View Using the Mouse

Creating a Relationship Using the Keyboard

Editing a Relationship in a Barchart View

Deleting a Relationship in a Barchart View

Creating a Relationship in a Network View Using a Mouse

Creating a Relationship in a Spreadsheet View


Changing a Milestone Symbol in a Barchart (Procedure)

Changing a Milestone Symbol (Barchart)

To change a milestone symbol, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in barchart view.

  2. In the Barchart menu group of the View tab, click Bar Sets.

  3. In the Bar Sets dialog box, select a bar set that contains the bar for which you want to change a milestone symbol, and click Edit.

  4. On the Bar Attributes tab of the Bar Set Preferences dialog box, click Bar Types.

  5. In the Bar Types dialog box, select the Right field for the Milestone bar type. Open Plan identifies a milestone by the symbol you select for the Right field. Any symbol you select in the Left field is ignored.

  6. Click the ellipsis button at the right edge of the edit box.

  7. In the Symbols dialog, select the appropriate symbol, and click OK.

  8. In the Bar Set Preferences dialog box, click OK.

Related Topics and Procedures

Related Topic

Using the Bar Types Dialog Box

Related Procedures

Creating a New Bar Type

Defining the Activity Bar Text Layout

Defining Activity Bar Attributes

Adding Custom Symbols


Changing Row Height in a Barchart (Procedure)

Changing Row Height (Barchart)

To change the height of a row, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in barchart view.

  2. In the Barchart menu group of the View tab, click Bar Sets.

  3. In the Bar Sets dialog box, select a bar set that contains the bar for which you want to change the row height, and click Edit.

  4. On the Bar Attributes tab of the Bar Set Preferences dialog box, click Bar Types.

  5. In the Row Height text box in the Bar Types dialog box, enter a height for the row in hundredths of an inch. In the case of multi-table barcharts, you can also find the Row Height text box in the Crosstable Types dialog box. The effect is the same, regardless of where you enter the row height.

  6. Click OK.

Related Topics and Procedures

Related Topic

Using the Bar Types Dialog Box

Related Procedures

Creating a New Bar Type

Adjusting a Date Scale Manually


Changing Splitter Panes in a Barchart (Procedure)

Changing Splitter Panes (Barchart)

To change the split between the spreadsheet and the barchart panes, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in barchart view.

  2. Position the cursor over the vertical line that divides the two panes.

  3. When the cursor changes to a double-headed arrow, take one of the following actions:

  • To display more of the spreadsheet window, drag the dividing line to the right.

  • To display more of the barchart window, drag the dividing line to the left.

To change the split between the barchart and the histogram panes, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in barchart view.

  2. Position the cursor over the horizontal line that divides the two windows.

  3. When the cursor changes to a double-headed arrow, take one of the following actions:

  • To display more of the barchart window, drag the dividing line down.

  • To display more of the histogram window, drag the dividing line up.

Related Topics and Procedures

Related Topic

How a Barchart Displays Information

Related Procedure

Displaying Relationships in a Barchart View


Change the Font on a Bar (Procedure)

Change the Font on a Bar

To change the font on the text displayed in or around a bar, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in barchart view.

  2. In the Barchart menu group of the View tab, click Bar Sets.

  3. In the Bar Sets dialog box, select a bar set that contains the bar for which you want to change the font, and click Edit.

  4. On the Bar Attributes tab of the Barset Preferences dialog box, select the appropriate bar, and click Text Layout.

  5. In the Text Layout dialog box, select the field for which you want to change the text font.

  6. Use the scroll bar to display the Font column.

  7. Select the appropriate cell in the Font column, and click the ellipsis button at the right edge of the edit box.

  8. In the Font dialog box, select a font and its attributes, and click OK.

  9. When the Text Layout box displays again, click OK again.

Related Topics and Procedures

Related Topic

Using the Font Dialog Box

Related Procedures

Changing the Font on a Date Scale

Changing the Default Font on a Spreadsheet

Changing the Font on a Network View

Changing the Font on an Annotation

Changing the Font on a Calendar

Changing the Font on a Resource View

Changing the Font on a Code View


Creating a New Bar Type (Procedure)

Creating a New Bar Type

To create a new bar type, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in barchart view.

  2. In the Barchart menu group of the View tab, click Bar Sets.

  3. In the Bar Sets dialog box, select either Activity Bar Sets or Mutli-table Bar Sets, and click New.

  4. On the Bar Attributes tab of the Bar Set Preferences dialog box, select the table to which the new bar will apply from the Applies To list.

If you selected Activity Bar Sets in the Bar Sets dialog box, you can define only Activity Bars. In the case of a multi-table barchart, however, you can also choose to define Resource Assignment Bars and Baseline Bars.

  5. Click Bar Types.

  6. In the Bar Types dialog box, select a new row.

  7. In the Bar Type column, enter a name for the new bar type.

  8. In the Start and Finish columns, select fields to be used to control the start and end positions of the bar. (While these would normally be date fields, you could also select calculated fields that evaluate to a date value.)

  9. In the Left and Right columns, select symbols to be used at the left and right ends of the bar. (If you do not want to have symbols at the ends of the bar, you can also leave these fields blank.)

  10. In the Bar column, select one of the following bar shapes:

  • : The open bar is the default bar form. This option is most commonly used to display the entire duration regardless of the work status of any period.

  • : The necked bar shows non-work periods as necks between work segments.

  • : The segmented bar shows non-work periods as gaps between the work periods.

You can also select None to define a bar type to be used for a milestone.

  11. In the Drag column, select Yes or No to indicate whether or not the user should be able to edit activity target start and finish dates by dragging the mouse cursor on the bar.

Only one bar can be set to Drag.

  12. In the Height column, enter a height for the activity bar measured in hundredths of an inch.

  13. In the Offset column, enter a value for the bar position in hundredths of an inch as measured from the top of the row.

  14. In the Key column, select Yes or No to indicate whether or not the bar should be used as a key from which relationship lines are drawn.

Only one bar can act as the key.

  15. In the Row Height text box, enter a value for the height of the activity row in hundredths of an inch.

In the case of a multi-table barchart, the height you enter here is also reflected in the Crosstable Types dialog box.

  16. Click OK.

Related Topics and Procedures

Related Topic

Using the Bar Types Dialog Box

Related Procedures

Changing a Milestone Symbol

Defining the Activity Bar Text Layout

Defining Activity Bar Attributes

Adding Custom Symbols


Customize Barchart Display Options

To customize display options, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in barchart view.

  2. Take one of the following actions:

  • In the Barchart group of the View tab, click Preferences.

  • Right-click an empty area in the barchart, and click Preferences on the context menu.

  2. In the Barchart Preferences dialog box, enter the information for the display options.

  3. When your changes are complete, click OK.


Defining Crosstable Bars (Procedure)

Defining Crosstable Bars

To define crosstable bars for a multi-table barchart, complete these steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in barchart view.

  2. In the Barchart menu group of the View tab, click Bar Sets.

  3. From the list at the top of the Bar Sets dialog box, select Multi-table Bar Sets.

  4. Select the bar set that will contain the crosstable bar you wish to create, and click Edit.

  5. In the Bar Set Preferences dialog box, click the Crosstable tab.

  6. Select whether to show Resource or Earned Value bars.

  7. Select a new row in the dialog box.

  8. While in the Criterion column, use the ellipsis above the table to select the filter that will be used to determine the circumstances under which Open Plan should display this bar.

  9. Define the appearance of the bar by selecting the appropriate elements in the Crosstable Type, Outline, Fill, and Visibility columns using the drop-down list above the table.

  10. In the Label column, enter a name for the bar, and click OK.

Related Topics and Procedures

Related Topic

Bar Set Preferences Crosstable Tab

Related Procedures

Creating a New Bar Type

Changing a Milestone Symbol

Defining the Activity Bar Text Layout


Displaying Resource Assignments on a Barchart (Procedure)

Displaying Resource Assignments on a Barchart

To display resource assignments, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in barchart view.

  2. In the Barchart menu group of the View tab, click Bar Sets.

  3. From the list at the top of the Bar Sets dialog box, select Multi-table Bar Sets.

  4. Select the bar set that you want to display resource assignments for, and click Edit.

  5. In the Bar Set Preferences dialog box, click the Bar Attributes tab.

  6. From the Applies To drop-down list, select Resource Assignment Bars.

  7. In the Visibility column for the bar type, choose an appropriate visibility option using the drop-down list above the table.

  8. Click OK.

Depending on the barchart view, you may need to define a bar in order to display the resource assignments.

Related Topics and Procedures

Related Topic

Bar Set Preferences Bar Attributes Tab

Related Procedures

Creating a New Bar Type

Defining Activity Bar Attributes

Defining the Activity Bar Text Layout


displaying_the_bar_set_preferences_bar_attributes_tabbar

Display the Bar Set Preferences Dialog Box

To display the Bar Attributes tab of the Bar Set Preferences dialog box from the barchart pane, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in barchart view.

  2. In the Barchart menu group of the View tab, click Bar Sets.

  3. In the Bar Sets dialog box, click one of the following buttons:

  • New

  • Copy

  • Edit

  4. In the Bar Set Preferences dialog box, click the Bar Attributes tab.


Printing a Barchart (Procedure)

Print a Barchart

To print a barchart view, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in barchart view.

  2. From the File menu, click Print » Print Options.

  3. In the Print Options dialog box, select the print options for your report, and click OK.

  4. To preview your printed report, take one of the following actions:

  • On the File menu, click Print » Preview.

  • On the Quick Access Toolbar, click the Print Preview [image] button.

  5. To print the barchart, take one of the following actions:

  • If you have selected Print Preview, click Print from the preview screen.

  • If you have not selected Print Preview, click Print » Print on the File menu, or click the Print [image] button on the Quick Access Toolbar.

Related Topics and Procedures

Related Topic

Using the Print Options Dialog Box

Related Procedures

Previewing a Report Before Printing

Setting Up a Printer

Printing a Calendar

Printing a Report


Browser View Overview

A browser view allows a Windows shortcut, Internet shortcut, or Open Plan Add-In to be stored as a view in the Views folder of the Open Plan Library. The browser view can then be accessed directly from this folder. It can also be assigned to a project, resource, or code so that it is opened in a particular context.

Once created, a browser view can be used the same as any other view.

Clicking Browser Views on the Tools tab, displays the Browser Views dialog box populated with all previously defined browser views: You can create, copy, edit, and delete browser views from the Browser Views dialog box. When you click the New button, the New Browser View dialog box displays.

In the Name field, enter a name for the new browser view and click OK. Open Plan displays the Browser View Definition dialog box that you can use you to define the elements of the view.


Browser Views Dialog Box

A browser view allows a Windows shortcut, Internet shortcut, or Open Plan Add-In to be stored as a view in the Views folder of the Open Plan Library. The browser view can then be accessed directly from this folder. It can also be assigned to a project, resource, or code so that it is opened in a particular context.

The Browser Views dialog box displays the browser views that have been defined. You can also create, copy, edit, and delete browser views from this dialog box. When you click New or select an existing browser view and click Copy or Edit, Open Plan displays the Browser View Definition dialog box that you can use you to define the elements of the view.

When you click New, you must first enter a name for the view before you are taken to the Browser View Definition dialog box.

As with other Open Plan views, if you are the owner of a browser view or you have system administrator access, you can control user access to the browser view by modifying the Access Control tab of its Properties dialog box.

Buttons

New

Click this button, or press Insert on your keyboard, to display the New Browser View dialog box. After you enter a name and click OK in this dialog box, the Browser View Definition dialog box displays where you can enter the browser view details.

Copy

Select an existing browser view and click this button to create a new browser view based on an existing browser view. The Browser View Definition dialog box displays and you can edit the name and/or browser view details. By default, the name starts with "Copy."

Edit

Select an existing browser view and click this button to display the Browser View Definition dialog box which you use to edit the name and/or browser view details.

Delete

Click this button, or press Delete on your keyboard, to delete the selected browser view. A dialog box displays, asking you to confirm the deletion.

Location

To display the Browser Views dialog box, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in any view.

  2. In the Manage menu group of the Tools tab, click Browser Views.

Related Topics and Procedures

Related Topics

New Browser View Dialog Box

Browser View Definition Dialog Box

Related Procedures

Creating a Browser View

Copying a Browser View

Editing a Browser View

Deleting a Browser View


Browser View Definition Dialog Box

This dialog box allows you to define the contents of a browser view. When you are finished defining the browser view, click OK to return to the Browser Views dialog box.

Name

This is the name of the ancillary file.

Owner

The is the name of the ancillary file owner.

Description

This is a description of the ancillary file.

Command

This field displays the command line to be executed when the browser view is run. For example, the command line could be the path to an executable file or a Visual Basic application. It may also be a URL to a specific Webpage.

Arguments

You can specify any number of the following parameters to be passed automatically to the application on the command line. Open Plan supplies these parameters on the command line when launching the browser view.

Parameter

Description

%P

The currently selected project (View or Open Plan Explorer)

%S

The currently selected project in Open Plan Explorer

%A

The currently selected Activity ID

%R

The currently selected Resource file (View or Open Plan Explorer)

%r

The currently selected resource

%b

The currently selected code

%B#

Passes the name of the code file in position # in the active open project

%C

The currently selected calendar name (View or Open Plan Explorer)

%c

The currently selected calendar

%M

Allow multiple instances of the selected tool

%U

The currently logged in user’s ID

%W

The encrypted password for the current user

%V

The current view

%E

Launch the file/link in an external Internet browser window

%I

Allows Internet browser to open within an Open Plan window. If the %I is specified, Open Plan formats the other parameters as a URL query string (for example, %P and %A will be passed as ?P=ProjectName&A=ActivityId)

If data-specific parameters are used, Open Plan reloads the page that was initially loaded in the internal window with an updated query string each time the selected value (project, activity ID, resource, and so on) changes.

%T

When %I is used, tiles the internal browser window

%D

Launches the file/link in a dockable internal browser

%X

Maximizes an internal browser window

If the %I, %D, or %E argument is used, Open Plan attempts to execute the command line using a browser object or application, respectively. In this situation, you may specify a data file to be launched (in conjunction with an application) or a URL. If the executable must be specified in the command line, omit the %I (for example, Wordpad.exe MyNotes.txt). In this case, the executable is launched within its own (external) window. If the document type is associated on your computer with an application, an internal browser view may be created using the syntax <Document_Name> %I (for example, MyNotes.txt). Remember, if you use either the %I or %E parameters, you need to specify the document to be launched, rather than the application that will launch it. In addition, if a Visual Basic application is launched, you should not use any of the Internet-specific parameters because Open Plan will "canonicalize" the command-line (that is, question marks will be inserted before the arguments). Since VB applications do not understand "canonicalized" arguments, they will fail.

Windows-type shortcuts must be brought up externally if the command line references an application. The shortcuts may be brought up internally if they reference a document whose associated launch application is known to the system.

Internet links may be brought up as either internal (the Internet browser is contained within an Open Plan window) or external (the browser itself is launched as a separate application) browser views.

The custom WebWindows that are shipped with Open Plan as part of the Add-Ins tab can easily be added as browser views. See The Open Plan Configuration Files, in the Deltek Open Plan Developer's Guide for command line and argument parameter information for each WebWindow.

Access Control

This item is initially accessible only to the user who created it. If you wish to share this item with other users, click the Access Control button to display the Access Control dialog box.

For more information on available WebWindows, see The Open Plan Configuration Files, in the Deltek Open Plan Developer’s Guide.

Location

To display the Browser View Definition dialog box, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in any view.

  2. In the Manage menu group of the Tools tab, click Browser Views.

  3. In the Browser Views dialog box, take one of the following actions:

  • Click New, enter a name for the browser view, and click OK.

  • Select an existing browser view, and click Copy or Edit.

Related Topics and Procedures

Related Topics

Browser Views Dialog Box

New Browser View Dialog Box

Related Procedures

Creating a Browser View

Copying a Browser View

Editing a Browser View

Deleting a Browser View


New Browser View Dialog Box

This dialog box allows you to enter a name for the browser view you are creating. If you enter a name that is already in use, Open Plan issues a warning and redisplays the New Browser View dialog box. Also, the name cannot contain any spaces.

Location

To display the New Browser View dialog box, complete the following steps:

  1. In the Projects Views folder of Open Plan Explorer, select a project to display in any view.

  2. In the Manage menu group of the Tools tab, click Browser Views.

  3. In the Browser Views dialog box, click New.

Related Topics and Procedures

Related Topics

Browser Views Dialog Box

Browser View Definition Dialog Box

Related Procedures

Creating a Browser View

Copying a Browser View

Editing a Browser View

Deleting a Browser View


Copying a Browser View

To copy a browser view, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in any view.

  2. In the Manage menu group of the Tools tab, click Browser Views.

  3. In the Browser Views dialog box, select the browser view to copy, and click Copy. The Browser View Definition dialog box displays.

  4. You have the option to edit any of the following fields in the Browser View Definition dialog box:

  • Name

  • Description

  • Command

  • Arguments

  5. When finished, click OK.

You may also edit this information using the Command-Line Info tab of the browser view’s Properties dialog box.

Related Topics and Procedures

Related Topic

Browser Views Dialog Box

Related Procedures

Creating a Browser View

Editing a Browser View

Deleting a Browser View


Creating a Browser View

To create a new browser view, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in any view.

  2. In the Manage menu group of the Tools tab, click Browser Views.

  3. In the Browser Views dialog box, click New.

  4. In the New Browser View dialog box, enter a name for the browser view, and click OK.

  5. In the Browser View Definition dialog box, enter the following information:

  • Description

  • Command

  • Arguments

You can also specify the access control options using the Access Control button..

  6. When you are finished defining the browser view, click OK.

Related Topics and Procedures

Related Topics

Browser Views Dialog Box

New Browser View Dialog Box

Browser View Definition Dialog Box

Related Procedures

Copying a Browser View

Editing a Browser View

Deleting a Browser View


Delete a Browser View

To delete a browser view, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in any view.

  2. In the Manage menu group of the Tools tab, click Browser Views.

  3. In the Browser Views dialog box, click Delete.

  4. When Open Plan asks you to confirm the deletion, click Yes.

Related Topics and Procedures

Related Topic

Browser Views Dialog Box

Related Procedures

Creating a Browser View

Copying a Browser View

Editing a Browser View


Editing a Browser View

To edit a browser view, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in any view.

  2. In the Manage menu group of the Tools tab, click Browser Views.

  3. In the Browser Views dialog box, click Edit.

  4. In the Browser View Definition dialog box, enter the following information as needed:

  • Description

  • Command

  • Arguments

You can also specify the access control options using the Access Control button..

  5. When you are finished, click OK.

You may also edit this information using the Command-Line Info tab of the browser view’s Properties dialog box.

Related Topics and Procedures

Related Topics

Browser Views Dialog Box

Browser View Definition Dialog Box

Related Procedures

Creating a Browser View

Copying a Browser View

Deleting a Browser View


Histogram View Overview

Open Plan includes histogram views that allow you to display time-scaled data using a graphical format, a tabular format, or a combination of the two.

  • Resource histograms display resource and cost data in a graphical form. Resource histogram views are especially useful for modeling project resources since they allow you to compare resource assignments to availabilities as well as allow you to view the overall usage of a resource (or a group of resources) over the time span of the project.

  • Risk histograms display the results of risk analysis for designated key activity in a project. Risk histograms allow project planners to see at a glance how Open Plan scheduled an activity over the course of many trial simulations.

  • Time-Phased Reporting View displays data as activity counts or values as a histogram and/or S-Curve view.

In Open Plan, you can display a resource histogram as a stand-alone view or as part of a barchart view. In either case, the features of the resource histogram are identical, and you can perform any operation in a similar manner in either view. By contrast, risk histograms are available only as stand-alone views.


Resource Histogram View

Resource Histogram View Overview

A resource histogram view displays resource and cost data against a time scale. Resource histogram views are especially useful for modeling project resources since they allow you to compare resource assignments to availabilities as well as allow you to view the overall usage of a resource (or a group of resources) over the time span of the project.

Resource histogram views allow you to display the following types of resource information in a graphical format:

  • Resource availabilities

  • Resource assignments based on the early dates calculated by time analysis

  • Resource assignments based on the late dates calculated by time analysis

  • Resource assignments based on the scheduled dates calculated by resource scheduling (these assignments can show the effects of splitting, stretching, and reprofiling activities)

  • Baseline resource assignments using the dates (early, late, or scheduled) selected at the time you created the baseline currently attached to the project

  • Actual resource usage based on resource progress information

You can use a resource histogram view to display any of these items individually, or you can display more than one at the same time.

The options that define how resource information appears in a view are found on the Resources tab of the Histogram Preferences dialog box.

Open Plan can display the histogram both as a stand-alone view and as a pane on the barchart view. If you are displaying the histogram as a stand-alone view, the date scale is at the bottom of the view and typically starts at the earliest instance of relevant project data. When you display a histogram with a barchart, the date scale for the barchart controls the display of histogram bars.

Each bar in the histogram represents a value corresponding to the smallest time unit displayed on the date scale. For example, if you define a date scale with a single axis showing weeks, you can display bars that show how many units of the selected resource are required during each week. In this way, you can display resource assignments and costs aggregated on an hourly, daily, weekly, monthly, quarterly, or yearly basis.

A legend that explains the colors used for the bars is displayed at the left side of the histogram view.

Sometimes, the legend is not immediately visible when the histogram is displayed as part of a barchart view. To display the legend in these circumstances, drag the vertical line separating the spreadsheet from the bar portion of the view to the right.

It is also possible to have a histogram view display a representation of Time Now by setting an option on the Options tab of the Histogram Preferences dialog box.

If you prefer to see the precise values represented in the view, you can configure a histogram to display information in a tabular format below the bars. It is also possible to display just the tabular portion of the view.

As in the case of histogram bars, the aggregation of tabular data corresponds to the smallest unit displayed on the date scale.

In addition to displaying information aggregated on a period-by-period basis, you can display cumulative curves in a resource histogram view. This feature is especially useful for creating S-curves for earned value and cost reporting.

Note that in views that combine both histogram bars and S-curves, the vertical axis for the histogram bars appears on the left, while the vertical axis for the S-curve appears on the right. The legend to the left of the date scale tells you the type of information represented by the bars and S-curves.

In views that combine both histogram bars and S-curves, the vertical axis for the histogram bars appears on the left, while the vertical axis for the S-curve appears on the right.

Displaying a Resource Histogram

To display a resource histogram in Open Plan, the following conditions must be met:

  • You have assigned a resource file to a project.

  • The project has at least one activity with a resource assignment.

  • You have selected a resource to display. (Use the Select Resource command from the View tab to indicate your selection.)

If you are only interested in showing resource or cost information based on early or late dates, you do not have to perform resource scheduling to display a resource histogram.

Resource Histogram Preferences

Use the Histogram Preferences dialog box to set the resource histogram parameters of a project.

Location

To display a project in resource histogram view, complete the following step:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in resource histogram view.

Related Topics and Procedures

Related Topics

Resource Histogram Requirements

Displaying Resource Information on a Resource Histogram

Displaying Earned Value Information on a Resource Histogram

Resource Selection Dialog Box

Customizing a Resource Histogram View

Related Procedures

Define the Display of Resource Information on a Histogram

Displaying a Resource Histogram View

Displaying a Resource Histogram on a Barchart

Selecting Resources to Display on a Resource Histogram

Displaying Resource Assignments on a Resource Histogram

Displaying Actual Resource Usage on a Resource Histogram


Customize a Resource Histogram View

Three operations allow you to customize resource histogram views in Open Plan:

  • Selecting resources

  • Defining histogram display options

  • Customizing the date scale

You can display the Histogram Preferences dialog box by opening a histogram either as a stand-alone view or as part of a barchart view and clicking Preferences on the View tab. (If the histogram is displayed as part of a barchart view, the option is Histogram Preferences.)

Selecting Resources

Before you can display data in a resource histogram, you must select the resource(s) to include in the view. When you click Select Resource on the View tab, Open Plan displays the Resource Selection dialog box.

You can also choose to display resource pools in the histogram. Keep in mind, however, that all availabilities, requirements, and usage displayed for a pool include both the pool and a roll-up of the child resources belonging to the pool. Clearing the Hide Unreferenced Resources setting displays the entire resource use file hierarchy, which makes the resource pools available for selection.

When selecting resources to display, be sure that all selected resources use the same time unit. For example, you should not mix resources measured in person-hours and resources measured in person-days or person-weeks in the same bar.

Resource Histogram Display Options

To define the appearance of bars in a resource histogram view, click Preferences on the View tab or right-click within the histogram view and click Preferences on the context menu to display the Options tab of the Histogram Preferences dialog box.

With this dialog box, you can indicate whether you want to display resource information or earned value information and if you want to display a graph only, a table only, or a combination of the two. If you display a table, you can indicate how many decimal places should be displayed.

You also have the option of specifying the bar style (3-dimensional or flat). If multiple bars are displayed, you can specify their display as either side-by-side or front-to-back. If you choose to display flat bars front-to-back, Open Plan varies the width of the bars to distinguish between the different types of information being displayed.

Customizing the Date Scale

You can customize the date scale appearing in a stand-alone resource histogram view using the same procedures that you use to customize the date scale in a barchart view. (In fact, when a resource histogram appears in a barchart view, the barchart date scale controls the histogram portion of the view as well.)

For information about customizing the date scale, see Customizing the Date Scale in the Barchart View.

Related Topics and Procedures

Related Topics

Histogram Preferences Options Tab

Histogram Preferences Resources Tab

Histogram Preferences Earned Value Tab

Customizing a Spreadsheet View

Customizing a Barchart View

Resource Selection Dialog Box

Related Procedures

Displaying Resource Assignments on a Resource Histogram

Displaying Actual Resource Usage on a Resource Histogram

Select Resources to Display on a Resource Histogram


Customizing the Date Scale in the Resource Histogram View

You can customize the date scale appearing in a stand-alone resource histogram view using the same procedures that you use to customize the date scale in a barchart view. (In fact, when a resource histogram appears in a barchart view, the barchart date scale controls the histogram portion of the view as well.)

For more information, see Customizing the Date Scale.


Display Earned Value Information on a Resource Histogram

As an alternative to resource information, you can display the following types of earned value information on a histogram view:

  • Forecast: Open Plan determines the forecast cost (Estimate at Complete or EAC) of a resource by adding any actual costs prior to Time Now to any planned costs subsequent to Time Now. If you choose to display forecast costs, you can use early, late, or scheduled dates as the basis of the planned cost.

  • Budgeted Cost of Work Scheduled (BCWS): BCWS is derived from the planned resource budget stored in the current baseline for the project. This budget may be based on early, late, or scheduled dates, depending on the dates used to create the baseline.

  • Actual Cost of Work Performed (ACWP): ACWP is based on the actual costs recorded for the resource.

  • Budgeted Cost of Work Performed (BCWP): To calculate BCWP, Open Plan applies the value for the physical completion of the resource assignment to the corresponding portion of the planned resource budget (as defined in the current project baseline). For example, if you indicate that a resource assignment is 50% complete, Open Plan calculates BCWP for an assigned resource by determining how much of the resource's planned budget (BCWS) corresponds to the first half of the activity duration.

You can display earned value information in terms of either resource units, resource costs, or escalated resource costs.

You can use a histogram view to display any of these items individually, or you can display all of them at the same time. You can also display them as cumulative S-curves.

To select the resources to be displayed in the histogram, use the Resource Selection dialog box. To define the earned value information appearing in a histogram view, use the Earned Value tab of the Histogram Preferences dialog box.

Related Topics and Procedures

Related Topics

Resource Histogram View Overview

Resource Histogram Requirements

Displaying Resource Information on a Resource Histogram

Histogram Preferences Earned Value Tab

Related Procedure

Displaying Earned Value on a Resource Histogram


Display Resource Information on a Resource Histogram

Histogram views allow you to display the following types of resource information in a graphical format:

  • Resource availabilities

  • Resource assignments based on the early dates calculated by time analysis

  • Resource assignments based on the late dates calculated by time analysis

  • Resource assignments based on the scheduled dates calculated by resource scheduling. (These assignments can show the effects of splitting, stretching, and reprofiling activity durations.)

  • Baseline resource assignments using the dates (early, late, or scheduled) selected at the time you created the baseline currently attached to the project

  • Actual resource usage based on resource progress information

You can use a histogram view to display any of these items individually, or you can display all of them at the same time.

To select the resources to be displayed in the histogram, use the Resource Selection dialog box. To define the resource information appearing in a histogram view, use the Resources tab of the Histogram Preferences dialog box.

Related Topics and Procedures

Related Topics

Using the Resource Selection Dialog Box

Histogram Preferences Resources Tab

Customizing a Resource Histogram View

Resource Histogram View Overview

Using Baseline Information

Resource Histogram Requirements

Displaying Earned Value Information on a Resource Histogram

Related Procedures

Displaying a Resource Histogram View

Displaying a Resource Histogram on a Barchart

Selecting Resources to Display on a Resource Histogram

Displaying Resource Assignments on a Resource Histogram

Displaying Actual Resource Usage on a Resource Histogram


Resource Histogram Requirements

To display a resource histogram in Open Plan, the following conditions must be met:

  • The project must have an assigned resource file.

  • Time analysis must have been performed at least once.

You do not need to perform resource scheduling to display a histogram unless you want to show resource or cost information based on schedule dates.

Related Topics and Procedures

Related Topics

Resource Histogram View Overview

Displaying Resource Information on a Resource Histogram

Displaying Earned Value Information on a Resource Histogram

Resource Selection Dialog Box

Customizing a Resource Histogram View

Related Procedures

Displaying a Resource Histogram View

Displaying a Resource Histogram on a Barchart

Selecting Resources to Display on a Resource Histogram

Displaying Resource Assignments on a Resource Histogram

Displaying Actual Resource Usage on a Resource Histogram


Reporting Calendars in the Resource Histogram View

Reporting calendars allow you to view time-scaled data in a barchart or histogram view using a non-linear date scale. Using reporting calendars you can, for example, display a histogram that shows resource usage on a monthly basis for the next three months, on a quarterly basis for the four quarters following that, and on a yearly basis for the remaining years of the project.

For more information about reporting calendars, see Reporting Calendars.

Related Topics and Procedures

Related Topics

Date Scale Preferences Report Calendar Tab

Reporting Calendars Dialog Box

Add Reporting Calendar Dialog Box

Copy Reporting Calendar Dialog Box

Edit Reporting Calendar Dialog Box

Related Procedures

Customizing a Date Scale

Creating a New Reporting Calendar

Editing a Reporting Calendar

Copying a Reporting Calendar

Deleting a Reporting Calendar


Resource Histogram Preferences Dialog Box

A resource histogram view displays resource and cost data against a time scale. It is useful for modeling project resources because you can compare resource assignments to availabilities. You can also view the overall usage of a resource (or a group of resources) over the time span of the project.

For more information about resource histogram, see Resource Histogram Overview.

Use the Histogram Preferences dialog box to set the resource histogram parameters of a project.

Tabs

  • Options Tab: Use the Options tab to control how Open Plan displays resource assignment and usage.

  • Resources Tab: Use the Resources tab to control the type of resource data Open Plan displays in the histogram view.

  • Earned Value Tab: Use the Earned Value tab to control the type of earned value data Open Plan displays in the histogram view.

Resizing

A grabber pad in the bottom right corner of a dialog box indicates that the dialog box is resizable. Click and drag the sides of the dialog box to resize.

Location

To access the histogram in barchart view, on the View tab, click Preferences in the Histogram menu group.

To access the histogram in stand-alone mode, on the View tab, click Preferences in the General menu group.

To display a resource histogram in stand-alone view, In Open Plan Explorer, select the Project Views folder of a project and open the Resource Histogram view.

The Preferences option is available from the shortcut menu only if you previously selected a resource in the selected resource histogram view and if you saved the view after selecting the resource.

Related Topics and Procedures

Related Topics

Resource Histogram Requirements

Display Resource Information on a Resource Histogram

Display Earned Value Information on a Resource Histogram

Resource Selection Dialog Box

Related Procedures

Customize a Resource Histogram View

Define the Display of Resource Information on a Histogram

Display a Resource Histogram View

Display a Resource Histogram on a Barchart

Select Resources to Display on a Resource Histogram


Histogram Preferences Options Tab

If the histogram is displayed as part of a barchart view, the Option tab is available in the Histogram Preferences dialog box. This tab controls the display of the other tabs on the Histogram Preferences dialog box. It also controls how Open Plan should display resource assignment and usage information.

Display

Select Resources or Earned Value. The related tab is enabled.

Values

Scale Factor

This setting determines how Open Plan scales the values appearing in the histogram bar or S-curves. For no scaling, set the scale factor to 1.

Max Y Value

This setting determines the highest value displayed on the vertical axis of the histogram bars or S-curves. To allow Open Plan to set a maximum value based on the data, leave this setting at 0.

Number of Decimal Places

This field controls the number of decimal places that Open Plan should display on the histogram. You can specify any value between 0 and 5.

Display as

Table

This option displays the data in a tabular format. If the histogram view is displayed as part of a barchart view, Open Plan displays the table in a separate pane below the barchart.

You can also specify the number of decimal places to be included in the table display.

Graph

This option displays the data as a histogram, S-curve, or both. If the histogram view is displayed as part of a barchart view, Open Plan displays the graph in a separate pane below the barchart.

Both

This option displays the data as a table below a graph. If the histogram view is displayed as part of a barchart view, Open Plan displays the graph and table together in a separate pane below the barchart.

Bars

Style

  • 3-Dimensional

  • Flat

Position

  • Side by Side: In the side-by-side position, Open Plan displays each data unit next to each other within each time period.

  • Front to Back: In the front-to-back position, Open Plan displays each data unit one behind the other within each time period.

3-Dimentional Side by Side | 3-Dimentional Front to Back
Flat Side by Side | Flat Front to Back

Time Now

  • None: If you select this option, Open Plan does not display the Time Now line on the histogram.

  • Line: If you select this option, Open Plan identifies Time Now using a vertical line. There is no identifying text beside the Time Now line.

  • Line with Text: If you select this option, Open Plan identifies Time Now using a vertical line. In addition, the words "Time Now" are displayed next to the Time Now line.

If the Histogram Preferences dialog box is displayed from the barchart view, Open Plan also features the following additional options:

  • Conditional Line: This option is available only when the histogram is displayed as a pane in the barchart view. If you select this option, Open Plan identifies Time Now using a vertical line only if the barchart identifies Time Now with a vertical line. If the barchart does not identify Time Now in this way, the histogram does not identify Time Now.

  • Conditional Text — This option is available only when the histogram is displayed as a pane in the barchart view. If you select this option, Open Plan identifies Time Now using both a vertical line and the text specified as the label in the Barchart Preferences dialog box only if the barchart identifies Time Now with a vertical line and a label. If the barchart does not identify Time Now in this way, the histogram displays Time Now with only a vertical line.

Resource Description

  • Show Full ID: If you select this option, Open Plan identifies each resource by the full resource ID. For example, the resource may be identified as TEAM.LAB.JOAN.

  • Show Local ID: If you select this option, Open Plan identifies each resource by the local portion of the resource ID. For example, the resource may be identified as JOAN where JOAN is the local portion of the TEAM.LAB.JOAN resource ID.

  • Show Description: If you select this option, Open Plan identifies each resource only by its description. For example, the resource may be identified as JOAN SHERWOOD where JOAN SHERWOOD is the resource description.

  • Show Full ID and Description: If you select this option, Open Plan identifies each resource by both the full resource ID and the description. For example, the resource may be identified as TEAM.LAB.JOAN JOAN SHERWOOD where TEAM.LAB.JOAN is the full resource ID and JOAN SHERWOOD is the resource description.

  • Show Local ID and Description: If you select this option, Open Plan identifies each resource by both the local portion of the resource ID and the description. For example, the resource may be identified as JOAN JOAN SHERWOOD where JOAN is the local portion of the resource ID and JOAN SHERWOOD is the resource description.

Font

Clicking this button displays the Font dialog box that you can use to specify a font to be used on both your printer and your monitor.

Location

To display the Histogram Preferences dialog box, complete the following step:

  1. Take one of the following actions:

  • Display a resource histogram in stand-alone view by selecting it from the Project Views folder in Open Plan Explorer, right-click an empty space on the view, and select Preferences from the shortcut menu.

The Preferences option is available from the shortcut menu only if you previously selected a resource in the selected resource histogram view and if you saved the view after selecting the resource.

  • Display a barchart view from the Project Views folder in Open Plan Explorer, and click Preferences from the Histogram menu group of the View tab.

Related Topics and Procedures

Related Topics

Customizing a Resource Histogram View

Histogram Preferences Resources Tab

Histogram Preferences Earned Value Tab

Related Procedures

Displaying Resource Assignments on a Resource Histogram

Displaying Actual Resource Usage on a Resource Histogram


Histogram Preferences Resources Tab

This tab controls the type of resource data Open Plan displays on the histogram view. Depending on the selection you make in the Display Calculate area of this dialog box, the values may represent either resource units or costs.

Show

You can indicate one or more sets of resource data to appear in the view as either histogram bars or S-curves. You can also indicate the color of the bar by clicking the drop-down arrow to display a Color dialog box from which you can choose a color. For S-curves, clicking the ellipsis button displays the S-Curve Line Selection dialog box that you can use to indicate the line style and color to use for the line. The histogram can display up to six types of resource data as histogram bars or cumulative S-curves.

For early dates, late dates, scheduled dates, baseline dates, and actuals, the defined color indicates the color of the first selected resource when stacked. Subsequent stacked resources are assigned a color automatically by Open Plan.

  • Resource assignments for early dates. For each date unit on the date scale, Open Plan displays the resource assignments for all activity early dates in the project. Each early date bar can represent either a total or an average resource requirement for the period. The total resource assignments for each early date can also be displayed as a cumulative S-curve. Early dates are calculated in time analysis as the earliest dates on which activities can start and finish.

  • Resource assignments for late dates. For each date unit on the date scale, Open Plan displays the resource assignments for all the activity late dates in the project. Each late date bar can represent either a total or an average resource requirement for the period. The total resource assignments for each late date can also be displayed as a cumulative S-curve. Late dates are calculated in time analysis as the latest dates on which activities can start and finish without delaying the project.

  • Resource assignments for schedule dates. For each date unit on the date scale, Open Plan displays how resources were assigned during resource scheduling. Histogram bars on schedule dates also show the effect of any activity attributes such as splitting, stretching, or reprofiling as well as the effects of processing options such as smoothing. Each bar can represent either a total or an average usage for the period. The total resource usage for each schedule date can also be displayed as a cumulative S-curve. Schedule dates are the activity start and finish dates calculated by resource scheduling.

  • Resource assignments for baseline dates. For each date unit on the date scale, Open Plan displays the resource assignments for the baseline dates (early, late, or scheduled) selected at the time you created the baseline currently attached to the project. Each bar can represent either a total or an average resource requirement for the period. By comparing resource assignments and usage with the availability information, you can easily see where each resource is over- or under-utilized.

  • Actual resource usage. For each date unit on the date scale, Open Plan displays the actual resource usage that has either been entered on the resource record or calculated during resource progressing. Each bar can represent either a total or an average resource usage for the period. The total actual resource usage for each date can also be displayed as a cumulative S-curve.

For each of these data types, you can choose whether or not to include the data type as a histogram bar and/or as a cumulative S-curve. You can also customize how histogram bars and S-curves are displayed.

  • Histogram bar customization: Selecting the option box to the left of a color block in the Histogram column instructs Open Plan to display that type of data as a histogram bar. Clicking the down arrow displays a Color dialog box that you can use to select the color to be used to identify the data type. The Color dialog box offers a choice of 70 standard colors. You can define custom colors using an enhanced version of the Color dialog box accessed from the Color tab of the Options dialog box.

  • S-curve customization: Selecting the option box to the left of a color block in the S-Curve column instructs Open Plan to display that type of data as a cumulative S-curve. In addition, Open Plan enables the ellipsis button at the right of the color block. Clicking this button displays the S-Curve Line Selection dialog box that you can use to select a line style and color for both monitor display and printed output.

Availability

In addition to the same options for histogram bar and S-curve customizations, Open Plan also allows you to specify the type of resource availability information that Open Plan should display on the histogram view. You can select from the following options to choose the type of availability data that Open Plan should show in both a histogram bar and an S-curve:

  • Total Availability: Displays the total availability of the resource. The histogram does not identify quantities that are reserved for another project or used by a project with a higher priority.

  • Unreserved Availability: Displays the availability that is not reserved for another project.

  • Unused Availability: Displays the availability that is not used by a project with a higher priority or reserved for another project.

  • Total & Reserved: Displays both the total availability and the availability that is reserved for another project.

  • Total & Reserved or Used: Displays both the total availability and the availability that is either reserved for another project or used by a project with a higher priority.

  • Total, Reserved and Used: Displays the total availability, the availability that is reserved for another project, and the availability that is used by a project with a higher priority.

  • Unreserved and Used: Displays both the availability that is not reserved for another project and the availability that is used by a project with a higher priority.

By comparing resource assignments and usage with the availability information, you can easily see where each resource is over- or under-utilized.

Quantities of resource availability that are not available to the current project are identified by a lighter shade of the selected color.

If a quantity is reserved for a project that has a higher priority than the current project and a different quantity is actually used by that same project, Open Plan identifies only the larger of the two quantities as unavailable.

For example if 3 units are reserved for a project with a higher priority and 4 units are actually used by that project, Open Plan identifies 4 units as unavailable.

If, on the other hand, a quantity is reserved for one project and another quantity is used by a different project that has a higher priority than the current project, Open Plan identifies the total of the two quantities as unavailable.

For example, if Project A has 3 units reserved and Project B (with a higher priority than the current project) uses 4 units, Open Plan identifies 7 units as unavailable.

Histogram/S Curve

  • Total Availability: Displays the total availability of the resource. The histogram does not identify quantities that are reserved for another project or used by a project with a higher priority.

  • Unreserved Availability: Displays the availability that is not reserved for another project.

  • Unused Availability: Displays the availability that is not used by a project with a higher priority or reserved for another project.

  • Total & Reserved: Displays both the total availability and the availability that is reserved for another project.

  • Total & Reserved or Used: Displays both the total availability and the availability that is either reserved for another project or used by a project with a higher priority.

  • Total, Reserved and Used: Displays the total availability, the availability that is reserved for another project, and the availability that is used by a project with a higher priority.

  • Unreserved and Used: Displays both the availability that is not reserved for another project and the availability that is used by a project with a higher priority.

If the option selected includes the total, this is shown with a solid line. Otherwise, the solid line will represent the net availability of reserved availability, or the net availability of reserved and used availability.

If the option selected includes more than one of the three possibilities, these will be shown as progressively lighter filled areas below the solid line.

Display

Calculate

You can have Open Plan display resource information in terms of either resource units, base unit costs, or escalated costs. You can also specify the label displayed on the vertical axis for the selected value.

The option to show escalated costs does not affect the display of actuals.

  • Quantity: When this option is selected, the histogram bar or table can display either the total or the average quantity of resource units assigned or used for the date unit. The total quantity for each date can also be displayed as a cumulative S-curve. If the resource selected for the histogram display is a cost resource, the value represented would be monetary units.

  • Cost: When this option is selected, the histogram bar or table can display either the total or the average unescalated cost that Open Plan calculates for the resource assignment or usage for the date unit. The total cost for each date can also be displayed as a cumulative S-curve.

  • Escalated Cost: When this option is selected, the histogram bar or table can display either the total or the average escalated cost that Open Plan calculates for the resource assignment or usage for the date unit. The total escalated cost for each date can also be displayed as a cumulative S-curve.

Values for

You can control which values appear in the view with one of the following options:

  • Average Histogram: Resource values appear as bars representing an average value per the default duration unit used by the project. Open Plan calculates this average over the smallest time unit displayed on the date scale and uses the default project calendar to determine valid working periods. The average value is expressed in terms of the default duration defined for the project. For example, if the default duration is weeks, an average of 4 would mean 4 resource units per week. When calculating the average value, Open Plan uses the calendar assigned to the first availability record for each selected resource. If you have not assigned a calendar to the project, Open Plan assumes a 5-day, 40-hour work week with no holidays. The Average Histogram option does not apply to S-curves.

  • Totals: In Open Plan, histogram bars can display total values. When this option is selected, each bar represents a total value for the period defined by the date unit. S-curves represent cumulative total values. Text boxes allow you to enter labels for both histogram bars and S-curves. To create a view that shows the equivalent headcounts for resource availabilities and assignments based on person-days, display average resource values.

Location

To display the Histogram Preferences dialog box, complete the following step:

  1. Take one of the following actions:

  • Display a resource histogram in stand-alone view by selecting it from the Project Views folder in Open Plan Explorer, right-click an empty space on the view, and select Preferences from the shortcut menu.

The Preferences option is available from the shortcut menu only if you previously selected a resource in the selected resource histogram view and if you saved the view after selecting the resource.

  • Display a barchart view from the Project Views folder in Open Plan Explorer, and click Preferences from the Histogram menu group of the View tab.

Related Topics and Procedures

Related Topics

Customizing a Resource Histogram View

Resource Selection Dialog Box

Histogram Preferences Options Tab

Histogram Preferences Earned Value Tab

Related Procedures

Displaying Resource Assignments on a Resource Histogram

Displaying Actual Resource Usage on a Resource Histogram


Histogram Preferences Earned Value Tab

This tab is available only if you selected Earned Value on the Options tab of the Histogram Preferences dialog box. It controls the type of earned value data Open Plan displays on the histogram view. Depending on the selection you make in the Display Calculate area of this dialog box, the values may represent resource units, costs, or escalated costs.

You can display earned value data as both histogram bars and S-curves. Histogram bars represent incremental values for the periods defined by the date unit while S-curves represent the cumulative value for the period.

Show

You can indicate one or more sets of earned value data to appear in the view. You can also indicate the color of the bar or line for each item. If you are displaying forecast costs, you can indicate which set of forecast dates to use as the basis of the forecast.

For each of these earned value data types, you can choose whether or not to include the data type as a histogram bar and/or as a cumulative S-curve. You can also customize how histogram bars and S-curves are displayed:

  • Histogram bar customization

  • S-curve customization

The defined color indicates the color of the first selected resource. Subsequent resources are assigned a color automatically by Open Plan.

Forecast

Open Plan calculates the forecast based on actuals up to Time Now and budget for the remainder of the project. Depending on the setting in the Display Calculate area of this dialog box, the forecast value may represent either resource units or monetary units.

If you include forecast data, you can choose whether the forecast should be based on early dates, late dates, or scheduled dates.

BCWS

For each date unit on the date scale, the histogram bar represents the budgeted cost of the work scheduled according to the baseline dates.

You can also display an S-curve that represents the cumulative budgeted cost of the work scheduled for each date unit on the date scale.

ACWP

For each date unit on the date scale, the histogram bar represents the actual cost of the resource usage as calculated during resource progressing.

You can also display an S-curve that represents the cumulative actual cost of the resource usage as calculated during resource progressing for each date unit on the date scale.

BCWP

For each date unit on the date scale, the histogram bar represents the budgeted cost of the portion of the scheduled work that has been completed.

You can also display an S-curve that represents the cumulative budgeted cost of the portion of the scheduled work that has been completed for each date unit on the date scale.

Display

For both histogram bars and S-curves, you can also specify the following values:

Calculate

You can have Open Plan display earned value information in terms of either resource units, base unit costs, or escalated costs. You can also specify the label displayed on the vertical axis for the selected value.

The option to show escalated costs does not affect the actuals portion of forecast costs or the display of ACWP.

  • Quantity: When this option is selected, the histogram displays the quantity of resource units assigned or used for the date unit. You can also display the cumulative values as an S-curve. In addition, you can also specify an identification label for this value.

  • Cost: When this option is selected, the histogram displays the earned value based on unescalated costs for the selected resources. You can also display the cumulative values as an S-curve. In addition, you can also specify an identification label for this value.

  • Escalated Cost: When this option is selected, the histogram displays the earned value based on escalated costs for the selected resources. You can also display the cumulative values as an S-curve. In addition, you can also specify an identification label for this value.

Values for

You can specify identification labels for both histograms and S-curves.

Location

To display the Histogram Preferences dialog box, complete the following step:

  1. Take one of the following actions:

  • Display a resource histogram in stand-alone view by selecting it from the Project Views folder in Open Plan Explorer, right-click an empty space on the view, and select Preferences from the shortcut menu.

The Preferences option is available from the shortcut menu only if you previously selected a resource in the selected resource histogram view and if you saved the view after selecting the resource.

  • Display a barchart view from the Project Views folder in Open Plan Explorer, and click Preferences from the Histogram menu group of the View tab.

Related Topics and Procedures

Related Topics:

Customizing a Resource Histogram View

Histogram Preferences Options Tab

Histogram Preferences Resources Tab

Related Procedure:

Displaying Earned Value on a Resource Histogram


Resource Selection Dialog Box

To display the Resource Selection dialog box, certain conditions must be met:

  • A resource file must be assigned to the project.

  • The project must contain at least one activity with resource assignments.

This dialog box controls the resources that are displayed in the histogram.

When selecting resources to display, be sure that all selected resources use the same time unit. For example, you should not mix resources measured in person-hours and resources measured in person-days or person-weeks in the same bar.

A resource categories list allows you to specify the category of resources to be displayed:

  • All Resource Categories

  • Labor

  • Material

  • Other Direct Costs

  • Subcontract

  • Skills

A resource’s category is defined on the General tab of the Resource Details dialog box.

Hide Unreferenced Resources

You can further refine the list of resources by selecting Hide Unreferenced Resources. This filters the list to only include those resources or alternate resources that are assigned to activities. Note that this field is automatically selected and read-only when you select Use Alternate Resources.

While you can choose to display resource pools in the histogram, keep in mind that all availabilities, requirements, and usage displayed for a pool represent a roll-up of the child resources belonging to the pool. Any availabilities defined at the pool level are ignored in the histogram.

When selecting resources to display, be sure that all selected resources use the same unit. While Open Plan does not prevent you from mixing resources measured in work-hours with those measured in work-days, for example, the resulting histogram will not provide meaningful information.

Clearing this option displays the entire resource use file hierarchy which makes the resource pools available for selection.

Use Alternate Resources

Resource managers use both resources and alternate resources for planning. Open Plan allows you to use alternate resources in Histograms to generate reports. When you select this option, Open Plan displays the alternate resources that are assigned to activities and the functionality of all of the dialog box controls pertains to alternate resources. When you select this option, the Hide Unreferenced Resources is selected and read-only.

Show

This determines how Open Plan displays bars or curves representing more than one resource.

Total

This option displays the resource bars or curves for multiple resources as a total quantity. You cannot discern the amount of resource requirement or usage within a time frame for any specific resource.

Stacked

This option displays the resources bars for multiple resources in a stacked format. Each selected resource is displayed in a separate color. In the case of cumulative values, Open Plan displays separate S-curves for each resource.

Category

This option displays the resource bars for each resource category. In the case of cumulative values, Open Plan displays separate S-curves for each resource category.

If you select both a pool and any other pool or individual resource, the histogram displays each pool as a total histogram bar or S-curve.

Buttons

OK

Clicking this button marks the selected resource(s) for inclusion.

Cancel

Clicking this button (before clicking OK) closes the dialog box without selecting any resources.

Find

Clicking this button displays the Find dialog box that you can use to find a resource with a specified ID or description.

Find Next

Once you have located a resource using the Find button, clicking the Find Next button locates the next resource that meets the same search criteria.

Expand All

Clicking this button fully expands the resource hierarchy.

You can selectively expand portions of the hierarchy by clicking the appropriate [image] icon.

Select All

Clicking this button selects all resources in the hierarchy.

Clear All

Clicking this button clears the selection for all resources in the hierarchy.

Help

Clicking this button displays this Help topic.

Location

To display the Resource Selection dialog box, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in resource histogram view.

  2. In General menu group of the View tab, Click Select Resource.

Alternatively, you can right-click an empty space on the view and select Select Resource from the shortcut menu.

If you are in a barchart view, you can display the Resource Selection dialog box by selecting the Display Histogram option in the Histogram menu group of the View tab.

Related Topics and Procedures

Related Topics

Resource Histogram View Overview

Customizing a Resource Histogram View

Related Procedure

Selecting Resources to Display on a Resource Histogram


Risk Analysis Histogram View

Risk Analysis Histogram View Overview

A risk analysis histogram view displays probability information about a key activity against a time scale in a histogram format.

To display a risk histogram in Open Plan, the following conditions must be met:

  • You must have performed risk analysis for the project.

  • The project must have at least one activity designated as a key activity.

  • You have selected an activity to display. (Click Select Activity from the View tab or right-click the workspace and click Select Activity from the shortcut menu.)

The risk analysis histogram view presents the detailed picture of the probability distribution for calculated dates for a key activity.

Using the Risk Analysis Preferences dialog box, you can select any of the following dates for use in the Risk Analysis Histogram View:

  • Early start

  • Early finish

  • Late start

  • Late finish

As in the case of resource histograms, each bar in a risk histogram represents a value corresponding to the smallest time unit displayed on the date scale. For example, if you define a date scale with the most detailed axis showing months, you can display bars that show how many times a key activity finished in a given month:

Each bar in the view represents a value corresponding to a percentage of trials that results in a calculated date within the smallest time unit displayed on the date scale. For example, if you define a date scale with a single axis showing weeks, you can display early start bars that represent the percentage of trials that resulted in an early start during each week. In this way, you can display probability information aggregated on an hourly, daily, weekly, monthly, quarterly, or yearly basis.

A legend that explains the colors used for the bars and S-curves displays at the left side of the risk analysis histogram view. Against the left-hand axis, Open Plan prepares a scale representing the percentage of risk analysis iterations that occurred in a given time interval. The right-hand axis represents the cumulative distribution of the dates.

If you prefer to see the precise values represented in the view, you can configure a risk analysis histogram view to display information in a tabular format below the bars. It is also possible to display just the tabular portion of the view.

It is also possible to display just the tabular portion of the view.

As in the case of the bars, the aggregation of tabular data corresponds to the smallest unit displayed on the date scale.

In addition to displaying information aggregated on a period-by-period basis, you can display S-curves representing the cumulative results of multiple trials. This feature is especially useful for estimating how much confidence is associated with a particular start or finish date.

Location

To display a project in risk analysis histogram view, complete the following step:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in risk histogram view.

Related Topics and Procedures

Related Topics

Customizing a Risk Analysis Histogram View

Risk Analysis Preferences Dialog Box

Key Activity Selection Dialog Box

Related Procedures

Displaying a Risk Histogram View

Define Histogram Display Options


Customizing a Risk Analysis Histogram View

You can customize the way in which Open Plan displays probability information in a risk analysis histogram view in the following ways:

  • You can select the colors that Open Plan uses to display both histogram bars and S-curves.

  • You can specify whether or not Open Plan should display the data as a table, a graph, or both.

  • If information is displayed in a table, you can specify the number of decimal places that should be included.

  • You can specify both the style and the position of the histogram bars.

Selecting a Key Activity

Open Plan allows you to select the activity that appears in the view using the Key Activity Selection dialog box.

Risk Histogram Display Options

To define the appearance of a risk histogram view, display the Risk Analysis Preferences dialog box. With this dialog box, you can indicate which dates (Early Start, Early Finish, Late Start, or Late Finish) to display in the view and whether you want to display histogram bars or cumulative S-curves. You can also indicate whether you want to display a graph only, a table only, or a combination of the two. If you display a table, you can indicate how many decimal places should be displayed.

If you are displaying histogram bars, you have the option of specifying the bar style (3-dimensional or flat). If multiple bars are displayed, you can specify their display as either side-by-side or front-to-back. If you choose to display flat bars front-to-back, Open Plan varies the width of the bars to distinguish between the different types of information being displayed.

Customizing the Date Scale

You can customize the date scale appearing in a stand-alone risk histogram view using the same procedures that you use to customize the date scale in a barchart view. (In fact, when a risk histogram appears in a barchart view, the barchart date scale controls the histogram portion of the view as well.)

For information about customizing the date scale, see Customizing the Date Scale in the Barchart View.

Related Topics and Procedures

Related Topics

Risk Analysis Histogram View Overview

Risk Analysis Preferences Dialog Box

Key Activity Selection Dialog Box

Related Procedure

Displaying a Risk Histogram View

Select a Key Activity to Display on a Risk Histogram View

Define Histogram Display Options


Customizing the Date Scale in the Risk Analysis Histogram View

You can customize the date scale appearing in a stand-alone resource histogram view using the same procedures that you use to customize the date scale in a barchart view. (In fact, when a resource histogram appears in a barchart view, the barchart date scale controls the histogram portion of the view as well.)

For more information, see Customizing the Date Scale.


Risk Analysis Histogram Requirements

To display a risk histogram in Open Plan, the following conditions must be met:

  • The project must have at least one activity designated as a key activity.

  • You must have performed risk analysis for the project.

  • You must have selected an activity to display. (To indicate your selection, click Select Activity on the View tab or right-click on the workspace and click Select Activity from the shortcut menu.)

Related Topics and Procedures

Related Topics

Risk Analysis Histogram View Overview

Risk Analysis Preferences Dialog Box

Key Activity Selection Dialog Box

Related Procedure

Displaying a Risk Histogram View


Reporting Calendars in the Risk Histogram View

Reporting calendars allow you to view time-scaled data in a barchart or histogram view using a non-linear date scale. Using reporting calendars you can, for example, display a histogram that shows resource usage on a monthly basis for the next three months, on a quarterly basis for the four quarters following that, and on a yearly basis for the remaining years of the project.

For more information about reporting calendars, see Reporting Calendars.

Related Topics and Procedures

Related Topics

Date Scale Preferences Report Calendar Tab

Reporting Calendars Dialog Box

Add Reporting Calendar Dialog Box

Copy Reporting Calendar Dialog Box

Edit Reporting Calendar Dialog Box

Related Procedures

Customizing a Date Scale

Creating a New Reporting Calendar

Editing a Reporting Calendar

Copying a Reporting Calendar

Deleting a Reporting Calendar


Key Activity Selection Dialog Box

The Key Activity Selection dialog box controls the key activity that is displayed in the risk analysis histogram view. At any one time, Open Plan displays a single key activity on the view.

Location

To display the Key Activity Selection dialog box, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in risk histogram view.

  2. Right-click an empty space on the risk histogram view, and click Select Activity from the shortcut menu.

Alternatively, you can also click Select Activity from the General menu group of the View tab. .

Related Topics and Procedures

Related Topics

Risk Analysis Histogram View Overview

Customizing a Risk Analysis Histogram View

Risk Analysis Preferences Dialog Box

Related Procedures

Displaying a Risk Histogram View

Selecting a Key Activity to Display on a Risk Histogram View


Risk Analysis Preferences Dialog Box

Use this dialog box to indicate which dates (Early Start, Early Finish, Late Start, or Late Finish) to display in the view and whether you want to display histogram bars or cumulative S-curves. You can also indicate whether you want to display a graph only, a table only, or a combination of the two. If you display a table, you can indicate how many decimal places should be displayed.

Histogram

Each histogram bar can represent a period value for the period defined by the date unit. Using the histogram options, you can choose to display histogram bars to represent the following dates:

  • Early start

  • Early finish

  • Late start

  • Late finish

In addition, you can select the colors that Open Plan should use for each of these histogram bars by clicking the appropriate down arrow. The Color dialog box that is displayed offers a choice of 70 standard colors.

You can define custom colors using an enhanced version of the Color dialog box accessed from the Color tab of the Options dialog box.

S-Curve

Each S-curve can represent a cumulative value for the period defined by the date unit. Using S-curve options, you can choose to display S-curves to represent the following dates:

  • Early start

  • Early finish

  • Late start

  • Late finish

In addition, Open Plan enables the ellipsis button at the right of the color block. Clicking this button displays the S-Curve Line Selection dialog box that you can use to select a line style and color for both monitor display and printed output.

Display as

Table

This option displays the data in a tabular format.

You can also specify the number of decimal places to be included in the table display

Graph

This option displays the data as a histogram or S-curve.

Both

This option displays the data as a table below a graph.

Table

Number of Decimal Places

Use this field to specify the number of decimal places to use in the tables and/or graphs.

Bar Styles

Style

  • 3-Dimensional

  • Flat

Position

  • Side by Side: In the side-by-side position, Open Plan displays each data unit next to each other within each time period.

  • Front to Back: In the front-to-back position, Open Plan displays each data unit one behind the other within each time period.

3-Dimentional Side by Side | 3-Dimentional Front to Back
Flat Side by Side | Flat Front to Back

Location

To display the Risk Analysis Preferences dialog box, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in risk histogram view.

  2. Right-click an empty space on the view and select Preferences from the shortcut menu.

Alternatively, you can click Preferences in the General menu group of the View tab.

Related Topics and Procedures

Related Topics

Risk Analysis Histogram View

Customizing a Risk Analysis Histogram View

Key Activity Selection Dialog Box

Related Procedure

Displaying a Risk Histogram View


S-Curve Line Selection Dialog Box

This dialog box features the following controls that allow you to specify both how a cumulative S-Curve should be displayed on your monitor and how it is printed:

Display

Line Style

This field contains a list of seven line styles from which you can select the one that Open Plan should use when displaying an S-Curve on a monitor.

Color

Clicking the down arrow for this field displays a Color dialog box that you can use to select a color that Open Plan should use when displaying an S-Curve on a monitor. The Color dialog box offers a choice of 70 standard colors.

Printer

Line Style

This field contains a list of 15 line styles from which you can select the one that Open Plan should use when printing an S-Curve.

Color

Clicking the down arrow for this field displays a Color dialog box that you can use to select a color that Open Plan should use when printing an S-Curve. The Color dialog box offers a choice of 70 standard colors.

You can define custom colors using an enhanced version of the Color dialog box accessed from the Color tab of the Options dialog box.

Location

To display the S-Curve Line Selection dialog box from the risk analysis histogram view, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in risk histogram view.

  2. Right-click an empty space on the view and select Preferences from the context menu.

The Preferences option is available from the shortcut menu only if you previously selected a resource in the selected resource histogram view and if you saved the view after selecting the resource.

Alternatively, you can click Preferences in the General menu group of the View tab.

  3. In the Risk Preferences dialog box, mark an S-Curve check box in the Show group box, and click the ellipsis button.

To display the S-Curve Line Selection dialog box from the resource histogram view, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in resource histogram view.

  2. Right-click an empty space on the view and select Preferences from the context menu.

Alternatively, you can click Preferences in the General menu group of the View tab.

  3. On the Resources tab of the Histogram Preferences dialog box, mark an S-Curve check box in the Show group box, and click the ellipsis button.

Related Topics and Procedures

Related Topics

Customizing a Resource Histogram View

Using the Resource Selection Dialog Box

Histogram Preferences Options Tab

Histogram Preferences Resources Tab

Customizing a Risk Analysis Histogram View

Using the Key Activity Selection Dialog Box

Using the Risk Analysis Preferences Dialog Box

Related Procedures

Displaying Resource Assignments on a Resource Histogram

Displaying Actual Resource Usage on a Resource Histogram

Displaying a Risk Histogram View


Define Resource Histogram Display Options

To define histogram display options, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in resource histogram view.

  2. Take one of the following actions:

  3. In the General menu group of the View tab, click Preferences.

  4. Right-click anywhere in the view, and click Preferences on the shortcut menu.

  3. On the Options tab of the Histogram Preferences dialog box, enter the information for the display options. For more information, see Histogram Preferences Dialog Box.

  4. When the information is complete, click OK.


Define the Display of Earned Value Information on a Resource Histogram

To define the display of earned value information, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in resource histogram view.

  2. Take one of the following actions:

  3. In the General menu group of the View tab, click Preferences.

  4. Right-click anywhere in the view, and click Preferences on the shortcut menu.

  3. On the Options tab of the Histogram Preferences Dialog Box, select the Earned Value option in the Display group box.

  4. On the Earned Value tab, enter the information, and click OK.

Related Topics and Procedures

Related Topics

Histogram Preferences Dialog Box

Resource Histogram Requirements

Customizing a Resource Histogram View

Displaying Earned Value Information on a Resource Histogram


Define the Display of Resource Information on a Resource Histogram

To define the display of resource information, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in resource histogram view.

  2. Take one of the following actions:

  3. In the General menu group of the View tab, click Preferences.

  4. Right-click anywhere in the view, and click Preferences on the shortcut menu.

  3. On the Options tab of the Histogram Preferences Dialog Box, select the Resources option in the Display group box.

  4. On the Resources tab, enter the information, and click OK.

Related Topics and Procedures

Related Topics:

Resource Histogram Requirements

Customizing a Resource Histogram View

Displaying Resource Information on a Resource Histogram


Display a Resource Histogram on a Barchart (Procedure)

Display a Resource Histogram on a Barchart

To display a resource histogram on a barchart:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in resource histogram view.

  2. Ensure that a resource file is assigned to the project and that the project contains at least one activity with a resource assignment.

  3. Perform time analysis on the project. For more information, see Time Analysis Overview and Time Analysis Dialog Box.

  4. If you want to display resource utilization, perform resource scheduling. For more information, see Resource Scheduling Overview and Resource Scheduling Dialog Box.

  5. In the General menu group of the View tab, click Select Resource.

  6. In the Resource Selection dialog box, select the resources to display on the histogram. If you select multiple resources, choose whether to show the resource data Total, Stacked, or Category.

  7. Click OK.

Related Topics and Procedures

Related Topic

Resource Selection Dialog Box

Related Procedures

Displaying a Resource Histogram View

Selecting Resources to Display on a Resource Histogram

Performing Time Analysis

Performing Resource Scheduling


Display a Resource Histogram View (Procedure)

Display a Resource Histogram View

To display a stand-alone resource histogram view:

  1. Select a project in Open Plan Explorer.

  2. Perform time analysis on the project. Performing time analysis generates early and late dates for the project. For more information, see Time Analysis Overview and Time Analysis Dialog Box.

  3. Perform resource scheduling if you also want the histogram to display resource usage. For more information, see Resource Scheduling Overview and Resource Scheduling Dialog Box.

  4. If necessary, assign the Resource Histogram view to the project. If the Resource Histogram view has not been selected as a standard file in your installation of Open Plan, you will need to assign it to your project to display a resource histogram view for the first time. For more information, see Assigning a View to a Project.

  5. In the Project Views folder of your project, double-click the resource histogram view.

  6. If the resource histogram view is blank, click Select Resource in the General menu group of the View tab. You may also right-click within the view, and click Select Resource on the shortcut menu.

  7. In the Resource Selection dialog box, select the resources to display on the histogram. If you select multiple resources, choose whether to show the resource data Total, Stacked, or Category.

  8. Click OK.

Related Topics and Procedures

Related Topic

Resource Selection Dialog Box

Related Procedures

Displaying a Resource Histogram on a Barchart

Selecting Resources to Display on a Resource Histogram

Performing Time Analysis

Performing Resource Scheduling


Displaying Actual Resource Usage on a Resource Histogram (Procedure)

Displaying Actual Resource Usage on a Resource Histogram

To display actual resource usage for resources for a project:

  1. In Open Plan Explorer, select a project for which you want to display resource usage.

  2. Perform time analysis on the project. For more information, see Time Analysis Overview and Time Analysis Dialog Box.

  3. Perform resource scheduling on the project. For more information, see Resource Scheduling Overview and Resource Scheduling Dialog Box.

  4. In the Project Views folder of your project, double-click the resource histogram view.

  5. If the resource histogram view is blank, click Select Resource in the General menu group of the View tab. You may also right-click within the view, and click Select Resource on the shortcut menu.

  6. In the Resource Selection dialog box, select the resources for which you want to see resource usage, and click OK.

  7. In the General menu group of the View tab, click Preferences. (If a barchart with a histogram is displayed, the option is Histogram Preferences.)

  8. On the Options tab of the Histogram Preferences dialog box, select Resources, and specify the display options.

  9. Click the Resources tab.

  10. In the Show group box of the Resources tab, select Actuals, and specify the preferred appropriate options in the remaining areas of the tab.

  11. Click OK.

Related Topics and Procedures

Related Topic

Customizing a Resource Histogram View

Related Procedures

Displaying a Resource Histogram View

Displaying a Resource Histogram on a Barchart

Displaying Resource Usage on a Resource Histogram

Displaying Resource Assignment Levels on a Resource Histogram

Displaying Earned Value on a Resource Histogram


Displaying Earned Value on a Resource Histogram (Procedure)

Displaying Earned Value (Resource Histogram)

To display earned value information:

  1. In Open Plan Explorer, select a project for which you want to display earned value.

  2. Enter progress information for the activities that are underway. For more information, see Entering Progress Information and Perform Progress Calculations.

  3. Perform time analysis on the project. For more information, see Time Analysis Overview and Time Analysis Dialog Box.

  4. Perform resource scheduling on the project. For more information, see Resource Scheduling Overview and Resource Scheduling Dialog Box.

  5. In the Project Views folder of your project, double-click the resource histogram view.

  6. If the resource histogram view is blank, click Select Resource in the General menu group of the View tab. You may also right-click within the view, and click Select Resource on the shortcut menu.

  7. In the Resource Selection dialog box, select the resources for which you want to see earned value, and click OK.

  8. In the General menu group of the view tab, click Preferences. (If a barchart with a histogram is displayed, the option is Histogram Preferences.)

  9. On the Options tab of the Histogram Preferences dialog box, select Earned Value.

  10. Click the Earned Value tab.

  11. On the Earned Value tab, select the information you want to display, and click OK.

Related Topics and Procedures

Related Topic

Customizing a Resource Histogram View

Related Procedures

Displaying a Resource Histogram View

Displaying a Resource Histogram on a Barchart

Displaying Resource Usage on a Resource Histogram

Displaying Resource Assignment Levels on a Resource Histogram


Displaying Resource Assignments on a Resource Histogram (Procedure)

Displaying Resource Assignments on a Resource Histogram

To display resource assignments for a project:

  1. In Open Plan Explorer, select a project for which you want to display resource assignment levels.

  2. Perform time analysis on the project. For more information, see Time Analysis Overview and Time Analysis Dialog Box.

  3. In the Project Views folder of your project, double-click the resource histogram view.

  4. If the resource histogram view is blank, click Select Resource in the General menu group of the View tab. You may also right-click within the view, and click Select Resource on the shortcut menu.

  5. In the Resource Selection dialog box, select the resources for which you want to see the requirements, and click OK.

  6. In the General menu group of the View tab, click Preferences. (If a barchart with a histogram is displayed, the option is Histogram Preferences.)

  7. On the Options tab of the Histogram Preferences dialog box, select Resources, and specify the display options.

  8. Click the Resources tab.

  9. On the Resources tab, select the information you want to display, and click OK.

Related Topics and Procedures

Related Topic

Customizing a Resource Histogram View

Related Procedures

Displaying a Resource Histogram View

Displaying a Resource Histogram on a Barchart

Displaying Resource Usage on a Resource Histogram

Displaying Earned Value on a Resource Histogram


Select Resources to Display on a Resource Histogram (Procedure)

Select Resources to Display on a Resource Histogram

To select resources to display, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in resource histogram view.

  2. In the General menu group of the View tab, If the resource histogram view is blank, click Select Resource. You may also right-click within the view, and click Select Resource on the shortcut menu.

  3. In the Resource Selection dialog box, select the resources to display on the histogram. If you select multiple resources, choose whether to show the resource data Total, Stacked, or Category.

  4. Click OK.

If you have applied a filter to the view, a resource histogram represents only those activities that satisfy the filter. For more information, see Filters.

Related Topics and Procedures

Related Topics

Risk Analysis Histogram View Overview

Resource Selection Dialog Box

Related Procedures

Displaying a Resource Histogram View

Displaying a Resource Histogram on a Barchart

Performing Time Analysis

Performing Resource Scheduling


Network View

A network view is a graphic representation of a project that shows activities as boxes and the relationships between activities as arrows. Favored by many experienced project planners, network views stress the clear depiction of relationships between activities and are often used to display a logical diagram of a project. Network views are particularly well suited for communicating the critical path of a project, which may have important ramifications for the execution of the overall project plan.

The primary purpose of a network view is to show the relationships between activities, and thus, the logic of the project as a whole. In addition, you can create and display an annotation that you can attach to any activity or to the entire project.

In Open Plan, a network view allows you to display multiple levels of a hierarchical project at one time. You can also create relationships between activities in different projects and on different hierarchical levels.

Search

You can search for and view any activity in a network view instantly regardless of whether the activity is in the current view. When you enter an activity description, activity ID, or any available field on the Find and Replace dialog box, and click Find Next (or press Enter), Open Plan automatically navigates to the subproject where you can find the activity provided that the activity has not been filtered out by a filter assigned on the Placements dialog box.

The list of available fields is based on what is displayed in the box in the network view.

Split View

Open Plan allows you to split a network view into two panes. Each pane features a horizontal scroll bar allowing you to adjust the amount of data displayed in each pane.

The split view feature is especially useful when you want to add a relationship between two activities that are not located next to each other in a large network. To create the relationship, display the predecessor in one pane and the successor in the other. Then Alt+drag the cursor from the predecessor to the successor.

The activity box sizes are resized automatically, depending on the values you set in the Network Preferences dialog box. You can also align activity boxes based on dates that you specify. With this option, Open Plan places the activity boxes beneath date labels that are displayed across the top of the network. Open Plan always displays the activity boxes in the order dictated by the project logic. Therefore, a successor activity is never placed to the left of its predecessor even if it has an earlier start date due to negative lag.

For information about customizing the display of activity boxes, see Customizing Network Views in the Deltek Open Plan Developer’s Guide.

Because a network view depicts the logic of a project, it is sometimes called a logic drawing or a logic diagram. Other project management systems may call this view a flowchart or a PERT chart.

You can define the shape and color of the activity box ends as well as diagonal lines across the box to convey information about the activity. You can also customize the areas within the box to display data about the activity.

Network View Display Options

You can control the display of a network view with a number of settings accessed from the Options tab of the Network Preferences dialog box.

Conditional Formatting

Use the Conditional Formatting dialog box dialog box to override default settings by specifying the conditions under which the attributes of rows or an individual column or row will change. For example, you may want key figures that exceed a particular criterion to appear in bold red text, show a symbol, or display in a different background color.

Location

To display a project in network view, complete the following step:

  1. In the Projects Views folder of Open Plan Explorer, select a project to display in network view.

Related Topics and Procedures

Related Topics

Displaying Multiple Subprojects

Defining Custom Zoning

How a Network View Displays Information

Customizing a Network View

Working with Activities in a Network View

Annotating a Network

Related Procedures

Creating an Activity in a Network View

Editing an Activity

Creating a Relationship Using a Mouse (Network)

Creating a Relationship Using the Keyboard (Network)

Selecting Multiple Activities in a Network View

Changing the Font on Activity Boxes

Splitting a Network View into Two Panes

Customize Network View Display Options


Customizing a Network View

In Open Plan, you can use the Network Preferences dialog box to customize a network view in many ways. For example, you can define the following aspects of the network view:

  • How relationship information is displayed

  • Whether or not the view should display where page breaks occur in a printed report

  • Whether or not controlling relationships should be highlighted

  • If, and where, a legend should be printed in a report

  • The size and placement of activity boxes in the view

  • Annotations that can be attached to either the view or to a specific activity

You can also control the following attributes of the activity boxes:

  • The appearance of the activity boxes based on criteria that you define

  • The data fields displayed in the activity boxes

Customize the Appearance of the Activity Boxes

The Network Preferences dialog box's Box Attributes tab controls the appearance of the activity boxes based on criteria that you define. In this way, you can use attributes such as box styles or colors to represent activity data.

Customize the Display of Data Fields within an Activity Box

You can use the Network Preferences dialog box's Box Layout tab to control both the selection and the display of data fields within an activity box.

Customize How Open Plan Displays the Relationships in a Network View

You can use the Network Preferences dialog box's Relationships tab to specify how Open Plan displays the relationships for a network view.

Specify the Conditions Under Which the Properties of the Activity Boxes Will Change

With the Conditional Formatting dialog box, you can override the default settings by specifying the conditions under which the properties of the activity boxes will change. For example, you may want an activity box that exceeds a particular criterion or filter to appear in bold red text, show a symbol, or display against a different background.

Related Topics and Procedures

Related Topics

Network Preferences Dialog Box

Network Preferences Options Tab

Network Preferences Relationships Tab

Network Preferences Legend Tab

Network Preferences Box Attributes Tab

Network Preferences Box Layout Tab

Conditional Formatting dialog box

Network View Annotation Dialog Box

Related Procedures

Showing Page Breaks on a Network View

Highlighting Controlling Relationships in the Network View

Defining the Relationship Line Style

Changing the Shape of a Relationship Line

Defining Activity Box Attributes

Setting Box Layout Options

Aligning Activity Boxes in the Network View

Performing Automatic Placements

Entering an Annotation

Changing the Size of an Activity Box

Customize the Activity Boxes Display Using Conditional Formatting


Displaying Multiple Subprojects

Displaying expanded subprojects from multiple hierarchical levels usually requires the use of two commands:

  • Go To Subproject: Drill down to the next level of the project. The level from which you drilled down is no longer displayed in the view.

  • Expand: Maintain the current level of the view, but display the children of the selected activity as an expanded subproject.

For more information about displaying subprojects, see How a Network View Displays a Hierarchy.

To understand how you might use these commands to expand subprojects from different levels, assume that you want to represent the following project in a single network view:

Activity | Description
1 | Project
1.1 | Subproject 1
1.1.1 | Detail activity 1
1.1.2 | Detail activity 2
1.2 | Subproject 2

When you first display this project in a network view, only the top level activity appears:

By selecting this activity and clicking Expand, you can display the following:

To display the detail activities in the project, you must first drill down a level and expand Subproject 1:

After you have displayed the lowest level of detail in the project, click the Go To Top Level command to display all of the expanded subprojects in the same view:

Related Topics and Procedures

Related Topics

How a Network View Displays a Hierarchy

How a Network View Displays Information

Customizing a Network View

Working with Activities in a Network View

Annotating a Network

Related Procedures

Creating an Activity in a Network View

Editing an Activity

Creating a Relationship Using a Mouse (Network)

Creating a Relationship Using the Keyboard (Network)

Selecting Multiple Activities in a Network View

Changing the Font on Activity Boxes

Splitting a Network View into Two Panes


Controlling Box Sizes

Open Plan calculates the overall size needed to display an activity box based on criteria specified in the Network Preferences dialog box on the Box Layout tab (font, font size, maximum lines used, maximum width, and so on) when applied to the field values for that activity.

After an activity box has been manually resized, the new custom size will be saved with the view. This may be changed, however, by right-clicking the activity and choosing Dynamically Size Box. If you wish to change all custom-sized boxes in the view back to dynamic sizing, right click an activity and choose Dynamically Size All Boxes.

Related Topics and Procedures

Related Topic

Network Preferences Dialog Box


Network View Legends

Network views can include a legend that describes the various types of activity boxes appearing in the view as well as a definition of the activity data appearing in each box.

Legends are not normally displayed on the screen but are produced when the view is output to devices such as printers or plotters. You can, however, display the legend by using either a special option to place the legend manually or by using the Print Preview command from the File menu.

Open Plan provides a number of options for the placement and contents of a network legend. To set these options, click the Legend tab in the Network Preferences dialog box.

If you choose to display the legend on every page, Open Plan allows you to specify if the legend should appear on the top, bottom, left, or right side of the page. You can also choose to output the legend to a separate legend page.

The Manual option provides the most flexibility for displaying the legend. If you select this option, Open Plan displays the legend box in the view and allows you to position it manually or resize it. If a legend is too large to appear on a single page, you can place the legend across page breaks so that it appears on two or more pages.

Another way to customize a legend is to use the Manual option to display the legend in the view and then use the annotation feature to add additional information such as the name of the project or a signature block. For more information about annotations, see Annotating a Network.

Related Topics and Procedures

Related Topic

Network Preferences Dialog Box


Annotating a Network

The network view contains an annotation feature that allows you to highlight important information about your project. You can attach the annotation to either the view as a whole or to a specific activity. If you attach the annotation to an activity, the annotation stays with the activity whenever it is moved on the view. Open Plan displays the annotation only in the view in which it is created.

Open Plan allows you to customize the way the annotation is displayed in a number of different ways. You can:

  • Display the annotation within any of three different borders or without a border

  • Select the font to be used in the annotation, or choose the default font option (Arial, 50)

  • Choose the color on which the annotation is displayed

  • Display the annotation behind or in front of other elements on the view

  • Allow the annotation box to automatically resize, depending on the text length entered in the Text field.

Activity Annotation

As an option, you can attach an annotation to an activity. When attached, an annotation maintains the same position relative to the activity, even if the activity moves. If you delete the activity, Open Plan deletes the annotation.

Only one annotation can be attached to an activity at a time. If you attach a new annotation to an activity that already has an annotation, the existing annotation will remain displayed but will no longer be attached to the activity.

Defining an Annotation

To define an annotation, use the Add Annotation command on the View tab to display the Network View Annotation dialog box.

Annotations can contain multiple lines of text. To insert a line break in annotative text, press Ctrl+Enter. It is also possible to cut or copy text from an annotation to the Clipboard as well as to paste text from the Clipboard into an annotation.

Related Topics and Procedures

Related Topic

Network View Annotation Dialog Box

Related Procedures

Entering an Annotation

Editing an Annotation

Changing How an Annotation is Displayed

Deleting an Annotation


How a Network View Displays Information

A network view displays information about a project as a series of boxes that represent activities. Various features of the network view such as color, shape, and information displayed within an activity box can display a great deal of information at a glance. A network legend provides information about the data that is displayed. Use the Print Preview command to display the network legend. You can also display the legend in the network view by clicking Manual on the Legend tab of the Network Preferences dialog box. (To display the Network Preferences dialog box, click Preferences on the View tab.)

Activity boxes are connected by lines that represent the relationships between activities. The type of relationship is indicated by where the lines start and end. The left edge of the activity box represents the start of an activity; the right edge represents the finish.

  • Finish-to-Start: This is the default relationship type. It specifies that the start of the successor activity depends on the completion of the predecessor activity. In most cases, this means that the successor activity cannot start until the predecessor activity is completed. In the finish-to-start relationship, the arrow starts at the right edge of the predecessor activity and ends at the left edge of the successor.

  • Start-to-Start: This relationship specifies that the start of the successor activity depends on the start of the predecessor activity. In most cases, this means that the successor activity cannot be started before the start of the predecessor activity. In the start-to-start relationship, the arrow starts at the left edge of the predecessor activity and ends at the left edge of the successor.

  • Finish-to-Finish: This relationship specifies that the finish of the successor activity depends on the completion of the predecessor activity. In most cases, this means that the successor activity cannot be completed before the completion of the predecessor activity. In the finish-to-finish relationship, the arrow starts at the right edge of the predecessor activity and ends at the right edge of the successor.

  • Start-to-Finish: This relationship specifies that the finish of the successor activity depends on the start of the predecessor activity. In most cases, this means that the successor activity cannot be completed before the start of the predecessor activity. In the start-to-finish relationship, the arrow starts at the left edge of the predecessor activity and ends at the right edge of the successor.

Open Plan network views can display activities from multiple levels of a hierarchical project.

After you have entered the explanation in the Show This Explanation column for a field, and selected the Display Explanation When Hovering over Applied Rule(s) option, hovering your mouse over the said field in the activity box displays the explanatory text.

You can display explanatory text captions in the network view, explaining why a certain activity box has a specific formatting, such as font, text color, background color, and so on. You can do this by using the Conditional Formatting dialog box.

Intersecting Lines

When two lines intersect, Open Plan draws an arc on the vertical line where they cross. This indicates that the two lines don't join and also makes it easier for you to follow the path of the line. This feature is included in both the routed and direct line modes.

In routed mode, Open Plan tries to organize the logic lines so that they avoid going under the activity boxes. In the example below, Activity 1.13.02 has been moved and Open Plan has arranged the lines so that they don’t go under any activity boxes, and added arcs so that you can follow the path of the lines.

Related Topics and Procedures

Related Topics

How a Network View Displays a Hierarchy

Using the Placements Dialog Box

Using the Zone Attributes Dialog Box

Customizing a Network View

Working with Activities in a Network View

Conditional Formatting Dialog Box

Related Procedures

Creating an Activity in a Network View

Editing an Activity

Creating a Relationship Using a Mouse (Network)

Creating a Relationship Using the Keyboard (Network)

Displaying Child Activities in a Network View

Expanding a Subproject in a Network View

Moving Up the Hierarchy in a Network View

Splitting a Network View into Two Panes


How a Network View Displays a Hierarchy

By default, network views display only one hierarchical level at a time. However, it is possible to show multiple levels of a hierarchical project simultaneously in Open Plan.

  • Drill down: In this mode, Open Plan displays only the activities at the selected hierarchical level. When you display an activity at a lower level of the project hierarchy, the window caption indicates the ID of the subproject being displayed, and the Activity Details dialog box displays only the unique portion of the lower level activity ID. To perform any function that could potentially change the size of a subproject, you must first drill down to that subproject in the hierarchy. Therefore, to perform the following functions, you must first go to the subproject:

    • Create an activity

    • Move an activity within the subproject

    • Cut, copy, or paste an activity

    • Expand a subproject activity

    • Add an annotation either to the subproject workspace or to an activity within the subproject

  • Expand: In this mode, Open Plan displays subproject activities at the same time as it displays activities at a higher level. When you display an expanded subproject, you can perform most editing functions on the displayed activities. You can choose whether to display the expanded subproject within a frame that identifies the parent activity by using the Display Subproject Frame command that is available from the right-mouse context menu.

Features related to the display of hierarchical projects work identically for projects containing both internal and external subprojects.

You can use automatic placements to display activities from all levels in a format slightly different from that illustrated above. For more information, see Automatic Placements.

By default, Open Plan positions an expanded subproject just below any activities already displayed. (On large projects, you can use the Zoom commands to see the rectangle containing the subproject.) Once you have expanded a subproject, however, you can move it by dragging it to a new position within the view. If you wish, you can turn off the display of the frame surrounding the subproject. You can also collapse any subproject by right-clicking within the subproject area and clicking the Collapse Subproject command.

The position of an expanded subproject is not saved between sessions. If you close a view and reopen it, you must expand and reposition any subprojects you adjusted in the previous session. However, Open Plan does save information about the drill-down level when you save the view using the Save View command. Thus, if you drill down to a specific subproject and then save a network view, Open Plan automatically drills down to the same subproject the next time you open the view.

When you display expanded subprojects in a view, you can draw relationships between activities both within an expanded subproject and to activities outside of the subproject area.

The duration of a subproject activity is derived from the durations of its child activities.

Items such as activities, relationships, and annotations displayed in an expanded subproject do not behave identically to the same items displayed at the current level of the view. For example, you can continue to edit activities, relationships, and annotations appearing in the subproject by right-clicking the item you want to update. However, you cannot reposition these items within the subproject area or drag them outside of the subproject area.

Related Topics and Procedures

Related Topics

Displaying Multiple Subprojects

Subprojects in Network Views

Hierarchical Projects (subprojects)

Related Procedure

Moving Up the Hierarchy in a Network View


Automatic Placements

In network views, the term “placements” refers to the positioning of activities and relationship lines. You can position activities in a view manually, or you can have Open Plan calculate placements automatically using an algorithm designed to minimize the need for relationship lines to cross each other. Placements calculated in this fashion can result in network diagrams that are much easier to decipher, particularly in the case of very large projects.

Initially, the position of an activity in a network view depends on how you create it:

  • If you add an activity by double-clicking in the view or by drawing a relationship from an existing activity, Open Plan places the activity in the position you indicated.

  • If you create an activity using the Add Activity command, Open Plan places it in the middle of the current view.

  • If you create an activity in a view other than a network view, Open Plan places the new activity below the existing activities when you return to the network view.

You cannot change the size of an activity box while placements are set to automatic.

If you choose to have Open Plan calculate placements automatically, you can control these calculations with options to avoid displaying activities across page breaks, to show activities from all hierarchical levels of the project, to filter the activities displayed, or to arrange activities either in zones based on the contents of an activity field such as a code or along a time scale.

In addition to allowing for options such as filters, zoning, and time-scaling, automatic placements differ from manual placements in how Open Plan preserves the placement information for the view between sessions. For automatic placements, Open Plan stores your settings for how the placements are calculated. It does not, however, store the actual placements themselves. Placements are recalculated each time the view is opened.

If you perform automatic placements and want to preserve them for future sessions, you can save them as manual placements. You also have the ability to perform automatic placement calculations and then make adjustments to the activity positions manually. You can then save these modified automatic placements if you want to preserve them between sessions.

Open Plan stores placement settings separately for each network view assigned to a project. This means, for example, you can define one set of placement options for FLOWVW in the project Clean, and another set for DEVFLOW (another network view) in the same project. You can also define different placement settings for these same views when they are opened within a different project.

Open Plan does save the state of the automatic placements option (enabled or disabled) when you save the view using the Save View command. Thus, if you save a network view with automatic placements on, Open Plan automatically calculates placements for the view the next time you open it.

The Placements dialog box controls the operations of the placements feature.

Related Topics and Procedures

Related Topics

Placements Dialog Box

Network View Overview

How a Network View Displays Information

How a Network View Displays a Hierarchy

Defining Custom Zoning

Defining Time Scaling

Related Procedures

Perform Automatic Placements

Turn Automatic Placements Off

Save Automatic Placements


Defining Custom Zoning

If you enable the zoning option for automatic placements, you can have Open Plan group activities in zones defined by criteria that you specify. For example, you can zone a project based on an activity code.

You can define as many as 50 zoning criteria for the calculation of automatic placements. To define how the view should be zoned, click Zoning in the Placements dialog box to display the Zone Attributes dialog box.

Related Topics and Procedures

Related Topics

Zone Attributes Dialog Box

Network View Overview

How a Network View Displays Information

How a Network View Displays a Hierarchy

Related Procedures

Adjust the Position of a Zone Header

Define Custom Zoning

Modify the Position of a Zone Header

Resize a Zone Header


Defining Time Scaling

If you enable the time scaling option for automatic placements, you can have Open Plan group activities based on activity dates. For example, you can group activities in a project based on early start dates.

To define how the view should be time-scaled, click the Time Scale button in the Placements dialog box to display the Scaling Specification dialog box.

Related Topics and Procedures

Related Topics

Placements Dialog Box

Scaling Specification Dialog Box

Network View Overview

How a Network View Displays Information

How a Network View Displays a Hierarchy

Related Procedures

Adjust the Position of a Time-Scaled Header

Define Custom Time Scaling

Modify a Time-Scaled Header

Resize a Time-Scaled Header


Working with Activities in a Network View

Open Plan allows you to perform many editing functions directly from a network view. You can add or delete individual activities or groups of activities. You can also perform move, cut, copy, and paste operations on either a single activity or groups of activities.

When you move an activity or group of activities within a single network view, the attached relationships remain with the activities.

When you cut a single activity from a network view, you also delete the attached relationships.

When you cut or copy a group of activities from a network view, only the relationships within the group remain with the cut or copied activities. Open Plan does not copy any relationships between the activities in the group and other activities in the project.

When applied to groups of activities, the copy and paste functions allow you to build a project very quickly.

If you copy a subproject activity to the clipboard, Open Plan also copies all its child activities from all lower levels in the hierarchy.

If you copy a group of activities to the clipboard, all the selected activities must have a common parent.

Related Topics and Procedures

Related Topics

Hierarchical Projects (subprojects)

Subprojects in Network Views

How a Network View Displays Information

Related Procedures

Selecting Multiple Activities in a Network View

Deleting an Activity

Cutting an Activity

Copying an Activity

Pasting an Activity

Moving an Activity in a Network

Splitting a Network View into Two Panes


Splitting the Network View

Open Plan allows you to “split” a network view in two. Both panes function normally, and each is independent of the other. For example, scrolling one pane does not scroll the other.

There are three ways to split a network view:

  • Click Split View on the View tab

  • Double-click the splitter control.

  • Use the split view cursor to drag the splitter bar to the desired location.

The splitter control is located at the left edge of the horizontal scrollbar. Hover the cursor over the splitter control to display the split view cursor.

This feature is handy when you have to add a relationship between two activities that are not located next to each other in a large network. To do so, display the predecessor in one pane and the successor in the other. Then Alt+drag the cursor from the predecessor to the successor.

After the link is created, both panes will show the new relationship line.

For more information about adding relationships, see Entering Activity Relationships.

Related Topics and Procedures

Related Topic

Network View Overview

Related Procedures

Splitting a Network View into Two Panes

Add a Relationship Using a Split Network View


Zoning a Network View

You can use zoning to group activities into horizontal bands based on one or more criteria that you specify. You use the Zone Attributes dialog box to define how Open Plan displays zones in a network view.

After you define zoning and perform automatic placements, you can treat the zone headers as annotations to the view. In other words, you can edit, reposition, and resize zone headers just as you can for annotations. You can also attach zone headers to activities so that a header moves with the specified activity.

Related Topics and Procedures

Related Topic

Zone Attributes Dialog Box

Related Procedures

Performing Automatic Placements

Turning Automatic Placements Off

Saving Automatic Placements

Filtering Data in a Network View


Zoom Commands in the Network View

In a network view, Open Plan provides Zoom In and Zoom Out commands for projects that cannot be displayed on a single screen. If the entire project can be displayed at once, the Zoom commands are not available.

There are three display mode types for the network view:

  • Normal: This is the default display mode when you first open a network view.

  • Intermediate: There will be one or multiple intermediate zoom modes, depending on the size of your project. The first (or sole) intermediate mode is displayed when you apply the Zoom Out command from the normal display mode.

  • Fully Reduced: This mode is displayed when you apply the Zoom Out command from the final intermediate display mode.

To assure that the text within activity boxes will be legible, at any zoom level where the network is shrunk to 75% or less, you may hover the cursor over the activity to see the activity drawn at normal size.

In one of the intermediate display modes, you can continue to work with the activities and relationships just as though you were in the normal display mode. To enlarge an area of the window, select an activity, and apply the Zoom In command.

If you go to the fully-reduced display mode, Open Plan reduces the activity boxes to whatever size is necessary to display the entire project.

You can use the fully-reduced display mode for navigating through very large projects. A rectangular frame appearing in this mode indicates the area of the view that will be displayed if you apply the Zoom In command to return to an intermediate display mode. If you move this frame, when you release the mouse, the view will return to normal display mode at approximately the position you selected.

Related Topics and Procedures

Related Procedures

Use the Zoom Out Command

Use the Zoom In Command


Network Preferences Dialog Box

Use this dialog box to specify network view properties.

Tabs

  • Network Preferences Options Tab: Use this tab to specify view options, and annotation, zone heading, and time scale heading properties.

  • Network Preferences Attributes Tab: Use this tab to control the appearance of the activity boxes.

  • Network Preferences Box Layout Tab: Use this tab to control both the selection and the display of data fields within an activity box.

  • Network Preferences Relationships Tab: Use this tab to specify how Open Plan displays the relationships for a network view.

  • Network Preferences Legend Tab: Use this tab to specify how Open Plan displays the legend for a network view.

Buttons

The three buttons across the bottom of the Network Preferences dialog box apply to all tabs. The OK button accepts your input and closes the dialog box. The Cancel button cancels your input and closes the dialog box. The Help button provides access to help about the current tab.

Location

To display the Network Preferences Dialog Box, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in network view.

  2. In network view, click the View tab.

  3. Take one of the following actions:

  • Click Preferences in the Network menu group of the View tab.

  • Right-click an empty area and click Preferences on the context menu.


Network Preferences Options Tab

Use the Options tab of the Network Preferences dialog box to specify how a network view displays information.

View Options

Draft Mode

When selected, this option instructs Open Plan to display the activity boxes in draft mode. In draft mode, the activity boxes are displayed with black text, no box ends, no fill colors, and no diagonals. This allows you to display more text within the activity box. Selecting Draft Mode does not affect the quality of the displayed text.

On some computers with minimum CPU speed and memory configurations, using draft mode may result in a more rapid display of the network view.

Snap Boxes to Grid

When selected, this option instructs Open Plan to align new and moved activity boxes with an invisible grid.

Show Page Breaks

When selected, this option instructs Open Plan to show where page breaks would occur when printed using the current printer settings.

Row Spacing

This field allows you to specify the horizontal spacing between activity boxes. The spacing unit used is one-tenth of an inch.

Column Spacing

This field allows you to specify the vertical spacing between activity boxes. The spacing unit used is one-tenth of an inch.

Annotation Properties

Style

You can select the border style for the annotation: No border, Square box, Round box, or Ellipse.

Text Color

You can select the text color to be used for the annotation.

Background Color

You can select the color on which the annotation is displayed.

Font

You can select the font type to be used for the annotation.

Zone Heading Properties

Text Color

You can select the text color to be used for the zone heading.

Font

You can select the font to be used for the zone heading.

Time Scale Heading Properties

Text Color

You can select the text color to be used for the time scale heading.

Font

You can select he font type to be used for the time scale heading

The definitions in the Annotation Properties and Zone Heading Properties fields are the default values when you are creating new annotations, zone headings, and time scale headings.

Location

To display the Options tab of the Network Preferences dialog box, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in network view.

  2. In network view, click the View tab.

  3. Take one of the following actions:

  • Click Preferences in the Network menu group of the View tab.

  • Right-click an empty area and click Preferences on the context menu.

  4. In the Network Preferences dialog box, click the Options tab if it is not already selected.

Related Topics and Procedures

Related Topics

Customizing a Network View

Network Preferences Legend Tab

Network Preferences Box Attributes Tab

Network Preferences Box Layout Tab

Related Procedures

Aligning Activity Boxes in a Network View

Showing Page Breaks on a Network View

Highlighting Controlling Relationships in the Network View

Defining the Relationship Line Style

Changing the Shape of a Relationship Line

Defining Activity Box Attributes

Setting Box Layout Options


Network Preferences Box Attributes Tab

The Box Attributes tab controls the appearance of the activity boxes based on criteria that you define. In this way, you can use attributes such as box styles or colors to represent activity data. Use this tab to define the attributes of an activity box.

The default activity box has the following attributes: black text color, square ends, and no diagonals.

Sometimes an activity meets the criteria set for more than one set of attributes. To determine how to display that activity, Open Plan uses the order in which the activity box attributes are listed in this dialog box. For each activity, Open Plan starts at the bottom of the list and uses the attributes defined for the first criterion that the activity satisfies. If the activity does not meet any of the defined criteria, Open Plan uses the default activity box.

Initially, Open Plan displays the activity box attributes in the order in which you entered them. However, you can delete an attribute by selecting any cell and pressing Delete. And you can change the order in which the box attributes appear by using the Change Order buttons.

When defining box attributes, it is not necessary to define box attributes for every conceivable situation. Unless you want a particular attribute to be controlled by a particular criterion, use the default setting. Open Plan displays an activity that conforms to more than one criterion by using a combination of the colors and styles defined for those criteria to which it conforms. If more than one of these criteria have non-default settings for the same attribute, Open Plan uses the higher criterion on the list. (This is the only circumstance under which the order of the criteria on the list matters.)

A p review window shows how Open Plan would display an activity meeting the selected criterion. If you select multiple rows, the preview window displays how an activity meeting all the criteria would be displayed.

In many network views, the Box Attributes tab has definitions for planned, in-progress, complete, and critical criteria. Unless you define attributes for additional criteria, any other criteria inherit the default settings. For an example of how a criteria table is built, see Criteria Inheritance Example.

Criterion

The criterion of a box refers to a predefined expression that determines whether the attributes you are defining are displayed for an activity. You can set the criterion to any filter defined for a project. This allows you to use the box attributes to display very different types of information. The text color, left and right box end styles, left and right box fill colors, and the diagonals can each be set to display a different type of information.

For example, you can define attributes that differentiate between those activities that are planned, those that are in progress, and those that are complete. One common way to do this is to use different diagonal markings in the box.

In addition, you can use another attribute, such as the left box end style, to indicate the code in a WBS or an activity with less than a certain amount of free float. The possibilities are unlimited.

You select the criterion from a list containing:

  • Filter expressions supplied with Open Plan

  • Custom filters

Text Color

You can select from the following text color options:

  • Default: Selecting this option keeps the attribute undefined. This allows the text color to be controlled by another criterion. For example, assume that you have defined the text color red for critical activities and that you are now defining an attribute for activities in a certain department. Assume also, that on the list of attributes, the new attribute is below the one for critical activities. The Default option would color the text red for critical activities in that department.

  • Select Color: Selecting this option displays the Color dialog box that you can use to select a color for the both the lines that make up the box and any text it contains. The Color dialog box offers a choice of 70 standard colors.

  • You can define custom colors using an enhanced version of the Color dialog box accessed from the Color tab of the Options dialog box.

If a color has already been defined for the text color but is not currently used, you can also select that color from the list.

Bk. Color

You can select from the following background color options:

  • Default: Selecting this option keeps the attribute undefined. This allows the background color to be controlled by another criterion. For example, assume that you have defined the background color red for critical activities and that you are now defining an attribute for activities in a certain department. Assume also, that on the list of attributes, the new attribute is below the one for critical activities. The Default option would color the background red for critical activities in that department.

  • Select Color: Selecting this option displays the Color dialog box that you can use to select a color for the background of the box. The Color dialog box offers a choice of 70 standard colors.

  • You can define custom colors using an enhanced version of the Color dialog box accessed from the Color tab of the Options dialog box. If a color has already been defined for the background color but is not currently used, you can also select that color from the list.

Left Style

You can select a style for the left end of the box from a list of six styles. You can also select Default to allow the style for the left end of the box to be controlled by another criterion.

For example, assume that you have defined a left box style for completed activities and that you are now defining an attribute for activities in a certain department. Assume also, that on the list of attributes, the new attribute is below the one for completed activities. The Default option would use the left box style defined for completed activities for all completed activities in that department.

Left Color

You can select from the following color options:

  • Default: Selecting this option keeps the attribute undefined. This allows the left color to be controlled by another criterion. For example, assume that you have defined the color red for critical activities and that you are now defining an attribute for activities in a certain department. Assume also, that on the list of attributes, the new attribute is below the one for critical activities. The Default option would color the left end of the box red for critical activities in that department.

  • Select Color: Selecting this option displays the Color dialog box that you can use to select a color for the left end of the box. The Color dialog box offers a choice of 70 standard colors.

  • You can define custom colors using an enhanced version of the Color dialog box accessed from the Color tab of the Options dialog box. If a color has already been defined for the left end of the box but is not currently used, you can also select that color from the list.

Right Style

You can select a style for the right end of the box from a list of six styles. You can also select Default to allow the style for the right end of the box to be controlled by another criterion.

For example, assume that you have defined a right box style for completed activities and that you are now defining an attribute for activities in a certain department. Assume also, that on the list of attributes, the new attribute is below the one for completed activities. The Default option would use the right box style defined for completed activities for all completed activities in that department.

Right Color

You can select from the following color options:

  • Default: Selecting this option keeps the attribute undefined. This allows the right color to be controlled by another criterion. For example, assume that you have defined the color red for critical activities and that you are now defining an attribute for activities in a certain department. Assume also, that on the list of attributes, the new attribute is below the one for critical activities. The Default option would color the right end of the box red for critical activities in that department.

  • Select Color: Selecting this option displays the Color dialog box that you can use to select a color for the right end of the box. The Color dialog box offers a choice of 70 standard colors.

  • You can define custom colors using an enhanced version of the Color dialog box accessed from the Color tab of the Options dialog box. If a color has already been defined for the right end of the box but is not currently used, you can also select that color from the list.

Left Diag

You can select from three diagonal options for the box – Default, None, or (\).

The Default option keeps the attribute undefined, allowing the display of the diagonal to be controlled by another criterion. The None option does not insert the diagonal for activities meeting the criterion. The (\) option inserts the diagonal for activities meeting the criterion.

Right Diag

You can choose from three diagonal options for the box – Default, None, or (/).

The Default option keeps the attribute undefined, allowing the display of the diagonal to be controlled by another criterion. The None option does not insert the diagonal for activities meeting the criterion. The (/) option inserts the diagonal for activities meeting the criterion.

Label

You can enter a label to describe the criterion you are defining. For example, if you label a particular set of box attributes as "Critical In-progress," Open Plan uses this label to identify the box style and prints the label on the report legend.

Location

To display the Options tab of the Network Preferences dialog box, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in network view.

  2. In network view, click the View tab.

  3. Take one of the following actions:

  • Click Preferences in the Network menu group of the View tab.

  • Right-click an empty area and click Preferences on the context menu.

  4. In the Network Preferences dialog box, click the Box Attributes tab if it is not already selected.

Related Topics and Procedures

Related Topics

Customizing a Network View

Network Preferences Options Tab

Network Preferences Box Layout Tab

Network Preferences Legend Tab

Related Procedures

Changing the Size of an Activity Box

Defining Activity Box Attributes

Creating a New Filter


Network Preferences Box Layout Tab

This tab controls both the selection and the display of data fields within an activity box.

Field

Use this column to specify the field in the activity file to be displayed. This field can be either one of the standard activity fields or a calculated field that you have added to the file.

Line

This column specifies the line in the box on which the field is displayed. Open Plan can display any number of fields on the same line. These fields appear in the same order as shown on this tab.

To add space to any activity box, leave out some lines. For example, you might specify fields for lines 1 and 8. This would leave space in the activity box that could be used for handwritten notes in a turn-around report.

Buttons located at the bottom of the tab allow you to change the order of fields displayed on the same line.

Font

This column specifies the font type for the standard or calculated fields in the activity file.

Text Color

This column specifies the text color for the standard or calculated fields in the activity file.

Horz. Align

This column specifies the horizontal alignment of the text. The options available for this column are the following: Center, Left, and Right.

Vert. Align

This column specifies the vertical alignment of the text. The options available for this column are the following: Bottom, Center, and Top.

Max. Lines

This column specifies the maximum lines in the box on which the text is to be displayed.

Max. Width

This column specifies the maximum width of the box on which the text is to be displayed.

Format

The selections available in the Format column vary depending on the type of data displayed:

  • Text: Fixed (always use maximum lines) and Variable (text can use <= maximum lines specified).

  • Date: <Default> and various predefined date formats

  • Numeric: <Default> and various predefined numeric and currency formats. A special format, Progress Bar, means that Open Plan interprets the numeric value as percentage and fills that percentage of the field box with the specified text color. While an activity box can have any number of progress bars, no other field can be displayed on the same line as a progress bar.

  • Duration: <Default>, Days, Hours, Minutes, Months, and Weeks.

Maximum Box Width (in characters)

This option determines the maximum drawing width for an activity box (including box ends). This width is determined by taking the width of an average character for the font specified for the view and multiplying it by the number of characters specified in this dialog. For example, if we have chosen a font with an average character width of 8 pixels, and specify that we want a maximum width in characters of 60, the widest box possible (including box ends) will be 8 * 60 = 480 pixels.

Preview

A preview window allows you to see an approximate representation of the layout of the activity box. While box layout affects the size and aspect ratio of the boxes in the network view, this is not accurately reflected in the preview window.

Location

To display the Options tab of the Network Preferences dialog box, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in network view.

  2. In network view, click the View tab.

  3. Take one of the following actions:

  • Click Preferences in the Network menu group of the View tab.

  • Right-click an empty area and click Preferences on the context menu.

  4. In the Network Preferences dialog box, click the Box Layout tab if it is not already selected.

Related Topics and Procedures

Related Topics

Customizing a Network View

Network Preferences Options Tab

Network Preferences Box Attributes Tab

Network Preferences Legend Tab

Related Procedure

Setting Box Layout Options


Network Preferences Relationships Tab

This tab specifies how Open Plan displays the relationships for a network view.

For information about interproject relationships, see Interproject Relationships.

Relationship Line Options

These options allow you to specify whether the relationship line style should be direct or routed.

Direct

When selected, Open Plan draws the relationship lines as straight lines between the predecessor and successor activities.

Routed

When selected, Open Plan draws the relationship lines in a series of horizontal and vertical segments.

Highlight Controlling Relationships

When selected, this option instructs Open Plan to highlight controlling relationships. When this option is enabled, controlling relationships are heavier than other relationship lines and are displayed in the color of the successor activity.

Smooth Relationship Line Corners

When selected, this option instructs Open Plan to smooth the corners of relationship lines.

Relationship Text Options

Show Relationship Type

When selected, this option instructs Open plan to show the relationship type on relationship lines. In addition, the following option is also enabled:

  • Only Non-FS Types: Selecting this option inhibits the display of the relationship type for FS relationships.

Show Lags

When selected, this option instructs Open Plan to display the relationship lags between activities. In addition, the following option is also enabled:

  • Only Non-Zero: Selecting this option inhibits the display of lag information for lags with a 0 duration.

Position

Select a position in which to display the relationships information. The options available are the following: Left Top, Left Center, Left Bottom, Center Top, Center Center, Center Bottom, Right Top, Right Center, and Right Bottom. The Left position is near the Predecessor, and the Right position is near the Successor. With some relationship types, the routing of the lines and the positions of the predecessor and successor activities may preclude using the specified position. In this case, Open Plan will substitute a different position that does not obscure the type/lag information.

Font

Select the font type, font style, and font size for the relationships information.

Location

To display the Options tab of the Network Preferences dialog box, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in network view.

  2. In network view, click the View tab.

  3. Take one of the following actions:

  • Click Preferences in the Network menu group of the View tab.

  • Right-click an empty area and click Preferences on the context menu.

  4. In the Network Preferences dialog box, click the Relationships tab if it is not already selected.

Related Topics and Procedures

Related Topics

Customizing a Network View

Network Preferences Legend Tab

Network Preferences Box Attributes Tab

Network Preferences Box Layout Tab

Related Procedures

Aligning Activity Boxes in a Network View

Showing Page Breaks on a Network View

Highlighting Controlling Relationships in the Network View

Defining the Relationship Line Style

Changing the Shape of a Relationship Line

Defining Activity Box Attributes

Setting Box Layout Options


Network Preferences Legend Tab

This tab specifies how Open Plan displays the legend for a network view.

Legend Options

None

Prevents the display of the legend.

Every Page

Displays the legend on every page.

Manual

Displays the legend within a frame that you can drag to any position in the view and resize. This option provides the most flexibility for displaying the legend. If you select it, Open Plan displays the legend box in the view and allows you to position it manually or resize it. If a legend is too large to appear on a single page, you can place the legend across page breaks so that it appears on two or more pages.

Another way to customize a legend is to use the Manual option to display the legend in the view and then use the annotation feature to add additional information such as the name of the project or a signature block. For more information about annotating, see Annotating a Network.

Legend Page

Prints the legend on a separate legend page.

Page Position

Additional options define which of the four edges of a page should display the legend:

  • Top

  • Bottom

  • Left

  • Right

Location

To display the Options tab of the Network Preferences dialog box, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in network view.

  2. In network view, click the View tab.

  3. Take one of the following actions:

  • Click Preferences in the Network menu group of the View tab.

  • Right-click an empty area and click Preferences on the context menu.

  4. In the Network Preferences dialog box, click the Legend tab if it is not already selected.

Related Topics and Procedures

Related Topics:

Customizing a Network View

Network Preferences Options Tab

Network Preferences Box Attributes Tab

Network Preferences Box Layout Tab

Related Procedures:

Setting Network Legend Options

Defining Activity Box Attributes

Setting Box Layout Options


Network View Annotation Dialog Box

The Network View Annotation dialog box contains the following fields:

Text

Enter the text for the annotation in this box.

Annotations can contain multiple lines of text. To insert a line break in annotative text, press Ctrl+Enter. It is also possible to cut or copy text from an annotation to the Clipboard as well as to paste text from the Clipboard into an annotation.

Attach to Activity ID

You can enter the ID of an activity to which the annotation should be attached. If you attach an annotation to an activity, the annotation will move with the activity whenever the activity is moved on the view. If you access the Annotation dialog box by right-clicking an activity, the activity ID is displayed in this field.

Each activity can have only one annotation. Attaching an annotation to an activity that already has one detaches (but does not delete) the old annotation.

Style

Open Plan allows you to select from the following borders for the annotation:

  • No Border

  • Square Box

  • Round Box

  • Ellipse

Text Color

Open Plan allows you to select the color on which the annotation is displayed by clicking the down arrow. The Color dialog box that is displayed offers a choice of 70 standard colors.

You can define custom colors using an enhanced version of the Color dialog box accessed from the Color tab of the Options dialog box.

Background Color

Open Plan allows you to select the background color on which the annotation is displayed by clicking the down arrow. The Color dialog box that is displayed offers a choice of 70 standard colors.

You can define custom colors using an enhanced version of the Color dialog box accessed from the Color tab of the Options dialog box.

Use Default Font

Open Plan gives you the option to select the default font type and size, Arial, 50 pt.

Resize Box to Fit Data

Open Plan gives you the option to allow the annotation box to resize automatically, depending on the amount of text you entered in the Text field.

Font Button

This provides access to a dialog box where you can specify the typeface for the text in the annotation.

Selecting the <Default> options in the Style, Text Color, and Background Color fields in this dialog box allows for the annotation to take on the values that were set in the Network Preferences dialog box. The fields in the Network View Annotation dialog box are also updated when you make changes in the Network Preferences dialog box.

After you have created an annotation, you can move it or resize it using the mouse. You can also use commands to display the annotation behind other objects, to edit its contents, or to delete it.

Location

To display the Network View Annotation dialog box, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in network view.

  2. In network view, click the View tab.

  3. Take one of the following actions:

  • Click Add Annotation on the View tab.

  • Right-click an empty area and click Add Annotation on the context menu.

  • Right-click an activity and click Annotate Activity on the context menu.

Related Topics and Procedures

Related Topics

Annotating a Network

Working with Activities in a Network View

Related Procedures

Entering an Annotation

Editing an Annotation

Changing How an Annotation is Displayed

Deleting an Annotation


Placements Dialog Box

The Placements dialog box controls how Open Plan places activity boxes in the network view.

Open Plan stores placement settings separately for each network view assigned to a project. This means, for example, you can define one set of placement options for FLOWVW in the project Clean, and another set for DEVFLOW (another network view) in the same project. You can also define different placement settings for these same views when they are opened within a different project.

Method

Automatic

Open Plan places all activity boxes (including those you have previously placed manually) in automatically calculated positions on the network view. In performing these calculations, Open Plan uses the options you specify on this dialog box. Activities that do not have relationships with other activities at the same hierarchical level are placed below any activities with relationships. Automatic placements are not automatically saved and do not overwrite your manual placements.

The Automatic setting frequently results in a network diagram that is easier to decipher.

For automatic placements, Open Plan stores your settings for how the placements are calculated. It does not, however, store the actual placements themselves. Placements are recalculated each time the view is opened. If you perform automatic placements and then make adjustments to the activity positions manually, you can preserve your modifications by saving them as manual placements.

When Automatic is selected, you can specify the following options for calculating automatic placements:

Manual

This option turns off automatic placements and returns the view to the last manual placements.

Save As Manual

Open Plan saves the placements calculated by the automatic feature by replacing your manual placements with those calculated automatically. This option is available only when automatic placements are in effect and filtering is not enabled.

Automatic Options

Avoid Page Breaks

If you have enabled automatic placements, this option controls how Open Plan positions activities that fall across page breaks of printed output. By selecting this setting, you can have Open Plan shift activities that would otherwise fall across page breaks.

Show All Levels

If you have enabled automatic placements, this option displays all the activities from a project in the same view, regardless of their hierarchical level. When you calculate placements with this option turned on, Open Plan may not position all activities from the same subproject together.

Time Scale Project

If you have enabled automatic placements, this option groups activities based on a user-specified date field specified on the Scaling Specification dialog box.

Zone Project

Specifies whether Open Plan should consider zoning criteria when calculating automatic placements. If this option is selected, zone headings are displayed as temporary annotation objects. You can move these zone heading annotations in the same way you can move any other annotation.

Display Interface Activities

If you have enabled automatic placements, this option allows Open Plan to show either the predecessor activities, successor activities, or both, even though these activities might be excluded by the current filter. For more information about filters, see Filters.

Buttons

Filters

This button displays the Filters dialog box, which you can use to select a filter to apply to the view, create new filters, edit existing filters, or delete filters.

Zoning

Click this button to display the Zone Attributes dialog box that you can use to define how Open Plan displays zones when you select the Zone Project option.

Time Scale

This button displays the Scaling Specification dialog box, which you can use to specify how the network view should be scaled as well as the date formats to be used on the network view. For more information, see Defining Time Scaling.

Location

To display the Placements dialog box, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in network view.

  2. In network view, click the View tab.

  3. Take one of the following actions:

  • Click Placements in the Network menu group of the View tab.

  • Right-click an empty area and click Placements on the context menu.

Related Topics and Procedures

Related Topics

Zone Attributes Dialog Box

Filters

Filters Dialog Box

Scaling Specification Dialog Box

Annotating a Network

Network View Annotation Dialog Box

Related Procedures

Performing Automatic Placements

Turning Automatic Placements Off

Saving Automatic Placements

Displaying a Semi Time-Phased Network View

Filtering Data in a Network View


Scaling Specification Dialog Box

This dialog box controls the time scaling parameters that are used in the network view. Open Plan saves the scaling specifications when the network view is closed. When the view is next opened, Open Plan displays the date labels as specified in the previous session.

Base on Date Field

This field controls the Date field of the activity table that Open Plan should use when creating the time scale in the network view.

Group Every

These fields work together to control the frequency with which date labels appear on the date scale.

The first field contains a value that modifies the selected time unit in the second field. For example:

First Field Modifier | Second Field Time Unit | Displays a Date Label Every
1 | Quarters | Quarter
2 | Months | Two months
4 | Weeks | Four weeks

Date Format

You can specify the appearance of the dates in the date scale by entering a format for the date. For the list of parameters that can be included, see Standard Date Formats.

Two methods are available for building a format expression:

  • Enter the format codes by typing the codes and literals directly into the edit box.

  • Click the ellipsis button to display a dialog box where you can select format codes from a list.

It is also possible to build a format expression using a combination of the two methods.

The actual date displayed on the date scale is displayed in the format you choose.

Because relative dates return only a numeric value, they are usually combined with literal values to make them more informative.

For more information about date formats, see Customizing the Date Scale.

Reference Date

Open Plan calculates relative dates based on the date entered in the Reference Date field. The default for the Reference Date is the project start date.

You can combine absolute dates (for example, Oct 20) with relative dates (for example, Week 1) on a date scale.

Open Plan displays relative dates occurring before the reference date as negative values.

Location

To display the Scaling Specification dialog box, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in network view.

  2. In network view, click the View tab.

  3. Take one of the following actions:

  • Click Placements in the Network menu group of the View tab.

  • Right-click an empty area and click Placements on the context menu.

  4. In the Placements dialog box, select Automatic in the Method group box, and click Time Scale.

Related Topics and Procedures

Related Topics

Using the Zone Attributes Dialog Box

Using the Placements Dialog Box

Using the Font Dialog Box

Using the Date Formats Dialog Box

Annotating a Network

Using the Network View Annotation Dialog Box

Related Procedure

Displaying a Semi Time-Phased Network View


Zone Attributes Dialog Box

If you enable the zoning option for automatic placements, you can have Open Plan group activities into horizontal bands based on one or more criteria that you specify. The Zone Attributes dialog box defines how Open Plan should display zones in a network view.

Once you define zoning and perform automatic placements, you can treat the zone headers as annotations to the view. In other words, you can edit, reposition, and resize zone headers just as you can annotations. You can also attach zone headers to activities so that a header moves with the specified activity.

Criterion

Changes in this field trigger the appearance of a zone header in the view. You can designate a calculated field as a zoning criterion.

Heading Field

The heading field specifies the field displayed by Open Plan in the zone header. For example, if you use a code field as a zoning criterion, you might use the code description for the heading field.

Font

The font to be used for the heading field. By clicking the ellipsis button, you can display the Font dialog box where you can change the font attributes for the selected zone heading.

Color

The color to be used for the text in the heading field. Clicking the down arrow in this field displays a Color dialog box that you can use to select a color. The Color dialog box offers a choice of 70 standard colors.

You can define custom colors using an enhanced version of the Color dialog box accessed from the Color tab of the Options dialog box

Location

To display the Zone Attributes dialog box, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in network view.

  2. In network view, click the View tab.

  3. Take one of the following actions:

  • Click Placements in the Network menu group of the View tab.

  • Right-click an empty area and click Placements on the context menu.

  4. In the Placements dialog box, select Automatic in the Method group box, and click Zoning.

Related Topics and Procedures

Related Topics

Using the Placements Dialog Box

Using the Font Dialog Box

Annotating a Network

Using the Network View Annotation Dialog Box

Related Procedure

Defining Custom Zoning


Creating an Activity in a Network View (Procedure)

Creating an Activity (Network)

To create an activity in a network view, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in network view.

  2. Take one of the following actions:

  • Double-click the area where you want the activity to be drawn.

  • In the Data menu group of the Edit tab, click Add Activity.

  • Draw a relationship arrow from an existing activity box to an empty area in the workspace.

  3. In the Activity Details dialog box, enter the information about the activity. Although you do not need to enter all the information at this time, each activity must have a unique ID.

  4. When you have entered as much information as you wish, click Apply.

You can also create an activity in a network view without having to display the Activity Details dialog box. To do so, select the Suppress Activity Dialog option on the View tab and then double-click an empty area in the network view to add an activity.

Related Topics and Procedures

Related Topic

Creating and Editing Activities

Related Procedures

Editing an Activity

Deleting an Activity

Moving an Activity in a Network View

Cutting an Activity

Copying an Activity

Pasting an Activity From the Clipboard

Selecting Multiple Activities in a Network View

Creating a Relationship Using a Mouse

Creating a Relationship Using the Keyboard


Creating Child Activities in a Network (Procedure)

Creating Child Activities (Network)

To create child activities in a network view, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in network view.

  2. Right-click the activity to which you want to add child activities.

  3. On the shortcut menu, click Add Child.

    Open Plan automatically converts the activity to a subproject before allowing you to add a child. This means that Open Plan will ignore the duration for the newly created parent activity for subsequent time analysis calculations.

  4. In the Activity Details dialog box, enter the information for the child activity. Open Plan allows you to enter only the local portion of the activity ID.

  5. When the information is complete, click Apply.

- or -

  1. In the Project Views folder of Open Plan Explorer, select a project to display in network view.

  2. Double-click the activity to which you want to add child activities.

  3. On the General tab of the Activity Details dialog box, change the activity type to Subproject, and click Close.

  4. When the network view redisplays, right-click the newly created subproject.

  5. On the shortcut menu, click Go to Subproject.

  6. Create the child activities in the subproject workspace that is displayed.

When entering child activities in a network view, enter only the local portion of the activity ID. Open Plan automatically uses the ID of the parent subproject as a prefix to the local portion of the activity ID.

Related Topics and Procedures

Related Topic

How a Network View Displays Information

Related Procedures

Creating Child Activities in a Spreadsheet View

Displaying a Network at Different Magnifications

Displaying Child Activities on a Network View

Expanding a Subproject on a Network View

Displaying Multiple Levels in a Project

Splitting a Network View into Two Panes


Aligning Activity Boxes in a Network View (Procedure)

Aligning Activity Boxes (Network)

To align activity boxes with the invisible grid, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in network view.

  2. In the Network menu group of the View tab, click Preferences.

  3. On the Options tab of the Network View Preferences dialog box, select the Snap Boxes to Grid option.

  4. Click OK.

Related Topics and Procedures

Related Topic

Network Preferences: Options Tab

Related Procedures

Changing the Shape of a Relationship line

Defining the Relationship Line Style

Changing the Size of an Activity Box

Showing Page Breaks on a Network View

Highlighting Controlling Relationships in a Network View

Setting Box Legend Options


Change the Font on Activity Boxes (Procedure)

Change the Font on Activity Boxes

To change the font on activity boxes, complete the following steps:

  1. From the Project Views folder of Open Plan Explorer, display the network view for which you want to change the font.

  2. Take one of the following actions:

  • Right-click the workspace, and click Font on the context menu.

  • On the View tab, click Default.

  3. In the Font dialog box, select a font and its attributes.

  4. Click OK.

Related Topics and Procedures

Related Topic

Using the Font Dialog Box

Related Procedures

Changing the Font on a Network View

Changing the Font on an Annotation

Changing the Default Font on a Spreadsheet

Changing the Font on a Bar

Changing the Font on a Date Scale

Changing the Font on a Calendar

Changing the Font on a Code View

Changing the Font on a Resource View


Changing the Size of an Activity Box (Procedure)

Changing the Size of an Activity Box

To change the size of an activity box, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in network view.

  2. Position the cursor over the lower right corner of an activity box.

  3. When the cursor changes to a double-headed arrow, drag the cursor until the activity box is the size you want.

You cannot change the size of an activity box while placements are set to automatic.

Related Topics and Procedures

Related Topic

How a Network View Displays Information

Related Procedures

Changing the Shape of a Relationship line

Restoring an Activity Box to its Previous Size

Setting a New Default for the Size of the Activity Box


Defining Activity Box Attributes (Procedure)

Defining Activity Box Attributes

To define the attributes of an activity box, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in network view.

  2. In the Network menu group of the View tab, click Preferences.

  3. In the Network Preferences dialog box, click the Box Attributes tab.

  4. In the Criterion column, select the filter that will be used to determine whether Open Plan should use this box to represent an activity.

  5. Define the appearance of the activity box by selecting the appropriate elements from the Text Color, Bk. Color, Left Style, Left Color, Right Style, Right Color, Left Diag., and Right Diag. columns.

  6. In the Label column, enter a name to be displayed in the legend.

  7. To change the order of the sets of attributes, use the Change Order buttons.

  8. Click OK.

Related Topics and Procedures

Related Topic

Network Preferences: Box Attributes Tab

Related Tasks

Creating a New Filter

Defining Activity Box Attributes

Defining the Relationship Line Style

Showing Page Breaks on a Network View

Setting Box Layout Options

Setting Box Legend Options


Displaying Child Activities in a Network (Procedure)

Displaying Child Activities (Network)

To display child activities, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in network view.

  2. Right-click the subproject activity.

  3. On the shortcut menu, click Go to Subproject.

- or -

  1. In the Project Views folder of Open Plan Explorer, select a project to display in network view.

  2. Select a subproject activity.

  3. Click the Go To Subproject [image] button on the View tab.

Related Topics and Procedures

Related Topic

How a Network View Displays Information

Related Procedures

Creating Child Activities in a Spreadsheet

Displaying a Network at Different Magnifications

Expanding a Subproject on a Network View

Moving Up the Hierarchy


Moving an Activity in a Network (Procedure)

Moving an Activity (Network)

To move an activity to another location on the same view, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in network view.

  2. Select the activity you want to move.

  3. Drag the activity to a new location.

To move an activity to another project or subproject, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in network view.

  2. Right-click an activity, and click Cut Activities on the shortcut menu.

  3. Display a different project in network view.

  4. Right-click an empty space on the view, click Paste on the shortcut menu.

    Unless the activity being cut is part of a group of activities, Open Plan deletes any relationships attached to the activity. If you cut an activity as part of a group, Open Plan retains the relationships within the group. To retain relationships when moving an activity from one subproject to another, renumber the activity ID.

Open Plan automatically generates new activity IDs for activities being moved to reflect the new hierarchical organization. For example, if subproject X.1 with child activities X.1.1 and X.1.2 is pasted into subproject Z, the activities receive the following IDs: Z.X.1.1 and Z.X.1.2.

You can also move an activity to a different subproject by changing the parent portion of the activity ID. When you move an activity using this technique, Open Plan retains all the relationships for the activity.

Related Topics and Procedures

Related Topic

Working with Activities in a Network View

Related Procedures

Finding an Activity

Editing an Activity

Deleting an Activity

Cutting an Activity

Copying an Activity

Pasting an Activity From the Clipboard

Selecting Multiple Activities in a Network View

Splitting a Network View into Two Panes


Restoring an Activity Box to Its Previous Size (Procedure)

Restoring an Activity Box to Its Previous Size

To restore an activity box to its previous size, complete the following steps:

  1. While in network view, right-click the activity box whose size you have changed. You can reset the size of only an activity box whose size you have modified directly. You cannot use this procedure to reset the size of an activity box that has been modified using the Set All Box Sizes command.

  2. On the shortcut menu, click Reset Box Size.

Related Topics and Procedures

Related Topic

How a Network View Displays Information

Related Procedures

Changing the Shape of a Relationship line

Changing the Size of an Activity Box

Setting a New Default for the Size of the Activity Box


Selecting Multiple Activities in a Network (Procedure)

Selecting Multiple Activities (Network)

To select activities so that they can be moved, cut, or copied together, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in network view.

  2. Place the cursor anywhere on the view. This location will be your starting point.

  3. While pressing the left mouse button, drag the cursor until all the activities you want to select are highlighted.

  4. Release the left mouse button.

- or -

  1. In the Project Views folder of Open Plan Explorer, select a project to display in network view.

  2. Click the top left activity in your selection.

  3. Press the Shift key, and click the bottom right activity in your selection.

- or -

  1. In the Project Views folder of Open Plan Explorer, select a project to display in network view.

  2. Click an activity.

  3. Press the Ctrl key while you click any other activities to include in the selection. You can use the Ctrl+click actions as a toggle to include or exclude activities in the selection.

The activities are selected and can be moved, cut, or copied as a unit.

You can use the technique of selecting and copying groups of activities to rapidly build a project network. Open Plan automatically assigns unique IDs to the new activities based on the ID template.

Related Topics and Procedures

Related Topic

Working with Activities in a Network View

Related Procedures

Deleting an Activity

Moving an Activity in a Network View

Cutting an Activity

Copying an Activity

Splitting a Network View into Two Panes


Setting a New Default for the Size of the Activity Box (Procedure)

Setting a New Default for the Size of the Activity Box

To set a new default for the size of the activity box, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in network view.

  2. Modify the size of one activity box to the size you want to use as the new default.

  3. Right-click this activity.

  4. On the shortcut menu, click Set All Box Sizes.

You cannot automatically reset the size of an activity box whose size you have modified using this procedure. You can, however, manually change the size of any activity box by dragging the lower right corner of the box into a new position.

Related Topics and Procedures

Related Topic

How a Network View Displays Information

Related Procedures

Changing the Shape of a Relationship line

Changing the Size of an Activity Box

Restoring an Activity Box to its Previous Size


Entering an Annotation (Procedure)

Entering an Annotation (Network)

To enter an annotation on the network view, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in network view.

  2. Take one of the following:

  • In the View menu group of the View tab, click Add Annotation.

  • Right-click an empty area of the view, and click Add Annotation from the shortcut menu.

  • Right-click an activity, and click Annotate Activity from the context menu.

  3. In the Network View Annotation dialog box, enter the text you want to display as an annotation.

  4. To attach an annotation to a specific activity, rather than to the view, enter the activity ID in the Attach to Activity ID field. The annotation will then stay with the activity whenever the activity is moved on the view.

Each activity can only have one annotation. Attaching an annotation to an activity that already has one detaches (but does not delete) the old annotation.

  5. From the Style drop-down list, select a border for the annotation.

  6. From the Text Color drop-down list, select a color for the annotation text.

  7. From the Background Color drop-down list, select a background color for the annotation.

  8. To change the appearance of the annotation text, click the Font button, and select a font and its attributes. The Font button will be enabled when you deselect the Use Default Font option. Deselecting this option opens the Font dialog box.

  9. Select the Resize Box to Fit Data option if you want the Annotation Box to automatically resize depending on the text length of the annotation.

  10. Click OK.

Related Topics and Procedures

Related Topic

Network View Annotation Dialog Box

Related Procedures

Creating an Approval Box

Changing How an Annotation is Displayed

Editing an Annotation

Deleting an Annotation

Changing the Font on an Annotation


Changing How an Annotation is Displayed (Procedure)

Changing How an Annotation is Displayed

To move the annotation on the view, complete the following step:

  1. In the Project Views folder of Open Plan Explorer, select the project containing the annotation you want to move, and display it in network view.

  2. Place the cursor near the center of the annotation, and drag it to a new location.

To place the annotation behind another element on the view, complete the following step:

  1. In the Project Views folder of Open Plan Explorer, select the project containing the annotation you want to move, and display it in network view.

  2. Right-click the annotation, and click Send to Back from the shortcut menu.

To place a hidden annotation in front of another element on the view, complete the following step:

  1. In the Project Views folder of Open Plan Explorer, select the project containing the annotation you want to move, and display it in network view.

  2. Click the part of the annotation that is displayed.

To resize an annotation, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select the project containing the annotation you want to resize, and display it in network view.

  2. Select the annotation.

  3. Place the cursor at the lower right corner of the annotation box.

  4. Drag the cursor until the annotation box is the size you want.

Related Topics and Procedures

Related Topic

Network View Annotation Dialog Box

Related Procedures

Entering an Annotation in a Network View

Creating an Approval Box

Editing an Annotation

Deleting an Annotation

Changing the Font on an Annotation


Deleting an Annotation (Procedure)

Deleting an Annotation

To delete an annotation, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select the project containing the annotation you want to delete, and display it in network view.

  2. Right-click the annotation you want to delete.

  3. On the shortcut menu, click Delete.

Related Topics and Procedures

Related Topic

Network View Annotation Dialog Box

Related Procedures

Entering an Annotation in a Network View

Creating an Approval Box

Changing How an Annotation is Displayed

Editing an Annotation

Changing the Font on an Annotation


Editing an Annotation (Procedure)

Editing an Annotation

To edit an annotation, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select the project containing the annotation you want to edit, and display it in network view.

  2. Right-click the annotation, and click Edit from the context menu.

  3. In the Network View Annotation dialog box, enter the text you want to display as an annotation.

  4. To attach an annotation to a specific activity rather than to the view, enter the activity ID in the Attach to Activity ID field. The annotation will then stay with the activity whenever the activity is moved on the view.

    Each activity can have only one annotation. Attaching an annotation to an activity that already has one detaches (but does not delete) the old annotation.

  5. From the Style drop-down list, select a border style for the annotation.

  6. From the Text Color drop-down list, select a color for the annotation text.

  7. From the Background Color drop-down list, select a background color for the annotation.

  8. To change the appearance of the annotation text, click the Font button, and select a font and its attributes. The Font button will be enabled when you deselect the Use Default Font option. Deselecting this option opens the Font dialog box.

  9. Select the Resize Box to Fit Data option if you want the Annotation Box to automatically resize depending on the text length of the annotation.

  10. Click OK.

Related Topics and Procedures

Related Topic

Network View Annotation Dialog Box

Related Procedures

Entering an Annotation in a Network View

Creating an Approval Box

Changing How an Annotation is Displayed

Deleting an Annotation

Changing the Font on an Annotation


Change the Font for an Annotation (Procedure)

Change the Font for an Annotation

To change the font on an annotation, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select the project containing the annotation whose font you want to change, and display it in network view.

  2. Take one of the following:

  • Double-click the annotation whose font you want to change.

  • Right-click the annotation whose font you want to change, and click Edit from the context menu.

  3. In the Network View Annotation dialog box, deselect the Use Default Font (Calibri, 24) option to display the Font dialog box. This dialog box displays automatically if the Use Default Font (Calibri, 24) option was selected by default.

If the Use Default Font (Calibri, 24) option was not selected by default, click Font in the Network View Annotation dialog box.

  4. In the Font dialog box, select a font and its attributes.

  5. Click OK.

The font size is controlled by the size of the annotation.

Related Topics and Procedures

Related Topic

Font Dialog Box

Related Procedures

Changing the Font on a Network View

Changing the Font on Activity Boxes

Changing the Default Font on a Spreadsheet

Changing the Font on a Bar

Changing the Font on a Date Scale

Changing the Font on a Calendar

Changing the Font on a Code View

Changing the Font on a Resource View


Collapse a Subproject (Network View)

To collapse a subproject, complete the following step:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in network view.

  2. Select a subproject, and take one of the following actions:

  • In the Data menu group of the Edit tab, click Collapse [image] .

  • Right-click the subproject area, and click Collapse on the shortcut menu.


Collapse All Subprojects (Network View)

To collapse all subprojects, complete the following step:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in network view.

  2. Take one of the following actions:

  3. In the Data menu group of the Edit tab, click Collapse All .

  4. Right-click the top level activity, and click Collapse on the shortcut menu.


Displaying Multiple Levels of a Project in a Network (Procedure)

Displaying Multiple Levels in a Project

To display multiple levels in a hierarchical project, complete the following step:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in network view.

  2. In the Data menu group of the Edit tab, click Expand All [image].

Related Topics and Procedures

Related Topic

How a Network View Displays Information

Related Procedures

Displaying Child Activities on a Network View

Creating Child Activities in a Spreadsheet

Displaying a Network at Different Magnifications

Expanding a Subproject on a Network View

Moving Up the Hierarchy


Drill Down into a Subproject (Network View)

To drill down into a subproject, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in network view.

  2. Select the parent of the subproject you want to drill down to.

  3. Take one of the following actions:

  4. In the View menu group of the View tab, click Go To Subproject.

  5. Right-click the activity, and click Go to Subproject on the shortcut menu.


Expanding a Subproject in a Network (Procedure)

Expanding a Subproject (Network)

In order to expand a network, placements must first be set to Manual in the Placements dialog box.

To expand a subproject in a network view, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in network view.

  2. Select the parent activity of the subproject that you want to expand.

  3. In the Data menu group of the Edit tab, click Expand [image].

Related Topics and Procedures

Related Topic

How a Network View Displays Information

Related Procedures

Displaying Child Activities on a Network View

Displaying a Network at Different Magnifications

Moving Up the Hierarchy


Expand All Subprojects (Network View)

To expand all subprojects, complete the following step:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in network view.

  2. In the Data menu group of the Edit tab, click Expand All.


Go to a Parent Activity on the Current Level (Network View)

To go to the parent activity of the current level, complete the following step:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in network view.

  2. Select a subproject, and take one of the following actions:

  • In the View menu group of the View tab, click Go To Parent.

  • Right-click an empty area of the view, and click Go to Parent on the shortcut menu.

The options above are available only if you are in the subproject level.


Go to the Top Level of the Project (Network View)

To go to the top level of the project, complete the following step:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in network view.

  2. Select a subproject.

  3. Take one of the following actions:

  • In the View menu group of the View tab, click Go To Top.

  • Right-click an empty area of the view, and click Go to Top Level on the shortcut menu.

The options above are available only if you are in the subproject level.


Move an Expanded Subproject

To move an expanded subproject, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in network view.

  2. Position the cursor on the frame of the subproject you want to move.

  3. When the cursor shape changes to a hand, drag the subproject to the desired position.


Moving Up the Hierarchy in a Network (Procedure)

Moving Up the Hierarchy (Network)

To go to the parent activity in a hierarchy, complete the following step:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in network view.

  2. Select a subproject, and take one of the following actions:

  • Right-click the workspace, and click Go to Parent from the shortcut menu.

  • In the View menu group of the View tab, click Go to Parent.

To go to the top level in the hierarchy, complete one of the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in network view.

  2. Select a subproject, and take one of the following actions:

  • Right-click the workspace, and click Go to Top Level on the shortcut menu.

  • In the View menu group of the View tab, click Go to Top.

Related Topics and Procedures

Related Topic

How a Network View Displays Information

Related Procedures

Displaying Child Activities on a Network View

Displaying a Network at Different Magnifications

Expanding a Subproject on a Network View


Performing Automatic Placements (Procedure)

Performing Automatic Placements

If you perform automatic placements with the Relationship Line Options set to Direct in the Network View Preferences dialog box, Open Plan staggers the display of relationship lines where necessary to avoid any ambiguity.

To perform automatic placements on a network view, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in network view.

  2. Take one of the following actions:

  • In the Network menu group of the View tab, click Placements.

  • Press Shift+P.

  • Right-click an empty area of the view, and click Placements on the shortcut menu.

  3. In the Placements dialog box, click Automatic for the placements method.

  4. Select any options for the operation.

  5. Click OK.

Open Plan returns to the view and calculates new placements for the activities and relationships.

Related Topics and Procedures

Related Topic

Placements Dialog Box

Related Procedures

Turning Automatic Placements Off

Saving Automatic Placements

Displaying a Semi Time-Phased Network View

Displaying a Network at Different Magnifications

Expanding a Subproject on a Network View

Displaying Child Activities on a Network View

Defining Custom Zoning

Filtering Data in a Network View


Saving Automatic Placements (Procedure)

Saving Automatic Placements

To save automatic placements, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in network view.

  2. Perform automatic placements and remain in the automatic mode. If you wish, you can modify the placements calculated by Open Plan before saving them.

  3. Take one of the following actions:

  • In the Network menu group of the View tab, click Placements.

  • Press Shift+P.

  4. In the Placements dialog box, click Save As Manual.

  5. Click OK.

Open Plan saves the current placements and returns to the manual placements mode.

Related Topics and Procedures

Related Topic

Placements Dialog Box

Related Procedures

Performing Automatic Placements

Turning Automatic Placements Off

Displaying a Semi Time-Phased Network View

Displaying a Network at Different Magnifications

Expanding a Subproject on a Network View

Displaying Child Activities on a Network View

Defining Custom Zoning

Filtering Data in a Network View


Turning Automatic Placements Off (Procedure)

Turning Automatic Placements Off

To turn automatic placements off, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in network view.

  2. Take one of the following actions:

  • In the Network menu group of the View tab, click Placements.

  • Press Shift+P.

  • Right-click an empty area of the view, and click Placements on the shortcut menu.

  3. In the Placements dialog box, click Manual for the placements method.

  4. Click OK.

Open Plan turns automatic placements off and restores the view to the last manual placements.

Related Topics and Procedures

Related Topic

Placements Dialog Box

Related Procedures

Performing Automatic Placements

Saving Automatic Placements

Displaying a Semi Time-Phased Network View

Displaying a Network at Different Magnifications

Expanding a Subproject on a Network View

Displaying Child Activities on a Network View

Defining Custom Zoning

Filtering Data in a Network View


Defining Custom Zoning (Procedure)

Defining Custom Zoning

To define custom zoning, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in network view.

  2. Take one of the following actions:

  • In the Network menu group of the View tab, click Placements.

  • Press Shift+P.

  3. In the Placements dialog box, click Automatic.

  4. Click Zoning.

  5. In the Zone Attributes dialog box, enter the information for each attribute. To delete a zone definition, select any field, and press Delete.

  6. To define the font for a zoning header, click the Font column, and then click the ellipsis button next to the edit box.

  7. Click OK to return to the Placements dialog box.

  8. Select the Zone Project option.

  9. To close the Placements dialog box and enable your settings, click OK.

Related Topics and Procedures

Related Topic

Zoning a Network View

Zone Attributes Dialog Box

Related Procedures

Performing Automatic Placements

Turning Automatic Placements Off

Saving Automatic Placements

Filtering Data in a Network View


Adjust the Position of a Zone Header

To adjust the position of a zone header, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in network view.

  2. Position the cursor over the header.

  3. When the cursor shape changes to a hand, drag the header to the desired location.


Modify the Position of a Zone Header

To modify a zone header, complete the following steps:

  1. Select the Zone Project option in the Placements dialog. For more information, see Define Custom Zoning.

  2. Right-click the zone header.

  3. Click one of the following commands on the context menu:

  • To display the header behind other objects in the view, click Send to Back.

  • To display the Network View Annotation dialog box for the header, click Edit.

  • To delete the header, click Delete.

Related Topics and Procedures

Related Topic

Network View Annotation Dialog Box


Resize a Zone Header

To resize a zone header, complete the following steps:

  1. Select the Zone Project option in the Placements dialog box. For more information, see Define Custom Zoning..

  2. Click the zone header.

  3. When a rectangle appears around the header, drag the lower right corner of the rectangle to resize the header.


Define Custom Time Scaling

To define custom time scaling, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in network view.

  2. Take one of the following actions:

  • In the Network menu group of the View tab, click Placements.

  • Press Shift+P.

  3. In the Placements dialog box, click Automatic.

  4. Click Time Scale.

  5. In the Scaling Specification dialog box, enter the information for each attribute, and click OK to return to the Placements dialog box.

  6. Select the Time Scale Project option.

  7. To close the Placements dialog box and enable your settings, click OK.

Related Topics and Procedures

Related Topic

Network View Overview

Defining Time Scaling

Related Procedure

Adjust the Position of a Time-Scaled Header

Modify a Time-Scaled Header

Resize a Time-Scaled Header


Adjust the Position of a Time-Scaled Header

To adjust the position of a time-scaled header, complete the following steps:

  1. Select the Time Scale Project option in the Placements dialog box. For more information, see Define Custom Time Scaling.

  2. Position the cursor over the header.

  3. When the cursor shape changes to a hand, drag the header to the desired location.

Related Topics and Procedures

Related Topics

Network View Overview

Defining Time Scaling

Related Procedures

Define Custom Time Scaling

Modify a Time-Scaled Header

Resize a Time-Scaled Header


Modify a Time-Scaled Header

To modify a time-scaled header, complete the following steps:

  1. Select the Time Scale Project option in the Placements dialog box. For more information, see Define Custom Time Scaling.

  2. Right-click the time-scaled header.

  3. Click one of the following commands on the context menu:

  • To display the header behind other objects in the view, click Send to Back.

  • To display the Network View Annotation dialog box for the header, click Edit.

  • To delete the header, click Delete.

Related Topics and Procedures

Related Topics

Network View Overview

Defining Time Scaling

Network View Annotation Dialog Box

Related Procedures

Define Custom Time Scaling

Adjust the Position of a Time-Scaled Header

Resize a Time-Scaled Header


Resize a Time-Scaled Header

To resize a time-scaled header, complete the following step:

  1. Select the Time Scale Project option in the Placements dialog box. For more information, see Define Custom Time Scaling.

  2. Click the time-scaled header to select it.

  3. When a rectangle appears around the header, drag the lower right corner of the rectangle to resize the header.

Related Topics and Procedures

Related Topics

Network View Overview

Defining Time Scaling

Related Procedures

Define Custom Time Scaling

Modify a Time-Scaled Header

Adjust the Position of a Time-Scaled Header


Setting Network Legend Options (Procedure)

Setting Network Legend Options

To set your options for the network legend, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in network view.

  2. In the Network menu group of the View tab, click Preferences.

  3. In the Network View Preferences dialog box, click the Legend tab.

  4. In the Legend Options group box, indicate if you want to print the legend on every page, on a separate page, at a manually selected location, or not at all.

  5. If you selected Every Page in the Legend Options group box, use the options in the Page Position group box to select the position on the report page for printing the legend.

  6. Click OK.

Related Topics and Procedures

Related Topics

Network Preferences: Legend Tab

Network View Preferences Dialog Box

Related Procedures

Setting Network Legend Options

Moving a Legend on a Network View

Reshaping a Legend Box

Defining the Relationship Line Style

Showing Page Breaks on a Network View


Moving a Legend (Procedure)

Moving a Legend (Network)

To display the legend on a network view, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in network view.

  2. Take one of the following actions:

  • In the Network menu group of the View tab, click Preferences.

  • Right-click an empty area within the view, and click Preferences from the shortcut menu.

  3. In the Network View Preferences dialog box, click the Legend tab, and select Manual in the Legend Options group box.

  4. Click OK to return to the network view.

To position the legend, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in network view.

  2. Place the cursor anywhere on the frame of the legend box.

  3. When the cursor shape changes to a hand, drag the legend to the desired location.

Related Topics and Procedures

Related Topic

Network Preferences: Legend Tab

Related Procedures

Setting Network Legend Options

Reshaping a Legend Box

Defining the Relationship Line Style

Showing Page Breaks on a Network View


Position a Legend Manually

To position a legend manually, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in network view.

  2. Take one of the following actions:

  • In the Network menu group of the View tab, click Preferences.

  • Right-click an empty area within the view, and click Preferences on the shortcut menu.

  3. On the Legend tab of the Network View Preferences dialog box, select Manual in the Legend Options group box.

  4. Click OK. Open Plan displays the legend in the lower left corner of the networkview. You may need to use the Zoom Out command to determine the location of the legend.

  5. Position the legend manually as follows:

  • To move the legend, position the cursor on the legend frame. When the cursor shape changes to a hand, drag the legend to the desired location.

  • To resize the legend, position the cursor on the lower right corner of the legend frame. When the legend shape changes to a double-headed arrow, drag the frame to the desired size and shape.

    • If no boxes appear in a legend, enlarge the area of the legend by resizing it.


Reshaping a Legend (Procedure)

Reshaping a Legend (Network)

To reshape the legend on a network view, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in network view.

  2. Take one of the following actions:

  • In the Network menu group of the View tab, click Preferences.

  • Right-click an empty area within the view, and click Preferences on the shortcut menu.

  3. On the Legend tab of the Network View Preferences dialog box, select Manual in the Legend Options group box.

  4. Click OK to return to the network view.

  5. Place the cursor at the lower right edge of the legend box.

  6. Drag the corner of the legend box until the box is the size and shape you want.

Related Topics and Procedures

Related Topic

Network Preferences: Legend Tab

Related Procedures

Setting Network Legend Options

Moving a Legend on a Network View

Defining the Relationship Line Style

Showing Page Breaks on a Network View


Create a Relationship in the Network View with a Mouse (Procedure)

Create a Relationship in a Network (Mouse)

To create a relationship in a network view using a mouse:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in network view.

  2. Place the cursor at the appropriate edge of the predecessor activity. (Use the left edge to create start-to-start and start-to-finish relationships. Use the right edge to create finish-to-start and finish-to-finish relationships.) When the cursor is positioned on the edge of the activity box, the cursor changes to a [image] shape.

  3. Drag the cursor to create any of the following relationships:

  • Finish-to-Start: Drag the relationship line from the right edge of the predecessor activity to the left edge of the successor.

  • Finish-to-Start: Drag the relationship line from the right edge of the predecessor activity to the left edge of the successor.

  • Finish-to-Finish: Drag the relationship line from the right edge of the predecessor activity to the right edge of the successor.

  • Start-to-Finish: Drag the relationship line from the left edge of the predecessor activity to the right edge of the successor.

If you accidentally release the mouse button before creating the relationship, Open Plan assumes that you want to create a new activity and displays the Activity Details dialog box.

While a relationship lag can be either positive or negative, the default relationship that Open Plan creates has zero lag. By default, Open Plan uses the calendar of the successor activity to calculate any lag in the relationship. To change any of these settings, either double-click the relationship line and makes changes to the displayed dialog box or right-click the relationship line, click Edit Relationship on the shortcut menu, and make changes to the displayed dialog box. You can also create relationships between activities in different external subprojects of a hierarchical project provided that both external subprojects are open.

You can also add, edit, and delete data for predecessors and successors directly in a cell of any activity-based spreadsheets. The Activity Predecessors and Activity Successors columns display the predecessor/successor ID, relationship type, and lag of the relationship (which is optional and may be negative) in each cell using the format <Predecessor/Successor ID><space><relationship type><+/-Lag>. For example, 1.02 SF+3d.

Related Topics and Procedures

Related Topic

Activity Details Relationships Tab

Related Procedures

Creating a Relationship Using the Keyboard

Editing a Relationship in a Network view

Deleting a Relationship in a Network View

Creating a Relationship in a Barchart View

Creating a Relationship in a Spreadsheet View

Creating Interproject Relationships in a Network View

Creating a Relationship in a Split Network view


Create a Relationship in the Network View with the Keyboard (Procedure)

Create a Relationship in a Network (Keyboard)

To create a relationship in a network view using the keyboard:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in network view.

  2. In the Data menu group of the Edit tab, click Add Relationship [image].

  3. In the Predecessor field of the Add Relationship dialog box, enter the ID of the activity to be the predecessor.

  4. In the Successor field, enter the ID of the activity to be the successor.

  5. From the Type list, select a relationship type. The options in this field are:

  • Finish-to-start:The relationship between activities that specifies that the start of the successor activity depends on the completion of the predecessor activity. In most cases, this means that the successor activity cannot start until the predecessor activity is completed. This is the default relationship.

  • Start-to-start: The relationship between activities that specifies that the start of the successor activity depends on the start of the predecessor activity. In most cases, this means that the successor activity cannot be started before the start of the predecessor activity.

  • Finish-to-finish: The relationship between activities that specifies that the finish of the successor activity depends on the completion of the predecessor activity. In most cases, this means that the successor activity cannot be completed before the predecessor activity is completed.

  • Start-to-finish: The relationship between activities that specifies that the finish of the successor activity depends on the start of the predecessor activity. In most cases, this means that the successor activity cannot be completed before the start of the predecessor activity.

  6. In the Lag field, enter the relationship lag.

While a relationship lag can be either positive or negative, the default relationship that Open Plan creates has zero lag.

To shorten the overall duration of a project, identify activities that can be overlapped and define their relationships with lag or lead times.

  7. From the Calendar list, select the name of the calendar to be used for calculating the lag in this relationship.

  8. Click OK.

You can also create relationships between activities in different external subprojects of a hierarchical project provided that both external subprojects are open.

In addition, you can add, edit, and delete data for predecessors and successors directly in a cell of any activity-based spreadsheets. The Activity Predecessors and Activity Successors columns display the predecessor/successor ID, relationship type, and lag of the relationship (which is optional and may be negative) in each cell using the format <Predecessor/Successor ID><space><relationship type><+/-Lag>. For example, 1.02 SF+3d.

Related Topics and Procedures

Related Topic

Activity Details Relationships Tab

Related Procedures

Creating a Relationship in a Network View Using a Mouse

Editing a Relationship in a Network View

Deleting a Relationship in a Network View

Creating a Relationship in a Barchart View Using the Mouse

Creating a Relationship in a Spreadsheet View

Creating Interproject Relationships in a Network View

Creating a Relationship in a Split Network view


Creating a Relationship Using a Split Network View

To create a relationship using a split network view, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in network view.

  2. Split the network view by clicking Split View in the Network menu group of the View tab.

  3. Display the predecessor activity in one pane and the successor activity in the other.

  4. Alt+drag the cursor from the start or finish of the predecessor to the start or finish of the successor.

Related Topics and Procedures

Related Topic

Activity Details Relationships Tab

Related Procedures

Creating a Relationship Using a Mouse

Creating a Relationship Using the Keyboard

Editing a Relationship in a Network View

Creating Interproject Relationships in a Network View

Splitting a Network View into Two Panes


Changing the Shape of a Relationship Line (Procedure)

Changing the Shape of a Relationship

To change the shape of a relationship line, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in network view.

  2. Position the mouse cursor over the relationship line.

  3. When the cursor changes to a crosshair, drag the line to change its shape.

To return the shape of a relationship line to its default position, right-click the relationship line, and click Make Straight on the shortcut menu.

Related Topics and Procedures

Related Topic

Network Preferences: Options Tab

Related Procedures

Defining the Relationship Line Style

Changing the Size of an Activity Box

Defining Activity Box Attributes

Setting Box Layout Options


Create Interproject Relationships in a Network (Procedure)

Create Interproject Relationships (Network)

To create an interproject relationship in a network view:

  1. Open the master project.

  2. Open all external subprojects containing activities to be part of an interproject relationship.

  3. Expand the external subproject activities.

  4. Place the cursor at the appropriate edge of the predecessor activity. (Use the left edge to create start-to-start and start-to-finish relationships. Use the right edge to create finish-to-start and finish-to-finish relationships.)

    When the cursor is positioned on the edge of the activity box, the cursor changes to a [image] shape.

  5. Drag the cursor to create one of the following relationships:

    Finish-to-Start

    Drag the relationship line from the right edge of the predecessor activity to the left edge of the successor.

    Finish-to-Finish

    Drag the relationship line from the right edge of the predecessor activity to the right edge of the successor.

    Start-to-Finish

    Drag the relationship line from the left edge of the predecessor activity to the right edge of the successor.

    Finish-to-Start

    Drag the relationship line from the right edge of the predecessor activity to the left edge of the successor.

If you accidentally release the mouse button before creating the relationship, Open Plan assumes that you want to create a new activity and displays the Activity Details dialog box.

While a relationship lag can be either positive or negative, the default relationship that Open Plan creates has zero lag. By default, Open Plan uses the calendar of the successor activity to calculate any lag in the relationship.

To change either of these settings, double-click the relationship line, and edit the dialog box that is displayed.

Related Topics and Procedures

Related Topic

Inter-Project Relationships

Related Procedures

Creating a Relationship Using a Mouse

Using External Subprojects in a Hierarchy

Editing a Relationship in a Network View

Deleting a Relationship in a Network View

Creating a Relationship in a Barchart Using the Mouse

Creating a Relationship in a Spreadsheet View


Editing a Relationship in the Network View (Procedure)

Edit a Relationship (Network)

To edit a relationship in a network view:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in network view.

  2. Display the Edit Relationship dialog box by doing one of the following:

  3. Double-click the relationship line you want to edit.

  4. Right-click the relationship line you want to edit, and click Edit Relationship on the shortcut menu.

  3. On the Edit Relationship dialog box, enter the new information about the relationship.

  4. Click OK.

You can also add, edit, and delete data for predecessors and successors directly in a cell of any activity-based spreadsheets. The Activity Predecessors and Activity Successors columns display the predecessor/successor ID, relationship type, and lag of the relationship (which is optional and may be negative) in each cell using the format <Predecessor/Successor ID><space><relationship type><+/-Lag>. For example, 1.02 SF+3d.

Related Topics and Procedures

Related Topic

Activity Relationships Tabs

Related Procedures

Creating a Relationship Using a Mouse

Creating a Relationship Using the Keyboard

Deleting a Relationship in a Network View

Creating Interproject Relationships in a Network View

Creating a Relationship in a Split Network view


Deleting a Relationship in a Network View (Procedure)

Deleting a Relationship (Network)

To delete a relationship, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in network view.

  2. Take one of the following actions:

  • Double-click the relationship line that you want to delete, and click Delete in the Relationship dialog box.

  • Right-click the relationship line that you want to delete, and click Delete Relationship on the shortcut menu.

  • Position the cursor over the arrowhead of the relationship line, and drag the arrowhead back to the predecessor activity when the cursor changes to a zigzag ( [image]) shape.

Related Topics and Procedures

Related Topic

Activity Details Relationships Tab

Related Procedures

Creating a Relationship Using a Mouse

Creating a Relationship Using the Keyboard

Editing a Relationship in a Network View

Creating Interproject Relationships in a Network View

Creating a Relationship in a Split Network view


Defining the Relationship Line Style (Procedure)

Defining the Relationship Line Style

To define the style of the relationship lines on a network view, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in network view.

  2. In the Network menu group of the View tab, click Preferences.

  3. On the Relationships tab of the Network Preferences dialog box, select either of the following:

Direct

Open Plan draws the relationship lines as straight lines between the predecessor and successor activities.

Routed

Open Plan draws the relationship lines in a series of horizontal and vertical segments.

  4. If you want rounded corners where the relationship lines change directions, select the Smooth Relationship Line Corners option.

  5. Click OK.

Defining the relationship line style changes the line style only for those relationship lines that you have not modified manually. Relationship lines that you have modified by dragging the line into a new shape remain unchanged.

Related Topics and Procedures

Related Topic

Network Preferences: Options Tab

Related Procedures

Changing the Shape of a Relationship line

Defining the Relationship Line Style

Changing the Size of an Activity Box

Showing Page Breaks on a Network View

Highlighting Controlling Relationships in a Network View

Setting Box Legend Options


Change the Font in a Network View (Procedure)

Change the Font in a Network View

To change the font on a network view, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in network view.

  2. Take one of the following actions:

  • Right-click the workspace, and click Font on the context menu.

  • On the View tab, click Default.

  3. In the Font dialog box, select a font and its attributes.

  4. Click OK.

Related Topics and Procedures

Related Topic

Using the Font Dialog Box

Related Procedures

Changing the Font on a Network View

Changing the Font on Activity Boxes

Changing the Font on an Annotation

Changing the Default Font on a Spreadsheet

Changing the Font on a Bar

Changing the Font on a Date Scale

Changing the Font on a Calendar

Changing the Font on a Code View

Changing the Font on a Resource View


Creating an Approval Box in a Network (Procedure)

Creating an Approval Box (Network)

To create an approval box on a network, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in network view.

  2. In the View menu group of the View tab, click Add Annotation.

  3. In the Network View Annotation dialog box, enter the text you want to appear in the approval box using the following editing functions:

  • To advance to a new line, press Ctrl+Enter.

  • To draw a horizontal line across the box, use the underline key.

  4. From the Style list, select a border for the annotation.

  5. From the Text Color list, select the font color for the annotation.

  6. From the Background Color list, select a background color for the approval box.

  7. You use the default font provided by Open Plan by selecting that option.

  8. The Approval Box can be automatically resized, depending on the amount of text you entered in the Text field. Select the Resize Box to Fit Data option.

  9. Click OK.

To resize the approval box, select the approval box, pace the cursor at the lower right corner of the approval box, and drag the cursor until the box is the size you want.

To move the approval box on the view, place the cursor near the center of the approval box, and drag it to a new location.

Related Topics and Procedures

Related Topic

Network View Annotation Dialog Box

Related Procedures

Entering an Annotation in a Network View

Changing How an Annotation is Displayed

Editing an Annotation

Deleting an Annotation

Changing the Font on an Annotation


Customize Network View Display Options

To customize display options, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in network view.

  2. Take one of the following actions:

  • In the Network menu group of the View tab, click Preferences.

  • Right-click an empty area within the view, and click Preferences on the context menu.

  3. On the Options tab of the Network Preferences dialog box, enter the information for the display options.

  4. When your changes are complete, click OK to return to the network view.

Related Topics and Procedures

Related Topic

Network Preferences Dialog Box


Customize the Activity Boxes Display Using Conditional Formatting

To customize the display of the activity boxes for the Network View using the Conditional Formatting dialog box, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in network or spreadsheet view.

  2. Right-click within the view, and select Conditional Formatting from the shortcut menu.

  3. In the Conditional Formatting dialog box, select a field under the Applies To column.

  4. After you have selected a field to format, you may choose a criterion or any other attribute to modify the same field.

  5. To make a formatting selection, click the drop-down list and/or the ellipsis box, if present.

  6. To change the order of the items, select any cell in a row, and click one of the Change Order buttons.

  7. To delete an item from the list, select the row, and click the Delete.

  8. When you are done making selections, click OK.

Related Topics and Procedures

Related Topic

Spreadsheet View Overview

Conditional Formatting Dialog Box


Displaying a Network at Different Magnifications (Procedure)

Displaying a Network at Different Magnifications

To display a network view at a different magnification, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in network view.

  2. In the View menu group of the View tab, click Zoom Out or Zoom In.

There are three display mode types for the network view:

  • Normal: This is the default display mode when you first open a network view.

  • Intermediate: There will be one or multiple intermediate zoom modes, depending on the size of your project. The first (or sole) intermediate mode is displayed when you apply the Zoom Out command from the normal display mode.

  • Fully Reduced: This mode is displayed when you apply the Zoom Out command from the final intermediate display mode.

To assure that the text within activity boxes will be legible, at any zoom level where the network is shrunk to 75% or less, you may hover the cursor over the activity to see the activity drawn at normal size.

Related Topics and Procedures

Related Topic

How a Network View Displays Information

Related Procedures

Finding an activity

Performing Automatic Placements on a Network View

Defining Custom Zoning


Displaying a Semi Time-Phased Network View (Procedure)

Displaying a Semi Time-Phased Network View

To display a semi time-phased network view, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in network view.

  2. Take one of the following actions:

  • In the Network menu group of the View tab, click Placements.

  • Press Shift+P.

  3. In the Placements dialog box, click Automatic for the placements method.

  4. Select the Time Scale Project option.

  5. Click Time Scale.

  6. In the Scaling Specification dialog box, set the appropriate options for the date scale.

Open Plan always displays the activity boxes in the order dictated by the project logic. Therefore, a successor activity is never placed to the left of its predecessor even if it has an earlier start date due to negative lag.

  7. Click OK to return to the Placements dialog box.

  8. Click OK to return to the network view.

Related Topics and Procedures

Related Topic

Placements Dialog Box

Related Procedures

Performing Automatic Placements

Turning Automatic Placements Off

Saving Automatic Placements

Displaying a Network at Different Magnifications

Expanding a Subproject on a Network View

Displaying Child Activities on a Network View

Defining Custom Zoning

Filtering Data in a Network View


Filtering Data in a Network View (Procedure)

Filtering Data in a Network View

To filter data in a network view, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in network view.

  2. Take one of the following actions:

  • Press Shift+P.

  • Right-click the workspace, and click Placements on the shortcut menu.

  • In the Network menu group of the View tab, click Placements.

  3. In the Placements dialog box, click Automatic.

  4. Click Filters.

  5. In the Filters dialog box, select the filter that you want to use, and click OK.

  6. In the Placements dialog box, select Filter Project, if it is not already selected.

  7. Click OK to enable your settings.

Related Topics and Procedures

Related Topic

Placements Dialog Box

Related Procedures

Performing Automatic Placements

Turning Automatic Placements Off

Saving Automatic Placements

Displaying a Semi Time-Phased Network View

Displaying a Network at Different Magnifications

Expanding a Subproject on a Network View

Displaying Child Activities on a Network View

Defining Custom Zoning


Highlighting Controlling Relationships in a Network View (Procedure)

Highlighting Controlling Relationships (Network)

To highlight controlling relationships, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in network view.

  2. In the Network menu group of the View tab, click Preferences.

  3. On the Relationships tab of the Network Preferences dialog box, select the Highlight Controlling Relationships option.

  4. Click OK.

Related Topics and Procedures

Related Topic

Network Preferences Dialog Box

Related Procedures

Aligning Activity Boxes

Changing the Shape of a Relationship line

Defining the Relationship Line Style

Changing the Size of an Activity Box

Showing Page Breaks on a Network View

Setting Box Legend Options


Setting Box Layout Options (Procedure)

Setting Box Layout Options

To set your options for the activity box layout complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in network view.

  2. In the Network menu group of the View tab, click Preferences.

  3. In the Network Preferences dialog box, click the Box Layout tab.

  4. In the Field column, click a blank line, and select a field from the list that is displayed.

  5. In the Line column, enter a line number to indicate where the field should display within the activity box.

    If you enter the same line number for more than one field, Open Plan displays the fields in the order shown in the list on the dialog box. You can use the change order buttons to move a data field to a higher or lower position in the list.

  6. In the Font column, select the font type for the standard or calculated fields in the Activity file.

  7. In the Text Color column, specify the text color for the standard or calculated fields in the activity file.

  8. In the Horz. Align column, specify the horizontal alignment of the text. The options available for this column are the following: Center, Left, and Right.

  9. In the Vert. Align column, specify the vertical alignment of the text. The options available for this column are the following: Bottom, Center, and Top.

  10. In the Max. Lines column, specify the maximum lines in the box on which the text is to be displayed.

  11. In the Max. Width column, specify the maximum width of the box on which the text is to be displayed.

  12. In the Format column, select the number of lines that the field may use to display data.

  13. Continue entering fields until you have fully defined the contents of the activity box. There is no limit to the number of fields you can define for an activity box.

  14. Click OK.

Related Topics and Procedures

Related Topic

Network Preferences: Box Attributes Tab

Related Procedures

Creating a New Filter

Defining Activity Box Attributes

Defining the Relationship Line Style

Showing Page Breaks on a Network View

Setting Box Legend Options


Splitting a Network View into Two Panes

To split a network view into two panes, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in network view.

  2. In the Network menu group of the View tab, click Split View.

You can drag a relationship between the two split panes by pressing and holding the ALT key while dragging the relationship from one pane to the other.

Related Topics and Procedures

Related Topic

Working with Activities in a Network View

Related Procedures

Add a Relationship Using a Split Network View

Deleting an Activity

Moving an Activity in a Network View

Cutting an Activity

Copying an Activity

Selecting Multiple Activities in a Network View


Showing Page Breaks on a Network View (Procedure)

Showing Page Breaks (Network)

To show page breaks on a network view, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in network view.

  2. In the Network menu group of the View tab, click Preferences.

  3. On the Options tab of the Network View Preferences dialog box, select the Show Page Breaks option.

  4. Click OK.

Related Topics and Procedures

Related Topic

Network Preferences: Options Tab

Related Procedures

Aligning Activity Boxes

Changing the Shape of a Relationship line

Defining the Relationship Line Style

Changing the Size of an Activity Box

Showing Page Breaks on a Network View

Highlighting Controlling Relationships in a Network View

Setting Box Legend Options


Spreadsheet View Overview

Spreadsheet views display information for multiple records in a tabular format. When you select a cell, the data is displayed in an edit box above the table. This makes these views well-suited for reports designed to show detail information at a relatively low level. Since they are fully interactive, spreadsheet views are also useful for data entry purposes, particularly in cases where large numbers of records are involved.

Open Plan comes with two types of spreadsheets, each of which is identified with a special icon:

Single-table spreadsheets: Open Plan uses a single-table spreadsheet to display information about activities. The spreadsheet can be based on any table. For example, to view resource assignments, you would base the spreadsheet on the resource table. You can also set up groups or use outlining to display the appropriate level of information.

Multi-table spreadsheets: Open Plan provides standard versions of multi-table spreadsheet views that can display information stored in different data tables.

You can navigate around a spreadsheet using either a mouse or keyboard shortcuts.

You can enter both activity and relationship information using standard Open Plan spreadsheet views. Spreadsheet views are particularly useful in cases where you want to display information for many activities at the same time.

You can enable or disable outlining on a spreadsheet view by right-clicking on the spreadsheet, selecting Preferences, and selecting Enable Outlining or Disable Grouping and Outlining on the Spreadsheet Preferences dialog box Options tab. With outlining, you can use the hierarchical information implicit in the activity ID to expand or collapse the display of detail information.

You can customize all spreadsheets by adding columns, deleting columns, and changing the width of any column. You can also set up groups with summaries and totals, or use outlining to display the appropriate level of information.

You can also specify conditional format overrides by right-clicking a spreadsheet view and selecting Conditional Formatting.

You can copy data directly from Open Plan to other applications such as Excel by copying the row, cell, or range and pasting it into the target application. You can also use a Fill Column Down command to replicate data from the top of one or more columns down through a selected range.

By default, you can select the data in a spreadsheet by clicking or control-clicking one or more column headings. You can also select multiple adjacent rows or columns by holding down the Shift key as you make your selections. And, by using the Ctrl key, you can select non-adjacent rows or columns.

By right-clicking a column heading, you can select the Click to Sort option on the shortcut menu. With this option selected, you can sort the data in the spreadsheet based on the selected column by clicking its heading.

In addition, you can split the spreadsheet into two panes. Each pane features a horizontal scroll bar allowing you to adjust the amount of data displayed in each pane.

You can display the column header field name when you hover your mouse over the column header. This is particularly useful when you want to view newly inserted columns into a view.

Activity Spreadsheet Views

You can enter, display, and edit any activity-related information in an activity spreadsheet view, including information stored in user-defined fields.

You can create, edit, delete, copy and paste activity steps into a Spreadsheet View of a project provided that the required key fields (such as Activity ID and Name) exist. Moreover, the displayed details in the Spreadsheet View and in the grid on the Steps tab of both the Activity Details and Activity Progress dialog boxes are in sync with one another other.

  • When you select an activity in the spreadsheet, the steps associated with that activity display in the grid. Selecting another activity in the spreadsheet updates the displayed steps in the grid accordingly.

  • When you update an activity step in the spreadsheet, the displayed data in the grid also updates, and vice versa. For example, adding a step in the spreadsheet also adds the step in the grid or updating the % Complete value and applying the change in the grid also updates its corresponding column in the spreadsheet.

When copying an existing step, the pasted step uses the original step name plus an underscore (_) and a three-digit number appended to it to make it unique. For example, copying Activity Step 2 and pasting it into the same activity results in a step named Activity Step 2_001.

Relationship Spreadsheet Views

For displaying relationship information, Open Plan supplies two types of spreadsheet views:

  • Relationship spreadsheets

  • Predecessor/successor spreadsheets

Relationship spreadsheet views resemble activity spreadsheet views but display information about each activity relationship on a single row.

Predecessor/successor spreadsheets display multiple relationships for each activity using an outlining format. In this view, Open Plan displays a plus sign (+) or a minus sign (-) on the outlining button to the left of the row to control the display of relationship information. If the outlining button displays a plus sign, you can expand the activity to see its relationships. If the outlining button displays a minus sign, the activity is already expanded — clicking the outlining button will collapse the display of relationships. If the outlining button is blank, the activity does not have any relationships.

Although you can use either a relationship spreadsheet or a predecessor/successor spreadsheet view to display information about activity relationships, Open Plan does not allow you to change relationship information in a predecessor/successor spreadsheet. You must use a relationship spreadsheet to add or update relationship information. The same keyboard shortcuts available in activity spreadsheets are available in relationship spreadsheets as well.

Progress Spreadsheet View

To facilitate the entry of progress information for multiple activities, Open Plan provides a standard progress spreadsheet view that you can use to enter any progress information. When entering progress information using this view, note that the setting of the Progress Type field determines how Open Plan interprets the Progress Value field. For example, if you entered Percent Complete for the Progress Type field, Open Plan interprets the Progress Value field as a percentage. You cannot modify the Accomplished Duration and Remaining Duration fields as they are calculated by Open Plan.

Conditional Formatting

Use the Conditional Formatting Dialog Box dialog box to override default settings by specifying the conditions under which the attributes of rows or an individual column or row will change. For example, you may want key figures that exceed a particular criterion to appear in bold red text, show a symbol, or display in a different background color.

Location

To display a project in network view, complete the following step:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in spreadsheet view.

Related Topics and Procedures

Related Topics

Customizing a Spreadsheet View

Linking

Using the Predecessor/Successor Spreadsheet

Using the Resource/Activity Spreadsheet


Audit_Remaining_Work View

When you have remaining work that is critical, you can use the Audit_Remaining_Work view to look at incomplete work grouped by float to review the activities with negative float.


Predecessor/Successor Spreadsheet

This spreadsheet allows you to view multiple relationships for each activity in a project.

Open Plan displays a plus sign (+) or a minus sign (-) on the outlining button to the left of the row to control the display of relationship information.

If the outlining button displays a plus sign, you can expand the activity to see its relationships.

If the outlining button displays a minus sign, the activity is already expanded. Clicking the outlining button will collapse the display of relationships.

If the outlining button is blank, the activity does not have any relationships.

Location

To display a project's predecessor/successor spreadsheet, complete the following steps:

  1. In Open Plan Explorer, select the Project Views folder for the project.

  2. Double-click the predecessor/successor spreadsheet view (Pred/Succ Spreadsheet).

Related Topics and Procedures

Related Topics

Spreadsheet View Overview

Using the Resource/Activity Spreadsheet

Using the Choose a Value Dialog Box

Related Procedures

Creating a Relationship in a Spreadsheet View

Inserting Rows in a Spreadsheet


Customize a Spreadsheet View

Spreadsheet Display Options

You can customize how a spreadsheet presents information by using the Spreadsheet Preferences dialog box that you display by opening a spreadsheet view and clicking Preferences on the View tab or right-clicking on the view and selecting Preferences.

In addition, if the displayed view is an activity spreadsheet, you can enable grouping or outlining to display the data at an appropriate level of detail.

Customizing Spreadsheet Columns

You can customise the spreadsheet view columns in a number of ways:

  • You can add or insert a new column or update an existing column using the Insert Column dialog box. The only difference between the Add Column, Insert Column, and Edit Column dialog boxes is the name of the dialog box.

  • You can display or remove multiple columns, rearrange the column display order, rename columns, and filter columns in the spreadsheet using the Organize Spreadsheet Columns dialog box. You can also use this dialog box to add fields, such as calculated field expressions, to be included in the Available Fields and Display these fields panes.

  • Define the formatting for a column

  • Delete a column

  • Change the column width or heading

  • Move the position of a column

You can also customize columns in a spreadsheet view using a mouse.

You can display the column header field name when you hover your mouse over the column header. This is particularly useful when you have renamed the column in the view and want to find the source field.

Using the Fill Column Down Command

This command is available in both spreadsheet views and in the spreadsheet pane of a barchart view.

The Fill Column Down command allows you to fill a spreadsheet column (or a selected range of cells in a column) with a single operation. To use this command, enter the value you want to apply to other cells in a spreadsheet column. Select a range of cells that includes the target cell as the topmost cell. Select Fill Column Down and Open Plan responds by filling all the selected cells with the value contained in the top cell of the range.

If you want to fill an entire column with the information in its first cell, right-click the column heading, and click Fill Column Down on the context menu.

Updating Cells with Editable Data

You can update a cell with editable data in two ways:

Corresponding options (such as a selection dialog box, a drop-down list, a pop-up calendar, or available values for selection) display, depending on the data type of the entry you are updating.

  • Click the cell and then enter a value manually or select from available options in the area above the spreadsheet. In the following example, clicking a cell in an editable date column displays a field where you can enter a date.

  • You can update values within or close to an editable cell in a spreadsheet. When you click the cell, a button (either [image] or [image]) displays at the right side of that cell (if the cell is currently editable). Below is an example of an editable date column.

Editable date columns include Actual Start, Actual Finish, Target Start, Target Finish, Expected Finish, and user-defined date fields. For non-editable date columns, the button is not available.

Related Topics and Procedures

Related Topics

Spreadsheet Preferences Dialog Box

Split a Spreadsheet View into Two Panes

Related Procedures

Customize Display Options

Enable Outlining

Enable Grouping

Define Outlining

Define Grouping

Sort the Data in a Spreadsheet

Add a Column in a Spreadsheet

Adjust Column Width

Edit a Column in a Spreadsheet

Insert a Column in a Spreadsheet

Move a Column in a Spreadsheet

Remove a Column in a Spreadsheet

Set a Column or Row Attribute


Split a Spreadsheet View into Two Panes

Open Plan allows you to split the view into two panes in order to “freeze” the columns displayed in the left pane. No matter how far you scroll the right-hand pane horizontally, the information in the left-hand pane remains the same.

You can still horizontally scroll the left-hand pane if you wish to change the information that is displayed.

At the left edge of the horizontal scrollbar is the splitter control that you can use to drag the splitter bar to the desired position. The splitter bar marks the boundary between the two panes.

Related Topics and Procedures

Related Topic

Spreadsheet View Overview

Related Procedure

Split a Spreadsheet into Two Panes


Support for All Tables

You can display any data table in a single-table spreadsheet view by using the Table Name option on the Options tab of the Spreadsheet Preferences dialog box. The Table Name option is available only for single-table spreadsheet views.

This field contains a list from which you can select a data table that the spreadsheet should use. If you select a different table (for example, change from the Activity table to the Resource table), Open Plan replaces the selection of fields displayed in the spreadsheet with the default set of the new table.

When you change the data table, double-clicking the selection box for an activity on the spreadsheet displays the relevant Details dialog box.

Because all code tables have the same structure, changing between code tables does not affect the columns that are displayed in the spreadsheet.

Related Topics and Procedures

Related Topic

Spreadsheet View Overview

Related Procedure

Change the Spreadsheet Table


Grouping in the Spreadsheet View

You can define groups for the spreadsheet portion of a barchart view as well as for stand-alone spreadsheet views.

A group consists of a block of data that begins with a subheading. You can group related data for presentation in a single-table spreadsheet view based on the contents of an activity field.

You can display summaries for groups at either the top or the bottom of the group. The type of summarization Open Plan performs for a column depends on the data displayed in the column. For example, if the column displays a numeric value, then the summary represents the total of all the values for that group. On the other hand, a column displaying finish dates will summarize as the latest date in that group. Some columns (for example, activity IDs or descriptions) do not summarize at all.

You can control how calculated fields are summarized by Open Plan in groups. For more information on calculated fields, see Calculated Fields.

If you display groups for a view that has a sort order in effect, Open Plan sorts the activities within the defined groups.

You can also display a row showing grand totals for the entire project at the bottom of the view.

You can specify the font, text color, and background color for group headings and summary lines. In addition, you can indicate a field to display for each heading. This allows you, for example, to base your group on a particular activity code and then display the description field for that code in the group heading. You also have the option of forcing a page break each time a new group displays in the view.

You can define groups for the spreadsheet portion of a barchart view as well as for stand-alone spreadsheet views.

If you use groups for a view that has a sort order in effect, Open Plan sorts the rows within the defined groups.

To enable the Grouping tab, select Enable Grouping on the Spreadsheet Preferences dialog box Options tab.

Defining Groups

You can control the groups in a spreadsheet view and define the settings for the groups using the Spreadsheet Preferences dialog box Grouping tab. Click Enable Grouping on the Options tab to enable the Grouping tab.

You define groups using the Break On column in the Grouping tab grid. Each row you enter in the Break On column creates an additional sublevel group.

Wherever you add a “break,” Open Plan adds a heading row in the spreadsheet view to indicate a group. You can add a heading label for the row or leave it blank.

When you assign a hierarchy code file with Break Level = 0 in the Grouping tab grid, Open Plan automatically indents the hierarchy structure in the spreadsheet (up to 40 levels) and color codes the levels as follows:

  • Levels 1 through 5 = Blue

  • Levels 6 through 10 = Green

  • Levels 11 through 15 = Gold

  • Levels 16 through 20 = Purple

The colors repeat after level 20.

The advantage of doing it this way is that you don’t have to manually enter each level of the hierarchy into the Grouping tab grid. When you use Break Level = 0, Open Plan automatically aligns and colors each level in the view.

Although you cannot select colors when you use Break Level = 0, you can still manually select colors when you use any other Break Level.

Related Topics and Procedures

Related Procedures

Enable Grouping

Define Grouping


Outlining in the Spreadsheet View

Outlining is a feature available in spreadsheet views, including the spreadsheet portion of the barchart view. With outlining, you can use the hierarchical information implicit in the activity ID to expand or collapse the display of detail information.

With the outlining feature, you can display higher-level elements using a different font and background color to distinguish them from detail rows. You can also indicate the default level for collapsing information.

If you use outlining for a view with a filter in effect, the display of child items is determined by the status of the parent. If you use outlining for a view that has a sort order in effect, Open Plan sorts the rows within the defined outlining structure.

To enable outlining for a spreadsheet view, use the Options tab of the Spreadsheet Preferences dialog box.

Defining Outlining

You can control the outlining feature for a spreadsheet view. To define outlining, you must first enable the feature by clicking Enable Outlining on the Options tab of the Spreadsheet Preferences dialog box. You can then define the settings on the Outlining tab.

Related Topics and Procedures

Related Topic

Spreadsheet View Overview

Related Procedures

Enabling Outlining

Defining Outlining


Linking

Although you can use calculated fields to display individual fields from different data tables on a single spreadsheet, Open Plan offers a more general linking capability in multi-table spreadsheet views. In multi-table spreadsheet views, you can display any field from linked tables just as though the field resided on the primary data table for the view. This allows you to produce sophisticated reports showing information from a number of different data tables.

Open Plan provides a number of multi-table spreadsheet views including:

  • Predecessor/Successor Spreadsheet: Displays the predecessors and successors for each activity in a project.

  • Activity/Resource Spreadsheet: Displays the resources assigned to each activity in a project.

  • Resource/Activity Spreadsheet: Displays information from the resource description table (the primary data table for the view).

Just as you can expand and collapse records in a spreadsheet view using outlining, multi-table spreadsheet views allow you to expand and collapse the display of information based on one-to-many relationships. To expand or collapse the display of secondary records in a multi-table spreadsheet view, use the outlining button (displayed to the left of the row) or the Collapse, Expand, and Expand All commands.

Multi-table spreadsheet views can combine outlining on an activity or resource ID with the display of one-to-many secondary records from linked data tables.

Defining Links

You can define the links for many multi-table spreadsheet views. By customizing the linking in a multi-table spreadsheet view, you can display fields from any linked data table. To define links in a multi-table spreadsheet view, display the Define Link tab in the Spreadsheet Preferences dialog box.

Use this dialog box to define the tables and fields comprising the link. For example, to link to the Assignment table from the Resource Description table, you might use the Res. ID field, which appears on both tables. This type of one-to-many link would allow you to display the activity IDs for each assignment stored for a resource. To display more information about these activities (for example, their descriptions), you could then link from the Assignment table to the Activity table using the activity ID field.

For a complete list of data tables and fields in Open Plan, see Open Plan Table Migration in the Deltek Open Plan Developer's Guide.

Notice that Open Plan does not allow recursive linking — that is, linking a file back to itself. Thus, for example, you cannot create a view that shows both predecessors and successors for activities by linking the Activity table to the Relationship table and then linking the Relationship table back to the Activity table. Instead, you must define two links between the Activity table and the Relationship table as follows:

Activity | Activity ID | Relationship | Activity
Activity | Activity ID | Relationship | Succ ID

Open Plan limits the list choices for linking tables and fields to only those that are based on the From Table.

For example, if the resource description table is linked to both the assignment and usage tables, data from the assignment and usage records will be displayed on the same line. This is true even if no relationship exists between the data from these two tables except through the single resource description record.

You can also use this Define Links tab to indicate if the primary record should appear on a row by itself in cases of one-to-many links. If you do not select the Put Primary Record on Its Own Row option, Open Plan displays the first linked record on the same row as the primary record.

Clicking Baselines Colors displays a dialog box that allows you to assign a different color for up to three baselines.

For information about multiple baselines, see Managing Baselines.

Related Topics and Procedures

Related Topics

Spreadsheet Preferences Outlining Tab

Using the Resource/Activity Spreadsheet

Using the Predecessor/Successor Spreadsheet

Related Procedures

Customizing Display Options

Linking Fields on a Spreadsheet


Resource/Activity Spreadsheet

The Resource/Activity spreadsheet allows you to view multiple assignments for each resource.

Open Plan displays a plus sign (+) or a minus sign (-) on the outlining button to the left of the row to control the display of assignment information.

  • If the outlining button displays a plus sign, you can expand the resource to see its assignments.

  • If the outlining button displays a minus sign, the resource is already expanded. Clicking the outlining button will collapse the display of assignments.

  • If the outlining button is blank, the resource does not have any assignments.

Location

To display a project's resource/activity spreadsheet, complete the following steps:

  1. In Open Plan Explorer, select the Project Views folder for the project.

  2. In the Contents Pane, double-click the resource/activity spreadsheet view (Resource/Activity Spreadsheet).

Related Topics and Procedures

Related Topics

Spreadsheet View Overview

Using the Predecessor/Successor Spreadsheet

Using the Choose a Value Dialog Box

Related Procedures

Assigning Resources in a Spreadsheet

Inserting Rows in a Spreadsheet


Modify Hierarchical IDs Using Indent and Outdent

Open Plan allows you to quickly modify hierarchical IDs for activity, resource assignment, and code assignment spreadsheets by using the Indent and Outdent commands.

After displaying the appropriate spreadsheet, you select the target ID and issue either the Indent or Outdent command.

Indent

The indent feature of Open Plan allows you to renumber hierarchical IDs. When you use this feature, Open Plan renumbers the relevant ID according to the rules for automatic numbering.

By indenting an ID, Open Plan makes it into a child of the previous activity in the hierarchy and changes that previous activity into a subproject if it is not already one. For example, assume you have a project with the following hierarchy:

10

20

30

40

50

Indenting ID 20 instructs Open Plan to make it a child of ID 10 and to make ID 10 a subproject. Therefore, the following hierarchy results:

10

10.20

30

40

50

Indenting is not available when grouping is in effect or in multi-table views.

Indenting may cause loops in the network logic. You can detect these loops by running time analysis and examining the log that is generated by the operation.

Outdent

The outdent feature of Open Plan allows you to promote an activity, resource, or code in a hierarchy to the level of its parent. In assigning an ID to the outdented element, Open Plan follows the rules for automatic numbering. For example, assume a project with the following activity hierarchy:

10

10.1

30

40

50

If activity 10.1 were to be outdented, Open Plan would assign it ID 11. Notice that although the remaining IDs in the hierarchy are numbered in 10-number increments, Open Plan assigns the outdented activity the first available ID number.

The outdent feature is not available when grouping is in effect, or in multi-table views.

For more information about automatic numbering, see Automatic Numbering within a Spreadsheet.

Related Topics and Procedures

Related Procedures

Indent an Activity, Resource, or Code ID

Outdent an Activity, Resource, or Code ID

Sort Data in a View


Automatic Numbering within a Spreadsheet

Activity IDs and resource IDs can be generated automatically from within a spreadsheet view. If you leave the ID field blank on the appropriate Details dialog box when creating a new activity or resource, Open Plan generates an ID for the new item automatically according to the following rules:

  • If the previous ID at a given level is all alphabetic, the program increments alphabetically.

  • If the previous ID at a given level is a mixture of alphabetic and numeric characters, the numeric part is incremented numerically.

  • If there is no previous ID, the program uses a numeric ID. Therefore, the first ID in the file is numbered "1."

Open Plan attempts to find a pattern in the ID numbering scheme for IDs that are incremented numerically by looking at the last two IDs in the hierarchy. If a pattern can be established, Open Plan uses the pattern when automatically creating a new ID.

For example, assume that your project has the following hierarchy:

A11

A12

A13

A14

A15

A20

Open Plan looks at the last two IDs in the hierarchy and determines that there is an difference of 5 between the two. Therefore, if you use automatically numbering to create the next ID, Open Plan creates ID A25.

On the other hand, if there is only one ID in the hierarchy and you have Open Plan create the other IDs , it uses the ID’s value as the incremental pattern.

For example, if you enter 12 for the first ID in the hierarchy and then have Open Plan create the remaining IDs, it increments the IDs by 12 resulting in the following hierarchy:

12

24

36

48

60

For information on using automatic numbering when creating new resources in a resource view, see Automatic Resource Numbering.


spreadsheet_keyboard_shortcutspopupspread

Spreadsheet Keyboard Shortcuts

The effect of using keyboard shortcuts depends on the type of field that has focus:

Key | Editable Field | Non-editable Field | Enumerated Field
Up arrow | Move focus up one cell | Move focus up one cell | Move focus up one cell
Down arrow | Move focus down one cell | Move focus down one cell | Move focus down one cell
Right arrow | Next character in cell | Next cell in row | Changes value
Left arrow | Prev. character in cell | Prev. cell in row | Changes value
PgUp | Scroll up one page | Scroll up one page | Scroll up one page
PgDn | Scroll down one page | Scroll down one page | Scroll down one page
Home | First character in cell | First cell in row | First value
End | Last character in cell | Last cell in row | Last value
Ctrl+Up | Top visible row | Top visible row | Top visible row
Ctrl+Down | Bottom visible row | Bottom visible row | Bottom visible row
Ctrl+Right | Rightmost visible column | Rightmost visible column | Rightmost visible column
Ctrl+Left | Leftmost visible column | Leftmost visible column | Leftmost visible column
Ctrl+PgUp | First cell in row | First cell in row | First cell in row
Ctrl+PgDn | Last cell in row | Last cell in row | Last cell in row
Ctrl+Home | Top left cell of table | Top left cell of table | Top left cell of table
Ctrl+End | Bottom right cell of table | Bottom right cell of table | Bottom right cell of table


Add Column Dialog Box

This dialog box defines the attributes of the new column.

Table Name

This field is enabled for spreadsheets and specifies the table on which the field to be displayed is located.

Field Name

The Field Name specifies the fields to be displayed. This field can be either one of the standard Open Plan fields or a calculated field that has been added to a file.

In addition, you can type a calculated field that you create "on-the-fly" in this field.

Title

The Title field displays the text used to identify the field. While you can enter any text you wish in this field, the default provided by Open Plan is the field name that is stored in the data dictionary.

Wrap Text

In Cells

Selecting this option enables text wrapping within the cells of the spreadsheet.

The Wrap in cells option must be selected if you want to display multiple lines within a cell.

In Column Heading

Selecting this option enables wrapping in the column headings.

Width

Best Fit

Selecting this option automatically resizes the column width to allow just enough space for the longer of either the column heading or the contents of any row in the column.

Specific

This option allows you to specify the maximum number of characters to be allowed. The default value for this field is the larger of the following:

  • The number of characters allowed in the data dictionary

  • The number of characters entered in the Title column

Text

Indent

Selecting this option indents the data in the column to indicate the hierarchical level of the item.

Override Default Font Settings

Selecting this option enables the following options:

  • Italics

  • Bold

Text

Alignment

This option allows you to specify how data in the column should be aligned:

  • <Default>: The settings available when you select <Default> depend on the data type:

  • Alphanumeric fields are left-aligned.

  • Numeric fields are right-aligned.

  • Left

  • Center

  • Right

Color

This option allows you to override the default color for the text with a specific color that has been predefined for the application.

Formatting

The Formatting options control how date, duration, or numeric data in the column is displayed. If you change the formatting of a column that already contains data, Open Plan displays the data in the new format. The available formatting options depend on the Field Name field:

  • If the field is a date field, the formatting options include date formats.

  • If the field is a duration, the formatting options include minutes (t), hours (h), days (d), weeks (w), and months (m). Open Plan displays as a decimal any remainder that results from converting a smaller unit into a larger unit. For example, a duration of 90 minutes becomes 1.5 when converted into hours. When you click a cell, the duration is displayed in the default format. You can then enter a new duration value in any format that you wish.

  • If the field is a numeric, the options include integers, percents, decimals, or monetary units. All options may be displayed with or without the separator used to indicate thousands.

Where appropriate, you can use the Decimals field to indicate a level of precision for the display of data.

The formatting of currency has ramifications for the international user.

While the spreadsheet stores the currency symbol as well as its position (before or after the numeric value), it does not control other aspects of how currency is formatted. Some aspects of currency formatting, such as the symbols used for the thousands separator and decimal, depend on your installation of Windows.

For example, if a user in the United States formats the value 1000 as $1,000.00, the French user will see it displayed as $1 000,00. Both the $ symbol and its position before the numeric value are retained. Open Plan does, however, allow Windows to replace the U.S. decimal character (.) with the French decimal character (,), and the U.S. thousands separator (,) with the French equivalent (a space).

Because Open Plan uses the decimal settings for your installation of Windows, the Decimal field is disabled for currency.

Decimals

Where appropriate, you can use the Decimals field to indicate a level of precision for the display of data.

Because Open Plan uses the decimal settings for your installation of Windows, the Decimal field is disabled for currency.

Add Column

The Add Column command places the new column to the right of the selected column.

Location

To display the Add Column dialog box, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in spreadsheet view.

  2. Take one of the following actions:

  • In the Columns menu group of the View tab, click Add.

  • Right-click a column header and select Add Column from the shortcut menu.

Related Topics and Procedures

Related Topics

Insert Column Dialog Box

Edit Column Dialog Box

Insert Rows Dialog Box

Conditional Formatting Dialog Box

Related Procedures

Adding a Column

Adjusting Column Width

Inserting a Column

Removing a Column

Editing a Column

Moving a Column

Setting a Column or Row Attribute


Edit Column Dialog Box

This dialog box defines the attributes of the selected column. It has the same fields as the Add Column and Insert Column dialog boxes. For more information, see the Add Column Dialog Box.

Open Plan does not automatically update the column width when changes are made to the column heading or contents.

Location

To display the Edit Column dialog box, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in spreadsheet view.

  2. Take one of the following actions:

  • In the Columns menu group of the View tab, click Edit.

  • Right-click a column header and select Edit Column from the shortcut menu.

Related Topics and Procedures

Related Topics

Add Column Dialog Box

Insert Column Dialog Box

Insert Rows Dialog Box

Conditional Formatting Dialog Box

Related Procedures

Editing a Column

Adjusting Column Width

Adding a Column

Inserting a Column

Removing a Column

Moving a Column

Sorting the Data in a Spreadsheet

Setting a Column or Row Attribute


<Field Name> Properties Dialog Box

This dialog box allows you to change the attributes of a column. It has the same fields as the Add Column, Insert Column, and Edit Column dialog boxes. For more information, see the Add Column Dialog Box.

Location

To display the <Field Name> dialog box, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in spreadsheet view.

  2. On the View tab, right-click an area of the spreadsheet and click Organize Columns on the context menu.

  3. In the Organize Spreadsheet Columns dialog box, select the field that you want to change the attributes for under Display these fields.

  4. Click Properties.

Related Topics and Procedures

Related Topics

Insert Column Dialog Box

Edit Column Dialog Box

Insert Rows Dialog Box

Conditional Formatting Dialog Box

Related Procedures

Adding a Column

Adjusting Column Width

Inserting a Column

Removing a Column

Editing a Column

Moving a Column

Setting a Column or Row Attribute


Insert Column Dialog Box

This dialog box defines the attributes of the new column. It has the same fields as the Add Column and Edit Column dialog boxes. For more information, see the Add Column Dialog Box.

The Insert Column command places the new column to the left of the selected column.

Location

To display the Insert Column dialog box, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in spreadsheet view.

  2. Take one of the following actions:

  • In the Columns menu group of the View tab, click Insert.

  • Right-click a column header and select Insert Column from the shortcut menu.

Related Topics and Procedures

Related Topics

Add Column Dialog Box

Edit Column Dialog Box

Insert Rows Dialog Box

Conditional Formatting Dialog Box

Related Procedures

Inserting a Column

Adjusting Column Width

Adding a Column

Removing a Column

Editing a Column

Moving a Column

Sorting the Data in a Spreadsheet

Setting a Column or Row Attribute


Insert Rows Dialog Box

The Insert Rows dialog box allows you to insert any number of rows immediately before the selected row.

Location

To display the Insert Rows dialog box, complete the following step:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in spreadsheet view

  2. Right-click the left-most part of the row and click Insert Rows on the shortcut menu.

Related Topics and Procedures

Related Topics

Add Column Dialog Box

Insert Column Dialog Box

Edit Column Dialog Box

Resource/Activity Spreadsheet

Predecessor/Successor Spreadsheet

Related Procedures

Inserting Rows in a Spreadsheet


Custom Filter Dialog Box

Use this dialog box to select and apply predefined filters that are specific to the column that you want to filter.

Show rows where

Enter or select values in the relevant filter fields to customize the criteria, by which you filter your list, using one or two comparison criteria.

Click OK to apply the filter.

Location

To access the Custom Filter Dialog Box:

  1. In the header of the column that you want to filter, click [image] .

The [image] icon only displays when the Enable Data Filters option is selected.

  2. On the context menu, click Filter » Custom Filter….

Related Topics and Procedures

Related Procedures

Apply a Filter to a Column


Spreadsheet Preferences Dialog Box

Use this dialog box to specify spreadsheet view properties.

Tabs

  • Options Tab

  • Grouping Tab

  • Outlining Tab

  • Define Link Tab

Three buttons are located across the bottom of the dialog box. The OK button accepts your input and closes the dialog box. The Cancel button cancels your input and closes the dialog box. The Help button provides access to help about the specific tab that is displayed.

When the information in a spreadsheet is hierarchical, you can enable outlining and use four buttons to control the information that is displayed in the spreadsheet.

This button expands the selected level in the spreadsheet to display the data one level downward in the hierarchy. This button is displayed at the left of a spreadsheet line only if the data can be expanded.

Open Plan also features an Expand button on the Edit tab that is enabled only when data that can be expanded is displayed.

This button collapses the selected level in the spreadsheet to hide the current level in the hierarchy. It is displayed at the left of a spreadsheet line only if the data can be collapsed.

Open Plan also features a Collapse button on the Edit tab that is enabled only when data that can be collapsed is displayed

This button, located on the Edit tab, expands the entire project to display all levels in the hierarchy.

This button, located only on the Edit tab, collapses the entire project to display only to top level in the hierarchy.

Location

To display the Spreadsheet Preferences dialog box, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in spreadsheet view.

  2. On the View tab, take of the following actions:

  • Click Preferences in the Table menu group.

  • Right-click an area of the spreadsheet, and click Preferences on the shortcut menu.

Related Topics and Procedures

Related Topics

Resource/Activity Spreadsheet

Predecessor/Successor Spreadsheet

Functions Dialog Box

Related Procedures

Customize Display Options

Link Fields on a Spreadsheet

Sort a Multi-Table View on a Secondary Table

Filter a Multi-Table View on a Secondary Table


Spreadsheet Preferences Options Tab

This tab controls how a spreadsheet is displayed.

Table Name

This field contains a list from which you can select a data table that the spreadsheet should use. If you select a different table (for example, change from an activity table to a resource table) Open Plan replaces the selection of fields displayed in the spreadsheet with a default set based on the new table.

When you change the data table, double-clicking the selection box on the spreadsheet displays the relevant Details dialog box.

Because all code tables have the same structure, changing between code tables does not affect the columns that are displayed in the spreadsheet.

The Table Name option is available only for single-table spreadsheet views.

For information on changing the spreadsheet table, see Support for All Tables.

Grid Lines

This field controls the display of grid lines on the spreadsheet. You can select on of the following settings from the list:

  • Full: Displays both horizontal and vertical grid lines

  • Horizontal: Displays horizontal grid lines only

  • Vertical: Displays vertical grid lines only

  • None: Suppresses the display of grid lines

Grid Color

This field controls the color of the grid lines that Open Plan displays on the spreadsheet. Clicking the Grid Color down arrow displays a Color dialog box that you can use to select a color for the grid. The Color dialog box offers a choice of 70 standard colors.

You can define custom colors using an enhanced version of the Color dialog box accessed from the Color tab of the Options dialog box.

Enable Grouping

If groupings are already defined for the view, Open Plan displays information about the fields and hierarchical levels on which rows should break. Select this option to enable the Grouping tab where you can add groups, summary rows, and other field customization to a spreadsheet view. For more information about the Grouping tab, see Spreadsheet Preferences Grouping Tab.

Enable Outlining

With outlining, you can use the hierarchical information implicit in the activity ID to expand or collapse the display of detail information.

Disable Grouping and Outlining

Turns off both grouping and outlining.

For more information, see Grouping in the Spreadsheet View and Outlining in the Spreadsheet View.

Show Skills as Resources

If this option is selected, Open Plan displays skills as resources on a resource spreadsheet.

Heading

Open Plan also allows you to define the appearance of the heading and table sections of a spreadsheet individually:

  • Text Color: Clicking the down arrow at the right edge of this field displays a Color dialog box that you can use to specify the color that the spreadsheet should use for when displaying text in the heading row.

  • Background Color: This field controls the default color for the spreadsheet heading.

  • Font: Clicking this button displays the Font dialog box that controls the default font for the spreadsheet heading.

Table

You can specify the following elements of the table section of a spreadsheet:

  • Text Color: Clicking the down arrow at the right edge of these fields displays a Color dialog box that you can use to specify the color that the spreadsheet should use for when displaying text in the table section of the spreadsheet.

  • Background Color: This field controls the default background color for the table section of the spreadsheet.

  • Font: Clicking this button displays the Font dialog box that controls the default font for the table section of the spreadsheet.

Minimum Row Height

Select the minimum height for the rows in your spreadsheet view. Enter any number between 6 and 200. When a cell contains additional content, the row height will continue to expand to display the information, but this option defines the lower limit for the row height.

Location

To display the Options tab of the Spreadsheet Preferences dialog box, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in spreadsheet view.

  2. On the View tab, take of the following actions:

  3. Click Preferences in the Table menu group.

  4. Right-click an area of the spreadsheet, and click Preferences on the shortcut menu.

  5. Select the Options tab in the Spreadsheet Preferences dialog box, if it is not already selected.

Related Topics and Procedures

Related Topics

Customize a Spreadsheet View

Spreadsheet Preferences Grouping Tab

Spreadsheet Preferences Outlining Tab

Spreadsheet Preferences Define Link Tab

Related Procedures

Customize Display Options

Enable Outlining

Enable Grouping

Define Outlining

Define Grouping

Split a Spreadsheet into Two Panes

Sort the Data in a Spreadsheet


Spreadsheet Preferences Grouping Tab

The Grouping tab of the Spreadsheet Preferences dialog box is available only if you selected the Enable Grouping option on the Options tab. Use this tab to add grouping breaks and summary rows to spreadsheet views, and to further refine the way a spreadsheet displays data with grouping enabled.

The Grouping tab features the following controls:

Grid

Each line on the grid uses the following settings to control how Open Plan displays the information within a group.

  • Break On: This field defines the criterion by which rows are grouped. When this field is selected, Open Plan displays a list containing fields from the current table. If a hierarchical field is selected from the list, you can further define the level in the hierarchy that determines the groups. You may group data items from different tables with multi-table spreadsheet views. In this case, when you select the group data item, it displays in the form [TABLE]FIELD. In this case, FIELD refers to the actual field name that Open Plan uses internally (for example, "ACT_ID" instead of "Activity ID").

  • Break Level: If you elect to break on a hierarchical field (for example, a code field representing a work breakdown structure), you can use this field to indicate which hierarchical level (1, 2, 3, and so on) triggers a grouping.

    When you assign a hierarchy code file with Break Level = 0, Open Plan automatically indents the hierarchy structure in the spreadsheet (up to 40 levels) and color codes the levels as follows:

    • Levels 1 through 5 = Blue

    • Levels 6 through 10 = Green

    • Levels 11 through 15 = Gold

    • Levels 16 through 20 = Purple

The colors repeat after level 20.

The advantage of doing it this way is that you don’t have to manually enter each level of the hierarchy into the grid. When you use Break Level = 0, Open Plan automatically aligns and colors each level in the view.

Although you cannot select colors when you use Break Level = 0, you can still manually select colors when you use any other Break Level.

  • Page Break: Select Yes or No to specify whether or not Open Plan should start a new page for each new group when printing a report.

  • Font: This field displays the currently selected font that Open Plan uses for the subhead and summary lines. You can change this value by clicking the ellipsis button . This button displays a dialog box where you can select the font and its attributes.

  • Text: This field controls the text color used by the subhead and subtotal lines. You can select a color for the text from a standard palette of 70 colors.

  • Background: This field controls the background color used by the subhead and subtotal lines. You can select a color for the background from a standard palette of 70 colors.

  • Heading: This field controls whether or not Open Plan displays a heading line at the top of each group. If you select Yes, Open Plan enables the Heading Field column. You must display headings for each group level if you want to be able to expand and collapse groups.

  • Summary: This field controls if and where Open Plan displays a summary line. If you are customizing the spreadsheet pane of a barchart view, you must either include a group summary line to display a summarized bar in the barchart pane or you may enable the Show Summary Bars when there are no Grouping Summary Rows check box.

When you include a summary row, information appears only for the following field types:

    • Numeric fields: Displays the total in a given group.

    • Date: Displays the earliest date in the group.

    • Finish Date: Displays the latest date in the group.

If any of the start dates in a group are blank, the summary date will be blank as well.

  • Heading Field: This field setting determines which field Open Plan displays in the heading line. When you select the field on which to break the spreadsheet view, Open Plan enters < Default > as the heading field. This typically matches the Break On field. For hierarchical code fields, however, the default heading field is the ID and description field appropriate to the level on which the group is based. To set up a group heading that includes a descriptive label (for example, "Total Float ="), create a calculated field that contains the text string and assign it as the heading field.

For information about calculated fields, see Defining Calculated Fields in the Deltek Open Plan Developer's Guide.

Grid Total Options

  • Enable Grand Total: Use this field to control whether or not Open Plan should generate a grand total summary row at the end of the report. The grand total of the view includes totals for all activities that are displayed in the current view. Activities that do not appear in the view due to a filter are not included in the grand total calculations.

  • Text Color: Use this field to select the font color of for the grand total.

  • Background Color: Use this field to select a custom background color.

  • Font: Use this field to select the font for the grand total.

  • You can choose from 70 standard colors for both background and text. You can also define custom colors using an enhanced version of the Color dialog box accessed from the Color tab of the Options dialog box.

Show Summary Bars when there are no Grouping Summary Rows

When applied to a Barchart view, this option controls whether Open Plan generates and displays summary bars when there are no group summary rows.

Sort Blank Values Last

With this option selected, a group summary that contains empty values display at the bottom of the spreadsheet view.

Initial Drill-Down Level

Controls the lowest level that is expanded on the spreadsheet upon initial view. The default for this field is 0, which results in the top level being expanded.

Number of Characters to Indent Per Level

This field controls the number of characters Open Plan indents each level with a spreadsheet view that has grouping enabled. You can enter any value between 0 and 20.

The summary information displayed as part of a group is always based on the currently enabled filter. Therefore, data that is filtered out of a view is not included in a calculated total for either a group or the grand total.

Location

To display the Grouping tab of the Spreadsheet Preferences dialog box, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in spreadsheet view.

  2. On the View tab, take of the following actions:

  3. Click Preferences in the Table menu group.

  4. Right-click an area of the spreadsheet, and click Preferences on the shortcut menu.

  5. On the Spreadsheet Preferences dialog box Options tab, click Enable Grouping to activate the Grouping tab.

  6. Click the Grouping tab in the Spreadsheet Preferences dialog box.

Related Topics and Procedures

Related Topics

Spreadsheet Preferences Options Tab

Spreadsheet Preferences Outlining Tab

Spreadsheet Preferences Define Link Tab

Conditional Formatting Dialog Box

Related Procedures

Customize Display Options

Enable Grouping

Set a Column or Row Attribute

Define Grouping


Spreadsheet Preferences Outlining Tab

The Outlining tab is available only if you selected the Enable Outlining option on the Options tab of the Spreadsheet Preferences dialog box. This tab controls the structure Open Plan uses to display outlined and summary data.

This tab is not available in the Project Analysis Barchart view.

Outline Structure

Displays whether or not the structure is outlined on the activity or resource ID.

Initial Drill-Down Level

Controls the lowest level that is expanded on the spreadsheet. You can enter any value between 0 and 20 in this field. The default is 0. This means that the entire structure is collapsed.

Number of Characters to Indent per Level

Controls the number of characters Open Plan should use when indenting a spreadsheet view that has the Outlining option enabled. You can enter any value between 0 and 20.

Filter from the Top Down

When using outlining in a spreadsheet or barchart, this option controls how Open Plan applies a filter:

  • If this option is selected, Open Plan applies the filter to a parent activity before applying it to its children. When the filter is applied top down, an activity is displayed only if it and all of its descendents match the filter. This may cause some activities not to be displayed even though they match the filter. For example, assume that Activity A matches the filter, but that its child Activity A.1 does not. With this setting, neither Activity A nor Activity A.1 will be displayed.

  • If this option is cleared, Open Plan applies the filter bottom up. This means that Open Plan applies the filter to a child activity before applying it to its parent. This is the default setting. When the filter is applied bottom up, an activity is displayed if it or any of its descendents match the filter. This may cause some activities to be displayed even though they, themselves, do not match the filter. For example, assume that Activity A does not match the filter, but that its child Activity A.1 does. With this setting, both Activity A.1 and its parent, Activity A will be displayed.

  • Background Color

    • Controls the background color Open Plan displays for the outline rows. Clicking the down arrow for this field displays a Color dialog box that you can use to select a color for that feature. The Color dialog box offers a choice of 70 standard colors.

    You can define custom colors using an enhanced version of the Color dialog box accessed from the Color tab of the Options dialog box.

    Font Button

    The Font button displays a dialog box where you can change all the font attributes for the text Open Plan displays for the outline rows.

    Open Plan always sorts within the outline and calculates summary information for outlining from the entire project, regardless of any filters in effect.

    Location

    To display the Options tab of the Spreadsheet Preferences dialog box, complete the following steps:

    1. In the Project Views folder of Open Plan Explorer, select a project to display in spreadsheet view.

    2. On the View tab, take of the following actions:

    • Click Preferences in the Table menu group.

    • Right-click an area of the spreadsheet, and click Preferences on the shortcut menu.

    3. Select the Outlining tab in the Spreadsheet Preferences dialog box.

    Related Topics and Procedures

    Related Topic

    Spreadsheet View Overview

    Related Procedures

    Customize Display Options

    Enable Outlining

    Define Outlining


Spreadsheet Preferences Define Link Tab

The Define Link tab allows you to create custom spreadsheet views that combine information from two or more data tables. For example, although resource descriptions and activity descriptions are stored on different data tables, you can combine this information onto a single spreadsheet by using the Define Link tab.

For more information, see Linking and Example: Defining a Link. For a complete list of data tables and fields in Open Plan, see Open Plan Table Migration in the Deltek Open Plan Developer's Guide.

This tab is not available in the Project Analysis Barchart view.

This tab features the following controls that allow you to specify the way data is displayed in multi-table spreadsheets or barcharts:

Grid

The grid controls the tables and fields that are displayed using the following settings:

From Table

The From Table and From Field combine to define the source location for the link that will be established.

From Field

For Open Plan to make the link between the two tables, this field must represent similar data to that in the To Field. For example, because the Alternate Res. ID field on the Assignment table and the Res. ID field on the Availability table both represent a resource ID, they can be used as linking fields between the data tables.

To Table

The selection you make in this column defines the table that will be linked on the spreadsheet.

To Field

The To Table and To Field combine to define the record that will be linked in the spreadsheet. For Open Plan to make the link between the two tables, this must be the same data as defined in the From Field column. For example, because the Alternate Res. ID field on the Assignment table and the Res. ID field on the Availability table both represent a resource ID, they can be used as linking fields between the data tables.

Sort

You can use this field to apply a sort to the linked spreadsheet. When you select a cell in the <Sort> column, the list displays the predefined sorts from which you can select. You can also define a temporary sort by typing the sort expression directly into the cell using the following format:

[-]<sort_field1>[,[-]<sort_field2>[,…

where:

  • Square brackets indicate that the contents are optional.

  • Each of the <sort_fieldx> values is either the name of an existing field on the appropriate table or the definition of a calculated field for that table.

  • Negative signs indicate a descending rather than an ascending sort.

Any sort you define using this tab is applied only to the secondary table identified in the To Table column.

You may notice that sometimes your sort expression moves from one row to another. This can happen if you inadvertently enter the sort expression for the wrong table. Under these circumstances, Open Plan attempts to correct the error by moving the sort expression to the row where it needs to be when you click OK.

Filter

You can use this field to apply a filter to the linked spreadsheet. When you select a cell in the <Filter> column, the list displays the predefined filters from which you can select. You can also type the filter expression directly into the cell using either actual fields or predefined calculated fields within the appropriate table. Any filter you define using this tab is applied only to the secondary table identified in the To Table column. When defining the filter you can use any of the following expressions that can be used with calculated fields and global edits:

Expression

Description

Character operators

You can include the following character operators in the filter expression:

  • Concatenate (+)

Sample Usage | Result
"Quick" + "Brown Fox" | "Quick Brown Fox"

  • Contained in ($)

Sample Usage | Result
"ABC" $ "123ABCDEF" | TRUE

Constants

You can include text, date, numeric, and logical constants in a calculated field or global edit:

  • All text must be enclosed in either single or double quotes.

  • Dates must be enclosed in curly brackets ({ and }).

  • Durations must be enclosed between piping symbols ( | ).

  • Numeric constants can include any positive or negative value and can appear with or without decimal places.

  • Valid logical constants are True and False. You can also use the abbreviations (.T. and .F.) of these logical constraints.

  • Values for enumerated fields (that is, fields with a limited number of valid values) must be enclosed between square brackets ([ and ]). Open Plan recognizes the following enumeration types:

Enumeration Type | Description
ACTS | Activity status
ACTT | Activity type
BOOL | Boolean
CRIT | Critical flag
CURV | Curve
PROG | Progress
RELT | Relationship type
RESC | Resource class
REST | Resource type
RSCL | Resource scheduling type
TARG | Target type

Duration operators

You can include the following duration operators in a filter expression:

 | Expression | Result
Add (+) | Duration + Duration | Duration
 | Date + Duration | Date
Subtract (-) | Duration - Duration | Duration
 | Date - Duration | Date
Divide (/) | Duration / Duration | Decimal
 | Duration / Number | Duration
Multiply (*) | Duration * Number | Duration

Field names

When including a field in a filter expression, you must enter the name of the field and not the descriptive name that is displayed in spreadsheet column headings. For example, if you want to define a calculated field expression that references the field containing early start dates, you must identify the field as ESDATE, not Early Start.

Logical operators

You can include the following logical operators in a filter expression: AND; NOT; OR; AND NOT; Group (( ))

Mathematical operators

You can include the following mathematical operators in a filter expression: Add (+); Subtract (-);Multiply (*);Divide (/);Group (( )); Exponentiate (^ or **)

Expressions containing mathematical operators are evaluated according to the normal rules of precedence:

  • Grouping operations are performed before multiplication and division operations.

  • Multiplication and division operations are performed before addition and subtraction operations.

Calculated fields

Expressions defining filters can include references to previously defined calculated fields. Use an underscore character ( _ ) to represent embedded spaces in a calculated field name (for example, Schedule_Variance).

Relational operators

Expressions for filters can include the following relational operators: Equal to (=);Not equal to (<>);Greater than (>);Greater than or equal to (>=);Less than (<);Less than or equal to (<=);Contained in ($)

Functions

Filter expressions can contain any of the functions that are used for calculated fields and global edits. For more information, refer to the topic "Using the Functions Dialog Box."

Between

Purpose

This function returns all records where a specified field contains a value that is greater than one specified value and less than another specified value.

Syntax

BETWEEN(<value1>[,<value2>…])

where:

<value1>, <value2> are to be compared against values in a specified field

The comma symbol (,) is used as a separator between the desired fields.

Example

Assuming that the assignment table contains records where the resource level is between 3 and 5, the statement:

RES_LEVEL BETWEEN (3,5)

returns all records containing a resource level that is equal to or greater than 3.00 and equal to or less than 5.00.

Not Between

Purpose

This function returns all records where a specified field does not contain a value that is greater than one specified value and less than another specified value.

Syntax

NOT_BETWEEN(<value1>[ ,<value2>…])

where:

<value1>, <value2> are to be compared against values in a specified field

The comma (,) is used as a separator between the desired fields.

Example

Assuming that the assignment table contains some records where the resource level is less than 3.00 and some where the resource level is greater than 5.00, the statement:

RES_LEVEL NOT_BETWEEN (3,5)

returns all records containing a resource level that is less than 3.00 or greater than 5.00.

Contains

Purpose

This function returns all records containing a specified string of characters within a specified field.

Syntax

CONTAINS(<string>)

where:

<string> is a set of characters.

Example

Assuming that a resource description contains the name Paul, the statement:

RES_DESC CONTAINS("Paul")

Returns all the records where the characters Paul appear in the resource description.

Not Contains

Purpose

This function returns all records not containing a specified string of characters within a specified field.

Syntax

NOT_CONTAINS(<string>)

where:

<string> is a set of characters.

Example

Assuming that a resource description contains the name Paul, the statement:

RES_DESC NOT_CONTAINS("Paul")

Returns all the records where the characters Paul do not appear in the resource description.

Put Primary Record on Its Own Row

This option controls how Open Plan displays the primary record.

  • If you select this option, Open Plan displays the primary record on its own row. This is the default setting.

  • Provided that grouping and outlining are disabled for the spreadsheet, clearing this option conserves space by displaying the first row of data with the primary record.

Baseline Colors

This button displays the Multiple Baseline Colors dialog box that you can use to define colors for three baselines.

Location

To display the Options tab of the Spreadsheet Preferences dialog box, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in spreadsheet view.

  2. On the View tab, take of the following actions:

  • Click Preferences in the Table menu group.

  • Right-click an area of the spreadsheet, and click Preferences on the shortcut menu.

  3. Select the Define Link tab in the Spreadsheet Preferences dialog box.

Related Topics and Procedures

Related Topics

Resource/Activity Spreadsheet

Predecessor/Successor Spreadsheet

Functions Dialog Box

Related Procedures

Customize Display Options

Link Fields on a Spreadsheet

Sort a Multi-Table View on a Secondary Table

Filter a Multi-Table View on a Secondary Table


Adding a Column in a Spreadsheet (Procedure)

Adding a Column (Spreadsheet)

To add a column to a spreadsheet, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in spreadsheet view.

  2. Take one of the following actions:

  • Right-click the column heading to the left of where you want to add a new column, and click Add Column on the context menu.

  • Click a cell in the column to the left of where you want to add a new column, and click Add in the Columns menu group on the View tab.

  3. Use the Add Column dialog box to select the options for the new column. For more information, see Add Column Dialog Box.

  4. Click OK.

Related Topics and Procedures

Related Topic

Spreadsheet View Overview

Related Procedures

Adjusting Width of a Column in a Spreadsheet

Inserting a Column

Removing a Column

Editing a Column Heading

Moving a Column

Splitting a Spreadsheet into Two Panes

Sorting Data in a Spreadsheet

Inserting Rows in a Spreadsheet

Deleting Rows in a Spreadsheet


Adjusting Column Width (Procedure)

Adjusting Column Width (Spreadsheet)

To adjust the width of a column in a spreadsheet manually, complete the following step:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in spreadsheet view.

  2. Position the cursor over the right boundary of the heading of the column whose width you want to adjust.

  3. Drag the column boundary to the desired width while holding the left mouse button.

To adjust the width of a column in a spreadsheet to the size required by the data present, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in spreadsheet view.

  2. Right-click a spreadsheet cell, and click Size Column for Best Fit on the shortcut menu.

To adjust the width of multiple columns in a spreadsheet to the size required by the data present, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in spreadsheet view.

  2. Use the Shift key with the left mouse button to select multiple adjacent columns. Use the Ctrl key together with the left mouse button to select multiple columns that are not adjacent.

  3. After you have selected multiple columns, click Best Fit in the Columns menu group of the View tab.

Related Topics and Procedures

Related Topic

Spreadsheet View Overview

Related Procedures

Adding a New Column

Inserting a Column

Removing a Column

Editing a Column Heading

Moving a Column

Splitting a Spreadsheet into Two Panes

Sorting Data in a Spreadsheet


Deleting Rows in a Spreadsheet (Procedure)

Deleting Rows (Spreadsheet)

To delete rows in a spreadsheet, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in spreadsheet view.

  2. Right-click the selection box of the row you want to delete. The selection box is the left-most box in the row.

  3. On the shortcut menu, click Delete Rows.

  4. When Open Plan asks you to confirm the deletion, click Yes.

You may also click any cell in the row you and to delete, and then click Delete Activity [image] in the Data menu group of the Edit tab.

Deleting a row on a spreadsheet also deletes the data associated with that row.

Related Topics and Procedures

Related Topic

Spreadsheet View Overview

Related Procedures

Adjusting Width of a Column in a Spreadsheet

Adding a New Column

Inserting a Column

Removing a Column

Editing a Column Heading

Moving a Column

Splitting a Spreadsheet into Two Panes

Sorting Data in a Spreadsheet

Inserting Rows in a Spreadsheet


Display Columns in a Spreadsheet View

To display additional information as columns in spreadsheet view, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in spreadsheet view.

  2. Display the Organize Spreadsheet Columns dialog box by taking one of the following actions:

  3. Right-click the spreadsheet, and click Organize Columns on the context menu.

  4. On the View tab, click Table Layout.

  3. For each column you want to display in the spreadsheet, take one of the following actions:

  4. Select the fields from the Available fields list and click the right-arrow button. If a field is selected in the Display these fields list, the available field(s) selected will be inserted before that field. You can click multiple fields by selecting the appropriate check boxes.

  • Double-click the field from the Available fields. This action moves the selected fields to the Display these fields list.

  4. You can apply filters to manage the items that you want to be displayed by using the Include group box. The filters that can be used are the following:

  5. Dates

  6. Durations

  7. Numerics

  8. Text

  9. Costs: Fields in the OP data dictionary used in the cost process when in the activity table are displayed.

  10. Logical: Filters and calculated fields with logical results are displayed.

You can simultaneously activate all of the filters by clicking Select All. Click Deselect All to deactivate all of the filters.

All filters are selected by default.

  5. Click OK.

Related Topics and Procedures

Related Topic

Spreadsheet View Overview


Editing a Column in a Spreadsheet (Procedure)

Editing a Column (Spreadsheet)

To edit a column in a spreadsheet:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in spreadsheet view.

  2. Take one of the following actions:

  3. Right-click the heading of the column you want to edit, and click Edit Column on the context menu.

  4. Click a cell in the column you want to edit, and click Edit in the Columns menu group of the View tab.

  5. Click a cell in the column you want to edit, and click [image] or [image] at the right side of that cell. Alternatively, you can click the area above the spreadsheet to entry or select the appropriate values. Corresponding options (such as a selection dialog box, a drop-down list, a pop-up calendar, or available values for selection) display, depending on the data type of the entry you are updating.

  3. Make changes to the column properties or the value of the cell.

  4. Click OK.

Related Topics and Procedures

Related Topic

Spreadsheet View Overview

Edit Column Dialog Box

Related Procedures

Adjusting Width of a Column in a Spreadsheet

Adding a New Column

Inserting a Column

Removing a Column

Editing a Column Heading

Moving a Column

Splitting a Spreadsheet into Two Panes

Sorting Data in a Spreadsheet

Inserting Rows in a Spreadsheet

Deleting Rows in a Spreadsheet


Find Data in a Spreadsheet Column

To find data in a spreadsheet column, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in spreadsheet view.

  2. Take one of the following actions:

  3. Select a column, and press Ctrl+F.

  4. Select a column, and click Find and Replace in the Data menu group of the Edit tab.

  5. Right-click the column heading, and click Find on the context menu.

  3. On the Find tab of the Find and Replace dialog box, enter the text you want to find in the Find what: field.

  4. Click the Find Next or Find Previous button to go to the next/previous search matches. You can also press Shift+F4 or click Edit » Find Next to go to the next search match.

Related Topics and Procedures

Related Topic

Spreadsheet View Overview


Inserting a Column in a Spreadsheet (Procedure)

Inserting a Column (Spreadsheet)

To insert a new column in a spreadsheet, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in spreadsheet view.

  2. Take one of the following actions:

  • Right-click the heading of the column to the right of where you want to insert a column, and click Insert Column on the shortcut menu.

  • Click a cell in the column to the right of where you want to insert a column, and click Insert in the Columns menu group of the View tab.

  3. Use the Insert Column dialog box to select the options for the new column. For more information, see Insert Column Dialog Box.

  4. Click OK.

Related Topics and Procedures

Related Topic

Spreadsheet View Overview

Related Procedures

Adjusting Width of a Column in a Spreadsheet

Adding a New Column

Removing a Column

Editing a Column Heading

Moving a Column

Splitting a Spreadsheet into Two Panes

Sorting Data in a Spreadsheet

Inserting Rows in a Spreadsheet

Deleting Rows in a Spreadsheet


Inserting Rows in a Spreadsheet (Procedure)

Inserting Rows (Spreadsheet)

To insert rows in a spreadsheet, complete one of these procedures:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in spreadsheet view.

  2. Right-click the selection box of the row next to where you want to insert new rows. The selection box is the left-most box in the row.

  3. On the shortcut menu, click Insert Rows.

  4. In the Insert Rows dialog box, enter the number of rows that you want to insert, and click OK.

Related Topics and Procedures

Related Topic

Spreadsheet View Overview

Using the Insert Rows Dialog Box

Related Procedures

Adjusting Width of a Column in a Spreadsheet

Adding a New Column

Inserting a Column

Removing a Column

Editing a Column Heading

Moving a Column

Splitting a Spreadsheet into Two Panes

Sorting Data in a Spreadsheet

Deleting Rows in a Spreadsheet


Moving a Column in a Spreadsheet (Procedure)

Moving a Column (Spreadsheet)

To move a column in a spreadsheet with a mouse, complete the following step:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in spreadsheet view.

  2. Click the heading of the column you want to move and drag it to its new position. When you drag the column heading, the cursor changes to a symbol.

Related Topics and Procedures

Related Topic

Spreadsheet View Overview

Related Procedures

Adjusting Width of a Column in a Spreadsheet

Adding a New Column

Inserting a Column

Removing a Column

Editing a Column Heading

Splitting a Spreadsheet into Two Panes

Sorting Data in a Spreadsheet

Inserting Rows in a Spreadsheet

Deleting Rows in a Spreadsheet


Removing a Column in a Spreadsheet (Procedure)

Removing a Column (Spreadsheet)

To remove a column from the spreadsheet:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in spreadsheet view.

  2. Click anywhere in the column you want to remove, and take one of the following actions:

  • Right-click the column heading, and click Remove Column on the shortcut menu.

  • Click Remove in the Columns menu group of the View tab.

Related Topics and Procedures

Related Topic

Spreadsheet View Overview

Related Procedures

Adjusting Width of a Column in a Spreadsheet

Adding a New Column

Inserting a Column

Editing a Column Heading

Moving a Column

Splitting a Spreadsheet into Two Panes

Sorting Data in a Spreadsheet

Insert Rows in a Spreadsheet

Delete Rows in a Spreadsheet


Set a Column or Row Attribute (Procedure)

Set a Column or Row Attribute

To set the attributes of a spreadsheet row or column, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in spreadsheet view.

  2. From the Table menu group of the View tab, select Conditional Formatting.

  3. Click the first row of the Applies To column, and using the selection list, choose the column you want to format. (You can also select < Rows > to specify attributes for all rows meeting the criterion).

  4. You may choose to make the formatting conditional by specifying a Criterion.

  5. Using the remaining columns in the rules grid, specify the appearance and contents of the column or rows.

  6. When finished, click OK.

Related Topics and Procedures

Related Topics

Spreadsheet View Overview

Conditional Formatting Dialog Box

Calculated Fields

Add Column Dialog Box

Edit Column Dialog Box

Insert Column Dialog Box

Spreadsheet Preferences dialog box

Related Procedures

Enable Grouping

Customize Display Options

Edit a Column

Add a Column

Insert a Column

Sort Spreadsheet Data


Use the Fill Down Command

To use the Fill Column Down Command, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in spreadsheet view.

  2. Select a range of cells within a single column.

  3. Take one of the following actions:

  4. Press Ctrl+D.

  5. On the Edit tab, click Fill Column Down .

  4. When Open Plan asks for confirmation, click OK.

Open Plan responds by filling all the selected cells with the value contained in the topmost cell.

If you want to fill an entire column with the information in its first cell, right-click the column heading, and click Fill Column Down on the context menu.

Related Topics and Procedures

Related Topic

Spreadsheet View Overview


Add a Child Activity (Spreadsheet View)

When you add a child in a spreadsheet view, Open Plan automatically converts the parent activity into an internal subproject.

To add a child activity, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in spreadsheet view.

  2. Create an activity with an ID that indicates the desired parent/child relationship. For example, to add a child to activity ACT01, create activities ACT01.01, ACT01.02, and so on.

Related Topics and Procedures

Related Topic

Spreadsheet View Overview


Expand a Collapsed Subproject (Spreadsheet View)

To expand a collapsed subproject, complete the following step:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in spreadsheet view.

  2. Take one of the following actions:

  3. Click the outlining button next to the row. The outlining button displays either the "+" or "-" sign, depending on its state.

  4. Select the subproject, and click Expand on the Data menu group of the Edit tab.

Related Topics and Procedures

Related Topic

Spreadsheet View Overview


Collapse an Expanded Subproject (Spreadsheet View)

To collapse an expanded subproject, complete the following step:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in spreadsheet view.

  2. Take one of the following actions:

  3. Click the outlining button next to the row. The outlining button displays either the "+" or "-" sign, depending on its state.

  4. Select the subproject, and click Collapse on Data menu group of the Edit tab.

Related Topics and Procedures

Related Topic

Spreadsheet View Overview


Expand All Subprojects (Spreadsheet View)

To expand all subprojects, complete the following step:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in spreadsheet view.

  2. In the Data menu group of the Edit tab, click Expand All [image].

Related Topics and Procedures

Related Topic

Spreadsheet View Overview


Collapse All Subprojects (Spreadsheet View)

To collapse all subprojects, complete the following step:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in spreadsheet view.

  2. In the Data menu group of the Edit tab, click Collapse All [image].

Related Topics and Procedures

Related Topic

Spreadsheet View Overview


Create a Relationship in a Spreadsheet View (Procedure)

Create a Relationship (Spreadsheet)

To create a relationship in a relationship spreadsheet:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in relationship spreadsheet view.

  2. Select an empty cell in the Predecessor column.

  3. At the right edge of the edit box, click the ellipsis button. The edit box is the field above the table.

  4. On the Select Activity dialog box, select the activity to become the predecessor in the relationship, and click OK.

  5. In the Successor column, select the activity to become the successor in the relationship using the edit box.

  6. Enter the rest of the information for the relationship. To create multiple relationships to the same predecessor, repeat this procedure, selecting the same activity ID for each relationship you want to create.

You can also add, edit, and delete data for predecessors and successors directly in a cell of any activity-based spreadsheets. The Activity Predecessors and Activity Successors columns display the predecessor/successor ID, relationship type, and lag of the relationship (which is optional and may be negative) in each cell using the format <Predecessor/Successor ID><space><relationship type><+/-Lag>. For example, 1.02 SF+3d.

Related Topics and Procedures

Related Topic

Spreadsheet View Overview

Activity Details Relationships Tab

Related Procedures

Creating a Relationship in a Barchart View Using the Mouse

Creating a Relationship in a Network View Using a Mouse

Creating Interproject Relationships in a Network View

Creating a Link Between Activities

Removing a Link Between Activities


Creating an Activity in a Spreadsheet View (Procedure)

Creating an Activity (Spreadsheet)

To create an activity in a spreadsheet view, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in spreadsheet view.

  2. Take one of the following actions:

  • Enter a new activity ID in an empty row of the Activity ID column, and double-click row.

  • Double-click the selection button of an empty row. The selection box is the left-most box in the row.

  • In the Data menu group of the Edit tab, click Add Activity.

  3. In the Activity Details dialog box, enter the information about the activity. Although you do not need to enter all the information at this time, each activity must have a unique ID.

  4. When you have entered as much information as you want, click Apply.

Related Topics and Procedures

Related Topic

Spreadsheet View Overview

Related Procedures

Creating Child Activities in a Spreadsheet View

Displaying Child Activities in a Network

Creating Child Activities in a Network View

Deleting an Activity

Cutting an Activity

Copying an Activity

Pasting an Activity

Creating a Link Between Activities

Removing a Link Between Activities


Creating Child Activities in a Spreadsheet (Procedure)

Creating Child Activities (Spreadsheet)

To create child activities in a spreadsheet, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in spreadsheet view.

  2. Insert a row at the place where you want to create a child activity. For more information, see Insert Rows in a Spreadsheet.

  3. In the Activity ID column, enter an ID that indicates that the activity is a child of the subproject. For example, if the project contains an activity ACT01, adding the activity ACT01.1 automatically converts ACT01 into a subproject and makes ACT01.1 a child of ACT01.

Related Topics and Procedures

Related Topic

Spreadsheet View Overview

Working with Hierarchical Projects

Related Procedures

Creating an Activity in a Spreadsheet View

Displaying Child Activities in a Network

Creating Child Activities in a Network View

Deleting an Activity

Cutting an Activity

Copying an Activity

Pasting an Activity


Add Fields to the Available Fields or Display These Fields Panes

To add fields to the Available Fields or Display these fields panes, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in spreadsheet view.

  2. Display the Organize Spreadsheet Columns dialog box by taking one of the following actions:

  3. Right-click the spreadsheet, and click Organize Columns on the shortcut menu.

  4. In the Table menu group of the View tab, click Table Layout.

  3. Click the Add button located at the right side of the dialog box.

  4. In the Add Column dialog box, define the column settings that you want to add.

Related Topics and Procedures

Related Topic

Spreadsheet View Overview

Organize Spreadsheet Columns Dialog Box

Add Column Dialog Box


Assigning Resources in a Spreadsheet (Procedure)

Assigning Resources (Spreadsheet)

To add an assignment in an assignment spreadsheet, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in assignment spreadsheet view.

  2. On a blank row, select a cell in the Activity ID column.

  3. At the right edge of the edit box, click the ellipsis button. The edit box is the field above the table.

  4. In the Select Activity dialog box, select an activity, and click OK.

  5. In the RES ID column, select a resource to assign to the activity using the edit box.

  6. Enter the rest of the information for the assignment.

    To assign multiple resources to the same activity, repeat this procedure, selecting the same activity ID for each resource you want to assign.

To add an assignment in a resource/activity spreadsheet, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in resource/activity spreadsheet view.

  2. Insert a blank line immediately beneath the resource for which you want to add an assignment.

  3. Select the Activity ID cell.

  4. At the right edge of the edit box, click the ellipsis button.

  5. In the Choose a Value dialog box, select an activity, and click OK.

  6. Enter the rest of the information for the assignment.

Related Topics and Procedures

Related Topics

Spreadsheet View Overview

Activity Details: Resources Tab

Entering Resource Assignments

Related Procedure

Assigning Resource Requirements to an Activity


Change Field Properties in Spreadsheet View

To change the field’s properties, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in spreadsheet view.

  2. Display the Organize Spreadsheet Columns dialog box by taking one of the following actions:

  3. Right-click the spreadsheet, and click Organize Columns on the shortcut menu.

  4. In the Table menu group of the View tab, click Table Layout.

  3. Select a field from the Display these fields list, and click Properties.

  4. Use the <Field Name>Properties dialog box to edit the settings. Only the Title field and options applicable to formatting are available. The Advanced option is also not available when the dialog is invoked in this context. For more information, see <Field Name>Properties Dialog Box.

  5. Click OK.

Related Topics and Procedures

Related Topic

Spreadsheet View Overview


Change the Default Font on a Spreadsheet (Procedure)

Change the Default Font (Spreadsheet)

To change the default font on a spreadsheet view, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in spreadsheet or barchart view.

  2. Take one of the following actions:

  • In the Table menu group of the View tab, click Preferences. (In a barchart view, click Preferences from the Barchart menu group of the View tab.)

  • Right-click the spreadsheet (or the spreadsheet portion of a barchart view), and click Preferences on the shortcut menu.

  3. On the Options tab of the Spreadsheet Preferences dialog box, click the Font buttons in the Heading and Table group boxes.

  4. Use the Font dialog box to select a font and its attributes for the heading and table text.

  5. Click OK.

Related Topics and Procedures

Related Topic

Spreadsheet View Overview

Font Dialog Box

Related Procedures

Changing the Font on a Date Scale

Changing the Font on a Bar

Changing the Font on a Network View

Changing the Font on an Annotation

Changing the Font on a Calendar

Changing the Font on a Resource View

Changing the Font on a Code View


Change the Spreadsheet Table

To change the spreadsheet table, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in single-table spreadsheet view.

  2. Take one of the following actions:

  3. In the Table menu group of the View tab, click Preferences.

  4. Right-click an empty area of the spreadsheet, and click Preferences on the shortcut menu.

  3. On the Options tab of the Spreadsheet Preferences Dialog Box, use the Table Name to select the data table to display.

  4. Click OK.

Related Topics and Procedures

Related Topics

Spreadsheet View Overview

Spreadsheet Preferences Dialog Box

Support for All Tables


Customize Display Options (Procedure)

Customize Display Options (Spreadsheet)

To customize spreadsheet display options, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in spreadsheet or barchart view.

  2. Take one of the following actions:

  • In the Table menu group of the View tab, click Preferences. (In a barchart view, click Preferences from the Barchart menu group of the View tab.)

  • Right-click a row or a column heading in the spreadsheet, and click Preferences on the shortcut menu.

  3. On the Options tab of the Spreadsheet Preferences dialog box, enter the information for the display options. For more information, see Spreadsheet Preferences Dialog Box.

  4. Click OK.

Related Topics and Procedures

Related Topic

Spreadsheet View Overview

Spreadsheet Preferences: Options Tab

Related Procedures

Enable Outlining

Enable Grouping

Define Outlining

Defining Grouping

Link Fields on a Spreadsheet


Define Outlining (Procedure)

Define Outlining

To define outlining, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in spreadsheet or barchart view.

  2. Take one of the following actions:

  • In the Table menu group on the View tab, click Preferences. (In a barchart view, click Preferences from the Barchart menu group of the View tab.)

  • Right-click a row or a column heading in the spreadsheet, and click Preferences on the shortcut menu.

  3. On the Options tab of the Spreadsheet Preferences dialog box, click Enable Outlining.

  4. Click the Outlining tab.

  5. Enter the information for the outlining feature, and click OK.

Related Topics and Procedures

Related Topic

Spreadsheet View Overview

Spreadsheet Preferences: Outlining Tab

Related Procedures

Enable Outlining

Enable Grouping

Customize Spreadsheet Display Options

Define Grouping

Link Fields on a Spreadsheet


Define Grouping (Procedure)

Define Grouping

You can define groups using the Break On column. Each row you enter in the Break On column creates an additional sublevel group.

Wherever you add a “break,” Open Plan adds a heading row in the spreadsheet or barchart views to indicate a group. You can add a heading label for the row or leave it blank.

To define a group:

  1. In the Open Plan Explorer, select a project in the Project Views folder to display in spreadsheet or barchart view.

  2. Right-click in the spreadsheet and select Preferences on the popup menu.

  3. On the Spreadsheet Preferences dialog box Options tab, select Enable Grouping.

  4. Click the Grouping tab.

  5. On the Grouping tab, specify the breaks and summary rows.

    If you assign a hierarchy code file with Break Level = 0, Open Plan automatically indents the hierarchy structure in the spreadsheet (up to 40 levels) and color codes the levels as follows:

    • Levels 1 through 5 = Blue

    • Levels 6 through 10 = Green

    • Levels 11 through 15 = Gold

    • Levels 16 through 20 = Purple

    The colors repeat after level 20.

    The advantage of doing it this way is that you don’t have to manually enter each level of the hierarchy into the grid. When you use Break Level = 0, Open Plan automatically aligns and colors each level in the view.

    Although you cannot select colors when you use Break Level = 0, you can still manually select colors when you use any other Break Level.

  6. Click OK to apply your changes.

Related Topics and Procedures

Related Topic

Spreadsheet View Overview

Spreadsheet Preferences: Grouping Tab

Related Procedures

Enable Outlining

Enable Grouping

Customize Spreadsheet Display Options

Define Outlining

Link Fields on a Spreadsheet


Display Resources in a Single Table Spreadsheet

To display resources in a single-table spreadsheet, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in single-table spreadsheet view.

  2. Take one of the following actions:

  3. In the Table menu group of the View tab, click Preferences.

  4. Right-click an empty area of the spreadsheet, and click Preferences on the shortcut menu.

  3. From the Table Name list on the Options tab, select Resource Data.

  4. Click OK.

Related Topics and Procedures

Related Topic

Spreadsheet View Overview


Enable Outlining (Procedure)

Enable Outlining

To enable outlining, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in spreadsheet or barchart view.

  2. Take one of the following actions:

  • In the Table menu group of the View tab, click Preferences. (In a barchart view, click Preferences from the Barchart menu group of the View tab.)

  • Right-click a row or a column heading in the spreadsheet, and click Preferences on the shortcut menu.

  3. On the Options tab of the Spreadsheet Preferences dialog box, click Enable Outlining.

  4. Click OK.

Related Topics and Procedures

Related Topic

Spreadsheet View Overview

Spreadsheet Preferences: Options Tab

Related Procedures

Enable Grouping

Customize Spreadsheet Display Options

Define Outlining

Define Grouping

Link Fields on a Spreadsheet


Enable Grouping (Procedure)

Enable Grouping

To activate the Grouping tab of the Spreadsheet Preferences dialog box:

  1. In the Open Plan Explorer, select a project in the Project Views folder to display in spreadsheet or barchart view.

  2. Display the Spreadsheet Preferences dialog box in any of the following ways:

  • On the View tab, in the Table menu group, click Preferences. (In a barchart view, click Preferences from the Barchart menu group of the View tab.)

  • Right-click a row or a column heading in a spreadsheet, and click Preferences on the shortcut menu.

  3. On the Options tab of the Spreadsheet Preferences dialog box, click Enable Grouping.

  4. Click OK.

Related Topics and Procedures

Related Topic

Spreadsheet View Overview

Spreadsheet Preferences: Options Tab

Related Procedures

Enable Outlining

Customize Spreadsheet Display Options

Define Outlining

Define Grouping

Link Fields on a Spreadsheet


Indenting an Activity, Resource, or Code ID (Procedure)

Indenting an Activity, Resource, or Code ID

To indent an activity, resource, or code ID, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, display the spreadsheet containing the ID that you want to indent. For example, you might display one of the following views:

  • Activity spreadsheet

  • Resource assignment spreadsheet

  • Code assignment spreadsheet

  2. Select the ID that you want to indent.

  3. In the Data menu group of the Edit tab, click Indent [image].

Related Topics and Procedures

Related Topic

Spreadsheet View Overview

Modifying Hierarchical IDs Using Indent and Outdent

Related Procedures

Outdenting an Activity, Resource, or Code ID

Sorting Data in a View


Link Fields on a Spreadsheet (Procedure)

Link Fields on a Spreadsheet

To link fields on a spreadsheet, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, display a multi-table spreadsheet.

  2. In the Table menu of the View tab, click Preferences.

  3. In the Spreadsheet Preferences dialog box, click the Define Link tab.

  4. Define the link between fields on the From and To data tables, and click OK.

  5. On the spreadsheet view, add columns as needed to display the required information.

Related Topics and Procedures

Related Topic

Spreadsheet View Overview

Spreadsheet Preferences: Define Link Tab

Related Procedures

Enable Outlining

Enable Grouping

Customize Spreadsheet Display Options

Define Outlining

Define Grouping


Outdenting an Activity, Resource, or Code ID (Procedure)

Outdenting an Activity, Resource, or Code ID

To outdent an activity, resource, or code ID, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, display the spreadsheet containing the ID that you want to outdent. For example, you might display one of the following views:

  • Activity spreadsheet

  • Resource assignment spreadsheet

  • Code assignment spreadsheet

  2. Select the ID that you want to outdent.

  3. In the Data menu group of the Edit tab, click Outdent [image].

Related Topics and Procedures

Related Topic

Spreadsheet View Overview

Modifying Hierarchical IDs Using Indent and Outdent

Related Procedures

Indenting an Activity, Resource, or Code ID

Sorting Data in a View


Printing a Spreadsheet (Procedure)

Print a Spreadsheet

To print a spreadsheet view, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, display the spreadsheet view that you want to print.

  2. From the File menu, click Print » Print Options.

  3. In the Print Options dialog box, select the print options for your report.

  4. To preview your printed report, click Preview.

  5. Take one of the following actions:

  • If you have chosen Preview, click Print from the preview screen.

  • If you have not chosen Preview, click OK to close the Print Options dialog box, and then click Print » Print from the File menu.

Related Topics and Procedures

Related Topic

Spreadsheet View Overview

Using the Print Options Dialog Box

Related Procedures

Previewing a Report Before Printing

Setting Up a Printer

Printing a Calendar

Printing a Report


Sort the Data in a Spreadsheet (Procedure)

Sort the Data in a Spreadsheet

For the following procedures to work, you must first enable the Click to Sort function by right-clicking a column heading and clicking Click to Sort on the shortcut menu.

When Click to Sort is enabled, a small arrow ( or ) is displayed when you click the column heading of a view. This shows the direction of the sort.

To sort the data based on a single column in a spreadsheet, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in spreadsheet view.

  2. Click the heading of the column on which you want to base the sort.

  3. Click the same column heading again to toggle the sort operation between ascending and descending order.

To sort the data based on multiple columns in a spreadsheet, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in spreadsheet view.

  2. Click the heading of the first column on which you want to base the sort. Clicking the same column heading again toggles the sort operation between ascending and descending order.

  3. Ctrl+click the next column for which Open Plan should sort the data. For example, assume that you want to sort the data based on early dates and then based on duration, you would first click the Early Dates heading and then Ctrl+click the Duration heading.

  4. Continue control-clicking additional columns until you have defined the entire sort expression.

Related Topics and Procedures

Related Topic

Spreadsheet View Overview

Related Procedures

Adjusting Width of a Column in a Spreadsheet

Adding a New Column

Inserting a Column

Removing a Column

Editing a Column Heading

Moving a Column

Splitting a Spreadsheet into Two Panes

Inserting Rows in a Spreadsheet

Deleting Rows in a Spreadsheet


Apply a Filter to a Column

Use the Enable Data Filters option to apply a filter specific to each column in a spreadsheet. It allows you to sort data alphabetically in ascending or descending order, sort dates from earliest to latest or vice versa, clear all filters, or select which items you want to include or exclude in a view.

When filtering data in a hierarchical structure, you can select the Enable Grouping, Enable Outlining, or Disable Grouping and Outlining option on the Spreadsheet Preferences dialog box before selecting Enable Data Filters. By default, it is set to Enable Outlining.

To apply a filter to a column:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in a spreadsheet or barchart view.

  2. Right-click within the spreadsheet view or the spreadsheet in a barchart view, and select Enable Data filters on the context menu.

  3. Select a column that you want to sort. You can sort the Cost, Currency, Date, Duration, Hierarchy, Note, and Text (which includes Activity/Resource/Code Description as a hierarchical structure).

  4. In the column heading, click [image] and select the filter or sort criteria you want to apply to the view.

Related Topics and Procedures

Related Topics

Filters Overview

Additional Filtering Options

Temporary Filters

Related Procedures

Apply Filter to a View


Splitting a Spreadsheet into Two Panes (Procedure)

Splitting a Spreadsheet into Two Panes

To split a spreadsheet into two panes, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in spreadsheet view.

  2. In the Table menu group the View tab, click Split View.

  3. Use the split-view cursor [image] to drag the splitter bar to the desired location.

Related Topics and Procedures

Related Topics

Spreadsheet View Overview

Splitting a Spreadsheet View into Two Panes


Time-Phased Reporting View Overview

Open Plan includes time-phased schedule progress charts that you can use to report by activity count or values. You can use these charts to view, for example, early/late activity completion curves with actuals as well as time-phased task completions vs baseline plan.

Open Plan includes the following time-phased sample views:

  • TP Completions to report by activity count. Activity counts are charts based on aggregating counts of activities on various dates. For example, the number of activities planned to finish by Baseline Finish date versus the Actual Finish date.

  • TP Cash Flow to report by activity value. A value chart is the aggregated value of a specified field over a date range.

You can use the Time-Phased View Options dialog box to specify options, counts, and values.

TP Completions: Reporting by Activity Count

The chart displays cumulative (s-curve) or period (histogram) data for a project plotted against time and is used to track the progress of a project. The data in the charts can count activities over time based on any date fields.

You can view the number of activities that are planned to finish (Baseline) versus the activities that were scheduled to finish (Actual/Early/Late Finish) within a certain date period.

In the example below, there are 21 activities in January planned for completion (Baseline Finish Cum); however, only 10 were completed (Actual Finish Cum). The early and late lines represent the range of possibilities that the project can expect if it is to be completed on time.

Having the ability to see these trends allows you to mitigate early on in the project cycle.

By default this chart filters out summary activities. You can use activity filters to include or exclude activities to report on.

This reporting also supports the concept of Earned Schedule reporting. The count of baseline finish dates represents the BCWS Schedule and the actual finish dates represent the BCWP values.

TP Cash Flow: Reporting by Activity Value

Use this chart to view, for example, the budget at complete spread between the early start and early finish. In addition, you can use user-defined values. You might want to use it to look at cash flow– what you are planning to spend versus what you actually spent - at the WBS level or the total project level. You could use a user-defined field to view the monthly and cumulative values.


Time-Phased View Options Dialog Box

Open Plan includes time-phased schedule progress charts that you can use to report by activity count or values. You can use these charts to view, for example, early/late activity completion curves with actuals as well as time-phased task completions vs baseline plan.

Use the Time-Phased View Options dialog box to set the view parameters.

For more information about the time-phased views, see Time-Phased Reporting View.

Tabs

  • Options tab: Use this tab to specify whether to display the data by count or value and specify how the view displays.

  • Counts tab: Use this tab to select the attributes that you want to use when you display the activities by count.

  • Values tab: Use this tab to select the From and To dates and the field to spread across those dates.

Resizing

A grabber pad in the bottom right corner of a dialog box indicates that the dialog box is resizable. Click and drag the sides of the dialog box to resize.

Location

To display the Time-Phased View Options dialog box, complete the following steps:

  1. Display the TP Completions or TP Cash Flow time-phased view.

  2. Right-click on the view and click Preferences.

Related Topics and Procedures

Related Topics

Time-Phased Reporting View Overview

Time-Phased View Options Options Tab

Time-Phased View Options Counts Tab

Time-Phased View Options Values Tab


Time-Phased View Options Dialog Box: Options Tab

Use this tab to specify whether to display the data by count or value and specify how the view displays.

For more information about the time-phased views, see Time-Phased Reporting View.

Display

Select whether you want to display by Counts or Values. Open Plan enables the related tab.

Display as

  • Table: This option displays the data in a tabular format. You can also specify the number of decimal places to be included in the table display.

  • Graph: This option displays the data as a histogram, S-curve, or both.

  • Both: This option displays the data as a table below a graph.

Bars

Style

  • 3-Dimensional

  • Flat

Position

  • Side by Side: In the side-by-side position, Open Plan displays each data unit next to each other within each time period.

  • Front to Back: In the front-to-back position, Open Plan displays each data unit one behind the other within each time period.

3-Dimentional Side by Side | 3-Dimentional Front to Back
Flat Side by Side | Flat Front to Back

Time Now

  • None: Open Plan does not display the Time Now line on the histogram.

  • Line: Open Plan identifies Time Now using a vertical line. There is no identifying text beside the Time Now line.

  • Line with Text: Open Plan identifies Time Now using a vertical line. In addition, the words "Time Now" display next to the Time Now line.

Location

To display the Time-Phased View Options dialog box, complete the following steps:

  1. Display the TP Completions or TP Cash Flow time-phased view.

  2. Right-click on the view and click Preferences.

Related Topics and Procedures

Related Topics

Time-Phased Reporting View Overview

Time-Phased View Options Counts Tab

Time-Phased View Options Values Tab


Time-Phased View Options Dialog Box: Counts Tab

Activity counts are charts based on aggregating counts of activities on various dates versus the number of activities that actually finished by that date. Use this tab to select the attributes that you want to use when you display the activities by count.

For more information about the time-phased views, see Time-Phased Reporting View.

Date

This column displays the individual date fields that Open Plan will use for the count. These can be calculated or real date fields.

To select a different entry in the cell, click in the cell or press F2 to enter edit mode. To exit edit mode, press Enter or Tab or click in a different cell. To view the fields in the drop-down menu, click the arrow with your mouse or press F4. You can scroll through the list with your mouse or the arrows on your keyboard.

Histogram

Select the checkbox to include the data as a histogram bar. You can select or deselect it with your mouse or cy pressing your SPACE bar.

Color

Select the color that Open Plan should use to display the data.

S-Curve

Select the checkbox to include the data as an s-curve. You can select or deselect it with your mouse or cy pressing your SPACE bar.

Attributes

Use the Display and Printer options to specify the line style and color that Open Plan should use when displaying or printing an S-Curve. There are five different line patterns and three possible widths, for a total of 15 different line styles from which to choose. When you click OK, the line style and color are shown in the active cell.

To select a different entry in the cell, click in the cell or press F2 to enter edit mode. To exit edit mode, press Enter or Tab or click in a different cell. To view the fields in the drop-down menu, click the arrow with your mouse or press F4.

Display

Values for

Enter the label that you want to display along the vertical axis for the histogram and/or S-Curve. If both the histogram and S-Curve display in the view, there will be both a left and right axis with the appropriate label displayed sideways (in parentheses). If there is either a histogram or S-Curve (but not both), the appropriate label displays on the left axis.

Values

  • Scale Factor: This setting determines how Open Plan scales the values appearing in the histogram bar or S-curves. For no scaling, set the scale factor to 1.

  • Max Y Value: This setting determines the highest value displayed on the vertical axis of the histogram bars or S-curves. To allow Open Plan to set a maximum value based on the data, leave this setting at 0.

Buttons

Add Row

Click to add additional values. You can also add a row by placing your cursor in the Date cell of the last row and pressing the down arrow on your keyboard.

Change Order

Use the Up/Down arrows to change the row order. Multiple rows can be selected but must be contiguous.

You can delete a row by clicking anywhere in the row and pressing Delete on your keyboard. To delete multiple rows, select one and use CTRL or SHIFT to select additional rows and click Delete.

Location

To display the Time-Phased View Options dialog box, complete the following steps:

  1. Display the TP Completions or TP Cash Flow time-phased view.

  2. Right-click on the view and click Preferences.

Related Topics and Procedures

Related Topics

Time-Phased Reporting View Overview

Time-Phased View Options Options Tab

Time-Phased View Options Values Tab


Time-Phased View Options Dialog Box: Values Tab

A value chart is the aggregated value of a specified field over a date range. Use this tab to select the From and To dates and the field to spread across those dates.

For more information about the time-phased views, see Time-Phased Reporting View.

Date From / Date To

Select or view the "From" or "To" date which can be a calculated or real date field.

To select a different entry in the cell, click in the cell or press F2 to enter edit mode. To exit edit mode, press Enter or Tab or click in a different cell. To view the fields in the drop-down menu, click the arrow with your mouse or press F4. You can scroll through the list with your mouse or the arrows on your keyboard.

Field

Select or view the field containing the value to be spread from the "From" date to the "To" date. This is a numeric field (integer or decimal) and can be a calculated or real field.

To select a different entry in the cell, click in the cell or press F2 to enter edit mode. To exit edit mode, press Enter or Tab or click in a different cell. To view the fields in the drop-down menu, click the arrow with your mouse or press F4. You can scroll through the list with your mouse or the arrows on your keyboard.

Histogram

Select the checkbox to include the data as a histogram bar. You can select or deselect it with your mouse or cy pressing your SPACE bar.

Color

Select the color that Open Plan should use to display the data.

S-Curve

Select the checkbox to include the data as an s-curve. You can select or deselect it with your mouse or cy pressing your SPACE bar.

Attributes

Use the Display and Printer options to specify the line style and color that Open Plan should use when displaying or printing an S-Curve. There are five different line patterns and three possible widths, for a total of 15 different line styles from which to choose. When you click OK, the line style and color are shown in the active cell.

To select a different entry in the cell, click in the cell or press F2 to enter edit mode. To exit edit mode, press Enter or Tab or click in a different cell. To view the fields in the drop-down menu, click the arrow with your mouse or press F4.

Display

Values for

Enter the label that you want to display along the vertical axis for the histogram and/or S-Curve. If both the histogram and S-Curve display in the view, there will be both a left and right axis with the appropriate label displayed sideways (in parentheses). If there is either a histogram or S-Curve (but not both), the appropriate label displays on the left axis.

Values

  • Scale Factor: This setting determines how Open Plan scales the values appearing in the histogram bar or S-curves. For no scaling, set the scale factor to 1.

  • Max Y Value: This setting determines the highest value displayed on the vertical axis of the histogram bars or S-curves. To allow Open Plan to set a maximum value based on the data, leave this setting at 0.

Buttons

Add Row

Click to add additional values. You can also add a row by placing your cursor in the Date cell of the last row and pressing the down arrow on your keyboard.

Change Order

Use the Up/Down arrows to change the row order. Multiple rows can be selected but must be contiguous.

You can delete a row by clicking anywhere in the row and pressing Delete on your keyboard. To delete multiple rows, select one and use CTRL or SHIFT to select additional rows and click Delete.

Location

To display the Time-Phased View Options dialog box, complete the following steps:

  1. Display the TP Completions or TP Cash Flow time-phased view.

  2. Right-click on the view and click Preferences.

Related Topics and Procedures

Related Topics

Time-Phased Reporting View Overview

Time-Phased View Options Options Tab

Time-Phased View Options Counts Tab


Tornado View

Tornado View Overview

The Tornado View is a specific view that shows the relative importance of random variability in the duration of individual activities in determining the variability in the overall project duration.

This view takes the form of a set of bars representing the sensitivity of the project to each activity and is normally sorted in descending order. The bars decrease in length from the top to the bottom of the chart, making it resemble a tornado pattern.

The Tornado View is based upon the Sensitivity Index, which is calculated as:

(Standard Deviation of Activity Duration * Probability that activity is critical)/ Standard deviation of project duration

Although the sensitivity is expressed as a percentage, the percentages can occasionally exceed 100 due to mixed calendars.

Location

To display a project in tornado view, complete the following step:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in tornado view.

Related Topics and Procedures

Related Topics

Axis Preferences Dialog Box

Numeric Barchart Preferences Dialog Box

Related Procedures

Sorting the Data in a Spreadsheet


Numeric Axis Preferences Dialog Box

The Numeric Axis Preferences dialog box lets you customize the look and feel of the barchart heading along the top of the barchart area of the Tornado Chart view.

This dialog box features the following controls:

Data Range

Enter the upper and lower limits of the numeric range you wish to display on the barchart heading. You can enter any range, but if you click the Calculate button, the scale is set to the minimum size that will contain the data in the current sort column.

From

Enter the beginning of the desired data range you wish to display on the barchart heading.

To

Enter the upper end of the data range you wish to display on the barchart heading.

Calculate

Click this button to size the heading scale to fit the selected data.

Marker Interval

Enter the frequency with which marker labels will display on the barchart heading. For example, enter "5" to set the main intervals at 0, 5, 10, 15, and so on.

Show Full Grid

Select this option to enable the display of vertical grid lines in the barchart area of the Tornado Chart at the selected marker intervals.

Show Minor Tick Marks

Select this option to show minor tick marks on the Tornado Chart heading.

Minor Ticks per Marker Interval

With the Show Minor Tick Marks option enabled, specify the number of minor marks to display between the marker intervals on the Tornado Chart heading.

Text Color

Use this field to specify the color of the text labels, marker intervals, and minor tick marks in the Tornado Chart heading.

Background Color

Use this field to specify the background color of the Tornado Chart heading.

Font

Click this button to specify the font used for the marker interval labels.

Location

To display the Numeric Axis Preferences dialog box, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in tornado view.

  2. Right-click the barchart heading area of the tornado view, and click Numeric Axis Preferences from the shortcut menu.

Related Topics and Procedures

Related Topics

Numeric Barchart Preferences Dialog Box

Spreadsheet Preferences: Options Tab

Barchart Preferences Dialog Box

Related Procedures

Customizing Display Options

Sorting the Data in a Spreadsheet


Numeric Barchart Preferences Dialog Box

The Numeric Barchart Preferences dialog box lets you customize the look and feel of the barchart area of the Tornado Chart view.

Bars Based on

Field Name

Select the numeric field that you want to display as bars on the Tornado Chart view. You can select any numeric field from the Activity table, including baseline numeric fields.

Sort on This Field

Select this option to sort the spreadsheet view in descending order by the selected field. When cleared, the spreadsheet defaults to sorting by the Activity ID. If the sort selection is changed by clicking the heading of another column in the spreadsheet area, this option is cleared.

Show Only Positive Values

Select this option to suppress any non-positive values (including zero values) in the display.

Don't Show Subproject Activities

Select this option to display only the activities from a primary project. Subproject activities are suppressed.

Bar Appearance

Use the fields in this section to specify the fill color, border color, and bar pattern for the barchart.

Text Appearance

Show Text After Bar

Select this option to display the data that the bar represents just to the right of the bar. You may also choose to display information next to the barchart bars other than the field on which the barchart is based by selecting a different value in the Field Name field in this section.

Select From

You may choose to display information next to the barchart bars other than the field on which the barchart is based. This field is used to select the particular Activity table that contains the desired field.

Field Name

You may choose to display information next to the barchart bars other than the field on which the barchart is based. Once you have selected the appropriate Activity table in the Select from field, you may select the appropriate field from that table. This is useful when you want to display information related to the field being plotted, but not necessarily the actual data, such as a comment.

Color

Select the color of the text, if any, that appears next to the barchart bars.

Font

Select the font of the text, if any, that appears next to the barchart bars.

Formatting

Select the formatting for the numeric field data from this list. In addition to the default selection, which picks up the characteristics of the selected field, you can define data as dollars, percentages, or plain numbers, and specify whether or not to use commas (for example, 1,000). With percentages and dollars, you may opt to display decimal places.

Decimals

If a numeric field is defined as a non-currency field, you can use this option to specify that Open Plan will display 0, 1, or 2 decimal places.

Location

To display the Numeric Barchart Preferences dialog box, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in tornado view.

  2. Right-click the barchart area of the tornado view, and select Preferences from the context menu.

Related Topics and Procedures

Related Topics

Numeric Axis Preferences Dialog Box

Spreadsheet Preferences: Options Tab

Barchart Preferences Dialog Box

Related Procedures

Customizing Display Options

Sorting the Data in a Spreadsheet


Printing Reports and Views Overview

You can output any Open Plan view or data file display to external devices such as a printer or a plotter to produce a report.

The Print Command

The operation of the Print command differs slightly depending on the type of report you are producing.

When you select the Print command from barchart views, network views, spreadsheet views, histogram views, resource displays, or code displays, Open Plan displays the Print dialog box.

When you select the Print command from a calendar display, Open Plan displays slightly different versions of the Print dialog box that allow you to define the range of data to print by entering a time span.

The Print Setup Command

You can use the Print Setup command to select a printer and related information. When you click Print » Print Setup on the File menu, Open Plan responds by displaying the Print Setup dialog box.

General Print Options

The Print Options command allows you to define a number of parameters that affect the general appearance for reports based on any type of view or display other than a calendar display. If you select this command, Open Plan displays the Print Options dialog box.

Print Options for Barcharts and Histograms

If you are displaying a time-scaled view such as barchart or histogram at the time you use the Print Options command, the Print Options dialog box includes a View tab.

The Date Range Options dialog box allows you to specify how Open Plan should calculate the date range that is displayed in a printed barchart, resource histogram, and risk histogram view.

Print Options for Network Views

It is only in the Network View that you can adjust the physical size of the print output, as well as specify the size of the output and fit your output on the number of pages you indicate. These options can be set in the Print Options dialog box View tab.

Defining Title Blocks

A title block can display information about the project such as the project name, Time Now, or the project start and finish date as well as a legend of the different bars for barchart reports. For more information, see Title Blocks.

Previewing a Report Before Printing

The Print Preview command allows you to see exactly how a report will be printed based on the current settings in the Print, Print Setup, Print Options, and Title Blocks dialog boxes. The print preview window includes a zoom cursor that allows you to zoom in on any portion of the report you want to examine in greater detail.

You should have a default printer selected in Windows before using any of the above options. For information about setting up a default printer in Windows, refer to either the Windows documentation or the documentation supplied with the printer.

Cost Reporting

To facilitate the reporting of cost information, Open Plan provides a number of standard calculated fields related to costs at the activity level. These fields are available for display in any view. For information about the fields, see Cost Reporting.

Related Topics and Procedures

Related Topic

Print Preview

Related Procedures

Set View Print Options

Setting Print Margins

Printing Notes With a Report

Printing a Report

Printing a Calendar

Printing a Barchart

Setting Up a Printer


Cost Reporting

To facilitate the reporting of cost information, Open Plan provides a number of standard calculated fields related to costs at the activity level. These fields are available for display in any view.

For more information on these calculated fields, see Cost Calculations in the Deltek Open Plan Developer’s Guide.

Field

Description

Calculation

BACcum

Budget at complete. This value represents the total budgeted cost of the activity or project and is calculated from the costs of the Project Measurement Baseline (PMB).

If the PMB does not exist, Open Plan uses the currently selected baseline, or, in the case of multiple baselines, the first selected baseline.

BAC_LAB + BAC_MAT +

BAC_ODC + BAC_SUB

ACWPcum

Actual cost of work performed.

This value represents the actual cost of the work performed on the activity or project from its inception to Time Now.

Open Plan has two methods for acquiring actual quantity:

  • You may enter the actual quantity directly into the Resources tab of the Activity Progress dialog box.

  • You may allow Open Plan to calculate the actual quantity based on the activity status.

The method used depends on settings made on the General tab of the Resource Details dialog box.

ACWP_LAB + ACWP_MAT +

ACWP_ODC + ACWP_SUB

Planned Baseline Progress

For activities with a duration greater than zero:

For activities with zero duration, Open Plan compares the baseline finish date with Time Now, and takes one of the following actions:

  • If the baseline finish date is before Time Now, Open Plan sets the value of planned baseline progress to 100%.

  • If the baseline finish date is after Time Now, Open Plan sets the value of planned baseline progress to 0%.

When subtracting the baseline start from Time Now, Open Plan takes into account the effect of calendars.

BCWScum

Budgeted cost of work scheduled.

BCWScum is a field on the activity table that represents the cumulative to-date budgeted cost of work scheduled for the activity and is populated during cost calculations by determining the value of the baseline resource assignments that should have been accomplished by Time Now.

A baseline must be selected in order for Open Plan to calculate the Activity BCWS.

BCWS_LAB + BCWS_MAT +

BCWS_ODC + BCWS_SUB

BCWPcum

Budgeted cost of work performed.

This value represents the sum of the budgets for the completed work PMB. The cumulative budgeted cost of work performed (BCWP) is frequently referred to as earned value (EV).

BCWP_LAB + BCWP_MAT +

BCWP_ODC + BCWP_SUB

ETC

Estimate to complete.

This calculated field shows the total ETC for an activity by combining the ETC for each resource category.

ETC_LAB + ETC_MAT +

ETC_ODC + ETC_SUB

EAC

Estimate at complete.

This value represents the final costs of the activity or project when completed and is calculated from the current resource assignments.

ACWPcum + ETC

CV

Cost variance.

This value represents the numerical difference between the earned value (BCWP) and the actual cost (ACWP).

BCWPcum – ACWPcum

SV

Schedule variance.

This value is used as an indicator of how much a program is ahead or behind schedule

BCWPcum – BCWScum

VAC

Variance at complete.

This value represents the algebraic difference between Budget at Complete and Estimate at Complete

BACcum – EAC

CPI

Cost performance index.

This value represents the cost efficiency factor representing the relationship between the actual costs expended and the value of the physical work performed.

BCWPcum / ACWPcum

SPI

Schedule performance index.

This value is the planned schedule efficiency factor representing the relationship between the value of the initial planned schedule and the value of the physical work performed, earned value.

BCWPcum / BCWScum

In addition to these values, Open Plan calculates the planned baseline progress for each activity using the following approach:

  • If no baseline dates have been set for the activity, Open Plan sets the value of planned baseline progress to –1.

  • If the baseline finish date is before Time Now, Open Plan sets the value of planned baseline progress to 100%.

  • If the baseline start date is after Time Now, Open Plan sets the value of planned baseline progress to zero.

If none of these cases apply, Open Plan calculates the value by first subtracting the baseline start from Time Now, dividing the result by the original duration, and then multiplying by 100. For activities with an original duration of zero, Open Plan divides the result by the difference between the baseline start and finish dates.

The calculation of the planned baseline progress takes into account the effect of calendars in all date calculations.

Related Topics and Procedures

Related Topics

Managing Costs Overview

Cost Control Features in Open Plan

Understanding Open Plan Cost Calculations

Cost Forecasting

Related Procedures

Filtering Data on a Calculated Field

Sorting Data on a Calculated Field


Title Blocks

A title block can display information about the project such as the project name, Time Now, or the project start and finish date as well as a legend of the different bars for barchart reports.

To define a title block for a report, click Title Blocks on the View tab from the Printing group to display the Title Blocks dialog box. From this dialog box, you can create, copy, edit, or delete a title block. Clicking New, Copy, or Edit displays the Title Block Definition dialog box.

If you edit an existing title block, you cannot change its name.

The Title Block Definition dialog box allows you to define the contents for as many as six different title blocks for the report:

  • Top left

  • Top center

  • Top right

  • Bottom left

  • Bottom center

  • Bottom right

You can specify the percentage of the header or footer that a title block can occupy by defining the location of divider lines marking the left or right title blocks. For example, by setting the divider lines for both left and right title blocks to 25%, you can define a header in which the central title block occupies 50% of the available space, or you can have Open Plan calculate the required width by using –1.

The contents of each defined title block can contain up to 5 lines of text defined and formatted by the user. Open Plan automatically aligns text appearing in title blocks as follows:

  • Text appearing in a top left or bottom left title block is left-aligned in relation to the left page margin.

  • Text appearing in a top center or bottom center title block is centered.

  • Text appearing in a top right or bottom right title block is left-aligned in relation to the divider line.

Each line can include literal text as well as text fields stored by Open Plan. To see the available text fields, click Fields to display the Fields dialog box. Text fields include the following types of information:

  • The project name, description, and manager

  • The project start and finish dates

  • The name and description of the current project baseline

  • The names of the project calendar and resource files

  • The client or company name (entered on the Summary tab of the Project Properties dialog box)

  • The current page number of the report

  • The total number of pages in the report

  • Time Now

  • The system date and time

  • The filter or sort that is currently in effect

  • The view description (entered using the Properties dialog box)

You can combine variable text items with literal text to define title blocks such as:

  • Report Created for <Client>

  • Time Now: <Time Now>

  • Page <Current Page> of <Total Pages>

A title block can also include a user-defined logo. To specify the logo for a title block, select Include and use the ellipsis button to display the Symbols dialog box that you use to select the logo. For more information, see Custom Symbols.

The Access Control option is used to grant rights to other users in the data source to use the definition.

The References option displays the References dialog box, which has a list of items that use the title block. This list of items includes the file type, name of the project or file, description, and owner.

Related Topics and Procedures

Related Topic

Title Blocks Dialog Box

Related Procedures

Define a Title Block

Assign a Title Block to a View

Copy a Title Block Definition

Edit a Title Block Definition


Print Preview

The Print Preview command allows you to see exactly how a report will be printed based on the current settings in the Print, Print Setup, Print Options, and Title Blocks dialog boxes.

The print preview window includes a zoom cursor that allows you to zoom in on any portion of the report you want to examine in greater detail.

You can display the Print Preview tab by displaying the view or data file that you want to print and taking one of the following actions:

  • Clicking Print » Print Preview on the File menu

  • Clicking the Print Preview [image] button on the Quick Access Toolbar

Print preview shows entire pages at a reduced size so that you can view one or more pages at a time and check page breaks. You cannot, however, make any changes to the report while in print preview.

The print preview tab provides the following controls to display your report:

  • Print: Prints the report directly from the preview.

  • Setup: Changes the printer and the printer settings.

  • Options: Changes the printing options for the view. This button is disabled when you are previewing a Calendar view. Calendar views do not have options to set.

  • Capture: Saves the active view in the .jpg format. This button is disabled when you are previewing multiple pages. This button is disabled when you are previewing multiple pages. You can view multiple pages by clicking the Two Page option from the Zoom group.

  • Zoom In/Out: Increases/decreases the magnification one level. The Zoom In and Zoom Out buttons provide three levels of magnification.

  • One Page/Two Page: Displays one page/two pages of the report on the screen at one time.

  • Next Page: Displays the next page in the report.

  • Prev Page: Displays the previous page in the report.

  • Close: Closes the print preview window and returns to the current view.

Related Topics and Procedures

Related Topics

Print Dialog Box

Print Setup Dialog Box

Print Calendar Dialog Box

Print Options Dialog Box

Related Procedures

Setting Print Margins

Setting Up a Printer

Printing Notes With a Report

Printing a Report

Printing a Calendar

Printing a Barchart

Printing a Spreadsheet

Previewing a Report Before Printing


Notes and Note Categories

As an aid to reporting, Open Plan allows you to attach notes consisting of text information to the following:

  • Projects

  • Resource files

  • Code files

  • Activities

  • Individual resources

  • Individual codes

These notes can be included in reports based on many of the standard project views.

To attach a note to a project, resource file, or code file, display the appropriate Properties dialog box, and click the Notes tab.

  • Project Properties dialog box Notes Tab

  • Ancillary Files Properties dialog box Notes Tab

To attach a note to an activity, individual resource, or individual code, display the appropriate Details dialog box, and click the Notes tab. The Notes tab uses the same format regardless of the dialog box.

  • Resource Details dialog box Notes Tab

  • Code Details dialog box Notes Tab

  • Activity Details dialog box Notes Tab

After you enter a note for an activity, resource, or code, Open Plan marks the object so that you can see which items have notes attached. In a spreadsheet view, for example, Open Plan adds a note icon to the Selection button.

When displaying a resource or code structure, on the other hand, objects with notes are indicated by the lower right corner of the element box being shaded.

To delete a note attached to an object, delete all the text displayed in the Note text box.

Note Categories

Note categories allow you to group related types of notes for reporting purposes. For example, you might want to use two categories of notes for a project: one for general information about a project and another for documenting changes in scope that occur over the course of a project. Each project, resource file, or code file can have its own set of note categories.

To define note categories, click Notes on the Tools tab to display the Note Categories dialog box.

If you delete an existing category, Open Plan deletes all the notes assigned to that category.

After you have set up categories, they are stored in the database and are available to all projects, resource files, and code files. You can assign a particular note to one of the defined categories from the Category list displayed above the Note text box.

Including Notes in Reports

You can produce reports that include notes from any activity view (with the exception of relationship and assignment spreadsheets), resource display, or code display. For activity-based reports, you can include project notes, activity notes, or both.

When you include notes in a report, Open Plan displays them on one or more separate pages following the main body of the report. Each note is labeled with the category, the author (if known), and the creation date.

You can include notes in a report using the Print Options dialog box General tab.

Related Topics and Procedures

Related Topic

Printing Reports and Views

Related Procedures

Printing Notes With a Report

Create a Note Category

Edit a Note Category

Delete a Note Category


Date Range Options Dialog Box

The Date Range Options dialog box allows you to specify how Open Plan should calculate the date range that is displayed in a printed barchart, resource histogram, and risk histogram view.

Base date range on:

You can instruct Open Plan to base the date range on any of the following:

Range of Data

If you click this option, Open Plan bases the date range of the printed report on the range of data in the barchart, resource histogram, or risk histogram view. The data that is included in the printed report can include a larger date range than that currently displayed in the view.

Current Display

If you click this option, Open Plan bases the date range of the printed report on what is currently displayed in the barchart, resource histogram, or risk histogram view. If you resize the window in which the view is displayed, Open Plan recalculates the date range to print only the data that is actually displayed.

Time Now

If you click this option, Open Plan enables the following options and bases the date range of the printed report on your settings relative to Time Now:

  • Start printing at offset: Using these fields, you can specify the starting date on the printed report as a specified number of hours, days, weeks, months, quarters, or years before or after the Time Now date. (Entering a negative number in this field tells Open Plan to start the report before the Time Now date, while entering a positive number tells Open Plan to start the report after that date.)

  • Finish (offset from start): Using these fields, you can specify the last date on the printed report as a specified number of hours, days, weeks, months, quarters, or years after the start date of the printed report.

  • Finish at Project Finish: If you select this option, Open Plan uses the last date in the project as the last date in the printed report.

These options are not available when you are printing data from the Project Analysis view.

Project Start

If you click this option, Open Plan enables the following options and bases the date range of the printed report on your settings relative to the date the project started:

  • Start printing at offset: Using these fields, you can specify the starting date on the printed report as a specified number of hours, days, weeks, months, quarters, or years before or after the project's start date. (Entering a negative number in this field tells Open Plan to start the report before project's start date, while entering a positive number tells Open Plan to start the report after that date.)

  • Finish (offset from start): Using these fields, you can specify the last date on the printed report as a specified number of hours, days, weeks, months, quarters, or years after the start date of the printed report.

  • Finish at Project Finish: If you select this option, Open Plan uses the last date in the project as the last date in the printed report.

This option is not available when you are printing data from the Project Analysis view.

Location

To display the Date Range Options dialog box, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in barchart, resource histogram, or risk histogram view.

  2. Take any of the following actions:

    • On the File menu, click Print » Print Options.

    • On the Quick Access Toolbar, click the Print Preview button, then click Options.

  3. On the View tab of the Print Options dialog box, click Calculate.

Related Topics and Procedures

Related Topic

Printing Reports and Views


Note Category Dialog Box

This dialog box contains two fields.

Name

Enter a short name for the note category.

Description

Use this field to enter a longer, more descriptive name for the note category.

Location

To display the Note Category dialog box, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in any view.

  2. In the Custom Fields menu group of the Tools tab, click Notes.

  3. In the Note Categories dialog box, click New.

Related Topics and Procedures

Related Topics

Notes and Note Categories

Note Categories Dialog Box

Related Procedures

Attaching a Note to an Activity

Attaching a Note to a Resource

Attaching a Note to a Code

Creating a Note Category

Editing a Note Category

Deleting a Note Category


Note Categories Dialog Box

Use this dialog box to create, edit, and delete note categories. The categories feature of Open Plan allows you to attach multiple notes to a project, activity, resource, or code and to organize your notes by categories.

Table

This field allows you to select the data table to which the note category applies.

Categories

Each data table contains a <Default> category. This may be the only category you need if you do not intend to attach multiple notes to a file and if you do not have a need to organize your notes.

Many project managers, however, will want to set up multiple note categories for each file. In this case, the dialog box displays all the note categories currently set up in the database.

By default, the Activity table and Project table contain two additional categories: Risks_Involved and Quality_Requirements. These categories are used by the demonstration data that is included with your installation of Open Plan.

While you can have multiple categories defined for each table, only one note can be included in each category.

New

Click this button, or press Insert on your keyboard, to display the Note Category dialog box which you use to create a new note category.

Edit

Select an existing note category and click this button to display the Note Category dialog box which you use to edit the description of the note. You cannot edit a note name.

Delete

Click this button, or press Delete on your keyboard, to delete the selected note category. A dialog box displays, asking you to confirm the deletion.

Location

To display the Note Categories dialog box, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in any view.

  2. In the Custom Fields menu group of the Tools tab, click Notes.

Related Topics and Procedures

Related Topics

Notes and Note Categories

Note Category Dialog Box

Related Procedures

Attaching a Note to an Activity

Attaching a Note to a Resource

Attaching a Note to a Code

Creating a Note Category

Editing a Note Category

Deleting a Note Category


Print Dialog Box

When you select the Print command from barchart views, network views, spreadsheet views, histogram views, resource displays, or code displays, Open Plan displays this dialog box.

Printer

You can select a default printer as well as a specific printer for a report.

To set advanced options for your output device, click Properties. The options that can be set using this dialog box depend on the device type.

Print Range

All

Prints all pages of a view or report. If the view is too large to be displayed on one page, Open Plan divides it into pages and prints all the pages.

Pages

Prints a range of pages you select.

Selection

This option is not supported in Open Plan.

Depending on your installation of Windows and your default printer, this dialog box may also feature additional controls such as the following:

  • A Print Quality field that controls the print resolution to be used.

  • A Copies field that controls the number of copies of the view Open Plan should print.

  • A Collate option that controls whether Open Plan should collate the reports being printed.

  • A Setup button that displays a dialog box where you can specify the printer you want to use as well as any options that are specific to your printer driver.

Location

To display the Print dialog box, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in any view.

  2. Take one of the following actions:

  • On the File menu, click Print » Print.

  • On the Quick Access Toolbar, click Print [image].

Related Topics and Procedures

Related Topics

Print Calendar Dialog Box

Print Options Dialog Box

Print Setup Dialog Box

Print Preview

Related Procedures

Setting Print Margins

Printing Notes With a Report

Printing a Report

Printing a Calendar

Printing a Barchart

Setting Up a Printer


Print Options Dialog Box

Open Plan uses a tabbed dialog box to control the many options available for printing a report. The Print Options dialog box always displays the following tab:

General Tab

This tab provides general information about the margins and notes to be included in the report as well as the orientation of the paper on which the report should be printed. For more information, see General Tab.

View Tab

The fields on this tab change, depending on the view that you are in. For more information, see View Tab (barchart, resource histogram, and risk histogram views) and View Tab (Network View).

Buttons

A row of buttons across the bottom of the dialog box apply to all Print Options tabs.

OK

Saves the print options with the view and closes the dialog box.

Cancel

Closes the dialog box without saving the print options.

Help

Displays this help topic.

Preview

Displays the report as it will be printed in a Preview window.

Location

To display the Print dialog box, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in any view.

  2. On the File menu, click Print » Print Options.

Related Topics and Procedures

Related Topics

Print Options General Tab

Print Options View Tab

Title Blocks Dialog Box

Date Range Options Dialog Box

Print Preview

Print Setup Dialog Box

Print Dialog Box

Print Calendar Dialog Box

Related Procedures

Set General Print Options

Setting Print Margins

Set View Print Options

Previewing a Report Before Printing

Setting Up a Printer

Printing Notes With a Report

Printing a Barchart

Printing a Spreadsheet

Printing a Report

Printing a Calendar


Print Options General Tab

This tab of the Print Options dialog box controls the following general settings for printing a report.

Margins in Inches

You can set top, left, right, and bottom margins in hundredths of an inch.

Include Notes

Reports can include notes information from any activity view (with the exception of relationship and assignment spreadsheets), resource display, or code display. For activity-based reports, you can include project notes, activity notes, or both.

Only those check box options that are relevant to the displayed view are enabled. For example, if a resource structure is displayed, only the Resource option is enabled. On the other hand, if a network view is displayed, both the Project and the Activity options are enabled.

For more information about notes, see Notes and Note Categories.

Select Categories

Clicking this button displays the Select Note Categories dialog box that you can use to select the categories of note to be printed.

When you include notes in a report, Open Plan displays them on one or more separate pages following the main body of the report. Each note is labeled with the category, the author (if known), and the creation date.

Orientation

You can choose to have the report displayed in either portrait or landscape mode.

Changing the orientation of the report on this dialog box does not affect the printer setting. Use the Print Setup dialog box to change the orientation of both the active view and the printer setting.

Display Line Numbers in Spreadsheet

This option controls whether Open Plan should include line numbers in the spreadsheet report:

  • If this option is selected, Open Plan displays line numbers in the spreadsheet report.

  • If this option is cleared, Open Plan prints the spreadsheet without line numbers. This is the default setting.

Suppress Color in Spreadsheet Headings

This option controls whether the spreadsheet report should suppress the use of color in spreadsheet column headings:

  • If this option is selected, Open Plan prints column headings with black text on a white background.

  • If this option is cleared, Open Plan prints column headings normally. This is the default setting.

Expand Columns to Fill Page

This option applies to barchart views and controls whether Open Plan should stretch columns in a spreadsheet to eliminate white space between the spreadsheet and barchart panes of the view.

  • If this option is selected, Open Plan stretches the spreadsheet columns when printing the report.

  • If this option is cleared, Open Plan prints the spreadsheet columns normally.

Print Setup

Click this button to display the Print Setup Dialog Box, where you can specify the printer and printer properties to use.

OK

Clicking this button puts your settings into effect and closes the Print Options dialog box.

Cancel

Clicking this button closes the Print Options dialog box without putting your selections into effect.

Help

Clicking this button displays the Help system.

Preview

Clicking this button displays how the report will appear when it prints.

The Preview button will not be available when you invoked the Print Options dialog box from the Print Preview pane.

Location

To display the Print dialog box, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in any view.

  2. On the File menu, click Print » Print Options.

Related Topics and Procedures

Related Topics

Print Options Dialog Box

Print Options Title Blocks Tab

Print Options View Tab

Select Note Categories Dialog Box

Date Range Options Dialog Box

Print Preview

Print Setup Dialog Box

Print Dialog Box

Note Categories Dialog Box

Related Procedures

Setting Print Margins

Previewing a Report Before Printing

Setting Up a Printer

Printing Notes With a Report

Creating a Note Category

Editing a Note Category

Printing a Report


Print Options View Tab

This tab controls print options that are specific to the barchart, resource histogram, and risk histogram views.

Date Range

The date range options are available when you are defining print options for a barchart, resource histogram, or risk histogram view. These options control the range of dates to be included in the report using the following settings:

  • From: Displays the earliest date to be included in the report

  • To: Displays the latest date to be included in the report

Using the From and To fields, you can indicate a specific range of dates to be included in the report, or you can have Open Plan calculate the date range for you.

To have Open Plan calculate the date range click Calculate and enter the appropriate information in the Date Range Options dialog box.

Horizontal

The horizontal options are available when you are defining print options for a barchart, resource histogram, or risk histogram view. These options control whether Open Plan should adjust the horizontal scaling of the report to fit to a specified number of pages.

Calculate

Clicking this button displays the Date Range Options dialog box that you can use to specify how Open Plan should calculate the date range that is displayed on the barchart, resource histogram, or risk histogram view.

Spreadsheet

The spreadsheet options are available only when you are defining print options for a barchart. Using these options, you can indicate whether Open Plan should include the spreadsheet portion of the view when producing the report.

If you include the spreadsheet portion in a barchart report, you have the option of printing all columns or just those columns that are visible on the screen.

For multi-page barchart reports, you can also indicate whether the spreadsheet portion should appear on every page or only on the first page of the report.

Legend

The options in this group box are available only when you are defining print options for a barchart view. You can choose whether the legend should be included with the barchart report. If it is included, you can also choose the location where it should be printed.

To include a legend on a barchart report, you must enable at least one title block in the header or footer (depending on where you want the legend to print).

Resource Data

The resource data options are available and enabled only when you are defining print options for a barchart view that includes resource data.

You can choose whether resource data should be included with the barchart report. If it is included, you can also choose whether the resource data should be printed on every page of the report or only on the last page.

OK

Clicking this button puts your settings into effect and closes the Print Options dialog box.

Cancel

Clicking this button closes the Print Options dialog box without putting your selections into effect.

Help

Clicking this button displays the Help system.

Preview

Clicking this button displays how the report will appear when it prints.

Location

To display the Print dialog box, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in any view.

  2. On the File menu, click Print » Print Options.

Related Topics and Procedures

Related Topics

Print Options Dialog Box

Print Options General Tab

Select Note Categories Dialog Box

Title Blocks Dialog Box

Date Range Options Dialog Box

Print Preview

Print Setup Dialog Box

Print Dialog Box

Print Calendar Dialog Box

Related Procedures

Setting Print Margins

Previewing a Report Before Printing

Setting Up a Printer

Printing Notes With a Report

Printing a Barchart

Printing a Spreadsheet

Printing a Report

Printing a Calendar


Print Options View Tab (Network View)

This tab of the Print Options dialog box controls settings for printing a Network view.

Adjust to:

This option adjusts the physical size of your output. Select the size you want the view to be printed.

Fit to:

This option is used to size the output to fit on the number of page(s) you have indicated.

OK

Clicking this button puts your settings into effect and closes the Options dialog box.

Cancel

Clicking this button closes the Options dialog box without putting your selections into effect.

Help

Clicking this button displays the Help system.

Preview

Clicking this button displays how the report will appear when it prints.

Location

To display the Print dialog box, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in any view.

  2. On the File menu, click Print » Print Options.

Related Topics and Procedures

Related Topics

Print Options Dialog Box

Print Options Title Blocks Tab

Print Options View Tab

Select Note Categories Dialog Box

Date Range Options Dialog Box

Print Preview

the Print Setup Dialog Box

Print Dialog Box

Note Categories Dialog Box

Related Procedures

Setting Print Margins

Previewing a Report Before Printing

Setting Up a Printer

Printing Notes With a Report

Creating a Note Category

Editing a Note Category

Printing a Report


Print Setup Dialog Box

This dialog box displays the currently defined default printer and allows you to specify a printer to be used for the current print job.

Printer

You can select a default printer as well as a specific printer for a report.

To set advanced options for your output device, click Properties. The options that can be set using this dialog box depend on the device type.

Paper

You can specify a size and tray source for paper.

Orientation

You can specify either portrait (vertical) or landscape (horizontal) orientation for a report. This setting is saved with each view.

If you change the orientation in the Print Setup dialog box, Open Plan automatically changes the orientation in the Print Options dialog box as well.

Network

Clicking this button allows you to connect to a shared network printer.

Location

To display the Print Setup dialog box, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in any view.

  2. On the File menu, click Print » Print Setup.

Related Topics and Procedures

Related Topics

Print Preview

Print Dialog Box

Print Calendar Dialog Box

Print Options Dialog Box

Related Procedures

Setting Up a Printer

Setting Print Margins

Printing Notes With a Report

Printing a Report

Printing a Calendar

Printing a Barchart


Select Note Categories Dialog Box

This dialog box allows you to select the categories of note that will be printed with a report. The categories that are displayed in this dialog box are those that have been created for the types of file you selected on the General tab of the Print Options dialog box. In addition, the list also includes the <Default> categories for each selected file type.

For example, if the Project and Activities check boxes are selected in the Print Options dialog box, the categories that are displayed are those available for the Project Directory and the Activity file. For each note category listed in this dialog box, the relevant file type is identified within parentheses.

Location

To display the Select Note Categories dialog box, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in any view.

  2. On the File menu, click Print » Print Options.

  3. In the Print options dialog box, select the General tab if it not already selected.

  4. On the General tab, click Select Categories.

Related Topics and Procedures

Related Topics

Print Options Dialog Box

Print Options General Tab

Print Options View Tab

Title Blocks Dialog Box

Date Range Options Dialog Box

Print Preview

Print Setup Dialog Box

Print Dialog Box

Print Calendar Dialog Box

Related Procedures

Setting Print Margins

Previewing a Report Before Printing

Setting Up a Printer

Printing Notes With a Report

Printing a Barchart

Printing a Spreadsheet

Printing a Report

Printing a Calendar


Title Blocks Dialog Box

A title block displays information about the project such as the Project Name, Time Now, or the project's Start and Finish Dates.

For more information about title blocks, see Title Blocks.

Use the Title Blocks dialog box to display the list of block definitions currently stored in the data source. You can also create, copy, edit, and delete the title blocks from this dialog box. Each title block definition can include up to six title blocks that you can include in a report. You can define three title blocks for the header of the report, and three for the footer.

New

Click to display a blank Title Block Definition dialog box where you can create and define a new title block. For steps to create a title block, see Define a Title Block.

Copy

Click to display the Title Block Definition dialog box where you can create a copy of an existing title block.

Edit

Click to display the Title Block Definition dialog box where you can modify the criteria of an existing title block. You cannot change the name of an existing title block.

Delete

Click to delete the selected title block. A message displays to confirm that you want to delete the selected title block.

OK

Click to assign the selected title block to the current view.

Cancel

Click to close the dialog box without assigning the selected title block to the current view.

Help

Click to display the dialog box help topic.

Resizing

A grabber pad in the bottom right corner of a dialog box indicates that the dialog box is resizable. Click and drag the sides of the dialog box to resize.

Location

To access the Title Blocks Dialog box, on the View tab, click Title Blocks in the Printing menu group.

-------

Current:

To display the Title Blocks dialog box, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in any view.

  2. In the Printing menu group of the View tab, click Title Blocks.

Related Topics and Procedures

Related Topics

Print Options Dialog Box

Print Dialog Box

Related Procedures

Assign a Title Block to a View

Copy a Title Block

Edit a Title Block

Preview a Report Before Printing


Title Block Definition Dialog Box

This dialog box controls the information printed in a title block. You can include up to six title blocks in most reports. Three title blocks can be defined for the header of the report and three for the footer.

You can specify the percentage of the header or footer that a title block can occupy by defining the location of divider lines marking the left or right title blocks. For example, by setting the divider lines for both left and right title blocks to 25%, you can define a header in which the central title block occupies 50% of the available space, or you can have Open Plan calculate the required width by using –1.

The contents of each defined title block can contain up to 5 lines of text defined and formatted by the user. Open Plan automatically aligns text appearing in title blocks as follows:

  • Text appearing in a top left or bottom left title block is left-aligned in relation to the left page margin.

  • Text appearing in a top center or bottom center title block is centered.

  • Text appearing in a top right or bottom right title block is left-aligned in relation to the divider line.

Each line can include literal text as well as text fields stored by Open Plan.

For more information, see Title Blocks.

Each title block is defined individually.

Scaled Preview

A Scaled Preview window displays a representation of all enabled title blocks located across the header or footer of the report.

Location tabs

You can define up to six title blocks for the report. The Top Left, Top Center, and Top Right tabs will place the title blocks in the header of the report. The Bottom Left, Bottom Center, and Bottom Right tabs will place the title blocks in the footer.

Enabled

By selecting or clearing this option, you can specify whether a title block should be included in the report. You can enable a title block whether or not it contains any information. If you want to include a legend on a barchart report, you must enable at least one title block in the header or footer (depending on where you want the legend to print).

Divider Line

This option controls the percentage of the header or footer that each title block can occupy. By specifying the location of divider lines marking the right boundary of left title blocks and the left boundary of right title blocks, you can define the width of the central title block as well.

For example, by setting the divider lines for both left and right title blocks to 30%, you can produce a header in which the central title block occupies 40% of the available space.

You can also position the divider line immediately to the right of the data in the left title block (and immediately to the left of the right title block) by setting value in the Divider Line field to -1%.

If the header or footer for which you are defining a title block includes a legend, Open Plan takes the area used by the legend into account when calculating the area for each title block. In this case, Open Plan interprets a percentage of 30%, for example, to be 30% of the report width remaining after the area used by the legend is subtracted.

Lines 1 – 5

A title block can display up to five lines of information about the project. For each of these lines, you can select a font and include any combination of text and variables that you wish.

If you include more information than can fit within the area defined for the title block, Open Plan allows the data to extend into the adjoining title block areas.

By default, Open Plan aligns data within title blocks as follows:

Title Blocks | Alignment
Left title blocks | Left-aligned in relation to the left page margin
Center title blocks | Centered
Right title blocks | Left-aligned in relation to the divider line

Also, by using \t before the text or variable displayed, you can change the alignment in the Left and Right title blocks as follows:

Title Blocks | Alignment using \t
Left title blocks | Right-aligned in relation to the right page margin
Right title blocks | Right-aligned in relation to the right page margin

Logo

You can specify a logo to be included in each title block that you define. When you select a logo to be included in the title block, it is displayed in the logo preview box.

The ellipsis button beneath this preview box displays the Symbols dialog box that you can use to select a .wmf or .emf file for the logo.

The Include option controls whether the selected logo should be included with the title block. This allows you to define a logo for a title block and selectively include or exclude it when printing the report.

Fields

The Fields button displays a dialog box where you can select fields such as Time Now and the project status. In addition, you can combine a field with text to create an informative label. For example, you might select the field <Project Client> to create the following combination of text and variable:

Report Created for <Project Client>

OK

Click this button to save the definition before closing the dialog box. In addition, if you have created a new title block definition, Open Plan adds it to the list on the Title Blocks dialog box.

Cancel

Click this button to close the dialog box without saving your changes.

Access Control

Click this button to display the Access Control dialog box which allows the owner of a title block to define the groups and users that have access to the title block.

References

Click this button to display the References dialog box, which has a list of items that use the title block. This list of items includes the file type, name of the project or file, description, and owner.

Help

Click this button to display the Help system.

Location

To display the Title Block Definition dialog box, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in any view.

  2. In the Printing menu group of the View tab, click Title Blocks.

  3. In the Title Blocks dialog box, take one of the following actions:

  • Click New.

  • Select a title block definition from the list, and click Copy or Edit.

Related Topics and Procedures

Related Topics

Title Blocks Dialog Box

Print Options Dialog Box

Print Dialog Box

Print Calendar Dialog Box

Related Procedures

Defining a Title Block

Assigning a Title Block to a View

Copying a Title Block

Editing a Title Block

Previewing a Report Before Printing


Assign a Title Block to a View

To assign a title block to a view, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, display the view for which you want to assign a title block.

  2. In the Printing menu group of the View tab, click Title Blocks.

  3. In the Title Blocks dialog box, select the title block definition you want to use, and click OK.

Related Topics and Procedures

Related Topics

Title Blocks

Title Blocks Dialog Box

Title Block Definition Dialog Box

Related Procedures

Define a Title Block

Edit a Title Block Definition

Copy a Title Block Definition


Copy a Title Block Definiton

Copy a Title Block Definition

To copy a title block definition, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, display the view from which you want to copy a title block definition.

  2. In the Printing menu group of the View tab, click Title Blocks.

  3. In the Title Blocks dialog box, select the title block definition you wish to copy, and click Copy.

  4. In the Title Block Definition dialog box, make the appropriate changes to the title block, such as renaming the default copy name.

    5. The default copy name for the title block is Copy_<original name>, where <original name> is the name of the title block you are copying.

  5. When done, click OK to return to the Title Blocks dialog box.

  6. Click OK in the Title Blocks dialog box.

Related Topics and Procedures

Related Topics

Title Blocks

Title Blocks Dialog Box

Title Block Definition Dialog Box

Related Procedures

Define a Title Block

Assign a Title Block to a View

Edit a Title Block Definition


Editing a Title Block Definition

To edit a title block definition, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, display the view for which you want to edit a title block definition.

  2. In the Printing menu group of the View tab, click Title Blocks.

  3. In the Title Blocks dialog box, select the title block definition you want to edit, and click Edit.

  4. In the Title Block Definition dialog box, make the appropriate changes to the title block.

  5. When done, click OK to return to the Title Blocks dialog box.

  6. Click OK in the Title Blocks dialog box.

Related Topics and Procedures

Related Topics

Title Blocks

Title Blocks Dialog Box

Title Block Definition Dialog Box

Related Procedures

Assign a Title Block to a View

Copy a Title Block Definition

Define a Title Block


Create a Note Category (Procedure)

Create a Note Category

To create a note category, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, display the view for which you want to create a note category.

  2. In the Custom Fields menu group of the Tools tab, click Notes.

  3. From the Table drop-down list in the Note Categories dialog box, select the table for which you want to create a note category, and click New.

  4. In the Note Category dialog box, enter a name and description for the new note category, and click OK.

Related Topics and Procedures

Related Topic

Note Categories Dialog Box

Note Category Dialog Box

Related Procedures

Editing a Note Category

Deleting a Note Category


Delete a Note Category (Procedure)

Delete a Note Category

To delete a note category, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, display the view for which you want to delete a note category.

  2. In the Custom Fields menu group of the Tools tab, click Notes.

  3. From the Categories list in the Note Categories dialog box, select the note category that you want to delete, and click Delete. Deleting a note category also deletes all notes assigned to the category.

  4. When asked to confirm that you want to delete the selected category, click Yes.

Related Topics and Procedures

Related Topic

Note Categories Dialog Box

Related Procedures

Creating a Note Category

Editing a Note Category


Edit a Note Category (Procedure)

Edit a Note Category

You can only edit a note category description. You cannot edit the name.

To edit a note category, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, display the view for which you want to edit a note category.

  2. In the Custom Fields menu group of the Tools tab, click Notes.

  3. From the Categories list in the Note Categories dialog box, select the note category that you want to edit, and click Edit.

  4. In the Note Category dialog box, enter a new description for the category, and click OK.

Related Topics and Procedures

Related Topic

Note Categories Dialog Box

Note Category Dialog Box

Related Procedures

Creating a Note Category

Deleting a Note Category


Printing Notes With a Report (Procedure)

Printing Notes With a Report

When you include notes in a report, Open Plan displays them on one or more separate pages following the main body of the report. Each note is labeled with the category, the author (if known), and the creation date.

To print notes with a report, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, display the view that you want to print.

  2. From the File menu, click Print » Print Options.

  3. On the General tab of the Print Options dialog box, select the appropriate note options. Click Select Categories to display the Select Note Categories dialog box. To print all the notes attached to items in the report, select all the categories by either Shift+clicking or Ctrl+clicking the categories.

  4. Click OK.

Related Topics and Procedures

Related Topic

Print Options General Tab

Select Note Categories Dialog Box

Related Procedures

Previewing a Report Before Printing

Setting up a Printer

Setting Print Margins

Printing a Report

Preparing a Report for Publication on the Web

Creating a Report Batch

Performing Batch Reporting


Preview a Report Before Printing (Procedure)

Preview a Report Before Printing

To preview a report before printing, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, display the view that you want to print as a report. Take one of the following actions:

  • From the File menu, click Print » Print Preview.

  • On the Quick Access Toolbar, click the Print Preview button [image].

  2. On the Print Preview tab, take one of the following actions:

  • To print the report, click the Print button.

  • To change the printer and printer settings, click the Setup button.

  • To change the printing options for the view, click the Options button.

  • To capture a snapshot of the current view and save it to a .jpg file, click the Capture button.

  • To increase the magnification of the display, click Zoom In.

  • To decrease the magnification of the display, click Zoom Out.

  • To display two pages of the report at one time, click Two Page. Conversely, you can display one page of the report at one time by clicking One Page.

  • To display the next page in the report, click Next Page.

  • To display the previous page in the report, click Prev Page.

  • To close the Print Preview, click the Close button.

Related Topics and Procedures

Related Topic

Print Preview

Related Procedures

Setting up a Printer

Setting Print Margins

Printing Notes With a Report

Printing a Report

Printing a Calendar

Preparing a Report for Publication on the Web

Creating a Report Batch

Performing Batch Reporting


Printing a Report (Procedure)

Print a Report

To print a report, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, display the view for which you want to print a report.

  2. Take one of the following actions:

  • Press Ctrl+P.

  • From the File menu, click Print » Print.

  • From the Quick Access Toolbar, click the Print button.

    • You can set print options for the report by clicking Print Options on the File menu and entering the information in the Print Options dialog box. You can also preview the report before printing it by clicking Print Preview on the File menu. And, you can print the report by clicking Print in the Print Preview dialog box.

  3. In the Print dialog box, check that the appropriate printer is displayed. (If the correct printer is not displayed, click Setup to access the dialog box where you can specify another printer driver.)

  4. Enter the information about how the report should be printed, and click OK.

Related Topics and Procedures

Related Topics

Print Dialog Box

Print Options Dialog Box

Related Procedures

Previewing a Report Before Printing

Setting Up a Printer

Setting Print Margins

Printing Notes With a Report

Printing a Calendar

Printing a Barchart

Preparing a Report for Publication on the Web

Creating a Report Batch

Performing Batch Reporting


Set General Print Options

To set general print options, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, display the view for which you want to set general print options.

  2. Take one of the following actions:

  • From the File menu, click Print » Print Options.

  • On the Quick Access Toolbar click the Print Preview button, then click Options in the preview.

  3. In the Print Options dialog box, enter the information for the report, and click OK.

Related Topics and Procedures

Related Topics

Print Dialog Box

Print Options Dialog Box

Related Procedures

Previewing a Report Before Printing

Setting Up a Printer

Setting Print Margins

Printing Notes With a Report

Printing a Calendar

Printing a Barchart

Preparing a Report for Publication on the Web

Creating a Report Batch

Performing Batch Reporting


Setting Print Margins (Procedure)

Setting Print Margins

To set print margins for Open Plan reports, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, display the view for which you want to set print margins.

  2. From the File menu, click Print » Print Options. (This command is available from most project views.)

  3. On the General tab of the Print Options dialog box, set your desired print margins in hundredths of an inch.

    The values you enter in this dialog box are added to any hardware or printer driver default values. The print margins you set apply to all Open Plan reports, regardless of the project that is open or the view that is displayed.

  4. Click OK.

Related Topics and Procedures

Related Topic

Print Options Dialog Box

Related Procedures

Setting Up a Printer

Preview a Report Before Printing

Printing Notes With a Report

Printing a Report

Printing a Barchart

Printing a Calendar


Setting Up a Printe (Procedure)

Set Up a Printer

To set up a printer, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, display the view for which you want to set up printer.

  2. From the File menu, click Print » Print Options.

  3. In the Name field of the Print Setup dialog box, select the printer that you want to use. You can select a printer to be used as either the default printer or as a specific printer to be used only for the current print job.

  4. From the Size drop-down list, select the size of the paper you want to use.

  5. From the Source drop-down list, select the paper tray that contains the paper to be used.

  6. Select the orientation for your print output.

  7. Click OK.

You can also display the Print Setup dialog box from the print preview. For more information, see Preview a Report Before Printing.

Related Topics and Procedures

Related Topic

Print Setup Dialog Box

Related Procedures

Setting Print Margins

Preview a Report Before Printing

Printing Notes With a Report

Printing a Report

Printing a Barchart

Printing a Calendar

Preparing a Report for Publication on the Web

Creating a Report Batch

Performing Batch Reporting


Set View Print Options

View print options are not available for ancillary files.

To set view print options, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, display the view for which you want to set view print options.

  2. Take one of the following actions:

  • From the File menu, click Print » Print Options.

  • On the Quick Access Toolbar, click the Print Preview button, then click Options in the preview.

  3. On the View tab of the Print Options dialog box, enter the information for the report, and click OK.

Related Topics and Procedures

Related Topic

Print Options Dialog Box

Print Setup Dialog Box

Related Procedures

Setting Print Margins

Preview a Report Before Printing

Printing Notes With a Report

Printing a Report

Printing a Barchart

Printing a Calendar

Preparing a Report for Publication on the Web

Creating a Report Batch

Performing Batch Reporting


Add Reporting Calendar Dialog Box

This dialog box contains a single text box where you can enter a name for the new reporting calendar.

When you click OK in this dialog box, the Edit Reporting Calendar dialog box is displayed automatically.

Location

To display the Add Reporting Calendar dialog box, complete the following steps:

  1. In the Projects Views folder of Open Plan Explorer, select a project to display in any view.

  2. In the Manage menu group of the Tools tab of the selected view, click Reporting Calendars.

  3. In the Reporting Calendars dialog box, click New.

Related Topics and Procedures

Related Topics

Reporting Calendars

Reporting Calendars Dialog Box

Copy Reporting Calendar Dialog Box

Edit Reporting Calendar Dialog Box

Related Procedures

Creating a New Reporting Calendar

Editing a Reporting Calendar

Copying a Reporting Calendar

Deleting a Reporting Calendar


Add Symbol Dialog Box

This dialog box allows you to add custom symbols that can be used in many Open Plan views.

  • Name: The filename for the custom symbol you wish to add.

  • Select File: Clicking this button displays an Open dialog box that you use to locate the Meta File (.wmf) or Enhanced Meta File (.emf) graphic file for the symbol. Selecting the file and then clicking Open places the filename in the Name field.

  • Description: Additional information you wish to include about the symbol. The description appears next to the symbol name in the Symbols pane of the Symbols dialog box.

  • Shape Category: You can create a new shape category by entering a unique name in this field. Otherwise, entering an existing category name places the new symbol in that category.

Location

To display the Add Symbol dialog box, complete the following steps:

  1. From the File menu, click Preferences » Application.

  2. On the General tab of the Options dialog box, click Symbols.

  3. In the Symbols dialog box, click Add.

Related Topics and Procedures

Related Topics

Symbols Dialog Box

Edit Symbol Dialog box

Options Dialog Box

Related Procedures

Adding a Custom Symbol

Editing a Custom Symbol


Automatic Scaling Dialog Box

Use this dialog box to control the range of dates that Open Plan should displays on a single screen. This dialog box is available only for barchart, multitable barchart, and histogram views.

Options

This field displays a list of scaling ranges as follows:

  • One Week

  • Two Weeks

  • One Month

  • Three Months

  • Entire Project

  • Custom

Custom

If you choose Custom from the Options field, Open Plan enables the From and To fields where you can define the custom range to be displayed.

Open Plan uses the settings you specify to calculate an appropriate time scale for the view. It then overwrites the settings on the Manual tab of the Date Scale Preferences dialog box with the calculated time scale.

Location

To display the Automatic Scaling dialog box, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in barchart, multitable barchart, or histogram view.

  2. In the General menu group of the View tab of the selected view, click Date Scale.

  3. In the Date Scale Preferences dialog box, select the Manual tab and click Autoscaling.

Related Topics and Procedures

Related Topic

Date Scale Preferences Manual Tab

Related Procedure

Customizing a Date Scale


Conditional Formatting Dialog Box

This dialog displays in the network and spreadsheet views. Use it to override default settings by specifying the conditions under which the attributes of rows or an individual column or row will change. For example, you may want key figures that exceed a particular criterion to appear in bold red text, show a symbol, or display in a different background color.

The dialog box contains a grid that you can use to define rules for the format of rows and individual columns. Any attribute selected on a rule further down the grid will override that same attribute for a rule higher in the grid.

When you create a new rule for a column or rows, the rule characteristics columns all contain the value < Default >. For any characteristic you leave set to Default, your new rule will not change the formatting of that characteristic.

If < Row > is selected in the drop-down list and the Criterion field is blank, all formatting selections will be applied to every row. If the Criterion field contains a value, formatting selections will be applied only to rows for which the criterion evaluates to True.

The Criterion field may contain one of the following:

  • A calculated field that evaluates to a Boolean (True/False) value or a filter

  • An on-the-fly expression that evaluates to a Boolean

  • A blank, indicating that the rule will be unconditionally applied

When previewing, you may see the cumulative effect of multiple rules being applied by selecting multiple rows in the dialog box. You can press CTRL+click to select non-adjacent rows.

If a column name is selected in the drop-down list, all formatting selections will be applied to only that column.

The order of rows in the may be changed by selecting the desired row and then using either the Up arrow or the Down arrow to move the row up or down. Rules are evaluated in sequential order. Individual attributes with a value other than <Default> will replace the current attribute.

As each cell in the spreadsheet is drawn, only column rules that reference the current column or row rules are evaluated (for example, if an "Activity Description" cell is being drawn, rules for the "Activity ID" column are ignored).

Once you have entered the explanation in the Show This Explanation column for a field and selected the Display Explanation When Hovering over Applied Rule(s) option, hovering your mouse over the said field in the activity box displays the explanatory text. However, when you zoom out and the network view is shrunk to 75% or less, the hover text is replaced by the activity drawn at normal size, which is the default hover display.

Grid

The following columns in the grid are used to define each formatting rule:

Applies To

This column allows the selection of any of the columns in the current spreadsheet view, as well as a < Row > item. Select < Row > (with the Criterion field blank) to define the characteristics of all rows in the spreadsheet. With a criterion specified, only the affected rows receive the specified attributes.

You can even override the attributes of a summary or grand total row by entering the appropriate expression in the Criterion column.

Define the appearance of your rows first — either conditionally (using the Criterion column) or unconditionally (by leaving the Criterion column blank) —and then select individual columns to override the row characteristics as the other criteria are met.

Criterion

Use this column to specify the conditions under which the column or row will adopt the characteristics defined in the rule. For instance, critical activities may be assigned a different color (such as red), while completed milestones might be indicated in a more soothing color. This column lets you select any filter defined on the Filters dialog box (choose < Select Criterion >), as well as any calculated field that returns a TRUE/FALSE result. You can also enter "on-the-fly" expressions (for example, "TOTALFLOAT > |2d|" for activities with total float greater than 2 days).

Font

Use this column to specify the font, attributes (regular, bold, italic) and size of the text as it should appear in the defined row or column.

Text Color

Use this column to specify the color of the text in the row/column.

Background

This column is used to specify the background color of cells.

Alignment

Align the text (or image, if selected) left, right, centered, or use the default alignment.

Image

You can use this column to add an image to the cells in a column or rows. Open Plan uses metafiles that are defined using the Symbols dialog box. There are hundreds of combinations of symbols and colors from which to choose.

Images may be assigned to column rules, but not to row rules.

Image Context

When you have selected an image to display in the spreadsheet view, this column determines how the image will appear relative to any text that may be in the cell. You can choose from the following:

  • < Default >: Retains the attributes of the prevailing rule on a higher row in the grid.

  • < None >: Removes any image that may have been set in a rule on a higher row in the grid.

  • Adjacent to Data: Image is located adjacent to the text in the cell, relative to the prevailing selection in the Alignment column

  • Centered in Cell: Data is superimposed over the image in the center of the cell.

  • Replaces Data: Only the image is displayed.

Images may be assigned to column rules, but not to row rules.

Show This Explanation

This column is used to specify the explanatory text you want to display when you hover your cursor over the row or cell. Enter the explanation why the activity box has that specific formatting such as font type, text color, background color, image, and so on, and what conditions or rules are set for the formatting to be applied.

Below the Grid

The following controls and features are available below the rules grid:

Change Order

Select a row (or any cell in the row) and use the [image] and [image] buttons to move the rule to the desired row in the grid.

With multiple rules specified, the appearance of a row/column in a spreadsheet is the result of a combination of rules, with each rule evaluated from top to bottom in the grid. For all rules that evaluate to true for a specific row or column, any attribute that has been changed on a rule further down in the grid will override that attribute for a rule higher in the grid. If a rule on a lower row contains < Default >, the prevailing setting in an upper-row rule remains in effect. Similarly, if all rules have a particular column set to default, Open Plan looks to the Spreadsheet Preferences dialog box or Edit Column dialog box for the prevailing attribute.

Display Explanation When Hovering over Applied Rule(s)

Click this option to show the explanatory text you created.

Preview

When you select a row in the rules grid, the Preview box shows how the cells in the spreadsheet will appear when they match the defined criteria.

To see the effect of a combination of rule rows, click the gray box to the left of the row to select the entire row, then SHIFT+click the last box in the range you want to preview. To select non-adjacent rows, CTRL+click the rows you want to include in the preview.

Resizing

A grabber pad in the bottom right corner of a dialog box indicates that the dialog box is resizable. Click and drag the sides of the dialog box to resize.

Location

To display the Conditional Formatting dialog box, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in any view.

  2. Take any of the following steps:

  • From the View tab of any spreadsheet view, select Conditional Formatting.

  • From any spreadsheet view, right-click the view and select Conditional Formatting from the context menu.

  • From any spreadsheet view, right-click a column header and select Add Column, Edit Column, or Insert Column. In the dialog box, click Advanced.

  • From any spreadsheet view, click CTRL+B.

  • From the network view, right-click the view and select Conditional Formatting.

Related Topics and Procedures

Related Topics

Calculated Fields

Add Column Dialog Box

Edit Column Dialog Box

Insert Column Dialog Box

Spreadsheet Preferences dialog box

Related Procedures

Set a Column or Row Attribute

Enable Grouping

Customize Display Options

Edit a Column

Add a Column

Insert a Column

Sort Spreadsheet Data

Create Explanatory Text Captions


Confirm Paste Dialog Box

The Confirm Paste dialog box is displayed when the Paste and Paste Special commands are invoked in the Activity Details, Code Details or Resource Details tables. These are the only tables in Open Plan that support IDs and, thus, the ID renumbering options.

This dialog box only displays when pasting data copied from Open Plan. It does not apply to pasting data that has been copied from Excel or other applications.

Paste row(s) as children of the currently selected row

This option has three states. The default state is indeterminate.

  • Checked: When the current insertion context is a parent row, Paste row(s) as children of the currently selected row is treated as checked. The user may uncheck this option, which will cause the pasted rows to be pasted at the same level as the selected row.

  • Unchecked: When the current insertion point is not a parent row, Paste row(s) as children of the currently selected row is treated as unchecked. The user may check this option, which will cause the pasted rows to be pasted as children of the selected row and cause the selected row to become a parent row.

  • Indeterminate: When the check box is in the indeterminate state, Open Plan will apply the default behavior based on the current insertion context. This allows the user to let Open Plan choose the appropriate default behavior based on the insertion context when he saves the dialog box preferences and/or choose Only show the dialog on Paste Special.

Specify a Prefix and/or Suffix for the IDs being pasted

When this option is selected, the prefix and suffix windows are enabled to allow the user to enter both a prefix and suffix value to be added to the ID values being pasted. Specify a Prefix and/or a Suffix for the IDs being pasted is unchecked by default. The maximum allowable text length for the prefix and suffix fields is the length of the appropriate ID field of the table being pasted into (59 characters by default).

How should Open Plan renumber duplicate row(s)?

You can select one of the following options:

  • Generate new IDs based on the row(s) being pasted

  • Generate new IDs based on where the row(s) are being pasted

  • Generate a suffix for the row(s) being pasted

  • Do not paste duplicate row(s)

Save the choices as the default

When this option is selected, all of the options chosen in the dialog box will be retained as a user preference and will be used to initialize the dialog box during subsequent paste operations. When the Do not show this dialog again option is chosen, the saved preferences will be applied automatically during a paste operation without showing the dialog box.

Only show the dialog when Paste Special is chosen

When this option is selected, the dialog box will not be displayed when the user performs a normal paste operation.

When the user performs a normal paste and the Paste Special option is enabled, the paste operation will use the preferences specified with the Save the choices as the default option or the standard defaults if the user has not chosen the Save the choices as the default option.

Related Topics and Procedures

Related Topic

Paste (Edit Tab)


Copy Reporting Calendar Dialog Box

This dialog box contains a single text box that displays the name of the reporting calendar you are copying. To copy the reporting calendar, you must replace the name that is displayed with a name for the new reporting calendar you want to create.

When you click OK in this dialog box, the Edit Reporting Calendar dialog box is displayed automatically.

Location

To display the Copy Reporting Calendar dialog box, complete the following steps:

  1. In the Project Views folder Open Plan Explorer, select a project to display in any view.

  2. In the Manage menu group of the Tools tab of the selected view, click Reporting Calendars.

  3. In the Reporting Calendars dialog box, select a calendar and click Copy.

Related Topics and Procedures

Related Topics

Reporting Calendars

Reporting Calendars Dialog Box

Add Reporting Calendar Dialog Box

Edit Reporting Calendar Dialog Box

Related Procedures

Creating a New Reporting Calendar

Editing a Reporting Calendar

Copying a Reporting Calendar

Deleting a Reporting Calendar


Date Formats Dialog Box

The Date Formats dialog box displays a list of date formats that Open Plan can use. If the date format you choose is a character string, you can also choose from the following capitalization options:

  • Upper Case: For example, "TUESDAY"

  • Mixed Case: For example, "Tuesday"

  • Lower Case: For example, "tuesday"

For most numeric date formats, an option is enabled that allows you to use relative dates. If selected, this option inserts %R into the format.

Open Plan inserts your format selection into the Format field in the Date Scale dialog box.

Date Format Examples

You can specify the appearance of the dates in the date scale by entering a format for the date. The following table lists the parameters that can be included:

Parameter | Definition | Example
%T | Minute | 15
%H | Hour | 08
%Z | AM or PM | AM or PM
%OZ | AM or PM (lower case) | am or pm
%D | Day of the month | 31
%V | Day | Tuesday
%OV | Day (lower case) | tuesday
%UV | Day (upper case) | TUESDAY
%W | Day abbreviation | Tues
%OW | Day abbreviation (lower case) | tues
%UW | Day abbreviation (upper case) | TUES
%F | First letter of name of day of the week | T
%OF | First letter of the name of day of the week (lower case) | t
%UF | First letter of the name of day of the week (upper case) | T
%K | Numeric week | 22
%M | Numeric month | 10
%L | Month | October
%OL | Month (lower case) | october
%UL | Month (upper case) | OCTOBER
%A | Month abbreviation | Oct
%OA | Month abbreviation (lower case) | oct
%UA | Month abbreviation (upper case) | OCT
%S | First letter of name of month | O
%OS | First letter of name of month (lower case) | o
%US | First letter of name of month (upper case) | O
%Q | Numeric quarter | 4
%C | Year | 2004
%Y | Two-digit year | 04
%R%H | Relative hours | 100
%R%D | Relative days | 3
%R%K | Relative weeks | 22
%R%M | Relative months | 4
%R%Q | Relative quarters | 2
%R%Y | Relative years | 1

Because the %R parameters return only a numeric value, combine them with literal characters to make them more informative.

You can combine parameters to define date formats provided that you do not include two parameters that represent the same time unit. You can also include spaces and literal characters in the format text box, as shown in the following examples:

Format | Example
%H:%T %Z | 07:15 PM
%W %D %A %H:%T | Mon 15 Sep 19:15
%M/%D/%C | 09/15/04
Q%Q | Q1
%R%H Hours | 100 Hours
Day %R%D | Day 3

Location

To display the Date Formats dialog box, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in barchart or histogram view.

  2. On the View tab, click Date Scale.

  3. In the Date Scale Preferences dialog box, select the Manual tab, and click the ellipsis button in the Format field.

Related Topics and Procedures

Related Topic

Date Scale Preferences Manual Tab

Related Procedure

Customizing a Date Scale


Date Scale Preferences Dialog Box

This dialog box contains three tabs that control the way in which Open Plan displays the date scale on the barchart and histogram views:

  • Options Tab

  • Manual Tab

  • Reporting Calendar Tab

Location

To display the Date Scale Preferences dialog box, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in barchart or histogram view.

  2. On the View tab, click Date Scale.

Related Topics and Procedures

Related Topics

Customizing a Barchart View

Customizing a Resource Histogram View

Customizing a Risk Analysis Histogram View

Date Scale Preferences Options Tab

Date Scale Preferences Manual Tab

Date Scale Preferences Report Calendar Tab

Related Procedures

Customizing a Date Scale

Adjusting a Date Scale Manually

Changing the Font on a Date Scale


Date Scale Preferences Options Tab

This tab controls the scaling tab of the dialog box that is enabled:

Scaling Type

Manual Scale

This tab controls the format of the date ribbon that Open Plan uses to display data.

Reporting Calendar

This tab allows you to select one or more previously defined reporting calendars to be displayed on the date scale.

Date Axis Colors

The Options tab also controls the colors that Open Plan displays for both the text and the background of the date scale. For both these options, clicking the down arrow displays Color dialog box that contains 70 colors.

You can define custom colors using the Color dialog boxes on the Color tab of the Options dialog box.

Location

To display the Date Scale Preferences dialog box, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in barchart or histogram view.

  2. On the View tab, click Date Scale.

Related Topics and Procedures

Related Topic

Options Dialog Box

Date Scale Preferences Manual Tab

Date Scale Preferences Report Calendar Tab

Date Scale Preferences Dialog Box


Date Scale Preferences Manual Tab

This tab controls the way in which Open Plan displays the date scale on the barchart and histogram views using the following settings:

Date Scale Options

# of Axes

Use the # of Axes setting to specify how many lines you want to appear in the date scale. If you are displaying relative dates in one or more lines in the date scale, you can define a starting (reference) date for these labels.

Reference Date

Open Plan calculates relative dates based on the date entered in the Reference Date field. The default for the Reference Date is the project start date.

You can combine absolute dates (for example, Oct 20) with relative dates (for example, Week 1) on a date scale.

Open Plan displays relative dates occurring before the reference date as negative values.

Autoscaling

This button displays the Automatic Scaling dialog box for controlling the date range to be displayed on a single screen.

Date Axis Options

You can define up to six different lines for a date scale. For each line, you can control the following options:

Axis Number

Identifies the axis for which you are setting a date scale. When you click within the date scale in the preview window, Open Plan displays the axis number of the selected row.

Time Unit

This field controls the frequency with which date labels and vertical tick marks appear on the date scale. Possible units include: hours, days, weeks, months, quarters, and years.

The smallest time interval in the date scale also controls how Open Plan aggregates and displays values.

Count

This field controls the frequency with which Open Plan should mark the time unit. For example, if the time unit is months and the count is 3, Open Plan would mark every third month.

Format

You can specify the appearance of the dates in the date scale by entering a format for the date. The Examples button on this Help topic provides a full list of parameters you can include.

To define a format, click the ellipsis button next to the Format field, and select a format from the Date Formats dialog box, or enter the format manually using one or more of the following parameters:

Parameter | Definition | Example
%T | Minute | 15
%H | Hour | 08
%Z | AM or PM | AM or PM
%OZ | AM or PM (lower case) | am or pm
%D | Day of the month | 31
%V | Day | Tuesday
%OV | Day (lower case) | tuesday
%UV | Day (upper case) | TUESDAY
%W | Day abbreviation | Tues
%OW | Day abbreviation (lower case) | tues
%UW | Day abbreviation (upper case) | TUES
%F | First letter of name of day of the week | T
%OF | First letter of the name of day of the week (lower case) | t
%UF | First letter of the name of day of the week (upper case) | T
%K | Numeric week | 22
%M | Numeric month | 10
%L | Month | October
%OL | Month (lower case) | october
%UL | Month (upper case) | OCTOBER
%A | Month abbreviation | Oct
%OA | Month abbreviation (lower case) | oct
%UA | Month abbreviation (upper case) | OCT
%S | First letter of name of month | O
%OS | First letter of name of month (lower case) | o
%US | First letter of name of month (upper case) | O
%Q | Numeric quarter | 4
%UW | Day abbreviation (upper case) | TUES
%K | Numeric week | 22
%M | Numeric month | 10
%L | Month | October
%OL | Month (lower case) | october
%UL | Month (upper case) | OCTOBER
%A | Month abbreviation | Oct
%OA | Month abbreviation (lower case) | oct
%UA | Month abbreviation (upper case) | OCT
%Q | Numeric quarter | 4
%C | Year | 2004
%Y | Two-digit year | 04
%R%H | Relative hours | 100
%R%D | Relative days | 3
%R%K | Relative weeks | 22
%R%M | Relative months | 4
%R%Q | Relative quarters | 2
%R%Y | Relative years | 1

Because relative dates return only a numeric value, they are usually combined with literal values to make them more informative.

You can combine parameters to define date formats. You can also include spaces and literal characters in the format, as shown in the following examples:

Parameter | Example
%H:%T %Z.M. | 07:15 P.M.
%W %D %A %H:%T | Mon 15 Sep 19:15
%M/%D/%C | 09/15/2014
Q%Q | Q1

To show hours and minutes using the 24-hour (military) convention, do not use the %Z or the %OZ parameter in the definition of the format.

To display relative dates in a date scale, use the following parameters:

Parameter | Definition
%R%H | Relative hours
%R%D | Relative days
%R%K | Relative weeks
%R%M | Relative months
%R%Q | Relative quarters
%R%Y | Relative years

The values displayed for dates using a relative format are based on the Reference Date setting on the Manual tab of the Date Scale Preferences dialog box. To have Open Plan convert the currently selected date format to a relative date format, select the Relative to Reference Date option in the Date Formats dialog box.

All of these different types of format parameters can be combined with literal characters to produce the following types of labels:

Format | Example
%R%H Hours | 100 Hours
Day %R%D | Day 3
Week %R%K | Week 15
FY%R%Y | FY1

Position

This field controls how the date label should be aligned within the vertical tick marks. You can choose Left, Center, or Right.

Full Scale

By selecting this option, you extend the vertical tick marks on the scale down into the workspace of the barchart or histogram view. These vertical tick marks are always drawn behind other elements in the view such as bars, relationship lines, and text.

Line Width

When the Full Scale option is selected, the list in this field allows you to specify the width of the lines in the date scale. You can select a value between 1 and 8.

Font

You can define the text font, size, and style for the scale.

Axis Height

Controls the height of the axis.

Line Color

Select the color that you want for the selected date axis. By default, it is set to <Default>, which is black.

Preview

This section provides a preview of the date scale based on the settings you specified.

Location

To display the Date Scale Preferences dialog box, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in barchart or histogram view.

  2. On the View tab, click Date Scale.

Related Topics and Procedures

Related Topics

Date Scale Preferences Dialog Box

Automatic Scaling Dialog Box

Date Formats Dialog Box

Related Procedures

Define a Date Scale Manually

Adjusting a Date Scale Manually

Changing the Font on a Date Scale


Date Scale Preferences Report Calendar Tab

The Reporting Calendar tab is available only if you selected Reporting Calendar on the Options tab of the Date Scale Preferences dialog box.

The reporting calendar feature of Open Plan allows you to look at events within a project with varying degrees of precision. Depending on the reporting calendars you select, the date scale might show weeks for one period, months for another period, and quarters for still another.

The date scale can contain up to 6 reporting calendars. A typical use of multiple reporting calendars would be to have years and quarters displayed above a varying date scale:

Use this tab to indicate the number of axes you want to appear in the date scale. If you are displaying relative dates in one or more lines in the date scale, you can define a starting (reference) date for these labels. If you want to use multiple axes in the date scale, you must specify which axis will control the scaling of the other axes.

For each axis you can define the name of the reporting calendar. You can also define how the labels from the reporting calendar display.

Date Scale Options

# of Axes

This controls the number of lines in the date scale.

Reference Date

Open Plan calculates relative dates based on the date entered in the Reference Date field. The default for the Reference Date is the project start date.

You can combine absolute dates (for example, Oct 20) with relative dates (for example, Week 1) on a date scale.

Open Plan displays relative dates occurring before the reference date as negative values.

Controlling Axis

This field controls which axis should determine how the time scale is drawn. Each axis contains a single reporting calendar. The remaining reporting calendars defined for the date scale are drawn based on the controlling reporting calendar.

For example if the controlling axis contains a date each quarter, a resource histogram would display quarterly values even if another axis contains a date each month.

Date Axis Options

Axis Number

Identifies the axis for which you are setting a date scale. When you click within the date scale in the preview window, Open Plan displays the axis number of the selected row.

Reporting Calendar

This field contains a list of previously created reporting calendars. The dates and labels of the selected reporting calendar are displayed in the Preview window.

Format

You can specify the appearance of the dates in the date scale by entering a format for the date. The Examples button on this Help topic provides a full list of parameters you can include.

Two methods are available for building a format expression:

  • Enter the format codes by typing the codes and literals directly into the edit box.

  • Click the ellipsis button to display a dialog box where you can select format codes from a text list.

It is also possible to build a format expression using a combination of the two methods.

The actual date displayed on the date scale is displayed in the format you choose.

Because relative dates return only a numeric value, they are usually combined with literal values to make them more informative.

Position

This field controls how the date label should be aligned within the vertical tick marks. You can choose Left, Center, or Right.

Full Scale

By selecting this option, you extend the vertical tick marks on the scale down into the workspace of the barchart or histogram view. These vertical tick marks are always drawn behind other elements in the view such as bars, relationship lines, and text.

Line Width

When the Full Scale option is selected, the list in this field allows you to specify the width of the lines in the date scale. You can select a value between 1 and 8.

Axis Height

Controls the height of the axis.

Line Color

Select the color that you want for the selected date axis. By default, it is set to <Default>, which is black.

Location

To display the Date Scale Preferences dialog box, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in barchart or histogram view.

  2. On the View tab, click Date Scale.

Related Topics and Procedures

Related Topics

Reporting Calendars

Date Scale Preferences Options Tab

Date Scale Preferences Manual Tab

Date Scale Preferences Dialog Box


Edit Reporting Calendar Dialog Box

The Edit Reporting Calendar dialog box controls the reporting periods in the selected reporting calendar. When you display a barchart or resource histogram view that uses a reporting calendar date scale, Open Plan aggregates resource availabilities and assignments for each reporting period.

Date

The date displayed in this column is the ending date in the reporting period.

Label

A label is used to identify each reporting period. Without a label, it would be difficult to determine, for example, whether 6/30/04 refers to the month of June 2004, the second quarter of 2004, or a fiscal year that ends on June 30, 2004.

OK

Clicking this button stores changes to the reporting calendar and closes the Edit Reporting Calendar dialog box.

Cancel

Clicking this button closes the Edit Reporting Calendar dialog box without saving any changes.

Access Control

Clicking this button displays the Access Control dialog box, which allows the owner of a reporting calendar to define the groups and users that have access to the reporting calendar.

References

Clicking this button displays the References dialog box, which has a list of items that use the reporting calendar. This list of items includes the file type, name of the project or file, description, and owner.

Help

Clicking this button displays the Help system.

Location

To display the Edit Reporting Calendar dialog box, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in any view.

  2. In the Manage menu group of the Tools tab of the selected view, click Reporting Calendars.

  3. In the Reporting Calendars dialog box, click Edit.

Related Topics and Procedures

Related Topics

Reporting Calendars

Reporting Calendars Dialog Box

Add Reporting Calendar Dialog Box

Copy Reporting Calendar Dialog Box

Related Procedures

Creating a New Reporting Calendar

Editing a Reporting Calendar

Copying a Reporting Calendar

Deleting a Reporting Calendar


Edit Symbol Dialog Box

This dialog box allows you to edit the Description and Shape Category fields of a selected symbol.

You can create a new shape category by entering a unique name in the Shape Category field. Otherwise, entering an existing category name places the symbol in that category.

Location

To display the Edit Symbol dialog box, complete the following steps:

  1. From the File menu, click Preferences » Application.

  2. On the General tab of the Options dialog box, click Symbols.

  3. In the Symbols dialog box, click Edit.

Related Topics and Procedures

Related Topics

Symbols Dialog Box

Add Symbol Dialog box

Options Dialog Box

Related Procedures

Adding a Custom Symbol

Editing a Custom Symbol


Find Dialog Box

Depending on active view, the Find dialog box allows you to find an activity, resource, or code. Regardless of how this dialog box displays, you can specify one of the following:

  • Find in ID

  • Find in Description

In addition, if this dialog box displays by right-clicking the header of a spreadsheet column, you can also find the item by specifying the content of that field. For example, if you right-click the Duration heading in an Activity Spreadsheet, you can find an activity by specifying a duration.

If you select the Find in Description option, you can also limit the elements that Open Plan finds by specifying the following options:

  • Match case

  • Find Whole Word

Location

To display the Find dialog box, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in any view.

  2. Right-click an empty area of the workspace, and click Find on the shortcut menu.

In addition, if a spreadsheet or barchart based on the Activity, Code, or Resource Description table is displayed, you can display the Find and Replace dialog box by selecting Find And Replace on the Edit tab.

Related Topics and Procedures

Related Procedures

Go To Date Dialog Box

Find Node Dialog Box

Finding an Activity

Finding Another Activity


Find Node Dialog Box

This dialog box allows you to locate a code or resource by entering the name of the node and clicking OK. Open Plan scrolls the display to an appropriate area (if necessary), and selects the requested node.

Location

To display the Find Node dialog box, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in resource or code view.

  2. Take one of the following actions:

  • Right-click anywhere on the view, and click Find on the shortcut menu.

  • Click Find and Replace [image] in the Data menu group of the Edit tab.

  • Press Ctrl+F on your keyboard.

Related Topics and Procedures

Related Topic

Find and Replace Dialog Box

Related Procedures

Finding a Code

Finding a Resource


Go To Date Dialog Box

Use the options on this dialog box to quickly move to a specific date in a time-scaled view such as a barchart or histogram.

When you access this dialog box from the Project Analysis View, the options are grayed out if you have selected more than one project in the spreadsheet portion of the view.

Project Start

Select this option to scroll to Project Start.

Project Finish

Select this option to scroll to Project Finish.

Time Now

Select this option to scroll to Time Now.

Specific Date

Use this field to enter a date. Open Plan then scrolls the view to make your specified date visible.

Location

To display the Got To Date dialog box, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select a project to display in barchart or histogram view.

  2. In the Show menu group of the View tab of the selected view, click Go to Date.

Related Topics and Procedures

Related Topic

Find and Replace Dialog Box

Related Procedures

Finding an Activity

Finding Another Activity


Reporting Calendars Dialog Box

This dialog box displays a list of reporting calendars already included in your installation of Open Plan.

New

Click this button, or press Insert on your keyboard, to display the Add Reporting Calendar dialog box which you use to create a new reporting calendar.

Copy

Select an existing reporting calendar and click this button to create a new reporting calendar based on the selected reporting calendar. The Copy Reporting Calendar dialog box displays and you can edit the name. By default, the name starts with "Copy." When you click OK, the Edit Reporting Calendar dialog box displays where you can edit the reporting calendar details.

Edit

Select an existing reporting calendar and click this button to display the Edit Reporting Calendar dialog box which you use to edit the name and/or advisory definition details.

Delete

Click this button, or press Delete on your keyboard, to delete the selected reporting calendar. A dialog box displays, asking you to confirm the deletion.

Location

To display the Reporting Calendars dialog box, complete the following steps:

  1. In Open Plan Explorer, select a project or ancillary file to display in any view.

  2. In the Manage menu group of the Tools tab of the selected view, click Reporting Calendars.

Related Topics and Procedures

Related Topics

Reporting Calendars

Add Reporting Calendar Dialog Box

Copy Reporting Calendar Dialog Box

Edit Reporting Calendar Dialog Box

Related Procedures

Creating a New Reporting Calendar

Editing a Reporting Calendar

Copying a Reporting Calendar

Deleting a Reporting Calendar


Save Current View As Dialog Box

This dialog box allows you to perform the following functions:

  • Make a copy of a view

  • Save modifications that you have made to a view either by updating the current view or by creating a new one.

When you click OK, Open Plan performs one of the following actions:

  • If you have entered a new name for the view, Open Plan creates the new view, lists it in the Open Plan Library, and creates a link to it in your open project.

  • If you have not entered a new name for the view, Open Plan updates the current view with your modifications.

Name

When this dialog box displays, this field contains the current name of the view.

  • To create a new view that contains your modifications, enter a new name in this field.

  • To save your modifications in the current view, do not change the name that is displayed.

Description

When this dialog box displays, this field contains the description associated with the current view. While changing the information in this field is optional, you will most probably want to enter a new description when you enter a new name for the view.

Location

To display the Save Current View As dialog box, complete the following steps:

  1. In Open Plan Explorer, select a project, resource file, or code file to display in any view.

  2. On the File menu, click Save View » Copy View.

Related Topics and Procedures

Related Topics

Save As Dialog Box

Save Changes Dialog Box

Select Baselines to Save Dialog Box

Related Procedures

Saving a View

Copying a View


Select Custom Colors Dialog Box

Use this dialog box to set custom colors to select on the Color tab.

In each Color field, select one of the following options:

  • <Not Set>: This option allows Open Plan to use the default color.

  • Select Color...: This option displays the Colors dialog box. You can add custom colors with this dialog box. To do this, click the [image] button and click any of the available colors from the color swatch.

  • The third option allows Open Plan to use the current color.

Resizing

In addition to using the grabber pad in the bottom right corner to resize the dialog box, you can also resize the Color fields. When you hover your cursor between the two field columns, your cursor changes to a slider bar. Click and hold your mouse button and drag left or right to resize the fields.


Select Standard Views Dialog Box

The Select Standard Views dialog box controls the views that Open Plan automatically makes available to new projects.

The dialog box contains two lists:

  • The Available Views list displays a list of views found in the system directory.

  • The Standard Views list displays a list of views that are assigned to new projects.

Buttons located between the two lists allow you to add or remove views from the Standard Views list. As shipped, the Standard Views list is empty, and new projects are created with the following standard views:

Barchart View

  • BARVW

  • SDA_Pathbar

Network View

  • FLOWVW

Spreadsheet View

  • 30-day lookahead

  • Audit_Bar_Progress

  • Audit_Bar_Rels

  • Audit_Bar_Targets

  • SPREADVW

If you add one or more views to the Standard Views list, new projects are created using only the views on the list.

Resizing

In addition to using the grabber pad in the bottom right corner to resize the dialog box, you can also resize the Available Views and Standard Views boxes. When you hover your cursor between the two boxes, your cursor changes to a slider bar. Click and hold your mouse button and drag left or right to resize the boxes.

Location

To display the Select Standard Views dialog box, complete the following steps:

  1. From the File menu, click Preferences » Application.

  2. On the Views tab of the Options dialog box, click Views.

Related Topics and Procedures

Related Topics

Options Dialog Box

Working with Open Plan Data

Sharing Data Between Open Plan and Other Applications

Related Procedures

Setting System Preferences

Modifying the List of Default Views

Disabling Start up Procedures

Showing Summary Dates on Subprojects

Opening Last File on Startup

Setting Project Preferences


Symbols Dialog Box

This dialog box allows you to manage the custom symbols that can be used in many Open Plan views.

The dialog box is divided into two panes: Shape Categories and Symbols.

Resizing

In addition to using the grabber pad in the bottom right corner to resize the dialog box, you can also resize the Shape Categories and Symbols boxes. When you hover your cursor between the two boxes, your cursor changes to a slider bar. Click and hold your mouse button and drag left or right to resize the boxes.

Shape Categories

This pane of the dialog box contains a list of currently defined shape categories. The categories are an easy way to organize the numerous symbols included with Open Plan as well as custom symbols you might add. Selecting a category displays the symbols included in that category in the Symbols pane. Two special categories are also included:

  • <All Shapes>: Selecting this category displays all the symbols available for use by Open Plan.

  • <Uncategorized Shapes>: Selecting this category displays those shapes that have not been assigned to a category. The <Uncategorized Shapes> category does not appear if there are no uncategorized shapes in the system.

Symbols

This pane of the dialog box contains a list of the symbols that are currently available in the selected category. When you select a symbol from the list in the Symbols pane, it is displayed as a preview on the right side of the dialog box.

Buttons

Three buttons are located at the bottom of the dialog box:

Add

Clicking this button displays the Add Symbol dialog box that you can use to locate and select a file to use as a custom symbol. Open Plan allows you to use both Meta Files (.wmf) and Enhanced Meta Files (.emf) graphics.

Edit

Selecting a symbol from the list and clicking this button displays the Edit Symbol dialog box that you can use to edit the description and shape category of the symbol.

Delete

Selecting a symbol from the list and clicking this button instructs Open Plan to delete the symbol. Before actually performing the action, however, Open Plan asks that you confirm the deletion. If you delete the last symbol in a category, the category is removed from the list of categories.

Location

To display the Symbols dialog box, complete the following steps:

  1. From the File menu, click Preferences » Application.

  2. On the General tab of the Options dialog box, click Symbols.

You can also display the Symbols dialog box from the Title Block Definition dialog box and Bar Types dialog box.

Related Topics and Procedures

Related Topics

Add Symbol Dialog Box

Edit Symbol Dialog box

Options Dialog Box: General Tab

Options Dialog Box: Edit Tab

Options Dialog Box: Project Tab

Options Dialog Box: Views Tab

Options Dialog Box: Codes Tab

Options Dialog Box: Color Tab

Options Dialog Box: Advanced Tab

Select Standard Views Dialog Box

Related Procedures

Adding a Custom Symbol

Editing a Custom Symbol

Setting System Preferences


Adding Custom Symbols (Procedure)

Adding Custom Symbols

To add a custom symbol, complete the following steps:

  1. From the File menu, click Preferences » Application.

  2. On the General tab of the Options dialog box, click Symbols.

  3. In the Symbols dialog box, click Add.

  4. In the Add Symbol dialog box, click Select File.

  5. From the Open dialog box, locate the .wmf or .emf graphic file for the symbol, and click Open.

  6. Enter a description for the new symbol.

  7. Enter a shape category for the new symbol. Leaving this field blank will place the symbol in the <Uncategorized Shapes> category.

    You can create a new shape category by entering a unique name in the Shape Category field. Otherwise, entering an existing category name places the new symbol in that category.

  8. Click OK.

Related Topics and Procedures

Related Topics

Symbols Dialog Box

Add Symbol Dialog Box

Bar Types Dialog Box

Related Procedures

Changing a Milestone Symbol

Creating a New Bar Type

Defining Activity Bar Attributes


Editing a Custom Symbol

To edit a custom symbol, complete the following steps:

  1. From the File menu, click Preferences » Application.

  2. On the General tab of the Options dialog box, click Symbols.

  3. In the Symbols dialog box, select a symbol to edit.

  4. Click Edit.

  5. In the Edit Symbol dialog box, enter a new description and shape category for the symbol. You can create a new shape category by entering a unique name in the Shape Category field. Otherwise, entering an existing category name places the symbol in that category.

  6. Click OK.

Related Topics and Procedures

Related Topics

Edit Symbol Dialog Box

Symbols Dialog Box

Add Symbol Dialog Box

Options Dialog Box

Related Procedure

Adding a Custom Symbol


Adjusting a Date Scale Manually (Procedure)

Adjusting a Date Scale Manually

These steps help you to manually compress or expand the date scale. To manually define the date scale options, see Define a Date Scale Manually.

To adjust a date scale without redefining the various components:

  1. In the Project Views folder of Open Plan Explorer, display a project in barchart, multitable barchart, or histogram view.

  2. Take one of the following actions:

  • On the View tab, click Date Scale.

  • Right-click the date scale or the histogram portion of the view, and click Edit Date Scale on the context menu.

  3. In the Date Scale Preferences dialog box, position your cursor over the Preview pane.

  4. When the cursor changes to a double-headed arrow, take one of the following actions:

  • To compress the date scale, drag the cursor to the left.

  • To expand the date scale, drag the cursor to the right.

Related Topics and Procedures

Related Topic

Date Scale Preferences Dialog Box

Related Procedures

Define a Date Scale using Autoscaling

Define a Date Scale Manually


Change the Font for a Date Scale (Procedure)

Change the Font for a Date Scale

To change the font on the date scale of a barchart or histogram, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, display a project in barchart, multitable barchart, or histogram view.

  2. Take one of the following actions:

  • On the View tab, click Date Scale.

  • Right-click the date scale or the histogram portion of the view, and click Edit Date Scale on the context menu.

  3. On the Manual tab of the Date Preferences dialog box, select the row of the date scale for which you want to change the font. You can select the row either by selecting it from the Axis Number list or by clicking the appropriate row in the Preview window.

  4. Click Font.

  5. In the Font dialog box, select a font and its attributes, and click OK.

  6. Click OK again in the Date Scale Preferences dialog box.

Related Topics and Procedures

Related Topic

Font Dialog Box

Related Procedures

Changing the Font on a Bar

Changing the Default Font on a Spreadsheet

Changing the Font on a Network View

Changing the Font on an Annotation

Changing the Font on a Calendar

Changing the Font on a Resource View

Changing the Font on a Code View


Customizing a Date Scale (Procedure)

Customizing a Date Scale

To customize the date scale, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, display a project in barchart, multitable barchart, or histogram view.

  2. Take one of the following actions:

  • On the View tab, click Date Scale.

  • Right-click the date scale or the histogram portion of the view, and click Edit Date Scale on the context menu.

  3. On the Options tab of the Date Scale Preferences dialog box, select colors for the text and the background of the date scale.

  4. Enable a scaling tab by selecting one of the following options:

  • Manual Scaling

  • Reporting Calendar

  5. Select the tab you enabled, and make any needed modifications.

  6. When your changes are complete, click OK to return to the view.

Related Topics and Procedures

Related Topic

Date Scale Preferences Dialog Box

Related Procedure

Adjusting a Date Scale Manually


Define a Date Scale Manually

These steps help you to define the date scale options. To manually compress or expand the date scale, see Adjust a Date Scale Manually.

To define a date scale manually, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, display a project in barchart, multitable barchart, or histogram view.

  2. Take one of the following actions:

  • On the View tab, click Date Scale.

  • Right-click the date scale or the histogram portion of the view, and click Edit Date Scale on the context menu.

  3. On the Options tab of the Date Scale Preferences dialog box, click Manual.

  4. On the Manual tab, enter the information for each line in the date scale. To display the settings for a specific line, select the line number from the Axis Number list, or click the line in the preview window.

  5. When your changes are complete, click OK to return to the view.

Related Topics and Procedures

Related Topics

Customizing the Date Scale

Date Scale Preferences Dialog Box

Related Procedures

Define a Date Scale using Autoscaling

Adjust a Date Scale Manually


Define a Date Scale using Autoscaling

To define a date scale using automatic scaling, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, display a project in barchart, multitable barchart, or histogram view.

  2. Take one of the following actions:

  • On the View tab, click Date Scale.

  • Right-click the date scale or the histogram portion of the view, and click Edit Date Scale on the context menu.

  3. On the Options tab of the Date Scale Preferences dialog box, click Manual.

  4. On Manual tab, specify the number of axes you want to display in the date scale using the # of Axes field, and click Autoscaling.

  5. In the Automatic Scaling dialog box, select a date range for the operation in the Options field, and click OK. If you select Custom in the Options field, you must enter a start and end date for the interval.

  6. When your changes are complete, click OK.

Related Topics and Procedures

Related Topic

Date Scale Preferences Dialog Box

Related Procedures

Adjust a Date Scale Manually

Define a Date Scale Manually


Define a Date Scale with a Reporting Calendar

To define a date scale with a reporting calendar, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, display a project in barchart, multitable barchart, or histogram view.

  2. Take one of the following actions:

  • On the View tab, click Date Scale.

  • Right-click the date scale or the histogram portion of the view, and click Edit Date Scale on the context menu.

  3. On the Options tab of the Date Scale Preferences dialog box, select Reporting Calendar.

  4. On the Report Calendar tab, assign one or more reporting calendars to the axes of the date scale. You can also define how the labels in the date scale should appear.

  5. When your changes are complete, click OK.

Related Topics and Procedures

Related Topics

Date Scale Preferences Dialog Box

Customizing the Date Scale

Related Procedures

Customizing a Date Scale

Adjust a Date Scale Manually

Define a Date Scale using Autoscaling

Change the Font on a Date Scale


Add a View to the Standard Views List

To add a view to the Standard Views list, complete the following steps:

  1. On the File menu, click Preferences » Application.

  2. On the Views tab of the Options dialog box, click Views.

  3. In the Select Standard Views dialog box, select a view from the Available Views list, and click Add. You can select multiple views and click Add to move the selected views to the Standard Views list all at once.

    4. If you are adding all the views from the list, you can click Add All without having to select any views.

  4. When finished, click OK.

Related Topics and Procedures

Related Topic

Select Standard Views Dialog Box


Changing the Properties of a View (Procedure)

Changing the Properties of a View

To change view properties, complete the following steps:

  1. To display the Properties dialog box, right-click a view file in the Project Views folder in Open Plan Explorer, and click Properties on the shortcut menu.

  2. In the Properties dialog box, make the appropriate changes.

  3. Click OK.

Related Topics and Procedures

Related Topic

Properties Dialog Box

Related Procedures

Changing the Properties of an Ancillary File

Changing the Properties of a Shortcut


Copying a View

To copy a view, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, display the view that you want to copy.

  2. On the File menu, click Save View.

  3. In the Name field on the Save Current View As dialog box, enter a new name for the view to be created.

  4. In the Description field, enter a new description for the view. While this step is not really required, in most cases, it is a good idea to have unique descriptions for views.

  5. Click OK.

The new view is displayed in the Open Plan Library and linked to your open project.

Related Topics and Procedures

Related Topic

Using the Save Current View As Dialog Box

Related Procedures

Opening a View

Assigning a View to a Project

Saving a View

Deleting a View


Delete a View (Procedure)

Delete a View

To delete a view, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select the view that you want to copy.

  2. Press the Delete key.

  3. When Open Plan asks that you confirm the deletion, click OK.

Deleting a view that you have dragged into your project folder from the Open Plan Library does not delete the actual view. This action deletes only the link to the view that is stored in the Open Plan Library.

Related Topics and Procedures

Related Topic

Open Plan Explorer

Related Procedures

Opening a View

Assigning a View to a Project

Saving a View

Copying a View


Designate a View as a Favorite

To designate a view as a favorite, complete the following step:

  1. In the Project Views folder of Open Plan Explorer, select the view that you want to designate as a favorite.

  2. In the Manage menu group of the Tools tab, click Favorites.

You can also manage your favorite views list by using the Organize Favorites dialog box.

Related Topics and Procedures

Related Topic

Filters

Filters Dialog Box

New Filter Dialog Box

Filter Expression Dialog Box

Calculated Fields Dialog Box

Organize Favorites Dialog Box

Related Procedures

Applying a Filter to a View

Filtering Data on a Code Level

Filtering Data on a Calculated Field


Modifying the List of Default Views (Procedure)

Modifying the List of Default Views

To modify the list of default views available for new projects, complete the following steps:

  1. On the File menu, click Preferences » Application.

  2. On the Views tab of the Options dialog box, click Views.

  3. In the Select Standard Views dialog box, take one of the following actions:

  • To add a view to the standard list of views, select it from the Available Views list, click choose Add.

  • To remove a view from the standard list of views, select it from the Standard Views list, and click Remove.

  4. When you have finished modifying the list of standard views, click OK.

Related Topics and Procedures

Related Topic

Options Dialog Box

Related Procedures

Disabling Start Up Procedures

Showing Summary Dates on Subprojects

Opening Last File on Startup

Setting the Default Project


Opening a View (Procedure)

Opening a View

To open a view, complete the following step:

  1. In the Project Views folder of Open Plan Explorer, take one of the following actions:

  • Double-click the view file.

  • Right-click the view file, and click Open on the shortcut menu.

  • Click Select on the Edit tab of an open project.

You can also open another view from an open view by clicking Select from the View menu group of the Edit tab, and selecting a view from the list.

You can display a view without first having to open the project. When you display the view, the project is automatically opened in default mode.

Related Topics and Procedures

Related Topic

Open Plan Explorer

Related Procedures

Assigning a View to a Project

Saving a View

Copying a View

Deleting a View


Remove a View from a Project

Deleting the view from the project folder merely removes the link to the view in the Open Plan Library. The view is not removed from the database.

To remove a view from a project, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select the view you want to delete.

  2. Take one of the following actions:

  • Press the Delete key.

  • Right-click the view, and click Delete on the shortcut menu.

  3. When Open Plan asks you to confirm the deletion, click Yes.


Remove a View from the Database

Deleting the view from the Open Plan Library removes the view from the database and any links to it in the project folders.

To remove a view from the database, complete the following steps:

  1. In the Open Plan Library folder in Open Plan Explorer, select the view you want to delete.

  2. Take one of the following actions:

  • Press the Delete key.

  • Right-click the view, and click Delete on the context menu.

  3. When Open Plan asks you to confirm the deletion, click Yes.


Remove a View from the Standard Views List

To remove a view from the Standard Views list, complete the following steps:

  1. On the File menu, click Preferences » Application.

  2. On the Views tab of the Options dialog box, click Views.

  3. From the Standard Views list in the Select Standard Views dialog box, select a view, and click Remove. You can select more than one view at a time.

    4. If you are removing all the views from the list, click Remove All.

  4. When finished, click OK.


Saving A View

Save A View

To save a view, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, display a view.

  2. Make changes as needed to the view.

  3. Take one of the following actions:

  • On the File menu, click Save View » Save View to save your changes.

  • On the File menu, click Save View » Copy View to save the current view as a new view file. For more information, see Save Current View As Dialog Box.

Related Topics and Procedures

Related Procedures

Opening a View

Assigning a View to a Project

Copying a View

Deleting a View


Copying a Reporting Calendar (Procedure)

Copying a Reporting Calendar

To create a reporting calendar as a copy of an existing one, complete the following steps:

  1. On the Tools tab, click Reporting Calendars.

  2. In the Reporting Calendars dialog box, select the reporting calendar that you want to copy, and click Copy.

  3. In the Copy Reporting Calendar dialog box, enter a name for the new reporting calendar, and click OK.

  4. In the Edit Reporting Calendar dialog box, make changes as needed to the reporting calendar, and click OK.

Related Topics and Procedures

Related Topic

Reporting Calendars Dialog Box

Related Procedures

Creating a New Reporting Calendar

Editing a Reporting Calendar

Deleting a Reporting Calendar


Creating a New Reporting Calendar (Procedure)

Creating a New Reporting Calendar

To create a new reporting calendar, complete the following steps:

  1. On the Tools tab, click Reporting Calendars.

  2. In the Reporting Calendars dialog box, click New.

  3. In the Add Reporting Calendar dialog box, enter a name for the reporting calendar, and click OK.

  4. In the Edit Reporting Calendar dialog box, enter the information for the new reporting calendar, and click OK.

Related Topics and Procedures

Related Topic

Reporting Calendars Dialog Box

Related Procedures

Copying a Reporting Calendar

Editing a Reporting Calendar

Deleting a Reporting Calendar


Deleting a Reporting Calendar (Procedure)

Deleting a Reporting Calendar

To delete a reporting calendar, complete the following steps:

  1. On the Tools tab, click Reporting Calendars.

  2. In the Reporting Calendars dialog box, select the reporting calendar that you want to delete, and click Delete.

  3. When Open Plan asks you to confirm the deletion, click Yes.

Related Topics and Procedures

Related Topic

Reporting Calendars Dialog Box

Related Procedures

Creating a New Reporting Calendar

Copying a Reporting Calendar

Editing a Reporting Calendar


Editing a Reporting Calendar (Procedure)

Editing a Reporting Calendar

To edit a reporting calendar, complete the following steps:

  1. On the Tools tab, click Reporting Calendars.

  2. In the Reporting Calendars dialog box, select the reporting calendar that you want to edit, and click Edit.

  3. In the Edit Reporting Calendar dialog box, edit the information you want to change.

  4. When you finish editing the reporting calendar, click OK.

Related Topics and Procedures

Related Topic

Activity Details Relationships Tab

Related Procedures

Creating a Relationship Using a Mouse

Creating a Relationship Using the Keyboard

Deleting a Relationship in a Network View

Creating Interproject Relationships in a Network View

Creating a Relationship in a Split Network view


Creating Explanatory Text Captions

You can create explanatory text captions for spreadsheet, barcharts, and network views explaining why formatting was applied to a particular row or cell. The text is displayed when you hover your cursor over the row or cell. Use explanatory text to describe not only why a value is highlighted, but what the user should do about it.

This is an example of what explanatory text looks like in the spreadsheet:

To create an explanatory text caption, complete the following steps:

  1. In the Project Views folder of Open Plan Explorer, select the view you want to customize.

  2. Take any of the following actions:

  • Display the Conditional Formatting dialog box. For more information, see Conditional Formatting Dialog Box.

  • Display the Bar Sets Preferences dialog box. For more information, see Display the Bar Sets Preferences Dialog Box.

  3. Depending on the view, perform any of the following:

For spreadsheet views (in the Conditional Formatting dialog box),

  1. Select a row for which you want to create the text caption.

  2. Enter the explanatory text in the Show This Explanation column corresponding to the selected row.

  3. Click the Display Explanation When Hovering over Applied Rule(s) option to show the explanatory text you created.

For barchart views,

  1. For the spreadsheet pane (in the Conditional Formatting dialog box),

  1. Select a row for which you want to create the text caption.

  2. Enter the explanatory text in the Show This Explanation column corresponding to the selected row.

  3. Click the Display Explanation When Hovering over Applied Rule(s) option to show the explanatory text you created.

  2. For the barchart pane (in the Bar Set Preferences dialog box),

  1. Select a row for which you want to create the text caption.

  2. Enter the explanatory text in the Show This Explanation column corresponding to the selected row.

  3. Click the Display Explanation When Hovering over Applied Rule(s) option to show the explanatory text you created.

For the network view (in the Conditional Formatting dialog box),

  1. Enter the explanatory text in the Show This Explanation column corresponding to the selected row.

  2. Click the Display Explanation When Hovering over Applied Rule(s) option to show the explanatory text you created.

Related Topics and Procedures

Related Topic

Explanatory Text Captions


Enter Progress Information

The progressing function in Open Plan allows you to enter schedule information — actual dates, estimates, and completion status — about activities in a project that is underway. In addition, you can also enter information about resource usage at the activity level.

In Open Plan, you enter activity progress using the tabbed Activity Progress dialog box. You can display this dialog box by displaying an activity and clicking Progress on the Edit tab.

Entering progress information about an activity's resource usage consists of specifying information about the actual, remaining, and forecast usage for the resource and its costs.

You can also enter notes about an activity in the Activity Progress dialog box.

The Activity Progress dialog box is modeless. This allows you to keep it open while performing other operations in Open Plan. You can also keep both the Activity Details dialog box and the Activity Progress dialog box open at the same time, updating the information in either dialog box as appropriate.

Progress can also be calculated automatically using the Progress Calculations command accessed from the Processes tab.

It is important to make sure that all progress information up to Time Now has been entered.

Entering Progress in a Barchart View

It is possible to status an activity displayed in a barchart view by manipulating the bar. By dragging the cursor from the start of the bar toward the end of the bar, you can indicate how much of the activity is complete.

For a bar to be eligible for manipulation, the bar type must display early dates and must have the Drag option set to Yes. These settings are defined in the Bar Types dialog box.

New Activities

Before progressing a new activity, you should run time analysis otherwise the resource assignment physical percent complete may not be updated.

Related Topics and Procedures

Related Topic

Project Progress

Activity Progress

Resource and Cost Progress

How Open Plan Uses Progress Information

Entering Physical Percent Complete

Calculating Resource Progress Automatically

Calculating Earned Value Progress Automatically

Progress Dates

Related Procedures

Calculate Resource Progress

Enter Resource Progress Information for an Activity

Perform Progress Calculations

View a Progress Calculation Session Log


How Open Plan Uses Progress Information

Once you have entered progress for a project, you can calculate new dates for the activities using either time analysis or resource scheduling. The following guidelines explain how Open Plan uses the progressing information when it calculates the new schedule.

  • If activity status and progress information imply that the activity is complete (for example, if the elapsed duration of the activity exceeds its total duration), Open Plan assumes that the activity is complete.

  • If an activity has out-of-sequence progress (that is, progress has been reported even though predecessor activities have not been completed), Open Plan accepts the information.

  • Open Plan ignores Actual Start dates later than Time Now.

  • Open Plan calculates progress on a subproject from progress entered at the activity level. Open Plan ignores any progress entered at the subproject level.

  • After evaluating the progress information, Open Plan calculates the early and late dates only for the remaining portion of the activity.

  • If an activity is complete but does not have actual dates, Open Plan calculates the finish date as Time Now.

Related Topics and Procedures

Related Topics

Entering Progress Information

Using the Activity Progress Activity Tab

Using the Activity Progress Resources Tab

Using the Activity Progress Notes Tab

Using the Automatic Progress Dialog Box

Related Procedure

Entering Activity Progress in a Barchart


Entering Physical Percent Complete

Open Plan allows you to progress an activity by entering the physical percent complete (PPC) at either at the activity level or the resource level. You can use the Activity Progress dialog box to status an activity.

For more information about how the EVT field affects the Physical % Complete field, see Rules for EVT and Activity Physical % Complete.

On the Activity tab, you can enter an actual start date and select one of the statusing methods.

On the Resources tab, you can enter the PPC for each resource, or you can have Open Plan calculate the PPC based on the activity progress. If you enter the PPC at the resource level, Open Plan calculates the activity PPC for you based on the rolled up earned value of each resource. If you enter the PPC at the activity level, Open Plan calculates each resource’s PPC with regard to duration, curve, offsets, and periods.

You can also have Open Plan calculate physical percent complete for you based on activity progress using the Progress Calculations dialog box.

Related Topics and Procedures

Related Topic

Calculating Earned Value

Related Procedure

Calculate Earned Value


Project Progress

You can display project information at any time by opening a project and using the Properties command. The Status tab of the Project Properties dialog box displays a summary of the current project status.

You can also use this tab to enter information about the project such as Time Now or project target dates and types.

Any progress information you enter will have no effect on this summary until you recalculate the project schedule using time analysis.

Related Topics and Procedures

Related Topic

Entering Progress Information

Related Procedure

View Project Progress


Activity Progress

In general, entering status information about activity progress consists of specifying the following information so that a revised time analysis of the project can be performed:

  • Has the activity started? If so, when?

  • Has the activity ended? If so, when?

  • If the activity has started but not yet ended, how long is the remaining duration?

It is important to make sure that all progress information up to Time Now has been entered. The Time Now date (sometimes referred to as the status date) refers to the date for which all the progress data in a project has been reported. Open Plan assumes that no future work for the project (including activities which have not yet started and activities which have been started but not completed) can be scheduled prior to the Time Now date. For example, a Time Now of 01Jun15 means that all progress data in the project up to and including 31May15 has been reported, and that Open Plan does not schedule any work for the project prior to 01Jun15.

Time Now is a date for statusing purposes only and does not have any relationship to the actual current calendar date.

It is recommended that you enter actual dates for progressed activities whenever possible. If you omit an actual start or actual finish date when entering project progress, Open Plan deduces the dates for the purposes of internal calculations based on the status code entered and Time Now.

One proven way to gather progress information in a systematic fashion is to work from a turnaround report created especially for the managers responsible for those particular activities. The managers can use this document to enter their progress against a list of activities scheduled to be in progress during a particular time period.

Entering Activity Progress

You can enter activity progress in three ways:

  • Activity Progress dialog box: To enter progress information in Open Plan, you can use the Activity tab of the Activity Progress dialog box. This dialog box displays the original duration of the activity along with the current date of Time Now and the current status of the activity.

  • Spreadsheet view: To facilitate the entry of progress information for multiple activities, Open Plan provides a standard progress spreadsheet view that you can use to enter any progress information. When entering progress information using this view, note that the setting of the Progress Type field determines how Open Plan interprets the Progress Value field. For example, if you entered Percent Complete for the Progress Type field, Open Plan interprets the Progress Value field as a percentage. You cannot modify the Accomplished Duration and Remaining Duration fields as they are calculated by Open Plan.

  • Barchart view: It is possible to status an activity displayed in a barchart view by manipulating the bar. By dragging the cursor from the start of the bar toward the end of the bar, you can indicate how much of the activity is complete. For a bar to be eligible for manipulation, the bar type must display early dates and must have the Drag option set to Yes. These settings are defined in the Bar Types dialog box.

The Effect of Activity Progress Information

Once you have entered progress for activities, you can calculate new early start/finish and late start/finish dates using time analysis and new scheduled start/finish dates using resource scheduling.

After progressing the activities, if you run resource scheduling without first running time analysis, the scheduled start and finish dates calculated will be inaccurate.

The following guidelines explain how Open Plan uses the progress information when it calculates the new schedule.

  • If an activity has an actual start date but no other indication of activity status, Open Plan deduces the elapsed duration of the activity by comparing the actual start date to the Time Now date.

  • If activity status and progress information imply that the activity is complete (for example, if the elapsed duration of the activity exceeds its total duration), Open Plan assumes that the activity is complete.

  • If an activity has out-of-sequence progress (that is, progress has been reported even though activities deemed as predecessors in project logic have not been completed), Open Plan accepts the information but issues a warning in the time analysis session log.

  • Open Plan ignores dates later than Time Now (although a warning is issued in the session log) unless the Observe Actual Future Dates option is enabled.

  • Open Plan calculates progress on a subproject from progress entered at the activity level. Open Plan ignores any progress entered at the subproject level.

  • After evaluating the progress information, Open Plan calculates the early and late dates for the remaining portion of the activity duration only. (Completed activities have their late dates calculated as though the activity duration was zero.) This convention allows Open Plan to retain the maximum information for reporting purposes, including tracing out-of-sequence progress.

For more information on how Open Plan interprets progress information, see The Effect of Progress Information in the Deltek Open Plan Developer's Guide.

New Activities

Before progressing a new activity, you should run time analysis otherwise the resource assignment physical percent complete may not be updated.

Related Topics and Procedures

Related Topics

Entering Progress Information

How Open Plan Uses Progress Information

Entering Physical Percent Complete

Related Procedures

Calculate Resource Progress

Enter Resource Progress Information for an Activity

Perform Progress Calculations

View a Progress Calculation Session Log


Resource and Cost Progress

In addition to entering information about the schedule status of activities, you can enter information about resource costs, usage, and forecasts. Open Plan uses this information to calculate project costs that can be displayed in views such as a cost histogram. If you enter a value for the physical completion of an activity, you can also use this cost information to calculate the earned value of a project.

Open Plan does not restrict you to entering progress for budgeted resources only. For example, assume that you planned to use one resource for an activity but actually used another. Instead of returning to the original assignment, deleting it, and entering an assignment for the new resource, you can set the remaining quantity of the original assignment to the appropriate level and enter progress information for the unbudgeted resource.

You can also enter costs that are not associated with any resource. Entering costs not associated with a resource allows you to define costs at the activity level. These costs can be reported separately from the costs you have entered at the resource level.

You can make as many entries for a specific resource as you wish. Each entry consists of a date or a pair of dates defining the period for the cost and then the actual usage or costs. It is also possible to enter a forecast of remaining usage for a resource. Once you enter progress for a resource and save your changes, Open Plan automatically rolls up the information for the resource, displays the results in the Previous fields, and clears the entry fields.

Entering Resource Progress Information

To enter resource progress information in Open Plan, use the Resources tab of the Activity Progress dialog box. You can display this dialog box by selecting an activity and clicking Progress on the Edit tab in any activity view or by right-clicking the row button of an activity and clicking Progress on the context menu.

If you scroll through the fields displayed in this dialog, you can see the current actual costs and usage for each resource as well as the budgeted costs and units for all assigned resources. Budgeted costs of resources reflect any cost escalations defined for the resource based on the period of the original assignment.

Related Topics and Procedures

Related Topics

Entering Progress Information

Activity Progress

Calculating Resource Progress Automatically

Related Procedures

Enter Resource Progress Information for an Activity

Calculate Resource Progress

Calculate Resource Progress Automatically


Calculating Resource Progress Automatically

If you do not want to enter resource progress manually, you can have Open Plan calculate resource progress automatically based on the current status of the activity. To use this feature, you must select Progress Based on Activity Progress on the General tab of the Resource Details dialog box.

After you enter progress information for activities, you can have Open Plan calculate the quantity of resource units that correspond to the recorded activity progress for all eligible resources. For example, if you have indicated that an activity is 50% complete, Open Plan calculates the number of resource units corresponding to the first half of the activity duration, taking into account factors such as spread curves, offsets, and periods, which may affect the distribution of the resource assignment.

To have Open Plan calculate resource progress automatically, click Progress on the Processes tab to display the Progress Calculations dialog box.

You can update the resource remaining quantity and the resource actual quantity separately or at the same time. Open Plan performs the calculations based on options selected on the General tab of the Resource Details dialog box for the resources defined as supporting progress calculations in the Resource (OPP_RES) table.

Each time you perform automatic resource progressing, Open Plan creates a session log file that records any system or error messages issued during the operation. Open Plan saves the file (Opp_prog.log) in your Open Plan working directory, and allows you to examine its contents at the conclusion of each session.

To see the results of this calculation, display the Resources tab of the Activity Progress dialog box.

Group Processing Resource Progress (Batch Mode)

You can also perform progress calculations in Batch Mode. This allows you to run time analysis for multiple projects at one time. To run progress calculations in Batch Mode, select more than one project from the Details pane of the Open Plan Explorer, and click the Progress Calculations button. The Progress Calculations [Batch Mode] dialog box will be displayed. Set your options, and click OK.

If a project is closed, Open Plan will open it in Exclusive mode, perform the process, save the changes, and then close the project. If a project cannot be opened in Exclusive mode (because another user has it open in Exclusive or Shared mode), it will be skipped.

If you have a project open when the batch process is run, a progress calculation will be performed on the project, but the changes will not be saved and the project will remain open. You must manually save the changes yourself.

Resource progress can be calculated automatically for multiple projects by selecting a group of projects and clicking the Progress Calculations button on the Processes tab.

Open Plan creates one progress calculation session log, listing the project results in the order in which the projects were processed in the batch.

Related Topics and Procedures

Related Topics

Entering Progress Information

Activity Progress

Resource and Cost Progress

Calculating Earned Value Progress Automatically

Related Procedures

Enter Resource Progress Information for an Activity

Calculate Resource Progress

Calculate Resource Progress Automatically


Calculating Earned Value Progress Automatically

You can have Open Plan update the earned value of the project by selecting the Update Physical Percent Complete option in the Progress Calculations dialog box.

When this option is selected and the Base Physical Percent Complete on EVT option is not selected, Open Plan updates the physical percent complete for activities that match the selected filter based on activity status using the following formula:

PPC = (Elapsed duration / Expected duration) x 100

Where:

Elapsed duration is calculated as (Time Now – Actual Start)

Expected duration is calculated as (Finish Date – Actual Start Date)

The Finish Date is based on your selection of (early, late, or scheduled) dates.

The Base Physical Percent Complete on EVT option allows you to use the EVT assigned to the activities on the Advanced tab of the Activity Details dialog box when updating the physical percent complete.

Related Topics and Procedures

Related Topics

Entering Progress Information

Resource and Cost Progress

Calculating Resource Progress Automatically


Progress Dates

The Start Date and End Date fields are enabled when you choose to update resource progress or earned value.

Open Plan stores the BCWP time-phased. Therefore, you must enter a start date in the Progress Dates section of the dialog box.

Open Plan uses the dates to spread actual costs and quantify for the purpose of cost reporting:

  • Start Date: The start of the period covered by the automatic resource calculation. The date in this field is recorded as the From date on the resource actual quantity/cost record in the cost file.

    • If the actual start date of the activity is later than the start date defined in this field (but within the Start date – End date range), the activity actual start date is used as the Start Date in the progress calculation.

  • End Date: The end of the period covered by the automatic resource calculation. If a date is entered in this field, the actuals are spread between the start and end dates. If this field is left blank, the actuals are applied on the start date. The date in this field is recorded as the To date on the resource actual quantity/cost record in the cost file.

    • If the actual finish date of the activity is earlier than the end date defined in this field (but within the Start date – End date range), the activity actual finish date is used as the End Date in the progress calculation.

Related Topics and Procedures

Related Topics

Entering Progress Information

How Open Plan Uses Progress Information


Progress Calculations Session Log

Each time you perform progress calculations, Open Plan creates a session log. This session log includes the following information:

  • Settings in effect when progress calculation was performed

  • Changes that have been made to activity start and finish dates

  • Changes that have been made to resource assignments

  • All system or error messages generated during progress calculations

Use the Open Log on the Processes tab to view the log.

Related Topics and Procedures

Related Topic

Using the Progress Calculations Dialog Box

Related Procedure

Viewing an Progress Calculations Session Log


Activity Progress Dialog Box

Open Plan allows you to progress an activity by entering the physical percent complete (PPC) at either at the activity level or the resource level. You can status an activity using the Activity Progress dialog box.

Like the Activity Details dialog box, the Activity Progress dialog box is modeless, which allows you to keep it open while performing other operations in Open Plan. The navigation buttons and the Close, Undo, and Apply commands function identically to their counterparts in the Activity Details dialog box. You can, in fact, keep both the Activity Details dialog box and the Activity Progress dialog box open at the same time, updating the information in either dialog box as appropriate.

By default, Open Plan synchronizes multiple activity dialog boxes so that using the navigation buttons on one dialog box will result in Open Plan scrolling to the appropriate activity on another dialog box.

Tabs

The Activity Progress dialog box includes the following tabs:

  • Activity Tab: On the Activity tab, you can enter an actual start date and select one of the statusing methods.

  • Resources Tab: Enter resource progress information for actual and remaining usage at the same time regular activity progress information is entered.

  • Notes Tab: Create, edit, or delete a note attached to the activity.

The following buttons at the bottom of the Activity Progress dialog box apply to all tabs:

  • Close: Closes the dialog box, saving any changes.

  • Undo: Cancels any changes on this dialog box that have not been saved using the Apply button.

  • Apply: Applies and saves changes on this dialog box, while leaving the dialog box open for further action. This button is disabled until changes are made.

  • Help: Provides access to the online Help topic for the displayed tab.

A set of navigation controls allows you to select another activity.

Button | Operation
 | Displays the first record
 | Displays the previous record
 | Displays the next record
 | Displays the last record

You can also use the following keys on your keyboard to navigate to another activity.

  • Ctrl+Home: Displays the first activity.

  • Page Up: Displays the previous activity.

  • Page Down: Displays the next activity.

  • Ctrl+End: Displays the last activity.

Location

To display the Activity Progress dialog box, complete the following step:

  1. Take one of the following actions:

  • Select an activity and click Progress on the Edit tab.

  • Right-click the selection button of an activity and click Progress on the context menu.

Related Topics and Procedures

Related Topics

Activity Progress

Entering Progress Information

How Open Plan Uses Progress Information

Entering Physical Percent Complete

Related Procedures

Enter Activity Progress

Calculate Resource Progress

Enter Resource Progress Information for an Activity

Perform Progress Calculations

View a Progress Calculation Session Log


Activity Progress Activity Tab

In general, this tab allows you to specify the following information so that a revised time analysis of the project can be performed:

  • Has the activity started? If so, when?

  • Has the activity ended? If so, when?

  • If the activity has started but not yet ended, how long is the remaining duration?

ID

This read-only field displays the activity ID. This field can be modified on the Activity Details dialog box.

Desc.

This is a read-only field that displays the activity description. This field can be modified on the Activity Details dialog box.

Status

This is a read-only field that displays the status of the activity: Planned, In Progress, or Complete.

Duration

This is the activity duration. This value should represent the most likely duration for the activity.

Durations may use any of the following duration units:

  • m: months

  • w: weeks

  • d: days

  • h: hours

  • t: minutes

While a duration may contain decimal values (for example, 4.5 D), you cannot enter duration using mixed duration units. (For example, 4D4H is not allowed.) Open plan interprets an activity with a blank duration field as having zero duration.

You can use decimal values for durations (for example, 1.5d), but you cannot mix date formats by entering durations such as 1w2d.

If you enter a duration that is not consistent with fixed target start and finish dates for the activity, Open Plan will use the duration implied by the target dates when performing time analysis and resource scheduling calculations.

You can avoid having to specify a time unit when entering durations by assigning a default duration unit for a project through the Preferences tab on the Project Properties dialog box.

If the activity type is Subproject, Hammock, Effort Driven, or External Subproject, Open Plan ignores any value you enter in this field and recalculates the duration each time you perform time analysis.

Activity Physical % Complete

This is a read-only field that displays the percentage from the Activity Physical % Complete field on the Resources tab.

Time Now

This is the date (sometimes referred to as the status date) for which all the progress data in a project has been reported. It is used for statusing purposes only and does not have any relationship to the actual current calendar date.

Baseline Start

The date stored in the BSTART field in the first currently selected baseline.

Actual Start

The actual start date for the activity. If the current status is Planned and you enter a date in the Actual Start field that is before Time Now, Open Plan treats the activity as in progress.

Baseline Finish

The date stored in the BFINISH field in the first currently selected baseline.

Actual Finish

The date on which the activity actually finished. This date should be before Time Now.

Open Plan ignores any actual finish date that is later than Time Now.

When you enter an actual finish date that is before Time Now, Open Plan calculates the following values:

  • The remaining duration is calculated as 0

  • The percent complete is calculated as 100%

Expected Finish

The date on which an incomplete activity is expected to finish. This date should be on or after Time Now.

Open Plan treats an activity with an expected finish date that is before Time Now as complete.

Open Plan ignores an expected finish date that is on or later than Time Now if any of the following conditions exist:

  • If the remaining duration is 0

  • If the elapsed duration is equal or greater than the original duration

  • If the percent complete is 100%

  • If the Complete option is selected

  • If an actual finish date is entered

As Planned

With this option selected, Open Plan calculates progress based on the original duration, Time Now, and information in the Actual Start and Actual/Expected Finish fields.

Remaining Duration

This field represents the duration remaining for the activity. Open Plan uses any value you enter in this field to calculate the values in the Elapsed Duration and Percent Complete fields.

Elapsed Duration

This field represents the amount of the original duration that has elapsed. Open Plan uses any value you enter in this field to calculate the values in the Remaining Duration and Percent Complete fields. The Elapsed Duration progress type is exported by updating MSP Actual Duration.

Percent Complete

This field represents the percent of the original activity duration that is complete. Open Plan uses any value you enter in this field to calculate the values in the Remaining Duration and Elapsed Duration fields.

Complete

This field indicates that the activity is complete.

Location

To display the Activity Progress dialog box, complete the following step:

  1. Take one of the following actions:

  • Select an activity and click Progress on the Edit tab.

  • Right-click the selection button of an activity and click Progress on the context menu.

Related Topics and Procedures

Related Topics

Entering Progress Information

Using the Activity Progress Resources Tab

Using the Activity Progress Notes Tab

How Open Plan Uses Progress Information

Using the Progress Calculations Dialog Box

Related Procedures

Enter Activity Progress

Resizing the Dialog Box


Activity Progress Resources Tab

In general, this tab allows you to enter resource progress information for actual and remaining usage at the same time regular activity progress information is entered. Open Plan can use this information when resource scheduling is subsequently performed on the project.

ID

This read-only field displays the activity ID. This field can be modified on the Activity Details dialog box.

Desc.

This is a read-only field that displays the activity description. This field can be modified on the Activity Details dialog box.

Activity Physical % Complete

Use this field to enter the activity physical % complete. When you update this field, Open Plan also updates the data in the Phy. % column in the grid below.

You can only edit this field if the earned value technique (EVT) for the selected activity is Percent Complete and there is not an Actual Finish date. You select EVT on the Activity Details Advanced tab. For more information about how the EVT field affects the Physical % Complete field, see Rules for EVT and Activity Physical % Complete.

By entering the activity PPC, Open Plan calculates the resource PPCs with regard to duration, curve, offsets, and periods.

For example, assume the following:

Because of the activity duration and the offset of the second resource, the two resources overlap. When you enter the activity PPC of 38.6%, Open Plan makes the following calculations:

First, Open Plan determines the earned value of the activity by multiplying the sum of the resource assignment BACs with the activity PPC you entered:

Earned value for the activity | = (activity PPC * (sum of the res. assignment BACs))
 | = (38.6% * (600+500))
 | = 424.6

Next, Open Plan looks at the activity profile and determines in which period the earned value falls in relation to the resources:

Since only a fraction of the last period is used, Open Plan evenly distributes the earned unit amount between the two resources:

Then, Open Plan adds the earned value for each resource and divides by the resource’s BAC to determine the PPC for the resource:

PPC | R1 | PPC = (367.3 / 600) = 61.2%
 | R2 |

When you change the value in the Activity Physical Percent Complete field and tab out of the field, Open Plan recalculates the Resource Physical Percent Complete and displays this value in the Phys. % column.

Before progressing a new activity, you should run time analysis otherwise the resource assignment physical percent complete may not be updated.

Start Date

The start of the period covered by the actuals entered.

The date in this field applies to all of the resource progress records entered during the current session.

End Date

The end of the period covered by the actual quantity and actual cost values entered. If a date is entered in this field, the actual values are spread between the start and end dates. If this field is left blank, the actual values are applied on the start date.

The date in this field applies to all the resource progress records entered during the current session.

Grid

Resource

Each resource assigned to the activity is identified on two lines in this column.

  • On the first line, Open Plan displays the ID of the resource.

  • On the second line, Open Plan displays the description associated with the resource ID.

In addition, you can enter valid resource IDs in blank rows at the bottom of the table to indicate actual quantity and actual cost for unbudgeted resources.

You can also enter actuals on a row that does not contain a resource ID to have Open Plan roll up the actuals to the activity directly.

You cannot enter progress information for a resource for which resource progress is automatically calculated based on activity progress. (This setting is defined on the General tab of the Resource Details dialog box.)

For more information about the automatic creation of resource progress, see Calculating Resource Progress Automatically.

Phy. %

Open Plan displays the resource physical percent complete (PPC) in this field. This is the amount of the activity’s requirement for that resource that has been used. When you update this field, Open Plan also updates the data in the Activity Physical % Complete field above.

You can only edit this column if the earned value technique (EVT) for the selected activity is Resource % Complete. You select EVT on the Activity Details Advanced tab. For more information about how the EVT field affects the Physical % Complete field, see Rules for EVT and Activity Physical % Complete.

You can enter the PPC for each resource, or you can have Open Plan calculate the PPC based on the activity progress. If you enter the PPC at the resource level, Open Plan calculates the activity PPC for you based on the rolled up earned value of each resource. If you enter the PPC at the activity level, Open Plan calculates each resource’s PPC with regard to duration, curve, offsets, and periods.

When you change the value in the Phys. % field and tab out of the field, Open Plan recalculates the Activity Physical Percent Complete and displays this value in the Activity Physical Percent Complete field.

Note that physical percent complete at the activity level and at the resource level are interdependent and that changing one value affects the other. Open Plan uses the budgeted cost (BAC) of each resource for determining these PPC values.

For example, assume that an activity has two resource assignments (with linear requirements) as follows:

Budget (qty) | Unit Cost | Budget Cost | PPC
30 | 60 | 1800 | 25%
30 | 50 | 1500 | 50%

In this case, the activity PPC is calculated as follows:

(1800 x .25) + (1500 x .5) | = | 450 + 750 | = 36%
1800 + 1500 |  |

If you change the activity PPC at the activity level, that PPC will be applied to all resource assignments belonging to that activity with consideration for any curve, offsets, and periods.

For detailed information on how Open Plan calculates the physical percent complete at both the activity level and resource level, see Cost Calculations in the Deltek Open Plan Developer’s Guide.

Qty/Cost

This column provides heading information for the rest of the grid. For each resource identified on this tab, Open Plan provides both quantity and cost information.

Qty: By default, quantity information is displayed against a yellow background.

Cost: By default, cost information is displayed against a green background.

By default, Open Plan displays two shades of the appropriate color for both quantity and cost information. The lighter shade indicates that you can enter information in the field. The darker shade indicates that information in the field cannot be modified.

You can change these default colors using the Color tab on the Options dialog box.

Actual

This column controls the following types of data:

  • Qty: The actual quantity of the resource used during the period defined by the start and end dates. You can enter actual quantity information for some resources and have Open Plan calculate the actual quantity based on activity progress (by selecting that option in the Resource Details dialog box) for others.

  • You cannot enter actual quantity information for a resource for which resource progress is automatically calculated based on activity progress. (This setting is defined on the General tab of the Resource Details dialog box.)

  • Cost: The actual cost of the quantity of the resource used. You can enter actual costs directly for some resources and have Open Plan calculate the actual cost based on progressed quantity (by selecting that option in the Resource Details dialog box) for others.

  • You cannot enter actual cost information for a budgeted resource for which actual cost is automatically calculated based on progressed quantity.

Remaining

This column controls the following types of data:

  • Qty: When you tab to this field from the actual quantity field, Open Plan calculates the remaining quantity for resources assigned to the activity by subtracting the actual quantity from the quantity of the original resource assignment. You may overwrite the value displayed in this field. Open Plan ignores this value for unbudgeted resources or for costs entered at the activity level without reference to a resource.

  • The remaining quantity can never be less than zero. Therefore, if you have entered an actual quantity that is greater than the original resource assignment, Open Plan reports that the remaining quantity is zero.

    If you have decided not to use a resource assigned to the project, overwrite the remaining resource assignment calculated by Open Plan with a zero.

  • Cost: When you tab away from the Actual Cost field, Open Plan displays the remaining resource cost. Open Plan calculates this value as follows:

  • Budget Cost – Previous Cost

    This value is calculated only for display purposes as it is not stored in the database.

  • Since Open Plan ignores this value for unbudgeted resources or for costs entered at the activity level without reference to a resource, it is important to adjust the remaining quantities of budgeted but unused resources in cases where you have substituted unbudgeted resources or activity-level costs.

Previous

This column displays the following types of data:

  • Qty: Open Plan displays the sum of all the actual quantity records for the resource entered or calculated during previous sessions.

  • Cost: Open Plan displays the sum of all the actual cost records for the resource entered or calculated during previous sessions.

Budget

By default, Open Plan calculates budget values by rolling up the cost (escalated/unescalated) from a baseline. If a PMB exists, Cost Calculations will use this baseline. If no PMB exists, Open Plan calculates budgets using the currently selected baseline or the first selected baseline if multiple baselines are selected.

This column displays the following types of data:

  • Qty: Budget quantity for the resource calculated from the resource assignment records.

  • Cost: Escalated value of the resource’s budget cost.

Location

To display the Activity Details dialog box, complete the following step:

  1. Take one of the following actions:

  • Double-click the activity box in a network view.

  • Double-click the activity bar in a barchart view.

  • Double-click the selection button of the spreadsheet row in a spreadsheet view.

  • Select an activity and click Details on the Edit tab.

  • Right-click an activity and click Edit Activity on the context menu.

Related Topics and Procedures

Related Topics

Entering Progress Information

Using the Activity Progress Activity Tab

Using the Activity Progress Notes Tab

How Open Plan Uses Progress Information

Using the Automatic Progress Dialog Box

Related Procedures

Entering Resource Progress Information for an Activity

Resizing the Dialog Box


Activity Progress Notes Tab

This tab allows you to create, edit, or delete a note attached to the activity.

The selected activity is identified in the following two fields:

  • ID: The identifier of the selected activity

  • Description: A label associated with the selected activity ID

The Category field controls the category of the note. If you are creating a new note, you can select a category from the list of categories set up in the database.

Although you can attach multiple notes to an activity, you can attach only one note per category.

The following spell check button allows you to check the spelling in the note:

The text box can contain up to 29 KB of text about the selected activity. You can enter the text by typing directly in this field or by using the Cut, Copy, and Paste commands to insert text entered in another Windows application such as a word processor or spreadsheet.

You can enter links to files, web pages, and email addresses by entering the information in one of the following formats:

  • File links: file://c:\document.doc

  • If the file link you enter contains spaces, you must enclose the link with angle brackets ( < > ) in order for the link to work properly:
    <    file://C:\Documents and Settings\All Users\Desktop\test.txt>

  • Universal Resource Locators (URLs): http://www.deltek.com

  • Email addresses: mailto:contactus@deltek.com

When you click Apply, the note is saved with the activity, and a triangle symbol is added to the activity in spreadsheet, barchart, and network views of the project.

A note attached to an activity may also be viewed on the Notes tab of the Activity Details dialog box.

Location

To display the Activity Progress dialog box, complete the following step:

  1. Take one of the following actions:

  • Select an activity and click Progress on the Edit tab.

  • Right-click the selection button of an activity and click Progress on the context menu.

Related Topics and Procedures

Related Topics

Entering Progress Information

Using the Activity Progress Activity Tab

Using the Activity Progress Resources Tab

How Open Plan Uses Progress Information

Using the Automatic Progress Dialog Box

Using the Note Categories Dialog Box

Using the Note Category Dialog Box

Related Procedures

Attaching a Note to an Activity

Editing an Activity Note

Deleting an Activity Note

Creating a Note Category

Editing a Note Category

Deleting a Note Category

Resizing the Dialog Box


Activity Progress Steps Tab

Activity steps are similar to milestones and can add significant value to project scheduling. A scheduler can assign several steps to an activity and weight each step to apportion its value compared to other steps. Steps allow you to objectively measure the progress of an activity.

If you select Steps as the activity earned value technique (EVT), then when a step is completed, the weight on the step is used to calculate the physical percent complete on the activity, which in turn is used to calculate the earned value. If the EVT for the activity is not set to Steps, you can still define steps to provide additional information of the breakdown of the work but completing a step will not impact the physical percent complete of the activity. You select EVT for an individual activity on the Activity Details Advanced tab or the default EVT for a project on the Project Properties Preferences tab.

The steps that display on this tab follow the same order that you see in the STP_NUM column for the OPP_STP table.

Use this tab to edit certain step details such as % Complete. You can use the Activity Details dialog box Steps tab to add steps until an activity is In-Progress.

If the _UserCannotChangeBaselinedSteps user preference on the System Preferences Defaults dialog box is set to 1 and the selected activity is included in the currently selected baseline, you cannot edit step weight.

ID, Desc., Status, Duration

These fields are common to all tabs. See Common Fields for a description of these fields.

Activity Physical % Complete

When the earned value technique (EVT) for the selected activity is Steps, Activity Physical % Complete (PPC) is calculated based on the progress of the weighted steps. The value in this field is updated when the Weight, % Complete, or Completed fields are modified. The activity EVT is set on the Activity Details Advanced tab.

Activity PPC is calculated as follows: Activity PPC = the sum of (Step Weight % * Step % Complete) for each step/100

For example, if we have the following progress report:

Step Name | Step Weight % | Step % Complete
Step 1 | 10 | 100
Step 2 | 20 | 50
Step 3 | 30 | 0
Step 4 | 40 | 20

Activity Physical % Complete is calculated as follows: [(10% * 100%) + (20% * 50%) + (30% * 0%) + (40% * 20%)]/100 = 28%

For details about how PPC is calculated when EVT is set to something other than steps, see Rules For EVT and Activity Physical % Complete.

Grid

Name

This is the name of the step.

Weight

This is the step weight. This field, together with % Complete, is used in the activity Physical % Complete calculation. This field is read-only when the activity is In-Progress or Complete.

Weight %

This displays the step weight as a percentage. Since the step weights do not have to add up to 100, use this field to determine the relative weight of the step. When a step is complete, it's Weight % is added to the activity Physical % Complete.

This field is read-only when the activity is In-Progress or Complete.

% Complete

Use this column to enter the percentage complete for each step (for example, 16.32%). When this field is updated, the sum of (% Complete * Weight %) is added to the activity Physical % Complete.

This column only displays when Allow % complete on steps is selected on the Project Properties Preferences tab.

Completed

Select this check box when the step has been completed.

Change Order

Use these arrows to move a step up or down.

Note

Use this to add a note to a step.

The ABC spell check button allows you to check the spelling in the note.


Progress Calculations Dialog Box

Progress calculations are run for several reasons. Some of these are:

  • To automatically calculate activity status information

  • To update resource progress based on activity status

  • To update the physical percent complete for Earned Value calculations

To automatically enter activity status information, enter a new value for Time Now. Open Plan uses this date when it automatically updates activity status.

If you leave the default Time Now date unchanged (The default date that Open Plan shows in the Time Now field is the date you used for Time Now the last time you ran time analysis), Open Plan does not update activity status unless other options on this dialog box are changed as well. This feature is useful if you want to update only the physical percent complete or resource progress values.

By leaving Time Now unchanged, you can run progress calculations more than once during the same reporting cycle. For example, you might want to rerun progress calculations if you had not selected an option when you first performed the calculation and now want to run progress calculations with that option selected.

For example, assume that the last time you ran time analysis you used a Time Now date of January 1. (This becomes the default Time Now date in the Progress Calculations dialog box.) If you change the Time Now date in this dialog box to February 1, Open Plan assumes that all activities with dates before February 1 actually started or completed on those dates. It, therefore, updates the values in the actual date fields to be the same as the selected date fields.

Because progress calculations use dates that are calculated during time analysis, that function must be run at least once before you can perform progress calculations.

Typically, project managers might use the progress calculations feature to calculate status for large projects and then enter information for any exceptions manually.

You can also perform progress calculations in Batch Mode. This allows you to run progress calculations for multiple projects at one time. To run progress calculations in Batch Mode, select more than one project from the Details pane of the Open Plan Explorer, and click the Progress Calculations button. The Progress Calculations [Batch Mode] dialog box will be displayed. Set your options, and click OK.

If a project is closed, Open Plan will open it in Exclusive mode, perform the process, save the changes, and then close the project. If a project cannot be opened in Exclusive mode (because another user has it open in Exclusive or Shared mode), it will be skipped.

If you have a project open when the batch process is run, progress calculations will be performed on the project, but the changes will not be saved and the project will remain open. You must manually save the changes yourself.

Open Plan creates one progress calculations session log, listing the project results in the order in which the projects were processed in the batch.

Time Now

This field controls the status date to be used for the progress calculations. The date in this field should be advanced before performing this function. An ellipsis button at the right edge of the dialog box displays a calendar from which you can select and enter a date.

You can also specify the Time Now date on the Processes tab from the Schedule group.

Matching Filter

By selecting a filter from the list, you can limit the scope of the calculations performed by automatic progress. An ellipsis button at the right edge of the dialog box displays the Filters dialog box where you can edit, copy, create, or delete filters. Type your drop-down text here.

Activity Progress

If the option to Update Activity Status and Actual Dates is selected, Open Plan allows you to specify additional options.

Based On

You can specify which of the types of dates Open Plan should use in performing the calculations:

  • Early Dates

  • Late Dates

  • Scheduled Dates

  • Baseline Dates

Complete if Finished Before Time Now

If this option is selected, Open Plan treats the type of dates selected in the Based on field as complete if they finish before Time Now and enters the appropriate (early, late, scheduled, or baseline) finish date into the actual finish date field.

The progress calculations function does not affect any actual finish dates already recorded on complete activities.

In-Progress if Started Before Time Now

If this option is selected, Open Plan treats activities that meet all of the following criteria as in progress:

  • Activity starts before Time Now

  • Activity has an early finish date after Time Now

  • Activity is not already marked as complete

The progress calculations function does not affect any actual start dates recorded on activities already statused as in-progress.

For activities that it treats as in-progress, Open Plan allows you to specify which of the following values it should calculate:

  • Remaining Duration

  • Elapsed Duration

  • Percent Complete

  • Expected Finish

Resource Progress

Open Plan allows you to Update Resource Remaining Quantity and Update Resource Actual Quantity separately or at the same time. Open Plan performs the calculations based on options selected on the General tab of the Resource Details dialog box for resources defined as supporting progress calculations in the Resource (OPP_RES) table.

Earned Value

You can update the earned value of the project by selecting the Update Physical Percent Complete option. When selected (and the Base Physical Percent Complete on EVT option is not selected), Open Plan updates the physical percent complete for activities that match the selected filter based on activity status using the following formula:

PPC = (Elapsed duration / Expected duration) x 100

Where elapsed duration is calculated as (Time Now – Actual Start) and expected duration is calculated as (Finish Date – Actual Start Date)

The Finish Date is based on the user's selection of (early, late, or scheduled) dates.

The Base Physical Percent Complete on EVT option allows you to use the EVT assigned to the activities on the Advanced tab of the Activity Details dialog box when updating the physical percent complete.

Progress Dates

The Start Date and End Date fields are enabled when you chose to update resource progress or earned value.

Open Plan stores the BCWP time-phased. Therefore, you must enter a start date in the Progress Dates section.

Open Plan uses the dates to spread actual costs and quantity for the purpose of cost reporting.

Start Date

The start of the period covered by the automatic resource calculation. The date in this field is recorded as the From date on the resource actual quantity/cost record in the cost file.

If the actual start date of the activity is later than the start date defined in this field (but within the Start date – End date range), the activity actual start date is used as the Start Date in the progress calculation.

End Date

The end of the period covered by the automatic resource calculation. If a date is entered in this field, the actuals are spread between the start and end dates. If this field is left blank, the actuals are applied on the start date.

The date in this field is recorded as the To date on the resource actual quantity/cost record in the cost file.

If the actual finish date of the activity is earlier than the end date defined in this field (but within the Start date – End date range), the activity actual finish date is used as the End Date in the progress calculation.

Location

To display the Progress Calculations dialog box, complete the following step:

  1. Take one of the following actions:

  • Select the project in Open Plan Explorer and click Progress on the Processes tab.

  • Right-click the project in Open Plan Explorer and click Progress Calculations on the context menu.

It is not necessary for the project to be open.

Related Topics and Procedures

Related Topics

Calculating Resource Progress Automatically

Using the Project Properties Cost Tab

Cost Control Features in Open Plan

Understanding Open Plan Cost Calculations

Earned Value Cost Control

Cost and Schedule Variances

Cost Forecasting

Displaying Earned Value Information on a Resource Histogram

Related Procedures

Performing Progress Calculations

Calculating Project Costs

Calculating Actual Resource Costs

Calculating Budget Activity Costs

Suppressing Resource Cost Calculations


Enter Activity Progress

You can enter activity progress in a barchart or spreadsheet view, or by using the Activity Progress dialog box. This topic describes the steps for all three.

Activity Progress Dialog Box

This dialog box displays the original duration of the activity along with the current date of Time Now and the current status of the activity.

To enter activity progress information in a dialog box, complete the following steps:

  1. Select the appropriate activity, and click Progress on the Edit tab.

  2. On the Activity tab of the Activity Progress dialog box, enter the progress information for the activity. For example, you might enter an actual start and actual finish date if the activity is complete, or you might enter an actual start date and an expected finish date if the activity is in progress.

  3. Click Apply.

Barchart View

It is possible to status an activity displayed in a barchart view by manipulating the bar. By dragging the cursor from the start of the bar toward the end of the bar, you can indicate how much of the activity is complete. For a bar to be eligible for manipulation, the bar type must display early dates and must have the Drag option set to Yes. These settings are defined in the Bar Types dialog box.

To enter activity progress information in a barchart view, complete the following steps:

  1. Assign the Progress Barchart view to your project by dragging the Progress Barchart file from the Views folder in the Open Plan Library onto your project.

  2. Open the Progress Barchart view of your project.

  3. Place the cursor at the left edge of the activity bar for which you want to enter progress. (The cursor changes to a symbol.)

  4. Drag the cursor to the appropriate position.

    While you drag the end of the bar, a pop-up display indicates the remaining duration and percent complete represented by the cursor position. (To cancel the new progress information, press Esc.)

The progress represented by dragging the cursor is linear even if the date scale is non-linear.

Spreadsheet View

When entering progress information using this view, note that the setting of the Progress Type field determines how Open Plan interprets the Progress Value field. For example, if you entered Percent Complete for the Progress Type field, Open Plan interprets the Progress Value field as a percentage.

You cannot modify the Accomplished Duration and Remaining Duration fields as they are calculated by Open Plan.

To enter activity progress information in a spreadsheet view, complete the following steps:

  1. Assign the Progress Spreadsheet view to your project by dragging the Progress Spreadsheet file from the Views folder in the Open Plan Library onto your project.

  2. Open the Progress Spreadsheet view of your project.

  3. For each activity for which you want to enter progress information, enter actuals data using the following columns:

  • Actual Start: Date on which an activity was started.

  • Actual Finish: Date on which an activity was completed.

  • Progress Type: You can select from the following progress types:

    • Complete

    • Elapsed Duration

    • Percent Complete

    • Planned

    • Remaining Duration

The value you select in this field determines how Open Plan interprets the Progress Value.

  • Progress Value: The value you enter in this field depends on your selection in the Progress Type column:

    • If you have selected either Complete or Planned in the Progress Type column, leave this field blank.

    • If you have selected Elapsed Duration, Percent Complete, or Remaining Duration in the Progress Type column, enter the appropriate value in this field.

Related Topics and Procedures

Related Topic

Entering Progress Information

Related Procedure

Entering Resource Progress for an Activity


Perform Progress Calculations (Procedure)

Perform Progress Calculations

To perform progress calculations, complete the following steps:

  1. Select the project for which you want to perform progress calculations.

  2. On the Processes tab, click Progress Calculations.

  3. In the Progress Calculations dialog box, select the appropriate options and click OK.

Related Topics and Procedures

Related Topic

Using the Progress Calculations Dialog Box

Related Procedures

Calculating Budget Activity Costs

Calculating Resource Costs

Calculating Project Costs

Enter Activity Progress

Setting a Target Cost for the Project

Calculating Resource Costs

Suppressing Resource Cost Calculations

Viewing a Progress Calculations Session Log


Viewing a Progress Calculations Session Log (Procedure)

Viewing a Progress Calculations Session Log

To view the progress calculations session log, complete the following steps:

  1. On the Processes tab, click Open Log.

  2. In the Open Plan Log Viewer, click the Progress Calculations tab.

Related Topics and Procedures

Related Topic

Progress Calculations Session Log

Related Procedures

Performing Progress Calculations

Calculating Budget Activity Costs

Calculating Resource Costs

Suppressing Resource Cost Calculations

Calculating Project Costs


Entering Resource Progress Information for an Activity (Procedure)

Entering Resource Progress Information for an Activity

To enter resource progress at the activity level, complete the following steps:

  1. Select the activity for which you want to enter progress information.

  2. Take one of the following actions:

  • On the Edit tab, click Progress.

  • Right-click the row button of an activity, and click Progress on the context menu.

  • Double-click the activity, and click Progress in the Activity Details dialog box.

  3. In the Activity Progress dialog box, click the Resources tab.

  4. In the Start Date and End Date fields, enter the date range to apply to all resource progress records to be entered during this session.

  5. Take one of the following actions:

  • Enter actuals information for a displayed resource. This action allows you to enter actuals information for a resource budgeted for the activity.

  • Enter a valid resource ID in a blank row, and enter actuals information for that resource. This action allows you to enter actual quantity and cost information for unbudgeted resources.

  • Enter actuals information on a blank row, leaving the Resource field blank. This action allows Open Plan to roll up actuals information directly to the activity.

  6. When you have finished entering resource progress information for the activity, click Apply.

Related Topics and Procedures

Related Topic

Using the Activity Progress - Resources Tab

Related Procedures

Enter Activity Progress

Calculating resource progress


View Project Progress

To view project progress information, complete the following steps:

  1. Select the appropriate project.

  2. Take one of the following actions:

  • On the Processes tab, click Properties.

  • Right-click the project, and click Properties on the context menu.

  3. In the Project Properties dialog box, click the Status tab.

You can view the Project Properties dialog box without having to first open the project.

Related Topics and Procedures

Related Topic

Project Progress


Cost Control Features in Open Plan

Managing the cost of a project may be at least as important as managing the schedule for most project managers. Yet the cost management functions provided by most project management packages seldom yield satisfactory results, in large part because these types of cost systems cannot cope with the wide variety of methods employed by different organizations to plan, track, and report on costs. In Open Plan, cost-related features are designed to provide basic functionality while allowing planners and managers the maximum amount of flexibility to set up cost management systems tailored for their specific environments.

If you require extensive cost management and reporting features for your projects, Deltek Cobra, Deltek’s cost management software, may be more appropriate to your needs. Cobra is a powerful and sophisticated earned value management package that can use project-related data generated by Open Plan. For more information about Cobra, contact your Deltek representative.

Open Plan allows you to capture all of the elements of cost and schedule required by a typical earned value cost control system:

  • Budgeted costs: Open Plan allows you to enter and store time-phased budgets by any or all of the four categories

  • Actual costs: When entering resource progress, you can enter actual costs both as quantities of resource units and as costs. You can also enter actual cost directly against an activity if you do not track actuals back to the resource.

  • Baseline dates: You can store either early, late, or scheduled dates for activities in a project baseline. You can also create multiple baselines for a project to allow you to base earned value calculations on different stages of project development.

  • Physical percent complete: When entering information about the progress of an activity, you can enter a separate estimate for the physical completion of the activity.

Related Topics and Procedures

Related Topics

Understanding Open Plan Cost Calculations

Earned Value Cost Control

Cost and Schedule Variances

Cost Reporting

Interproject Calculations

Planning Costs

Related Procedures

Calculating Project Costs

Calculating Actual Resource Costs

Calculating Budget Activity Costs


Earned Value Cost Control

Although it is possible to set up a rudimentary cost management system that tracks budgeted and actual costs for a project, most organizations find such an approach far too limiting. Budgeted and actual costs do not, in themselves, provide enough information for a manager to determine if the work currently in progress is, in fact, over- or under-budget. For example, assume you have planned an activity with an initial budget of $1000 spread evenly over the course of the activity. Midway through its planned duration, the activity has recorded actual costs of $500. Is the activity over or under budget? That depends entirely on an estimate of the physical completion of the activity. If the activity has achieved only 25% of its intended results, for example, it is clearly over budget (it has taken $500 to achieve what was originally planned to cost $250). If the activity is 50% complete, however, the same actual costs indicate that the activity is being performed according to its budget.

Since earned value is measured as a percentage of the budget, it is necessary to create a Performance Measurement Baseline (PMB) against which performance, or earned value, is measured. The PMB is a copy of the project plan at the beginning of the project and represents the approved budget. When approved budget changes occur, these changes are reflected in the PMB. Thus, you have a separation between the forecasted cost and the approved budgeted cost once the project is underway.

For more information about the PMB, see Project Baselines.

Measuring the work performed against a performance measurement baseline is typically called an earned value management system. To establish the systematic accounting of earned value, a project manager must have access to the following information:

  • Performance Measurement Baseline

  • Physical percent complete (an estimate of the work that has actually been performed by Time Now)

  • Actual costs to date

  • Forecast

With this information, the five principal elements of earned value cost control can be defined:

  • Budgeted cost of work scheduled (BCWS): The budgeted cost of the work that should have been completed to Time Now, according to the PMB.

  • Budget at complete (BAC): The total budgeted cost of the work according to the PMB.

  • Budgeted cost of work performed (BCWP): The budgeted cost of the actual portion of the scheduled work that has been completed (or earned value)

  • Actual cost of work performed (ACWP): The actual costs expended to perform the work completed

  • Estimate at Complete (EAC): The estimated remaining costs plus the actual costs expended.

Typically, these values are represented as cumulative cost curves in graphic displays:

Taken together, these values (BCWS, BAC, BCWP, ACWP, and EAC) form the core of an earned value cost control system.

Related Topics and Procedures

Related Topics

Managing Costs Overview

Cost and Schedule Variances

Cost Control Features in Open Plan

Understanding Open Plan Cost Calculations

Using the Cost Calculations Dialog Box

Cost Forecasting

Using the Progress Calculations Dialog Box

Histogram Preferences Earned Value Tab

Displaying Earned Value Information on a Resource Histogram

Related Procedures

Calculating Project Costs

Calculating Actual Resource Costs


Open Plan Cost Calculations

Cost calculations are among the most feature-rich aspects of Open Plan. Using cost calculations, you can calculate current values for both budget and actual costs, compare these values to baseline budget and actual costs, and calculate earned value. The following discussion is provided to give you a general understanding of how Open Plan calculates these values.

In Open Plan, all costs come from the cost of the resources assigned to a project. This means that unless a project uses resources, you cannot use Open Plan to calculate or display costs.

Costs calculations take place at all levels within a project.

Cost Calculations at the Resource Level

The manner in which resources are assigned has ramifications for the way the resource cost is calculated. In Open Plan, resources can be assigned in either of the following two ways:

  • Total: When resources are assigned using any of the available spread curves, Open Plan interprets the value as a specified total of resource units required by an activity regardless of the activity duration. Resources that are assigned in this way can be multiplied by a unit rate to yield a currency value.

  • Level: When resources are assigned without using a spread curve, Open Plan interprets the value as a specified level of resource units required by the activity for each time unit. Resources that are assigned in this way must first be multiplied by a duration before you can apply a rate to yield a currency value. The duration used in this calculation can be either the resource duration (called a period) or the duration of the activity to which the resource is assigned. If it is entered, Open Plan uses the resource period in preference to the activity duration.

Depending on how the resource is defined in the Resource Details dialog box, the rate used in calculating the resource cost can be either a flat rate or one that can escalate over time.

Open Plan recognizes four types of resource category:

  • Labor

  • Material

  • Other Direct Costs

  • Subcontract

The category type for each resource is defined on the Resource Details dialog box. Each category is rolled up to fields on the activity by category.

For labor resources, Open Plan rolls up the budget, earned value, scheduled value, actual quantities, and remaining quantities to the activity and subproject levels of the project provided that:

  • Budget is stored in the BAC_QTY field of the activity.

  • Earned value is stored in the BCWP_QTY field of the activity.

  • Scheduled value is stored in the BCWS_QTY field of the activity.

  • Actual quantities are stored in the ACWP_QTY field of the activity.

  • Remaining quantities are stored in the ETC_QTY field of the activity.

For all resource classes, the resource definition table contains a field called the Roll Cost flag. The value of this field is set to True by default. If you change this value to False for a specific resource, Open Plan does not use that resource during cost calculations. To set the value to False, clear the Consider in Cost Calculations option on the General tab of the Resource Details dialog box for that resource.

Cost Calculations at the Activity Level

Open Plan stores the rolled-up values of the budget and actual cost of resources in the activities to which the resources are assigned.

In addition, if a baseline is applied to the project, the cost calculations process can also calculate the budgeted cost of the work scheduled for each activity. Open Plan performs this calculation by looking at what baseline budget value should have been accomplished by the current Time Now date.

Open Plan uses the Project Measurement Baseline (PMB) for this calculation if it exists. If the PMB does not exist, Open Plan uses the currently selected baseline, or, in the case of multiple baselines, the first selected baseline.

Activities also take advantage of many calculated fields to derive values from those that are rolled up. For a list of fields and their calculations, see Cost Reporting.

Cost Calculations at the Subproject Level

Subprojects may have their own resources assigned to them. Typically, resources that are assigned at the subproject level are those that work as long as the subproject takes. These are known as Level of Effort resources. The cost calculations that are performed at the subproject level are the same as those performed at the activity level.

In addition, the Include Child Activity Values in Subproject Costs option in the Cost Calculations dialog box has ramifications for cost calculations:

  • If this option is selected, Open Plan rolls up budget and actual values from child activities to their parent subprojects.

  • If this option is cleared, a subproject calculates budget values from its own resources but not from child activities.

If you report on a project using grouped views, you may wish to turn this feature off in order to avoid double counting the activity cost by including it in both the activity and its parent subproject.

The subproject physical percent complete (PPC) is calculated by summing the activity BCWP values of the activity and dividing by the summed baseline BAC cost fields for all categories:

Subproject PPC =

Sum(BCWP_CST)

Cost Calculations at the Project Level

Projects inherit their rolled up physical percent complete, budget costs, and actual costs from these values in their activities.

  • Activity

  • Subproject

  • Project

Related Topics and Procedures

Related Topics

Managing Costs Overview

Earned Value Cost Control

Cost and Schedule Variances

Cost Reporting

Interproject Calculations

Planning Costs

Related Procedures

Calculating Project Costs

Calculating Actual Resource Costs

Calculating Budget Activity Costs


Cost and Schedule Variances

After the principal elements of cost control are established, two important variances can be calculated: cost variance and schedule variance.

Open Plan calculates cost variances by subtracting ACWP from BCWP.

Using this formula, a positive value indicates a "favorable" cost variance because it means that the actual cost of the work performed was less than was budgeted. Similarly, a negative value represents an "unfavorable" cost variance because it means that the actual cost of the work performed was more than was budgeted.

Open Plan calculates schedule variances by subtracting BCWS from BCWP.

As in the case of cost variances, a positive value represents a "favorable" schedule variance, while a negative value indicates an "unfavorable" schedule variance.

The link between the two variances is BCWP or earned value, which is used as the starting point for both calculations. Using BCWP in this manner makes it possible to measure schedule variance in terms of cost (for example, dollars) or hours. This may seem strange, but this value gives a convenient summary of the budget, actual cost, and project status in numbers that can be compared to each other. Keep in mind, however, that this approach is not a true alternative to critical path scheduling for measuring the likely impact of potential delays since the amount budgeted for particular activities may or may not accurately reflect the importance of those activities to the overall schedule of the project.

Related Topics and Procedures

Related Topics

Managing Costs Overview

Cost Forecasting

Cost Control Features in Open Plan

Understanding Open Plan Cost Calculations

Earned Value Cost Control

Using the Progress Calculations Dialog Box

Histogram Preferences Earned Value Tab

Viewing Cost and Earned Value Data

Displaying Earned Value Information on a Resource Histogram

Related Procedures

Calculating Project Costs

Calculating Actual Resource Costs


Capturing Actual Costs

You can capture actual costs in the following ways:

  • Open Plan calculates actual costs: You can have Open Plan calculate the actual costs based on both progress information and the cost of the assigned resource.

  • The manner in which Open Plan calculates actual costs depends on settings that you make on the General tab of the Resource Details dialog box for each resource assigned to an activity. For example, you can select the Actual Cost Based on Progressed Quantity option to have Open Plan calculate this value. If you select this option, the actual costs for a resource will be calculated and posted to the file when you run progress calculations. The actual costs posted will be calculated from the actual units (reported or calculated) multiplied by the resource rate.

  • If you then display the Activity Progress dialog box for an activity to which the resource is assigned, you can see that the Actual Cost field is shaded, indicating that you cannot edit the value and that it will be calculated by Open Plan.

  • Manually enter actual costs: If you do not select the Actual Cost Based on Progressed Quantity option in the Resource Details dialog box, you can enter the actual costs information manually at the activity level using the Resources tab of the Activity Progress dialog box.

    • This dialog box allows you to enter actual costs for the following types of resources:

    • Budgeted cost resources

    • Budgeted standard resources

    • Unbudgeted cost resources (that is, cost resources for which no assignments exist)

    • Unbudgeted standard resources (that is, standard resources for which no assignments exist)

    Since actual costs are spread over a date range, you must enter the start of the period for which you are entering actual costs; the end date is not required. You can enter both the actual quantity and actual cost for each resource. To add a new resource that was unbudgeted, add it to the bottom of the list.

  • By allowing you to enter costs for both budgeted and unbudgeted resources, Open Plan provides the flexibility required for situations in which costs are planned using one set of resources but are actually performed by a different set.

    It is also possible to enter actual costs directly at the activity level without any reference to either cost or standard resources. For planners who are only interested in tracking actual costs, this feature allows for the capture of actual cost information without requiring the definition of budgets beforehand.

  • For more information about entering progress, see Entering Progress Information.

  • Import actual costs from a third-party system.

Related Topics and Procedures

Related Topics

Understanding Open Plan Cost Calculations

Using the Cost Calculations Dialog Box

Calculating Actual Activity Costs

Entering Progress Information

Using the Activity Progress Activity Tab

Using the Activity Progress Resources Tab

How Open Plan Uses Progress Information

Related Procedures

Entering Resource Progress Information for an Activity

Entering Actual Activity Costs


Calculating Earned Value

Open Plan calculates earned value by multiplying the physical percent complete by the budget cost.

Related Topics and Procedures

Related Topic

Entering Physical Percent Complete

Related Procedure

Calculate Earned Value


Calculating Actual Activity Costs

Open Plan calculates activity actual cost during the cost calculations process by rolling up user-entered actual costs or by multiplying the actual quantity by the resource rate for resources set to automatically calculate costs.

To calculate actual costs for activities, use the Cost Calculations command (Processes tab » Calculate » Cost) to display the Cost Calculations dialog box.

If you indicated that Open Plan should calculate actual costs for resources based on resource progress, the Cost Calculations command also generates these costs at this time. When you select Actual Cost or Remaining Cost, the cost calculations roll up the actual or remaining labor units to the activity and subproject level.

Related Topics and Procedures

Related Topics

Cost Control Features in Open Plan

Understanding Open Plan Cost Calculations

Using the Cost Calculations Dialog Box

Calculating Budget Costs for Activities

Using the Progress Calculations Dialog Box

Related Procedures

Calculating Actual Activity Costs

Calculating Project Costs

Calculating Actual Resource Costs

Calculating Budget Activity Costs

Entering Actual Activity Costs


Calculating Budget Costs for Activities

Once you have assigned individual costs and resources to your activities, you can have Open Plan roll up these budgets to the activity level. Using the Cost Calculations dialog box, you can have Open Plan perform the following budget cost calculations:

  • You can base the calculations on early, late, or scheduled dates.

  • You can indicate if Open Plan should use only base resource unit costs for the calculations or consider cost escalations as well.

Related Topics and Procedures

Related Topics

Cost Control Features in Open Plan

Understanding Open Plan Cost Calculations

Using the Cost Calculations Dialog Box

Using the Progress Calculations Dialog Box

Calculating Actual Activity Costs

Related Procedure

Calculating Budget Activity Costs


Cost Forecasting

By projecting cost variances into the future, you can use earned value calculations to forecast project completion costs. Forecast of remaining cost (ETC) and work is always based on the schedule and can be calculated from early, late, or schedule dates using the remaining quantity of the resource and either escalated or un-escalated rates. If the activity has not yet started, the resource assignments on the activity are the forecast. For activities in progress, the remaining quantity and cost represent the forecast. This plus the actual costs comprise the estimate at complete. Changing the resource assignments on activities changes the forecast without changing the budget.

To calculate cost forecasting, you must first establish a value for the total budgeted cost (that is, a cumulative BCWS) for the project. This value is usually referred to as the Budget at Completion (BACcum).

After the Budget at Completion is established, an estimated cost at completion (Estimate At Complete or EAC) can be calculated using the following expression: EAC = ACWPcum + ETC

This forecast of completion projects the current cost variance through the remainder of the project, assuming that all future work will proceed according to plan.

It is also possible to develop forecasts based on the assumption that past performance trends will continue to the end of the project. One way to do this is to define a Cost Performance Index (CPI) that reflects the efficiency with which value is earned, for example: CPI = BCWP / ACWP

Related Topics and Procedures

Related Topics

Cost Control Features in Open Plan

Understanding Open Plan Cost Calculations

Earned Value Cost Control

Cost and Schedule Variances

Using the Progress Calculations Dialog Box

Histogram Preferences Earned Value Tab

Viewing Cost and Earned Value Data

Displaying Earned Value Information on a Resource Histogram

Related Procedures

Calculating Project Costs

Calculating Actual Resource Costs


View Cost and Earned Value Data

Once you have calculated budget costs for activities, you can display this cost information using the Cost tab of the Activity Information dialog box. The Cost tab displays budgeted and actual costs calculated at the activity level for the following by resource category:

  • BAC: Budget at Completion

  • BCWS: Budgeted Cost of Work Scheduled

  • BCWP: Budgeted Cost of Work Performed (also referred to as Earned Value.)

  • ACWP: Actual Cost of Work Performed

  • EAC: Estimate at Complete

Labor Quantity values are also shown.

You can display budgeted costs rolled up to the project level. To see these values, display the Cost tab of the Project Properties dialog box.

For a description of the types of costs displayed in the grid, see the Glossary.

Related Topics and Procedures

Related Topics

Using the Progress Calculations Dialog Box

Using the Project Properties Cost Tab

Cost Control Features in Open Plan

Understanding Open Plan Cost Calculations

Earned Value Cost Control

Cost and Schedule Variances

Cost Forecasting

Displaying Earned Value Information on a Resource Histogram

Related Procedures

Calculating Actual Activity Costs

Calculating Project Costs

Calculating Actual Resource Costs

Calculating Budget Activity Costs


Planning Costs

For planners who want to fully utilize Open Plan as an earned value management system, there are a number of features for working with cost information.

  • You can report on high-level summaries of resource costs based on the resource category or the hierarchy of a resource breakdown structure.

  • You can choose which resources to consider in cost calculations.

  • You can define escalated and unescalated rates for resources, resource pools, and skills.


Setting Up Categories

If you wish to roll up resource costs into categories, you need to specify the appropriate category for the resource. There are four resource categories:

  • Labor

  • Material

  • Other Direct Costs

  • Subcontract

You can select a resource’s category on the General tab of the Resource Details dialog box. Selecting the Progress Based on Activity Progress option instructs Open Plan to calculate the actual and remaining resource requirements based on the activity progress during progress calculations. Select the Consider in Cost Calculations option if you want these resource costs to appear in the cost summaries.


Setting Up Resource Rates

For each resource, you should enter a base unit cost. If the resource is a Labor resource, the units are typically hours and the unit cost will be the present value of the direct labor rate. If the resource is a Material or Other Direct Cost, unit cost is typically 1 and the units are dollars. However, if you have very large dollar values, you can enter units of 1000 and enter the resource level in thousands of dollars. Depending on your needs, Subcontract resources may be treated as either labor or material. As an option, you can also define a set of escalations for the cost.

For more information about setting up resource files and defining resources, see the Resource Details Dialog Box.


Assigning Resources

To define budgets using resources, you must first define the resources in a resource file and then attach the resource file to the project. Then you add resource assignments to the activities.

You can define the assignment as a total to be spread based on a curve. This allows you, for example, to enter budgets as totals that are front- or back-loaded over the duration of the activity. By using a total, the budget does not change as the duration changes. Resources can also be assigned as a rate per day by leaving the curve field blank.

For more information on defining resources, see Defining Resources and Defining Resource Profiles.


Calculating Costs

Open Plan calculates costs and stores them at the detail level, allowing you to store time-phased quantity, cost, and escalated cost by resource and activity. All activity costs represent a roll up of these detailed costs. Because open Plan stores both costs and quantities, the resource rates that are in effect when the progress is calculated are locked in.

Once you have assigned resources to your activities, you can have Open Plan roll up these costs to the activity level. To calculate budget costs for activities, click Cost Calculations on the Processes tab to display the Cost Calculations dialog box.

For more information on how detail costs are calculated, see Cost Calculations, in the Deltek Open Plan Developer’s Guide.

Group Process Cost Calculations

You can also perform cost calculations in Batch Mode. This allows you to run cost calculations for multiple projects at one time. To run cost calculations in Batch Mode, select more than one project from the Details pane of the Open Plan Explorer, and click Cost Calculations on the Preferences tab. The Cost Calculations [Batch Mode] dialog box displays. Set your options, and click OK.

If a project is closed, Open Plan will open it in Exclusive mode, perform the process, save the changes, and then close the project. If a project cannot be opened in Exclusive mode (because another user has it open in Exclusive or Shared mode), it will be skipped. If you have a project open when the batch process is run, a cost calculation will be performed on the project, but the changes will not be saved and the project will remain open. You must manually save the changes yourself.

Cost calculations for multiple projects can also be run by selecting a group of projects and clicking Cost Calculations on the Processes tab. Open Plan creates one cost calculation session log, listing the project results in the order in which the projects were processed in the batch.

Budget Cost

By default, Open Plan normally calculates budget values by rolling up the (escalated/unescalated) cost from a baseline. If a PMB exists, Cost Calculations will use this baseline. If no PMB exists, Open Plan calculates budgets using the currently selected baseline or the first selected baseline if multiple baselines are selected.

By always using the same baseline (regardless of which baseline is selected) for calculating budgets, Open Plan provides consistency and reliability.

If no baseline (PMB or otherwise) exists, Open Plan will calculate budgets from resources directly assigned to activities as versions prior to 3.x did. You can set this as the default project behavior by selecting the Use Version 2 Cost Calculation Method option on the Cost tab of the Project Properties dialog box.

Creating and Using a Baseline

After your project is well-planned and the schedule and resource loading is the way you want it, you will want to create a performance measurement baseline (PMB). Creating a PMB ensures that all future budget and earned value calculations will be based on these values.

For more information about the PMB, see Project Baselines.

Related Topics and Procedures

Related Topic

Planning Costs

Related Procedure

Calculate Budget Activity Costs


Cost Calculations Dialog Box

In Open Plan, cost calculations is the process of calculating resource hours and costs at the activity, resource, subproject, and project level. This feature is also used for calculating earned value. This dialog box controls the way Open Plan performs cost calculations.

In order to ensure that baseline cost values are correct, it is important that you calculate costs using this command before you create or save a baseline.

When calculating costs, Open Plan aggregates the resource costs for each activity (including subprojects) and for the project as a whole. These project costs are reflected on the Cost tab of the Project Properties dialog box.

Unless you specify otherwise, resource costs are automatically rolled up to the activities and subprojects to which the resources are assigned. You can, however, prevent selected resources from having their costs rolled up by setting the Roll Cost flag to False for those resources. This feature allows you to maintain alternative pricing information for activities without duplicating costs.

The Cost Calculations command also rolls up budgeted, actual, and remaining labor units to the activity and subproject levels.

In the calculation, Open Plan rolls up physical percent complete. This is accomplished by rolling up the earned value to the parent level, dividing the total by the parent budget value, and then multiplying by 100.

You can also perform cost calculations in Batch Mode. This allows you to run cost calculations for multiple projects at one time. To run cost calculations in Batch Mode, select more than one project from the Details pane of the Open Plan Explorer, and click the Cost Calculations button. The Cost Calculations [Batch Mode] dialog box will be displayed. Set your options, and click OK.

If a project is closed, Open Plan will open it in Exclusive mode, perform the process, save the changes, and then close the project. If a project cannot be opened in Exclusive mode (because another user has it open in Exclusive or Shared mode), it will be skipped.

If you have a project open when the batch process is run, cost calculations will be performed on the project, but the changes will not be saved and the project will remain open. You must manually save the changes yourself.

Open Plan creates one cost calculations session log, listing the project results in the order in which the projects were processed in the batch.

Budget Cost

This option controls whether Open Plan should calculate the budgeted costs for the resources assigned to each activity in the project. When this option is selected, Open Plan populates the following fields on the activity table:

Name | Field Name
Activity Budget Cost | BAC
Labor Budget Cost | BAC_LAB
Material Budget Cost | BAC_MAT
Subcontractors Budget Costs | BAC_SUB
Other Direct Costs Budget Costs | BAC_ODC
Labor Budget Quantity | BAC_QTY

Based On Dates

If you select Budget Cost or Remaining Cost, you can also select whether calculations should be based on early dates, late dates, or scheduled dates.

Remaining Cost

This option controls whether Open Plan should calculate the remaining costs for resources that are assigned to each progressed activity in the project.

Open Plan calculates remaining costs for only those resources that have the Progress Based on Activity Progress option selected in the Resource Details dialog box.

When this option is selected, Open Plan populates the following fields on the activity table.

Name | Field Name
Labor Remaining Cost | ETC_LAB
Material Remaining Cost | ETC_MAT
Subcontractors Remaining Costs | ETC_SUB
Other Direct Costs Remaining Costs | ETC_ODC
Labor Remaining Quantity | ETC_QTY

Actual Cost

This option controls whether Open Plan should calculate the actual costs for resources that are assigned to each progressed activity in the project.

Open Plan calculates actual costs for only those resources that have the Actual Cost Based on Progressed Quantity option selected in the Resource Details dialog box.

When this option is selected, Open Plan populates the following fields on the activity table:

Name | Field Name
Labor Actual Cost | ACWP_LAB
Material Actual Cost | ACWP_MAT
Subcontractors Actual Costs | ACWP_SUB
Other Direct Costs Actual Costs | ACWP_ODC
Labor Actual Quantity | ACWP_QTY

Earned Value (BCWP and BCWS)

A cost control that allows you to quantify the overall progress of the project in monetary terms. Earned value is calculated by multiplying the physical percent complete by the planned cost. Another term for earned value is budgeted cost of work performed (BCWP).

Use Resource Cost Escalation

This option controls whether Open Plan should use escalated or unescalated resource costs when calculating costs.

  • If selected, this option instructs Open Plan to use escalated resource costs when calculating project costs.

  • If cleared, this option instructs Open Plan to use unescalated resource costs when calculating project costs.

Include Child Activity Values in Subproject Costs

This option controls whether Open Plan should roll child activity costs up to the subproject level:

  • If selected, this option instructs Open Plan to roll up the child activity costs. This is the default setting.

  • If cleared, this option instructs Open Plan to not roll up child activity costs.

Time Analyze Before Cost Calculation

When this option is selected, Open Plan performs Time Analysis before calculating costs.

You can set Open Plan to automatically perform Cost Calculation after running Time Analysis by selecting the Run Cost Calculations after Time Analysis option on the Options tab within the Time Analysis dialog box.

Location

To display the Cost Calculations dialog box, complete the following step:

  1. Take one of the following actions:

  • Select the project in Open Plan Explorer, and click Cost on the Processes tab in the Calculate menu group.

  • Right-click the project in Open Plan Explorer and click Cost Calculations on the shortcut menu.

It is not necessary for the project to be open.

Related Topics and Procedures

Related Topics

Planning Costs

Related Procedures

Calculate Budget Activity Costs

Calculate Actual Activity Costs

Calculate Actual Resource Costs

Calculate Project Costs


Calculating Actual Activity Costs (Procedure)

Calculating Actual Activity Costs

To calculate actual costs for activities, complete the following steps:

  1. Open the project for which you want to calculate actual activity costs.

  2. Display the Resource Details dialog box for a resource assigned to the activity whose costs you want to calculate.

  3. Ensure that the appropriate settings are selected or cleared:

    • Progress Based on Activity Progress: Selecting this option instructs Open Plan to calculate progress for the activity using an actual quantity of the cost resource. Clearing this option allows you to enter progress for an activity using an actual quantity of the cost resource.

    • Actual Cost Based on Progressed Quantity: Clearing this option allows you to enter progress for an activity using an actual cost of the cost resource.

  4. Click Apply.

  5. Display the Activity Progress dialog box for the activity whose costs you want to calculate.

  6. Enter the appropriate progress information for the cost resource and click Apply.

  7. On the Processes tab, click Cost Calculations.

  8. In the Calculate Costs dialog box, select Actual Cost and click OK.

  9. To view the actual costs for the activity, display the Cost tab of the Activity Information dialog box.

Batch Mode

You can also perform cost calculations in Batch Mode. This allows you to run cost calculations for multiple projects at one time. To run cost calculations in Batch Mode, select more than one project from the Details pane of the Open Plan Explorer, and click Cost Calculations. The Cost Calculations [Batch Mode] dialog box displays. Set your options, and click OK.

If a project is closed, Open Plan will open it in Exclusive mode, perform the process, save the changes, and then close the project. If a project cannot be opened in Exclusive mode (because another user has it open in Exclusive or Shared mode), it will be skipped.

If you have a project open when the batch process is run, cost calculations will be performed on the project, but the changes will not be saved and the project will remain open. You must manually save the changes yourself.

Open Plan creates one cost calculations session log, listing the project results in the order in which the projects were processed in the batch.

Related Topics and Procedures

Related Topic

Using the Cost Calculations Dialog Box

Related Procedures

Calculating Budget Activity Costs

Calculating Resource Costs

Calculating Project Costs

Enter Activity Progress

Setting a Target Cost for the Project

Performing Progress Calculations

Calculating Resource Costs

Suppressing Resource Cost Calculations


Calculate Actual Resource Costs (Procedure)

Calculate Actual Resource Costs

To calculate resource costs based on resource progress information, complete the following steps:

  1. On the General tab of the Resource Details dialog box, select the Actual Cost Based on Progressed Quantity option.

  2. On the Resources tab of the Activity Progress dialog box, enter the actual quantity of the resource used and click OK.

  3. On the Processes tab, click Cost Calculations.

  4. In the Calculate Costs dialog box, select the Actual Cost option.

  5. If you want Open Plan to use escalated resource costs, select the Use Resource Cost Escalation option and click OK.

  6. Display the Activity Information dialog box to view the calculated resource costs for the activity.

Related Topics and Procedures

Related Topic

Resource Details General Tab

Related Procedures

Calculating Resource Progress Based on Activity Progress

Suppressing Resource Cost Calculations

Performing Time Analysis

Viewing a Progress Calculations Session Log

Performing Progress Calculations


Calculate Budget Activity Costs (Procedure)

Calculate Budget Activity Costs

To calculate budget costs for activities, complete the following steps:

  1. Open the project for which you want to calculate budget costs.

  2. Decide on the type of dates (early, late, or scheduled) on which you will base the budget.

  3. If you plan to use scheduled dates, perform resource scheduling. (This step is optional if you will use either early or late dates.)

  4. On the Processes tab, click Cost Calculations.

  5. In the Calculate Costs dialog box, select Budget Cost.

  6. In the Based On field, select the type of dates (early, late, or scheduled) on which you want the budget to be based.

  7. If you want Open Plan to use escalated resource costs, select the Use Resource Cost Escalation option and click OK.

  8. Display the Activity Information dialog box to view the calculated budget for the activity.

Related Topics and Procedures

Related Topic

Using the Cost Calculations Dialog Box

Related Procedures

Calculating Actual Activity Costs

Calculating Resource Costs

Suppressing Resource Cost Calculations

Calculating Project Costs

Setting a Target Cost for the Project

Performing Progress Calculations


Calculate Earned Value

To calculate earned value, complete the following steps:

  1. Open the project for which you want to calculate earned value.

  2. Take one of the following actions:

  3. On the Processes tab, click Cost Calculations.

  4. Right-click a project and select Cost Calculations from the context menu.

  3. In the Cost Calculations dialog box, select Earned Values (BCWP and BCWS).

  4. Click OK.


Calculate Project Costs (Procedure)

Calculate Project Costs

To calculate project costs, complete the following steps:

  1. Open the project for which you want to calculate project costs.

  2. Perform time analysis, and if appropriate, resource scheduling.

  3. Use the Activity Progress dialog box to enter progress information for all activities that are underway.

  4. On the Processes tab, click Cost Calculations.

  5. Enter the cost calculation information and click OK.

Related Topics and Procedures

Related Topic

Using the Cost Calculations Dialog Box

Related Procedures

Calculating Resource Costs

Suppressing Resource Cost Calculations

Calculating Budget Activity Costs

Calculating Actual Activity Costs

Enter Activity Progress

Setting a Target Cost for the Project

Performing Progress Calculations


Creating a Project Budget in Open Plan (Procedure)

Creating a Project Budget in Open Plan

To create a project budget in Open Plan, complete the following steps:

  1. Create the project activities.

  2. Create the relationships between the activities. (This step is optional. While this step is frequently used, many project planners prefer to omit the project logic at this stage and plan a project using activity target dates.)

  3. Decide how the project will be managed. Will you use early, late, or scheduled dates?

  4. Run time analysis to establish the project schedule.

  5. Assign a resource file to the project. Depending on how you plan to manage budgets and costs, this resource file may have any combination of labor, material, other direct cost, and subcontract resources.

  6. Assign resource requirements to the activities in the project.

  7. If you plan to manage the project using scheduled dates, run resource scheduling. (This step is not necessary if you will manage the project using either early or late dates.)

  8. Run cost calculations using the following settings:

    • Select Budget Cost.

    • Select the type of dates (early, late, or scheduled) on which the budget should be based.

    • Select Use Resource Cost Escalation. (This is optional.)

  9. Display the Project Properties dialog box to view the calculated budget for the project.

  10. If appropriate, make any needed changes. For example, if the resource budget is too high, you might consider using less expensive resources or changing the amount of the resource assignment.

Related Topics and Procedures

Related Topic

Using the Cost Calculations Dialog Box

Related Procedures

Performing Time Analysis

Creating a Resource-Based Schedule

Performing Resource Scheduling

Calculating Budget Activity Costs


Suppress Resource Cost Calculations(Procedure)

Suppress Resource Cost Calculations

To suppress cost calculations for a resource during cost calculations, complete the following steps:

  1. Display the Resource Details dialog box for the resource to which you want to suppress cost calculations.

  2. Ensure that the Consider in Cost Calculations option is cleared.

  3. Click Apply.

  4. If you wish to suppress cost calculations for other resources, use the navigation controls in the lower left corner of the dialog box to locate the desired resources.

  5. Click Close when done.

Related Topics and Procedures

Related Topic

Using the Progress Calculations Dialog Box

Related Procedures

Calculating Budget Activity Costs

Calculating Actual Activity Costs

Calculating Resource Costs

Calculating Project Costs

Setting a Target Cost for the Project

Performing Progress Calculations


Glossary

A | B | C | D | E | F | G | H | I | J | K | L | M
N | O | P | Q | R | S | T | U | V | W | X | Y | Z

- A -

Access Rights

The rights that a user may have to a file. Open Plan recognizes the following types of rights:

  • Read Only — The user may read and copy the file, but may not edit or delete it.

  • Write — The user may make any desired changes to the file.

  • Owner — The user may make any desired changes to the file and may also define the rights other users may have to the file.

Activity

The smallest self-contained unit of work used to define the logic of a project. In general, activities share the following characteristics:

  • They have a definite duration.

  • They may have logical relationships to other activities in a project.

  • They use resources such as people, materials, or facilities.

  • They have an associated cost.

Activity File

The data tables corresponding to the ACT file in other versions of Open Plan.

Activity ID

A unique code identifying each activity in a project.

Activity Status

The state of completion of an activity:

  • Planned — The activity has not yet started.

  • In Progress — The activity is in progress.

  • Complete — The activity is complete.

Actual Cost of Work Performed (ACWP)

Actual cost expended on an activity, a part of a project, or an entire project.

Actual Cost to Date

See Actual Cost of Work Performed.

Actual Finish

Date on which an activity was completed.

Actual Start

Date on which an activity was started.

ACWP (Actual Cost of Work Performed)

Actual cost expended on an activity, a part of a project, or an entire project.

ALAP (As Late As Possible)

An activity for which Open Plan sets the early dates to be as late as possible without delaying the early dates of any successor.

Alternate Resource

A resource that Open Plan may substitute for an activity requirement during resource scheduling if the requested resource is not available. An alternate resource may be an individual, a pool, or a skill.

Ancillary File

Another name is Auxiliary File. A file that is assigned to a project. Open Plan uses three types of ancillary files:

  • Resource files — A project may have only one assigned resource file. The resource file, however, may contain any number of resources.

  • Calendar files — A project must have a calendar file. The calendar file, however, may contain any number of calendars.

  • Code files — A project and/or a resource file may have up to 90 assigned code files. Each code file may contain any number of codes.

As-Late-As-Possible (ALAP)

An activity for which Open Plan sets the early dates to be as late as possible without delaying the early dates of any successor.

As-Soon-As-Possible (ASAP)

An activity for which Open Plan sets the early dates to be as soon as possible. This is the default activity type.

ASAP (As-Soon-As-Possible)

An activity for which Open Plan sets the early dates to be as soon as possible. This is the default activity type.

Assignment Profile Curve

A profile that describes how a resource assignment is spread through the duration of an activity. Open Plan provides seven standard assignment profile curves: back load, double peak, early peak, front load, late peak, linear, and normal (bell).

Asymmetrical Distribution

A probability distribution not symmetrical about its central tendency. Same as skewed distribution.

Auxiliary File

Another name is Ancillary File. A file that is assigned to a project. Open Plan uses three types of ancillary files:

  • Resource files — A project may have only one assigned resource file. The resource file, however, may contain any number of resources.

  • Calendar files — A project must have a calendar file. The calendar file, however, may contain any number of calendars.

  • Code files — A project and/or a resource file may have up to 90 assigned code files. Each code file may contain any number of codes.

Availability Threshold

In resource-limited scheduling, it is possible to specify that a particular resource may be exceeded, if necessary, by an amount not to exceed the specified threshold for that resource.

Average

A measure of central tendency of a sample or a probability distribution, obtained by adding the individual values in a sample and dividing by the sample size. Same as mean or expected value.

- B -

BAC (Budget at Completion)

The total budget for a project or part of the project. (When the project is complete, both the BCWS and the BCWP are equal to the BAC.)

Backward Pass

A procedure within time analysis to calculate the late start and late finish dates of all activities in a project.

Barchart View

A project view that uses horizontal bars on a time scale to depict activity information. In Open Plan, a barchart view is a composite view that can display an activity barchart, a spreadsheet, and, if resources are assigned to the project, a histogram.

A barchart is frequently called a Gantt chart.

Baseline

A copy of the project schedule at a particular time that is used for comparison with the current schedule.

Baseline Dates

Original planned start and finish dates for an activity.

BCWP (Budgeted Cost of Work Performed)

A measure used in cost control that allows you to quantify the overall progress of the project in monetary terms. BCWP is calculated by multiplying the physical percent complete by the planned cost. Another term for BCWP is "earned value." (Comparison with ACWP indicates how far the project is above or below budget.)

BCWS (Budgeted Cost of Work Scheduled)

Planned cost multiplied by the percentage of completion that should have been achieved according to the project baseline dates. (Comparison with BCWP gives a monetary measure of how far the project is ahead of or behind schedule.)

Beta Distribution

A family of continuous probability distributions in which the random variable varies in the range of 0 to 1 and with a skew and kurtosis ("peakedness") that depends on a pair of parameters. In the context of Open Plan, the definition of the beta distribution has been expanded to allow random variables distributed between any pair of user-specified values, instead of always between 0 and 1.

Breakdown Structure

A hierarchical structure for codes that allows you to summarize project data for reporting.

Budget

Planned cost for an activity or project.

Budget at Completion (BAC)

The total budget for a project or part of the project. (When the project is complete, both the BCWS and the BCWP are equal to the BAC.)

Budgeted Cost of Work Performed (BCWP)

A measure used in cost control that allows you to quantify the overall progress of the project in monetary terms. BCWP is calculated by multiplying the physical percent complete by the planned cost. Another term for BCWP is "earned value." (Comparison with ACWP indicates how far the project is above or below budget.)

Budgeted Cost of Work Scheduled (BCWS)

Planned cost multiplied by the percentage of completion that should have been achieved according to the project baseline dates. (Comparison with BCWP gives a monetary measure of how far the project is ahead of or behind schedule.)

- C -

Calendar

A definition of valid working periods for a group of project activities or resources.

Calendar File

A file containing calendar information for one or more calendars.

Central Tendency

The central area of a probability distribution, usually corresponding to the mode ("most likely") or mean ("average") value of the random variable. Most of the results of Open Plan processing use the mean to measure central tendency.

Child

A lower-level element in a hierarchical structure.

Code File

A file used in reporting that contains information associated with codes entered on an activity record or a resource record.

Compound Activity

A group of activities represented as a single activity in a higher level of the same project.

Confidence

The likelihood of a statistical deduction from empirical data. Confidence is usually expressed as a percentage and applied to a range of possibilities.

Confidence Interval

A pair of values bracketing an estimate (usually derived from sampled data), indicating that there is some stated percentage probability that the true value falls within that range. It is generally implicit that the interval is symmetrical, in the sense that there is an equal probability of the true value being outside the interval in either direction.

For example, a 99% confidence interval would be a pair of values such that there is a 0.5% chance of the true value being less than the lower value and a 0.5% chance that the true value is greater than the higher value.

Constraint

Date imposed on an activity or project by the user. There are two types of target dates: target start dates and target finish dates.

Consumable Resource

A type of resource that remains available until consumed (for example, a material).

Controlling Critical Activity

An activity that has float due to its own calendar but that causes a successor to be critical.

Controlling Relationship

A relationship that controls the early date of the successor activity. In Open Plan, a controlling relationship can be detected by its free float being zero.

Cost Escalation

The feature that allows you to specify different resource unit costs and the date on which each new cost takes effect.

Cost Variance (CV)

The difference between the earned value and the actual cost of work performed. (BCWP – ACWP).

Critical Activity

An activity is termed critical when it has zero or negative float.

Critical Path

Series of consecutive activities that represent the longest path through the project.

Criticality Index

Used in risk analysis, the criticality index represents the percentage of simulation trials that resulted in the activity being placed on the critical path.

Cumulative Distribution

The representation of a probability distribution as a cumulative curve. Each point on the curve represents the probability that the random variable will be no greater than the value represented by that point. By definition, the height of such a curve must be non-decreasing, starting at zero and increasing to one.

- D -

Default Calendar

If no user-created calendar file is associated with the project, the default calendar is used for date calculations. The default calendar is defined as Monday through Friday, 8 A.M. to 4 P.M., and no holidays.

Delaying Resource

In resource scheduling, inadequate availability of one or more resources may require that the completion of an activity be delayed beyond the date on which it could otherwise be completed.

The delaying resource is the first resource on an activity that causes the activity to be delayed.

Dependency

A logical connection between two activities.

Discontinuous Activity

An activity in which the interval between the start and finish dates is allowed to exceed its duration in order to satisfy start-to-start and finish-to-finish relationships with other activities.

Distribution

The representation of the range and relative probabilities of the possible outcomes from a random process. A probability distribution may be in the form of a table, a curve, or a histogram.

Duration

The number of working periods required to perform the work represented by an activity. In risk analysis, this can correspond to the "most likely" duration.

- E -

Earliest Feasible Date

The earliest date on which the activity could be scheduled to start based on the scheduled dates of all its predecessors but in the absence of any resource constraints on the activity itself. This date is calculated by resource scheduling.

Early Dates

Calculated in the forward pass of time analysis. Early dates are the earliest dates on which an activity can start and finish.

Early Finish

The earliest date on which an activity can finish. This date is calculated by time analysis.

Early Start

The earliest date on which an activity can start. This date is calculated by time analysis.

Earned Value Cost Control

A cost control that allows you to quantify the overall progress of the project in monetary terms. Earned value is calculated by multiplying the physical percent complete by the planned cost. Another term for earned value is budgeted cost of work performed (BCWP).

Effort Driven

Open Plan calculates the duration of this activity based on the resource assignment and the effort factor defined for the resource.

If more than one resource is assigned to the activity, Open Plan calculates the potential duration using the effort factor of each resource. Open Plan then uses the longest calculated duration for the activity.

If you change an activity type to Effort Driven, Open Plan displays a message alerting you to the effects of this change.

End Activity

An activity (for example, A) is treated as an end activity if it meets all of the following conditions:

  • It has no logical successors.

  • Its parent is an end activity.

  • None of its descendents has a successor that is not also a descendent of A.

An end activity is also known as a finish activity.

Escalation

A feature that allows you to specify different resource unit costs and the date on which each new cost takes effect.

Exclusive Mode

If you have the file open in exclusive mode, other users can only have read-only access to the file while you are using it.

While you can make any changes to the file that you want, Open Plan does not save these changes until you save the file.

External Subproject

A complete project represented as a single activity in a higher-level project. Open Plan uses external subprojects for multi-project processing.

Extra Work Day

An exception to the standard non-working day. For example, assume that a calendar defines Monday through Friday as days on which work is normally performed. In this case, a specific Saturday might be identified as an extra work day if work is to be performed on that day.

- F -

Finish Activity

An activity that has no successor. Also known as an end activity.

Finish Float

The number of work periods between the early finish date and the late finish date.

Finish Milestone

A milestone activity signifying the end of a project phase. If the activity duration is zero, Open Plan replaces the early and late start dates with the early and late finish dates during time analysis.

Define zero-duration activities as either start or finish milestones if you want to avoid showing an activity that is scheduled to finish before it starts.

Finish-to-Finish Relationship

The relationship between activities that specifies that the finish of the successor activity depends on the completion of the predecessor activity.

In most cases, this means that the successor activity cannot be completed before the predecessor activity is completed.

Finish-to-Start Relationship

The relationship between activities that specifies that the start of the successor activity depends on the completion of the predecessor activity. In most cases, this means that the successor activity cannot start until the predecessor activity is completed. This is the default relationship.

Fixed-Form Significant Coding Structure

A coding structure that relies on the length of the code to represent the structure level.

Float

The number of time periods by which an activity can be delayed without affecting other activities in a project. (See Free Float and Total Float.)

Flowchart

A project drawing in which the project logic is the sole determinant of the placements of the activities in the drawing. Frequently called a flowchart, PERT chart, logic drawing, or logic diagram.

Foreign Activity

A placeholder activity that represents an activity in a different project that has a relationship to an activity in the currently open project.

Foreign Project

Open Plan creates a foreign project in order to contain any foreign activities that belong to a project that is not an external subproject of the current project.

Foreign Subproject

An internal subproject of a foreign project. If a foreign activity is not at the top of the hierarchy in its project, Open Plan validates the structure by creating a foreign subproject.

Forward Pass

A procedure within time analysis to determine the early start and early finish dates of activities.

Free Float

The maximum amount by which an activity can be delayed beyond its early dates without delaying any successor activity beyond its early dates. In the absence of finish targets, free float is always less than or equal to total float.

Free Slack

The maximum amount by which an activity can be delayed beyond its early dates without delaying any successor activity beyond its early dates. In the absence of finish targets, free float is always less than or equal to total float.

- G -

Gantt (Barchart View)

A project view that uses horizontal bars on a time scale to depict activity information. In Open Plan, a barchart view is a composite view that can display an activity barchart, a spreadsheet, and, if resources are assigned to the project, a histogram. A barchart is frequently called a Gantt chart.

Group

A block of data in a spreadsheet that begins with a subheading and ends with a subtotal.

- H -

Hammock

An activity that plays no part in time analysis but which provides the means to report on the start and finish of a group of activities.

Hard Zeros

In resource scheduling, there is a distinction made between resource availabilities specified as zero but which can be exceeded under certain circumstances and hard zeros, which can never be exceeded.

Hierarchical Coding Structure

A coding system that can be represented as a multi-level tree structure in which every code except those at the top of the tree has a parent code.

Hierarchical Project

A project that allows you to break down project information into multiple levels using the activity ID. With hierarchical projects, you enter project data at the lowest level of the project hierarchy, then summarize it to appropriate levels for reporting purposes.

Hierarchical Resource Structure

Resource definitions organized in a hierarchical structure in which every resource except those at the top of the tree has a parent.

Histogram View

A view in which data is shown as vertical bars, S-curves, or tables against a time scale. In Open Plan, two types of histograms are available:

  • Resource histograms

  • Risk analysis histograms

Holiday

An exception to the standard working day. For example, assume that a calendar defines Monday through Friday as days on which work is normally performed. In this case, a specific Monday (such as the Monday observed as Memorial Day) might be identified as a holiday if the office would be closed on that day.

- I -

Immediate Activity

An activity that can be forced to start on its earliest feasible date by resource scheduling, even if that means overloading a resource.

In Progress

An activity partially completed.

Internal Subproject

A group of activities represented as a single activity in a higher level of the same project.

Iteration

In Open Plan, one complete trial of Monte Carlo simulation of a project (that is, sampling a value for each activity duration, performing a time analysis with this sampled data, and storing the results). The Monte Carlo technique accumulates the results from a large number of these iterations.

- J -

- K -

Key Activity

In Open Plan, an activity specified by a user about which the program is to store detailed information generated by risk analysis.

Kurtosis

A technical term used to define a characteristic of the shape of a probability distribution, identified with the thickness of the tails of the distribution.

- L -

Labor Resources

Open Plan permits certain resources to be flagged as representing labor. The significance of this is that only resources so flagged will be included in the labor percent complete calculations.

Ladder

A style for displaying children in a breakdown structure.

Lag

A time delay associated with a relationship in a project. Lag can be either positive or negative. Negative lag is sometimes called "lead."

Late Dates

Calculated in the backward pass of time analysis. Late dates are the latest dates on which an activity can start and finish.

Late Finish

The latest date on which an activity must be completed if the project completion date and any finish targets are to be met. This date is calculated by time analysis.

Late Start

The latest date on which an activity must start if the project completion date and finish targets are to be met. This date is calculated by time analysis.

Lead (related to lag)

A time delay associated with a relationship in a project. Lag can be either positive or negative. Negative lag is sometimes called "lead."

Logic Diagram

A project drawing in which the project logic is the sole determinant of the placements of the activities in the drawing. Frequently called a flowchart, PERT chart, logic drawing, or logic diagram.

Logic Drawing

A project drawing in which the project logic is the sole determinant of the placements of the activities in the drawing. Frequently called a flowchart, PERT chart, logic drawing, or logic diagram.

Loop

In networks, a consecutive set of activities that are mutually dependent.

- M -

Master Project

A project with activities representing external subprojects.

Mean

The most common and useful measure of central tendency for a probability distribution. The mean value is the same as the “average” or “expected” value.

Median

A measure of the central tendency of a probability distribution such that there is a 50% chance of a value sampled from the distribution is less than the median.

Milestone

Activity with zero duration — must be designated as either a start milestone or a finish milestone.

While Open Plan does not prevent you from placing a duration on an activity with a milestone activity type, this is not recommended.

Military Time

A means of representing time by use of a 24-hour clock.

Mode

A measure of central tendency for a probability distribution, being the most likely single value for a variable sampled from that distribution. For a theoretical distribution, the mode is represented by the peak of the curve. The mode is the same as the "most likely" value.

Monte Carlo Simulation

The technique used by Open Plan to estimate the likely range of outcomes from a complex random process by simulating the process a large number of times. Monte Carlo simulation is used as an alternative to analytical statistical techniques when the process is too complex to be readily treated by such techniques.

Most Likely Value

A measure of central tendency for a probability distribution, being the most likely single value for a variable sampled from that distribution. For a theoretical distribution, the mode is represented by the peak of the curve. The mode is the same as the "most likely" value.

Multiple End Option

The multiple end option causes time analysis to treat each end activity as if it was the end of an independent project, so that the float would normally be zero.

Multi-project Processing

A complete project represented as a single activity in a higher-level project. Open Plan uses external subprojects for multi-project processing.

- N -

Negative Float

The amount of time by which the early date of an activity exceeds its late date.

Network View

A project drawing in which the project logic is the sole determinant of the placements of the activities in the drawing. Frequently called a flowchart, PERT chart, logic drawing, or logic diagram.

Non-Linear Date Scale

A date scale in which the divisions represent varying time spans. In Open Plan, non-linear date scale is defined using reporting calendars.

Non-Working Day

The standard non-working day on the calendar. For example, assume that a calendar defines Monday through Friday as days on which work is normally performed. In this case, a Saturday that has not been identified as an extra work day would be a non-working day.

Normal Distribution

A family of symmetrical continuous probability distributions defined by two parameters representing the mean and standard deviation of the distribution. In Open Plan, the sampling method for normal distributions is an approximation that curtails the curve at three standard deviations either side of the mean. (In theory there would be approximately a 1% chance of values falling outside of this range.)

- O -

OBS (Organizational Breakdown Structure)

A hierarchical structure designed to pinpoint the area of an organization responsible for each part of a project.

Offset

The number of work periods between the start of the activity and when the resource is first required.

Open Plan Ancillary File

A resource, code, or calendar file associated with an Open Plan project.

Organizational Breakdown Structure (OBS)

A hierarchical structure designed to pinpoint the area of an organization responsible for each part of a project.

Out-of-Sequence Progress

Progress that has been reported even though activities that have been deemed predecessors in project logic have not been completed.

- P -

Pad Character

A character that is used to fill out a code in a fixed-form significant breakdown structure so that all codes are the same length.

Parent

A higher-level element in a hierarchical structure that summarizes lower-level elements.

PDM (Precedence Diagram Method)

One of the two methods of representing projects as networks, in which the activities are represented by nodes and the relationships between them by arcs.

Percent (%) Complete Work

The percentage of the work content of an activity that has been achieved. See also Budgeted Cost of Work Performed.

Percent Complete

One measure of completion used in Open Plan to determine the remaining duration of a partially completed activity.

Performance Measurement Baseline (PMB)

A baseline that is used for cost calculations. If a PMB exists, it is used even if it is not one of the selected baselines. By always using the PMB when it is available, Open Plan provides consistency and reliability.

Period End Date

The status date of a project. All progress information entered for a project should be correct as of this status date. No work will be scheduled by the time analysis or resource scheduling programs prior to this date. Another term that is used to describe the status date of a project is Time Now.

Perishable Resource

A consumable resource with an expiration date.

PERT

A project drawing in which the project logic is the sole determinant of the placements of the activities in the drawing. Frequently called a flowchart, PERT chart, logic drawing, or logic diagram.

Physical Percent Complete

The percentage of the work content of an activity that has been achieved. See also Budgeted Cost of Work Performed.

Placements

The automatic calculation of coordinates for activities in a network view.

Plan (Project)

A set of activities directed to an overall goal. Also, the collection of data relating to the achievement of that goal. More specifically, a network of activities or the file(s) containing such a network.

Planned Activity

An activity not yet started.

Pool (Resource Pool)

A higher level resource in a resource breakdown structure.

Precedence Diagram Method (PDM)

One of the two methods of representing projects as networks, in which the activities are represented by nodes and the relationships between them by arcs.

Predecessor

An activity that logically precedes another activity. Normally, this term refers to an immediate predecessor; that is, one directly implied by the project data.

Priority Rule

A rule used to determine the order of processing in resource scheduling algorithms.

Probability

The measure of the chance of a particular outcome resulting from a random process. If the process can be performed a number of times, then as the number of trials increases, the proportion of times that a particular outcome results should converge on a value called the probability.

Probability Distribution

The representation of the range and relative probabilities of the possible outcomes from a random process. A probability distribution may be in the form of a table, a curve, or a histogram.

Progress

The partial completion of a project or a measure of same. Also, the act of entering progress information for a project.

Project Drawing

A project drawing in which the project logic is the sole determinant of the placements of the activities in the drawing. Frequently called a flowchart, PERT chart, logic drawing, or logic diagram.

Project

A set of activities directed to an overall goal. Also, the collection of data relating to the achievement of that goal. More specifically, a network of activities or the file(s) containing such a network.

Project Logic

The relationships between the various activities in a project.

Project Templates

The feature that allows projects or parts of a project to be stored and used as building blocks in creating new projects.

Punctuated Significant Coding Structure

A coding structure in which a specific character (usually a period) is used to separate the part of the code that corresponds to the different levels in the breakdown structure.

- Q -

- R -

RBS (Resource Breakdown Structure)

A feature of hierarchical resources that facilitates both roll-up reporting and summary resource scheduling by enabling you to schedule at the detailed requirements level and roll up both requirements and availabilities to a higher level.

Read Only

If you have a file open in read-only mode, other users may open the file in any mode they choose.

You cannot make any changes to a file that you have open in read-only mode, nor can you see any changes made by other users.

If you would like to make changes to the file, use the Save As command to save the file under a different name and make any changes you want to the new file.

Reprofiling

In resource scheduling, it is possible to indicate that the specified resource requirement profile may be modified to fit the availability without changing the total amount required.

Relationship

A logical connection between two activities.

Relationship Float

Open Plan permits the calculation of both free and total float on relationships, which are analogous to the float fields on the activities.

Remaining Duration

The remaining portion of an in-progress activity’s duration.

Requested Resource

The preferred resource requirement for an activity.

Resource

An item required to accomplish an activity. Resources can be people, equipment, facilities, funding — anything needed to perform the work of a project.

Resource Allocation

An option used in conjunction with alternate resources, pools, and skills, that allows you to selectively replace a requested resource with one suggested by Open Plan. During resource allocation, you can also selectively lock the allocation of either your requested resource or the one suggested by Open Plan.

Resource Assignment

The requirement for a particular resource by a particular activity or part of an activity. Sometimes called a resource requirement.

Resource Availability

The level of availability of a resource, which may vary over time.

Resource Breakdown Structure (RBS)

A feature of hierarchical resources that facilitates both roll-up reporting and summary resource scheduling by enabling you to schedule at the detailed requirements level and roll up both requirements and availabilities to a higher level.

Resource Histogram View

A view in which resource requirements, usage, and availabilities are shown against a time scale. In Open Plan, a resource histogram can be displayed both alone and in combination with a barchart view.

Resource Level

A specified level of resource units required by an activity per time unit.

Resource Leveling

The resource scheduling process of determining scheduled dates such that neither the project completion date nor any target finishes are jeopardized while minimizing the maximum extent to which any resource availability is exceeded.

Resource-Limited Resource Scheduling

The production of scheduled dates in which the resource constraints are considered as absolute and project completions are delayed as necessary to avoid exceeding resource requirements.

Resource Locking

The objective of resource locking is to inhibit future alternate resource scheduling.

Resource Offset

The number of work periods between the start of the activity and when the resource is first required.

Resource Period

The number of work periods for which a resource is required.

Resource Pool

A higher level resource in a resource breakdown structure.

Resource Roll-Up

An option that allows you to look at resources and schedule the activities from a summary perspective.

Resource Scheduling

The process of calculating a set of scheduled dates that takes into account the resource requirements of each activity and the availability of these resources.

Resource Thresholds

In resource-limited scheduling, it is possible to specify that a particular resource may be exceeded, if necessary, by an amount not to exceed the specified threshold for that resource.

Resource Total

A specified total of resource units required by an activity over a period of time.

Resource-Limited Resource Scheduling

The production of scheduled dates in which the resource constraints are considered as absolute and project completions are delayed as necessary to avoid exceeding resource requirements.

Risk Analysis

A technique designed to quantify the impact of uncertainty. Usually, but not necessarily, associated with the Monte Carlo simulation technique used in Open Plan.

Risk Analysis Histogram View

A view in which the results of risk analysis are displayed as vertical bars, S-curves, or tables against a date scale.

Root Calendar (Standard calendar)

The default calendar in a calendar file.

- S -

Schedule Dates

The start and finish dates calculated by the resource scheduling program, having regard to resource constraints as well as project logic.

Schedule Variance (SV)

The difference between the budgeted cost of work performed and the budgeted cost of work scheduled at this point in time. (BCWP – BCWS)

Scheduled Duration

The scheduled duration of an activity is calculated by resource scheduling and takes into account such advanced activity management techniques as activity splitting, stretching, or reprofiling.

Scheduled Finish

The date calculated by the resource scheduling program as the earliest date on which an activity can finish, having regard to resource constraints as well as project logic.

Scheduled Float

Calculated during resource scheduling, the scheduled float of an activity is the difference between the late finish date and the scheduled finish date of the activity. In some circumstances, scheduled float may be shared with other activities in the logical flow of the project.

Scheduled Start

The date calculated by the resource scheduling program as the earliest date on which an activity can start, having regard to resource constraints as well as project logic.

Shared Mode

If you have the file open in shared mode, other users can open the file and make changes while you have it open.

In shared mode, some changes are saved, while others are not:

  • Any changes that you make to the file are stored immediately.

  • The results of time analysis, risk analysis, and resource scheduling performed in shared mode are not saved.

Because the project data is shared, there are some project-level actions that you cannot perform while in this mode:

  • You cannot add or change an ancillary (calendar, code, resource) file.

  • As shipped from Deltek, Open Plan does not allow you to save changes made on the Project Properties dialog box. While you can make changes that remain in effect while you are working on the project, these changes are not saved back to the project.

You cannot save a file opened in shared mode using the Save command. You can, however, save it with a new name using the Save As command.

Skew

A measure of the degree of asymmetry in a probability distribution. For symmetrical distributions, the skew is zero.

Skills

A feature of hierarchical resources that allows you to assign an attribute to a resource and to define the resource requirement for an activity in terms of that attribute.

Slack

The number of time periods by which an activity can be delayed without affecting other activities in a project. (See Free Float and Total Float.)

Smoothing

A resource-scheduling option that attempts to even out or "smooth" the way in which resources are assigned to activities in the following circumstances:

  • During time-limited resource scheduling

  • During resource-limited resource scheduling when thresholds are in use

With the smoothing option, Open Plan assumes that even though a resource availability has been exceeded on a preceding activity, available float should be used in preference to overloading the resource again.

Splitting

In resource scheduling, it is possible to indicate that the specified duration may be divided into two or more pieces, while retaining the specified profile for resource requirements relative to this split duration.

Spread Curve

A profile that describes how the resource requirement is spread through the duration of an activity.

Spreadsheet View

A view in which data is shown in a tabular format. There are single-table spreadsheets and multi-table spreadsheets. Single-table spreadsheets can be based on any of the following tables:

  • Activity

  • Baseline Activity (PMB)

  • Baseline Usage (PMB)

  • OBS

  • Project Directory (Main Project)

  • Project Summary Usage

  • Relationship

  • Resource

  • Resource Assignment

  • Resource Availability

  • Resource Cost

  • Resource Escalation

  • Resource Usage

  • Risk Detail

  • Subproject

  • WBS

An activity spreadsheet is always shown as one of the windows in a barchart view.

Standard Calendar

The default calendar in a calendar file.

Standard Deviation

A measure of the amount of random variation in a random variable, calculated as the square root of the variance. Same as root mean square deviation.

Standard Work Week

The working hours and days defining the basic work pattern for a calendar.

Start Activity

An activity that is not logically dependent on any predecessor activity.

Start Milestone

A milestone activity signifying the start of a project phase. If the activity duration is zero, Open Plan replaces the early and late finish dates with the early and late start dates during time analysis.

Start-to-Finish Relationship

The relationship between activities that specifies that the finish of the successor activity depends on the start of the predecessor activity. In most cases, this means that the successor activity cannot be completed before the start of the predecessor activity.

Start-to-Start Relationship

The relationship between activities that specifies that the start of the successor activity depends on the start of the predecessor activity. In most cases, this means that the successor activity cannot be started before the start of the predecessor activity.

Status Date

The status date of a project. All progress information entered for a project should be correct as of this status date. No work will be scheduled by the time analysis or resource scheduling programs prior to this date.

Stochastic

Random variation that cannot be predicted other than in statistical terms.

Stretching

In resource scheduling, it is possible to indicate that the specified duration may be increased, while the specified profile is reduced proportionately.

Subproject

An activity that represents a group of activities at a lower level of the same project and allows Open Plan to calculate its duration based on the durations of lower-level activities.

Successor

An activity that logically follows another activity. Normally, this term refers to an immediate successor; that is, one directly implied by the project data.

Suggested Resource

The suggested resource is the resource requirement for an activity that Open Plan suggests during resource scheduling.

Summary Activity

A group of activities represented as a single activity in a higher level of the same project.

Summary Resource

A group of resources represented as a single resource in a higher level of the same resource pool.

Summary Task

A group of activities represented as a single activity in a higher level of the same project.

Symmetrical Distribution

A probability distribution in which variations from the central tendency by a given amount in either direction is equally likely.

- T -

Target Date (Constraint)

Date imposed on an activity or project by the user. There are two types of target dates: target start dates and target finish dates.

Target Finish

A finish date imposed on an activity or project by the user.

Target Start

A start date imposed on an activity or project by the user.

Target Type

Open Plan allows you to specify three types of target dates for activity start and finish dates:

  • Not Earlier Than — The earliest date on which the activity can start or finish. This constraint affects the early dates calculated by time analysis.

  • Not Later Than — The latest date on which the activity can start or finish. This constraint affects the late dates calculated by time analysis.

  • On Target — Combines the effects of both Not Earlier Than and Not Later Than target dates and affects both the early and late dates calculated by time analysis.

Task (Activity)

The smallest self-contained unit of work used to define the logic of a project. In general, activities share the following characteristics:

  • They have a definite duration.

  • They may have logical relationships to other activities in a project.

  • They use resources such as people, materials, or facilities.

  • They have an associated cost.

Threshold

The level to which Open Plan may exceed the availability of a resource during resource-limited resource scheduling.

Time Analysis

The process of calculating the early and late dates for each activity on a project, based on the Time Now date, the duration of the activities, and the logical relationships between them.

Time Now

The status date of a project. All progress information entered for a project should be correct as of this status date. No work will be scheduled by the time analysis or resource scheduling programs prior to this date. Another term that is used to describe the status date of a project is Period End Date.

Total Float

The maximum number of work periods by which an activity can be delayed without delaying project completion or violating a target finish date.

Total Slack

The maximum number of work periods by which an activity can be delayed without delaying project completion or violating a target finish date.

Triangular Distribution

A family of probability distributions that is triangular in shape when represented as a frequency distribution.

- U -

Uncertainty

The lack of precision in estimating or predicting the outcome of some process.

Uniform Distribution

A family of probability distributions characterized by two parameters, representing the minimum and maximum possible values. Any allowable outcome between the two extreme values is equally likely. For example, the distribution of the outcome from the throwing of a single die is uniform in the range of 1 to 6.

- V -

Variance

A discrepancy between the actual and planned performance on a project — either in terms of schedule or cost.

- W -

WBS (Work Breakdown Structure)

The breakdown of a project from the client's point of view in terms of deliverables.

Whole Relationship

A relationship in which both the predecessor and the successor activities are visible in the displayed area or printed page.

Work Breakdown Structure (WBS)

The breakdown of a project from the client's point of view in terms of deliverables.

Working Day

The standard working day on the calendar. For example, assume that a calendar defines Monday through Friday as days on which work is normally performed. In this case, a Monday that has not been identified as a holiday would be a working day.

- X -

- Y -

- Z -

Zoning

A feature of Open Plan that causes activities on a network view to be grouped into horizontal bands based on one or more criteria that you specify.


MRP ETC Baseline Import Dialog Box

Use this dialog box to select and import MRP resource Estimate to Complete (ETC) data into the Open Plan ETC Baseline, replacing existing baseline resource data for all activities included in the import. If an activity is not included in the import file, Open Plan retains its existing baseline resource data.

You can only access this dialog box when there is an open and active single project in Exclusive mode and there are available baselines on the project. In addition, there should only be one instance of Open Plan running on the same machine.

Select File

Click this button to find and select the import file. Clicking this button displays the Open dialog box with the Open Plan installation folder selected by default. The next time you run the MRP Import add-in, Open Plan displays the previous folder that you opened regardless of whether you were able to open the selected file successfully.

It accepts CSV or any file extension that Open Plan can read as CSV data.

The imported file must contain a header row with six columns containing the Project Name, Activity ID, Resource ID, Res Quantity, Start Date, and End Date data, in that order. The import process assumes that the first row in the import file is the header row. If Open Plan detects that the MRP data you are importing does not match the data in the open and active project, it displays an error message

The Open Plan ETC baseline must have a unique Activity ID, Resource ID, and Fiscal Period.

ETC Baseline

Select the ETC Baseline on which the ETC data will be loaded. The drop-down list displays all baselines assigned to the active project. Each displayed baseline has corresponding name and description.

If there is a baseline selected in Open Plan, it displays the said baseline by default. For multiple baselines, it displays the first baseline in the selected baselines.

Import

Click this button to import the selected file.

After import, Open Plan sums the Baseline ETC values by activity/resource and updates the remaining quantity on the resource assignment.

Location

To display the MRP ETC Baseline Import dialog box:

  1. Open a single project with available baselines in Exclusive mode.

  2. For the active project, select MRP ETC from the Import group on the Integration tab.

Related Topics and Procedures

Topic

Add-Ins Tab Overview

Procedure

Import MRP Estimate to Complete (ETC) Baseline Data


Import MRP Estimate to Complete (ETC) Baseline Data

This procedure allows you to import MRP ETC resource data into the Open Plan ETC Baseline, replacing existing baseline resource data for all activities included in the import. The MRP data you are importing should match the data in the Open Plan project. Otherwise, an error message displays and the import process stops.

You can only perform the MRP ETC Baseline Import process when there is an active single project opened in Exclusive mode and there are available baselines on the project. In addition, there should only be one instance of Open Plan running on the same machine.

To import MRP ETC Baseline Data:

  1. Open a single project with available baselines in Exclusive mode.

  2. With the project in focus, select the Integration tab.

  3. On the Integration tab, in the Import group, select MRP ETC.

  4. On the MRP ETC Baseline Import dialog box, click the Select File button.

  5. On the Open dialog box, find and select the import file.

It accepts CSV or any file extension that Open Plan can read as CSV data.

  6. From the ETC Baseline drop-down list, select the ETC Baseline on which the ETC data will be loaded.

If there is a baseline selected in Open Plan, it displays the selected baseline by default. For multiple baselines, it displays the first baseline in the selected baselines.

  7. Click Import.

Related Topics and Procedures

Add-Ins Tab Overview

MRP ETC Baseline Import Dialog Box


CAM ETC Baseline Export Dialog Box

Use this dialog box to export time-phased Estimate to Complete (ETC) baseline data for each Control Account Manager (CAM) listed in your Open Plan project to Excel. It creates one XLSX file for each set of activities that is associated with a single CAM value, which usually comes from a user-defined text field or a code filed in Open Plan.

You can only access this dialog box when there is an open and active project with baselines. In addition, there must be a reporting calendar assigned to the project.

ETC Baseline

Select the ETC Baseline to export from the drop-down list. The list displays all baselines assigned to the active project. Each displayed baseline has corresponding name and description.

If there is a baseline selected in Open Plan, it displays the selected baseline by default. If there is no selected baseline in Open Plan, it displays the first available baseline in the list by default.

If the option you selected is not the currently selected baseline in the open project, a message displays informing you that the application will close any current baselines and open the one you selected.

CAM Field

Select a text or code field with the assigned value to which you want to update baseline data from the drop-down list. The list displays all user-define text fields in the activity table and all codes assigned to the project.

The next time you access the dialog box, the application displays the previous field that you selected regardless of whether you were able to export the file successfully.

Open Plan stores the last field you selected in the CAM_Export_Field user preference.

Select Folder to Save to

Click this button to select the location where you want to save the export file. Clicking this button displays the Save Files to dialog box. By default, Open Plan saves your file in the Open Plan installation folder.

Open Plan stores the last location you set in the CAM_Export_Path user preference.

Export

Click this button to export the selected file. The exported XLSX file has the format <Project Name> <CAM Value> <Today’s Date as “ddMMMyyyy”>.xlsx (for example, CLEAN ELEC 30Sept2021.xlsx), overwriting the previous exported file. The XLSX file contains baseline activities and baseline usage records that you can edit.

The CAM value must not contain special characters that are not allowed in a Windows file name (/ \ : * ? " < > |). If it does, Open Plan replaces them with "_".

You can only update cells that displayed in light gray and columns that fall within the range of the baseline activity’s dates. In addition, when you change the values in the editable baseline usage cells, Open Plan updates the corresponding Total cell.

When you open a different project and click Export, an error message displays informing you that the active project has been changed and the export process stops.

Location

To display the CAM ETC Baseline Export dialog box:

  1. Open a project with available baselines and assigned Reporting Calendar.

  2. With the project in focus, select the Integration tab.

  3. On the Integration tab, in the Export group, select CAM ETC.

Related Topics and Procedures

Topic

Add-Ins Tab Overview

Procedure

Export CAM Estimate to Complete (ETC) Baseline Data


CAM ETC Baseline Import Dialog Box

Use this dialog box to import the changes that you made to the CAM ETC data in the XLXS file, which you generated using CAM Export. It brings in the CAM ETC data into the Open Plan ETC baseline, replacing existing baseline resource data for all activities included in the import. If an activity is not included in the import file, Open Plan retains its existing baseline resource data.

You can only access this dialog box when there is an open and active single project in Exclusive mode and there are available baselines on the project. In addition, there should only be one instance of Open Plan running on the same machine.

Select File(s)

Click this button to find and select the XLXS file(s) that you generated using CAM Export. Clicking this button displays the Open dialog box with the file path set to the Open Plan installation folder by default. The next time you run the CAM Import add-in, Open Plan displays the previous folder that you opened regardless of whether you were able run the CAM Import successfully.

You can select more than one XLXS file by holding down the CTRL key while selecting the files. If you select multiple files that point to the same CAM, an error message displays.

If Open Plan detects that the project name in the XLXS file you are importing does not match the name of the active project, it displays an error message.

ETC Baseline

Select the ETC Baseline on which the ETC data will be loaded. The drop-down list displays all baselines assigned to the active project. Each displayed baseline has corresponding name and description.

If there is a baseline selected in Open Plan, it displays the said baseline by default. For multiple baselines, it displays the first baseline in the selected baselines.

Import

Click this button to import the selected file.

If you changed the sort order of data rows that include header information, the import process fails. Deltek strongly recommends that you sort data rows below the headers.

If you have not disabled the Undo system preference, you can undo the complete CAM Import in Open Plan.

Location

To display the CAM ETC Baseline Import dialog box:

  1. Open a project in Exclusive mode and with available baselines.

  2. For the active project, select CAM ETC from the Import group on the Integration tab.

Related Topics and Procedures

Topic

Add-Ins Tab Overview

Procedure

Import CAM Estimate to Complete (ETC) Baseline Data


Close All Open Plan Files (Procedure)

To close all open projects, ancillary files, and dialog boxes:

  1. Save all your changes.
  2. Click File » Close All.

If you have unsaved changes, a message prompts you to save your changes.

The Open Plan Explorer view displays after everything has been closed.

Related Topics and Procedures

Related Topics

Close All

Close Files

Related Topics Procedure

Close an Open Plan File (Procedure)


Configurable Options

To illustrate the process for creating a Configurable Options custom tool, assume that we want to create an option to turn the display of non-critical activities for the Early Dates bar on and off for the default activity barchart view BARVW. The _Optiontag_ we will use is “_Sample_.”

On the Bar Sets Preferences dialog box for BARVW, notice that the Non_Critical filter is already associated with the Early Dates bar type. Instead of creating a filter, we will modify a copy of this filter.

For an example, see Options Barchart Add-In.

To create a configurable options custom tool, complete the following steps:

  1. Create a new calculated field using a specific _Optiontag_ (for example, _Sample_Show_Noncritical).

  2. Create the filter that will respond to the changes in the value of the above calculated field.

  3. Modify the bar set preferences for the activity barchart view that will use the custom tool.

  4. Add the Tool string to the AddIns.dat file.

Each of these steps is described in detail below.

Step 1

  1. On the Tools tab, click Calculated Fields.

  2. On the Calculated Fields dialog box, click New.

  3. On the New Calculated Field dialog box, enter the following:

  • Name: _Sample_Show_Noncritical (When the option displays in the Options check box, the Option Tab and the remaining underscores are removed.

  • Applies to Table: Activity

  • Data Type: Integer

  • Click OK.

  • Enter 1 for the expression and click OK.

  • Click Close.

Step 2

  1. On the Tools tab, click Filters.

  2. Select the Non_Critical filter and click Copy. This is the filter currently associated with the Early Dates bar type.

  3. Change the filter name to _Samp_Non-Critical. You can name the filter anything you want.

  4. On the row beneath the existing parameters, add the following:

  • Logic: And

  • Field Name: _Sample_Show_Noncritical

  • Operator: Equals

  • Value 1: 1

  • Click OK twice.

Step 3

  1. On the View tab, click Bar Sets.

  2. On the Bar Sets dialog box, select BARVW_BRS and click Edit.

  3. Select the Criterion field for Early Dates.

  4. Using the drop-down list, select _Samp_Non_Critical.

  5. Click OK twice.

Step 4

  1. On the Add-Ins tab, click Edit AddIns.dat.

  2. In the AddIns.dat file, enter the following string at the end of the list:

    3. Tool#=Show Non-Critical;C:\Program Files\Deltek\Open Plan Professional\Sample Tools\VBAPPS\Options\options.exe "_Sample_" "BARVW" %P

    Where # is the next Tool number available.

  3. Save and Close the modified file.

  4. On the Add-Ins tab, click Reload Add-Ins to initialize the new tool without having to restart Open Plan.

When you run the Show Non-Critical tool for a selected open project, Open Plan automatically displays the BARVW view with the Options check box on top showing the option you created.


Display a Filtered Activity in a View

When an activity is hidden from a view by a filter, you can use the GoTo button on the Activity Details dialog box Relationships tab to display that activity in the view.

  1. Double-click an activity, an activity bar, or activity row to display the Activity Details dialog box.

  2. In the Relationships tab grid, place your cursor anywhere in the line that includes the target activity and click GoTo.

Open Plan adds the filtered activity to the view.

Related Topics and Procedures

Related Topics

Activity Details Relationships Tab

Filters Overview

Related Procedures

Apply Filter to a View


Export CAM Estimate to Complete (ETC) Baseline Data

This procedure allows you to export CAM time-phased Estimate to Complete (ETC) baseline data for each CAM listed in your Open Plan project to Excel. It creates one XLSX file for each set of activities that is associated with a single CAM value, which usually comes from a user-defined text field or a code filed in Open Plan.

You can only perform CAM export when there is an open and active project with baselines. In addition, there must be a reporting calendar assigned to the project.

To export CAM ETC Baseline Data:

  1. Open a project with available baselines.

Make sure a reporting calendar is assigned to the project you are exporting.

  2. With the project in focus, select the Integration tab.

  3. On the Integration tab, in the Export group, select CAM ETC.

  4. From the ETC Baseline drop-down list, select the ETC baseline to export.

If there is a baseline selected in Open Plan, it displays the selected baseline by default. For multiple baselines, it displays the first baseline in the selected baselines.

  5. From the CAM Field drop-down list, select the text or code field with the assigned value to which you want to update baseline data.

  6. From the Select Folder to Save to button to select where you want to save the exported file.

  7. Click Export.

The exported XLSX file has the format <Project Name> <CAM Value> <Today’s Date as “ddMMMyyyy”>.xlsx (for example, CLEAN ELEC 30Sept2021.xlsx), overwriting the previous exported file. The XLSX file contains baseline activities and baseline usage records that you can edit.

The CAM Value must not contain special characters that are not allowed in a Windows file name (/ \ : * ? " < > |). If it does, Open Plan replaces them with "_".

You can only update cells that displayed in light gray and columns that fall within the range of the baseline activity’s dates. In addition, when you change the values in the editable baseline usage cells, Open Plan updates the corresponding Total cell.

Related Topics and Procedures

Topics

Add-Ins Tab Overview

CAM ETC Baseline Data Export Dialog Box


Import CAM Estimate to Complete (ETC) Baseline Data

This procedure allows you to import the changes that you made to the CAM ETC data in the XLXS file, which you generated using CAM Export. It brings in the CAM ETC data into the Open Plan ETC baseline, replacing existing baseline resource data for all activities included in the import. If an activity is not included in the import file, Open Plan retains its existing baseline resource data.

You can only access this dialog box when there is an open and active single project in Exclusive mode and there are available baselines on the project. In addition, there should only be one instance of Open Plan running on the same machine.

To import CAM ETC Baseline Data:

  1. Open a project with available baselines.

  2. On the open and active project, select the Add-In tab.

  3. For the active project, select CAM ETC from the Import group on the Integration tab.

  4. On the CAM ETC Baseline Import dialog box, click the Select File(s) button.

  5. On the Open dialog box, find and select the XLXS file(s) that you generated using CAM Export.

By default, the file path is set to the Open Plan installation folder. The next time you run the CAM Import add-in, Open Plan displays the previous folder that you opened regardless of whether you were able to import the selected file successfully.

  6. From the ETC Baseline drop-down list, select the ETC baseline to import.

If there is a baseline selected in Open Plan, it displays the selected baseline by default. For multiple baselines, it displays the first baseline in the selected baselines.

  7. Click Import.

If you have not disabled the Undo system preference, you can undo the complete CAM Import in Open Plan.

Related Topics and Procedures

Topics

Add-Ins Tab Overview

CAM ETC Baseline Data Import Dialog Box


Project Properties Progress Tab

This tab displays the valid progress types for a selected activity and specific actions to perform when the activity is completed.

Open Plan remembers the options you selected from the last time you accessed the Progress tab. You can only modify the options on this tab if you have appropriate access rights.

Project Name

The name of the project is established when the project is created. You cannot edit the name of the project.

Description

Providing a project description is optional when the project is created. You can enter or modify the project description on any tab of the dialog box.

Valid Progress Type for an Activity

The Planned and Complete progress types are always enabled.

Remaining Duration

Select this option to support the Remaining Duration progress type, which represents the duration remaining for the activity.

You can also select or clear this option by clicking ALT + r.

Elapsed Duration

Select this option to support the Elapsed Duration progress type, which represents the amount of the original duration that has elapsed.

Percent Complete

Select this option to support the Percent Complete progress type, which represents the percent of the original activity duration that is complete.

Expected Finish Date

Select this option to support the Expected Finish Date progress type, which represents the date on which an incomplete activity is expected to finish.

When an Activity is Completed

Set physical % to 100%

Select this option to set the physical percent complete of the activity to 100%.

Set resource remaining to 0

Select this option to set the remaining resource quantity or cost of the activity to 0.

Set resource actual to budget

Select this option to set the actual quantity or cost of the resource used to budget.

Set all Steps to complete

Select this option to set all steps to complete.

Only the selected progress types on this dialog box display in the drop-down list for the Progress Type column of a Spreadsheet view as well as in the Calculate drop-down list on the Progress Calculations dialog box. If you do not select any progress types, the Calculate field is disabled.

When more than one users (for example, User 1 and User 2) open a project in Shared mode and one of them (User 1) updates the Progress tab, Open Plan allows all users who are working on the project simultaneously to see the latest selected options. The updated options, however, only display when User 2 clicks the Refresh button.

Location

To display the Project Properties dialog box, complete the following step:

  1. Take one of the following actions:

  • In Open Plan Explorer, right-click a project in the Projects folder, and click Properties on the shortcut menu.

  • In the Project Views folder of Open Plan Explorer, display a project in any view, and click Properties in the Dialogs menu group of the Edit tab.

  2. Select the Progress tab.

You can display the Project Properties dialog box even if the project is not open, but you can only modify project information if you opened the project in either Exclusive or Shared mode.

Related Topics and Procedures

Related Topics

Project Properties Access Control Tab

Project Properties Codes Tab

Project Properties Dialog Box

Project Properties Files Tab

Project Properties Notes Tab

Project Properties Open Status Tab

Project Properties Preferences Tab

Project Properties References Tab

Project Properties Scheduling Tab

Project Properties Status Tab

Project Properties Summary Tab

Project Properties User Fields Tab

Related Procedure

Setting a Target Cost for the Project


Send Message Dialog Box

This dialog box allows you to send a message to other users who are logged into Open Plan. When the message is sent, a message box pops up on the recipient’s screen. The message box displays your user name and date/time the message was sent along with the message.

The following options are used to send a message:

Users

The Users pane lists all the users who are logged in. The following information is given for each user:

  • User ID

  • Machine ID

  • Product ID

You can select one or more users to send a message to. You can also select All Users to send a message to all logged in users.

You can use Ctrl+click or Shift+click to select multiple users.

All Users

Select the All Users option if you wish to send a message to all logged in users.

Message

The Message pane is where you type the message you wish to send. The message can be up to 250 characters in length.

Send

Clicking the Send button delivers your message.

You cannot send a blank message or a message without a recipient.

Location

To display the Send Message dialog box, complete the following step:

  1. On the File menu, click Share » Send Message.

Related Topics and Procedures

Related Procedure

Sending a Message to a User


inheritance_example

Criteria Inheritance Example

In many network views, the Box Attributes tab has definitions for planned, in-progress, complete, and critical criteria. Unless you define attributes for additional criteria, any other criteria inherit the default settings. Let's look at how the criteria table is built.

  • Default Activity Box

  • The default activity box has the following attributes defined: black text color, square box ends with no color, and no diagonals.

  • In-progress Activity Box

  • The In-progress activity box inherits all the attributes from the default activity box except the left diagonal.

    Criterion

    Text Color

    Left Style

    Left Color

    Right Style

    Right Color

    Left Diag

    Right Diag

    In-progress

    <default>

    <default>

    <default>

    <default>

    <default>

    \

    <default>

  • Complete Activity Box

  • The Complete activity box has both diagonals filled in and inherits all the remaining default attributes.

    Criterion

    Text Color

    Left Style

    Left Color

    Right Style

    Right Color

    Left Diag

    Right Diag

    Complete

    <default>

    <default>

    <default>

    <default>

    <default>

    \

    /

    In-progress

    <default>

    <default>

    <default>

    <default>

    <default>

    \

    <default>

  • Critical Activity Box

  • Because the critical criteria does not define the diagonal attribute, a critical activity inherits that attribute from either the complete, in-progress, or default criteria.

    Criterion

    Text Color

    Left Style

    Left Color

    Right Style

    Right Color

    Left Diag

    Right Diag

    Critical

    <default>

    <default>

    Red

    <default>

    Red

    <default>

    <default>

    Complete

    <default>

    <default>

    <default>

    <default>

    <default>

    \

    /

    In-progress

    <default>

    <default>

    <default>

    <default>

    <default>

    \

    <default>

With just these criteria defined, Open Plan can display a critical activity that is planned, one that is in progress, and one that is complete.

Critical Planned | Critical In-progress | Critical Complete


Progress Calculations (Processes Menu)

Progress Calculations (Processes Tab)

You can issue the Automatic Progress command by clicking Progress Calculations on the Processes tab.

This command calculates progress automatically based on a new Time Now date and existing calculated dates.

Related Topics and Procedures

Related Topic

Using the Progress Calculations Dialog Box

Related Procedure

Calculating Resource Progress


define_link_exampleexamplespread

Example: Defining a Link

Assume that you want to display the durations of all activities assigned to the resources in your department. Because the resource ID descriptions and activity durations are stored on different tables, the only way to display this information on a single spreadsheet is by using the multi-table spreadsheet feature. (The resource ID description is stored on the Resource Description table; the activity duration is stored on the Activity table.)

To show the activity durations on the same spreadsheet with the resource IDs, you must link the Resource Description table with the Activity table. This is done on the Define Link tab of the Spreadsheet Preferences Dialog Box in two steps:

Step 1 — Define a link between the Resource Description table and the Assignment table using the Resource ID as the connecting field.

Step 2 — Define a link between the Assignment table and the Activity table using the Activity ID as the connecting field.

This is shown in the following illustration:

You can then define the spreadsheet columns to display the required information.